// see: https://en.wikipedia.org/wiki/List_of_country_calling_codes
// for list of country/calling codes

final List<Country> countries = [
  Country(
      name: "Afghanistan",
      flag: "🇦🇫",
      code: "AF",
      dialCode: "93",
      minLength: 9,
      maxLength: 9,
      states: [
        States(
            name: "Badakhshan", cities: ["Bala Morghab", "Qal\\'\\'eh-ye Naw"]),
        States(name: "Badgis", cities: [
          "Andarab",
          "Baghlan",
          "Dahaneh-ye Ghawri",
          "Nahrin",
          "Pol-e Khumri"
        ]),
        States(name: "Baglan", cities: [
          "Balkh",
          "Dawlatabad",
          "Mazar-e Sharif",
          "Qarchi Gak",
          "Shulgara",
          "Tash Gozar"
        ]),
        States(name: "Balkh", cities: ["Bamiyan", "Panjab", "Qil Qal\\'\\'eh"]),
        States(name: "Bamiyan", cities: ["Anar Darreh", "Farah", "Shindand"]),
        States(
            name: "Farah",
            cities: ["Andkhvoy", "Darzi Ab", "Dawlatabad", "Maymanah"]),
        States(name: "Faryab", cities: ["Chaghcharan", "Shahrak", "Taywarah"]),
        States(name: "Gawr", cities: ["Ghazni"]),
        States(name: "Gazni", cities: [
          "Awbeh",
          "Eslam Qal\\'\\'eh",
          "Ghurian",
          "Herat",
          "Karukh",
          "Kuhestan",
          "Kushk",
          "Qarabagh",
          "Tawraghudi",
          "Tir Pol",
          "Zendejan"
        ]),
        States(name: "Herat", cities: [
          "Baghran",
          "Darwishan",
          "Deh Shu",
          "Gereshk",
          "Lashkar Gah",
          "Sangin"
        ]),
        States(
            name: "Hilmand",
            cities: ["Aqchah", "Qarqin", "Sang-e Charak", "Shibarghan"]),
        States(name: "Jawzjan", cities: [
          "Baghrami",
          "Kabul",
          "Mir Bachchekut",
          "Paghman",
          "Qarabagh",
          "Sarawbi"
        ]),
        States(name: "Kabul", cities: ["Mahmud-e Raqi", "Taghab"]),
        States(name: "Kapisa", cities: ["Khawst"]),
        States(name: "Khawst", cities: ["Asadabad", "Asmar"]),
        States(name: "Kunar", cities: ["Mehtar Lam"]),
        States(name: "Lagman", cities: ["Azraw", "Baraki Barak", "Pol-e Alam"]),
        States(name: "Lawghar", cities: [
          "Achin",
          "Batsawul",
          "Hugyani",
          "Jalalabad",
          "Nader Shah Kawt"
        ]),
        States(name: "Nangarhar", cities: [
          "Chahar Burjak",
          "Chakhansur",
          "Khash",
          "Mirabad",
          "Rudbar",
          "Zaranj"
        ]),
        States(name: "Nimruz", cities: ["Nuristan"]),
        States(
            name: "Nuristan",
            cities: ["Orgun", "Zareh Sharan", "Zarghun Shahr"]),
        States(name: "Paktika", cities: ["Ali Khayl", "Ghardez"]),
        States(name: "Paktiya", cities: ["Charikar", "Jabal-os-Saraj"]),
        States(name: "Parwan", cities: ["Qandahar"]),
        States(name: "Qandahar", cities: [
          "Dasht-e Archa",
          "Emam Saheb",
          "Hazart Imam",
          "Khanabad",
          "Qal\\'\\'eh-ye Zal",
          "Qunduz"
        ]),
        States(name: "Qunduz", cities: ["Aybak", "Kholm"]),
        States(name: "Samangan", cities: []),
        States(name: "Sar-e Pul", cities: [
          "Chah Ab",
          "Eshkamesh",
          "Farkhar",
          "Khwajeh Ghar",
          "Rostaq",
          "Taloqan",
          "Yangi Qal\\'\\'eh"
        ]),
        States(
            name: "Takhar",
            cities: ["Deh Rawud", "Gaz Ab", "Tarin Kawt", "Uruzgan"]),
        States(name: "Uruzgan", cities: ["Gardan Diwal", "Maydanshahr"]),
        States(name: "Wardag", cities: ["Qalat-e Ghilzay"]),
        States(name: "Zabul", cities: ["Berat", "Polican", "Ure Vajgurore"])
      ]),
  Country(
      name: "Albania",
      flag: "🇦🇱",
      code: "AL",
      dialCode: "355",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Berat", cities: ["Bulqize"]),
        States(name: "Bulqize", cities: ["Delvine"]),
        States(name: "Delvine", cities: ["Bilisht"]),
        States(name: "Devoll", cities: ["Maqellare", "Peshkopi"]),
        States(name: "Dibre", cities: ["Durres", "Shijak"]),
        States(name: "Durres", cities: ["Cerrik", "Elbasan", "Kerrabe"]),
        States(name: "Elbasan", cities: ["Fier", "Patos", "Roskovec"]),
        States(name: "Fier", cities: ["Gjirokaster", "Libohove"]),
        States(name: "Gjirokaster", cities: ["Gramsh"]),
        States(name: "Gramsh", cities: ["Krume"]),
        States(name: "Has", cities: ["Kavaje"]),
        States(name: "Kavaje", cities: ["Erseke", "Leskovik"]),
        States(name: "Kolonje", cities: ["Korce", "Maliq"]),
        States(
            name: "Korce",
            cities: ["Fushe-Kruje", "Kruje", "Mamurras", "Milot"]),
        States(name: "Kruje", cities: ["Kucove"]),
        States(name: "Kucove", cities: ["Kukes"]),
        States(name: "Kukes", cities: ["Lac"]),
        States(name: "Kurbin", cities: ["Lezhe", "Shengjin"]),
        States(name: "Lezhe", cities: ["Librazhd", "Perrenjas"]),
        States(name: "Librazhd", cities: ["Lushnje", "Rrogozhine"]),
        States(name: "Lushnje", cities: ["Ballsh"]),
        States(name: "Mallakaster", cities: []),
        States(
            name: "Malsi e Madhe",
            cities: ["Burrel", "Klos", "Kraste", "Ulze"]),
        States(name: "Mat", cities: ["Kurbnesh", "Rreshen", "Rubik"]),
        States(name: "Mirdite", cities: ["Peqin"]),
        States(name: "Peqin", cities: ["Kelcyre", "Permet"]),
        States(name: "Permet", cities: ["Pogradec"]),
        States(name: "Pogradec", cities: ["Fierze", "Fushe-Arrez", "Puke"]),
        States(name: "Puke", cities: ["Konispol", "Sarande"]),
        States(name: "Sarande", cities: ["Shkoder"]),
        States(name: "Shkoder", cities: ["Corovode"]),
        States(name: "Skrapar", cities: ["Memaliaj", "Tepelene"]),
        States(
            name: "Tepelene", cities: ["Kamze", "Paskuqan", "Tirane", "Vore"]),
        States(name: "Tirane", cities: ["Bajram Curri"]),
        States(
            name: "Tropoje", cities: ["Himare", "Orikum", "Selenice", "Vlore"]),
        States(name: "Vlore", cities: [])
      ]),
  Country(
      name: "Algeria",
      flag: "🇩🇿",
      code: "DZ",
      dialCode: "213",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Ayn Daflah", cities: []),
        States(
            name: "Ayn Tamushanat",
            cities: ["Adrar", "Awlaf", "Rijan", "Timimun"]),
        States(name: "Adrar", cities: ["Hydra", "Kouba"]),
        States(name: "Algiers", cities: [
          "Annabah",
          "Birrahhal",
          "Saraydih",
          "Sidi Amar",
          "al-Buni",
          "al-Hajar"
        ]),
        States(name: "Annabah", cities: [
          "Abadlah",
          "Bani Wanif",
          "Bashshar",
          "Qanadsan",
          "Taghit"
        ]),
        States(name: "Bashshar", cities: [
          "Aris",
          "Ayn Tutah",
          "Barikah",
          "Batnah",
          "Marwanah",
          "Naghaus",
          "Ra\\'\\'s-al-\\'\\'Ayun",
          "Tazult"
        ]),
        States(name: "Batnah", cities: [
          "Ayt Rizin",
          "Akbu",
          "Amizur",
          "Barbasha",
          "Bijayah",
          "Farrawn",
          "Ighram",
          "Sadduk",
          "Shamini",
          "Sidi \\'\\'Aysh",
          "Taskaryut",
          "Tazmalt",
          "Timazrit",
          "Uz-al-Laqin",
          "al-Qasr"
        ]),
        States(name: "Bijayah", cities: [
          "Awlad Jallal",
          "Biskrah",
          "Sidi Khalid",
          "Sidi Ukbah",
          "Tulja",
          "Um\\'\\'ash",
          "Zaribat-al-Wad"
        ]),
        States(name: "Biskrah", cities: [
          "Awlad Salam",
          "Awlad Yaysh",
          "Bani Khalil",
          "Bani Marad",
          "Bani Tamu",
          "Blidah",
          "Bu Arfa",
          "Bufarik",
          "Buinan",
          "Buqara",
          "Maftah",
          "Muzayah",
          "Shabli",
          "Shari\\'\\'ah",
          "Shiffa",
          "Sidi Mussa",
          "Suma",
          "Wadi al-Allagh",
          "al-\\'\\'Afrun",
          "al-Arba\\'\\'a"
        ]),
        States(name: "Blidah", cities: [
          "Ayn Bissim",
          "Aghbalu",
          "Bi\\'\\'r Ghabalu",
          "Buirah",
          "Lakhdariyah",
          "Shurfa",
          "Sur-al-Ghuzlan"
        ]),
        States(name: "Buirah", cities: [
          "Ayn Tayah",
          "Awlad Haddaj",
          "Awlad Mussa",
          "Bani Amran",
          "Budwawu",
          "Budwawu al-Bahri",
          "Bumardas",
          "Burj Minayal",
          "Dalis",
          "Hammadi",
          "Issar",
          "Khamis-al-Khashnah",
          "Nasiriyah",
          "Raghayah",
          "Sa\\'\\'abat",
          "Tinyah",
          "al-Arba\\'\\'a Tash",
          "ar-Ruwibah"
        ]),
        States(name: "Bumardas", cities: []),
        States(name: "Burj Bu Arririj", cities: [
          "Ammi Mussa",
          "Ghalizan",
          "Jidiwiyah",
          "Mazunah",
          "Sidi Muhammad Ban \\'\\'Ali",
          "Wadi Rahiyu",
          "Zammurah"
        ]),
        States(name: "Ghalizan", cities: [
          "Biryan",
          "Bu Nura",
          "Ghardaia",
          "Ghardayah",
          "Matlili",
          "al-Ghuli\\'\\'ah",
          "al-Qararah"
        ]),
        States(name: "Ghardayah", cities: ["Ilizi"]),
        States(name: "Ilizi", cities: [
          "Amir \\'\\'Abd-al-Qadar",
          "Jijili",
          "Shifka",
          "Tahar",
          "al-Miliyah"
        ]),
        States(name: "Jijili", cities: [
          "Ayn Wissarah",
          "Ayn-al-Ibil",
          "Birin",
          "Dar Shiyukh",
          "Hassi Bahbah",
          "Jilfah",
          "Mis\\'\\'ad",
          "Sharif",
          "al-Idrisiyah"
        ]),
        States(
            name: "Jilfah",
            cities: ["Khanshalah", "Sharshar", "Tawziyanat", "al-Mahmal"]),
        States(name: "Khanshalah", cities: [
          "Ayn-al-Hajal",
          "Ayn-al-Milh",
          "Bu Sa\\'\\'adah",
          "Hammam Dhala\\'\\'a",
          "Ma\\'\\'adid",
          "Maghra",
          "Masilah",
          "Sidi \\'\\'Aysa",
          "Wanugha"
        ]),
        States(name: "Masilah", cities: [
          "Ayn Bu Sif",
          "Birwaghiyah",
          "Midyah",
          "Qasr-al-Bukhari",
          "Shillalah",
          "Tablat"
        ]),
        States(name: "Midyah", cities: [
          "Farjiwah",
          "Milah",
          "Qararam Quqa",
          "Ruwashad",
          "Salghum-al-\\'\\'Ayd",
          "Sidi Maruf",
          "Sidi Marwan",
          "Tajananah",
          "Talighmah",
          "Wadi Athmaniyah"
        ]),
        States(name: "Milah", cities: [
          "Bu Khanifiyah",
          "Muaskar",
          "Muhammadiyah",
          "Siq",
          "Tighinnif",
          "Wadi al-Abtal",
          "Zahana"
        ]),
        States(name: "Muaskar", cities: [
          "Ayn Tadalas",
          "Hassi Mamash",
          "Mazaghran",
          "Mustaghanam",
          "Sidi Ali"
        ]),
        States(name: "Mustaghanam", cities: ["Ayn Safra", "Mishriyah", "Naama"]),
        States(name: "Naama", cities: ["Oran"]),
        States(name: "Oran", cities: ["Ouargla"]),
        States(name: "Ouargla", cities: [
          "Ayn Bardah",
          "Bumahra Ahmad",
          "Hamman Awlad \\'\\'Ali",
          "Qalmah",
          "Wadi Zinati"
        ]),
        States(name: "Qalmah", cities: [
          "Ayn Abid",
          "Ayn Samara",
          "Didush Murad",
          "Hamma Bu Ziyan",
          "Qustantinah",
          "Zighut Yusuf",
          "al-Khurub"
        ]),
        States(name: "Qustantinah", cities: [
          "Azzabah",
          "Amjaz Adshish",
          "Fil Fila",
          "Karkira",
          "Ramadan Jamal",
          "Sakikdah",
          "Shataybih",
          "Tamalus",
          "al-Harush",
          "al-Qull"
        ]),
        States(name: "Sakikdah", cities: [
          "Ayn \\'\\'Azl",
          "Ayn Arnat",
          "Ayn Taqrut",
          "Ayn Wilman",
          "Ayn-al-Khabira",
          "Bouira",
          "Buq\\'\\'ah",
          "Salah Bay",
          "Satif",
          "Setif",
          "Ziyama Mansuriyah",
          "al-\\'\\'Ulmah"
        ]),
        States(name: "Satif", cities: ["Ayn-al-Hajar", "Sayda"]),
        States(name: "Sayda", cities: []),
        States(name: "Sidi ban-al-\\'\\'Abbas", cities: []),
        States(
            name: "Suq Ahras",
            cities: ["Ayn Qazzan", "Ayn Salah", "Tamanghasat"]),
        States(name: "Tamanghasat", cities: [
          "Ayn Binyan",
          "Bu Isma\\'\\'il",
          "Bu Midfar\\'\\'ah",
          "Damus",
          "Duwirah",
          "Hajut",
          "Hammam Righa",
          "Sawlah",
          "Shiragha",
          "Shirshall",
          "Sidi Farj",
          "Stawali",
          "Tibazah",
          "Ziralda",
          "al-Qull\\'\\'ah"
        ]),
        States(name: "Tibazah", cities: [
          "Bi\\'\\'r-al-\\'\\'Itir",
          "Hammamat",
          "Mursut",
          "Shariyah",
          "Tibissah",
          "Winzah",
          "al-\\'\\'Awaynat"
        ]),
        States(name: "Tibissah", cities: [
          "Awlad Mimun",
          "Bani Mastar",
          "Bani Sikran",
          "Ghazawat",
          "Hannayah",
          "Maghniyah",
          "Nidruma",
          "Ramsh",
          "Sabra",
          "Shatwan",
          "Sibdu",
          "Sidi \\'\\'Abdallah",
          "Tilimsan",
          "al-Mansurah"
        ]),
        States(name: "Tilimsan", cities: ["Tinduf"]),
        States(name: "Tinduf", cities: ["Thaniyat-al-Had", "Tisamsilt"]),
        States(name: "Tisamsilt", cities: [
          "Ayn Dhahab",
          "Firindah",
          "Mahdiyah",
          "Mashra\\'\\'a Asfa",
          "Qasr Shillalah",
          "Rahuyah",
          "Sughar",
          "Takhamarat",
          "Tiyarat"
        ]),
        States(name: "Tiyarat", cities: []),
        States(name: "Tizi Wazu", cities: [
          "Ayn Bayda",
          "Ayn Fakrun",
          "Ayn Kirshah",
          "Ayn Malilah",
          "Bi\\'\\'r Shuhada",
          "Miskyanah",
          "Shamurah",
          "Umm-al-Bawaghi"
        ]),
        States(name: "Umm-al-Bawaghi", cities: [
          "Ayn Biya",
          "Ayn-at-Turk",
          "Arzu",
          "Bi\\'\\'r-al-Jir",
          "Butlilis",
          "Hassi Bu Nif",
          "Mars-al-Kabir",
          "Qadayal",
          "Sidi ash-Shami",
          "Wadi Thalatha",
          "Wahran",
          "al-Ansur",
          "as-Saniyah"
        ]),
        States(name: "Wahran", cities: [
          "Hassi Mas\\'\\'ud",
          "Nazla",
          "Ruwisiyat",
          "Tabisbast",
          "Tamalhat",
          "Tamasin",
          "Tayabat-al-Janubiyah",
          "Tughghurt",
          "Warqla",
          "al-Hajirah"
        ]),
        States(name: "Warqla", cities: []),
        States(name: "Wilaya d Alger", cities: []),
        States(name: "Wilaya de Bejaia", cities: []),
        States(
            name: "Wilaya de Constantine",
            cities: ["Aflu", "Hassi al-Raml", "al-Aghwat"]),
        States(
            name: "al-Aghwat",
            cities: ["Brizyanah", "al-Abyad Sidi Shaykh", "al-Bayadh"]),
        States(name: "al-Bayadh", cities: [
          "Bab Azwar",
          "Baraki",
          "Bir Murad Rais",
          "Birkhadam",
          "Burj-al-Kiffan",
          "Dar-al-Bayda",
          "al-Jaza\\'\\'ir"
        ]),
        States(name: "al-Jaza\\'\\'ir", cities: [
          "Bayadha",
          "Dabilah",
          "Hassan \\'\\'Abd-al-Karim",
          "Hassi Halifa",
          "Jama\\'\\'a",
          "Maqran",
          "Qamar",
          "Raqiba",
          "Rubbah",
          "Sidi Amran",
          "al-Mighair",
          "al-Wad"
        ]),
        States(name: "al-Wad", cities: [
          "Ayn Maran",
          "Abu al-Hassan",
          "Bani Hawa",
          "Bu Qadir",
          "Sidi Ukaskah",
          "Tanas",
          "Wadi Sali",
          "Wadi al-Fiddah",
          "ash-Shalif",
          "ash-Shattiyah"
        ]),
        States(name: "ash-Shalif", cities: [
          "Ban Mahdi",
          "Bani Amar",
          "Basbas",
          "Dariyan",
          "Saba\\'\\'ita Muk",
          "al-Qal\\'\\'ah",
          "at-Tarif"
        ]),
        States(name: "at-Tarif", cities: [
          "Afono",
          "Alao",
          "Alofau",
          "Amouli",
          "Aoa",
          "Atu\\'\\'u",
          "Aua",
          "Aunu\\'\\'u",
          "Faga\\'\\'alu",
          "Faga\\'\\'itua",
          "Fagasa",
          "Fagatogo",
          "Lauli\\'\\'i",
          "Leloaloa",
          "Nu\\'\\'uuli",
          "Pago Pago",
          "Tula",
          "Utulei",
          "Vatia"
        ])
      ]),
  Country(
      name: "American Samoa",
      flag: "🇦🇸",
      code: "AS",
      dialCode: "1684",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Eastern", cities: ["Ofu"]),
        States(name: "Manu\\'\\'a", cities: []),
        States(name: "Swains Island", cities: [
          "Aoloau",
          "Faleniu",
          "Futiga",
          "Ili\\'\\'ili",
          "Leone",
          "Malaeimi",
          "Malaeloa-Aitulagi",
          "Malaeloa-Ituau",
          "Mapusagafou",
          "Mesepa",
          "Pava\\'\\'ia\\'\\'i",
          "Tafuna",
          "Taputimu",
          "Vailoatai",
          "Vaitogi"
        ]),
        States(name: "Western", cities: [])
      ]),
  Country(
      name: "Andorra",
      flag: "🇦🇩",
      code: "AD",
      dialCode: "376",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Andorra la Vella", cities: ["Canillo"]),
        States(name: "Canillo", cities: ["Encamp"]),
        States(name: "Encamp", cities: []),
        States(name: "La Massana", cities: []),
        States(name: "Les Escaldes", cities: ["Ordino"]),
        States(name: "Ordino", cities: []),
        States(name: "Sant Julia de Loria", cities: ["Caxito"])
      ]),
  Country(
      name: "Angola",
      flag: "🇦🇴",
      code: "AO",
      dialCode: "244",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Bengo", cities: ["Benguela", "Lobito"]),
        States(name: "Benguela", cities: [
          "Camacupa",
          "Catabola",
          "Catumbela",
          "Chissamba",
          "Kuito"
        ]),
        States(name: "Bie", cities: ["Cabinda"]),
        States(name: "Cabinda", cities: ["Ondjiva"]),
        States(
            name: "Cunene",
            cities: ["Caala", "Catchiungo", "Huambo", "Longonjo"]),
        States(name: "Huambo", cities: ["Caconda", "Caluquembe", "Lubango"]),
        States(name: "Huila", cities: ["Menongue"]),
        States(name: "Kuando-Kubango", cities: []),
        States(name: "Kwanza Norte", cities: []),
        States(name: "Kwanza Sul", cities: ["Luanda"]),
        States(name: "Luanda", cities: []),
        States(name: "Lunda Norte", cities: []),
        States(name: "Lunda Sul", cities: ["Malanje"]),
        States(
            name: "Malanje",
            cities: ["Cazaje", "Leua", "Luau", "Luena", "Lumeje"]),
        States(name: "Moxico", cities: ["Namibe"]),
        States(name: "Namibe", cities: ["Camabatela", "Uige"]),
        States(
            name: "Uige",
            cities: ["M\\'\\'banza-Kongo", "N\\'\\'zeto", "Soyo"]),
        States(name: "Zaire", cities: [])
      ]),
  Country(
      name: "Anguilla",
      flag: "🇦🇮",
      code: "AI",
      dialCode: "1264",
      minLength: 7,
      maxLength: 7,
      states: [States(name: "Other Provinces", cities: [])]),
  Country(
      name: "Antarctica",
      flag: "🇦🇶",
      code: "AQ",
      dialCode: "672",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Sector claimed by Argentina/Ch", cities: []),
        States(name: "Sector claimed by Argentina/UK", cities: []),
        States(name: "Sector claimed by Australia", cities: []),
        States(name: "Sector claimed by France", cities: []),
        States(name: "Sector claimed by New Zealand", cities: []),
        States(name: "Sector claimed by Norway", cities: []),
        States(name: "Unclaimed Sector", cities: ["Codrington"])
      ]),
  Country(
      name: "Antigua and Barbuda",
      flag: "🇦🇬",
      code: "AG",
      dialCode: "1268",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Barbuda", cities: []),
        States(name: "Saint George", cities: []),
        States(name: "Saint John", cities: []),
        States(name: "Saint Mary", cities: []),
        States(name: "Saint Paul", cities: []),
        States(name: "Saint Peter", cities: []),
        States(name: "Saint Philip", cities: [])
      ]),
  Country(
      name: "Argentina",
      flag: "🇦🇷",
      code: "AR",
      dialCode: "54",
      minLength: 12,
      maxLength: 12,
      states: [
        States(name: "Buenos Aires", cities: ["Catamarca"]),
        States(
            name: "Catamarca",
            cities: ["Presidencia Roque Saenz Pena", "Resistencia"]),
        States(name: "Chaco", cities: [
          "Comodoro Rivadavia",
          "Puerto Madryn",
          "Rawson",
          "Trelew"
        ]),
        States(name: "Chubut", cities: [
          "Alta Gracia",
          "Bell Ville",
          "Cordoba",
          "Rio Cuarto",
          "Rio Tercero",
          "San Francisco",
          "Villa Carlos Paz",
          "Villa Maria"
        ]),
        States(
            name: "Cordoba",
            cities: ["Corrientes", "Goya", "Mercedes", "San Lorenzo"]),
        States(name: "Corrientes", cities: []),
        States(name: "Distrito Federal", cities: []),
        States(name: "Entre Rios", cities: ["Formosa"]),
        States(
            name: "Formosa",
            cities: ["Jujuy", "Libertador General San Martin", "San Pedro"]),
        States(name: "Jujuy", cities: []),
        States(name: "La Pampa", cities: []),
        States(name: "La Rioja", cities: [
          "Godoy Cruz",
          "Lujan",
          "Mendoza",
          "Rivadavia",
          "San Martin",
          "San Rafael"
        ]),
        States(name: "Mendoza", cities: ["Eldorado", "Obera", "Posadas"]),
        States(name: "Misiones", cities: ["Cutral Co", "Neuquen"]),
        States(name: "Neuquen", cities: []),
        States(
            name: "Rio Negro",
            cities: ["Salta", "San Ramon de la Nueva Oran", "Tartagal"]),
        States(name: "Salta", cities: []),
        States(name: "San Juan", cities: []),
        States(name: "San Luis", cities: []),
        States(name: "Santa Cruz", cities: []),
        States(name: "Santa Fe", cities: []),
        States(name: "Santiago del Estero", cities: []),
        States(name: "Tierra del Fuego", cities: ["Tucuman"]),
        States(name: "Tucuman", cities: ["Ashtarak", "Talin"])
      ]),
  Country(
      name: "Armenia",
      flag: "🇦🇲",
      code: "AM",
      dialCode: "374",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Aragatsotn", cities: ["Ararat", "Artashat"]),
        States(name: "Ararat", cities: ["Armavir", "Vagharshapat"]),
        States(
            name: "Armavir", cities: ["Gavar", "Martuni", "Sevan", "Vardenis"]),
        States(
            name: "Gegharkunik",
            cities: ["Abovyan", "Arzni", "Charentsavan", "Hrazdan"]),
        States(name: "Kotaik", cities: [
          "Akhtala",
          "Alaverdi",
          "Spitak",
          "Stepanavan",
          "Tashir",
          "Vanadzor"
        ]),
        States(name: "Lori", cities: ["Artik", "Gyumri"]),
        States(name: "Shirak", cities: ["Stepanakert"]),
        States(name: "Stepanakert", cities: [
          "Angeghakot",
          "Goris",
          "Kajaran",
          "Kapan",
          "Meghri",
          "Sisian"
        ]),
        States(name: "Syunik", cities: ["Dilijan", "Ijevan"]),
        States(name: "Tavush", cities: []),
        States(name: "Vayots Dzor", cities: ["Yerevan"]),
        States(name: "Yerevan", cities: ["Aruba"])
      ]),
  Country(
      name: "Aruba",
      flag: "🇦🇼",
      code: "AW",
      dialCode: "297",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Aruba", cities: ["Glenfield", "Henderson", "Milford"])
      ]),
  Country(
      name: "Australia",
      flag: "🇦🇺",
      code: "AU",
      dialCode: "61",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Auckland", cities: []),
        States(name: "Australian Capital Territory", cities: ["Balgowlah"]),
        States(name: "Balgowlah", cities: ["Balmain"]),
        States(name: "Balmain", cities: ["Bankstown"]),
        States(name: "Bankstown", cities: []),
        States(name: "Baulkham Hills", cities: []),
        States(name: "Bonnet Bay", cities: ["Camberwell"]),
        States(name: "Camberwell", cities: []),
        States(name: "Carole Park", cities: []),
        States(name: "Castle Hill", cities: ["Caulfield"]),
        States(name: "Caulfield", cities: ["Chatswood"]),
        States(name: "Chatswood", cities: ["Cheltenham"]),
        States(name: "Cheltenham", cities: ["Cherrybrook"]),
        States(name: "Cherrybrook", cities: ["Clayton"]),
        States(name: "Clayton", cities: ["Collingwood"]),
        States(name: "Collingwood", cities: []),
        States(name: "Frenchs Forest", cities: ["Hawthorn"]),
        States(name: "Hawthorn", cities: ["Jannnali"]),
        States(name: "Jannnali", cities: ["Knoxfield"]),
        States(name: "Knoxfield", cities: ["Melbourne", "South Oakleigh"]),
        States(name: "Melbourne", cities: []),
        States(name: "New South Wales", cities: []),
        States(name: "Northern Territory", cities: [
          "Cottesole",
          "Darch",
          "Mullaloo",
          "Noranda",
          "Osborne Park",
          "Willetton"
        ]),
        States(name: "Perth", cities: [
          "Acacia Ridge",
          "Aitkenvale",
          "Alderley",
          "Alexander Hills",
          "Archerfield",
          "Ashmore",
          "Atherton",
          "Ayr",
          "Beachmere",
          "Beenleigh",
          "Beerwah",
          "Bell",
          "Belmont",
          "Biloela",
          "Birkdale",
          "Blackwater",
          "Bongaree",
          "Bonogin",
          "Boonah",
          "Bowen",
          "Brendale",
          "Brisbane",
          "Buddina",
          "Buderim",
          "Bundaberg",
          "Bundall",
          "Burleigh Heads",
          "Burpengary",
          "Cabaland",
          "Caboolture",
          "Cairns",
          "Cairns Northern Beaches",
          "Caloundra",
          "Capalaba",
          "Charters Towers",
          "Childers",
          "Cleveland",
          "Coolum Beach",
          "Coopers Plain",
          "Dalby",
          "Deception Bay",
          "Eagle Farm",
          "Eagleby",
          "Emerald",
          "Emundi",
          "Forest Lake",
          "Gatton",
          "Gladstone",
          "Gold Coast",
          "Gowrie Junction",
          "Gympie",
          "Helensvale",
          "Hervey Bay",
          "Ingham",
          "Innisfail",
          "Ipswich",
          "Jindalee",
          "Julatten",
          "Kawana Waters",
          "Kingaroy",
          "Lawnton",
          "Loganholme",
          "Mackay",
          "Mareeba",
          "Maroochydore",
          "Maroochydore-Mooloolaba",
          "Maryborough",
          "Miami",
          "Milton",
          "Molendinar",
          "Moranbah",
          "Morayfield",
          "Mossman",
          "Mount Glorious",
          "Mount Isa",
          "Murarrie",
          "Nairand Kay",
          "Nambour",
          "Nerang",
          "Nobby Beach",
          "Noosa Heads",
          "Noosaville",
          "Paddington",
          "Port Douglas",
          "Robina",
          "Rockhampton",
          "Rocklea",
          "Roma",
          "Rubyvale",
          "Sanctuary Cove",
          "Slade Point",
          "Southport",
          "Suburb",
          "Sunshine Coast",
          "Tewantin-Noosa",
          "The Summit",
          "Toowong",
          "Toowoomba",
          "Townsville",
          "Victoria Point",
          "Warwick",
          "Willawong",
          "Yatala",
          "Yeppoon",
          "Zillmere"
        ]),
        States(name: "Queensland", cities: []),
        States(name: "South Australia", cities: [
          "Bridgewater-Gagebrook",
          "Burnie",
          "Burnie-Devonport",
          "Glenorchy",
          "Hobart",
          "Kingston-Blackmans Bay",
          "Launceston",
          "New Norfolk",
          "Rowella",
          "Sheffield",
          "Ulverstone"
        ]),
        States(name: "Tasmania", cities: ["Templestowe"]),
        States(name: "Templestowe", cities: [
          "Albion",
          "Ararat",
          "Avenel",
          "Avondale Heights",
          "Baccus Marsh",
          "Bairnsdale",
          "Ballarat",
          "Balwyn",
          "Batman",
          "Bayswater",
          "Belmont",
          "Benalla",
          "Bendigo",
          "Bentleigh East",
          "Berwick",
          "Blackburn",
          "Blue Mountains",
          "Boonah",
          "Boronia",
          "Box Hill",
          "Brighton East",
          "Bundoora",
          "Campbellfield",
          "Carlton South",
          "Caroline Springs",
          "Castle Hill",
          "Castlemaine",
          "Caulfield",
          "Cheltenham",
          "Chester",
          "Clayton South",
          "Clifton Springs",
          "Coburg",
          "Colac",
          "Collingwood",
          "Craigieburn",
          "Cranbourne",
          "Crib Point",
          "Dandenong",
          "Devon Meadows",
          "Diamond Creek",
          "Doncaster East",
          "Doncester",
          "Donvale",
          "Echuca-Moama",
          "Elsternwick",
          "Eltham",
          "Fairfield",
          "Fitzroy",
          "Frnakston",
          "Geelong",
          "Glen Waverley",
          "Glenorchy",
          "Hallam",
          "Hamilton",
          "Hastings",
          "Healesville",
          "Horsham",
          "Hughesdale",
          "Ivanhoe",
          "Keilor",
          "Kensington",
          "Kerang",
          "Kilmore",
          "Kilsyth",
          "Kyabram",
          "Lakes Entrance",
          "Lalor",
          "Lara",
          "Laverton North",
          "Leopold",
          "Lower Templestowe",
          "Maidstone",
          "Malvern",
          "Maryborough",
          "Melbourne",
          "Melton",
          "Middle Park",
          "Mildura",
          "Mitcham",
          "Moe-Yallourn",
          "Moorabbin",
          "Mordialloc",
          "Morwell",
          "Mulgrave",
          "Murrumbeena",
          "Neerim South",
          "Noble Park North",
          "Notting Hill",
          "Oak Park",
          "Ocean Grove-Barwon Heads",
          "Olinda",
          "Pakenham",
          "Park Orchards",
          "Port Melbourne",
          "Portland",
          "Prahran",
          "Preston",
          "Pritbourne",
          "Queenscliff",
          "Reservoir",
          "Ringwood",
          "Rowville",
          "Sale",
          "Sandringham",
          "Scoresby",
          "Sebastopol",
          "Seymour",
          "Shepparton-Mooroopna",
          "Somerville",
          "South Yarra",
          "Southbank",
          "St. Albans",
          "St. Kilda East",
          "Stawell",
          "Sunbury",
          "Sunshine West",
          "Swan Hill",
          "Tatura",
          "Thomastown",
          "Thornbury",
          "Tongala",
          "Torquay",
          "Traralgon",
          "Tullamarine",
          "Vermont",
          "Wangaratta",
          "Wantirna",
          "Warragul",
          "Warrnambool",
          "Welshpool",
          "Wendouree",
          "Wonthaggi",
          "Woodend",
          "Yarrawonga-Mulwala",
          "Yea"
        ]),
        States(name: "Victoria", cities: []),
        States(name: "Werribee south", cities: []),
        States(name: "Western Australia", cities: ["Wheeler"]),
        States(name: "Wheeler", cities: [])
      ]),
  Country(
      name: "Austria",
      flag: "🇦🇹",
      code: "AT",
      dialCode: "43",
      minLength: 13,
      maxLength: 13,
      states: [
        States(name: "Bundesland Salzburg", cities: []),
        States(name: "Bundesland Steiermark", cities: []),
        States(name: "Bundesland Tirol", cities: [
          "Eisenstadt",
          "GroBpetersdorf",
          "Jennersdorf",
          "Kemeten",
          "Mattersburg",
          "Neudorfl",
          "Neusiedl am See",
          "Oberwart",
          "Pinkafeld",
          "Rust"
        ]),
        States(name: "Burgenland", cities: ["Maria Rain", "Poggersdorf"]),
        States(name: "Carinthia", cities: [
          "Althofen",
          "Arnoldstein",
          "Bad Sankt Leonhard",
          "Bleiburg",
          "Ebenthal",
          "Eberndorf",
          "Feldkirchen",
          "Ferlach",
          "Finkenstein",
          "Friesach",
          "Hermagor",
          "Klagenfurt",
          "Klagenfurt",
          "Lohnsburg",
          "Moosburg",
          "Paternion",
          "Radentheim",
          "Sankt Andra",
          "Sankt Jakob",
          "Sankt Veit",
          "Seeboden",
          "Spittal",
          "Velden am Worthersee",
          "Villach",
          "Volkermarkt",
          "Wernberg",
          "Wolfsberg"
        ]),
        States(name: "Karnten", cities: []),
        States(name: "Liezen", cities: []),
        States(name: "Lower Austria", cities: [
          "Amstetten",
          "Bad Voslau",
          "Baden",
          "Berndorf",
          "Boheimkirchen",
          "Bruck an der Leitha",
          "Brunn",
          "Deutsch-Wagram",
          "Ebreichsdorf",
          "Eggendorf",
          "Fischamend",
          "Gablitz",
          "Ganserndorf",
          "Gerasdorf",
          "Gloggnitz",
          "Gmund",
          "Greifenstein",
          "GroB-Enzersdorf",
          "GroB-Gerungs",
          "Guntramsdorf",
          "Haag",
          "Hainburg",
          "Heidenreichstein",
          "Herzogenburg",
          "Himberg",
          "Hollabrunn",
          "Horn",
          "Klosterneuburg",
          "Korneuburg",
          "Kottingbrunn",
          "Krems",
          "Laa",
          "Langenlois",
          "Langenzersdorf",
          "Leobendorf",
          "Leopoldsdorf",
          "Lilienfeld",
          "Loipersdorf",
          "Maria Enzersdorf",
          "Melk",
          "Mistelbach",
          "Modling",
          "Neulengbach",
          "Neunkirchen",
          "Niederleis",
          "Ober-Grabendorf",
          "Perchtoldsdorf",
          "Pernitz",
          "Pottendorf",
          "Poysdorf",
          "Pressbaum",
          "Purgstall",
          "Purkersdorf",
          "Reichenau",
          "Retz",
          "Sankt Andra-Wordern",
          "Sankt Peter in der Au",
          "Sankt Polten",
          "Sankt Valentin",
          "Scheibbs",
          "Schrems",
          "Schwechat",
          "Seitenstetten",
          "Sollenau",
          "Stockerau",
          "Strasshof",
          "Ternitz",
          "Traiskirchen",
          "Traismauer",
          "Tulln",
          "Vosendorf",
          "Waidhofen",
          "Wiener Neudorf",
          "Wiener Neustadt",
          "Wieselburg",
          "Wilhelmsburg",
          "Wolkersdorf",
          "Ybbs",
          "Ybbsitz",
          "Zistersdorf",
          "Zwettl"
        ]),
        States(name: "Niederosterreich", cities: [
          "Alkoven",
          "Altheim",
          "Altmunster",
          "Andorf",
          "Ansfelden",
          "Asten",
          "Attnang-Puchheim",
          "Aurolzmunster",
          "Bad Goisern",
          "Bad Hall",
          "Bad Ischl",
          "Braunau",
          "Breitenfurt",
          "Ebensee",
          "Eferding",
          "Engerwitzdorf",
          "Enns",
          "Feldkirchen an der Donau",
          "Frankenburg",
          "Freistadt",
          "Gallneukirchen",
          "Garsten",
          "Gmunden",
          "Gramastetten",
          "Grieskirchen",
          "Gunskirchen",
          "Horsching",
          "Kirchdorf an der Krems",
          "Kremsmunster",
          "Krenglbach",
          "Laakirchen",
          "Lenzing",
          "Leonding",
          "Linz",
          "Loibichl",
          "Marchtrenk",
          "Mattighofen",
          "Mauthausen",
          "Micheldorf",
          "Neuhofen an der Krems",
          "Ohlsdorf",
          "Ottensheim",
          "Pasching",
          "Perg",
          "Pettenbach",
          "Pram",
          "Pregarten",
          "Puchenau",
          "Regau",
          "Ried",
          "Rohrbach in Oberosterreich",
          "Rutzenmoos",
          "Sankt Florian",
          "Sankt Georgen",
          "Sankt Marien",
          "Scharding",
          "Scharnstein",
          "Schwertberg",
          "Seewalchen",
          "Sierning",
          "Stadl-Paura",
          "Steyr",
          "Steyregg",
          "Steyrermuhl",
          "Thalheim",
          "Timelkam",
          "Traun",
          "Vocklabruck",
          "Vocklamarkt",
          "Vorchdorf",
          "Wels",
          "Wilhering"
        ]),
        States(name: "Oberosterreich", cities: [
          "Abtenau",
          "Anif",
          "Bad Gastein",
          "Bad Hofgastein",
          "Bergheim",
          "Bischofshofen",
          "Bruck an der GroBglocknerstraB",
          "Burmoos",
          "Elsbethen",
          "Eugendorf",
          "Forstau",
          "Grodig",
          "Hallein",
          "Hallwang",
          "Henndorf",
          "Kuchl",
          "Mayrhofen",
          "Mittersill",
          "Neumarkt",
          "Oberndorf",
          "Obertrum am See",
          "Piesendorf",
          "Puch",
          "Radstadt",
          "Saalfelden",
          "Salzburg",
          "Sankt Johann im Pongau",
          "Seekirchen",
          "Sieghartskirchen",
          "StraBwalchen",
          "Strobl",
          "Tamsweg",
          "Thalgau",
          "Wals-Siezenheim",
          "Wolfgangsee",
          "Zell am See"
        ]),
        States(name: "Salzburg", cities: ["Albersdorf"]),
        States(name: "Schleswig-Holstein", cities: [
          "Bad Aussee",
          "Barnbach",
          "Bruck an der Mur",
          "Deutschlandsberg",
          "Eisenerz",
          "Feldbach",
          "Feldkirchen bei Graz",
          "Fohnsdorf",
          "Frohnleiten",
          "Furstenfeld",
          "Gleisdorf",
          "Gratkorn",
          "Graz",
          "Hartberg",
          "Judenburg",
          "Judendorf-StraBengel",
          "Kapfenberg",
          "Karlsdorf",
          "Kindberg",
          "Knittelfeld",
          "Koflach",
          "Krieglach",
          "Lannach",
          "Leibnitz",
          "Leoben",
          "Liezen",
          "Murzzuschlag",
          "Rottenmann",
          "Schladming",
          "Seiersberg",
          "Spielberg",
          "Trofaiach",
          "Voitsberg",
          "Wagna",
          "Weiz",
          "Zeltweg"
        ]),
        States(
            name: "Steiermark",
            cities: ["Deutschfeistritz", "Liezen", "Sankt Bartholoma"]),
        States(name: "Styria", cities: [
          "Absam",
          "Axams",
          "Ebbs",
          "Fugen",
          "Hall",
          "Haselgehr",
          "Hopfgarten",
          "Imst",
          "Innsbruck",
          "Jenbach",
          "Kirchberg",
          "Kirchbichl",
          "Kitzbuhel",
          "Kramsach",
          "Kufstein",
          "Landeck",
          "Lienz",
          "Matrei",
          "Neustift im Stubaital",
          "Reutte",
          "Rum",
          "Sankt Johann in Tirol",
          "Scheffau",
          "Schwaz",
          "St. Johann Am Walde",
          "Telfs",
          "Vols",
          "Vomp",
          "Wattens",
          "Worgl",
          "Zirl"
        ]),
        States(name: "Tirol", cities: []),
        States(name: "Upper Austria", cities: [
          "Altach",
          "Bludenz",
          "Bregenz",
          "Chassieu",
          "Dietmannsried",
          "Dornbirn",
          "Feldkirch",
          "Frastanz",
          "Gotzis",
          "Hard",
          "Hochst",
          "Hohenems",
          "Horbranz",
          "Hufingen",
          "Lauterach",
          "Lochau",
          "Lustenau",
          "Mittelberg",
          "Nenzing",
          "Nuziders",
          "Rankweil",
          "Schruns",
          "Thuringen",
          "Wolfurt"
        ]),
        States(name: "Vorarlberg", cities: ["Vienna", "Wien"]),
        States(name: "Wien", cities: [
          "Alat",
          "Artyom",
          "Baki",
          "Bakixanov",
          "Balaxani",
          "Bilacari",
          "Bilqax",
          "Bina",
          "Buzovna",
          "Haci Zeynalabdin",
          "Hovsan",
          "Lokbatan",
          "Mastaga",
          "Puta",
          "Qarasuxur",
          "Qobustan",
          "Rasulzada",
          "Sabuncu",
          "Sanqacal",
          "Sumqayit",
          "Suraxani",
          "Xirdalan",
          "Zirya"
        ])
      ]),
  Country(
      name: "Azerbaijan",
      flag: "🇦🇿",
      code: "AZ",
      dialCode: "994",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Abseron", cities: []),
        States(name: "Baki Sahari", cities: ["Daskasan", "Ganca", "Xanlar"]),
        States(name: "Ganca", cities: ["Ganja"]),
        States(name: "Ganja", cities: ["Cabrayil", "Kalbacar", "Lacin"]),
        States(
            name: "Kalbacar",
            cities: ["Astara", "Goytapa", "Lankaran", "Masalli", "Neftcala"]),
        States(name: "Lankaran", cities: [
          "Agcabadi",
          "Agdam",
          "Barda",
          "Mingacevir",
          "Tartar",
          "Yevlax"
        ]),
        States(name: "Mil-Qarabax", cities: [
          "Ali Bayramli",
          "Bilasuvar",
          "Calilabad",
          "Qarasu",
          "Qazimammad",
          "Saatli",
          "Sabirabad",
          "Salyan"
        ]),
        States(name: "Mugan-Salyan", cities: ["Susa", "Xankandi", "Xocavand"]),
        States(
            name: "Nagorni-Qarabax",
            cities: ["Culfa", "Naxcivan", "Ordubad", "Sadarak", "Sarur"]),
        States(name: "Naxcivan", cities: ["Beylaqan", "Fuzuli", "Imisli"]),
        States(name: "Priaraks", cities: [
          "Agstafa",
          "Gadabay",
          "Kovlar",
          "Qaracamirli",
          "Qazax",
          "Samkir",
          "Tovuz"
        ]),
        States(name: "Qazax", cities: [
          "Amircan",
          "Balakan",
          "Katex",
          "Oguz",
          "Qabala",
          "Qax",
          "Saki",
          "Zaqatala"
        ]),
        States(name: "Saki", cities: [
          "Agdas",
          "Agsu",
          "Goycay",
          "Ismayilli",
          "Kurdamir",
          "Samaxi",
          "Ucar",
          "Zardab"
        ]),
        States(
            name: "Sirvan",
            cities: ["Davaci", "Quba", "Qusar", "Siyazan", "Xacmaz", "Xudat"]),
        States(name: "Xacmaz", cities: ["Coopers Town", "Marsh Harbour"])
      ]),
  Country(
      name: "Bahamas",
      flag: "🇧🇸",
      code: "BS",
      dialCode: "1242",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Abaco", cities: []),
        States(name: "Acklins Island", cities: ["Andros Town", "Nicholls Town"]),
        States(name: "Andros", cities: []),
        States(name: "Berry Islands", cities: ["Alice Town"]),
        States(name: "Biminis", cities: []),
        States(name: "Cat Island", cities: []),
        States(name: "Crooked Island", cities: ["Freetown", "Rock Sound"]),
        States(name: "Eleuthera", cities: []),
        States(name: "Exuma and Cays", cities: []),
        States(name: "Grand Bahama", cities: []),
        States(name: "Inagua Islands", cities: []),
        States(name: "Long Island", cities: ["Pirates Well"]),
        States(name: "Mayaguana", cities: []),
        States(name: "New Providence", cities: []),
        States(name: "Ragged Island", cities: []),
        States(name: "Rum Cay", cities: []),
        States(name: "San Salvador", cities: ["Isa"])
      ]),
  Country(
      name: "Bahrain",
      flag: "🇧🇭",
      code: "BH",
      dialCode: "973",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Isa", cities: ["Badiyah"]),
        States(name: "Badiyah", cities: ["Hidd"]),
        States(name: "Hidd", cities: []),
        States(name: "Jidd Hafs", cities: ["Mahama"]),
        States(name: "Mahama", cities: ["Manama"]),
        States(name: "Manama", cities: ["Sitrah"]),
        States(name: "Sitrah", cities: ["al-Manamah"]),
        States(name: "al-Manamah", cities: ["al-Muharraq"]),
        States(name: "al-Muharraq", cities: ["ar-Rifa\\'\\'a"]),
        States(name: "ar-Rifa\\'\\'a", cities: [])
      ]),
  Country(
      name: "Bangladesh",
      flag: "🇧🇩",
      code: "BD",
      dialCode: "880",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Bagar Hat", cities: ["Bandarban"]),
        States(name: "Bandarban", cities: ["Barguna"]),
        States(
            name: "Barguna",
            cities: ["Barisal", "Gaurnadi", "Mehendiganj", "Nalchiti"]),
        States(
            name: "Barisal",
            cities: ["Bhola", "Burhanuddin", "Char Fasson", "Lalmohan"]),
        States(name: "Bhola", cities: ["Adamighi", "Bogora", "Sherpur"]),
        States(name: "Bogora", cities: []),
        States(name: "Brahman Bariya", cities: ["Chandpur", "Hajiganj"]),
        States(name: "Chandpur", cities: [
          "Boalkhali",
          "Chattagam",
          "Fatikchhari",
          "Lohagara",
          "Patiya",
          "Rangunia",
          "Raozan",
          "Sandip",
          "Satkaniya"
        ]),
        States(name: "Chattagam", cities: []),
        States(
            name: "Chittagong Division",
            cities: ["Alamdanga", "Chuadanga", "Damurhuda"]),
        States(name: "Chuadanga", cities: ["Dhaka", "Dhamrai", "Dohar"]),
        States(
            name: "Dhaka",
            cities: ["Bochanganj", "Dinajpur", "Fulbari", "Parbatipur"]),
        States(
            name: "Dinajpur", cities: ["Bhanga", "Char Bhadrasan", "Faridpur"]),
        States(name: "Faridpur", cities: ["Chhagalnaiya", "Feni"]),
        States(name: "Feni", cities: ["Gaybanda"]),
        States(name: "Gaybanda", cities: ["Gazipur", "Tungi"]),
        States(name: "Gazipur", cities: ["Gopalganj", "Tungi Para"]),
        States(name: "Gopalganj", cities: ["Baniachang", "Habiganj"]),
        States(name: "Habiganj", cities: []),
        States(name: "Jaipur Hat", cities: ["Jamalpur", "Sarishabari"]),
        States(
            name: "Jamalpur",
            cities: ["Abhaynagar", "Jessor", "Jhikargachha", "Keshabpur"]),
        States(name: "Jessor", cities: ["Jhalakati"]),
        States(
            name: "Jhalakati",
            cities: ["Jhanaydah", "Kaliganj", "Kotchandpur", "Shailkupa"]),
        States(
            name: "Jhanaydah",
            cities: ["Khagrachari", "Manikchhari", "Ramgarh"]),
        States(name: "Khagrachhari", cities: ["Khulna", "Phultala"]),
        States(
            name: "Khulna",
            cities: ["Bajitpur", "Bhairab Bazar", "Itna", "Kishorganj"]),
        States(name: "Kishorganj", cities: []),
        States(name: "Koks Bazar", cities: ["Komilla", "Laksham"]),
        States(
            name: "Komilla",
            cities: ["Chilmari", "Kurigram", "Nageshwari", "Ulipur"]),
        States(name: "Kurigram", cities: ["Bheramara", "Kushtiya"]),
        States(
            name: "Kushtiya",
            cities: ["Lakshmipur", "Ramganj", "Ramgati", "Raypur"]),
        States(name: "Lakshmipur", cities: []),
        States(name: "Lalmanir Hat", cities: ["Madaripur"]),
        States(name: "Madaripur", cities: ["Magura"]),
        States(name: "Magura", cities: [
          "Bhaluka",
          "Fulbaria",
          "Gafargaon",
          "Ishwarganj",
          "Maimansingh",
          "Muktagachha",
          "Trishal"
        ]),
        States(name: "Maimansingh", cities: ["Manikganj"]),
        States(name: "Manikganj", cities: []),
        States(name: "Maulvi Bazar", cities: ["Meherpur"]),
        States(name: "Meherpur", cities: ["Munshiganj"]),
        States(name: "Munshiganj", cities: ["Kalia", "Naral"]),
        States(name: "Naral", cities: ["Narayanganj", "Rupganj"]),
        States(name: "Narayanganj", cities: ["Narsingdi", "Roypura"]),
        States(name: "Narsingdi", cities: ["Gurudaspur", "Nator"]),
        States(name: "Nator", cities: ["Naugaon"]),
        States(name: "Naugaon", cities: ["Gomastapur", "Nawabganj", "Shibganj"]),
        States(name: "Nawabganj", cities: ["Netrakona"]),
        States(
            name: "Netrakona",
            cities: ["Domar", "Nilphamari", "Sa\\'\\'idpur"]),
        States(name: "Nilphamari", cities: ["Begamganj", "Noakhali", "Senbagh"]),
        States(
            name: "Noakhali", cities: ["Bera", "Bhangura", "Ishurdi", "Pabna"]),
        States(name: "Pabna", cities: ["Panchagarh"]),
        States(name: "Panchagarh", cities: ["Patuakhali"]),
        States(
            name: "Patuakhali",
            cities: ["Bhandaria", "Mathbaria", "Nesarabad", "Pirojpur"]),
        States(name: "Pirojpur", cities: ["Pangsha", "Rajbari"]),
        States(name: "Rajbari", cities: ["Rajshahi"]),
        States(name: "Rajshahi", cities: ["Kaptai", "Rangamati"]),
        States(name: "Rangamati", cities: ["Badarganj", "Kaunia", "Rangpur"]),
        States(name: "Rangpur", cities: ["Satkhira"]),
        States(name: "Satkhira", cities: ["Palang"]),
        States(name: "Shariatpur", cities: ["Nalitabari", "Sherpur"]),
        States(name: "Sherpur", cities: ["Silhat"]),
        States(name: "Silhat", cities: ["Shahjadpur", "Sirajganj"]),
        States(name: "Sirajganj", cities: ["Chhatak", "Sunamganj"]),
        States(
            name: "Sunamganj",
            cities: ["Gopalpur", "Mirzapur", "Sakhipur", "Tangayal"]),
        States(name: "Tangayal", cities: ["Pirganj", "Thakurgaon"]),
        States(name: "Thakurgaon", cities: [])
      ]),
  Country(
      name: "Barbados",
      flag: "🇧🇧",
      code: "BB",
      dialCode: "1246",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Christ Church", cities: []),
        States(name: "Saint Andrew", cities: []),
        States(name: "Saint George", cities: []),
        States(name: "Saint James", cities: []),
        States(name: "Saint John", cities: []),
        States(name: "Saint Joseph", cities: []),
        States(name: "Saint Lucy", cities: []),
        States(name: "Saint Michael", cities: []),
        States(name: "Saint Peter", cities: []),
        States(name: "Saint Philip", cities: []),
        States(name: "Saint Thomas", cities: [
          "Baranavichy",
          "Bjaroza",
          "Bjeloozersk",
          "Brest",
          "David-Haradok",
          "Drahichyn",
          "Hancavichy",
          "Ivacevichy",
          "Ivanava",
          "Kamjenec",
          "Kobryn",
          "Kosava",
          "Ljahavichy",
          "Luninjec",
          "Malaryta",
          "Mikashevichy",
          "Pinsk",
          "Pruzhany",
          "Stolin",
          "Vysokoje",
          "Zhabinka"
        ])
      ]),
  Country(
      name: "Belarus",
      flag: "🇧🇾",
      code: "BY",
      dialCode: "375",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Brest", cities: [
          "Buda Kosheljovo",
          "Chechersk",
          "Dobrush",
          "Hojniki",
          "Homjel",
          "Jel\\'\\'sk",
          "Kalinkavichy",
          "Kascjukovka",
          "Mazyr",
          "Narovlja",
          "Pjetrykav",
          "Rahachow",
          "Rechyca",
          "Svetlahorsk",
          "Vasilevichy",
          "Vjetka",
          "Zhlobin",
          "Zhytkavichy"
        ]),
        States(name: "Homjel", cities: [
          "Ashmjany",
          "Berjozovka",
          "Hrodna",
          "Lida",
          "Masty",
          "Navahrudak",
          "Shchuchyn",
          "Skidel",
          "Slonim",
          "Smarhon",
          "Vawkavysk"
        ]),
        States(name: "Hrodna", cities: [
          "Asipovichy",
          "Babrujsk",
          "Byhau",
          "Chausy",
          "Cherikov",
          "Horki",
          "Kascjukovichy",
          "Klimavichy",
          "Krychaw",
          "Mahiljow",
          "Mstislav",
          "Shklov",
          "Slaeuharad"
        ]),
        States(name: "Mahiljow", cities: []),
        States(name: "Mahilyowskaya Voblasts", cities: ["Minsk"]),
        States(name: "Minsk", cities: []),
        States(name: "Minskaja Voblasts", cities: ["Petrikov"]),
        States(name: "Petrik", cities: [
          "Baran",
          "Braslav",
          "Chashniki",
          "Disna",
          "Dokshicy",
          "Dubrovna",
          "Haradok",
          "Hlybokaje",
          "Ljepjel",
          "Mjory",
          "Navapolack",
          "Novalukoml",
          "Orsha",
          "Pastavy",
          "Polack",
          "Polotsk",
          "Senno",
          "Talachyn",
          "Verhnjadzvimsk",
          "Vicebsk"
        ]),
        States(name: "Vicebsk", cities: [
          "Aartselaar",
          "Antwerpen",
          "Arendonk",
          "Baarle-Hertog",
          "Balen",
          "Beerse",
          "Berlaar",
          "Boechout",
          "Bonheiden",
          "Boom",
          "Bornem",
          "Borsbeek",
          "Brasschaat",
          "Brecht",
          "Dessel",
          "Deurne",
          "Duffel",
          "Edegem",
          "Ekeren",
          "Essen",
          "Geel",
          "Geluvele",
          "Grobbendonk",
          "Heist-op-den-Berg",
          "Hemiksem",
          "Herentals",
          "Herenthout",
          "Herselt",
          "Hoogstraten",
          "Hove",
          "Hulshout",
          "Kalmpthout",
          "Kalmthout",
          "Kapellen",
          "Kasterlee",
          "Kontich",
          "Laakdal",
          "Lier",
          "Lille",
          "Lint",
          "Malle",
          "Mechelen",
          "Meerhout",
          "Merksplas",
          "Mol",
          "Mortsel",
          "Niel",
          "Nijlen",
          "Olen",
          "Oud-Turnhout",
          "Putte",
          "Puurs",
          "Ranst",
          "Ravels",
          "Retie",
          "Rijkevorsel",
          "Robrechts",
          "Rumst",
          "Schelle",
          "Schilde",
          "Schoten",
          "Sint-Amands",
          "Sint-Katelijne-Waver",
          "Stabroek",
          "Turnhout",
          "Vorselaar",
          "Vosselaar",
          "Westerlo",
          "Wijnegem",
          "Willebroek",
          "Wilrijk",
          "Wommelgem",
          "Wuustwezel",
          "Zandhoven",
          "Zoersel",
          "Zwijndrecht"
        ])
      ]),
  Country(
      name: "Belgium",
      flag: "🇧🇪",
      code: "BE",
      dialCode: "32",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Antwerpen", cities: ["Berchem"]),
        States(name: "Berchem", cities: [
          "Alsemberg",
          "Asse Zellik",
          "Brussels",
          "Bruxelles",
          "Diegem"
        ]),
        States(name: "Brabant", cities: [
          "Alsemberg",
          "Asse Zellik",
          "Brussels",
          "Bruxelles",
          "Diegem"
        ]),
        States(name: "Brabant Wallon", cities: ["Brussel"]),
        States(name: "Brussel", cities: []),
        States(name: "East Flanders", cities: [
          "Aiseau-Presles",
          "Anderlues",
          "Antoing",
          "Ath",
          "Beaumont",
          "Beloeil",
          "Bernissart",
          "Binche",
          "Boussu",
          "Braine-le-Comte",
          "Brugelette",
          "Brunehaut",
          "Celles",
          "Chapelle-lez-Herlaimont",
          "Charleroi",
          "Chatelet",
          "Chievres",
          "Chimay",
          "Colfontaine",
          "Comines-Warneton",
          "Courcelles",
          "Dour",
          "Ecaussinnes",
          "Ellezelles",
          "Enghien",
          "Erquelinnes",
          "Estaimpuis",
          "Estinnes",
          "Farciennes",
          "Fleurus",
          "Flobecq",
          "Fontaine-l\\'\\'Eveque",
          "Frameries",
          "Frasnes-lez-Anvaing",
          "Froidchapelle",
          "Gerpinnes",
          "Haine-Saint-Pierre",
          "Ham-sur-Heure-Nalinnes",
          "Hensies",
          "Honnelles",
          "Jurbise",
          "La Louviere",
          "Le Roeulx",
          "Lens",
          "Les Bons Villers",
          "Lessines",
          "Leuze-en-Hainaut",
          "Lobbes",
          "Manage",
          "Merbes-le-Chateau",
          "Momignies",
          "Mons",
          "Mont-de-l\\'\\'Enclus",
          "Montigny-le-Tilleul",
          "Morlanwelz",
          "Mouscron",
          "Pecq",
          "Peruwelz",
          "Pont-a-Celles",
          "Quaregnon",
          "Quevy",
          "Quievrain",
          "Rumes",
          "Saint-Ghislain",
          "Seneffe",
          "Silly",
          "Sivry-Rance",
          "Soignies",
          "Thuin",
          "Tournai"
        ]),
        States(name: "Hainaut", cities: [
          "Amay",
          "Amel",
          "Angleur",
          "Ans",
          "Anthisnes",
          "Aubel",
          "Awans",
          "Aywaille",
          "Baelen",
          "Bassenge",
          "Berloz",
          "Beyne-Heusay",
          "Blegny",
          "Braives",
          "Bullingen",
          "Burdinne",
          "Burg-Reuland",
          "Butgenbach",
          "Chaudfontaine",
          "Clavier",
          "Comblain-au-Pont",
          "Crisnee",
          "Dalhem",
          "Dison",
          "Donceel",
          "Engis",
          "Esneux",
          "Eupen",
          "Faimes",
          "Ferrieres",
          "Fexhe-le-Haut-Clocher",
          "Flemalle",
          "Fleron",
          "Geer",
          "Grace-Hollogne",
          "Hamoir",
          "Hannut",
          "Heron",
          "Herstal",
          "Herve",
          "Huy",
          "Jalhay",
          "Juprelle",
          "Kelmis",
          "Liege",
          "Lierneux",
          "Limbourg",
          "Lincent",
          "Lontzen",
          "Malmedy",
          "Marchin",
          "Modave",
          "Montzen",
          "Nandrin",
          "Neupre",
          "Olne",
          "Oreye",
          "Ouffet",
          "Oupeye",
          "Pepinster",
          "Plombieres",
          "Racour",
          "Raeren",
          "Remicourt",
          "Saint-Georges-sur-Meuse",
          "Saint-Nicolas",
          "Sankt Vith",
          "Seraing",
          "Soumagne",
          "Spa",
          "Sprimont",
          "Stavelot",
          "Stoumont",
          "Theux",
          "Thimister-Clermont",
          "Tinlot",
          "Trois-Ponts",
          "Trooz",
          "Verlaine",
          "Verviers",
          "Villers-le-Bouillet",
          "Vise",
          "Waimes",
          "Wanze",
          "Waremme",
          "Wasseiges",
          "Welkenraedt"
        ]),
        States(name: "Liege", cities: [
          "Alken",
          "As",
          "Beringen",
          "Bilzen",
          "Bocholt",
          "Borgloon",
          "Bree",
          "Diepenbeek",
          "Dilsen-Stokkem",
          "Genk",
          "Gingelom",
          "Halen",
          "Ham",
          "Hamont-Achel",
          "Hasselt",
          "Hechtel-Eksel",
          "Heers",
          "Herk-de-Stad",
          "Herstappe",
          "Heusden-Zolder",
          "Hoeselt",
          "Houthalen-Helchteren",
          "Kinrooi",
          "Kortessem",
          "Kuringen",
          "Lanaken",
          "Leopoldsburg",
          "Lommel",
          "Lummen",
          "Maaseik",
          "Maasmechelen",
          "Meeuwen-Gruitrode",
          "Neerpelt",
          "Nieuwerkerken",
          "Opglabbeek",
          "Overpelt",
          "Peer",
          "Riemst",
          "Sint-Truiden",
          "Tessenderlo",
          "Tongeren",
          "Voeren",
          "Wellen",
          "Zonhoven",
          "Zutendaal"
        ]),
        States(name: "Limburg", cities: [
          "Arlon",
          "Attert",
          "Aubange",
          "Bastogne",
          "Bertogne",
          "Bertrix",
          "Bouillon",
          "Chiny",
          "Daverdisse",
          "Durbuy",
          "Erezee",
          "Etalle",
          "Fauvillers",
          "Florenville",
          "Gouvy",
          "Grapfontaine",
          "Habay",
          "Herbeumont",
          "Hotton",
          "Houffalize",
          "La Roche-en-Ardenne",
          "Leglise",
          "Libin",
          "Libramont-Chevigny",
          "Manhay",
          "Marche-en-Famenne",
          "Marloie",
          "Martelange",
          "Meix-devant-Virton",
          "Messancy",
          "Musson",
          "Nassogne",
          "Neufchateau",
          "Paliseul",
          "Rendeux",
          "Rouvroy",
          "Saint-Hubert",
          "Saint-Leger",
          "Sainte-Ode",
          "Tellin",
          "Tenneville",
          "Tintigny",
          "Vaux-sur-Sure",
          "Vielsalm",
          "Virton",
          "Wellin"
        ]),
        States(name: "Luxembourg", cities: [
          "Andenne",
          "Anhee",
          "Assesse",
          "Beauraing",
          "Bievre",
          "Cerfontaine",
          "Ciney",
          "Couvin",
          "Dinant",
          "Doische",
          "Eghezee",
          "Fernelmont",
          "Floreffe",
          "Florennes",
          "Fosses-la-Ville",
          "Gedinne",
          "Gembloux",
          "Gesves",
          "Hamois",
          "Hastiere",
          "Havelange",
          "Houyet",
          "Jambes",
          "Jemeppe-sur-Sambre",
          "La Bruyere",
          "Malonne",
          "Mettet",
          "Namur",
          "Ohey",
          "Onhaye",
          "Philippeville",
          "Profondeville",
          "Rochefort",
          "Sambreville",
          "Sombreffe",
          "Somme-Leuze",
          "Suarlee",
          "Viroinval",
          "Vresse-sur-Semois",
          "Walcourt",
          "Yvoir"
        ]),
        States(name: "Namur", cities: ["Gullegem", "Langdorp"]),
        States(name: "Ontario", cities: [
          "Aalst",
          "Aalter",
          "Assenede",
          "Berlare",
          "Beveren",
          "Brakel",
          "Buggenhout",
          "De Pinte",
          "Deinze",
          "Denderleeuw",
          "Dendermonde",
          "Destelbergen",
          "Drongen",
          "Eeklo",
          "Erembodegem",
          "Erpe-Mere",
          "Evergem",
          "Gavere",
          "Gent",
          "Geraardsbergen",
          "Ghent",
          "Haaltert",
          "Hamme",
          "Herzele",
          "Horebeke",
          "Kaprijke",
          "Kerksken",
          "Kluisbergen",
          "Knesselare",
          "Kruibeke",
          "Kruishoutem",
          "Laarne",
          "Lebbeke",
          "Lede",
          "Lierde",
          "Lochristi",
          "Lokeren",
          "Lovendegem",
          "Maarkedal",
          "Maldegem",
          "Melle",
          "Merelbeke",
          "Moerbeke",
          "Nazareth",
          "Nevele",
          "Ninove",
          "Oosterzele",
          "Oudenaarde",
          "Ronse",
          "Semmerzake",
          "Sint-Gillis-Waas",
          "Sint-Laureins",
          "Sint-Lievens-Houtem",
          "Sint-Martens-Latem",
          "Sint-Niklaas",
          "Stekene",
          "Temse",
          "Waarschoot",
          "Waasmunster",
          "Wachtebeke",
          "Wetteren",
          "Wichelen",
          "Wortegem-Petegem",
          "Zele",
          "Zelzate",
          "Zingem",
          "Zomergem",
          "Zottegem",
          "Zulte",
          "Zwalm",
          "Zwijnaarde"
        ]),
        States(name: "Oost-Vlaanderen", cities: []),
        States(name: "Provincie Brabant", cities: [
          "Aarschot",
          "Affligem",
          "Asse",
          "Beersel",
          "Begijnendijk",
          "Bekkevoort",
          "Bertem",
          "Bever",
          "Bierbeek",
          "Boortmeerbeek",
          "Boutersem",
          "Diest",
          "Dilbeek",
          "Drogenbos",
          "Galmaarden",
          "Geetbets",
          "Glabbeek",
          "Gooik",
          "Grimbergen",
          "Haacht",
          "Halle",
          "Herent",
          "Herne",
          "Hoegaarden",
          "Hoeilaart",
          "Holsbeek",
          "Huldenberg",
          "Kampenhout",
          "Kapelle-op-den-Bos",
          "Keerbergen",
          "Kortenaken",
          "Kortenberg",
          "Kraainem",
          "Landen",
          "Lennik",
          "Leuven",
          "Liedekerke",
          "Linkebeek",
          "Linter",
          "Londerzeel",
          "Lubbeek",
          "Machelen",
          "Meise",
          "Merchtem",
          "Opwijk",
          "Oud-Heverlee",
          "Overijse",
          "Pepingen",
          "Roosdaal",
          "Rotselaar",
          "Scherpenheuvel-Zichem",
          "Sint-Genesius-Rode",
          "Sint-Pieters-Leeuw",
          "Steenokkerzeel",
          "Ternat",
          "Tervuren",
          "Tielt-Winge",
          "Tienen",
          "Tremelo",
          "Vilvoorde",
          "Wemmel",
          "Wezembeek-Oppem",
          "Zaventem",
          "Zemst",
          "Zoutleeuw"
        ]),
        States(
            name: "Vlaams-Brabant",
            cities: ["Callenelle", "Marcinelle", "Strepy-Bracquegnies"]),
        States(name: "Wallonne", cities: [
          "Alveringem",
          "Anzegem",
          "Ardooie",
          "Avelgem",
          "Beernem",
          "Blankenberge",
          "Bredene",
          "Brugge",
          "Damme",
          "De Haan",
          "De Panne",
          "Deerlijk",
          "Dentergem",
          "Diksmuide",
          "Geluveld",
          "Gistel",
          "Harelbeke",
          "Heuvelland",
          "Hooglede",
          "Houthulst",
          "Ichtegem",
          "Ieper",
          "Ingelmunster",
          "Ingooigem",
          "Izegem",
          "Jabbeke",
          "Knokke-Heist",
          "Koekelare",
          "Koksijde",
          "Kortemark",
          "Kortrijk",
          "Kuurne",
          "Langemark-Poelkapelle",
          "Ledegem",
          "Lendelede",
          "Lichtervelde",
          "Lo-Reninge",
          "Menen",
          "Mesen",
          "Meulebeke",
          "Middelkerke",
          "Moorslede",
          "Nieuwpoort",
          "Oostende",
          "Oostkamp",
          "Oostrozebeke",
          "Oudenburg",
          "Pittem",
          "Poperinge",
          "Roeselare",
          "Ruiselede",
          "Spiere-Helkijn",
          "Staden",
          "Tielt",
          "Torhout",
          "Veurne",
          "Vleteren",
          "Waregem",
          "Wervik",
          "Wevelgem",
          "Wielsbeke",
          "Wingene",
          "Zedelgem",
          "Zeebrugge",
          "Zonnebeke",
          "Zuienkerke",
          "Zwevegem"
        ]),
        States(name: "West-Vlaanderen", cities: ["Belize", "San Pedro"])
      ]),
  Country(
      name: "Belize",
      flag: "🇧🇿",
      code: "BZ",
      dialCode: "501",
      minLength: 7,
      maxLength: 7,
      states: [
        States(
            name: "Belize",
            cities: ["Belmopan", "Benque Viejo", "San Ignacio"]),
        States(name: "Cayo", cities: ["Corozal"]),
        States(name: "Corozal", cities: []),
        States(name: "Orange Walk", cities: []),
        States(name: "Stann Creek", cities: ["Punta Gorda"]),
        States(name: "Toledo", cities: ["Kandi", "Malanville"])
      ]),
  Country(
      name: "Benin",
      flag: "🇧🇯",
      code: "BJ",
      dialCode: "229",
      minLength: 8,
      maxLength: 8,
      states: [
        States(
            name: "Alibori",
            cities: ["Batia", "Boukombe", "Kouande", "Natitingou"]),
        States(
            name: "Atacora",
            cities: ["Allada", "Cotonou", "Ouidah", "Tanguiete"]),
        States(
            name: "Atlantique",
            cities: ["Bembereke", "Nikki", "Parakou", "Tchaourou"]),
        States(name: "Borgou", cities: ["Dassa", "Savalou", "Save"]),
        States(name: "Collines", cities: ["Aplahoue", "Dogbo"]),
        States(name: "Couffo", cities: ["Djougou"]),
        States(name: "Donga", cities: ["Cotonou"]),
        States(
            name: "Littoral",
            cities: ["Athieme", "Come", "Grand Popo", "Lokossa"]),
        States(name: "Mono", cities: ["Adjohoun", "Porto Novo"]),
        States(name: "Oueme", cities: ["Ketou", "Pobe", "Sakete"]),
        States(
            name: "Plateau",
            cities: ["Abomey", "Bohicon", "Cove", "Zagnanado"]),
        States(name: "Zou", cities: ["Hamilton"])
      ]),
  Country(
      name: "Bermuda",
      flag: "🇧🇲",
      code: "BM",
      dialCode: "1441",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Hamilton", cities: []),
        States(name: "Saint George", cities: ["Jakar"])
      ]),
  Country(
      name: "Bhutan",
      flag: "🇧🇹",
      code: "BT",
      dialCode: "975",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Bumthang", cities: ["Chhukha", "Phuentsholing"]),
        States(name: "Chhukha", cities: ["Damphu"]),
        States(name: "Chirang", cities: ["Taga Dzong"]),
        States(name: "Daga", cities: ["Geylegphug"]),
        States(name: "Geylegphug", cities: ["Ha"]),
        States(name: "Ha", cities: ["Lhuntshi"]),
        States(name: "Lhuntshi", cities: ["Mongar"]),
        States(name: "Mongar", cities: ["Pemagatsel"]),
        States(name: "Pemagatsel", cities: ["Gasa", "Punakha"]),
        States(name: "Punakha", cities: ["Paro"]),
        States(name: "Rinpung", cities: ["Phuntsholing", "Samchi"]),
        States(name: "Samchi", cities: []),
        States(name: "Samdrup Jongkhar", cities: ["Shemgang"]),
        States(name: "Shemgang", cities: ["Tashigang"]),
        States(name: "Tashigang", cities: ["Thimphu", "Timphu"]),
        States(name: "Timphu", cities: ["Tongsa"]),
        States(name: "Tongsa", cities: ["Wangdiphodrang"]),
        States(name: "Wangdiphodrang", cities: [
          "Guayaramerin",
          "Magdalena",
          "Reyes",
          "Riberalta",
          "Rurrenabaque",
          "San Borja",
          "San Ignacio",
          "San Ramon",
          "Santa Ana",
          "Santa Rosa",
          "Trinidad"
        ])
      ]),
  Country(
      name: "Bolivia, Plurinational State of bolivia",
      flag: "🇧🇴",
      code: "BO",
      dialCode: "591",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Beni", cities: [
          "Camargo",
          "Monteagudo",
          "Muyupampa",
          "Padilla",
          "Sucre",
          "Tarabuco",
          "Villa Serano"
        ]),
        States(name: "Chuquisaca", cities: [
          "Aiquile",
          "Arani",
          "Capinota",
          "Chimore",
          "Cliza",
          "Cochabamba",
          "Colomi",
          "Entre Rios",
          "Irpa Irpa",
          "Ivirgarzama",
          "Mizque",
          "Punata",
          "Shinahota",
          "Sipe Sipe",
          "Tarata",
          "Ucurena"
        ]),
        States(name: "Cochabamba", cities: []),
        States(name: "La Paz", cities: [
          "Caracollo",
          "Challapata",
          "Eucaliptus",
          "Huanuni",
          "Machacamarca",
          "Oruro",
          "Poopo",
          "Santiago de Huari",
          "Totoral"
        ]),
        States(name: "Oruro", cities: ["Cobija"]),
        States(name: "Pando", cities: [
          "Atocha",
          "Betanzos",
          "Colquechaca",
          "Llallagua",
          "Potosi",
          "Santa Barbara",
          "Tupiza",
          "Uncia",
          "Uyuni",
          "Villazon"
        ]),
        States(name: "Potosi", cities: []),
        States(name: "Santa Cruz", cities: [
          "Bermejo",
          "Entre Rios",
          "San Lorenzo",
          "Tarija",
          "Villamontes",
          "Yacuiba"
        ]),
        States(name: "Tarija", cities: [])
      ]),
  Country(
      name: "Bosnia and Herzegovina",
      flag: "🇧🇦",
      code: "BA",
      dialCode: "387",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Federacija Bosna i Hercegovina", cities: []),
        States(name: "Republika Srpska", cities: [])
      ]),
  Country(
      name: "Botswana",
      flag: "🇧🇼",
      code: "BW",
      dialCode: "267",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Central Bobonong", cities: []),
        States(name: "Central Boteti", cities: []),
        States(name: "Central Mahalapye", cities: []),
        States(name: "Central Serowe-Palapye", cities: []),
        States(name: "Central Tutume", cities: [
          "Kachikau",
          "Kasane",
          "Kavimba",
          "Kazungula",
          "Lesoma",
          "Muchinje-Mabale",
          "Pandamatenga",
          "Pandamatenga Botswana Defence",
          "Parakarungu",
          "Satau"
        ]),
        States(name: "Chobe", cities: ["Francistown"]),
        States(name: "Francistown", cities: ["Gaborone"]),
        States(name: "Gaborone", cities: [
          "Bere",
          "Charles Hill",
          "Chobokwane",
          "Dekar",
          "East Hanahai",
          "Ghanzi",
          "Groote Laagte",
          "Kacgae",
          "Karakobis",
          "Kuke Quarantine Camp",
          "Kule",
          "Makunda",
          "Ncojane",
          "New Xade",
          "New Xanagas",
          "Qabo",
          "Tsootsha",
          "West Hanahai"
        ]),
        States(name: "Ghanzi", cities: ["Jwaneng"]),
        States(name: "Jwaneng", cities: []),
        States(name: "Kgalagadi North", cities: []),
        States(name: "Kgalagadi South", cities: [
          "Artisia",
          "Bokaa",
          "Dikgonye",
          "Dikwididi",
          "Kgomodiatshaba",
          "Khurutshe",
          "Leshibitse",
          "Mabalane",
          "Malolwane",
          "Malotwana Siding",
          "Matebeleng",
          "Mmamashia",
          "Mmathubudukwane",
          "Mochudi",
          "Modipane",
          "Morwa",
          "Oliphants Drift",
          "Oodi",
          "Pilane",
          "Ramonaka",
          "Ramotlabaki",
          "Rasesa",
          "Sikwane"
        ]),
        States(name: "Kgatleng", cities: [
          "Boatlaname",
          "Botlhapatlou",
          "Diagane",
          "Diphudugodu",
          "Diremogolo Lands",
          "Ditshegwane",
          "Ditshukudu",
          "Dumadumane",
          "Dutlwe",
          "Gabane",
          "Gakgatla",
          "Gakuto",
          "Galekgatshwane",
          "Gamodubu",
          "Gaphatshwa",
          "Hatsalatladi",
          "Kamenakwe",
          "Kaudwane",
          "Kgaphamadi",
          "Kgope",
          "Khekhenya-Chepetese",
          "Khudumelapye",
          "Kopong",
          "Kotolaname",
          "Kubung",
          "Kumakwane",
          "Kweneng",
          "Lentsweletau",
          "Lephepe",
          "Lesirane",
          "Letlhakeng",
          "Losilakgokong",
          "Maboane",
          "Mahetlwe",
          "Makabanyane-Dikgokong",
          "Malwelwe",
          "Mamhiko",
          "Manaledi",
          "Mantshwabisi",
          "Marejwane",
          "Masebele",
          "Medie",
          "Metsibotlhoko",
          "Metsimotlhaba",
          "Mmakanke",
          "Mmankgodi",
          "Mmanoko",
          "Mmokolodi",
          "Mmopane",
          "Mmopane Lands",
          "Mogoditshane",
          "Mogoditshane Botswana Defence",
          "Mogoditshane Lands",
          "Mogonono",
          "Molepolole",
          "Mononyane",
          "Monwane",
          "Morabane",
          "Morope",
          "Moshaweng",
          "Mosokotswe",
          "Motokwe",
          "Ngware",
          "Nkoyaphiri",
          "Ramaphatlhe",
          "Salajwe",
          "Serinane",
          "Sesung",
          "Shadishadi",
          "Sojwe",
          "Sorilatholo",
          "Suping",
          "Takatokwane",
          "Thamaga",
          "Thebephatshwa",
          "Tlowaneng",
          "Tsetseng",
          "Tswaane"
        ]),
        States(name: "Kweneng", cities: ["Lobatse"]),
        States(name: "Lobatse", cities: [
          "Bodibeng",
          "Boro",
          "Botlhatlogo",
          "Chanoga",
          "Chuchubega",
          "Daonara",
          "Ditshiping",
          "Habu",
          "Jao",
          "Kareng",
          "Katamaga",
          "Kgakge",
          "Khwai Camp",
          "Komana",
          "Legotlhwana",
          "Mababe",
          "Makalamabedi",
          "Matlapana",
          "Matsaudi",
          "Mawana",
          "Mokgalo-Haka",
          "Morutsha",
          "Nxharaga",
          "Phuduhudu",
          "Samodupi",
          "Sankuyo",
          "Sehithwa",
          "Semboyo",
          "Sexaxa",
          "Shakawe",
          "Shorobe",
          "Somela",
          "Toteng",
          "Tsanekona",
          "Tsao",
          "Xaxaba",
          "Xhobe"
        ]),
        States(name: "Ngamiland", cities: [
          "Bethel",
          "Borobadilepe",
          "Diabo",
          "Digawana",
          "Dikhukhung",
          "Dinatshana",
          "Dipotsana",
          "Ditlharapa",
          "Gamajalela",
          "Gasita",
          "Gathwane",
          "Good Hope",
          "Goora-seno",
          "Gopong",
          "Hebron",
          "Itholoke",
          "Kanaku",
          "Kangwe",
          "Kanye",
          "Keng",
          "Kgomokasitwa",
          "Kgoro",
          "Khakhea",
          "Khonkhwa",
          "Kokong",
          "Lehoko",
          "Lejwana",
          "Lekgolobotlo",
          "Leporung",
          "Logagane",
          "Lorolwana",
          "Lorwana",
          "Lotlhakane",
          "Lotlhakane West",
          "Mabule",
          "Mabutsane",
          "Madingwana",
          "Magoriapitse",
          "Magotlhawane",
          "Mahotshwane",
          "Maisane",
          "Makokwe",
          "Malokaganyane",
          "Manyana",
          "Maokane",
          "Marojane",
          "Maruswa",
          "Metlobo",
          "Metlojane",
          "Mmakgori",
          "Mmathethe",
          "Mogojogojo",
          "Mogonye",
          "Mogwalale",
          "Mokatako",
          "Mokgomane",
          "Mokhomba",
          "Molapowabojang",
          "Molete",
          "Morwamosu",
          "Moshaneng",
          "Moshupa",
          "Motlhwatse",
          "Motsentshe",
          "Musi",
          "Ngwatsau",
          "Ntlhantlhe",
          "Papatlo",
          "Phihitshwane",
          "Pitsana-Potokwe",
          "Pitsane",
          "Pitseng-Ralekgetho",
          "Pitshane Molopo",
          "Rakhuna",
          "Ralekgetho",
          "Ramatlabama",
          "Ranaka",
          "Sedibeng",
          "Segakwana",
          "Segwagwa",
          "Seherelela",
          "Sekhutlane",
          "Sekoma",
          "Selokolela",
          "Semane",
          "Sese",
          "Sesung",
          "Sheep Farm",
          "Tlhankane",
          "Tlhareseleele",
          "Tshidilamolomo",
          "Tshwaane",
          "Tsonyane",
          "Tswaaneng",
          "Tswagare-Lothoje-Lokalana",
          "Tswanyaneng"
        ]),
        States(name: "Ngwaketse", cities: []),
        States(name: "North East", cities: [
          "Beetsha",
          "Eretsha",
          "Etsha 1",
          "Etsha 13",
          "Etsha 6",
          "Etsha 8",
          "Etsha 9",
          "Gane",
          "Gonutsuga",
          "Gowe",
          "Gudingwa",
          "Gumare",
          "Ikoga",
          "Kajaja",
          "Kapotora Lands",
          "Kauxwhi",
          "Matswee",
          "Maun",
          "Moaha",
          "Mohembo East",
          "Mohembo West",
          "Mokgacha",
          "Ngarange",
          "Nokaneng",
          "Nxamasere",
          "Nxaunxau",
          "Nxwee",
          "Qangwa",
          "Roye",
          "Samochema",
          "Sekondomboro",
          "Sepopa",
          "Seronga",
          "Shaowe",
          "Tobere Lands",
          "Tubu",
          "Tubu Lands",
          "Xadau",
          "Xakao",
          "Xaxa",
          "Xhauga",
          "Xurube"
        ]),
        States(name: "Okavango", cities: ["Orapa"]),
        States(name: "Orapa", cities: []),
        States(name: "Selibe Phikwe", cities: []),
        States(name: "South East", cities: ["Sowa"]),
        States(name: "Sowa", cities: [])
      ]),
  Country(
      name: "Bouvet Island",
      flag: "🇧🇻",
      code: "BV",
      dialCode: "47",
      minLength: 15,
      maxLength: 15,
      states: [
        States(name: "Bouvet Island", cities: [
          "Acrelandia",
          "Brasileia",
          "Cruzeiro do Sul",
          "Epitaciolandia",
          "Feijo",
          "Mancio Lima",
          "Manoel Urbano",
          "Marechal Thaumaturgo",
          "Placido de Castro",
          "Porto Walter",
          "Rio Branco",
          "Rodrigues Alves",
          "Sena Madureira",
          "Senador Guiomard",
          "Tarauaca",
          "Xapuri"
        ])
      ]),
  Country(
      name: "Brazil",
      flag: "🇧🇷",
      code: "BR",
      dialCode: "55",
      minLength: 11,
      maxLength: 11,
      states: [
        States(name: "Acre", cities: [
          "Agua Branca",
          "Anadia",
          "Arapiraca",
          "Atalaia",
          "Barra de Santo Antonio",
          "Batalha",
          "Boca da Mata",
          "Cacimbinhas",
          "Cajueiro",
          "Campo Alegre",
          "Campo Grande",
          "Canapi",
          "Capela",
          "Coite do Noia",
          "Colonia Leopoldina",
          "Coruripe",
          "Craibas",
          "Delmiro Gouveia",
          "Dois Riachos",
          "Estrela de Alagoas",
          "Feira Grande",
          "Flexeiras",
          "Girau do Ponciano",
          "Ibateguara",
          "Igaci",
          "Igreja Nova",
          "Inhapi",
          "Joaquim Gomes",
          "Jundia",
          "Junqueiro",
          "Lagoa da Canoa",
          "Limoeiro de Anadia",
          "Maceio",
          "Major Isidoro",
          "Maragogi",
          "Maravilha",
          "Marechal Deodoro",
          "Maribondo",
          "Mata Grande",
          "Matriz de Camaragibe",
          "Messias",
          "Minador do Negrao",
          "Murici",
          "Novo Lino",
          "Olho d\\'\\'Agua das Flores",
          "Olivenca",
          "Palmeira dos Indios",
          "Pao de Acucar",
          "Passo de Camaragibe",
          "Penedo",
          "Piacabucu",
          "Pilar",
          "Piranhas",
          "Poco das Trincheiras",
          "Porto Calvo",
          "Porto Real do Colegio",
          "Quebrangulo",
          "Rio Largo",
          "Santana do Ipanema",
          "Santana do Mundau",
          "Sao Jose da Laje",
          "Sao Jose da Tapera",
          "Sao Luis do Quitunde",
          "Sao Miguel dos Campos",
          "Sao Sebastiao",
          "Satuba",
          "Senador Rui Palmeira",
          "Taquarana",
          "Teotonio Vilela",
          "Traipu",
          "Uniao dos Palmares",
          "Vicosa"
        ]),
        States(name: "Alagoas", cities: [
          "Amapa",
          "Laranjal do Jari",
          "Macapa",
          "Mazagao",
          "Oiapoque",
          "Santana"
        ]),
        States(name: "Amapa", cities: [
          "Alvaraes",
          "Anori",
          "Apui",
          "Autazes",
          "Barcelos",
          "Barreirinha",
          "Benjamin Constant",
          "Boca do Acre",
          "Borba",
          "Canutama",
          "Carauari",
          "Careiro",
          "Careiro da Varzea",
          "Coari",
          "Codajas",
          "Eirunepe",
          "Envira",
          "Fonte Boa",
          "Guajara",
          "Humaita",
          "Ipixuna",
          "Iranduba",
          "Itacoatiara",
          "Japura",
          "Jutai",
          "Labrea",
          "Manacapuru",
          "Manaquiri",
          "Manaus",
          "Manicore",
          "Maraa",
          "Maues",
          "Nhamunda",
          "Nova Olinda do Norte",
          "Novo Airao",
          "Novo Aripuana",
          "Parintins",
          "Pauini",
          "Rio Preto da Eva",
          "Santa Isabel do Rio Negro",
          "Santo Antonio do Ica",
          "Sao Gabriel da Cachoeira",
          "Sao Paulo de Olivenca",
          "Tabatinga",
          "Tapaua",
          "Tefe",
          "Tonantins",
          "Uarini",
          "Urucara",
          "Urucurituba"
        ]),
        States(name: "Amazonas", cities: [
          "Acajutiba",
          "Alagoinhas",
          "Amargosa",
          "Amelia Rodrigues",
          "America Dourada",
          "Anage",
          "Araci",
          "Aurelino Leal",
          "Baixa Grande",
          "Barra",
          "Barra da Estiva",
          "Barra do Choca",
          "Barreiras",
          "Belmonte",
          "Boa Vista do Tupim",
          "Bom Jesus da Lapa",
          "Boquira",
          "Brumado",
          "Buerarema",
          "Cachoeira",
          "Cacule",
          "Caetite",
          "Cafarnaum",
          "Camacan",
          "Camacari",
          "Camamu",
          "Campo Alegre de Lourdes",
          "Campo Formoso",
          "Canarana",
          "Canavieiras",
          "Candeias",
          "Candido Sales",
          "Cansancao",
          "Capim Grosso",
          "Caravelas",
          "Carinhanha",
          "Casa Nova",
          "Castro Alves",
          "Catu",
          "Cicero Dantas",
          "Cipo",
          "Coaraci",
          "Conceicao da Feira",
          "Conceicao do Almeida",
          "Conceicao do Coite",
          "Conceicao do Jacuipe",
          "Conde",
          "Coracao de Maria",
          "Coronel Joao Sa",
          "Correntina",
          "Cruz das Almas",
          "Curaca",
          "Dias d\\'\\'Avila",
          "Encruzilhada",
          "Entre Rios",
          "Esplanada",
          "Euclides da Cunha",
          "Eunapolis",
          "Feira de Santana",
          "Filadelfia",
          "Formosa do Rio Preto",
          "Gandu",
          "Guanambi",
          "Guaratinga",
          "Iacu",
          "Ibicarai",
          "Ibicui",
          "Ibipeba",
          "Ibirapitanga",
          "Ibirataia",
          "Ibotirama",
          "Iguai",
          "Ilheus",
          "Inhambupe",
          "Ipiau",
          "Ipira",
          "Iraquara",
          "Irara",
          "Irece",
          "Itabela",
          "Itaberaba",
          "Itabuna",
          "Itacare",
          "Itagi",
          "Itagiba",
          "Itajuipe",
          "Itamaraju",
          "Itambe",
          "Itanhem",
          "Itaparica",
          "Itapetinga",
          "Itapicuru",
          "Itarantim",
          "Itirucu",
          "Itiuba",
          "Itororo",
          "Ituacu",
          "Itubera",
          "Jacobina",
          "Jaguaquara",
          "Jaguarari",
          "Jequie",
          "Jeremoabo",
          "Jitauna",
          "Joao Dourado",
          "Juazeiro",
          "Jussara",
          "Laje",
          "Lapao",
          "Lauro de Freitas",
          "Livramento",
          "Macarani",
          "Macaubas",
          "Madre de Deus",
          "Mairi",
          "Maracas",
          "Maragogipe",
          "Marau",
          "Mascote",
          "Mata de Sao Joao",
          "Medeiros Neto",
          "Miguel Calmon",
          "Milagres",
          "Monte Santo",
          "Morro de Chapeu",
          "Mucuri",
          "Mundo Novo",
          "Muritiba",
          "Mutuipe",
          "Nazare",
          "Nova Soure",
          "Nova Vicosa",
          "Olindina",
          "Oliveira dos Brejinhos",
          "Palmas de Monte Alto",
          "Paramirim",
          "Paratinga",
          "Paripiranga",
          "Pau Brasil",
          "Paulo Afonso",
          "Pilao Arcado",
          "Pindobacu",
          "Piritiba",
          "Planalto",
          "Pocoes",
          "Pojuca",
          "Ponto Novo",
          "Porto Seguro",
          "Prado",
          "Presidente Tancredo Neves",
          "Queimadas",
          "Quijingue",
          "Rafael Jambeiro",
          "Remanso",
          "Riachao das Neves",
          "Riachao do Jacuipe",
          "Riacho de Santana",
          "Ribeira do Pombal",
          "Rio Real",
          "Ruy Barbosa",
          "Salvador",
          "Santa Cruz Cabralia",
          "Santa Ines",
          "Santa Maria da Vitoria",
          "Santa Rita de Cassia",
          "Santaluz",
          "Santana",
          "Santo Amaro",
          "Santo Antonio de Jesus",
          "Santo Estevao",
          "Sao Desiderio",
          "Sao Felipe",
          "Sao Francisco do Conde",
          "Sao Gabriel",
          "Sao Goncalo dos Campos",
          "Sao Sebastiao do Passe",
          "Saubara",
          "Seabra",
          "Senhor do Bonfim",
          "Sento Se",
          "Serra Dourada",
          "Serra do Ramalho",
          "Serrinha",
          "Simoes Filho",
          "Sobradinho",
          "Souto Soares",
          "Tanhacu",
          "Taperoa",
          "Tapiramuta",
          "Teixeira de Freitas",
          "Teofilandia",
          "Terra Nova",
          "Tremedal",
          "Tucano",
          "Uaua",
          "Ubaira",
          "Ubaitaba",
          "Ubata",
          "Una",
          "Urucuca",
          "Utinga",
          "Valenca",
          "Valente",
          "Vera Cruz",
          "Vitoria da Conquista",
          "Wenceslau Guimaraes",
          "Xique-Xique"
        ]),
        States(name: "Bahia", cities: [
          "Acarau",
          "Acopiara",
          "Amontada",
          "Aquiraz",
          "Aracati",
          "Aracoiaba",
          "Araripe",
          "Assare",
          "Aurora",
          "Barbalha",
          "Barro",
          "Barroquinha",
          "Baturite",
          "Beberibe",
          "Bela Cruz",
          "Boa Viagem",
          "Brejo Santo",
          "Camocim",
          "Campos Sales",
          "Caninde",
          "Carire",
          "Caririacu",
          "Cascavel",
          "Caucaia",
          "Cedro",
          "Chorozinho",
          "Coreau",
          "Crateus",
          "Crato",
          "Cruz",
          "Eusebio",
          "Farias Brito",
          "Forquilha",
          "Fortaleza",
          "Granja",
          "Guaiuba",
          "Guaraciaba do Norte",
          "Hidrolandia",
          "Horizonte",
          "Ibiapina",
          "Ico",
          "Iguatu",
          "Independencia",
          "Ipu",
          "Ipueiras",
          "Iraucuba",
          "Itaitinga",
          "Itapage",
          "Itapipoca",
          "Itarema",
          "Jaguaribe",
          "Jaguaruana",
          "Jardim",
          "Juazeiro do Norte",
          "Jucas",
          "Lavras da Mangabeira",
          "Limoeiro do Norte",
          "Maracanau",
          "Maranguape",
          "Marco",
          "Massape",
          "Mauriti",
          "Milagres",
          "Missao Velha",
          "Mombaca",
          "Morada Nova",
          "Nova Russas",
          "Novo Oriente",
          "Ocara",
          "Oros",
          "Pacajus",
          "Pacatuba",
          "Paracuru",
          "Paraipaba",
          "Parambu",
          "Pedra Branca",
          "Pentecoste",
          "Quixada",
          "Quixeramobim",
          "Quixere",
          "Redencao",
          "Reriutaba",
          "Russas",
          "Santa Quiteria",
          "Santana do Acarau",
          "Sao Benedito",
          "Sao Goncalo do Amarante",
          "Senador Pompeu",
          "Sobral",
          "Tabuleiro do Norte",
          "Tamboril",
          "Taua",
          "Tiangua",
          "Trairi",
          "Ubajara",
          "Umirim",
          "Uruburetama",
          "Varjota",
          "Varzea Alegre",
          "Vicosa do Ceara"
        ]),
        States(name: "Ceara", cities: []),
        States(name: "Distrito Federal", cities: []),
        States(name: "Espirito Santo", cities: []),
        States(name: "Estado de Sao Paulo", cities: [
          "Abadiania",
          "Acreuna",
          "Aguas Lindas de Goias",
          "Alexania",
          "Anapolis",
          "Anicuns",
          "Aparecida de Goiania",
          "Aragarcas",
          "Bela Vista de Goias",
          "Bom Jesus de Goias",
          "Buriti Alegre",
          "Cacu",
          "Caiaponia",
          "Caldas Novas",
          "Campos Belos",
          "Campos Verdes",
          "Carmo do Rio Verde",
          "Catalao",
          "Cavalcante",
          "Ceres",
          "Cidade Ocidental",
          "Cocalzinho de Coias",
          "Cristalina",
          "Crixas",
          "Doverlandia",
          "Edeia",
          "Firminopolis",
          "Formosa",
          "Goianapolis",
          "Goianesia",
          "Goiania",
          "Goianira",
          "Goias",
          "Goiatuba",
          "Guapo",
          "Hidrolandia",
          "Iaciara",
          "Indiara",
          "Inhumas",
          "Ipameri",
          "Ipora",
          "Itaberai",
          "Itapaci",
          "Itapirapua",
          "Itapuranga",
          "Itumbiara",
          "Jaragua",
          "Jatai",
          "Jussara",
          "Luziania",
          "Mara Rosa",
          "Minacu",
          "Mineiros",
          "Morrinhos",
          "Mozarlandia",
          "Neropolis",
          "Niquelandia",
          "Nova Crixas",
          "Novo Gama",
          "Orizona",
          "Padre Bernardo",
          "Palmeiras de Goias",
          "Parauna",
          "Petrolina de Goias",
          "Piracanjuba",
          "Piranhas",
          "Pirenopolis",
          "Pires do Rio",
          "Planaltina",
          "Pontalina",
          "Porangatu",
          "Posse",
          "Quirinopolis",
          "Rialma",
          "Rio Verde",
          "Rubiataba",
          "Santa Helena de Goias",
          "Santa Terezinha de Goias",
          "Santo Antonio do Descoberto",
          "Sao Domingos",
          "Sao Luis de Montes Belos",
          "Sao Miguel do Araguaia",
          "Sao Simao",
          "Senador Canedo",
          "Silvania",
          "Trindade",
          "Uruacu",
          "Uruana",
          "Valparaiso de Goias",
          "Vianopolis"
        ]),
        States(name: "Goias", cities: [
          "Acailandia",
          "Alcantara",
          "Aldeias Altas",
          "Alto Alegre do Pindare",
          "Amarante do Maranhao",
          "Anajatuba",
          "Araioses",
          "Arame",
          "Arari",
          "Bacabal",
          "Balsas",
          "Barra do Corda",
          "Barreirinhas",
          "Bequimao",
          "Bom Jardim",
          "Brejo",
          "Buriti",
          "Buriti Bravo",
          "Buriticupu",
          "Candido Mendes",
          "Cantanhede",
          "Carolina",
          "Carutapera",
          "Caxias",
          "Chapadinha",
          "Codo",
          "Coelho Neto",
          "Colinas",
          "Coroata",
          "Cururupu",
          "Davinopolis",
          "Dom Pedro",
          "Esperantinopolis",
          "Estreito",
          "Fortuna",
          "Godofredo Viana",
          "Governador Eugenio Barros",
          "Governador Nunes Freire",
          "Grajau",
          "Humberto de Campos",
          "Icatu",
          "Imperatriz",
          "Itapecuru Mirim",
          "Itinga do Maranhao",
          "Joao Lisboa",
          "Lago da Pedra",
          "Lago do Junco",
          "Maracacume",
          "Matinha",
          "Matoes",
          "Mirador",
          "Miranda do Norte",
          "Moncao",
          "Montes Altos",
          "Morros",
          "Nova Olinda do Maranhao",
          "Olho d\\'\\'Agua das Cunhas",
          "Paco do Lumiar",
          "Paraibano",
          "Parnarama",
          "Passagem Franca",
          "Pastos Bons",
          "Paulo Ramos",
          "Pedreiras",
          "Penalva",
          "Pindare Mirim",
          "Pinheiro",
          "Pio XII",
          "Pirapemas",
          "Pocao de Pedras",
          "Porto Franco",
          "Presidente Dutra",
          "Raposa",
          "Riachao",
          "Rosario",
          "Santa Helena",
          "Santa Ines",
          "Santa Luzia",
          "Santa Luzia do Parua",
          "Santa Quiteria do Maranhao",
          "Santa Rita",
          "Sao Benedito do Rio Preto",
          "Sao Bento",
          "Sao Bernardo",
          "Sao Domingos do Maranhao",
          "Sao Joao Batista",
          "Sao Joao dos Patos",
          "Sao Jose de Ribamar",
          "Sao Luis",
          "Sao Luis Gonzaga do Maranhao",
          "Sao Mateus do Maranhao",
          "Sao Pedro da Agua Branca",
          "Sao Raimundo das Mangabeiras",
          "Timbiras",
          "Timon",
          "Trizidela do Vale",
          "Tuntum",
          "Turiacu",
          "Tutoia",
          "Urbano Santos",
          "Vargem Grande",
          "Viana",
          "Vitoria do Mearim",
          "Vitorino Freire",
          "Ze Doca"
        ]),
        States(name: "Maranhao", cities: []),
        States(name: "Mato Grosso", cities: []),
        States(name: "Mato Grosso do Sul", cities: []),
        States(name: "Minas Gerais", cities: [
          "Abaetetuba",
          "Acara",
          "Afua",
          "Agua Azul do Norte",
          "Alenquer",
          "Almeirim",
          "Altamira",
          "Ananindeua",
          "Augusto Correa",
          "Baiao",
          "Barcarena",
          "Belem",
          "Benevides",
          "Braganca",
          "Breu Branco",
          "Breves",
          "Bujaru",
          "Cameta",
          "Capanema",
          "Capitao Poco",
          "Castanhal",
          "Conceicao do Araguaia",
          "Concordia do Para",
          "Curionopolis",
          "Curuca",
          "Dom Eliseu",
          "Eldorado dos Carajas",
          "Garrafao do Norte",
          "Goianesia do Para",
          "Gurupa",
          "Igarape-Acu",
          "Igarape-Miri",
          "Irituia",
          "Itaituba",
          "Itupiranga",
          "Jacareacanga",
          "Jacunda",
          "Juruti",
          "Limoeiro do Ajuru",
          "Mae do Rio",
          "Maraba",
          "Maracana",
          "Marapanim",
          "Marituba",
          "Medicilandia",
          "Mocajuba",
          "Moju",
          "Monte Alegre",
          "Muana",
          "Novo Progresso",
          "Novo Repartimento",
          "Obidos",
          "Oeiras do Para",
          "Oriximina",
          "Ourem",
          "Ourilandia",
          "Pacaja",
          "Paragominas",
          "Parauapebas",
          "Portel",
          "Porto de Moz",
          "Prainha",
          "Redencao",
          "Rio Maria",
          "Rondon do Para",
          "Ruropolis",
          "Salinopolis",
          "Santa Isabel do Para",
          "Santa Luzia do Para",
          "Santa Maria do Para",
          "Santana do Araguaia",
          "Santarem",
          "Santo Antonio do Taua",
          "Sao Caetano de Odivelas",
          "Sao Domingos do Araguaia",
          "Sao Domingos do Capim",
          "Sao Felix do Xingu",
          "Sao Geraldo do Araguaia",
          "Sao Joao de Pirabas",
          "Sao Miguel do Guama",
          "Senador Jose Porfirio",
          "Soure",
          "Tailandia",
          "Terra Santa",
          "Tome-Acu",
          "Tucuma",
          "Tucurui",
          "Ulianopolis",
          "Uruara",
          "Vigia",
          "Viseu",
          "Xinguara"
        ]),
        States(name: "Para", cities: [
          "Alagoa Grande",
          "Alagoa Nova",
          "Alagoinha",
          "Alhandra",
          "Aracagi",
          "Arara",
          "Araruna",
          "Areia",
          "Aroeiras",
          "Bananeiras",
          "Barra de Santa Rosa",
          "Bayeux",
          "Belem",
          "Boqueirao",
          "Brejo do Cruz",
          "Caapora",
          "Cabedelo",
          "Cacimba de Dentro",
          "Cajazeiras",
          "Campina Grande",
          "Catole do Rocha",
          "Conceicao",
          "Conde",
          "Coremas",
          "Cruz do Espirito Santo",
          "Cuite",
          "Desterro",
          "Dona Ines",
          "Esperanca",
          "Fagundes",
          "Guarabira",
          "Gurinhem",
          "Imaculada",
          "Inga",
          "Itabaiana",
          "Itaporanga",
          "Itapororoca",
          "Itatuba",
          "Jacarau",
          "Joao Pessoa",
          "Juazeirinho",
          "Juripiranga",
          "Juru",
          "Lagoa Seca",
          "Mamanguape",
          "Manaira",
          "Mari",
          "Massaranduba",
          "Mogeiro",
          "Monteiro",
          "Mulungu",
          "Natuba",
          "Nova Floresta",
          "Patos",
          "Paulista",
          "Pedras de Fogo",
          "Pianco",
          "Picui",
          "Pilar",
          "Pirpirituba",
          "Pitimbu",
          "Pocinhos",
          "Pombal",
          "Princesa Isabel",
          "Puxinana",
          "Queimadas",
          "Remigio",
          "Rio Tinto",
          "Salgado de Sao Felix",
          "Santa Luzia",
          "Santa Rita",
          "Sao Bento",
          "Sao Joao do Rio do Peixe",
          "Sao Jose de Piranhas",
          "Sao Sebastiao de Lagoa de Roca",
          "Sape",
          "Serra Branca",
          "Solanea",
          "Soledade",
          "Sousa",
          "Sume",
          "Taperoa",
          "Tavares",
          "Teixeira",
          "Triunfo",
          "Uirauna",
          "Umbuzeiro"
        ]),
        States(name: "Paraiba", cities: [
          "Almirante Tamandare",
          "Alto Parana",
          "Alto Piquiri",
          "Altonia",
          "Ampere",
          "Andira",
          "Antonina",
          "Apucarana",
          "Arapongas",
          "Arapoti",
          "Araucaria",
          "Assai",
          "Assis Chateaubriand",
          "Astorga",
          "Bandeirantes",
          "Barbosa Ferraz",
          "Bela Vista do Paraiso",
          "Cambara",
          "Cambe",
          "Campina Grande do Sul",
          "Campina da Lagoa",
          "Campo Largo",
          "Campo Murao",
          "Candido de Abreu",
          "Capitao Leonidas Marques",
          "Carambei",
          "Cascavel",
          "Castro",
          "Centenario do Sul",
          "Chopinzinho",
          "Cianorte",
          "Clevelandia",
          "Colombo",
          "Colorado",
          "Contenda",
          "Corbelia",
          "Cornelio Procopio",
          "Coronel Vivida",
          "Cruzeiro do Oeste",
          "Curitiba",
          "Dois Vizinhos",
          "Engenheiro Beltrao",
          "Faxinal",
          "Fazenda Rio Grande",
          "Florestopolis",
          "Foz do Iguacu",
          "Francisco Beltrao",
          "Goioere",
          "Guaira",
          "Guaraniacu",
          "Guarapuava",
          "Guaratuba",
          "Ibaiti",
          "Ibipora",
          "Imbituva",
          "Ipora",
          "Irati",
          "Itaperucu",
          "Ivaipora",
          "Jacarezinho",
          "Jaguariaiva",
          "Jandaia do Sul",
          "Jataizinho",
          "Lapa",
          "Laranjeiras do Sul",
          "Loanda",
          "Londrina",
          "Mandaguacu",
          "Mandaguari",
          "Marechal Candido Rondon",
          "Marialva",
          "Maringa",
          "Matelandia",
          "Matinhos",
          "Medianeira",
          "Moreira Sales",
          "Nova Aurora",
          "Nova Esperanca",
          "Nova Londrina",
          "Ortigueira",
          "Paicandu",
          "Palmas",
          "Palmeira",
          "Palotina",
          "Paranagua",
          "Paranavai",
          "Pato Branco",
          "Peabiru",
          "Pinhais",
          "Pinhao",
          "Pirai do Sul",
          "Piraquara",
          "Pitanga",
          "Ponta Grossa",
          "Pontal do Parana",
          "Porecatu",
          "Primero de Maio",
          "Prudentopolis",
          "Quatro Barras",
          "Quedas do Iguacu",
          "Realeza",
          "Reserva",
          "Ribeirao do Pinhal",
          "Rio Branco do Sul",
          "Rio Negro",
          "Rolandia",
          "Santa Helena",
          "Santa Terezinha de Itaipu",
          "Santo Antonio da Platina",
          "Santo Antonio do Sudoeste",
          "Sao Joao do Ivai",
          "Sao Jose dos Pinhais",
          "Sao Mateus do Sul",
          "Sao Miguel do Iguacu",
          "Sarandi",
          "Senges",
          "Sertanopolis",
          "Siquera Campos",
          "Tapejara",
          "Telemaco Borba",
          "Terra Boa",
          "Terra Rica",
          "Terra Roxa",
          "Tibagi",
          "Toledo",
          "Ubirata",
          "Umuarama",
          "Uniao da Victoria",
          "Wenceslau Braz"
        ]),
        States(name: "Parana", cities: [
          "Abreu e Lima",
          "Afogados da Ingazeira",
          "Agrestina",
          "Agua Preta",
          "Aguas Belas",
          "Alianca",
          "Altinho",
          "Amaraji",
          "Aracoiaba",
          "Araripina",
          "Arcoverde",
          "Barra de Guabiraba",
          "Barreiros",
          "Belem de Sao Francisco",
          "Belo Jardim",
          "Bezerros",
          "Bodoco",
          "Bom Conselho",
          "Bom Jardim",
          "Bonito",
          "Brejo da Madre de Deus",
          "Buique",
          "Cabo de Santo Agostinho",
          "Cabrobo",
          "Cachoeirinha",
          "Caetes",
          "Camaragibe",
          "Camocim de Sao Felix",
          "Canhotinho",
          "Capoeiras",
          "Carnaiba",
          "Carpina",
          "Caruaru",
          "Catende",
          "Cha Grande",
          "Condado",
          "Cumaru",
          "Cupira",
          "Custodia",
          "Escada",
          "Exu",
          "Feira Nova",
          "Fernando de Noronha",
          "Flores",
          "Floresta",
          "Gameleira",
          "Garanhuns",
          "Gloria do Goita",
          "Goiana",
          "Gravata",
          "Ibimirim",
          "Igarassu",
          "Inaja",
          "Ipojuca",
          "Ipubi",
          "Itaiba",
          "Itamaraca",
          "Itambe",
          "Itapissuma",
          "Itaquitinga",
          "Jaboatao",
          "Joao Alfredo",
          "Joaquim Nabuco",
          "Lagoa do Itaenga",
          "Lajedo",
          "Limoeiro",
          "Macaparana",
          "Maraial",
          "Moreno",
          "Nazare da Mata",
          "Olinda",
          "Orobo",
          "Ouricuri",
          "Palmares",
          "Panelas",
          "Parnamirim",
          "Passira",
          "Paudalho",
          "Paulista",
          "Pedra",
          "Pesqueira",
          "Petrolandia",
          "Petrolina",
          "Pombos",
          "Quipapa",
          "Recife",
          "Ribeirao",
          "Rio Formoso",
          "Salgueiro",
          "Santa Cruz do Capibaribe",
          "Santa Maria da Boa Vista",
          "Sao Bento do Una",
          "Sao Caitano",
          "Sao Joao",
          "Sao Joaquim do Monte",
          "Sao Jose da Coroa Grande",
          "Sao Jose do Belmonte",
          "Sao Jose do Egito",
          "Sao Lourenco da Mata",
          "Serra Talhada",
          "Sertania",
          "Sirinhaem",
          "Surubim",
          "Tabira",
          "Tamandare",
          "Taquaritinga do Norte",
          "Timbauba",
          "Toritama",
          "Trindade",
          "Triunfo",
          "Tupanatinga",
          "Vicencia",
          "Vitoria de Santo Antao"
        ]),
        States(name: "Pernambuco", cities: [
          "Agua Branca",
          "Alto Longa",
          "Altos",
          "Amarante",
          "Avelino Lopes",
          "Barras",
          "Batalha",
          "Beneditinos",
          "Bom Jesus",
          "Buriti dos Lopes",
          "Campo Maior",
          "Canto do Buriti",
          "Castelo do Piaui",
          "Cocal",
          "Corrente",
          "Demerval Lobao",
          "Elesbao Veloso",
          "Esperantina",
          "Floriano",
          "Gilbues",
          "Guadalupe",
          "Inhuma",
          "Itainopolis",
          "Itaueira",
          "Jaicos",
          "Joaquim Pires",
          "Jose de Freitas",
          "Luis Correia",
          "Luzilandia",
          "Matias Olimpio",
          "Miguel Alves",
          "Monsenhor Gil",
          "Oeiras",
          "Palmeirais",
          "Parnaiba",
          "Pedro II",
          "Picos",
          "Pimenteiras",
          "Pio IX",
          "Piracuruca",
          "Piripiri",
          "Porto",
          "Regeneracao",
          "Sao Joao do Piaui",
          "Sao Miguel do Tapuio",
          "Sao Pedro do Piaui",
          "Sao Raimundo Nonato",
          "Simoes",
          "Simplicio Mendes",
          "Teresina",
          "Uniao",
          "Urucui",
          "Valenca do Piaui"
        ]),
        States(name: "Piaui", cities: []),
        States(name: "Rio Grande do Norte", cities: []),
        States(name: "Rio Grande do Sul", cities: []),
        States(name: "Rio de Janeiro", cities: [
          "Alta Floresta d\\'\\'Oeste",
          "Alto Alegre do Parecis",
          "Alto Paraiso",
          "Alvorada d\\'\\'Oeste",
          "Ariquemes",
          "Buritis",
          "Cacoal",
          "Candeias do Jamari",
          "Cerejeiras",
          "Colorado do Oeste",
          "Corumbiara",
          "Espigao d\\'\\'Oeste",
          "Governador Jorge Teixeira",
          "Guajara-Mirim",
          "Jaru",
          "Ji-Parana",
          "Machadinho d\\'\\'Oeste",
          "Ministro Andreazza",
          "Mirante da Serra",
          "Nova Brasilandia d\\'\\'Oeste",
          "Nova Mamore",
          "Novo Horizonte do Oeste",
          "Ouro Preto do Oeste",
          "Pimenta Bueno",
          "Porto Velho",
          "Presidente Medici",
          "Rolim de Moura",
          "Santa Luzia d\\'\\'Oeste",
          "Sao Miguel do Guapore",
          "Urupa",
          "Vale do Paraiso",
          "Vilhena"
        ]),
        States(name: "Rondonia", cities: [
          "Alto Alegre",
          "Boa Vista",
          "Bonfim",
          "Caracarai",
          "Mucajai",
          "Normandia",
          "Sao Joao da Baliza",
          "Sao Luiz"
        ]),
        States(name: "Roraima", cities: []),
        States(name: "Santa Catarina", cities: []),
        States(name: "Sao Paulo", cities: [
          "Aquidaba",
          "Aracaju",
          "Araua",
          "Areia Branca",
          "Barra dos Coqueiros",
          "Boquim",
          "Campo do Brito",
          "Caninde de Sao Francisco",
          "Capela",
          "Carira",
          "Cristinapolis",
          "Estancia",
          "Frei Paulo",
          "Gararu",
          "Indiaroba",
          "Itabaiana",
          "Itabaianinha",
          "Itaporanga d\\'\\'Ajuda",
          "Japaratuba",
          "Japoata",
          "Lagarto",
          "Laranjeiras",
          "Malhador",
          "Maruim",
          "Moita Bonita",
          "Monte Alegre de Sergipe",
          "Neopolis",
          "Nossa Senhora da Gloria",
          "Nossa Senhora das Dores",
          "Nossa Senhora do Socorro",
          "Pacatuba",
          "Poco Verde",
          "Porto da Folha",
          "Propria",
          "Riachao do Dantas",
          "Ribeiropolis",
          "Salgado",
          "Santa Luzia do Itanhy",
          "Santo Amaro das Brotas",
          "Sao Cristovao",
          "Simao Dias",
          "Tobias Barreto",
          "Tomar do Geru",
          "Umbauba"
        ]),
        States(name: "Sergipe", cities: [
          "Alvorada",
          "Ananas",
          "Araguacu",
          "Araguaina",
          "Araguatins",
          "Arraias",
          "Augustinopolis",
          "Axixa do Tocantins",
          "Colinas do Tocantins",
          "Dianopolis",
          "Formoso do Araguaia",
          "Goiatins",
          "Guarai",
          "Gurupi",
          "Miracema do Tocantins",
          "Miranorte",
          "Palmas",
          "Paraiso",
          "Parana",
          "Porto Nacional",
          "Sitio Novo do Tocantins",
          "Taguatinga",
          "Tocantinopolis",
          "Wanderlandia",
          "Xambioa"
        ]),
        States(name: "Tocantins", cities: [])
      ]),
  Country(
      name: "British Indian Ocean Territory",
      flag: "🇮🇴",
      code: "IO",
      dialCode: "246",
      minLength: 7,
      maxLength: 7,
      states: [
        States(
            name: "British Indian Ocean Territory",
            cities: ["Kuala Belait", "Seria"])
      ]),
  Country(
      name: "Brunei Darussalam",
      flag: "🇧🇳",
      code: "BN",
      dialCode: "673",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Belait", cities: ["Bandar Seri Begawan"]),
        States(name: "Brunei-Muara", cities: ["Bangar"]),
        States(name: "Temburong", cities: ["Tutong"]),
        States(name: "Tutong", cities: [
          "Bansko",
          "Belica",
          "Blagoevgrad",
          "Goce Delchev",
          "Hadzhidimovo",
          "Jakoruda",
          "Kresna",
          "Melnik",
          "Petrich",
          "Razlog",
          "Sandanski",
          "Simitli"
        ])
      ]),
  Country(
      name: "Bulgaria",
      flag: "🇧🇬",
      code: "BG",
      dialCode: "359",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Blagoevgrad", cities: [
          "Ahtopol",
          "Ajtos",
          "Balgarovo",
          "Bourgas",
          "Burgas",
          "Carevo",
          "Kableshkovo",
          "Kameno",
          "Karnobat",
          "Malko Tarnovo",
          "Nesebar",
          "Obzor",
          "Pomorie",
          "Primorsko",
          "Sozopol",
          "Sredec",
          "Sungurlare",
          "Tvardica"
        ]),
        States(name: "Burgas", cities: [
          "Balchik",
          "Dobrich",
          "General-Toshevo",
          "Kavarna",
          "Loznica",
          "Shabla",
          "Tervel"
        ]),
        States(name: "Dobrich", cities: [
          "Drjanovo",
          "Gabrovo",
          "Plachkovci",
          "Sevlievo",
          "Trjavna"
        ]),
        States(name: "Gabrovo", cities: [
          "Dimitrovgrad",
          "Harmanli",
          "Haskovo",
          "Ivajlovgrad",
          "Ljubimec",
          "Madzharovo",
          "Merichleri",
          "Simeonovgrad",
          "Svilengrad"
        ]),
        States(name: "Haskovo", cities: [
          "Boljarovo",
          "Elhovo",
          "Jambol",
          "Straldzha",
          "Topolovgrad"
        ]),
        States(name: "Jambol", cities: [
          "Ardino",
          "Dzhebel",
          "Kardzhali",
          "Krumovgrad",
          "Momchilgrad"
        ]),
        States(name: "Kardzhali", cities: [
          "Boboshevo",
          "Bobovdol",
          "Dupnica",
          "Kjustendil",
          "Kocherinovo",
          "Rila",
          "Sapareva Banja",
          "Zemen"
        ]),
        States(name: "Kjustendil", cities: [
          "Aprilci",
          "Jablanica",
          "Letnica",
          "Lovech",
          "Lukovit",
          "Sopot",
          "Teteven",
          "Trojan",
          "Ugarchin"
        ]),
        States(name: "Lovech", cities: [
          "Berkovica",
          "Bojchinovci",
          "Brusarci",
          "Chiprovci",
          "Lom",
          "Montana",
          "Valchedram",
          "Varshec"
        ]),
        States(name: "Montana", cities: []),
        States(name: "Oblast Sofiya-Grad", cities: [
          "Batak",
          "Belovo",
          "Bracigovo",
          "Koprivshtica",
          "Panagjurishte",
          "Pazardzhik",
          "Peshtera",
          "Rakitovo",
          "Septemvri",
          "Strelcha",
          "Velingrad"
        ]),
        States(name: "Pazardzhik", cities: [
          "Bankja",
          "Batanovci",
          "Breznik",
          "Pernik",
          "Radomir",
          "Tran"
        ]),
        States(name: "Pernik", cities: [
          "Belene",
          "Cherven Brjag",
          "Dolna Mitropolija",
          "Dolni Dabnik",
          "Guljanci",
          "Levski",
          "Nikopol",
          "Pleven",
          "Pordim",
          "Slavjanovo",
          "Trashtenik",
          "Varbica"
        ]),
        States(name: "Pleven", cities: [
          "Asenovgrad",
          "Brezovo",
          "Car Kalojan",
          "Hisarja",
          "Kalofer",
          "Karlovo",
          "Klisura",
          "Krichim",
          "Parvomaj",
          "Perushtica",
          "Plovdiv",
          "Rakovski",
          "Sadovo",
          "Saedinenie",
          "Stambolijski"
        ]),
        States(
            name: "Plovdiv",
            cities: ["Isperih", "Kubrat", "Razgrad", "Senovo", "Zavet"]),
        States(name: "Razgrad", cities: [
          "Bjala",
          "Borovo",
          "Dve Mogili",
          "Ruse",
          "Russe",
          "Vetovo"
        ]),
        States(name: "Ruse", cities: [
          "Kaolinovo",
          "Kaspichan",
          "Novi Pazar",
          "Pliska",
          "Shumen",
          "Smjadovo",
          "Veliki Preslav"
        ]),
        States(
            name: "Shumen",
            cities: ["Alfatar", "Dulovo", "Glavinica", "Silistra", "Tutrakan"]),
        States(
            name: "Silistra",
            cities: ["Kermen", "Kotel", "Nova Zagora", "Shivachevo", "Sliven"]),
        States(name: "Sliven", cities: [
          "Chepelare",
          "Devin",
          "Dospat",
          "Laki",
          "Madan",
          "Nedelino",
          "Rudozem",
          "Smoljan",
          "Zlatograd"
        ]),
        States(name: "Smoljan", cities: []),
        States(name: "Sofija grad", cities: []),
        States(name: "Sofijska oblast", cities: []),
        States(
            name: "Stara Zagora",
            cities: ["Antonovo", "Omurtag", "Opaka", "Popovo", "Targovishte"]),
        States(name: "Targovishte", cities: [
          "Beloslav",
          "Bjala",
          "Dalgopol",
          "Devnja",
          "Iskar",
          "Provadija",
          "Suvorovo",
          "Valchi Dol",
          "Varna"
        ]),
        States(name: "Varna", cities: []),
        States(name: "Veliko Tarnovo", cities: [
          "Belogradchik",
          "Bregovo",
          "Dimovo",
          "Dolni Chiflik",
          "Dunavci",
          "Gramada",
          "Kula",
          "Vidin"
        ]),
        States(name: "Vidin", cities: [
          "Bjala Slatina",
          "Knezha",
          "Kojnare",
          "Kozloduj",
          "Krivodol",
          "Mezdra",
          "Mizija",
          "Orjahovo",
          "Roman",
          "Vraca"
        ]),
        States(name: "Vraca", cities: ["Yablaniza"]),
        States(name: "Yablaniza", cities: ["Boromo"])
      ]),
  Country(
      name: "Burkina Faso",
      flag: "🇧🇫",
      code: "BF",
      dialCode: "226",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Bale", cities: ["Kongoussi"]),
        States(name: "Bam", cities: ["Kombissiri"]),
        States(name: "Bazega", cities: ["Diebougou", "Pa"]),
        States(name: "Bougouriba", cities: ["Garango", "Tenkodogo"]),
        States(name: "Boulgou", cities: ["Koudougou"]),
        States(name: "Boulkiemde", cities: ["Banfora"]),
        States(name: "Comoe", cities: ["Zorgo"]),
        States(name: "Ganzourgou", cities: ["Bogande"]),
        States(name: "Gnagna", cities: ["Fada N\\'\\'gourma"]),
        States(name: "Gourma", cities: ["Bekuy", "Bobo Dioulasso"]),
        States(name: "Houet", cities: ["Dano"]),
        States(name: "Ioba", cities: ["Ouagadougou"]),
        States(name: "Kadiogo", cities: ["Koalla", "Koloko", "Orodara"]),
        States(name: "Kenedougou", cities: ["Gayeri"]),
        States(name: "Komandjari", cities: ["Pama"]),
        States(name: "Kompienga", cities: ["Nouna"]),
        States(name: "Kossi", cities: ["Koupela"]),
        States(name: "Kouritenga", cities: ["Bousse"]),
        States(name: "Kourweogo", cities: ["Sindou"]),
        States(name: "Leraba", cities: ["Dedougou"]),
        States(name: "Mouhoun", cities: ["Po"]),
        States(name: "Nahouri", cities: ["Boulsa"]),
        States(name: "Namentenga", cities: ["Batie"]),
        States(name: "Noumbiel", cities: ["Ziniare"]),
        States(name: "Oubritenga", cities: ["Gorom-Gorom"]),
        States(name: "Oudalan", cities: ["Yako"]),
        States(name: "Passore", cities: ["Gaoua", "Kampti", "Loropeni"]),
        States(name: "Poni", cities: ["Reo"]),
        States(name: "Sanguie", cities: ["Kaya"]),
        States(name: "Sanmatenga", cities: ["Dori"]),
        States(name: "Seno", cities: ["Gao", "Leo"]),
        States(name: "Sissili", cities: ["Aribinda", "Djibo"]),
        States(name: "Soum", cities: ["Louta", "Tougan"]),
        States(name: "Sourou", cities: ["Diapaga", "Kantchari"]),
        States(name: "Tapoa", cities: ["Hounde"]),
        States(name: "Tuy", cities: ["Ouahigouya"]),
        States(name: "Yatenga", cities: ["Gourcy"]),
        States(name: "Zondoma", cities: ["Manga"]),
        States(name: "Zoundweogo", cities: ["Bubanza"])
      ]),
  Country(
      name: "Burundi",
      flag: "🇧🇮",
      code: "BI",
      dialCode: "257",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Bubanza", cities: ["Bujumbura"]),
        States(name: "Bujumbura", cities: ["Bururi"]),
        States(name: "Bururi", cities: ["Cankuzo"]),
        States(name: "Cankuzo", cities: ["Cibitoke"]),
        States(name: "Cibitoke", cities: ["Gitega"]),
        States(name: "Gitega", cities: ["Karuzi"]),
        States(name: "Karuzi", cities: ["Kayanza"]),
        States(name: "Kayanza", cities: ["Kirundo"]),
        States(name: "Kirundo", cities: ["Makamba"]),
        States(name: "Makamba", cities: ["Muramvya"]),
        States(name: "Muramvya", cities: ["Muyinga"]),
        States(name: "Muyinga", cities: ["Ngozi"]),
        States(name: "Ngozi", cities: ["Rutana"]),
        States(name: "Rutana", cities: ["Ruyigi"]),
        States(name: "Ruyigi", cities: [])
      ]),
  Country(
      name: "Cambodia",
      flag: "🇰🇭",
      code: "KH",
      dialCode: "855",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Banteay Mean Chey", cities: []),
        States(name: "Bat Dambang", cities: []),
        States(name: "Kampong Cham", cities: []),
        States(name: "Kampong Chhnang", cities: []),
        States(name: "Kampong Spoeu", cities: []),
        States(name: "Kampong Thum", cities: ["Kampot"]),
        States(name: "Kampot", cities: ["Ta Khmau"]),
        States(name: "Kandal", cities: []),
        States(name: "Kaoh Kong", cities: ["Kracheh"]),
        States(name: "Kracheh", cities: []),
        States(name: "Krong Kaeb", cities: []),
        States(name: "Krong Pailin", cities: []),
        States(name: "Krong Preah Sihanouk", cities: []),
        States(name: "Mondol Kiri", cities: []),
        States(name: "Otdar Mean Chey", cities: []),
        States(name: "Phnum Penh", cities: ["Pousat"]),
        States(name: "Pousat", cities: []),
        States(name: "Preah Vihear", cities: []),
        States(name: "Prey Veaeng", cities: []),
        States(name: "Rotanak Kiri", cities: []),
        States(name: "Siem Reab", cities: []),
        States(name: "Stueng Traeng", cities: []),
        States(name: "Svay Rieng", cities: ["Phumi Takaev"]),
        States(
            name: "Takaev",
            cities: ["Banyo", "Meiganga", "Ngaoundere", "Tibati", "Tignere"])
      ]),
  Country(
      name: "Cameroon",
      flag: "🇨🇲",
      code: "CM",
      dialCode: "237",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Adamaoua", cities: [
          "Akonolinga",
          "Bafia",
          "Eseka",
          "Mbalmayo",
          "Mfou",
          "Monatele",
          "Nanga Eboko",
          "Obala",
          "Ombesa",
          "Saa",
          "Yaounde"
        ]),
        States(name: "Centre", cities: [
          "Abong Mbang",
          "Batouri",
          "Bertoua",
          "Betare Oya",
          "Djoum",
          "Doume",
          "Lomie",
          "Yokadouma"
        ]),
        States(name: "Est", cities: [
          "Bonaberi",
          "Dibombari",
          "Douala",
          "Edea",
          "Loum",
          "Manjo",
          "Mbanga",
          "Nkongsamba",
          "Yabassi"
        ]),
        States(name: "Littoral", cities: [
          "Figuif",
          "Garoua",
          "Guider",
          "Lagdo",
          "Poli",
          "Rey Bouba",
          "Tchollire"
        ]),
        States(name: "Nord", cities: [
          "Figuif",
          "Garoua",
          "Guider",
          "Lagdo",
          "Poli",
          "Rey Bouba",
          "Tchollire"
        ]),
        States(name: "Nord Extreme", cities: [
          "Bamenda",
          "Kumbo",
          "Mbengwi",
          "Mme",
          "Njinikom",
          "Nkambe",
          "Wum"
        ]),
        States(name: "Nordouest", cities: [
          "Bafang",
          "Bafoussam",
          "Bafut",
          "Bali",
          "Bana",
          "Bangangte",
          "Djang",
          "Fontem",
          "Foumban",
          "Foumbot",
          "Mbouda"
        ]),
        States(name: "Ouest", cities: [
          "Akom",
          "Ambam",
          "Ebolowa",
          "Kribi",
          "Lolodorf",
          "Moloundou",
          "Mvangue",
          "Sangmelima"
        ]),
        States(name: "Sud", cities: [
          "Buea",
          "Idenao",
          "Kumba",
          "Limbe",
          "Mamfe",
          "Muyuka",
          "Tiko"
        ]),
        States(name: "Sudouest", cities: [
          "Airdrie",
          "Athabasca",
          "Banff",
          "Barrhead",
          "Bassano",
          "Beaumont",
          "Beaverlodge",
          "Black Diamond",
          "Blackfalds",
          "Blairmore",
          "Bon Accord",
          "Bonnyville",
          "Bow Island",
          "Brooks",
          "Calgary",
          "Calmar",
          "Camrose",
          "Canmore",
          "Cardston",
          "Carstairs",
          "Chateau Lake Louise",
          "Chestermere",
          "Clairmont",
          "Claresholm",
          "Coaldale",
          "Coalhurst",
          "Cochrane",
          "Crossfield",
          "Devon",
          "Didsbury",
          "Drayton Valley",
          "Drumheller",
          "Edmonton",
          "Edson",
          "Elk Point",
          "Fairview",
          "Falher",
          "Fort MacLeod",
          "Fox Creek",
          "Gibbons",
          "Grand Centre",
          "Grande Cache",
          "Grande Prairie",
          "Grimshaw",
          "Hanna",
          "High Level",
          "High Prairie",
          "High River",
          "Hinton",
          "Irricana",
          "Jasper",
          "Killam",
          "La Crete",
          "Lac la Biche",
          "Lacombe",
          "Lamont",
          "Leduc",
          "Lethbridge",
          "Lloydminster",
          "Magrath",
          "Manning",
          "Mayerthorpe",
          "McMurray",
          "Medicine Hat",
          "Millet",
          "Morinville",
          "Nanton",
          "Okotoks",
          "Olds",
          "Peace River",
          "Penhold",
          "Picture Butte",
          "Pincher Creek",
          "Ponoka",
          "Provost",
          "Raymond",
          "Red Deer",
          "Redwater",
          "Rimbey",
          "Rocky Mountain House",
          "Rocky View",
          "Saint Paul",
          "Sexsmith",
          "Sherwood Park",
          "Slave Lake",
          "Smoky Lake",
          "Spirit River",
          "Spruce Grove",
          "Stettler",
          "Stony Plain",
          "Strathmore",
          "Sundre",
          "Swan Hills",
          "Sylvan Lake",
          "Taber",
          "Three Hills",
          "Tofield",
          "Two Hills",
          "Valleyview",
          "Vegreville",
          "Vermilion",
          "Viking",
          "Vulcan",
          "Wainwright",
          "Wembley",
          "Westlock",
          "Wetaskiwin",
          "Whitecourt",
          "Wood Buffalo"
        ])
      ]),
  // Country(
  //   name: "Campione d'Italia",
  //   flag: "🇮🇹",
  //   code: "IT",
  //   dialCode: "41",
  //   regionCode: "91",
  //   minLength: 13,
  //   maxLength: 13,
  // ),
  Country(
      name: "Canada",
      flag: "🇨🇦",
      code: "CA",
      dialCode: "1",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Alberta", cities: []),
        States(name: "British Columbia", cities: [
          "Altona",
          "Beausejour",
          "Boissevain",
          "Brandon",
          "Carberry",
          "Carman",
          "Dauphin",
          "Deloraine",
          "Dugald",
          "Flin Flon",
          "Gimli",
          "Hamiota",
          "Killarney",
          "Lac du Bonnet",
          "Leaf Rapids",
          "Lorette",
          "Melita",
          "Minnedosa",
          "Morden",
          "Morris",
          "Neepawa",
          "Niverville",
          "Pinawa",
          "Portage la Prairie",
          "Ritchot",
          "Rivers",
          "Roblin",
          "Saint Adolphe",
          "Sainte Anne",
          "Sainte Rose du Lac",
          "Selkirk",
          "Shilo",
          "Snow Lake",
          "Souris",
          "Springfield",
          "Steinbach",
          "Stonewall",
          "Stony Mountain",
          "Swan River",
          "The Pas",
          "Thompson",
          "Virden",
          "Winkler",
          "Winnipeg"
        ]),
        States(name: "Manitoba", cities: []),
        States(name: "New Brunswick", cities: []),
        States(name: "Newfoundland and Labrador", cities: []),
        States(name: "Northwest Territories", cities: []),
        States(name: "Nova Scotia", cities: [
          "Clyde River",
          "Iqaluit",
          "Kangerdlinerk",
          "Oqsuqtooq",
          "Pangnirtung",
          "Tununirusiq"
        ]),
        States(name: "Nunavut", cities: [
          "Acton",
          "Ajax",
          "Alexandria",
          "Alfred",
          "Alliston",
          "Almonte",
          "Amherstburg",
          "Amigo Beach",
          "Angus-Borden",
          "Arnprior",
          "Arthur",
          "Athens",
          "Atikokan",
          "Attawapiskat",
          "Aurora",
          "Aylmer",
          "Ayr",
          "Barrie",
          "Barry\\'\\'s Bay",
          "Beamsville",
          "Beaverton",
          "Beeton",
          "Belleville",
          "Belmont",
          "Blenheim",
          "Blind River",
          "Bobcaygeon",
          "Bolton",
          "Bourget",
          "Bowmanville-Newcastle",
          "Bracebridge",
          "Bradford",
          "Brampton",
          "Brantford",
          "Bridgenorth-Chemong Park Area",
          "Brighton",
          "Brockville",
          "Brooklin",
          "Brussels",
          "Burford",
          "Burlington",
          "Caledon",
          "Caledon East",
          "Caledonia",
          "Cambridge",
          "Campbellford",
          "Campbellville",
          "Cannington",
          "Capreol",
          "Cardinal",
          "Carleton Place",
          "Carlisle",
          "Casselman",
          "Cayuga",
          "Chalk River",
          "Chapleau",
          "Chatham",
          "Chesley",
          "Chesterville",
          "Clinton",
          "Cobourg",
          "Cochrane",
          "Colborne",
          "Colchester",
          "Collingwood",
          "Concord",
          "Constance Bay",
          "Cookstown",
          "Cornwall",
          "Creemore",
          "Crystal Beach",
          "Deep River",
          "Delhi",
          "Deseronto",
          "Downsview",
          "Drayton",
          "Dresden",
          "Dryden",
          "Dundalk",
          "Dunnville",
          "Durham",
          "Dutton",
          "Eganville",
          "Elliot Lake",
          "Elmira",
          "Elmvale",
          "Embrun",
          "Englehart",
          "Erin",
          "Espanola",
          "Essex",
          "Etobicoke",
          "Everett",
          "Exeter",
          "Fenelon Falls",
          "Fergus",
          "Forest",
          "Fort Erie",
          "Fort Frances",
          "Frankford",
          "Gananoque",
          "Georgetown",
          "Georgina",
          "Geraldton",
          "Glencoe",
          "Goderich",
          "Golden",
          "Gormley",
          "Grand Bend",
          "Grand Valley",
          "Gravenhurst",
          "Guelph",
          "Hagersville",
          "Haileybury",
          "Hamilton",
          "Hanover",
          "Harriston",
          "Harrow",
          "Hastings",
          "Havelock",
          "Hawkesbury",
          "Hearst",
          "Hensall",
          "Hillsburgh",
          "Hornepayne",
          "Huntsville",
          "Ingersoll",
          "Innisfil",
          "Iroquois",
          "Iroquois Falls",
          "Jarvis",
          "Kanata",
          "Kapuskasing",
          "Kars",
          "Kemptville",
          "Kenora",
          "Kincardine",
          "Kingston",
          "Kirkland Lake",
          "Kitchener",
          "L\\'\\'Original",
          "Lakefield",
          "Lanark",
          "Leamington",
          "Lindsay",
          "Listowel",
          "Little Current",
          "Lively",
          "London",
          "Longlac",
          "Lucan",
          "Lucknow",
          "Madoc",
          "Manitouwadge",
          "Maple",
          "Marathon",
          "Markdale",
          "Markham",
          "Marmora",
          "Mattawa",
          "Meaford",
          "Metcalfe",
          "Midland",
          "Mildmay",
          "Millbrook",
          "Milton",
          "Milverton",
          "Mississauga",
          "Mississauga Beach",
          "Mitchell",
          "Moose Factory",
          "Morrisburg",
          "Mount Albert",
          "Mount Brydges",
          "Mount Forest",
          "Munster",
          "Nanticoke",
          "Napanee",
          "Nepean",
          "New Hamburg",
          "Newmarket",
          "Newtonville",
          "Nobleton",
          "North Bay",
          "North Gower",
          "North York",
          "Norwich",
          "Norwood",
          "Oakville",
          "Omemee",
          "Onaping-Levack",
          "Ontario",
          "Orangeville",
          "Orillia",
          "Orono",
          "Osgoode",
          "Oshawa",
          "Ottawa",
          "Owen Sound",
          "Paisley",
          "Palmerston",
          "Paris",
          "Parkhill",
          "Parry Sound",
          "Pembroke",
          "Perth",
          "Petawawa",
          "Peterborough",
          "Petrolia",
          "Pickering",
          "Picton",
          "Porcupine",
          "Port Credit",
          "Port Dover",
          "Port Elgin",
          "Port Hope",
          "Port Perry",
          "Port Stanley",
          "Powassan",
          "Prescott",
          "Queensville",
          "Renfrew",
          "Richmond",
          "Richmond Hill",
          "Ridgetown",
          "Rockland",
          "Rockwood",
          "Rodney",
          "Saint Catharines",
          "Saint Catharines-Niagara",
          "Saint George",
          "Saint Jacobs",
          "Saint Marys",
          "Saint Thomas",
          "Sarnia",
          "Sault Sainte Marie",
          "Scarborough",
          "Schomberg",
          "Seaforth",
          "Shelburne",
          "Simcoe",
          "Sioux Lookout",
          "Smiths Falls",
          "Smithville",
          "South River",
          "Southampton",
          "Stayner",
          "Stirling",
          "Stoney Creek",
          "Stoney Point",
          "Stouffville",
          "Stratford",
          "Strathroy",
          "Sturgeon Falls",
          "Sudbury",
          "Sutton",
          "Tavistock",
          "Teeswater",
          "Terrace Bay",
          "Thamesford",
          "Thessalon",
          "Thornbury",
          "Thornhill",
          "Thunder Bay",
          "Tilbury",
          "Tilsonburg",
          "Timmins",
          "Toronto",
          "Tory Hill",
          "Tottenham",
          "Tweed",
          "Uxbridge",
          "Valley East",
          "Vankleek Hill",
          "Vaughan",
          "Vineland",
          "Walkerton",
          "Wallaceburg",
          "Wasaga Beach",
          "Waterdown",
          "Waterford",
          "Waterloo",
          "Watford",
          "Wawa",
          "Welland",
          "Wellesley",
          "Wellington",
          "West Lorne",
          "Wheatley",
          "Whitby",
          "Whitchurch-Stouffville",
          "Wiarton",
          "Wikwemikong",
          "Willowdale",
          "Winchester",
          "Windsor",
          "Wingham",
          "Woodbridge",
          "Woodstock",
          "Wyoming"
        ]),
        States(name: "Ontario", cities: []),
        States(name: "Prince Edward Island", cities: [
          "Acton Vale",
          "Albanel",
          "Alencon",
          "Alma",
          "Amos",
          "Amqui",
          "Anjou",
          "Asbestos",
          "Bagotville",
          "Baie-Comeau",
          "Baie-Saint-Paul",
          "Barraute",
          "Beauceville",
          "Beaupre",
          "Bedford",
          "Beloeil",
          "Bernierville",
          "Berthierville",
          "Betsiamites",
          "Boisbriand",
          "Bonaventure",
          "Boucherville",
          "Bromont",
          "Brossard",
          "Brownsburg",
          "Buckingham",
          "Cabano",
          "Candiac",
          "Cap-Chat",
          "Cap-aux-Meules",
          "Carleton",
          "Causapscal",
          "Chandler",
          "Chapais",
          "Charlesbourg",
          "Chateau-Richer",
          "Chibougamou",
          "Chicoutimi-Jonquiere",
          "Chisasibi",
          "Chute-aux-Outardes",
          "Clermont",
          "Coaticook",
          "Coleraine",
          "Contrecoeur",
          "Cookshire",
          "Cowansville",
          "Crabtree",
          "Danville",
          "Daveluyville",
          "Degelis",
          "Desbiens",
          "Disraeli",
          "Dolbeau",
          "Donnacona",
          "Dorval",
          "Drummondville",
          "East Angus",
          "East Broughton",
          "Farnham",
          "Ferme-Neuve",
          "Fermont",
          "Filion",
          "Forestville",
          "Fort-Coulonge",
          "Gaspe",
          "Gentilly",
          "Granby",
          "Grande-Riviere",
          "Grenville",
          "Ham Nord",
          "Hampstead",
          "Hauterive",
          "Havre-Saint-Pierre",
          "Hebertville",
          "Huntingdon",
          "Joliette",
          "Kingsey Falls",
          "L\\'\\'Annonciation",
          "L\\'\\'Ascension-de-Notre-Seigneur",
          "L\\'\\'Epiphanie",
          "La Malbaie",
          "La Pocatiere",
          "La Sarre",
          "La Tuque",
          "Labelle",
          "Lac-Etchemin",
          "Lac-Lapierre",
          "Lac-Megantic",
          "Lac-au-Saumon",
          "Lachine",
          "Lachute",
          "Lacolle",
          "Lasalle",
          "Laurentides",
          "Laurier-Station",
          "Laval",
          "Lavaltrie",
          "Le Bic",
          "Lebel-sur-Quevillon",
          "Les Cedres",
          "Les Coteaux",
          "Les Escoumins",
          "Liniere",
          "Longueuil",
          "Louiseville",
          "Luceville",
          "Macamic",
          "Magog",
          "Malartic",
          "Maniwaki",
          "Marieville",
          "Maskinonge",
          "Matagami",
          "Matane",
          "Metabetchouan",
          "Mirabel",
          "Mistissini",
          "Mont-Joli",
          "Mont-Laurier",
          "Montmagny",
          "Montreal",
          "Murdochville",
          "Napierville",
          "New Richmond",
          "Nicolet",
          "Normandin",
          "Notre-Dame-du-Bon-Conseil",
          "Notre-Dame-du-Lac",
          "Notre-Dame-du-Mont-Carmel",
          "Oka-Kanesatake",
          "Ormstown",
          "Papineauville",
          "Pierreville",
          "Plessisville",
          "Pointe-Claire",
          "Pont-Rouge",
          "Port-Alfred-Bagotville",
          "Port-Cartier",
          "Portneuf",
          "Price",
          "Princeville",
          "Quebec",
          "Rawdon",
          "Repentigny",
          "Richmond",
          "Rigaud",
          "Rimouski",
          "Riviere-au-Renard",
          "Riviere-du-Loup",
          "Roberval",
          "Rougemont",
          "Rouyn-Noranda",
          "Saint-Agapit",
          "Saint-Alexandre",
          "Saint-Alexis-des-Monts",
          "Saint-Ambroise",
          "Saint-Andre-Avellin",
          "Saint-Anselme",
          "Saint-Apollinaire",
          "Saint-Augustin",
          "Saint-Basile-Sud",
          "Saint-Bruno",
          "Saint-Canut",
          "Saint-Cesaire",
          "Saint-Cyrill-de-Wendover",
          "Saint-Damase",
          "Saint-Damien-de-Buckland",
          "Saint-Denis",
          "Saint-Donat-de-Montcalm",
          "Saint-Ephrem-de-Tring",
          "Saint-Fabien",
          "Saint-Felicien",
          "Saint-Felix-de-Valois",
          "Saint-Gabriel",
          "Saint-Gedeon",
          "Saint-Georges",
          "Saint-Germain-de-Grantham",
          "Saint-Gregoire",
          "Saint-Henri-de-Levis",
          "Saint-Honore",
          "Saint-Hyacinthe",
          "Saint-Jacques",
          "Saint-Jean-Port-Joli",
          "Saint-Jean-de-Dieu",
          "Saint-Jean-sur-Richelieu",
          "Saint-Jerome",
          "Saint-Josephe-de-Beauce",
          "Saint-Josephe-de-Lanoraie",
          "Saint-Josephe-de-la-Riviere-Bl",
          "Saint-Jovite",
          "Saint-Laurent",
          "Saint-Liboire",
          "Saint-Marc-des-Carrieres",
          "Saint-Martin",
          "Saint-Michel-des-Saints",
          "Saint-Pacome",
          "Saint-Pascal",
          "Saint-Pie",
          "Saint-Prosper",
          "Saint-Raphael",
          "Saint-Raymond",
          "Saint-Remi",
          "Saint-Roch-de-l\\'\\'Achigan",
          "Saint-Sauveur-des-Monts",
          "Saint-Tite",
          "Sainte-Adele",
          "Sainte-Agathe-des-Monts",
          "Sainte-Anne-des-Monts",
          "Sainte-Anne-des-Plaines",
          "Sainte-Catherine",
          "Sainte-Claire",
          "Sainte-Julienne",
          "Sainte-Justine",
          "Sainte-Madeleine",
          "Sainte-Marie",
          "Sainte-Martine",
          "Sainte-Sophie",
          "Sainte-Thecle",
          "Sainte-Therese",
          "Salaberry-de-Valleyfield",
          "Sayabec",
          "Senneterre",
          "Sept-Iles",
          "Shawinigan",
          "Shawville",
          "Sherbrooke",
          "Sorel",
          "St Faustin",
          "St. Hubert",
          "St. Jean Chrysostome",
          "Temiscaming",
          "Terrebonne",
          "Thetford Mines",
          "Thurso",
          "Trois-Pistoles",
          "Trois-Rivieres",
          "Val-David",
          "Val-d\\'\\'Or",
          "Valcourt",
          "Vallee-Jonction",
          "Vaudreuil",
          "Vercheres",
          "Victoriaville",
          "Ville-Marie",
          "Warwick",
          "Waterloo",
          "Weedon Centre",
          "Westmount",
          "Wickham",
          "Windsor",
          "Yamachiche"
        ]),
        States(name: "Quebec", cities: [
          "Assiniboia",
          "Biggar",
          "Canora",
          "Carlyle",
          "Carnduff",
          "Caronport",
          "Carrot",
          "Dalmeny",
          "Davidson",
          "Esterhazy",
          "Estevan",
          "Eston",
          "Foam Lake",
          "Fort Qu\\'\\'Appelle",
          "Gravelbourg",
          "Grenfell",
          "Gull Lake",
          "Hudson Bay",
          "Humboldt",
          "Indian Head",
          "Kamsack",
          "Kelvington",
          "Kerrobert",
          "Kindersley",
          "Kipling",
          "La Ronge",
          "Langenburg",
          "Langham",
          "Lanigan",
          "Lloydminster",
          "Lumsden",
          "Macklin",
          "Maple Creek",
          "Martensville",
          "Meadow Lake",
          "Melfort",
          "Melville",
          "Moose Jaw",
          "Moosomin",
          "Nipawin",
          "North Battleford",
          "Outlook",
          "Oxbow",
          "Pilot Butte",
          "Preeceville",
          "Prince Albert",
          "Regina",
          "Rosetown",
          "Rosthem",
          "Saskatoon",
          "Shaunavon",
          "Shellbrook",
          "Swift Current",
          "Tisdale",
          "Unity",
          "Wadena",
          "Warman",
          "Watrous",
          "Weyburn",
          "White City",
          "Wilkie",
          "Wynyard",
          "Yorkton"
        ]),
        States(
            name: "Saskatchewan",
            cities: ["Haines Junction", "Mayo", "Whitehorse"]),
        States(name: "Yukon", cities: ["Sal Rei"])
      ]),
  Country(
      name: "Cape Verde",
      flag: "🇨🇻",
      code: "CV",
      dialCode: "238",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Boavista", cities: ["Nova Sintra"]),
        States(name: "Brava", cities: ["Mosteiros", "Sao Filipe"]),
        States(name: "Fogo", cities: ["Vila do Maio"]),
        States(name: "Maio", cities: ["Santa Maria"]),
        States(name: "Sal", cities: []),
        States(name: "Santo Antao", cities: []),
        States(name: "Sao Nicolau", cities: []),
        States(name: "Sao Tiago", cities: []),
        States(name: "Sao Vicente", cities: [])
      ]),
  Country(
      name: "Cayman Islands",
      flag: "🇰🇾",
      code: "KY",
      dialCode: "345",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Grand Cayman", cities: ["Ndele"])
      ]),
  Country(
      name: "Central African Republic",
      flag: "🇨🇫",
      code: "CF",
      dialCode: "236",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Bamingui-Bangoran", cities: ["Bangui"]),
        States(name: "Bangui", cities: ["Alindao", "Kembe", "Mobaye"]),
        States(name: "Basse-Kotto", cities: ["Obo", "Zemio"]),
        States(name: "Haut-Mbomou", cities: ["Bria", "Ouadda"]),
        States(name: "Haute-Kotto", cities: ["Dekoa", "Sibut"]),
        States(name: "Kemo", cities: ["Boda", "Mbaiki", "Mongoumba"]),
        States(name: "Lobaye", cities: ["Berberati", "Carnot", "Gamboula"]),
        States(
            name: "Mambere-Kadei",
            cities: ["Bangassou", "Gambo", "Ouango", "Rafai"]),
        States(name: "Mbomou", cities: ["Kaga-Bandoro"]),
        States(name: "Nana-Gribizi", cities: ["Baboua", "Baoro", "Bouar"]),
        States(name: "Nana-Mambere", cities: []),
        States(
            name: "Ombella Mpoko",
            cities: ["Bambari", "Grimari", "Ippy", "Kouango"]),
        States(
            name: "Ouaka", cities: ["Batangafo", "Bossangoa", "Bouca", "Kabo"]),
        States(name: "Ouham", cities: ["Bocaranga", "Bozoum", "Paoua"]),
        States(name: "Ouham-Pende", cities: ["Nola"]),
        States(name: "Sangha-Mbaere", cities: ["Birao"]),
        States(name: "Vakaga", cities: ["Ati", "Oum Hadjer"])
      ]),
  Country(
      name: "Chad",
      flag: "🇹🇩",
      code: "TD",
      dialCode: "235",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Batha", cities: ["Biltine"]),
        States(name: "Biltine", cities: ["Aouzou", "Bardai", "Fada", "Faya"]),
        States(name: "Bourkou-Ennedi-Tibesti", cities: [
          "Bokoro",
          "Bousso",
          "Dourbali",
          "Massaguet",
          "Massakory",
          "Massenya",
          "N\\'\\'Djamena",
          "Ngama"
        ]),
        States(name: "Chari-Baguirmi", cities: ["Bitkine", "Melfi", "Mongo"]),
        States(name: "Guera", cities: ["Mao", "Moussoro", "Rig-Rig"]),
        States(name: "Kanem", cities: ["Bol"]),
        States(name: "Lac", cities: []),
        States(name: "Logone Occidental", cities: []),
        States(name: "Logone Oriental", cities: [
          "Bongor",
          "Fianga",
          "Gounou Gaya",
          "Guelengdeng",
          "Lere",
          "Pala"
        ]),
        States(
            name: "Mayo-Kebbi",
            cities: ["Goundi", "Koumra", "Kyabe", "Moissala", "Sarh"]),
        States(name: "Moyen-Chari", cities: ["Abeche", "Adre", "Am Dam"]),
        States(name: "Ouaddai", cities: ["Abou Deia", "Am Timan", "Mangueigne"]),
        States(name: "Salamat", cities: ["Benoy", "Bere", "Kelo", "Lai"]),
        States(name: "Tandjile", cities: [
          "Aisen",
          "Chile Chico",
          "Cisnes",
          "Cochrane",
          "Coihaique",
          "Guaitecas",
          "Lago Verde",
          "O\\'\\'Higgins",
          "Rio Ibanez",
          "Tortel"
        ])
      ]),
  Country(
      name: "Chile",
      flag: "🇨🇱",
      code: "CL",
      dialCode: "56",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Aisen", cities: [
          "Antofagasta",
          "Calama",
          "Maria Elena",
          "Mejilones",
          "Ollague",
          "San Pedro de Atacama",
          "Sierra Gorda",
          "Taltal",
          "Tocopilla"
        ]),
        States(name: "Antofagasta", cities: [
          "Angol",
          "Carahue",
          "Collipulli",
          "Cunco",
          "Curacautin",
          "Curarrehue",
          "Ercilla",
          "Freire",
          "Galvarino",
          "Gorbea",
          "Lautaro",
          "Loncoche",
          "Lonquimay",
          "Los Sauces",
          "Lumaco",
          "Melipeuco",
          "Nueva Imperial",
          "Padre las Casas",
          "Perquenco",
          "Pitrufquen",
          "Pucon",
          "Puren",
          "Renaico",
          "Saavedra",
          "Temuco",
          "Teodoro Schmidt",
          "Tolten",
          "Traiguen",
          "Victoria",
          "Vilcun",
          "Villarica"
        ]),
        States(name: "Araucania", cities: [
          "Alto del Carmen",
          "Caldera",
          "Chanaral",
          "Copiapo",
          "Diego de Almagro",
          "Freirina",
          "Huasco",
          "Tierra Amarilla",
          "Vallenar"
        ]),
        States(name: "Atacama", cities: []),
        States(name: "Bio Bio", cities: [
          "Andacollo",
          "Canela",
          "Combarbala",
          "Coquimbo",
          "Illapel",
          "La Higuera",
          "La Serena",
          "Los Vilos",
          "Monte Patria",
          "Ovalle",
          "Paiguano",
          "Punitaci",
          "Rio Hurtado",
          "Salamanca",
          "Vicuna"
        ]),
        States(name: "Coquimbo", cities: []),
        States(name: "Libertador General Bernardo O", cities: []),
        States(name: "Los Lagos", cities: [
          "Cabo de Horno",
          "Laguna Blanca",
          "Natales",
          "Porvenir",
          "Primavera",
          "Punta Arenas",
          "Rio Verde",
          "San Gregorio",
          "Timaukel",
          "Torres del Paine"
        ]),
        States(name: "Magellanes", cities: [
          "Cauquenes",
          "Chanco",
          "Colbun",
          "Constitucion",
          "Curepto",
          "Curico",
          "Empedrado",
          "Hualane",
          "Licanten",
          "Linares",
          "Longavi",
          "Maule",
          "Molina",
          "Parral",
          "Pelarco",
          "Pelluhue",
          "Pencahue",
          "Rauco",
          "Retiro",
          "Rio Claro",
          "Romeral",
          "Sagrada Familia",
          "San Clemente",
          "San Javier",
          "San Rafael",
          "Talca",
          "Teno",
          "Vichuquen",
          "Villa Alegre",
          "Yerbas Buenas"
        ]),
        States(name: "Maule", cities: [
          "Alhue",
          "Buin",
          "Calera de Tango",
          "Colina",
          "Curacavi",
          "El Monte",
          "Isla de Maipo",
          "Lampa",
          "Maria Pinto",
          "Melipilla",
          "Padre Hurtado",
          "Paine",
          "Penaflor",
          "Pirque",
          "Puente Alto",
          "Quilicura",
          "San Bernardo",
          "San Jose de Maipo",
          "San Pedro",
          "Santiago",
          "Talagante",
          "Tiltil"
        ]),
        States(name: "Metropolitana", cities: [
          "Alhue",
          "Buin",
          "Calera de Tango",
          "Colina",
          "Curacavi",
          "El Monte",
          "Isla de Maipo",
          "Lampa",
          "Maria Pinto",
          "Melipilla",
          "Padre Hurtado",
          "Paine",
          "Penaflor",
          "Pirque",
          "Puente Alto",
          "Quilicura",
          "San Bernardo",
          "San Jose de Maipo",
          "San Pedro",
          "Santiago",
          "Talagante",
          "Tiltil"
        ]),
        States(name: "Metropolitana de Santiago", cities: [
          "Arica",
          "Camarones",
          "Camina",
          "Colchane",
          "General Lagos",
          "Huara",
          "Iquique",
          "Pica",
          "Pozo Almonte",
          "Putre"
        ]),
        States(name: "Tarapaca", cities: [
          "Algarrobo",
          "Cabildo",
          "Calera",
          "Calle Larga",
          "Cartagena",
          "Casablanca",
          "Catemu",
          "Concon",
          "El Quisco",
          "El Tabo",
          "Hijuelas",
          "La Cruz",
          "La Ligua",
          "Limache",
          "Llaillay",
          "Los Andes",
          "Nogales",
          "Olmue",
          "Panquehue",
          "Papudo",
          "Petorca",
          "Puchuncavi",
          "Putaendeo",
          "Quillota",
          "Quilpue",
          "Quintero",
          "Rinconada",
          "San Antonio",
          "San Esteban",
          "San Felipe",
          "Santa Maria",
          "Santo Domingo",
          "Valparaiso",
          "Villa Alemana",
          "Vina del Mar",
          "Zapallar"
        ]),
        States(name: "Valparaiso", cities: [
          "Fengyang",
          "Guangde",
          "Liuan",
          "Ningguo",
          "Shucheng",
          "Xinchang",
          "Xuancheng"
        ])
      ]),
  Country(
      name: "China",
      flag: "🇨🇳",
      code: "CN",
      dialCode: "86",
      minLength: 12,
      maxLength: 12,
      states: [
        States(name: "Anhui", cities: [
          "Fengyang",
          "Guangde",
          "Liuan",
          "Ningguo",
          "Shucheng",
          "Xinchang",
          "Xuancheng"
        ]),
        States(name: "Anhui Province", cities: [
          "Fengyang",
          "Guangde",
          "Liuan",
          "Ningguo",
          "Shucheng",
          "Xinchang",
          "Xuancheng"
        ]),
        States(name: "Anhui Sheng", cities: ["Aomen"]),
        States(name: "Aomen", cities: [
          "Beijing",
          "Changping",
          "Fangshan",
          "Huangcun",
          "Liangxiang",
          "Mentougou",
          "Shunyi",
          "Tongzhou"
        ]),
        States(name: "Beijing", cities: [
          "Beijing",
          "Changping",
          "Fangshan",
          "Huangcun",
          "Liangxiang",
          "Mentougou",
          "Shunyi",
          "Tongzhou"
        ]),
        States(name: "Beijing Shi", cities: [
          "Beibei",
          "Chongqing",
          "Fuling",
          "Longhua",
          "Nantongkuang",
          "Wanxian",
          "Xiuma",
          "Yubei",
          "Yudong"
        ]),
        States(name: "Chongqing", cities: [
          "Bantou",
          "Dongshan",
          "Fuan",
          "Fujian",
          "Fuqing",
          "Fuzhou",
          "Gantou",
          "Hanyang",
          "Jiangkou",
          "Jiaocheng",
          "Jinjiang",
          "Jinshang",
          "Longhai",
          "Longyan",
          "Luoyang",
          "Nanan",
          "Nanping",
          "Nanpu",
          "Putian",
          "Qingyang",
          "Quanzhou",
          "Rongcheng",
          "Sanming",
          "Shaowu",
          "Shima",
          "Shishi",
          "Tantou",
          "Tongshan",
          "Xiamen",
          "Xiapu",
          "Xiapu Ningde",
          "Ximei",
          "Yongan",
          "Zhangzhou",
          "Zhicheng"
        ]),
        States(name: "Fujian", cities: [
          "Bantou",
          "Dongshan",
          "Fuan",
          "Fujian",
          "Fuqing",
          "Fuzhou",
          "Gantou",
          "Hanyang",
          "Jiangkou",
          "Jiaocheng",
          "Jinjiang",
          "Jinshang",
          "Longhai",
          "Longyan",
          "Luoyang",
          "Nanan",
          "Nanping",
          "Nanpu",
          "Putian",
          "Qingyang",
          "Quanzhou",
          "Rongcheng",
          "Sanming",
          "Shaowu",
          "Shima",
          "Shishi",
          "Tantou",
          "Tongshan",
          "Xiamen",
          "Xiapu",
          "Xiapu Ningde",
          "Ximei",
          "Yongan",
          "Zhangzhou",
          "Zhicheng"
        ]),
        States(name: "Fujian Sheng", cities: [
          "Baiyin",
          "Baoji",
          "Beidao",
          "Jiayuguan",
          "Jinchang",
          "Jiuquan",
          "Lanzhou",
          "Linxia",
          "Pingliang",
          "Qincheng",
          "Wuwei",
          "Yaojie",
          "Yumen",
          "Zhangye",
          "Zhuanglang"
        ]),
        States(name: "Gansu", cities: [
          "Anbu",
          "Chaozhou",
          "Chenghai",
          "Chuncheng",
          "Daliang",
          "Danshui",
          "Dongguan",
          "Donghai",
          "Dongli",
          "Dongzhen",
          "Ducheng",
          "Encheng",
          "Foahn",
          "Foshan",
          "Gaozhou",
          "Guangdong",
          "Guangzhou",
          "Guanjiao",
          "Haicheng",
          "Haimen",
          "Hepo",
          "Houpu",
          "Huaicheng",
          "Huanggang",
          "Huangpu",
          "Huazhou",
          "Huicheng",
          "Huizhou",
          "Humen",
          "Jiangmen",
          "Jiazi",
          "Jieshi",
          "Jieyang",
          "Lecheng",
          "Leicheng",
          "Liancheng",
          "Lianzhou",
          "Licheng",
          "Liusha",
          "Longgang",
          "Lubu",
          "Luocheng",
          "Luohu",
          "Luoyang",
          "Maba",
          "Maoming",
          "Mata",
          "Meilu",
          "Meizhou",
          "Mianchang",
          "Nanfeng",
          "Nanhai",
          "Pingshan",
          "Qingtang",
          "Qingyuan",
          "Rongcheng",
          "Sanbu",
          "Shantou",
          "Shanwei",
          "Shaoguan",
          "Shaping",
          "Shenzhen",
          "Shilong",
          "Shiqiao",
          "Shiwan",
          "Shuizhai",
          "Shunde",
          "Suicheng",
          "Taicheng",
          "Tangping",
          "Xiaolan",
          "Xinan",
          "Xingcheng",
          "Xiongzhou",
          "Xucheng",
          "Yangjiang",
          "Yingcheng",
          "Yuancheng",
          "Yuncheng",
          "Yunfu",
          "Zengcheng",
          "Zhanjiang",
          "Zhaoqing",
          "Zhilong",
          "Zhongshan",
          "Zhuhai"
        ]),
        States(name: "Guangdong", cities: [
          "Anbu",
          "Chaozhou",
          "Chenghai",
          "Chuncheng",
          "Daliang",
          "Danshui",
          "Dongguan",
          "Donghai",
          "Dongli",
          "Dongzhen",
          "Ducheng",
          "Encheng",
          "Foahn",
          "Foshan",
          "Gaozhou",
          "Guangdong",
          "Guangzhou",
          "Guanjiao",
          "Haicheng",
          "Haimen",
          "Hepo",
          "Houpu",
          "Huaicheng",
          "Huanggang",
          "Huangpu",
          "Huazhou",
          "Huicheng",
          "Huizhou",
          "Humen",
          "Jiangmen",
          "Jiazi",
          "Jieshi",
          "Jieyang",
          "Lecheng",
          "Leicheng",
          "Liancheng",
          "Lianzhou",
          "Licheng",
          "Liusha",
          "Longgang",
          "Lubu",
          "Luocheng",
          "Luohu",
          "Luoyang",
          "Maba",
          "Maoming",
          "Mata",
          "Meilu",
          "Meizhou",
          "Mianchang",
          "Nanfeng",
          "Nanhai",
          "Pingshan",
          "Qingtang",
          "Qingyuan",
          "Rongcheng",
          "Sanbu",
          "Shantou",
          "Shanwei",
          "Shaoguan",
          "Shaping",
          "Shenzhen",
          "Shilong",
          "Shiqiao",
          "Shiwan",
          "Shuizhai",
          "Shunde",
          "Suicheng",
          "Taicheng",
          "Tangping",
          "Xiaolan",
          "Xinan",
          "Xingcheng",
          "Xiongzhou",
          "Xucheng",
          "Yangjiang",
          "Yingcheng",
          "Yuancheng",
          "Yuncheng",
          "Yunfu",
          "Zengcheng",
          "Zhanjiang",
          "Zhaoqing",
          "Zhilong",
          "Zhongshan",
          "Zhuhai"
        ]),
        States(name: "Guangdong Sheng", cities: [
          "Babu",
          "Baihe",
          "Baise",
          "Beihai",
          "Binzhou",
          "Bose",
          "Fangchenggang",
          "Guicheng",
          "Guilin",
          "Guiping",
          "Jinchengjiang",
          "Jinji",
          "Laibin",
          "Lianzhou",
          "Liuzhou",
          "Luorong",
          "Matong",
          "Nandu",
          "Nanning",
          "Pingnan",
          "Pumiao",
          "Qinzhou",
          "Songhua",
          "Wuzhou",
          "Yashan",
          "Yulin"
        ]),
        States(name: "Guangxi", cities: [
          "Anshun",
          "Bijie",
          "Caohai",
          "Duyun",
          "Guiyang",
          "Kaili",
          "Liupanshui",
          "Luoyang",
          "Pingzhai",
          "Tongren",
          "Tongzi",
          "Xiaoweizhai",
          "Xingyi",
          "Zunyi"
        ]),
        States(name: "Guizhou", cities: [
          "Chengmai",
          "Dingan",
          "Haikou",
          "Lingao",
          "Qiongshan",
          "Sansha",
          "Sanya",
          "Wanning"
        ]),
        States(name: "Hainan", cities: [
          "Anping",
          "Baoding",
          "Botou",
          "Cangzhou",
          "Changli",
          "Chengde",
          "Dingzhou",
          "Fengfeng",
          "Fengrun",
          "Guye",
          "Handan",
          "Hebei",
          "Hecun",
          "Hejian",
          "Hengshui",
          "Huanghua",
          "Jingxingkuang",
          "Jinzhou",
          "Langfang",
          "Lianzhou",
          "Linshui",
          "Linxi",
          "Longyao County",
          "Nangong",
          "Pengcheng",
          "Qinhuangdao",
          "Renqiu",
          "Shahe",
          "Shijiazhuang",
          "Tangjiazhuang",
          "Tangshan",
          "Wuan",
          "Xian County",
          "Xingtai",
          "Xinji",
          "Xinle",
          "Xuanhua",
          "Zhangjiakou",
          "Zhaogezhuang",
          "Zhuozhou"
        ]),
        States(name: "Hebei", cities: [
          "Acheng",
          "Anda",
          "Angangxi",
          "Baiquan",
          "Bamiantong",
          "Baoqing",
          "Baoshan",
          "Bayan",
          "Beian",
          "Binzhou",
          "Boli",
          "Chaihe",
          "Chengzihe",
          "Cuiluan",
          "Daqing",
          "Didao",
          "Dongning",
          "Fujin",
          "Fuli",
          "Fulitun",
          "Fuyu",
          "Gannan",
          "Hailin",
          "Hailun",
          "Harbin",
          "Hegang",
          "Heihe",
          "Hengshan",
          "Honggang",
          "Huanan",
          "Hulan",
          "Hulan Ergi",
          "Jiamusi",
          "Jidong",
          "Jixi",
          "Keshan",
          "Langxiang",
          "Lanxi",
          "Lingdong",
          "Linkou",
          "Lishu",
          "Longfeng",
          "Longjiang",
          "Mingshui",
          "Mishan",
          "Mudanjiang",
          "Nancha",
          "Nehe",
          "Nenjiang",
          "Nianzishan",
          "Ningan",
          "Qingan",
          "Qinggang",
          "Qiqihar",
          "Qitaihe",
          "Ranghulu",
          "Saertu",
          "Shangzhi",
          "Shanhetun",
          "Shuangcheng",
          "Shuangyashan",
          "Sifantan",
          "Suifenhe",
          "Suihua",
          "Suileng",
          "Tahe",
          "Taikang",
          "Tailai",
          "Tieli",
          "Wangkui",
          "Weihe",
          "Wuchang",
          "Xinglongzhen",
          "Xinqing",
          "Yian",
          "Yichun",
          "Yilan",
          "Youhao",
          "Zhaodong",
          "Zhaoyuan",
          "Zhaozhou"
        ]),
        States(name: "Heilongjiang", cities: [
          "Anyang",
          "Changying",
          "Dancheng",
          "Daokou",
          "Dengzhou",
          "Gongyi",
          "Gushi",
          "Hebi",
          "Huaidian",
          "Huangchuan",
          "Huangzhai",
          "Jiaozuo",
          "Jishui",
          "Kaifeng",
          "Liupen",
          "Luohe",
          "Luoyang",
          "Luyang",
          "Mengzhou",
          "Minggang",
          "Nandun",
          "Nanyang",
          "Pingdingshan",
          "Puyang",
          "Sanmenxia",
          "Shangqiu",
          "Tanghe",
          "Xiaoyi",
          "Xihua",
          "Xinxiang",
          "Xinyang",
          "Xinye",
          "Xixiang",
          "Xuanwu",
          "Xuchang",
          "Yigou",
          "Yima",
          "Yinzhuang",
          "Yunyang",
          "Yuzhou",
          "Zhecheng",
          "Zhengzhou",
          "Zhenping",
          "Zhoukou",
          "Zhumadian"
        ]),
        States(name: "Henan", cities: [
          "Anlu",
          "Baisha",
          "Buhe",
          "Caidian",
          "Caohe",
          "Danjiangkou",
          "Daye",
          "Duobao",
          "Enshi",
          "Ezhou",
          "Fengkou",
          "Guangshui",
          "Gucheng",
          "Hanchuan",
          "Hongan",
          "Honghu",
          "Huangmei",
          "Huangpi",
          "Huangshi",
          "Huangzhou",
          "Jingmen",
          "Jingzhou",
          "Laohekou",
          "Lichuan",
          "Macheng",
          "Nanhai",
          "Nanzhang",
          "Puqi",
          "Qianjiang",
          "Qingquan",
          "Qixingtai",
          "Rongcheng",
          "Shashi",
          "Shishou",
          "Shiyan",
          "Suizhou",
          "Tianmen",
          "Tongcheng",
          "Wuhan",
          "Wuxue",
          "Xiangfan",
          "Xianning",
          "Xiantao",
          "Xiaogan",
          "Xiaoxita",
          "Xiaxindian",
          "Xihe",
          "Xinpu",
          "Xinshi",
          "Xinzhou",
          "Yichang",
          "Yicheng",
          "Yingcheng",
          "Yingzhong",
          "Zaoyang",
          "Zhengchang",
          "Zhicheng",
          "Zhifang",
          "Zhongxiang"
        ]),
        States(name: "Hubei", cities: [
          "Anjiang",
          "Anxiang",
          "Changde",
          "Changsha",
          "Chenzhou",
          "Dayong",
          "Hengyang",
          "Hongjiang",
          "Huaihua",
          "Jinshi",
          "Jishou",
          "Leiyang",
          "Lengshuijiang",
          "Lengshuitan",
          "Lianyuan",
          "Liling",
          "Liuyang",
          "Loudi",
          "Matian",
          "Nanzhou",
          "Ningxiang",
          "Qidong",
          "Qiyang",
          "Shaoyang",
          "Xiangtan",
          "Xiangxiang",
          "Xiangyin",
          "Xinhua",
          "Yiyang",
          "Yongfeng",
          "Yongzhou",
          "Yuanjiang",
          "Yueyang",
          "Zhuzhou"
        ]),
        States(name: "Hunan", cities: [
          "Baoying",
          "Changzhou",
          "Dachang",
          "Dafeng",
          "Danyang",
          "Dingshu",
          "Dongkan",
          "Dongtai",
          "Fengxian",
          "Gaogou",
          "Gaoyou",
          "Guiren",
          "Haian",
          "Haizhou",
          "Hede",
          "Huaicheng",
          "Huaiyin",
          "Huilong",
          "Hutang",
          "Jiangdu",
          "Jiangyan",
          "Jiangyin",
          "Jiangyuan",
          "Jianhu",
          "Jingcheng",
          "Jinsha",
          "Jintan",
          "Juegang",
          "Jurong",
          "Kunshan",
          "Lianyungang",
          "Liucheng",
          "Liyang",
          "Luodu",
          "Mudu",
          "Nanjing",
          "Nantong",
          "Pecheng",
          "Pukou",
          "Qidong",
          "Qinnan",
          "Qixia",
          "Rucheng",
          "Songling",
          "Sucheng",
          "Suicheng",
          "Suqian",
          "Suzhou",
          "Taicang",
          "Taixing",
          "Wujiang",
          "Wuxi",
          "Xiaolingwei",
          "Xiaoshi",
          "Xinan",
          "Xinpu",
          "Xuzhou",
          "Yancheng",
          "Yangshe",
          "Yangzhou",
          "Yizheng",
          "Yunhe",
          "Yunyang",
          "Yushan",
          "Zhangjiagang",
          "Zhangjiangang",
          "Zhaoyang",
          "Zhenjiang",
          "Zhongxing"
        ]),
        States(name: "Jiangsu", cities: [
          "Baoying",
          "Changzhou",
          "Dachang",
          "Dafeng",
          "Danyang",
          "Dingshu",
          "Dongkan",
          "Dongtai",
          "Fengxian",
          "Gaogou",
          "Gaoyou",
          "Guiren",
          "Haian",
          "Haizhou",
          "Hede",
          "Huaicheng",
          "Huaiyin",
          "Huilong",
          "Hutang",
          "Jiangdu",
          "Jiangyan",
          "Jiangyin",
          "Jiangyuan",
          "Jianhu",
          "Jingcheng",
          "Jinsha",
          "Jintan",
          "Juegang",
          "Jurong",
          "Kunshan",
          "Lianyungang",
          "Liucheng",
          "Liyang",
          "Luodu",
          "Mudu",
          "Nanjing",
          "Nantong",
          "Pecheng",
          "Pukou",
          "Qidong",
          "Qinnan",
          "Qixia",
          "Rucheng",
          "Songling",
          "Sucheng",
          "Suicheng",
          "Suqian",
          "Suzhou",
          "Taicang",
          "Taixing",
          "Wujiang",
          "Wuxi",
          "Xiaolingwei",
          "Xiaoshi",
          "Xinan",
          "Xinpu",
          "Xuzhou",
          "Yancheng",
          "Yangshe",
          "Yangzhou",
          "Yizheng",
          "Yunhe",
          "Yunyang",
          "Yushan",
          "Zhangjiagang",
          "Zhangjiangang",
          "Zhaoyang",
          "Zhenjiang",
          "Zhongxing"
        ]),
        States(name: "Jiangsu Sheng", cities: [
          "Fengxin",
          "Fenyi",
          "Ganzhou",
          "Jian",
          "Jiangguang",
          "Jingdezhen",
          "Jiujiang",
          "Leping",
          "Linchuan",
          "Nanchang",
          "Pingxiang",
          "Poyang",
          "Shangrao",
          "Xiangdong",
          "Xingan",
          "Xinjian",
          "Xinyu",
          "Xiongshi",
          "Yichun",
          "Yingtai",
          "Yingtan",
          "Zhangshui"
        ]),
        States(name: "Jiangxi", cities: [
          "Badaojiang",
          "Baicheng",
          "Baishishan",
          "Changchun",
          "Changling",
          "Chaoyang",
          "Daan",
          "Dashitou",
          "Dehui",
          "Dongchang",
          "Dongfeng",
          "Dunhua",
          "Erdaojiang",
          "Fuyu",
          "Gongzhuling",
          "Helong",
          "Hongmei",
          "Huadian",
          "Huangnihe",
          "Huinan",
          "Hunchun",
          "Jiaohe",
          "Jilin",
          "Jishu",
          "Jiutai",
          "Kaitong",
          "Kouqian",
          "Liaoyuan",
          "Linjiang",
          "Lishu",
          "Liuhe",
          "Longjing",
          "Meihekou",
          "Mingyue",
          "Nongan",
          "Panshi",
          "Pizhou",
          "Qianan",
          "Qianguo",
          "Sanchazi",
          "Shuangyang",
          "Shulan",
          "Siping",
          "Songjianghe",
          "Taonan",
          "Tumen",
          "Wangou",
          "Wangqing",
          "Xinglongshan",
          "Yanji",
          "Yantongshan",
          "Yushu",
          "Zhengjiatun",
          "Zhenlai"
        ]),
        States(name: "Jilin", cities: [
          "Anshan",
          "Beipiao",
          "Benxi",
          "Changtu",
          "Chaoyang",
          "Dalian",
          "Dalianwan",
          "Dalinghe",
          "Dandong",
          "Dashiqiao",
          "Dongling",
          "Fengcheng",
          "Fushun",
          "Fuxin",
          "Haicheng",
          "Heishan",
          "Huanren",
          "Huludao",
          "Hushitai",
          "Jinxi",
          "Jinzhou",
          "Jiupu",
          "Kaiyuan",
          "Kuandian",
          "Langtou",
          "Liaoyang",
          "Liaozhong",
          "Lingyuan",
          "Liuerbao",
          "Lushunkou",
          "Nantai",
          "Panjin",
          "Pulandian",
          "Shenyang",
          "Sujiatun",
          "Tieling",
          "Wafangdian",
          "Xiaoshi",
          "Xifeng",
          "Xinchengxi",
          "Xingcheng",
          "Xinmin",
          "Xiongyue",
          "Xiuyan",
          "Yebaishou",
          "Yingkou",
          "Yuhong",
          "Zhuanghe"
        ]),
        States(name: "Liaoning", cities: [
          "Anshan",
          "Beipiao",
          "Benxi",
          "Changtu",
          "Chaoyang",
          "Dalian",
          "Dalianwan",
          "Dalinghe",
          "Dandong",
          "Dashiqiao",
          "Dongling",
          "Fengcheng",
          "Fushun",
          "Fuxin",
          "Haicheng",
          "Heishan",
          "Huanren",
          "Huludao",
          "Hushitai",
          "Jinxi",
          "Jinzhou",
          "Jiupu",
          "Kaiyuan",
          "Kuandian",
          "Langtou",
          "Liaoyang",
          "Liaozhong",
          "Lingyuan",
          "Liuerbao",
          "Lushunkou",
          "Nantai",
          "Panjin",
          "Pulandian",
          "Shenyang",
          "Sujiatun",
          "Tieling",
          "Wafangdian",
          "Xiaoshi",
          "Xifeng",
          "Xinchengxi",
          "Xingcheng",
          "Xinmin",
          "Xiongyue",
          "Xiuyan",
          "Yebaishou",
          "Yingkou",
          "Yuhong",
          "Zhuanghe"
        ]),
        States(name: "Liaoning Sheng", cities: []),
        States(name: "Nei Monggol", cities: []),
        States(name: "Ningxia Hui", cities: ["Qiatou", "Xining"]),
        States(name: "Qinghai", cities: [
          "Ankang",
          "Baoji",
          "Guozhen",
          "Hancheng",
          "Hanzhong",
          "Lishan",
          "Qili",
          "Tongchuan",
          "Weinan",
          "Xian",
          "Xianyang",
          "Yanan",
          "Yanliang",
          "Yulin",
          "Yuxia"
        ]),
        States(name: "Shaanxi", cities: [
          "Anqiu",
          "Bianzhuang",
          "Binzhou",
          "Boshan",
          "Boxing County",
          "Caocheng",
          "Changqing",
          "Chengyang",
          "Dengzhou",
          "Dezhou",
          "Dingtao",
          "Dongcun",
          "Dongdu",
          "Donge County",
          "Dongying",
          "Feicheng",
          "Fushan",
          "Gaomi",
          "Haiyang",
          "Hanting",
          "Hekou",
          "Heze",
          "Jiaonan",
          "Jiaozhou",
          "Jiehu",
          "Jimo",
          "Jinan",
          "Jining",
          "Juxian",
          "Juye",
          "Kunlun",
          "Laiwu",
          "Laiyang",
          "Laizhou",
          "Leling",
          "Liaocheng",
          "Licung",
          "Linqing",
          "Linqu",
          "Linshu",
          "Linyi",
          "Longkou",
          "Mengyin",
          "Mingshui",
          "Nanchou",
          "Nanding",
          "Nanma",
          "Ninghai",
          "Ningyang",
          "Pingdu",
          "Pingyi",
          "Pingyin",
          "Qingdao",
          "Qingzhou",
          "Qixia",
          "Qufu",
          "Rizhao",
          "Rongcheng",
          "Shancheng",
          "Shanting",
          "Shengzhuang",
          "Shenxian",
          "Shizilu",
          "Shouguang",
          "Shuiji",
          "Sishui",
          "Suozhen",
          "Taian",
          "Tancheng",
          "Taozhuang",
          "Tengzhou",
          "Weifang",
          "Weihai",
          "Wencheng",
          "Wendeng",
          "Wenshang",
          "Wudi",
          "Xiazhen",
          "Xincheng",
          "Xindian",
          "Xintai",
          "Yanggu",
          "Yangshan",
          "Yantai",
          "Yanzhou",
          "Yatou",
          "Yidu",
          "Yishui",
          "Yucheng",
          "Yuncheng",
          "Zaozhuang",
          "Zhangdian",
          "Zhangjiawa",
          "Zhangqiu",
          "Zhaocheng",
          "Zhoucheng",
          "Zhoucun",
          "Zhucheng",
          "Zhuwang",
          "Zicheng",
          "Zouping",
          "Zouxian"
        ]),
        States(name: "Shandong", cities: [
          "Anqiu",
          "Bianzhuang",
          "Binzhou",
          "Boshan",
          "Boxing County",
          "Caocheng",
          "Changqing",
          "Chengyang",
          "Dengzhou",
          "Dezhou",
          "Dingtao",
          "Dongcun",
          "Dongdu",
          "Donge County",
          "Dongying",
          "Feicheng",
          "Fushan",
          "Gaomi",
          "Haiyang",
          "Hanting",
          "Hekou",
          "Heze",
          "Jiaonan",
          "Jiaozhou",
          "Jiehu",
          "Jimo",
          "Jinan",
          "Jining",
          "Juxian",
          "Juye",
          "Kunlun",
          "Laiwu",
          "Laiyang",
          "Laizhou",
          "Leling",
          "Liaocheng",
          "Licung",
          "Linqing",
          "Linqu",
          "Linshu",
          "Linyi",
          "Longkou",
          "Mengyin",
          "Mingshui",
          "Nanchou",
          "Nanding",
          "Nanma",
          "Ninghai",
          "Ningyang",
          "Pingdu",
          "Pingyi",
          "Pingyin",
          "Qingdao",
          "Qingzhou",
          "Qixia",
          "Qufu",
          "Rizhao",
          "Rongcheng",
          "Shancheng",
          "Shanting",
          "Shengzhuang",
          "Shenxian",
          "Shizilu",
          "Shouguang",
          "Shuiji",
          "Sishui",
          "Suozhen",
          "Taian",
          "Tancheng",
          "Taozhuang",
          "Tengzhou",
          "Weifang",
          "Weihai",
          "Wencheng",
          "Wendeng",
          "Wenshang",
          "Wudi",
          "Xiazhen",
          "Xincheng",
          "Xindian",
          "Xintai",
          "Yanggu",
          "Yangshan",
          "Yantai",
          "Yanzhou",
          "Yatou",
          "Yidu",
          "Yishui",
          "Yucheng",
          "Yuncheng",
          "Zaozhuang",
          "Zhangdian",
          "Zhangjiawa",
          "Zhangqiu",
          "Zhaocheng",
          "Zhoucheng",
          "Zhoucun",
          "Zhucheng",
          "Zhuwang",
          "Zicheng",
          "Zouping",
          "Zouxian"
        ]),
        States(
            name: "Shandong Sheng",
            cities: ["Jiading", "Minhang", "Shanghai", "Songjiang", "Trencin"]),
        States(name: "Shanghai", cities: [
          "Changzhi",
          "Datong",
          "Houma",
          "Jiexiu",
          "Jincheng",
          "Linfen",
          "Taiyuan",
          "Xian",
          "Xinzhi",
          "Xinzhou",
          "Yangquan",
          "Yuanping",
          "Yuci",
          "Yuncheng"
        ]),
        States(name: "Shanxi", cities: [
          "Anju",
          "Baoning",
          "Chengdu",
          "Daan",
          "Dawan",
          "Daxian",
          "Deyang",
          "Dujiangyan City",
          "Guangkou",
          "Guangyuan",
          "Guihu",
          "Heyang",
          "Huayang",
          "Jiancheng",
          "Jiangyou",
          "Jijiang",
          "Leshan",
          "Linqiong",
          "Luocheng",
          "Luzhou",
          "Mianyang",
          "Nanchong",
          "Nanlong",
          "Neijiang",
          "Panzhihua",
          "Shifang",
          "Suining",
          "Taihe",
          "Tianpeng",
          "Tongchuan",
          "Xichang",
          "Xunchang",
          "Yaan",
          "Yibin",
          "Yongchang",
          "Zhonglong",
          "Zigong",
          "Ziyang"
        ]),
        States(name: "Sichuan", cities: [
          "Beichen",
          "Gangdong",
          "Hangu",
          "Jinghai",
          "Nankai",
          "Tanggu",
          "Tianjin",
          "Xianshuigu",
          "Yangcun",
          "Yangliuqing"
        ]),
        States(name: "Tianjin", cities: [
          "Guiqing",
          "Jiulong",
          "Quanwan",
          "Saigong",
          "Shatin",
          "Taipo",
          "Tuanmun",
          "Xianggang",
          "Yuanlong"
        ]),
        States(name: "Xianggang", cities: [
          "Aksu",
          "Baijiantan",
          "Changji",
          "Dongshan",
          "Hami",
          "Hetian",
          "Karamay",
          "Kashi",
          "Korla",
          "Kuche",
          "Kuytun",
          "Shache",
          "Shihezi",
          "Shuimogou",
          "Toutunhe",
          "Urumqi",
          "Yining"
        ]),
        States(name: "Xinjiang", cities: ["Lasa"]),
        States(name: "Xizang", cities: [
          "Dali",
          "Gejiu",
          "Haikou",
          "Heilin",
          "Jinma",
          "Kaihua",
          "Kaiyuan",
          "Kunming",
          "Lianran",
          "Longquan",
          "Lucheng",
          "Mabai",
          "Majie",
          "Miyang",
          "Qujing",
          "Rongcheng",
          "Simao",
          "Wufeng",
          "Yunjinghong",
          "Yuxi Municipal",
          "Zhaotong",
          "Zhenhai",
          "Zhongshu",
          "Zhoucheng",
          "Zhuocheng"
        ]),
        States(name: "Yunnan", cities: [
          "Aojiang",
          "Choucheng",
          "Cixi",
          "Daqiao",
          "Deqing",
          "Dinghai",
          "Dongyang",
          "Fuyang",
          "Haining",
          "Haiyan",
          "Hangzhou",
          "Huangyan",
          "Hushan",
          "Huzhou",
          "Jiaojiang",
          "Jiaxing",
          "Jinhua",
          "Jinxiang",
          "Kaihua",
          "Kunyang",
          "Lanxi",
          "Linan City",
          "Linhai",
          "Linping",
          "Lishui",
          "Liushi",
          "Ningbo",
          "Ninghai",
          "Pinghu",
          "Quzhou",
          "Ruian",
          "Shangyu",
          "Shaoxing",
          "Shenjiamen",
          "Taizhou City",
          "Tonglu",
          "Wenling",
          "Wenzhou",
          "Wuning",
          "Wuyi",
          "Xianju",
          "Xiaoshan",
          "Xiashi",
          "Xushan",
          "Yiwu",
          "Yongkang",
          "Yueqing",
          "Yuhuan",
          "Yuyao",
          "Zhejiang",
          "Zhenhai",
          "Zhicheng",
          "Zhuji",
          "fenghua",
          "jiashan"
        ]),
        States(name: "Zhejiang", cities: [
          "Aojiang",
          "Choucheng",
          "Cixi",
          "Daqiao",
          "Deqing",
          "Dinghai",
          "Dongyang",
          "Fuyang",
          "Haining",
          "Haiyan",
          "Hangzhou",
          "Huangyan",
          "Hushan",
          "Huzhou",
          "Jiaojiang",
          "Jiaxing",
          "Jinhua",
          "Jinxiang",
          "Kaihua",
          "Kunyang",
          "Lanxi",
          "Linan City",
          "Linhai",
          "Linping",
          "Lishui",
          "Liushi",
          "Ningbo",
          "Ninghai",
          "Pinghu",
          "Quzhou",
          "Ruian",
          "Shangyu",
          "Shaoxing",
          "Shenjiamen",
          "Taizhou City",
          "Tonglu",
          "Wenling",
          "Wenzhou",
          "Wuning",
          "Wuyi",
          "Xianju",
          "Xiaoshan",
          "Xiashi",
          "Xushan",
          "Yiwu",
          "Yongkang",
          "Yueqing",
          "Yuhuan",
          "Yuyao",
          "Zhejiang",
          "Zhenhai",
          "Zhicheng",
          "Zhuji",
          "fenghua",
          "jiashan"
        ]),
        States(name: "Zhejiang Sheng", cities: [])
      ]),
  Country(
      name: "Christmas Island",
      flag: "🇨🇽",
      code: "CX",
      dialCode: "61",
      minLength: 15,
      maxLength: 15,
      states: [States(name: "Christmas Island", cities: [])]),
  Country(
      name: "Cocos (Keeling) Islands",
      flag: "🇨🇨",
      code: "CC",
      dialCode: "61",
      minLength: 15,
      maxLength: 15,
      states: [
        States(
            name: "Cocos (Keeling) Islands",
            cities: ["Leticia", "Puerto Narino"])
      ]),
  Country(
      name: "Colombia",
      flag: "🇨🇴",
      code: "CO",
      dialCode: "57",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Amazonas", cities: [
          "Abejorral",
          "Abriaqui",
          "Alejandria",
          "Amaga",
          "Amalfi",
          "Andes",
          "Angelopolis",
          "Angostura",
          "Anori",
          "Antioquia",
          "Anza",
          "Apartado",
          "Arboletes",
          "Argelia",
          "Armenia",
          "Barbosa",
          "Bello",
          "Belmira",
          "Betania",
          "Betulia",
          "Bolivar",
          "Briceno",
          "Buritica",
          "Caceres",
          "Caicedo",
          "Caldas",
          "Campamento",
          "Canasgordas",
          "Caracoli",
          "Caramanta",
          "Carepa",
          "Carmen de Viboral",
          "Carolina",
          "Caucasia",
          "Chigorodo",
          "Cisneros",
          "Cocorna",
          "Concepcion",
          "Concordia",
          "Copacabana",
          "Dabeiba",
          "Don Matias",
          "Ebejico",
          "El Bagre",
          "Entrerrios",
          "Envigado",
          "Fredonia",
          "Frontino",
          "Giraldo",
          "Girardota",
          "Gomez Plata",
          "Granada",
          "Guadalupe",
          "Guarne",
          "Guatape",
          "Heliconia",
          "Hispania",
          "Itagui",
          "Ituango",
          "Jardin",
          "Jerico",
          "La Ceja",
          "La Estrella",
          "La Pintada",
          "La Union",
          "Liborina",
          "Maceo",
          "Marinilla",
          "Medellin",
          "Montebello",
          "Murindo",
          "Mutata",
          "Narino",
          "Nechi",
          "Necocli",
          "Olaya",
          "Penol",
          "Peque",
          "Pueblorrico",
          "Puerto Berrio",
          "Puerto Nare",
          "Puerto Triunfo",
          "Remedios",
          "Retiro",
          "Rionegro",
          "Sabanalarga",
          "Sabaneta",
          "Salgar",
          "San Andres",
          "San Carlos",
          "San Francisco",
          "San Jeronimo",
          "San Jose de la Montana",
          "San Juan de Uraba",
          "San Luis",
          "San Pedro",
          "San Pedro de Uraba",
          "San Rafael",
          "San Roque",
          "San Vicente",
          "Santa Barbara",
          "Santa Rosa de Osos",
          "Santo Domingo",
          "Santuario",
          "Segovia",
          "Sonson",
          "Sopetran",
          "Tamesis",
          "Taraza",
          "Tarso",
          "Titiribi",
          "Toledo",
          "Turbo",
          "Uramita",
          "Urrao",
          "Valdivia",
          "Valparaiso",
          "Vegachi",
          "Venecia",
          "Vigia del Fuerte",
          "Yali",
          "Yarumal",
          "Yolombo",
          "Yondo",
          "Zaragoza"
        ]),
        States(name: "Antioquia", cities: [
          "Arauca",
          "Arauquita",
          "Cravo Norte",
          "Fortul",
          "Puerto Rondon",
          "Saravena",
          "Tame"
        ]),
        States(name: "Arauca", cities: [
          "Baranoa",
          "Barranquilla",
          "Campo de la Cruz",
          "Candelaria",
          "Galapa",
          "Juan de Acosta",
          "Luruaco",
          "Malambo",
          "Manati",
          "Palmar de Varela",
          "Piojo",
          "Polo Nuevo",
          "Ponedera",
          "Puerto Colombia",
          "Repelon",
          "Sabanagrande",
          "Sabanalarga",
          "Santa Lucia",
          "Santo Tomas",
          "Soledad",
          "Suan",
          "Tubara",
          "Usiacuri"
        ]),
        States(name: "Atlantico", cities: ["Bogota"]),
        States(name: "Bogota", cities: [
          "Achi",
          "Altos del Rosario",
          "Arenal",
          "Arjona",
          "Arroyohondo",
          "Barranco de Loba",
          "Calamar",
          "Cantagallo",
          "Cartagena",
          "Cicuco",
          "Clemencia",
          "Cordoba",
          "El Carmen de Bolivar",
          "El Guamo",
          "El Penon",
          "Hatillo de Loba",
          "Magangue",
          "Mahates",
          "Margarita",
          "Maria la Baja",
          "Mompos",
          "Montecristo",
          "Morales",
          "Pinillos",
          "Regidor",
          "Rio Viejo",
          "San Cristobal",
          "San Estanislao",
          "San Fernando",
          "San Jacinto",
          "San Jacinto del Cauca",
          "San Juan Nepomuceno",
          "San Martin de Loba",
          "San Pablo",
          "Santa Catalina",
          "Santa Rosa",
          "Santa Rosa del Sur",
          "Simiti",
          "Soplaviento",
          "Talaigua Nuevo",
          "Tiquisio",
          "Turbaco",
          "Turbana",
          "Villanueva",
          "Zambrano"
        ]),
        States(name: "Bolivar", cities: [
          "Almeida",
          "Aquitania",
          "Arcabuco",
          "Belen",
          "Berbeo",
          "Beteitiva",
          "Boavita",
          "Boyaca",
          "Briceno",
          "Buenavista",
          "Busbanza",
          "Caldas",
          "Campohermoso",
          "Cerinza",
          "Chinavita",
          "Chiquinquira",
          "Chiquiza",
          "Chiscas",
          "Chita",
          "Chitaraque",
          "Chivata",
          "Chivor",
          "Cienega",
          "Combita",
          "Coper",
          "Corrales",
          "Covarachia",
          "Cubara",
          "Cucaita",
          "Cuitiva",
          "Duitama",
          "El Cocuy",
          "El Espino",
          "Firavitoba",
          "Floresta",
          "Gachantiva",
          "Gameza",
          "Garagoa",
          "Guacamayas",
          "Guateque",
          "Guayata",
          "Guican",
          "Iza",
          "Jenesano",
          "Jerico",
          "La Capilla",
          "La Uvita",
          "La Victoria",
          "Labranzagrande",
          "Leiva",
          "Macanal",
          "Maripi",
          "Miraflores",
          "Mongua",
          "Mongui",
          "Moniquira",
          "Motavita",
          "Muzo",
          "Nobsa",
          "Nuevo Colon",
          "Oicata",
          "Otanche",
          "Pachavita",
          "Paez",
          "Paipa",
          "Pajarito",
          "Panqueba",
          "Pauna",
          "Paya",
          "Paz del Rio",
          "Pesca",
          "Pisba",
          "Puerto Boyaca",
          "Quipama",
          "Ramiriqui",
          "Raquira",
          "Rondon",
          "Saboya",
          "Sachica",
          "Samaca",
          "San Eduardo",
          "San Jose de Pare",
          "San Luis de Gaceno",
          "San Mateo",
          "San Miguel de Sema",
          "San Pablo de Borbur",
          "Santa Maria",
          "Santa Rosa de Viterbo",
          "Santa Sofia",
          "Santana",
          "Sativanorte",
          "Sativasur",
          "Siachoque",
          "Soata",
          "Socha",
          "Socota",
          "Sogamoso",
          "Somondoco",
          "Sora",
          "Soraca",
          "Sotaquira",
          "Susacon",
          "Sutamarchan",
          "Sutatenza",
          "Tasco",
          "Tenza",
          "Tibana",
          "Tibasosa",
          "Tinjaca",
          "Tipacoque",
          "Toca",
          "Togui",
          "Topaga",
          "Tota",
          "Tunja",
          "Tunungua",
          "Turmeque",
          "Tuta",
          "Tutasa",
          "Umbita",
          "Ventaquemada",
          "Viracacha",
          "Zetaquira"
        ]),
        States(name: "Boyaca", cities: [
          "Aguadas",
          "Anserma",
          "Aranzazu",
          "Belalcazar",
          "Chinchina",
          "Filadelfia",
          "La Dorada",
          "La Merced",
          "Manizales",
          "Manzanares",
          "Marmato",
          "Marquetalia",
          "Marulanda",
          "Neira",
          "Norcasia",
          "Pacora",
          "Palestina",
          "Pensilvania",
          "Riosucio",
          "Risaralda",
          "Salamina",
          "Samana",
          "San Jose",
          "Supia",
          "Victoria",
          "Villamaria",
          "Viterbo"
        ]),
        States(name: "Caldas", cities: [
          "Albania",
          "Belen Andaquies",
          "Cartagena del Chaira",
          "Curillo",
          "El Doncello",
          "El Paujil",
          "Florencia",
          "La Montanita",
          "Milan",
          "Morelia",
          "Puerto Rico",
          "San Jose de Fragua",
          "San Vicente del Caguan",
          "Solano",
          "Solita",
          "Valparaiso"
        ]),
        States(name: "Caqueta", cities: [
          "Aguazul",
          "Chameza",
          "Hato Corozal",
          "La Salina",
          "Mani",
          "Monterrey",
          "Nunchia",
          "Orocue",
          "Paz de Ariporo",
          "Pore",
          "Recetor",
          "Sabanalarga",
          "Sacama",
          "San Luis de Palenque",
          "Tamara",
          "Tauramena",
          "Trinidad",
          "Villanueva",
          "Yopal"
        ]),
        States(name: "Casanare", cities: [
          "Almaguer",
          "Argelia",
          "Balboa",
          "Bolivar",
          "Buenos Aires",
          "Cajibio",
          "Caldono",
          "Caloto",
          "Corinto",
          "El Bordo",
          "El Tambo",
          "Florencia",
          "Guapi",
          "Inza",
          "Jambalo",
          "La Sierra",
          "La Vega",
          "Lopez",
          "Mercaderes",
          "Miranda",
          "Morales",
          "Padilla",
          "Paez",
          "Piamonte",
          "Piendamo",
          "Popayan",
          "Puerto Tejada",
          "Purace",
          "Rosas",
          "San Sebastian",
          "Santa Rosa",
          "Santander de Quilichao",
          "Silvia",
          "Sotara",
          "Suarez",
          "Sucre",
          "Timbio",
          "Timbiqui",
          "Toribio",
          "Totoro",
          "Villa Rica"
        ]),
        States(name: "Cauca", cities: [
          "Aguachica",
          "Agustin Codazzi",
          "Astrea",
          "Becerril",
          "Bosconia",
          "Chimichagua",
          "Chiriguana",
          "Curumani",
          "El Copey",
          "El Paso",
          "Gamarra",
          "Gonzalez",
          "La Gloria",
          "La Jagua Ibirico",
          "Manaure",
          "Pailitas",
          "Pelaya",
          "Pueblo Bello",
          "Rio de Oro",
          "Robles la Paz",
          "San Alberto",
          "San Diego",
          "San Martin",
          "Tamalameque",
          "Valledupar"
        ]),
        States(name: "Cesar", cities: [
          "Acandi",
          "Alto Baudo",
          "Atrato",
          "Bagado",
          "Bahia Solano",
          "Bajo Baudo",
          "Bojaya",
          "Canton de San Pablo",
          "Carmen del Darien",
          "Certegui",
          "Condoto",
          "El Carmen",
          "Istmina",
          "Jurado",
          "Litoral del San Juan",
          "Lloro",
          "Medio Atrato",
          "Medio Baudo",
          "Medio San Juan",
          "Novita",
          "Nuqui",
          "Quibdo",
          "Rio Iro",
          "Rio Quito",
          "Riosucio",
          "San Jose del Palmar",
          "Sipi",
          "Tado",
          "Unguia",
          "Union Panamericana"
        ]),
        States(name: "Choco", cities: [
          "Ayapel",
          "Buenavista",
          "Canalete",
          "Cerete",
          "Chima",
          "Chinu",
          "Cienaga de Oro",
          "Cotorra",
          "La Apartada",
          "Lorica",
          "Los Cordobas",
          "Momil",
          "Monitos",
          "Montelibano",
          "Monteria",
          "Planeta Rica",
          "Pueblo Nuevo",
          "Puerto Escondido",
          "Puerto Libertador",
          "Purisima",
          "Sahagun",
          "San Andres Sotavento",
          "San Antero",
          "San Bernardo Viento",
          "San Carlos",
          "San Pelayo",
          "Tierralta",
          "Valencia"
        ]),
        States(name: "Cordoba", cities: [
          "Agua de Dios",
          "Alban",
          "Anapoima",
          "Anolaima",
          "Arbelaez",
          "Beltran",
          "Bituima",
          "Bojaca",
          "Cabrera",
          "Cachipay",
          "Cajica",
          "Caparrapi",
          "Caqueza",
          "Carmen de Carupa",
          "Chaguani",
          "Chia",
          "Chipaque",
          "Choachi",
          "Choconta",
          "Cogua",
          "Cota",
          "Cucunuba",
          "El Colegio",
          "El Penon",
          "El Rosal",
          "Facatativa",
          "Fomeque",
          "Fosca",
          "Funza",
          "Fuquene",
          "Fusagasuga",
          "Gachala",
          "Gachancipa",
          "Gacheta",
          "Gama",
          "Girardot",
          "Granada",
          "Guacheta",
          "Guaduas",
          "Guasca",
          "Guataqui",
          "Guatavita",
          "Guayabal de Siquima",
          "Guayabetal",
          "Gutierrez",
          "Jerusalen",
          "Junin",
          "La Calera",
          "La Mesa",
          "La Palma",
          "La Pena",
          "La Vega",
          "Lenguazaque",
          "Macheta",
          "Madrid",
          "Manta",
          "Medina",
          "Mosquera",
          "Narino",
          "Nemocon",
          "Nilo",
          "Nimaima",
          "Nocaima",
          "Ospina Perez",
          "Pacho",
          "Paime",
          "Pandi",
          "Paratebueno",
          "Pasca",
          "Puerto Salgar",
          "Puli",
          "Quebradanegra",
          "Quetame",
          "Quipile",
          "Rafael Reyes",
          "Ricaurte",
          "San Antonio del Tequendama",
          "San Bernardo",
          "San Cayetano",
          "San Francisco",
          "San Juan de Rioseco",
          "Sasaima",
          "Sesquile",
          "Sibate",
          "Silvania",
          "Simijaca",
          "Soacha",
          "Sopo",
          "Subachoque",
          "Suesca",
          "Supata",
          "Susa",
          "Sutatausa",
          "Tabio",
          "Tausa",
          "Tena",
          "Tenjo",
          "Tibacuy",
          "Tibirita",
          "Tocaima",
          "Tocancipa",
          "Topaipi",
          "Ubala",
          "Ubaque",
          "Ubate",
          "Une",
          "Utica",
          "Vergara",
          "Viani",
          "Villagomez",
          "Villapinzon",
          "Villeta",
          "Viota",
          "Yacopi",
          "Zipacon",
          "Zipaquira"
        ]),
        States(name: "Cundinamarca", cities: ["Inirida"]),
        States(name: "Guainia", cities: [
          "Calamar",
          "El Retorno",
          "Miraflores",
          "San Jose del Guaviare"
        ]),
        States(name: "Guaviare", cities: [
          "Acevedo",
          "Agrado",
          "Aipe",
          "Algeciras",
          "Altamira",
          "Baraya",
          "Campoalegre",
          "Colombia",
          "Elias",
          "Garzon",
          "Gigante",
          "Guadalupe",
          "Hobo",
          "Iquira",
          "Isnos",
          "La Argentina",
          "La Plata",
          "Nataga",
          "Neiva",
          "Oporapa",
          "Paicol",
          "Palermo",
          "Palestina",
          "Pital",
          "Pitalito",
          "Rivera",
          "Saladoblanco",
          "San Agustin",
          "Santa Maria",
          "Suaza",
          "Tarqui",
          "Tello",
          "Teruel",
          "Tesalia",
          "Timana",
          "Villavieja",
          "Yaguara"
        ]),
        States(name: "Huila", cities: []),
        States(name: "La Guajira", cities: [
          "Algarrobo",
          "Aracataca",
          "Ariguani",
          "Cerro San Antonio",
          "Chivolo",
          "Cienaga",
          "Concordia",
          "El Banco",
          "El Pinon",
          "El Reten",
          "Fundacion",
          "Guamal",
          "Nueva Granada",
          "Pedraza",
          "Pijino del Carmen",
          "Pivijay",
          "Plato",
          "Puebloviejo",
          "Remolino",
          "Sabanas de San Angel",
          "Salamina",
          "San Sebastian",
          "San Zenon",
          "Santa Ana",
          "Santa Barbara de Pinto",
          "Santa Marta",
          "Sitionuevo",
          "Tenerife",
          "Zapayan",
          "Zona Bananera"
        ]),
        States(name: "Magdalena", cities: [
          "Acacias",
          "Barranca de Upia",
          "Cabuyaro",
          "Castilla la Nueva",
          "Cubarral",
          "Cumaral",
          "El Calvario",
          "El Castillo",
          "El Dorado",
          "Fuente de Oro",
          "Granada",
          "Guamal",
          "La Macarena",
          "La Uribe",
          "Lejanias",
          "Mapiripan",
          "Mesetas",
          "Puerto Concordia",
          "Puerto Gaitan",
          "Puerto Lleras",
          "Puerto Lopez",
          "Puerto Rico",
          "Restrepo",
          "San Carlos Guaroa",
          "San Juan de Arama",
          "San Juanito",
          "San Martin",
          "Villavicencio",
          "Vista Hermosa"
        ]),
        States(name: "Meta", cities: [
          "Alban",
          "Aldana",
          "Ancuya",
          "Arboleda",
          "Barbacoas",
          "Belen",
          "Buesaco",
          "Chachagui",
          "Colon",
          "Consaca",
          "Contadero",
          "Cordoba",
          "Cuaspud",
          "Cumbal",
          "Cumbitara",
          "El Charco",
          "El Penol",
          "El Rosario",
          "El Tablon",
          "El Tambo",
          "Funes",
          "Guachucal",
          "Guaitarilla",
          "Gualmatan",
          "Iles",
          "Imues",
          "Ipiales",
          "La Cruz",
          "La Florida",
          "La Llanada",
          "La Tola",
          "La Union",
          "Leiva",
          "Linares",
          "Los Andes",
          "Magui",
          "Mallama",
          "Mosquera",
          "Narino",
          "Olaya Herrera",
          "Ospina",
          "Pasto",
          "Pizarro",
          "Policarpa",
          "Potosi",
          "Providencia",
          "Puerres",
          "Pupiales",
          "Ricaurte",
          "Roberto Payan",
          "Samaniego",
          "San Bernardo",
          "San Lorenzo",
          "San Pablo",
          "San Pedro de Cartago",
          "Sandona",
          "Santa Barbara",
          "Santacruz",
          "Sapuyes",
          "Taminango",
          "Tangua",
          "Tumaco",
          "Tuquerres",
          "Yacuanquer"
        ]),
        States(name: "Narino", cities: []),
        States(name: "Norte de Santander", cities: [
          "Colon",
          "Mocoa",
          "Orito",
          "Puerto Asis",
          "Puerto Caycedo",
          "Puerto Guzman",
          "Puerto Leguizamo",
          "San Francisco",
          "San Miguel",
          "Santiago",
          "Sibundoy",
          "Valle del Guamuez",
          "Villagarzon"
        ]),
        States(name: "Putumayo", cities: [
          "Armenia",
          "Buenavista",
          "Calarca",
          "Circasia",
          "Cordoba",
          "Filandia",
          "Genova",
          "La Tebaida",
          "Montenegro",
          "Pijao",
          "Quimbaya",
          "Salento"
        ]),
        States(name: "Quindio", cities: [
          "Apia",
          "Balboa",
          "Belen de Umbria",
          "Dos Quebradas",
          "Guatica",
          "La Celia",
          "La Virginia",
          "Marsella",
          "Mistrato",
          "Pereira",
          "Pueblo Rico",
          "Quinchia",
          "Santa Rosa de Cabal",
          "Santuario"
        ]),
        States(name: "Risaralda", cities: []),
        States(name: "San Andres y Providencia", cities: [
          "Aguada",
          "Albania",
          "Aratoca",
          "Barbosa",
          "Barichara",
          "Barrancabermeja",
          "Betulia",
          "Bolivar",
          "Bucaramanga",
          "Cabrera",
          "California",
          "Capitanejo",
          "Carcasi",
          "Cepita",
          "Cerrito",
          "Charala",
          "Charta",
          "Chima",
          "Chipata",
          "Cimitarra",
          "Concepcion",
          "Confines",
          "Contratacion",
          "Coromoro",
          "Curiti",
          "El Carmen",
          "El Guacamayo",
          "El Penon",
          "El Playon",
          "Encino",
          "Enciso",
          "Florian",
          "Floridablanca",
          "Galan",
          "Gambita",
          "Giron",
          "Guaca",
          "Guadalupe",
          "Guapota",
          "Guavata",
          "Guepsa",
          "Hato",
          "Jesus Maria",
          "Jordan",
          "La Belleza",
          "La Paz",
          "Landazuri",
          "Lebrija",
          "Los Santos",
          "Macaravita",
          "Malaga",
          "Matanza",
          "Mogotes",
          "Molagavita",
          "Ocamonte",
          "Oiba",
          "Onzaga",
          "Palmar",
          "Palmas del Socorro",
          "Paramo",
          "Piedecuesta",
          "Pinchote",
          "Puente Nacional",
          "Puerto Parra",
          "Puerto Wilches",
          "Rionegro",
          "Sabana de Torres",
          "San Andres",
          "San Benito",
          "San Gil",
          "San Joaquin",
          "San Jose de Miranda",
          "San Miguel",
          "San Vicente de Chucuri",
          "Santa Barbara",
          "Santa Helena",
          "Simacota",
          "Socorro",
          "Suaita",
          "Sucre",
          "Surata",
          "Tona",
          "Valle San Jose",
          "Velez",
          "Vetas",
          "Villanueva",
          "Zapatoca"
        ]),
        States(name: "Santander", cities: [
          "Buenavista",
          "Caimito",
          "Chalan",
          "Coloso",
          "Corozal",
          "El Roble",
          "Galeras",
          "Guaranda",
          "La Union",
          "Los Palmitos",
          "Majagual",
          "Morroa",
          "Ovejas",
          "Palmito",
          "Sampues",
          "San Benito Abad",
          "San Juan de Betulia",
          "San Marcos",
          "San Onofre",
          "San Pedro",
          "Since",
          "Sincelejo",
          "Sucre",
          "Tolu",
          "Toluviejo"
        ]),
        States(name: "Sucre", cities: [
          "Alpujarra",
          "Alvarado",
          "Ambalema",
          "Anzoategui",
          "Ataco",
          "Cajamarca",
          "Carmen de Apicala",
          "Casabianca",
          "Chaparral",
          "Coello",
          "Coyaima",
          "Cunday",
          "Dolores",
          "Espinal",
          "Falan",
          "Flandes",
          "Fresno",
          "Guamo",
          "Guayabal",
          "Herveo",
          "Honda",
          "Ibague",
          "Icononzo",
          "Lerida",
          "Libano",
          "Mariquita",
          "Melgar",
          "Murillo",
          "Natagaima",
          "Ortega",
          "Palocabildo",
          "Piedras",
          "Planadas",
          "Prado",
          "Purificacion",
          "Rioblanco",
          "Roncesvalles",
          "Rovira",
          "Saldana",
          "San Antonio",
          "San Luis",
          "Santa Isabel",
          "Suarez",
          "Valle de San Juan",
          "Venadillo",
          "Villahermosa",
          "Villarrica"
        ]),
        States(name: "Tolima", cities: [
          "Alcala",
          "Andalucia",
          "Ansermanuevo",
          "Argelia",
          "Bolivar",
          "Buenaventura",
          "Buga",
          "Bugalagrande",
          "Caicedonia",
          "Cali",
          "Calima - El Darien",
          "Candelaria",
          "Cartago",
          "Dagua",
          "El Aguila",
          "El Cairo",
          "El Cerrito",
          "El Dovio",
          "Florida",
          "Ginebra",
          "Guacari",
          "Jamundi",
          "La Cumbre",
          "La Union",
          "La Victoria",
          "Obando",
          "Palmira",
          "Pradera",
          "Restrepo",
          "Riofrio",
          "Roldanillo",
          "San Pedro",
          "Sevilla",
          "Toro",
          "Trujillo",
          "Tulua",
          "Ulloa",
          "Versalles",
          "Vijes",
          "Yotoco",
          "Yumbo",
          "Zarzal"
        ]),
        States(name: "Valle del Cauca", cities: [
          "Acaricuara",
          "Mitu",
          "Papunaua",
          "Taraira",
          "Villa Fatima",
          "Yavarate"
        ]),
        States(name: "Vaupes", cities: [
          "Cumaribo",
          "La Primavera",
          "Puerto Carreno",
          "Santa Rosalia"
        ]),
        States(name: "Vichada", cities: ["Fomboni"])
      ]),
  Country(
      name: "Comoros",
      flag: "🇰🇲",
      code: "KM",
      dialCode: "269",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Mwali", cities: ["Mitsamiouli", "Moroni"]),
        States(name: "Njazidja", cities: ["Domoni", "Mutsamudu"]),
        States(name: "Nzwani", cities: ["Loudima", "Madingou", "Nkayi"])
      ]),
  Country(
      name: "Congo",
      flag: "🇨🇬",
      code: "CG",
      dialCode: "242",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Bouenza", cities: ["Brazzaville"]),
        States(
            name: "Brazzaville",
            cities: ["Ewo", "Kelle", "Makoua", "Mossaka", "Owando"]),
        States(
            name: "Cuvette",
            cities: ["Loandjili", "Ngamaba-Mfilou", "Pointe Noire"]),
        States(name: "Kouilou", cities: ["Sibiti", "Zanaga"]),
        States(name: "Lekoumou", cities: ["Dongou", "Epena", "Impfondo"]),
        States(
            name: "Likouala",
            cities: ["Kibangou", "Loubomo", "Matsanga", "Mossendjo"]),
        States(name: "Niari", cities: ["Djambala", "Gamboma"]),
        States(name: "Plateaux", cities: ["Boko", "Kinkala", "Mindouli"]),
        States(name: "Pool", cities: ["Ikelemba", "Ouesso", "Sembe", "Souanke"]),
        States(name: "Sangha", cities: [
          "Bandundu",
          "Bolobo",
          "Bulungu",
          "Gungu",
          "Idiofa",
          "Inongo",
          "Kahemba",
          "Kasongo-Lunda",
          "Kenge",
          "Kikwit",
          "Kiri",
          "Kutu",
          "Lusanga",
          "Mangai",
          "Mushie",
          "Nioki"
        ])
      ]),
  Country(
      name: "Congo, The Democratic Republic of the Congo",
      flag: "🇨🇩",
      code: "CD",
      dialCode: "243",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Bandundu", cities: [
          "Boma",
          "Kasangulu",
          "Kimpese",
          "Madimba",
          "Matadi",
          "Mbanza-Ngungu",
          "Muanda",
          "Tshela"
        ]),
        States(name: "Bas-Congo", cities: [
          "Basankusu",
          "Binga",
          "Bodalangi",
          "Boende",
          "Bongandanga",
          "Bosobolo",
          "Bumba",
          "Businga",
          "Gbadolite",
          "Gemena",
          "Ikela",
          "Libenge",
          "Lisala",
          "Makanza",
          "Mbandaka",
          "Mobayi-Mbongo",
          "Yakoma",
          "Yandongi",
          "Yumbi",
          "Zongo"
        ]),
        States(name: "Equateur", cities: [
          "Aba",
          "Aketi",
          "Bafwasende",
          "Banalia",
          "Basoko",
          "Bondo",
          "Bunia",
          "Buta",
          "Djugu",
          "Faradje",
          "Gwane",
          "Isiro",
          "Itoko",
          "Kisangani",
          "Mambasa",
          "Mongbwalu",
          "Niangara",
          "Poko",
          "Simba",
          "Titule",
          "Ubundu",
          "Wamba",
          "Watsa",
          "Yangambi"
        ]),
        States(name: "Haut-Congo", cities: [
          "Demba",
          "Dibaya",
          "Ilebo",
          "Kananga",
          "Kazumba",
          "Luebo",
          "Mweka",
          "Tshikapa"
        ]),
        States(name: "Kasai-Occidental", cities: [
          "Gandajika",
          "Kabinda",
          "Katako-Kombe",
          "Kole",
          "Lodja",
          "Lubao",
          "Lubefu",
          "Lusambo",
          "Mbuji-Mayi",
          "Mwene-Ditu",
          "Tshilenge",
          "Tshofa"
        ]),
        States(name: "Kasai-Oriental", cities: [
          "Bukama",
          "Dilolo",
          "Kabalo",
          "Kalemie",
          "Kambove",
          "Kamina",
          "Kaniama",
          "Kikondjo",
          "Kipushi",
          "Kolwezi",
          "Kongolo",
          "Le Marinel",
          "Likasi",
          "Lubudi",
          "Lubumbashi",
          "Malemba-Nkulu",
          "Manono",
          "Moba",
          "Mulongo",
          "Mwanza",
          "Nyunzu",
          "Sakania",
          "Shinkolobwe"
        ]),
        States(name: "Katanga", cities: ["Kinshasa"]),
        States(name: "Kinshasa", cities: ["Kalima", "Kasongo", "Kindu"]),
        States(name: "Maniema", cities: ["Beni", "Butembo", "Goma"]),
        States(name: "Nord-Kivu", cities: [
          "Bukavu",
          "Kabare",
          "Kama",
          "Kampene",
          "Kibombo",
          "Uvira"
        ]),
        States(name: "Sud-Kivu", cities: ["Amuri"])
      ]),
  Country(
      name: "Cook Islands",
      flag: "🇨🇰",
      code: "CK",
      dialCode: "682",
      minLength: 5,
      maxLength: 5,
      states: [
        States(name: "Aitutaki", cities: ["Atiu"]),
        States(name: "Atiu", cities: ["Mangaia"]),
        States(name: "Mangaia", cities: ["Tauhunu"]),
        States(name: "Manihiki", cities: ["Mauke"]),
        States(name: "Mauke", cities: ["Mitiaro"]),
        States(name: "Mitiaro", cities: ["Nassau"]),
        States(name: "Nassau", cities: ["Roto"]),
        States(name: "Pukapuka", cities: ["Rakahanga"]),
        States(name: "Rakahanga", cities: ["Avarua"]),
        States(name: "Rarotonga", cities: ["Omoka"]),
        States(name: "Tongareva", cities: [
          "Alajuela",
          "Atenas",
          "Bijagua",
          "Buenos Aires",
          "Carrillos",
          "Desemparados",
          "Dos Rios",
          "Esquipulas",
          "Florencia",
          "Fortuna",
          "Grecia",
          "Guacimo",
          "Laguna",
          "Los Chiles",
          "Mastate",
          "Naranjo",
          "Orotina",
          "Palmares",
          "Piedades Norte",
          "Pital",
          "Pocosol",
          "Quesada",
          "Rio Segundo",
          "Sabanilla",
          "San Antonio",
          "San Jose",
          "San Juan",
          "San Mateo",
          "San Pedro",
          "San Rafael",
          "San Ramon",
          "San Roque",
          "Santiago",
          "Sarchi Norte",
          "Sarchi Sur",
          "Tigra",
          "Turricares",
          "Upala",
          "Venado",
          "Zarcero"
        ])
      ]),
  Country(
      name: "Costa Rica",
      flag: "🇨🇷",
      code: "CR",
      dialCode: "506",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Alajuela", cities: [
          "Aguacaliente",
          "Capellades",
          "Carmen",
          "Cartago",
          "Concepcion",
          "Cot",
          "Dulce Nombre",
          "El Tejar",
          "Guadalupe",
          "Juan Vinas",
          "La Suiza",
          "Orosi",
          "Pacayas",
          "Paraiso",
          "Pejibaye",
          "San Diego",
          "San Isidro",
          "San Juan",
          "San Nicolas",
          "San Rafael",
          "San Ramon",
          "Tierra Blanca",
          "Tobosi",
          "Tres Rios",
          "Tucurrique",
          "Turrialba"
        ]),
        States(name: "Cartago", cities: [
          "Bagaces",
          "Belen",
          "Canas",
          "Filadeldia",
          "Fortuna",
          "Hojancha",
          "Juntas",
          "La Cruz",
          "Liberia",
          "Mogote",
          "Nandayure",
          "Nicoya",
          "Samara",
          "Santa Cruz",
          "Sardinal",
          "Tilaran"
        ]),
        States(name: "Guanacaste", cities: [
          "Angeles",
          "Asuncion",
          "Barrantes",
          "Barva",
          "Heredia",
          "Horquetas",
          "Llorente",
          "Mercedes",
          "Puerto Viejo",
          "Rivera",
          "San Antonio",
          "San Francisco",
          "San Isidro",
          "San Joaquin",
          "San Jose",
          "San Josecito",
          "San Juan",
          "San Miguel",
          "San Pablo",
          "San Pedro",
          "San Rafael",
          "San Roque",
          "San Vicente",
          "Santa Barbara",
          "Santa Lucia",
          "Santa Rosa",
          "Santiago",
          "Santo Domingo",
          "Santo Tomas",
          "Ulloa"
        ]),
        States(name: "Heredia", cities: [
          "Batan",
          "Cahuita",
          "Cariari",
          "Guacimo",
          "Guapiles",
          "Jimenez",
          "Limon",
          "Matina",
          "Pocora",
          "Rita",
          "Roxana",
          "Siquirres",
          "Sixaola",
          "Valle la Estrella"
        ]),
        States(name: "Limon", cities: [
          "Buenos Aires",
          "Canoas",
          "Chacarita",
          "Corredor",
          "Esparta",
          "Espiritu Santo",
          "Golfito",
          "Guaycara",
          "Jaco",
          "La Cuesta",
          "Macacona",
          "Manzanillo",
          "Miramar",
          "Palmar",
          "Paquera",
          "Parrita",
          "Puerto Cortes",
          "Puerto Jimenez",
          "Puntarenas",
          "Quepos",
          "San Vito"
        ]),
        States(name: "Puntarenas", cities: []),
        States(name: "San Jose", cities: ["Marcory"])
      ]),
  Country(
      name: "Côte d'Ivoire",
      flag: "🇨🇮",
      code: "CI",
      dialCode: "225",
      minLength: 10,
      maxLength: 10,
      states: [
        States(
            name: "Abidjan",
            cities: ["Adzope", "Affery", "Agboville", "Akoupe", "Rubino"]),
        States(name: "Agneby", cities: ["Touba"]),
        States(name: "Bafing", cities: ["Bako", "Odienne"]),
        States(name: "Denguele", cities: []),
        States(name: "Dix-huit Montagnes", cities: [
          "Gagnoa",
          "Guiberoua",
          "Hire",
          "Ndouci",
          "Oume",
          "Ouragahio"
        ]),
        States(name: "Fromager", cities: ["Daloa", "Issia", "Vavoua"]),
        States(
            name: "Haut-Sassandra",
            cities: ["Ndiekro", "Tiebissou", "Toumodi", "Yamoussoukro"]),
        States(name: "Lacs", cities: [
          "Abidjan",
          "Alepe",
          "Anyama",
          "Bingerville",
          "Dabou",
          "Grand-Lahou",
          "Jacqueville",
          "Tiassale"
        ]),
        States(name: "Lagunes", cities: ["Bouafle", "Sinfra", "Zuenoula"]),
        States(name: "Marahoue", cities: ["Duekoue", "Guiglo", "Toulepleu"]),
        States(name: "Moyen-Cavally", cities: ["Abengourou", "Agnibilekrou"]),
        States(name: "Moyen-Comoe", cities: [
          "Arrah",
          "Bocanda",
          "Bongouanou",
          "Daoukro",
          "Dimbokro",
          "M\\'\\'bahiakro",
          "Mbatto",
          "N\\'\\'zi-Comoe"
        ]),
        States(
            name: "N\\'\\'zi-Comoe",
            cities: ["San-Pedro", "Sassandra", "Soubre", "Tabou"]),
        States(name: "Sassandra", cities: [
          "Boundiali",
          "Dikodougou",
          "Ferkessedougou",
          "Korhogo",
          "Tingrela"
        ]),
        States(name: "Savanes", cities: ["Divo", "Fresco", "Lakota"]),
        States(
            name: "Sud-Bandama",
            cities: ["Aboisso", "Adiake", "Ayame", "Bonoua", "Grand Bassam"]),
        States(name: "Sud-Comoe", cities: []),
        States(
            name: "Vallee du Bandama", cities: ["Kani", "Mankono", "Seguela"]),
        States(name: "Worodougou", cities: ["Bondoukou", "Bouna", "Tanda"]),
        States(name: "Zanzan", cities: [
          "Bjelovar",
          "Brezovac",
          "Chazma",
          "Daruvar",
          "Daruvarski Brestovac",
          "Dezhanovac",
          "Dhulovac",
          "Gareshnica",
          "Gareshnichki Brestovac",
          "Grubishno Polje",
          "Gudovac",
          "Hercegovac",
          "Ivanska",
          "Klokochevac",
          "Konchanica",
          "Predavac",
          "Rovishce",
          "Shandrovac",
          "Sirach",
          "Trojstveni Markovac",
          "Velika Pisanica",
          "Veliki Grdhevac",
          "Veliki Zdenci",
          "Veliko Trojstvo",
          "Zhdralovi"
        ])
      ]),
  Country(
      name: "Croatia",
      flag: "🇭🇷",
      code: "HR",
      dialCode: "385",
      minLength: 12,
      maxLength: 12,
      states: [
        States(name: "Bjelovar-Bilogora", cities: [
          "Blato",
          "Cavtat",
          "Chibacha",
          "Chilipi",
          "Dubrovnik",
          "Komin",
          "Korchula",
          "Lumbarda",
          "Metkovic",
          "Mlini",
          "Mokoshica",
          "Nova Mokoshica",
          "Opuzen",
          "Orebic",
          "Otrich-Seoci",
          "Ploche",
          "Smokvica",
          "Stashevica",
          "Vela Luka",
          "Zaton",
          "Zhrnovo"
        ]),
        States(name: "Dubrovnik-Neretva", cities: []),
        States(name: "Grad Zagreb", cities: [
          "Bale",
          "Banjole",
          "Brtonigla",
          "Buje",
          "Buzet",
          "Fazhana",
          "Funtana",
          "Galizhana",
          "Labin",
          "Lizhnjan",
          "Marchana",
          "Medulin",
          "Novigrad",
          "Pazin",
          "Porech",
          "Premantura",
          "Pula",
          "Rabac",
          "Rasha",
          "Rovinj",
          "Sveti Petar u Shumi",
          "Tar",
          "Umag",
          "Vinezh",
          "Vodnjan",
          "Vrsar"
        ]),
        States(name: "Istra", cities: [
          "Cerovac Vukmansichki",
          "Draganic",
          "Duga Resa",
          "Josipdol",
          "Karlovac",
          "Mrezhnichki Varosh",
          "Ogulin",
          "Oshtarije",
          "Ozalj",
          "Plashki",
          "Slunj",
          "Vojnic"
        ]),
        States(name: "Karlovac", cities: [
          "Dhelekovec",
          "Dhurdhevac",
          "Drnje",
          "Ferdinandovac",
          "Glogovac",
          "Gola",
          "Hlebine",
          "Kalinovac",
          "Kloshtar Podravski",
          "Koprivnica",
          "Koprivnichki Bregi",
          "Koprivnichki Ivanec",
          "Krizhevci",
          "Legrad",
          "Molve",
          "Novigrad Podravski",
          "Novo Virje",
          "Peteranec",
          "Podravske Sesvete",
          "Rasinja",
          "Reka",
          "Sigetec",
          "Starigrad",
          "Sveti Ivan Zhabno",
          "Trema",
          "Virje"
        ]),
        States(name: "Koprivnica-Krizhevci", cities: [
          "Andrashevec",
          "Bedekovchina",
          "Dhurmanec",
          "Donja Pachetina",
          "Donja Shemnica",
          "Donja Stubica",
          "Dubrovchan",
          "Gornja Stubica",
          "Hum na Sutli",
          "Klanjec",
          "Konjishchina",
          "Krapina",
          "Krapinske Toplice",
          "Laz Bistrichki",
          "Marija Bistrica",
          "Mihovljan",
          "Oroslavje",
          "Podgorje Bistrichko",
          "Poznanovec",
          "Pregrada",
          "Radoboj",
          "Shkaricevo",
          "Shpichkovina",
          "Stubichke Toplice",
          "Sveti Krizh Zachretje",
          "Veliko Trgovishce",
          "Zabok",
          "Zlatar",
          "Zlatar-Bistrica"
        ]),
        States(name: "Krapina-Zagorje", cities: [
          "Brinje",
          "Donji Lapac",
          "Gospic",
          "Korenica",
          "Lichki Osik",
          "Lichko Leshce",
          "Novalja",
          "Otochac",
          "Perushic",
          "Prozor",
          "Senj"
        ]),
        States(name: "Lika-Senj", cities: [
          "Belica",
          "Chakovec",
          "Cirkovljan",
          "Dekanovec",
          "Domashinec",
          "Donja Dubrava",
          "Donji Kraljevec",
          "Donji Vidovec",
          "Drzhimurec",
          "Dunjkovec",
          "Gardinovec",
          "Gorichan",
          "Gornji Hrashcan",
          "Hodoshan",
          "Ivanovec",
          "Kotoriba",
          "Kurshanec",
          "Lopatinec",
          "Machkovec",
          "Mala Subotica",
          "Mihovljan",
          "Mursko Sredishce",
          "Nedelishce",
          "Novakovec",
          "Novo Selo Rok",
          "Orehovica",
          "Palovec",
          "Peklenica",
          "Podturen",
          "Prelog",
          "Pribislavec",
          "Pushcine",
          "Savska Ves",
          "Selnica",
          "Shenkovec",
          "Strahoninec",
          "Sveta Marija",
          "Trnovec",
          "Vratishinec",
          "Zasadbreg"
        ]),
        States(name: "Medhimurje", cities: []),
        States(name: "Medimurska Zupanija", cities: [
          "Antunovac",
          "Batina",
          "Beli Manastir",
          "Belishce",
          "Beljevina",
          "Bijelo Brdo",
          "Bilje",
          "Bistrinci",
          "Bizovac",
          "Branjin Vrh",
          "Brijeshce",
          "Brijest",
          "Ceminac",
          "Chepin",
          "Crnkovci",
          "Dalj",
          "Darda",
          "Dhakovo",
          "Dhurdhenovac",
          "Donja Motichina",
          "Donji Miholac",
          "Erdut",
          "Ernestinovo",
          "Ferichanci",
          "Gashinci",
          "Gorjani",
          "Grabovac",
          "Ivanovac",
          "Ivanovci Gorjanski",
          "Jagodnjak",
          "Jelisavac",
          "Josipovac",
          "Josipovac Punitovachki",
          "Karanac",
          "Keshinci",
          "Knezhevi Vinogradi",
          "Knezhevo",
          "Koritna",
          "Koshka",
          "Kushevac",
          "Ladimirevci",
          "Laslovo",
          "Lug",
          "Marijanci",
          "Markovac Nashichki",
          "Martin",
          "Mece",
          "Moslavina Podravska",
          "Nashice",
          "Osijek",
          "Ovchara",
          "Petlovac",
          "Petrijevci",
          "Pishkorevci",
          "Podgorach",
          "Popvac",
          "Rakitovica",
          "Sarvash",
          "Satnica Dhakovachka",
          "Selci Dhakovacki",
          "Semeljci",
          "Shiroko Polje",
          "Strizivojna",
          "Sveti Dhuradh",
          "Tenja",
          "Valpovo",
          "Velimirovac",
          "Viljevo",
          "Vishkovci",
          "Vishnjevac",
          "Vladislavci",
          "Vuka",
          "Vukojevci",
          "Zmajevac",
          "Zoljan"
        ]),
        States(name: "Osijek-Baranja", cities: []),
        States(name: "Osjecko-Baranjska Zupanija", cities: [
          "Badljevina",
          "Brodski Drenovac",
          "Dervishaga",
          "Gradac",
          "Jakshic",
          "Kaptol",
          "Kutjevo",
          "Lipik",
          "Pakrac",
          "Pleternica",
          "Pozhega",
          "Prekopkra",
          "Trenkovo",
          "Velika",
          "Vetovo",
          "Vidovci"
        ]),
        States(name: "Pozhega-Slavonija", cities: []),
        States(name: "Primorje-Gorski Kotar", cities: [
          "Bilice",
          "Brodarica",
          "Drnish",
          "Dubrava kod Shibenika",
          "Grebashtica",
          "Jezera",
          "Kistanje",
          "Knin",
          "Kovachic",
          "Murter",
          "Pirovac",
          "Primoshten",
          "Rogoznica",
          "Shibenik",
          "Skradin",
          "Tisno",
          "Tribunj",
          "Vodice",
          "Vrpolje",
          "Zaton"
        ]),
        States(name: "Shibenik-Knin", cities: [
          "Brestacha",
          "Brochice",
          "Budashevo",
          "Donja Grachenica",
          "Dvor",
          "Glina",
          "Gornja Grachenica",
          "Gornja Jelenska",
          "Greda",
          "Gvozd",
          "Hrastelnica",
          "Hrvatska Dubica",
          "Hrvatska Kostajnica",
          "Husain",
          "Ilova",
          "Kutina",
          "Lekenik",
          "Lipovljani",
          "Moshchenica",
          "Novska",
          "Odra Sisachka",
          "Osekovo",
          "Peshcenica",
          "Petrinja",
          "Popovacha",
          "Potok",
          "Rajic",
          "Repushnica",
          "Sisak",
          "Staro Prachno",
          "Sunja",
          "Topolovac",
          "Voloder"
        ]),
        States(name: "Sisak-Moslavina", cities: []),
        States(name: "Slavonski Brod-Posavina", cities: [
          "Bashka Voda",
          "Bol",
          "Brela",
          "Brnaze",
          "Cista Velika",
          "Donji Prolozhac",
          "Donji Vinjani",
          "Duce",
          "Dugi Rat",
          "Dugopolje",
          "Gala",
          "Glavice",
          "Glavina Donja",
          "Gornji Vincjani",
          "Gradac",
          "Grubine",
          "Hrvace",
          "Hvar",
          "Imotski",
          "Jelsa",
          "Jesenice",
          "Kamen",
          "Kashtel Gambelovac",
          "Kashtel Gomilica",
          "Kashtel Lukshic",
          "Kashtel Novi",
          "Kashtel Shtafilic",
          "Kashtel Stari",
          "Kashtel Sucurac",
          "Katuni",
          "Klis",
          "Komizha",
          "Koshute",
          "Lovrec",
          "Makarska",
          "Marina",
          "Mastrinka",
          "Milna",
          "Mravince",
          "Neoric",
          "Obrovac Sinjski",
          "Okrug Gornji",
          "Omish",
          "Otok",
          "Podgora",
          "Podstrana",
          "Poljica",
          "Postira",
          "Postranje",
          "Potravlje",
          "Primorski Dolac",
          "Puchishca",
          "Ruda",
          "Runovic",
          "Seget Donji",
          "Seget Vranjica",
          "Selca",
          "Sinj",
          "Slatine",
          "Solin",
          "Split",
          "Srinjine",
          "Stari Grad",
          "Stobrech",
          "Supetar",
          "Trilj",
          "Trogir",
          "Tuchepi",
          "Turjaci",
          "Vinishce",
          "Vis",
          "Vranjic",
          "Vrgorac",
          "Vrlika",
          "Zagvozd",
          "Zhrnovnica",
          "Zmijavci"
        ]),
        States(name: "Split-Dalmacija", cities: [
          "Bedenec",
          "Beletinec",
          "Beretinec",
          "Breznica",
          "Chreshnjevo",
          "Donja Voca",
          "Donje Ladanje",
          "Gornje Ladanje",
          "Gornje Vratno",
          "Gornji Kneginec",
          "Gornji Kucan",
          "Hrashcica",
          "Hrastovsko",
          "Hrzhenica",
          "Ivanec",
          "Jalkovec",
          "Jalzhabet",
          "Jerovec",
          "Klenovnik",
          "Kljuch",
          "Kucan Marof",
          "Lepoglava",
          "Ljubeshcica",
          "Ludbreg",
          "Madzharevo",
          "Mali Bukovec",
          "Nedeljanec",
          "Nova Ves Petrijanec",
          "Novi Marof",
          "Petrijanec",
          "Podevchevo",
          "Presechno",
          "Remetinec",
          "Selnik",
          "Shemovec",
          "Srachinec",
          "Sveti Petar",
          "Svibovec Podravski",
          "Trnovec",
          "Turchin",
          "Tuzhno",
          "Varazhdin",
          "Varazhdin Breg",
          "Varazhdinske Toplice",
          "Vidovec",
          "Vinica",
          "Zavrshje Podbelsko",
          "Zharovnica"
        ]),
        States(name: "Varazhdin", cities: [
          "Borova",
          "Busetina",
          "Cabuna",
          "Chachinci",
          "Gradina",
          "Korija",
          "Mikleush",
          "Milanovac",
          "Nova Bukovica",
          "Orahovica",
          "Pitomacha",
          "Podgorje",
          "Rezovac",
          "Shpishic Bukovica",
          "Slatina",
          "Suhopolje",
          "Turanovac",
          "Virovitica",
          "Vocin",
          "Zdenci"
        ]),
        States(name: "Virovitica-Podravina", cities: [
          "Andrijashevci",
          "Antin",
          "Babina Greda",
          "Bapska",
          "Bobota",
          "Bogdanovci",
          "Borovo",
          "Boshnjaci",
          "Brshadin",
          "Ceric",
          "Cerna",
          "Drenovci",
          "Gradishte",
          "Gunja",
          "Ilacha",
          "Ilok",
          "Ivankovo",
          "Jarmina",
          "Komletinci",
          "Lipovac",
          "Lovas",
          "Markushica",
          "Mirkovci",
          "Negoslavci",
          "Nijemci",
          "Novi Jankovci",
          "Nushtar",
          "Otok",
          "Petrovci",
          "Posavski Podgajci",
          "Privlaka",
          "Rachinovci",
          "Rajevo Selo",
          "Retkovci",
          "Rokovci",
          "Sharengrad",
          "Shishkovci",
          "Shtitar",
          "Slakovci",
          "Soljani",
          "Sotin",
          "Stari Jankovci",
          "Stari Mikanovci",
          "Tordinci",
          "Tovarnik",
          "Trpinja",
          "Vinkovci",
          "Vodhinci",
          "Vrbanja",
          "Vukovar",
          "Zhupanja"
        ]),
        States(name: "Vukovar-Srijem", cities: [
          "Benkovac",
          "Bibinje",
          "Biograd na Moru",
          "Debeljak",
          "Galovac",
          "Gorica",
          "Gornji Karin",
          "Grachac",
          "Jasenice",
          "Kali",
          "Krushevo",
          "Nin",
          "Obrovac",
          "Pag",
          "Pakoshtane",
          "Polacha",
          "Polichnik",
          "Poljica",
          "Posedarje",
          "Preko",
          "Pridraga",
          "Privlaka",
          "Razhanac",
          "Shkabrnja",
          "Slivnica",
          "Starigrad",
          "Sukoshan",
          "Sveti Filip i Jakov",
          "Turanj",
          "Ugljan",
          "Vir",
          "Vrsi",
          "Zadar",
          "Zemunik Donji"
        ]),
        States(name: "Zadar", cities: [
          "Bestovje",
          "Bishkupec Zelinski",
          "Brckovljani",
          "Brdovec",
          "Bregana",
          "Brezje",
          "Bushevec",
          "Celine",
          "Domaslovec",
          "Donja Bistra",
          "Donja Kupchina",
          "Donja Lomnica",
          "Donja Zdenchina",
          "Donji Desinec",
          "Donji Stupnik",
          "Dubrava",
          "Dugo Selo",
          "Gornja Bistra",
          "Gornji Laduch",
          "Gornji Stupnik",
          "Grachec",
          "Gradici",
          "Ivan Bistranski",
          "Ivanic-Grad",
          "Jablanovec",
          "Jakovlje",
          "Jastrebarsko",
          "Kerestinec",
          "Klincha Sela",
          "Kloshtar Ivanic",
          "Kozinshchak",
          "Krizh",
          "Kuche",
          "Kupinec",
          "Lonjica",
          "Luka",
          "Lukarishce",
          "Lukavec",
          "Lupoglav",
          "Michevec",
          "Mraclin",
          "Novaki",
          "Novo Chiche",
          "Novoselec",
          "Oborovo Bistranski",
          "Oreshje",
          "Pojatno",
          "Poljanica Bistranska",
          "Prigorje Brdovechko",
          "Rakitje",
          "Rakov Potok",
          "Rude",
          "Samobor",
          "Strmec",
          "Sveta Nedelja",
          "Sveti Ivan Zelina",
          "Turopolje",
          "Velika Gorica",
          "Velika Mlaka",
          "Velika Ostrna",
          "Vrbovec",
          "Vukovina",
          "Zapreshic",
          "Zdenci Brdovechki"
        ]),
        States(name: "Zagreb", cities: [
          "Camaguey",
          "Caney",
          "Carlos Manuel de Cespedes",
          "Esmeralda",
          "Florida",
          "Guaimaro",
          "Minas",
          "Nuevitas",
          "Santa Cruz del Sur",
          "Sibanicu",
          "Vertientes"
        ])
      ]),
  Country(
      name: "Cuba",
      flag: "🇨🇺",
      code: "CU",
      dialCode: "53",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Camaguey", cities: []),
        States(name: "Ciego de Avila", cities: [
          "Cienfuegos",
          "Cruces",
          "Cumanayagua",
          "Palmira",
          "Rodas"
        ]),
        States(name: "Cienfuegos", cities: []),
        States(name: "Ciudad de la Habana", cities: [
          "Bayamo",
          "Campechuela",
          "Guisa",
          "Jiguani",
          "Manzanillo",
          "Media Luna",
          "Niquero",
          "Pilon",
          "Rio Cauto",
          "Yara"
        ]),
        States(name: "Granma", cities: ["Baracoa", "Guantanamo", "Yateras"]),
        States(name: "Guantanamo", cities: ["Havana"]),
        States(name: "Habana", cities: [
          "Antilla",
          "Baguanos",
          "Banes",
          "Cacocum",
          "Cauto Cristo",
          "Cueto",
          "Gibara",
          "Holguin",
          "Jobabo",
          "Moa",
          "Sagua de Tanamo"
        ]),
        States(name: "Holguin", cities: []),
        States(name: "Isla de la Juventud", cities: []),
        States(name: "La Habana", cities: []),
        States(name: "Las Tunas", cities: [
          "Abreus",
          "Agramonte",
          "Aguacate",
          "Aguada de Pasajeros",
          "Alacranes",
          "Bolondron",
          "Calimete",
          "Cardenas",
          "Carlos Rojas",
          "Colon",
          "Corralillo",
          "Jaguey Grande",
          "Jovellanos",
          "Juan Gualberto Gomez",
          "Los Arabos",
          "Manguito",
          "Marti",
          "Matanzas",
          "Maximo Gomez",
          "Pedro Betancourt",
          "Perico",
          "Union de Reyes",
          "Varadero"
        ]),
        States(name: "Matanzas", cities: []),
        States(name: "Pinar del Rio", cities: []),
        States(name: "Sancti Spiritus", cities: []),
        States(name: "Santiago de Cuba", cities: []),
        States(name: "Villa Clara", cities: [])
      ]),
  Country(
      name: "Cyprus",
      flag: "🇨🇾",
      code: "CY",
      dialCode: "357",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Government controlled area", cities: ["Limassol"]),
        States(name: "Limassol", cities: []),
        States(name: "Nicosia District", cities: ["Paphos"]),
        States(name: "Paphos", cities: []),
        States(name: "Turkish controlled area", cities: [])
      ]),
  Country(
      name: "Czech Republic",
      flag: "🇨🇿",
      code: "CZ",
      dialCode: "420",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Central Bohemian", cities: ["Frycovice"]),
        States(name: "Frycovice", cities: []),
        States(name: "Jihocesky Kraj", cities: [
          "Bechyne",
          "Blatna",
          "Cheske Budejovice",
          "Chesky Krumlov",
          "Dachice",
          "Jindrichuv Hradec",
          "Kaplice",
          "Milevsko",
          "Pisek",
          "Prachatice",
          "Protivin",
          "Sezimovo Usti",
          "Sobeslav",
          "Strakonice",
          "Tabor",
          "Trebon",
          "Tyn nad Vltavou",
          "Veseli nad Luzhnici",
          "Vimperk",
          "Vodnany"
        ]),
        States(name: "Jihochesky", cities: [
          "Adamov",
          "Blansko",
          "Boskovice",
          "Breclav",
          "Brno",
          "Buchovice",
          "Dubnany",
          "Hodonin",
          "Hrusky",
          "Hustopeche",
          "Ivanchice",
          "Kurim",
          "Kyjov",
          "Letovice",
          "Mikulov",
          "Moravsky Krumlov",
          "Namesht\\'\\' nad Oslavou",
          "Rosice",
          "Shlapanice",
          "Slavkov u Brna",
          "Tishnov",
          "Vyshkov",
          "Znojmo"
        ]),
        States(name: "Jihomoravsky", cities: [
          "Ash",
          "Bozicany",
          "Cheb",
          "Chodov",
          "Frantishkovy Lazne",
          "Horni Slavkov",
          "Karlovy Vary",
          "Kraslice",
          "Kynshperk nad Ohri",
          "Marianske Lazne",
          "Nejdek",
          "Ostrov",
          "Sokolov"
        ]),
        States(name: "Karlovarsky", cities: ["Klecany"]),
        States(name: "Klecany", cities: [
          "Broumov",
          "Cherveny Kostelec",
          "Cheska Skalice",
          "Chlumec nad Cidlinou",
          "Dobrushka",
          "Dvur Kralove",
          "Habartov",
          "Holice",
          "Horice",
          "Hostinne",
          "Hradec Kralove",
          "Hronov",
          "Jaromer",
          "Jichin",
          "Kostelec nad Orlici",
          "Nachod",
          "Nova Paka",
          "Nove Mesto nad Metuji",
          "Novy Bydzhov",
          "Rychnov nad Knezhnou",
          "Trebechovice pod Orebem",
          "Trutnov",
          "Tynishte nad Orlici",
          "Upice",
          "Vrchlabi"
        ]),
        States(name: "Kralovehradecky", cities: [
          "Ceska Lipa",
          "Cheska Kamenice",
          "Cheska Lipa",
          "Chrastava",
          "Doksy",
          "Frydlant",
          "Hradek",
          "Jablonec",
          "Jilemnice",
          "Liberec",
          "Lomnice nad Popelkou",
          "Mimon",
          "Novy Bor",
          "Semily",
          "Tanvald",
          "Turnov",
          "Zhelezny Brod"
        ]),
        States(name: "Liberecky", cities: ["Lipov"]),
        States(name: "Lipov", cities: [
          "Bilovec",
          "Bohumin",
          "Bruntal",
          "Chesky Teshin",
          "Frenshtat",
          "Frydek-Mistek",
          "Frydlant nad Ostravici",
          "Fulnek",
          "Havirov",
          "Hluchin",
          "Hradec nad Moravice",
          "Jablunkov",
          "Karvina",
          "Koprivnice",
          "Kravare",
          "Krnov",
          "Novy Jichin",
          "Odry",
          "Opava",
          "Orlova",
          "Ostrava",
          "Petrvald",
          "Pribor",
          "Rychvald",
          "Rymarov",
          "Shenov",
          "Studenka",
          "Trinec",
          "Vitkov",
          "Vratimov",
          "Vrbno pod Pradedem"
        ]),
        States(name: "Moravskoslezsky", cities: [
          "Hranice",
          "Jesenik",
          "Kojetin",
          "Lipnik nad Becvou",
          "Litovel",
          "Mohelnice",
          "Olomouc",
          "Prerov",
          "Prostejov",
          "Shternberk",
          "Shumperk",
          "Unichov",
          "Zabreh"
        ]),
        States(name: "Olomoucky", cities: [
          "Hranice",
          "Jesenik",
          "Kojetin",
          "Lipnik nad Becvou",
          "Litovel",
          "Mohelnice",
          "Olomouc",
          "Prerov",
          "Prostejov",
          "Shternberk",
          "Shumperk",
          "Unichov",
          "Zabreh"
        ]),
        States(name: "Olomoucky Kraj", cities: [
          "Cheska Trebova",
          "Chocen",
          "Chrudim",
          "Chvaletice",
          "Hermanuv Mestec",
          "Hlinsko",
          "Lanshkroun",
          "Letohrad",
          "Litomyshl",
          "Moravska Trebova",
          "Pardubice",
          "Polichka",
          "Policka",
          "Prelouch",
          "Skutech",
          "Svitavy",
          "Usti nad Orlici",
          "Vysoke Myto",
          "Zhamberk"
        ]),
        States(name: "Pardubicky", cities: [
          "Dobrany",
          "Domazhlice",
          "Horazhd\\'\\'ovice",
          "Horshovky Tyn",
          "Kdyne",
          "Klatovy",
          "Nyrany",
          "Nyrsko",
          "Plana",
          "Plzen",
          "Preshtice",
          "Radnice",
          "Rokycany",
          "Stribro",
          "Sushice",
          "Tachov"
        ]),
        States(name: "Plzensky", cities: ["Prague", "Praha"]),
        States(name: "Praha", cities: ["Rajhrad"]),
        States(name: "Rajhrad", cities: ["Smirice"]),
        States(name: "Smirice", cities: []),
        States(name: "South Moravian", cities: []),
        States(name: "Straz nad Nisou", cities: [
          "Benatky nad Jizerou",
          "Beneshov",
          "Beroun",
          "Brandys nad Labem-Stara Bolesl",
          "Chaslav",
          "Chavaletice",
          "Chelakovice",
          "Chesky Brod",
          "Dobrish",
          "Horovice",
          "Kladno",
          "Kolin",
          "Kralupy nad Vltavou",
          "Kutna Hora",
          "Lysa nad Labem",
          "Melnik",
          "Mlada Boleslav",
          "Mnichovo Hradishte",
          "Neratovice",
          "Nove Strasheci",
          "Nymburk",
          "Podebrady",
          "Pribram",
          "Rakovnik",
          "Richany",
          "Rousinov",
          "Roztoky",
          "Sedlcany",
          "Slany",
          "Stochov",
          "Vlashim",
          "Zruch nad Sazavou"
        ]),
        States(name: "Stredochesky", cities: ["Unicov"]),
        States(name: "Unicov", cities: [
          "Bilina",
          "Chomutov",
          "Dechin",
          "Dubi",
          "Duchcov",
          "Jilove",
          "Jirkov",
          "Kadan",
          "Klasterec nad Ohri",
          "Krupka",
          "Litomerice",
          "Litvinov",
          "Louny",
          "Lovosice",
          "Mezibori",
          "Most",
          "Osek",
          "Podborany",
          "Roudnice",
          "Rumburk",
          "Shluknov",
          "Shteti",
          "Teplice",
          "Usti",
          "Varnsdorf",
          "Zatec"
        ]),
        States(name: "Ustecky", cities: ["Valletta"]),
        States(name: "Valletta", cities: ["Velesin"]),
        States(name: "Velesin", cities: [
          "Bystrice nad Pernshtejnem",
          "Chotebor",
          "Havlichkuv Brod",
          "Humpolec",
          "Jihlava",
          "Ledech",
          "Moravske Budejovice",
          "Nove Mesto na Morave",
          "Okrisky",
          "Pacov",
          "Pelhrimov",
          "Polna",
          "Svetla nad Sazavou",
          "Telch",
          "Trebich",
          "Tresht",
          "Velke Mezirichi",
          "Zhd\\'\\'ar"
        ]),
        States(name: "Vysochina", cities: [
          "Brumov",
          "Bystrice pod Hostynem",
          "Chropyne",
          "Holeshov",
          "Hulin",
          "Kromerizh",
          "Kunovice",
          "Napajedla",
          "Otrokovice",
          "Rozhnov",
          "Roznov pod Radhostem",
          "Slavicin",
          "Slusovice",
          "Stare Mesto",
          "Strazhnice",
          "Uherske Hradishte",
          "Uhersky Brod",
          "Valashske Klobouky",
          "Valashske Mezirichi",
          "Veseli nad Moravou",
          "Vsetin",
          "Zborovice",
          "Zlin"
        ]),
        States(name: "Zlinsky", cities: [
          "Aarhus",
          "Allingabro",
          "Arhus",
          "Assentoft",
          "Auning",
          "Beder",
          "Brabrand",
          "Ebeltoft",
          "Framlev",
          "Galten",
          "Grenaa",
          "Hadsten",
          "Hammel",
          "Hinnerup",
          "Hjortshoj",
          "Horning",
          "Hornslet",
          "Kolt",
          "Langa",
          "Logten",
          "Lystrup",
          "Malling",
          "Mariager",
          "Marslet",
          "Odder",
          "Randers",
          "Risskov",
          "Ronde",
          "Ry",
          "Ryomgard",
          "Sabro",
          "Silkeborg",
          "Skanderborg",
          "Skovby",
          "Soften",
          "Solbjerg",
          "Spentrup",
          "Stavtrup",
          "Stilling",
          "Svejbak",
          "Tranbjerg",
          "Trige",
          "Virklund"
        ])
      ]),
  Country(
      name: "Denmark",
      flag: "🇩🇰",
      code: "DK",
      dialCode: "45",
      minLength: 8,
      maxLength: 8,
      states: [
        States(
            name: "Arhus",
            cities: ["Aakirkeby", "Allinge-Sandvig", "Nexo", "Ronne"]),
        States(name: "Bornholm", cities: [
          "Allerod",
          "Birkerod",
          "Blovstrod",
          "Espergarde",
          "Farum",
          "Fredensborg",
          "Frederikssund",
          "Frederiksvark",
          "Ganlose",
          "Gilleleje",
          "Grasted",
          "Hellebak",
          "Helsinge",
          "Helsingor",
          "Hillerod",
          "Hornbak",
          "Horsholm",
          "Humlebak",
          "Hundested",
          "Jagerspris",
          "Kvistgaard",
          "Lillerod",
          "Liseleje",
          "Lynge",
          "Niva",
          "Nodebo",
          "Olstykke",
          "Skibby",
          "Slangerup",
          "Stavnsholt",
          "Stenlose",
          "Valby",
          "Vekso"
        ]),
        States(name: "Frederiksborg", cities: [
          "Aarup",
          "Arslev",
          "Assens",
          "Bellinge",
          "Blommenslyst",
          "Bogense",
          "Brenderup",
          "Broby",
          "Bullerup",
          "Ejby",
          "Faaborg",
          "Glamsbjerg",
          "Haarby",
          "Hojby",
          "Kerteminde",
          "Langeskov",
          "Marstal",
          "Middelfart",
          "Munkebo",
          "Neder Holluf",
          "Norre Aaby",
          "Nyborg",
          "Odense",
          "Otterup",
          "Ringe",
          "Rudkobing",
          "Sankt Klemens",
          "Seden",
          "Sonderso",
          "Stige",
          "Strib",
          "Svendborg",
          "Thuro",
          "Tommerup",
          "Ullerslev",
          "Vindeby",
          "Vissenbjerg"
        ]),
        States(
            name: "Fyn",
            cities: ["Ballerup", "Brondby", "Stenlose", "Vallensbaek"]),
        States(name: "Hovedstaden", cities: [
          "Dragor",
          "Flong",
          "Gentofte",
          "Glostrup",
          "Herlev",
          "Hvidovre",
          "Ishoj",
          "Kastrup",
          "Lyngby",
          "Malov",
          "Smorumnedre",
          "Taastrup",
          "Trorod",
          "Vanlose",
          "Varlose"
        ]),
        States(name: "Kobenhavn", cities: []),
        States(name: "Kobenhavns Amt", cities: []),
        States(name: "Kobenhavns Kommune", cities: [
          "Aabybro",
          "Aalborg",
          "Aars",
          "Arden",
          "Bindslev",
          "Bronderslev",
          "Brovst",
          "Dronninglund",
          "Farso",
          "Fjerritslev",
          "Frederikshavn",
          "Frejlev",
          "Gistrup",
          "Gorlose",
          "Hadsund",
          "Hals",
          "Hirtshals",
          "Hjallerup",
          "Hjorring",
          "Hobro",
          "Kas",
          "Klarup",
          "Logstor",
          "Nibe",
          "Norresundby",
          "NÃƒÂƒÃ‚Â¸rresundby",
          "Pandrup",
          "Saby",
          "Sindal",
          "Skagen",
          "Skorping",
          "Storvorde",
          "Stovring",
          "Strandby",
          "Sulsted",
          "Svenstrup",
          "Tars",
          "Tranekaer",
          "Vadum",
          "Vestbjerg",
          "Vester Hassing",
          "Vodskov",
          "Vra"
        ]),
        States(name: "Nordjylland", cities: [
          "Ansager",
          "Billund",
          "Bramming",
          "Brorup",
          "Esbjerg",
          "Grindsted",
          "Holsted",
          "Nordby",
          "Oksbol",
          "Olgod",
          "Ribe",
          "Tjareborg",
          "Varde",
          "Vejen",
          "Vorbasse"
        ]),
        States(name: "Ribe", cities: [
          "Aulum",
          "Bording",
          "Brande",
          "Gjellerup Kirkeby",
          "Hammerum",
          "Harboore",
          "Herning",
          "Holstebro",
          "Hvide Sande",
          "Ikast",
          "Kibak",
          "Lemvig",
          "Lind",
          "Ringkobing",
          "Skaerbaek",
          "Skjern",
          "Snejbjerg",
          "Struer",
          "Sunds",
          "Tarm",
          "Thyboron",
          "Ulfborg",
          "Videbak",
          "Vildbjerg",
          "Vinderup"
        ]),
        States(name: "Ringkobing", cities: ["Roervig"]),
        States(name: "Roervig", cities: [
          "Bjaverskov",
          "Borup",
          "Ejby",
          "Greve Strand",
          "Gundsomagle",
          "Harlev",
          "Havdrup",
          "Hvalso",
          "Jyllinge",
          "Koge",
          "Lejre",
          "Osted",
          "Roskilde",
          "Solrod",
          "Stroby Egede",
          "Svogerslev",
          "Tune",
          "Viby",
          "Vindinge"
        ]),
        States(name: "Roskilde", cities: ["Glyngore"]),
        States(name: "Roslev", cities: ["Karise", "Naestved"]),
        States(name: "Sjaelland", cities: ["Soeborg"]),
        States(name: "Soeborg", cities: [
          "Aabenraa",
          "Aarsleve",
          "Augustenborg",
          "Broager",
          "Christiansfeld",
          "Dybbol",
          "Gram",
          "Grasten",
          "Guderup",
          "Haderslev",
          "Horuphav",
          "Krusa",
          "Logumkloster",
          "Lojt Kirkeby",
          "Nordborg",
          "Padborg",
          "Rodding",
          "Rodekro",
          "Skarbak",
          "Sonderborg",
          "Starup",
          "Tinglev",
          "Toftlund",
          "Tonder",
          "Vojens"
        ]),
        States(name: "Sonderjylland", cities: [
          "Fakse",
          "Fakse Ladeplads",
          "Fensmark",
          "Holeby",
          "Maribo",
          "Nakskov",
          "Nastved",
          "Neder Vindinge",
          "Norre Alslev",
          "Nykobing",
          "Nyrad",
          "Orslev",
          "Prasto",
          "Rodby",
          "Rodbyhavn",
          "Ronnede",
          "Sakskobing",
          "Stege",
          "Store Heddinge",
          "Stubbekobing",
          "Sundby",
          "Vordingborg"
        ]),
        States(name: "Storstrom", cities: ["Bylderup-Bov", "Fovling"]),
        States(name: "Syddanmark", cities: ["Toelloese"]),
        States(name: "Toelloese", cities: [
          "Borkop",
          "Bradstrup",
          "Brejning",
          "Egtved",
          "Fredericia",
          "Give",
          "Hedensted",
          "Horsens",
          "Jelling",
          "Juelsminde",
          "Kolding",
          "Lunderskov",
          "Snoghoj",
          "Sonder Bjert",
          "Taulov",
          "Torring",
          "Vamdrup",
          "Vejle"
        ]),
        States(name: "Vejle", cities: [
          "Asnas",
          "Dianalund",
          "Forlev",
          "Frederiksberg",
          "Fuglebjerg",
          "Gorlev",
          "Haslev",
          "Holbaek",
          "Hong",
          "Horve",
          "Jyderup",
          "Kalundborg",
          "Korsor",
          "Nykobing",
          "Ringsted",
          "Skalskor",
          "Slagelse",
          "Soro",
          "Svebolle",
          "Svinninge",
          "Tollose",
          "Vipperod"
        ]),
        States(name: "Vestsjalland", cities: [
          "Aalestrup",
          "Bjerringbro",
          "Hanstholm",
          "Hojslev",
          "Hurup",
          "Karup",
          "Kjellerup",
          "Nykobing",
          "Skive",
          "Stoholm",
          "Thisted",
          "Ulstrup",
          "Viborg"
        ]),
        States(name: "Viborg", cities: [])
      ]),
  Country(
      name: "Djibouti",
      flag: "🇩🇯",
      code: "DJ",
      dialCode: "253",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Ali Sabih", cities: ["Dikhil"]),
        States(name: "Dikhil", cities: ["Jibuti"]),
        States(name: "Jibuti", cities: ["Tajurah"]),
        States(name: "Tajurah", cities: ["Ubuk"]),
        States(name: "Ubuk", cities: [])
      ]),
  Country(
      name: "Dominica",
      flag: "🇩🇲",
      code: "DM",
      dialCode: "1767",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Saint Andrew", cities: []),
        States(name: "Saint David", cities: []),
        States(name: "Saint George", cities: []),
        States(name: "Saint John", cities: []),
        States(name: "Saint Joseph", cities: []),
        States(name: "Saint Luke", cities: []),
        States(name: "Saint Mark", cities: []),
        States(name: "Saint Patrick", cities: []),
        States(name: "Saint Paul", cities: []),
        States(name: "Saint Peter", cities: ["Azua", "Sabana Yegua"])
      ]),
  Country(
      name: "Dominican Republic",
      flag: "🇩🇴",
      code: "DO",
      dialCode: "1849",
      minLength: 12,
      maxLength: 12,
      states: [
        States(name: "Azua", cities: ["Neyba", "Tamayo"]),
        States(name: "Bahoruco", cities: ["Barahona", "Cabral", "El Penon"]),
        States(name: "Barahona", cities: ["Dajabon"]),
        States(name: "Dajabon", cities: []),
        States(
            name: "Distrito Nacional",
            cities: ["Las Guaranas", "Pimentel", "San Francisco de Macoris"]),
        States(name: "Duarte", cities: []),
        States(name: "El Seybo", cities: []),
        States(name: "Elias Pina", cities: ["Moca"]),
        States(name: "Espaillat", cities: []),
        States(name: "Hato Mayor", cities: ["Duverge", "Jimani"]),
        States(name: "Independencia", cities: []),
        States(name: "La Altagracia", cities: []),
        States(name: "La Romana", cities: []),
        States(name: "La Vega", cities: []),
        States(name: "Maria Trinidad Sanchez", cities: []),
        States(name: "Monsenor Nouel", cities: []),
        States(name: "Monte Cristi", cities: []),
        States(name: "Monte Plata", cities: ["Pedernales"]),
        States(name: "Pedernales", cities: ["Bani", "Ocoa"]),
        States(name: "Peravia", cities: []),
        States(name: "Puerto Plata", cities: ["Salcedo"]),
        States(name: "Salcedo", cities: ["Samana", "Sanchez"]),
        States(name: "Samana", cities: []),
        States(name: "San Cristobal", cities: []),
        States(name: "San Juan", cities: []),
        States(name: "San Pedro de Macoris", cities: []),
        States(
            name: "Sanchez Ramirez",
            cities: ["Santiago", "Tamboril", "Villa Bisono"]),
        States(
            name: "Santiago", cities: ["Santiago", "Tamboril", "Villa Bisono"]),
        States(name: "Santiago Rodriguez", cities: ["Esperanza", "Mao"]),
        States(name: "Valverde", cities: ["Aileu"])
      ]),
  Country(
      name: "Ecuador",
      flag: "🇪🇨",
      code: "EC",
      dialCode: "593",
      minLength: 8,
      maxLength: 9,
      states: [
        States(name: "Azuay", cities: ["Guaranda", "San Miguel"]),
        States(name: "Bolivar", cities: ["Azogues", "Canar", "La Troncal"]),
        States(name: "Canar", cities: ["El Angel", "San Gabriel", "Tulcan"]),
        States(name: "Carchi", cities: ["Alausi", "Guano", "Riobamba"]),
        States(name: "Chimborazo", cities: [
          "La Mana",
          "Latacunga",
          "Pujili",
          "San Miguel",
          "Saquisili"
        ]),
        States(name: "Cotopaxi", cities: []),
        States(name: "El Oro", cities: [
          "Esmeraldas",
          "Muisne",
          "Rosa Zarate",
          "San Lorenzo",
          "Valdez"
        ]),
        States(name: "Esmeraldas", cities: [
          "Puerto Ayora",
          "Puerto Baquerizo Moreno",
          "San Cristobal"
        ]),
        States(name: "Galapagos", cities: [
          "Alfredo Baquerizo Moreno",
          "Balao",
          "Balzar",
          "Colimes",
          "Coronel Mariduena",
          "Daule",
          "El Salitre",
          "El Triunfo",
          "Eloy Alfaro",
          "Guayaquil",
          "La Libertad",
          "Lomas de Sargentillo",
          "Mapasingue",
          "Milagro",
          "Naranjal",
          "Naranjito",
          "Palestina",
          "Pedro Carbo",
          "Playas",
          "Salinas",
          "Samborondon",
          "Santa Elena",
          "Santa Lucia",
          "Velasco Ibarra",
          "Yaguachi"
        ]),
        States(name: "Guayas", cities: [
          "Atuntaqui",
          "Cotacachi",
          "Ibarra",
          "Otavalo",
          "Pimampiro"
        ]),
        States(name: "Imbabura", cities: [
          "Alamor",
          "Cariamanga",
          "Catacocha",
          "Catamayo",
          "Celica",
          "Loja",
          "Macara"
        ]),
        States(name: "Loja", cities: []),
        States(name: "Los Rios", cities: [
          "Bahia de Caraquez",
          "Calceta",
          "Chone",
          "El Carmen",
          "Jipijapa",
          "Junin",
          "Manta",
          "Montecristi",
          "Pajan",
          "Pedernales",
          "Portoviejo",
          "Rocafuerte",
          "Santa Ana",
          "Sucre",
          "Tosagua"
        ]),
        States(name: "Manabi", cities: []),
        States(name: "Morona Santiago", cities: ["Archidona", "Tena"]),
        States(name: "Napo", cities: ["Orellana"]),
        States(name: "Orellana", cities: ["Puyo"]),
        States(name: "Pastaza", cities: [
          "Cayambe",
          "Machachi",
          "Quito",
          "Sangolqui",
          "Santo Domingo"
        ]),
        States(name: "Pichincha", cities: ["Nueva Loja", "Shushufindi"]),
        States(
            name: "Sucumbios",
            cities: ["Ambato", "Banos", "Pelileo", "Pillaro"]),
        States(name: "Tungurahua", cities: []),
        States(
            name: "Zamora Chinchipe",
            cities: ["Aswan", "Daraw", "Kawm Umbu", "an-Nasir"])
      ]),
  Country(
      name: "Egypt",
      flag: "🇪🇬",
      code: "EG",
      dialCode: "20",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Aswan", cities: [
          "Abnub",
          "Abu Tij",
          "Asyut",
          "Bani Muhammadiyat",
          "Dayrut",
          "Dayrut-ash-Sharif",
          "Manfalut",
          "Musha",
          "Sahil Salim",
          "Sanabu",
          "Umm-al-Qusur",
          "al-Badari",
          "al-Qusiyah",
          "an-Nukhaylah"
        ]),
        States(name: "Asyut", cities: []),
        States(name: "Bani Suwayf", cities: []),
        States(name: "Bur Sa\\'\\'id", cities: [
          "6th of October City",
          "Ataba",
          "Cairo",
          "Nasr",
          "Nasr City",
          "Obour City"
        ]),
        States(name: "Cairo", cities: [
          "Izbat-al-Burj",
          "Damietta",
          "Dumyat",
          "El-Zarka",
          "Faraskur",
          "Kafr Sa\\'\\'d",
          "Kafr-al-Battikh",
          "az-Zarqa"
        ]),
        States(name: "Dumyat", cities: [
          "Biyala",
          "Disuq",
          "Fuwah",
          "Kafr-al-Jara\\'\\'idah",
          "Kafr-ash-Shaykh",
          "Mutubis",
          "Qallin",
          "Sidi Salim",
          "al-Burj",
          "al-Burullus",
          "al-Haddadi",
          "al-Hamul"
        ]),
        States(name: "Kafr-ash-Shaykh", cities: [
          "Marsa Matruh",
          "Nasr",
          "Sidi Barrani",
          "Zawiyat Shammas",
          "ad-Da\\'\\'ba"
        ]),
        States(name: "Matruh", cities: []),
        States(name: "Muhafazat ad Daqahliyah", cities: []),
        States(name: "Muhafazat al Fayyum", cities: []),
        States(name: "Muhafazat al Gharbiyah", cities: []),
        States(name: "Muhafazat al Iskandariyah", cities: []),
        States(name: "Muhafazat al Qahirah", cities: [
          "Armant",
          "Asfun-al-Mata\\'\\'inah",
          "Dandarah",
          "Dishna",
          "Farshut",
          "Hijazah",
          "Hiw",
          "Idfu",
          "Isna",
          "Kiman-al-Mata\\'\\'inah",
          "Naj\\'\\' Hammadi",
          "Naqadah",
          "Qift",
          "Qina",
          "Qus",
          "ad-Dabbiyah",
          "ad-Dayr",
          "al-Ballas",
          "al-Karnak",
          "al-Waqf",
          "ar-Radisiyat-al-Bahriyah"
        ]),
        States(name: "Qina", cities: [
          "Akhmim",
          "Awlad Tawq Sharq",
          "Dar-as-Salam",
          "Jirja",
          "Juhaynah",
          "Sawhaj",
          "Tahta",
          "Tima",
          "al-Balyana",
          "al-Manshah",
          "al-Maragah"
        ]),
        States(name: "Sawhaj", cities: []),
        States(name: "Sina al-Janubiyah", cities: []),
        States(name: "Sina ash-Shamaliyah", cities: [
          "Aja",
          "Bahut",
          "Bilqas",
          "Dikirnis",
          "Minyat-an-Nasr",
          "Mit Gamr",
          "Shirbin",
          "Talkha",
          "al-Jamaliyah",
          "al-Ma\\'\\'sarah",
          "al-Mansurah",
          "al-Manzilah",
          "al-Matariyah",
          "as-Sinbillawayn"
        ]),
        States(
            name: "ad-Daqahliyah",
            cities: ["Ras Gharib", "Safaja", "al-Ghardaqah", "al-Qusayr"]),
        States(name: "al-Bahr-al-Ahmar", cities: [
          "Abu Hummus",
          "Abu al-Matamir",
          "Buturis",
          "Damanhur",
          "Edfina",
          "Hawsh \\'\\'Isa",
          "Idku",
          "Ityay-al-Barud",
          "Kafr Salim",
          "Kafr-ad-Dawwar",
          "Kawm Hamada",
          "Nubaria",
          "Rashid",
          "Shubra Khit",
          "Zawiyat Sidi Gazi",
          "ad-Dilinjat",
          "al-Kawm-al-Akhdar",
          "al-Mahmudiyah",
          "ar-Rahmaniyah"
        ]),
        States(name: "al-Buhayrah", cities: [
          "Fidimin",
          "Ibshaway",
          "Itsa",
          "Qasr Qarun",
          "Sanhur",
          "Sinnuris",
          "Tamiyah",
          "al-Fayyum"
        ]),
        States(name: "al-Fayyum", cities: [
          "Abyar",
          "Basyun",
          "Kafr-az-Zayyat",
          "Mahallat Marhum",
          "Nisf Thani Bashbish",
          "Qutur",
          "Samannud",
          "Tanta",
          "Zifta",
          "ad-Daljamun",
          "al-Mahallah al-Kubra",
          "as-Santah"
        ]),
        States(
            name: "al-Gharbiyah",
            cities: ["Agamy", "al-Iskandariyah", "al-Maks"]),
        States(
            name: "al-Iskandariyah",
            cities: ["Fa\\'\\'id", "Sarabiyum", "al-Ismailiyah"]),
        States(name: "al-Ismailiyah", cities: [
          "Atfih",
          "Awsim",
          "Giza",
          "Madinat Sittah Uktubar",
          "Nahya",
          "Saqqarah",
          "al-\\'\\'Ayyat",
          "al-Badrashayn",
          "al-Hawamidiyah",
          "al-Jizah",
          "al-Mansuriyah",
          "al-Wahat-al-Bahriyah",
          "as-Saff"
        ]),
        States(name: "al-Jizah", cities: [
          "Ashmun",
          "Birkat-as-Sab",
          "Milij",
          "Minuf",
          "Quwaysina",
          "Shibin-al-Kawm",
          "Sirs-al-Layyanah",
          "Tala",
          "al-Bajur",
          "al-Batanun",
          "ash-Shuhada"
        ]),
        States(name: "al-Minufiyah", cities: [
          "Abu Qurqas",
          "Bani Mazar",
          "Dayr Mawas",
          "Magagah",
          "Mallawi",
          "Matay",
          "Samalut",
          "Tallah",
          "Tandah",
          "al-Anayim",
          "al-Fikriyah",
          "al-Minya",
          "ar-Rawdah"
        ]),
        States(
            name: "al-Minya", cities: ["Badr City", "Heliopolis", "al-Qahira"]),
        States(name: "al-Qahira", cities: [
          "Abu Za\\'\\'bal",
          "Banha",
          "Qalyub",
          "Shubra al-Khaymah",
          "Sibin-al-Qanatir",
          "Tukh",
          "al-Khankah",
          "al-Qanatir-al-Khayriyah"
        ]),
        States(name: "al-Qalyubiyah", cities: ["al-Uqsur"]),
        States(name: "al-Uqsur", cities: []),
        States(name: "al-Wadi al-Jadid", cities: ["as-Suways"]),
        States(name: "as-Suways", cities: [
          "Abu Hammad",
          "Abu Kabir",
          "Bilbays",
          "Diyarb Najm",
          "Faqus",
          "Hihya",
          "Kafr Saqr",
          "Mashtul-as-Suq",
          "Minyat-al-Qamh",
          "al-Ashir mir-Ramadan",
          "al-Husayniyah",
          "al-Ibrahimiyah",
          "al-Qanayat",
          "al-Qassasin",
          "al-Qurayn",
          "as-Salihiyah",
          "at-Tall-al-Kabir",
          "az-Zaqaziq"
        ]),
        States(name: "ash-Sharqiyah", cities: [
          "Ahuachapan",
          "Atiquizaya",
          "Concepcion de Ataco",
          "Guaymango",
          "Jujutla",
          "San Francisco Menendez",
          "Tacuba"
        ])
      ]),
  Country(
      name: "El Salvador",
      flag: "🇸🇻",
      code: "SV",
      dialCode: "503",
      minLength: 11,
      maxLength: 11,
      states: [
        States(
            name: "Ahuachapan",
            cities: ["Ilobasco", "Sensuntepeque", "Victoria"]),
        States(name: "Cabanas", cities: [
          "Chalatenango",
          "La Palma",
          "Nueva Concepcion",
          "San Francisco Morazan"
        ]),
        States(name: "Chalatenango", cities: [
          "Cojutepeque",
          "San Pedro Perulapan",
          "Suchitoto",
          "Tecoluca",
          "Tenancingo"
        ]),
        States(name: "Cuscatlan", cities: []),
        States(name: "La Libertad", cities: []),
        States(name: "La Paz", cities: []),
        States(name: "La Union", cities: [
          "Cacaopera",
          "Corinto",
          "Gotera",
          "Guatajiagua",
          "Jocoro",
          "Sociedad"
        ]),
        States(name: "Morazan", cities: []),
        States(name: "San Miguel", cities: []),
        States(name: "San Salvador", cities: []),
        States(name: "San Vicente", cities: []),
        States(name: "Santa Ana", cities: [
          "Acajutla",
          "Armenia",
          "Izalco",
          "Juayua",
          "Nahuizalco",
          "San Antonio del Monte",
          "San Julian",
          "Sonsonate",
          "Sonzacate"
        ]),
        States(name: "Sonsonate", cities: [
          "Berlin",
          "Concepcion Batres",
          "Estanzuelas",
          "Jiquilisco",
          "Jucuapa",
          "Jucuaran",
          "Ozatlan",
          "Puerto El Triunfo",
          "San Agustin",
          "Santa Elena",
          "Santiago de Maria",
          "Usulutan"
        ]),
        States(name: "Usulutan", cities: ["Pale"])
      ]),
  Country(
      name: "Equatorial Guinea",
      flag: "🇬🇶",
      code: "GQ",
      dialCode: "240",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Annobon", cities: []),
        States(name: "Bioko Norte", cities: []),
        States(name: "Bioko Sur", cities: []),
        States(name: "Centro Sur", cities: ["Ebebiyin", "Mikomeseng"]),
        States(name: "Kie-Ntem", cities: ["Bata", "Mbini"]),
        States(
            name: "Litoral", cities: ["Aconibe", "Anisoc", "Mongomo", "Nsok"]),
        States(name: "Wele-Nzas", cities: ["Keren"])
      ]),
  Country(
      name: "Eritrea",
      flag: "🇪🇷",
      code: "ER",
      dialCode: "291",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Anseba", cities: ["Addi Kwala", "Addi Ugri"]),
        States(name: "Debub", cities: ["Asseb", "Beylul", "Edd", "Mersa Fatma"]),
        States(
            name: "Debub-Keih-Bahri",
            cities: ["Ak\\'\\'ordat", "Barentu", "Teseney"]),
        States(
            name: "Gash-Barka",
            cities: ["Asmara", "Ginda", "Himbirti", "Nefasit"]),
        States(name: "Maekel", cities: [
          "Addi K\\'\\'eyih",
          "Dek\\'\\'emhare",
          "Mitsiwa",
          "Sen\\'\\'afe"
        ]),
        States(name: "Semien-Keih-Bahri", cities: [
          "Aasmae",
          "Aaviku",
          "Aegviidu",
          "Aigrumae",
          "Aila",
          "Alavere",
          "Alliku",
          "Amari",
          "Anija",
          "Ardu",
          "Arukula",
          "Aruvalla",
          "Assaku",
          "Ellamaa",
          "Haabneeme",
          "Habaja",
          "Haiba",
          "Haljava",
          "Hara",
          "Harju-Risti",
          "Harku",
          "Harkujarve",
          "Harma",
          "Huuru",
          "Ilmandu",
          "Iru",
          "Jagala",
          "Jalgimae",
          "Jarsi",
          "Jarvekula",
          "Jogisoo",
          "Juri",
          "Kaasiku",
          "Kaberneeme",
          "Kahala",
          "Kalesi",
          "Kallavere",
          "Karjakula",
          "Karla",
          "Kasepere",
          "Kasispea",
          "Kehra",
          "Keila",
          "Keila-Joa",
          "Kelvingi",
          "Kiia",
          "Kiili",
          "Kiisa",
          "Kiiu",
          "Klooga",
          "Kloogaranna",
          "Kohatu",
          "Kolga",
          "Kolga-Aabla",
          "Kolgakula",
          "Konnu",
          "Kose",
          "Kose-Uuemoisa",
          "Kostivere",
          "Krei",
          "Kuivajoe",
          "Kumna",
          "Kurtna",
          "Kuusalu",
          "Laabi",
          "Laagri",
          "Lagedi",
          "Laitse",
          "Laulasmaa",
          "Lehetu",
          "Lehola",
          "Lehtmetsa",
          "Leppneeme",
          "Liikva",
          "Lilli",
          "Lohusalu",
          "Loksa",
          "Lokuti",
          "Loo",
          "Lubja",
          "Luige",
          "Maardu",
          "Maidla",
          "Manniku",
          "Metsakasti",
          "Metsanurme",
          "Miiduranna",
          "Munalaskme",
          "Muraste",
          "Muuga",
          "Nabala",
          "Neeme",
          "Ohtu",
          "Ojasoo",
          "Oru",
          "Padise",
          "Pae",
          "Paekna",
          "Pajupea",
          "Paldiski",
          "Palvere",
          "Parispea",
          "Patika",
          "Paunkula",
          "Peetri",
          "Peningi",
          "Perila",
          "Pikva",
          "Pillapalu",
          "Pringi",
          "Puunsi",
          "Raasiku",
          "Rae",
          "Randvere",
          "Rannamoisa",
          "Ravila",
          "Riisipere",
          "Rohuneeme",
          "Roobuka",
          "Ruila",
          "Rummu",
          "Saha",
          "Saku",
          "Saue",
          "Saula",
          "Saunja",
          "Suurpea",
          "Suurupi",
          "Tabasalu",
          "Tagadi",
          "Tagametsa",
          "Tallinn",
          "Tammneeme",
          "Tiskre",
          "Todva",
          "Turba",
          "Turisalu",
          "Tutermaa",
          "Tuula",
          "Tuulna",
          "Uksnurme",
          "Ulejoe",
          "Uuri",
          "Uuskula",
          "Vaana",
          "Vaana-Joesuu",
          "Vaida",
          "Vaidasoo",
          "Valingu",
          "Valkla",
          "Vanamoisa",
          "Vardja",
          "Vasalemma",
          "Vaskjala",
          "Vatsla",
          "Veskikula",
          "Vihasoo",
          "Viimsi",
          "Viinistu",
          "Viti"
        ])
      ]),
  Country(
      name: "Estonia",
      flag: "🇪🇪",
      code: "EE",
      dialCode: "372",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Harju", cities: [
          "Emmaste",
          "Jausa",
          "Kaina",
          "Kardla",
          "Korgessaare",
          "Lauka",
          "Lope",
          "Mannamaa",
          "Putkaste",
          "Suuremoisa"
        ]),
        States(name: "Hiiu", cities: [
          "Aa",
          "Alajoe",
          "Aseri",
          "Avinurme",
          "Edise",
          "Erra",
          "Iisaku",
          "Jarve",
          "Johvi",
          "Kahula",
          "Kiikla",
          "Kivioli",
          "Kohtla-Jarve",
          "Kohtla-Nomme",
          "Konju",
          "Kose",
          "Kuremae",
          "Kurtna",
          "Lohusuu",
          "Luganuse",
          "Maetaguse",
          "Maidla",
          "Narva",
          "Narva-Joesuu",
          "Olgina",
          "Pagari",
          "Puhajoe",
          "Purtse",
          "Pussi",
          "Rannu",
          "Saka",
          "Savala",
          "Sillamae",
          "Sinimae",
          "Soldina",
          "Sompa",
          "Sonda",
          "Tammiku",
          "Toila",
          "Tudulinna",
          "Ulvi",
          "Vaivara",
          "Varja",
          "Vasavere",
          "Voka"
        ]),
        States(name: "Ida-Viru", cities: [
          "Ahula",
          "Aiamaa",
          "Albu",
          "Ambla",
          "Anari",
          "Anna",
          "Aravete",
          "Ervita",
          "Imavere",
          "Janeda",
          "Jarva-Jaani",
          "Jogisoo",
          "Jootme",
          "Kaalepi",
          "Kabala",
          "Kahala",
          "Karavete",
          "Karevere",
          "Karinu",
          "Kasukonna",
          "Kirna",
          "Koeru",
          "Koigi",
          "Kolu",
          "Kuksema",
          "Laupa",
          "Lehtse",
          "Lokuta",
          "Loola",
          "Muusleri",
          "Oisu",
          "Paide",
          "Painurme",
          "Peetri",
          "Poikva",
          "Reopalu",
          "Retla",
          "Roa",
          "Roosna",
          "Roosna-Alliku",
          "Sarevere",
          "Sargvere",
          "Taikse",
          "Tarbja",
          "Turi",
          "Turi-Alliku",
          "Vaatsa",
          "Vahukula",
          "Vao",
          "Viisu",
          "Villevere"
        ]),
        States(name: "Jarva", cities: [
          "Adavere",
          "Esku",
          "Harjanurme",
          "Jogeva",
          "Kaarepere",
          "Kalana",
          "Kalme",
          "Kamari",
          "Karde",
          "Kasepaa",
          "Kassinurme",
          "Konnu",
          "Kudina",
          "Kukita",
          "Kuremaa",
          "Kurista",
          "Lahavere",
          "Laiuse",
          "Laiusevalja",
          "Leedi",
          "Lustivere",
          "Luua",
          "Maarja",
          "Mallikvere",
          "Metsakula",
          "Mohkula",
          "Mustvee",
          "Neanurme",
          "Nova",
          "Omedu",
          "Ouna",
          "Painkula",
          "Pajusi",
          "Pala",
          "Palamuse",
          "Pataste",
          "Pauastvere",
          "Pikkjarve",
          "Pikknurme",
          "Pisisaare",
          "Poltsamaa",
          "Poora",
          "Puurmani",
          "Raabise",
          "Raja",
          "Saare",
          "Sadala",
          "Sadukula",
          "Siimusti",
          "Tabivere",
          "Tahkvere",
          "Tiheda",
          "Toikvere",
          "Torma",
          "Umbusi",
          "Vagari",
          "Vaiatu",
          "Vaike-Kamari",
          "Vaimastvere",
          "Valgma",
          "Visusti",
          "Voduvere",
          "Vohmanomme",
          "Voisiku",
          "Voldi",
          "Voore",
          "Votikvere"
        ]),
        States(name: "Jogeva", cities: [
          "Haapsalu",
          "Hullo",
          "Joodre",
          "Kirbla",
          "Kirimae",
          "Koluvere",
          "Komsi",
          "Kullamaa",
          "Lihula",
          "Liivi",
          "Linnamae",
          "Martna",
          "Nigula",
          "Nova",
          "Palivere",
          "Palli",
          "Panga",
          "Paralepa",
          "Piirsalu",
          "Purksi",
          "Rannakula",
          "Risti",
          "Roude",
          "Sutlepa",
          "Taebla",
          "Tuudi",
          "Uuemoisa",
          "Variku",
          "Vatla",
          "Virtsu"
        ]),
        States(name: "Laane", cities: [
          "Aaspere",
          "Ama",
          "Arkna",
          "Assamalla",
          "Avanduse",
          "Avispea",
          "Ebavere",
          "Eipri",
          "Essu",
          "Haljala",
          "Hulja",
          "Imastu",
          "Inju",
          "Kadapiku",
          "Kadila",
          "Kadrina",
          "Kakumae",
          "Karitsa",
          "Karu",
          "Kasmu",
          "Kihlevere",
          "Kiku",
          "Kiltsi",
          "Kohala",
          "Kunda",
          "Kuti",
          "Laekvere",
          "Lasila",
          "Lepna",
          "Levala",
          "Liigvalla",
          "Modriku",
          "Moe",
          "Moora",
          "Muuga",
          "Napi",
          "Paasvere",
          "Pajusti",
          "Pandivere",
          "Piira",
          "Pikevere",
          "Podrangu",
          "Podruse",
          "Porkuni",
          "Rahkla",
          "Rakke",
          "Rakvere",
          "Ridakula",
          "Roela",
          "Roodevalja",
          "Saase",
          "Salda",
          "Salla",
          "Simuna",
          "Someru",
          "Taaravainu",
          "Tamsalu",
          "Tapa",
          "Torma",
          "Torremae",
          "Triigi",
          "Tudu",
          "Ubja",
          "Udriku",
          "Uhtna",
          "Ulvi",
          "Undla",
          "Ussimae",
          "Uudekula",
          "Vaekula",
          "Vahakulmu",
          "Vaiatu",
          "Vaike-Maarja",
          "Vajangu",
          "Vao",
          "Veltsi",
          "Venevere",
          "Vergi",
          "Vetiku",
          "Vihula",
          "Viitna",
          "Vinni",
          "Viru-Jaagupi",
          "Viru-Kabala",
          "Viru-Nigula",
          "Vohnja",
          "Vosu",
          "Vosupere"
        ]),
        States(name: "Laane-Viru", cities: [
          "Ahaste",
          "Aluste",
          "Are",
          "Arumetsa",
          "Audru",
          "Eametsa",
          "Haademeeste",
          "Halinga",
          "Ikla",
          "Ilvese",
          "Jaamakula",
          "Jaarja",
          "Joesuu",
          "Joopre",
          "Kaansoo",
          "Kabli",
          "Kadjaste",
          "Kaisma",
          "Kalita",
          "Kanakula",
          "Kergu",
          "Kihlepa",
          "Kilingi-Nomme",
          "Kilksama",
          "Koima",
          "Koonga",
          "Krundikula",
          "Laadi",
          "Langerma",
          "Lavassaare",
          "Leipste",
          "Lemmetsa",
          "Lemsi",
          "Libatse",
          "Linakula",
          "Lindi",
          "Liu",
          "Lodja",
          "Lope",
          "Malda",
          "Mannikuste",
          "Massiaru",
          "Metsaaare",
          "Metsapoole",
          "Moisakula",
          "Muraka",
          "Niidu",
          "Nurme",
          "Oara",
          "Oidrema",
          "Paikuse",
          "Papsaare",
          "Parnjoe",
          "Parnu",
          "Parnu-Jaagupi",
          "Penu",
          "Piistaoja",
          "Pohara",
          "Poldeotsa",
          "Pootsi",
          "Pulli",
          "Rannametsa",
          "Ratsepa",
          "Reiu",
          "Ridalepa",
          "Rootsikula",
          "Saarde",
          "Saare",
          "Sauga",
          "Seliste",
          "Selja",
          "Seljametsa",
          "Silla",
          "Sindi",
          "Soeva",
          "Soometsa",
          "Suigu",
          "Surju",
          "Suurejoe",
          "Taali",
          "Tahkuranna",
          "Tali",
          "Tammiste",
          "Tammuru",
          "Tihemetsa",
          "Tolla",
          "Tootsi",
          "Tori",
          "Tostamaa",
          "Tousi",
          "Treimani",
          "Urge",
          "Uulu",
          "Vahenurme",
          "Vaki",
          "Vandra",
          "Varbla",
          "Veelikse",
          "Vihtra",
          "Voidu",
          "Voiste"
        ]),
        States(name: "Parnu", cities: [
          "Aarna",
          "Ahja",
          "Erastvere",
          "Himma",
          "Himmaste",
          "Holvandi",
          "Ihamaru",
          "Jaanimoisa",
          "Kanepi",
          "Karilatsi",
          "Karsa",
          "Karste",
          "Kauksi",
          "Kiidjarve",
          "Kostrimae",
          "Krootuse",
          "Leevaku",
          "Leevi",
          "Leevijoe",
          "Linte",
          "Lootvina",
          "Maaritsa",
          "Mammaste",
          "Metste",
          "Mikitamae",
          "Mooste",
          "Naha",
          "Orava",
          "Pahtpaa",
          "Partsi",
          "Peri",
          "Piigandi",
          "Polgaste",
          "Polva",
          "Prangli",
          "Puuri",
          "Raadama",
          "Rahumae",
          "Raigla",
          "Rapina",
          "Rasina",
          "Ristipalo",
          "Rosma",
          "Ruusa",
          "Saverna",
          "Sillapaa",
          "Soodoma",
          "Suurkula",
          "Taevaskoja",
          "Tannassilma",
          "Tilsi",
          "Treski",
          "Vaike-Rosna",
          "Valgjarve",
          "Vana-Koiola",
          "Vardja",
          "Varska",
          "Vastse-Kuuste",
          "Veriora",
          "Viluste",
          "Voopsu"
        ]),
        States(name: "Polva", cities: [
          "Aespa",
          "Alu",
          "Eidapere",
          "Hageri",
          "Hagudi",
          "Haimre",
          "Hertu",
          "Iira",
          "Ingliste",
          "Jarlepa",
          "Jarvakandi",
          "Juuru",
          "Kaerepere",
          "Kaiu",
          "Kalbu",
          "Karu",
          "Kasti",
          "Keava",
          "Kehtna",
          "Kivi-Vigala",
          "Kodila",
          "Kohila",
          "Kuimetsa",
          "Kuusiku",
          "Laukna",
          "Lelle",
          "Lipa",
          "Lohu",
          "Lokuta",
          "Maidla",
          "Marjamaa",
          "Masti",
          "Moisamaa",
          "Naravere",
          "Orgita",
          "Paardu",
          "Pae",
          "Pahkla",
          "Pihali",
          "Pirgu",
          "Prillimae",
          "Purila",
          "Purku",
          "Rabivere",
          "Raikkula",
          "Rangu",
          "Rapla",
          "Salutaguse",
          "Sipa",
          "Sotke",
          "Sutlema",
          "Tamme",
          "Teenuse",
          "Uuskula",
          "Vahastu",
          "Valgu",
          "Valtu",
          "Vana-Kaiu",
          "Vana-Vigala",
          "Varbola",
          "Vilivere"
        ]),
        States(name: "Rapla", cities: [
          "Arandi",
          "Aste",
          "Eikla",
          "Hellamaa",
          "Kao",
          "Karja",
          "Karla",
          "Kihelkonna",
          "Koimla",
          "Koljala",
          "Korkkula",
          "Korkvere",
          "Kudjape",
          "Kuressaare",
          "Laatsa",
          "Lahekula",
          "Laimjala",
          "Leisi",
          "Liiva",
          "Lumanda",
          "Metskula",
          "Mustjala",
          "Nasva",
          "Nommkula",
          "Orissaare",
          "Pahkla",
          "Parsama",
          "Pihtla",
          "Sakla",
          "Salme",
          "Sandla",
          "Tagavere",
          "Tornimae",
          "Valjala",
          "Vohma"
        ]),
        States(name: "Saare", cities: [
          "Aardla",
          "Aksi",
          "Alasoo",
          "Alatskivi",
          "Annikoru",
          "Aravu",
          "Elva",
          "Erala",
          "Ervu",
          "Haage",
          "Haaslava",
          "Ignase",
          "Illi",
          "Ilmatsalu",
          "Kaagvere",
          "Kaardi",
          "Kaarlijarve",
          "Kallaste",
          "Kalme",
          "Kambja",
          "Kandikula",
          "Karevere",
          "Karkna",
          "Kasepaa",
          "Kavastu",
          "Kirepi",
          "Kodukula",
          "Kokora",
          "Kolkja",
          "Konguta",
          "Koosa",
          "Koruste",
          "Korvekula",
          "Kulitse",
          "Kurekula",
          "Kurista",
          "Laaniste",
          "Laeva",
          "Lahte",
          "Lalli",
          "Lapetukme",
          "Lemmatsi",
          "Lohkva",
          "Lossimae",
          "Luke",
          "Luunja",
          "Maksa",
          "Maramaa",
          "Marja",
          "Meeksi",
          "Meeri",
          "Mehikoorma",
          "Melliste",
          "Metsakivi",
          "Metsalaane",
          "Moisanurme",
          "Nina",
          "Nogiaru",
          "Noo",
          "Pilka",
          "Poka",
          "Pooritsa",
          "Puhja",
          "Rahinge",
          "Raigaste",
          "Ramsi",
          "Rani",
          "Rannu",
          "Rebase",
          "Reola",
          "Rohu",
          "Roiu",
          "Rongu",
          "Saadjarve",
          "Sinikula",
          "Sirgu",
          "Soinaste",
          "Sojamaa",
          "Tahtvere",
          "Tammiste",
          "Tammistu",
          "Tartu",
          "Teedla",
          "Tilga",
          "Toravere",
          "Torvandi",
          "Tuki",
          "Uderna",
          "Uhti",
          "Ulenurme",
          "Ulila",
          "Unikula",
          "Vahi",
          "Vaike-Rakke",
          "Valguta",
          "Vana-Kuuste",
          "Vara",
          "Varnja",
          "Vasula",
          "Vedu",
          "Vesneri",
          "Vissi",
          "Voibla",
          "Voika",
          "Vonnu",
          "Voopste",
          "Vorbuse"
        ]),
        States(name: "Tartu", cities: [
          "Aakre",
          "Ala",
          "Hargla",
          "Hellenurme",
          "Helme",
          "Hummuli",
          "Jeti",
          "Jogeveste",
          "Kaagjarve",
          "Kalme",
          "Karjatnurme",
          "Karula",
          "Keeni",
          "Koikkula",
          "Laanemetsa",
          "Laatre",
          "Laukula",
          "Leebiku",
          "Linna",
          "Lossikula",
          "Lullemae",
          "Moldre",
          "Nouni",
          "Nupli",
          "Oru",
          "Oruste",
          "Otepaa",
          "Paidla",
          "Paju",
          "Palupera",
          "Patkula",
          "Piiri",
          "Pikasilla",
          "Pilkuse",
          "Puhajarve",
          "Puka",
          "Restu",
          "Riidaja",
          "Sangaste",
          "Sihva",
          "Sooru",
          "Taagepera",
          "Tagula",
          "Taheva",
          "Tiidu",
          "Tolliste",
          "Torva",
          "Tsirguliina",
          "Valga",
          "Vana-Otepaa"
        ]),
        States(name: "Valga", cities: [
          "Abja-Paluoja",
          "Abja-Vanamoisa",
          "Aidu",
          "Angi",
          "Anikatsi",
          "Arikula",
          "Halliste",
          "Heimtali",
          "Holstre",
          "Intsu",
          "Jamejala",
          "Jaska",
          "Kaavere",
          "Kamara",
          "Karksi",
          "Karksi-Nuia",
          "Karstna",
          "Karula",
          "Kobruvere",
          "Koidama",
          "Koksvere",
          "Kolga-Jaani",
          "Koo",
          "Kopu",
          "Kulla",
          "Lalsi",
          "Leie",
          "Lilli",
          "Lohavere",
          "Loodi",
          "Maeltkula",
          "Matapera",
          "Meleski",
          "Metskula",
          "Moisakula",
          "Monnaste",
          "Mustivere",
          "Mustla",
          "Navesti",
          "Odiste",
          "Oisu",
          "Olustvere",
          "Pahuvere",
          "Paistu",
          "Parakula",
          "Pari",
          "Parsti",
          "Peetrimoisa",
          "Pilistvere",
          "Pinska",
          "Polde",
          "Polli",
          "Puiatu",
          "Ramsi",
          "Reegoldi",
          "Saarepeedi",
          "Savikoti",
          "Sinialliku",
          "Soe",
          "Soomevere",
          "Sudiste",
          "Suislepa",
          "Sultsi",
          "Supsi",
          "Surgavere",
          "Suure-Jaani",
          "Taaksi",
          "Tanassilma",
          "Tinnikuru",
          "Tohvri",
          "Tuhalaane",
          "Tusti",
          "Ulde",
          "Ulensi",
          "Uusna",
          "Valgita",
          "Valma",
          "Valuste",
          "Vana-Kariste",
          "Vana-Voidu",
          "Vardi",
          "Vardja",
          "Vastemoisa",
          "Veelikse",
          "Verilaske",
          "Veskimae",
          "Viiratsi",
          "Viljandi",
          "Villa",
          "Vohma",
          "Voivaku",
          "Vooru"
        ]),
        States(name: "Viljandi", cities: [
          "Antsla",
          "Haanja",
          "Jarvere",
          "Kaapa",
          "Kirumpaa",
          "Kobela",
          "Kollino",
          "Kose",
          "Kraavi",
          "Krabi",
          "Kulaoru",
          "Kuldre",
          "Kuutsi",
          "Lasva",
          "Loosu",
          "Lusti",
          "Meegomae",
          "Meremae",
          "Misso",
          "Moniste",
          "Navi",
          "Nursi",
          "Obinitsa",
          "Osula",
          "Otsa",
          "Parksepa",
          "Puiga",
          "Raiste",
          "Rimmi",
          "Rouge",
          "Ruusmae",
          "Saru",
          "Somerpalu",
          "Sulbi",
          "Taberlaane",
          "Tagakula",
          "Tsolgo",
          "Tsooru",
          "Urvaste",
          "Uue-Antsla",
          "Vaabina",
          "Vagula",
          "Vaimela",
          "Vana-Antsla",
          "Vana-Roosa",
          "Vana-Vastseliina",
          "Varstu",
          "Vastseliina",
          "Verijarve",
          "Viitina",
          "Viitka",
          "Visela",
          "Voru",
          "Vorumoisa"
        ]),
        States(name: "Voru", cities: [])
      ]),
  Country(
      name: "Ethiopia",
      flag: "🇪🇹",
      code: "ET",
      dialCode: "251",
      minLength: 9,
      maxLength: 9,
      states: [
        States(
            name: "Addis Abeba",
            cities: ["Asayita", "Awash", "Dubti", "Gewane"]),
        States(name: "Afar", cities: [
          "Addi Ark\\'\\'ay",
          "Addis \\'\\'Alem",
          "Addis Zemen",
          "Adet",
          "Bahir Dar",
          "Bati",
          "Bichena",
          "Bure",
          "Chagni",
          "Dabat",
          "Dangla",
          "Debark",
          "Debre Birhan",
          "Debre Mark\\'\\'os",
          "Debre Sina",
          "Debre Tabor",
          "Debre Werk",
          "Dejen",
          "Dese",
          "Finote Selam",
          "Gondar",
          "K\\'\\'obo",
          "Kembolcha",
          "Kemise",
          "Lalibela",
          "Mott\\'\\'a",
          "Nefas Mewcha",
          "Sek\\'\\'ot\\'\\'a",
          "Shewa Robit",
          "Weldiya",
          "Were Ilu",
          "Werota"
        ]),
        States(name: "Amhara", cities: ["Asosa"]),
        States(name: "Benishangul", cities: ["Dire Dawa"]),
        States(name: "Diredawa", cities: ["Gambela"]),
        States(name: "Gambella", cities: ["Harer"]),
        States(name: "Harar", cities: ["Jigjiga"]),
        States(name: "Jigjiga", cities: []),
        States(name: "Mekele", cities: [
          "Alem Maya",
          "Abomsa",
          "Agaro",
          "Asasa",
          "Asbe Teferi",
          "Assela",
          "Bako",
          "Bedele",
          "Bedesa",
          "Burayu",
          "Debre Zeyit",
          "Deder",
          "Dembi Dolo",
          "Dodola",
          "Fiche",
          "Gebre Guracha",
          "Gedo",
          "Gelemso",
          "Gimbi",
          "Ginch\\'\\'i",
          "Ginir",
          "Giyon",
          "Goba",
          "Gore",
          "Guder",
          "Hagere Hiywet",
          "Hagere Maryam",
          "Hirna",
          "Holeta Genet",
          "Huruta",
          "Jimma",
          "Kibre Mengist",
          "Kofele",
          "Mega",
          "Mek\\'\\'i",
          "Mendi",
          "Metehara",
          "Metu",
          "Mojo",
          "Moyale",
          "Nazret",
          "Nedjo",
          "Negele",
          "Nek\\'\\'emte",
          "Robe",
          "Sebeta",
          "Sendafa",
          "Shakiso",
          "Shambu",
          "Shashemenne",
          "Sheh Hussen",
          "Sire",
          "Tulu Bolo",
          "Welench\\'\\'iti",
          "Welk\\'\\'it\\'\\'e",
          "Wonji",
          "Yabelo",
          "Ziway"
        ]),
        States(name: "Oromia", cities: [
          "Bircot",
          "Degeh Bur",
          "Dollo Odo",
          "Imi",
          "Jijiga",
          "Werder"
        ]),
        States(name: "Somali", cities: [
          "Alaba Kulito",
          "Arba Minch",
          "Areka",
          "Awassa",
          "Bako",
          "Boditi",
          "Bonga",
          "Butajira",
          "Ch\\'\\'ench\\'\\'a",
          "Dilla",
          "Gidole",
          "Hossa\\'\\'ina",
          "Jinka",
          "Leku",
          "Mizan Teferi",
          "Sawla",
          "Soddo",
          "Teppi",
          "Wendo",
          "Yirga Alem",
          "Yirga Ch\\'\\'efe"
        ]),
        States(name: "Southern", cities: [
          "Abiy Adi",
          "Addigrat",
          "Adwa",
          "Aksum",
          "Alamat\\'\\'a",
          "Endasilasie",
          "Hagere Selam",
          "Himora",
          "Korem",
          "Maych\\'\\'ew",
          "Mek\\'\\'ele",
          "Mekele",
          "Wik\\'\\'ro"
        ]),
        States(name: "Tigray", cities: [])
      ]),
  Country(
      name: "Falkland Islands (Malvinas)",
      flag: "🇫🇰",
      code: "FK",
      dialCode: "500",
      minLength: 5,
      maxLength: 5,
      states: [
        States(name: "Falkland Islands", cities: []),
        States(name: "South Georgia", cities: ["Hvannasund", "Klaksvik"])
      ]),
  Country(
      name: "Faroe Islands",
      flag: "🇫🇴",
      code: "FO",
      dialCode: "298",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Klaksvik", cities: []),
        States(name: "Nor ara Eysturoy", cities: []),
        States(
            name: "Nor oy",
            cities: ["Husavik", "Sands", "Skalavik", "Skopun", "Skuvoy"]),
        States(name: "Sandoy", cities: [
          "Haldarsvik",
          "Hests",
          "Hosvik",
          "Hvalvik",
          "Kirkjubo",
          "Kollafjar",
          "Kvivik",
          "Nolsoy",
          "Saksun",
          "Torshavn",
          "Vestmanna"
        ]),
        States(name: "Streymoy", cities: []),
        States(name: "Su uroy", cities: []),
        States(name: "Sy ra Eysturoy", cities: ["Torshavn"]),
        States(
            name: "Torshavn",
            cities: ["Biggjar", "Midvags", "Mykines", "Sandavags", "Sorvags"]),
        States(name: "Vaga", cities: [
          "Deuba",
          "Korovou",
          "Lami",
          "Namosi",
          "Nausori",
          "Navua",
          "Suva"
        ])
      ]),
  Country(
      name: "Fiji",
      flag: "🇫🇯",
      code: "FJ",
      dialCode: "679",
      minLength: 7,
      maxLength: 7,
      states: [
        States(
            name: "Central", cities: ["Levuka", "Malhaha", "Tubou", "Vunisea"]),
        States(name: "Eastern", cities: ["Korokade", "Labasa", "Savusavu"]),
        States(name: "Northern", cities: []),
        States(name: "South Pacific", cities: [
          "Ba",
          "Lautoka",
          "Nadi",
          "Rakiraki",
          "Sigatoka",
          "Tavua",
          "Vatukoula"
        ]),
        States(name: "Western", cities: ["Maarianhamina"])
      ]),
  Country(
      name: "Finland",
      flag: "🇫🇮",
      code: "FI",
      dialCode: "358",
      minLength: 12,
      maxLength: 12,
      states: [
        States(
            name: "Ahvenanmaa", cities: ["Imatra", "Joutseno", "Lappeenranta"]),
        States(name: "Etela-Karjala", cities: [
          "Hyllykallio",
          "Ilmajoki",
          "Kauhajoki",
          "Kurikka",
          "Lapua",
          "Seinajoki"
        ]),
        States(name: "Etela-Pohjanmaa", cities: ["Mikkeli", "Savonlinna"]),
        States(name: "Etela-Savo", cities: []),
        States(name: "Etela-Suomen Laani", cities: []),
        States(
            name: "Ita-Suomen Laani",
            cities: ["Loviisa", "Orimattila", "Porvoo"]),
        States(name: "Ita-Uusimaa", cities: ["Kajaani"]),
        States(
            name: "Kainuu",
            cities: ["Forssa", "Hameenlinna", "Janakkala", "Riihimaki"]),
        States(name: "Kanta-Hame", cities: ["Kokkola"]),
        States(name: "Keski-Pohjanmaa", cities: [
          "Aanekoski",
          "Jamsa",
          "Jyvaskyla",
          "Keuruu",
          "Laukaa",
          "Lieto"
        ]),
        States(name: "Keski-Suomi", cities: [
          "Anjalankoski",
          "Hamina",
          "Kotka",
          "Kouvola",
          "Kuusankoski",
          "Valkeala",
          "Vehkalahti"
        ]),
        States(name: "Kymenlaakso", cities: []),
        States(
            name: "Lansi-Suomen Laani",
            cities: ["Kemi", "Kemijarvi", "Rovaniemi", "Sonka", "Tornio"]),
        States(name: "Lappi", cities: []),
        States(name: "Northern Savonia", cities: ["Jakobstad", "Oulunsalo"]),
        States(name: "Ostrobothnia", cities: []),
        States(
            name: "Oulun Laani",
            cities: ["Heinola", "Hollola", "Lahti", "Nastola"]),
        States(name: "Paijat-Hame", cities: [
          "Kangasala",
          "Lempaala",
          "Nokia",
          "Pirkkala",
          "Sastamala",
          "Tampere",
          "Valkeakoski",
          "Ylojarvi"
        ]),
        States(name: "Pirkanmaa", cities: [
          "Kristiinankaupunki",
          "Mustasaari",
          "Pietarsaari",
          "Uusikarlepyy",
          "Vaasa"
        ]),
        States(name: "Pohjanmaa", cities: ["Joensuu", "Lieksa"]),
        States(name: "Pohjois-Karjala", cities: [
          "Haukipudas",
          "Kempele",
          "Kuusamo",
          "Muhos",
          "Nivala",
          "Oulainen",
          "Oulu",
          "Raahe",
          "Ylivieska"
        ]),
        States(
            name: "Pohjois-Pohjanmaa",
            cities: ["Iisalmi", "Kuopio", "Sillinjarvi", "Varkaus"]),
        States(name: "Pohjois-Savo", cities: ["Saarijarvi"]),
        States(name: "Saarijarvi", cities: [
          "Eura",
          "Eurajoki",
          "Harjavalta",
          "Huittinen",
          "Kankaanpaa",
          "Kokemaki",
          "Lappi",
          "Nakkila",
          "Noormarkku",
          "Pori",
          "Rauma",
          "Sakyla",
          "Ulvila",
          "Vammala"
        ]),
        States(name: "Satakunta", cities: []),
        States(name: "Southern Savonia", cities: []),
        States(name: "Tavastia Proper", cities: []),
        States(name: "Uleaborgs Lan", cities: [
          "Espoo",
          "Hanko",
          "Helsinki",
          "Hyvinkaa",
          "Jarvenpaa",
          "Kauniainen",
          "Kerava",
          "Kirkkonummi",
          "Lohja",
          "Mantsala",
          "Nurmijarvi",
          "Sipoo",
          "Tammisaari",
          "Tuusula",
          "Vantaa",
          "Vihti"
        ]),
        States(name: "Uusimaa", cities: [
          "Kaarina",
          "Naantali",
          "Parainen",
          "Raisio",
          "Salo",
          "Turku",
          "Uusikaupunki"
        ]),
        States(name: "Varsinais-Suomi", cities: [
          "Amberieu-en-Bugey",
          "Bellegarde-sur-Valserine",
          "Bourg-en-Bresse",
          "Oyonnax"
        ])
      ]),
  Country(
      name: "France",
      flag: "🇫🇷",
      code: "FR",
      dialCode: "33",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Ain", cities: [
          "Chateau-Thierry",
          "Chauny",
          "Hirson",
          "Laon",
          "Saint-Quentin",
          "Soissons",
          "Strassbourg",
          "Tergnier"
        ]),
        States(name: "Aisne", cities: []),
        States(
            name: "Albi Le Sequestre",
            cities: ["Cusset", "Montlucon", "Moulins", "Vichy", "Yzeure"]),
        States(name: "Allier", cities: []),
        States(name: "Alpes-Cote dAzur", cities: [
          "Antibes",
          "Beausoleil",
          "Cagnes-sur-Mer",
          "Cannes",
          "Carros",
          "Grasse",
          "La Trinite",
          "Le Cannet",
          "Mandelieu-la-Napoule",
          "Menton",
          "Mougins",
          "Nice",
          "Roquebrune-Cap-Martin",
          "Saint-Laurent-du-Var",
          "Valbonne",
          "Vallauris",
          "Vence",
          "Villeneuve-Loubet"
        ]),
        States(name: "Alpes-Maritimes", cities: ["Digne-les-Bains", "Manosque"]),
        States(name: "Alpes-de-Haute-Provence", cities: [
          "Adainville",
          "Alby-sur-Cheran",
          "Aubervilliers",
          "Auterive",
          "Baillet",
          "Beaune",
          "Beauzelle",
          "Bonnet De Mure",
          "Bormes-les-Mimosas",
          "Brindas",
          "Burlats",
          "Buzancais",
          "Candillargues",
          "Carry-le-Rouet",
          "Cassis",
          "Cessenon-Sur-Orb",
          "Chanac",
          "Chevigny",
          "Cogolin",
          "Collioure",
          "Cremieu",
          "Drulingen",
          "Ecouen",
          "Eschau",
          "Feignies",
          "Ferus",
          "Fourqueux",
          "Franqueville",
          "Gignac",
          "Gravigny",
          "Hangenbieten",
          "Hunspach",
          "Kilstett",
          "La Chevroliere",
          "La-Fare-Les-Oliviers",
          "Lanvellec",
          "Le Faget",
          "Lesigny",
          "Lesquin",
          "Limonest",
          "Messein",
          "Morgat",
          "Mundolsheim",
          "Nantiat",
          "Niederbronn-les-Bain",
          "Nimes",
          "Opoul",
          "Pance",
          "Peronne",
          "Ploneour Lanvern",
          "Realmont",
          "Reichstett",
          "Saint Aubin",
          "Saint Christophe",
          "Saint Martin dÃƒÂ¢Ã‚Â€Ã‚Â™Here",
          "Saint-Berthevin",
          "Saint-Cergues",
          "Sancerre",
          "Sarzeau",
          "Seltz",
          "Seyssins",
          "Souffelweyersheim",
          "Vireux-Molhain",
          "Voves",
          "Wambrechies",
          "Wervocq Sud"
        ]),
        States(name: "Alsace", cities: [
          "Abzac",
          "Bidart",
          "Biganos",
          "Buzet-sur-Baise",
          "Coursac",
          "Hasparren",
          "Landiras",
          "Le Haillan",
          "Ledat",
          "Martillac",
          "Puyoo",
          "Saint-Jean-dIllac",
          "Seignosse",
          "Tresses"
        ]),
        States(name: "Aquitaine", cities: [
          "Annonay",
          "Aubenas",
          "Guilherand-Granges",
          "Privas",
          "Tournon-sur-Rhone"
        ]),
        States(name: "Ardeche", cities: [
          "Charleville-Mezieres",
          "Les Hautes-Rivieres",
          "Revin",
          "Sedan"
        ]),
        States(name: "Ardennes", cities: ["Foix", "Pamier"]),
        States(name: "Ariege", cities: [
          "Bar-sur-Seine",
          "Romilly-sur-Seine",
          "Saint-Andre-les-Vergers",
          "Sainte-Savine",
          "Troyes"
        ]),
        States(
            name: "Aube",
            cities: ["Carcassonne", "Castelnaudary", "Limoux", "Narbonne"]),
        States(name: "Aude", cities: [
          "Ambert",
          "Creuzier-le-Vieux",
          "Ferrieres",
          "Peschadoires",
          "Riotord",
          "Saint-Pal-de-Chalencon",
          "Saint-Romain-Lachalm",
          "Saint-Vidal",
          "Sainte-Sigolene"
        ]),
        States(name: "Auvergne", cities: [
          "Millau",
          "Onet-le-Chataeu",
          "Rodez",
          "Villefranche-de-Rouergue"
        ]),
        States(name: "Aveyron", cities: [
          "Bischheim",
          "Bischwiller",
          "Haguenau",
          "Hoenheim",
          "Illkirch-Graffenstaden",
          "Lingolsheim",
          "Obernai",
          "Ostwald",
          "Saverne",
          "Schiltigheim",
          "Selestat",
          "Strasbourg"
        ]),
        States(name: "Bas-Rhin", cities: ["Deauville"]),
        States(name: "Basse-Normandie", cities: [
          "Aix-en-Provence",
          "Allauch",
          "Arles",
          "Aubagne",
          "Berre-l\\'\\'Etang",
          "Bouc-Bel-Air",
          "Chateauneuf-les-Martigues",
          "Chateaurenard",
          "Fos-sur-Mer",
          "Gardanne",
          "Istres",
          "La Ciotat",
          "Les Pennes-Mirabeau",
          "Maillane",
          "Marignane",
          "Marseille",
          "Martigues",
          "Miramas",
          "Plan-de-Cuques",
          "Port-de-Bouc",
          "Rognac",
          "Saint-Martin-de-Crau",
          "Saint-Remy-de-Provence",
          "Salon-de-Provence",
          "Septemes-les-Vallons",
          "Tarascon",
          "Vitrolles"
        ]),
        States(name: "Bouches-du-Rhone", cities: ["Migennes"]),
        States(name: "Bourgogne", cities: ["Javene", "Plouha"]),
        States(name: "Bretagne", cities: [
          "Brehan",
          "Broons",
          "Guipry",
          "Miniac-Morvan",
          "Ploudaniel",
          "Vern-sur-Seiche"
        ]),
        States(name: "Brittany", cities: ["Aillant-sur-Tholon"]),
        States(name: "Burgundy", cities: [
          "Bayeux",
          "Caen",
          "Herouville-Saint-Clair",
          "Lisieux",
          "Mondeville",
          "Vire"
        ]),
        States(name: "Calvados", cities: ["Aurillac"]),
        States(
            name: "Cantal",
            cities: ["Brumath", "Courtaboeuf", "Iregny", "cedex"]),
        States(name: "Cedex", cities: [
          "Azay-le-Rideau",
          "Chevillon-sur-Huillard",
          "Cloyes-sur-le-Loir",
          "Gellainville",
          "La Chaussse-Saint-Victor",
          "La Ville-aux-Clercs",
          "Ladon",
          "Le Chatelet"
        ]),
        States(
            name: "Centre",
            cities: ["Angouleme", "Cognac", "Lencloitre", "Soyaux"]),
        States(
            name: "Charente",
            cities: ["La Rochelle", "Rochefort", "Royan", "Saintes"]),
        States(name: "Charente-Maritime", cities: [
          "Bourges",
          "Saint-Amand-Montrond",
          "Saint-Doulchard",
          "Vierzon"
        ]),
        States(name: "Cher", cities: ["Brive-la-Gaillarde", "Tulle", "Ussel"]),
        States(name: "Correze", cities: ["Ajaccio", "Porto-Vecchio"]),
        States(
            name: "Corse-du-Sud",
            cities: ["Beaune", "Chenove", "Dijon", "Quetigny", "Talant"]),
        States(name: "Cote-d\\'\\'Or", cities: [
          "Dinan",
          "Lamballe",
          "Lannion",
          "Loudeac",
          "Plerin",
          "Ploufragan",
          "Saint-Brieuc"
        ]),
        States(name: "Cotes-d\\'\\'Armor", cities: ["Gueret"]),
        States(name: "Creuse", cities: ["Crolles"]),
        States(
            name: "Crolles",
            cities: ["Bressuire", "Niort", "Parthenay", "Thouars"]),
        States(
            name: "Deux-Sevres",
            cities: ["Bergerac", "Perigueux", "Sarlat-la-Caneda"]),
        States(name: "Dordogne", cities: [
          "Audincourt",
          "Besancon",
          "Beure",
          "Montbeliard",
          "Pontarlier",
          "Valentigney"
        ]),
        States(name: "Doubs", cities: [
          "Bourg-les-Valence",
          "Montelimar",
          "Pierrelatte",
          "Romans-sur-Isere",
          "Valence"
        ]),
        States(name: "Drome", cities: [
          "Athis-Mons",
          "Bretigny-sur-Orge",
          "Brunoy",
          "Bures-sur-Yvette",
          "Chilly-Mazarin",
          "Corbeil-Essonnes",
          "Courcouronnes",
          "Dourdan",
          "Draveil",
          "Epinay-sous-Senart",
          "Epinay-sur-Orge",
          "Etampes",
          "Evry",
          "Fleury-Merogis",
          "Gif-sur-Yvette",
          "Grigny",
          "Igny",
          "Juvisy-sur-Orge",
          "Les Ulis",
          "Longjumeau",
          "Massy",
          "Mennecy",
          "Montgeron",
          "Morangis",
          "Morsang-sur-Orge",
          "Orsay",
          "Palaiseau",
          "Ris-Orangis",
          "Saint-Michel-sur-Orge",
          "Sainte-Genevieve-des-Bois",
          "Savigny-sur-Orge",
          "Verrieres-le-Buisson",
          "Vigneux-sur-Seine",
          "Villebon-sur-Yvette",
          "Viry-Chatillon",
          "Yerres"
        ]),
        States(name: "Essonne", cities: [
          "Bernay",
          "Evreux",
          "Gisors",
          "Louviers",
          "Pont-Audemer",
          "Val-de-Reuil",
          "Vernon"
        ]),
        States(name: "Eure", cities: [
          "Chartres",
          "Chateaudun",
          "Dreux",
          "Luce",
          "Mainvillier",
          "Nogent-le-Rotrou",
          "Vernouillet"
        ]),
        States(name: "Eure-et-Loir", cities: ["Feucherolles"]),
        States(name: "Feucherolles", cities: [
          "Brest",
          "Concarneau",
          "Douarnenez",
          "Guipavas",
          "Landerneau",
          "Le Relecq-Kerhoun",
          "Morlaix",
          "Plougastel-Daoulas",
          "Plouzane",
          "Quimper",
          "Quimperle"
        ]),
        States(name: "Finistere", cities: [
          "Charquemont",
          "Chemaudin",
          "Pelousey",
          "Perrigny",
          "Pirey",
          "Villers-le-Lac"
        ]),
        States(name: "Franche-Comte", cities: [
          "Ales",
          "Bagnols-sur-Ceze",
          "Beaucaire",
          "Nimes",
          "Pont-Saint-Esprit",
          "Saint-Gilles",
          "Vauvert",
          "Villeneuve-les-Avignon"
        ]),
        States(name: "Gard", cities: ["Auch", "Beraut"]),
        States(name: "Gers", cities: [
          "Ambares-et-Lagrave",
          "Arcachon",
          "Begles",
          "Blanquefort",
          "Bordeaux",
          "Bruges",
          "Cenon",
          "Cestas",
          "Eysines",
          "Floirac",
          "Gradignan",
          "Gujan-Mestras",
          "La Teste-de-Buch",
          "Le Bouscat",
          "Libourne",
          "Lormont",
          "Merignac",
          "Pessac",
          "Saint-Medard-en-Jalles",
          "Talence",
          "Villenave-d\\'\\'Ornon"
        ]),
        States(name: "Gironde", cities: [
          "Cernay",
          "Colmar",
          "Guebwiller",
          "Illzach",
          "Kingersheim",
          "Mulhouse",
          "Riediesheim",
          "Rixheim",
          "Saint-Louis",
          "Wittelsheim",
          "Wittenheim"
        ]),
        States(name: "Haut-Rhin", cities: ["Bastia"]),
        States(name: "Haute-Corse", cities: [
          "Balma",
          "Blagnac",
          "Colomiers",
          "Cugnaux",
          "L\\'\\'Union",
          "Muret",
          "Plaisance-du-Touch",
          "Ramonville-Saint-Agne",
          "Saint-Gaudens",
          "Saint-Orens-de-Gameville",
          "Toulouse",
          "Tournefeuille"
        ]),
        States(name: "Haute-Garonne", cities: ["Blanzac", "Le Puy-en-Velay"]),
        States(
            name: "Haute-Loire",
            cities: ["Chaumont", "Langres", "Saint-Dizier"]),
        States(
            name: "Haute-Marne",
            cities: ["Hericourt", "Lure", "Luxeuil-les-Bains", "Vesoul"]),
        States(name: "Haute-Saone", cities: [
          "Annecy",
          "Annecy-le-Vieux",
          "Annemasse",
          "Archamps",
          "Bonneville",
          "Chamonix-Mont-Blanc",
          "Cluses",
          "Contamine sur Arve",
          "Cran-Gevrier",
          "Passy",
          "Rumilly",
          "Sallanches",
          "Seynod",
          "Thonon-les-Bains"
        ]),
        States(
            name: "Haute-Savoie",
            cities: ["Gaillard", "Limoges", "Saint-Junien"]),
        States(name: "Haute-Vienne", cities: ["Briancon", "Gap"]),
        States(name: "Hautes-Alpes", cities: ["Lourdes", "Tarbes"]),
        States(name: "Hautes-Pyrenees", cities: [
          "Antony",
          "Asnieres-sur-Seine",
          "Bagneux",
          "Bois-Colombes",
          "Boulogne-Billancourt",
          "Bourg-la-Reine",
          "Chatenay-Malabry",
          "Chatillon",
          "Chaville",
          "Clamart",
          "Clichy",
          "Colombes",
          "Courbevoie",
          "Fontenay-aux-Roses",
          "Garches",
          "Gennevillers",
          "Issy-les-Moulineaux",
          "La Garenne-Colombes",
          "Le Plessis-Robinson",
          "Levallois-Perret",
          "Malakoff",
          "Meudon",
          "Montrouge",
          "Nanterre",
          "Neuilly-sur-Seine",
          "Puteaux",
          "Rueil-Malmaison",
          "Saint-Cloud",
          "Sceaux",
          "Sevres",
          "Suresnes",
          "Vanves",
          "Ville-d\\'\\'Avray",
          "Villeneuve-la-Garenne"
        ]),
        States(name: "Hauts-de-Seine", cities: [
          "Agde",
          "Beziers",
          "Castelnau-le-Lez",
          "Frontignan",
          "Lattes",
          "Lunel",
          "Mauguio",
          "Montpellier",
          "Sete"
        ]),
        States(name: "Herault", cities: [
          "Champagne-sur-Oise",
          "Croissy-Beaubourg",
          "Gennevilliers",
          "Le Mesnil-le-Roi",
          "Le Plessis-Bouchard",
          "Rebais",
          "Saint-Thibault-des-Vignes"
        ]),
        States(name: "Ile-de-France", cities: [
          "Cesson-Sevigne",
          "Dinard",
          "Fougeres",
          "Rennes",
          "Saint-Malo",
          "Vitre"
        ]),
        States(name: "Ille-et-Vilaine", cities: ["Chateauroux", "Issoudun"]),
        States(name: "Indre", cities: [
          "Amboise",
          "Joue-les-Tours",
          "Saint-Avertin",
          "Saint-Cyr-sur-Loire",
          "Saint-Pierre-des-Corps",
          "Tours"
        ]),
        States(name: "Indre-et-Loire", cities: [
          "Bourgoin-Jallieu",
          "Crolles",
          "Echirolles",
          "Fontaine",
          "Grenoble",
          "Le Pont-de-Claix",
          "Meylan",
          "Saint-Egreve",
          "Saint-Martin-d\\'\\'Heres",
          "Seyssinet-Pariset",
          "Vienne",
          "Villefontaine",
          "Voiron"
        ]),
        States(
            name: "Isere",
            cities: ["Champagnole", "Dole", "Lons-le-Saunier", "Saint-Claude"]),
        States(name: "Jura", cities: ["Sebastiangasse"]),
        States(name: "Klagenfurt", cities: [
          "Biscarrosse",
          "Dax",
          "Hagetmau",
          "Landes",
          "Mont-de-Marsan",
          "Saint-Paul-les-Dax",
          "Tarnos"
        ]),
        States(name: "Landes", cities: [
          "Codolet",
          "Cuxac-d\\'\\'Aude",
          "Gigean",
          "Grabels",
          "Lamalou-les-Bains",
          "Perols",
          "Peyrens",
          "Tuchan"
        ]),
        States(name: "Languedoc-Roussillon", cities: ["Larcay"]),
        States(name: "Larcay", cities: []),
        States(name: "Le Castellet", cities: []),
        States(name: "Le Creusot", cities: ["Voutezac"]),
        States(
            name: "Limousin",
            cities: ["Blois", "Romorantin-Lanthenay", "Vendome"]),
        States(name: "Loir-et-Cher", cities: [
          "Andrezieux-Boutheon",
          "Firminy",
          "La Ricamarie",
          "Le Chambon-Feugerolles",
          "Montbrison",
          "Riorges",
          "Rive-de-Gier",
          "Roanne",
          "Roche-la-Moliere",
          "Saint-Chamond",
          "Saint-Etienne",
          "Saint-Just-Saint-Rambert"
        ]),
        States(name: "Loire", cities: [
          "Bouguenais",
          "Carquefou",
          "Chateaubriant",
          "Coueron",
          "Guerande",
          "La Baule-Escoublac",
          "La Chapelle-sur-Erdre",
          "Nantes",
          "Orvault",
          "Reze",
          "Saint Etienne de Mer Morte",
          "Saint-Herblain",
          "Saint-Nazaire",
          "Saint-Sebastien-sur-Loire",
          "Sainte-Luce-sur-Loire",
          "Vertou"
        ]),
        States(name: "Loire-Atlantique", cities: [
          "Amilly",
          "Chalette-sur-Loing",
          "Fleury-les-Aubrais",
          "Gien",
          "Montargis",
          "Olivet",
          "Orleans",
          "Pithiviers",
          "Saint-Jean-de-Braye",
          "Saint-Jean-de-la-Ruelle",
          "Saran"
        ]),
        States(name: "Loiret", cities: ["Montbronn"]),
        States(name: "Lorraine", cities: ["Cahors", "Figeac"]),
        States(name: "Lot", cities: [
          "Agen",
          "Le Passage",
          "Marmande",
          "Tonneins",
          "Villeneuve-sur-Lot"
        ]),
        States(name: "Lot-et-Garonne", cities: []),
        States(name: "Lower Normandy", cities: ["Mende"]),
        States(name: "Lozere", cities: [
          "Angers",
          "Avrille",
          "Cholet",
          "Les Ponts-de-Ce",
          "Saint-Barthelemy-d\\'\\'Anjou",
          "Saumur",
          "Torfou",
          "Trelaze"
        ]),
        States(name: "Maine-et-Loire", cities: [
          "Cherbourg",
          "Coutances",
          "Equeurdreville-Hainneville",
          "Granville",
          "Octeville",
          "Saint-Lo",
          "Tourlaville"
        ]),
        States(name: "Manche", cities: [
          "Chalons-en-Champagne",
          "Epernay",
          "Reims",
          "Tinqueux",
          "Vitry-le-Francois"
        ]),
        States(
            name: "Marne",
            cities: ["Chateau-Gontier", "Laval", "Mayenne", "Montsurs"]),
        States(name: "Mayenne", cities: [
          "Dombasle-sur-Meurthe",
          "Jarville-la-Malgrange",
          "Laxou",
          "Longwy",
          "Luneville",
          "Nancy",
          "Pont-a-Mousson",
          "Saint-Max",
          "Toul",
          "Vandoeuvre-les-Nancy",
          "Villers-les-Nancy",
          "Villerupt"
        ]),
        States(name: "Meurthe-et-Moselle", cities: ["Bar-le-Duc", "Verdun"]),
        States(name: "Meuse", cities: [
          "Boissezon",
          "Hauterive",
          "Launaguet",
          "Mauleon",
          "Maurens-Scopont"
        ]),
        States(name: "Midi-Pyrenees", cities: [
          "Auray",
          "Guidel",
          "Hennebont",
          "Lanester",
          "Lorient",
          "Ploemeur",
          "Pontivy",
          "Vannes"
        ]),
        States(name: "Morbihan", cities: [
          "Amneville",
          "Behren-les-Forbach",
          "Creutzwald",
          "Fameck",
          "Florange",
          "Forbach",
          "Freyming-Merlebach",
          "Hagondange",
          "Hayange",
          "Hombourg-Haut",
          "Maizieres-les-Metz",
          "Marly",
          "Metz",
          "Montigny-les-Metz",
          "Moyeuvre-Grande",
          "Rombas",
          "Saint-Avold",
          "Sarrebourg",
          "Sarreguemines",
          "Stiring-Wendel",
          "Thionville",
          "Uckange",
          "Woippy",
          "Yutz"
        ]),
        States(
            name: "Moselle",
            cities: ["Cosne-Cours-sur-Loire", "Nevers", "Varennes-Vauzelles"]),
        States(name: "Nievre", cities: [
          "Aniche",
          "Annoeullin",
          "Anzin",
          "Armentieres",
          "Aulnoye-Aymeries",
          "Bailleul",
          "Bondues",
          "Bruay-sur-l\\'\\'Escaut",
          "Cambrai",
          "Cappelle-la-Grande",
          "Caudry",
          "Comines",
          "Conde-sur-l\\'\\'Escaut",
          "Coudekerque-Branche",
          "Croix",
          "Denain",
          "Douai",
          "Douchy-les-Mines",
          "Dunkerque",
          "Escaudain",
          "Fache-Thumesnil",
          "Fourmies",
          "Grande-Synthe",
          "Graveline",
          "Halluin",
          "Haubourdin",
          "Hautmont",
          "Hazebrouck",
          "Hem",
          "Hulluch",
          "Jeumont",
          "La Madeleine",
          "Lambersart",
          "Leers",
          "Lille",
          "Lomme",
          "Loos",
          "Lys-lez-Lannoy",
          "Marcq-en-Baroeul",
          "Marennes",
          "Marly",
          "Marquette-lez-Lille",
          "Maubeuge",
          "Merville",
          "Mons-en-Baroeul",
          "Mouvaux",
          "Neuville-en-Ferrain",
          "Onnaing",
          "Raismes",
          "Ronchin",
          "Roncq",
          "Roubaix",
          "Saint-Amand-les-Eaux",
          "Saint-Andre-lez-Lille",
          "Saint-Pol-sur-Mer",
          "Saint-Saulve",
          "Seclin",
          "Sin-le-Noble",
          "Somain",
          "Tourcoing",
          "Valenciennes",
          "Vieux-Conde",
          "Villeneuve-d\\'\\'Ascq",
          "Wasquehal",
          "Wattignies",
          "Wattrelos",
          "Waziers"
        ]),
        States(name: "Nord", cities: ["Esquelbecq"]),
        States(name: "Nord-Pas-de-Calais", cities: [
          "Beauvais",
          "Chantilly",
          "Clermont",
          "Compiegne",
          "Creil",
          "Crepy-en-Valois",
          "Gouvieux",
          "Meru",
          "Montataire",
          "Nogent-sur-Oise",
          "Noyon",
          "Pont-Sainte-Maxence",
          "Senlis"
        ]),
        States(
            name: "Oise",
            cities: ["Alencon", "Argentan", "Flers", "L\\'\\'Aigle"]),
        States(name: "Orne", cities: ["Paris"]),
        States(name: "Paris", cities: [
          "Aire-sur-la-Lys",
          "Arras",
          "Auchel",
          "Avion",
          "Berck",
          "Bethune",
          "Boulogne-sur-Mer",
          "Bruay-la-Brussiere",
          "Bully-les-Mines",
          "Calais",
          "Carvin",
          "Courrieres",
          "Etaples",
          "Harnes",
          "Henin-Beaumont",
          "Le Portel",
          "Lens",
          "Libercourt",
          "Lievin",
          "Lillers",
          "Longuenesse",
          "Marck",
          "Mericourt",
          "Montigny-en-Gohelle",
          "Noeux-les-Mines",
          "Oignies",
          "Outreau",
          "Rouvroy",
          "Saint-Martin-Boulogne",
          "Saint-Omer",
          "Sallaumines",
          "Vendin-le-Vieil"
        ]),
        States(name: "Pas-de-Calais", cities: []),
        States(name: "Pays de la Loire", cities: [
          "Loiron",
          "Marolles-les-Braults",
          "Mortagne-sur-Sevre",
          "Mouzillon",
          "Noirmoutier-en-l\\'\\'ÃƒÂŽle"
        ]),
        States(name: "Pays-de-la-Loire", cities: [
          "Friville",
          "Liancourt",
          "Maizy",
          "Oust-Marest",
          "Puiseux-le-Hauberger",
          "Saint-Crepin-Ibouvillers"
        ]),
        States(name: "Picardy", cities: [
          "Aubiere",
          "Beaumont",
          "Chamalieres",
          "Clermont-Ferrand",
          "Cournon-d\\'\\'Auvergne",
          "Gerzat",
          "Issoire",
          "Riom",
          "Thiers"
        ]),
        States(name: "Puy-de-Dome", cities: [
          "Anglet",
          "Bayonne",
          "Biarritz",
          "Billere",
          "Hendaye",
          "Lons",
          "Oloron-Sainte-Marie",
          "Orthez",
          "Pau",
          "Saint-Jean-de-Luz"
        ]),
        States(
            name: "Pyrenees-Atlantiques",
            cities: ["Perpignan", "Saint-Esteve"]),
        States(name: "Pyrenees-Orientales", cities: ["Quelmes"]),
        States(name: "Quelmes", cities: [
          "Brignais",
          "Bron",
          "Caluire-et-Cuire",
          "Decines-Charpieu",
          "Ecully",
          "Francheville",
          "Genas",
          "Genay",
          "Givors",
          "Lyon",
          "Meyzieu",
          "Mions",
          "Oullins",
          "Pierre-Benite",
          "Rillieux-la-Pape",
          "Saint-Fons",
          "Saint-Genis-Laval",
          "Saint-Priest",
          "Sainte-Foy-les-Lyon",
          "Tarare",
          "Tassin-la-Demi-Lune",
          "Vaulx-en-Velin",
          "Venissieux",
          "Villefranche-sur-Saone",
          "Villeurbanne"
        ]),
        States(name: "Rhone", cities: [
          "Beauvoir-en-Royans",
          "Belley",
          "Bons-en-Chablais",
          "Chalain-d\\'\\'Uzore",
          "Chassieu",
          "Chavanod",
          "Chazay-d-Azergues",
          "Chimilin",
          "Civrieux-d Azergues",
          "Corbas",
          "Courzieu",
          "Dardilly",
          "Guereins",
          "Izernore",
          "La Talaudiere",
          "La Tronche",
          "La Verpilliere",
          "Le Cheylard",
          "Le Cheylas",
          "Mery",
          "Moirans",
          "Montalieu-Vercieu",
          "Montmiral",
          "Peronnas",
          "Poncin",
          "Quincie-en-Beaujolais",
          "Saint-Quentin-sur-Isere",
          "Sainte Agathe la Bouteresse",
          "Sainte-Consorce",
          "Sisteron",
          "Trevoux",
          "Villard-Bonnot"
        ]),
        States(name: "Rhone-Alpes", cities: []),
        States(name: "Saint Ouen", cities: []),
        States(name: "Saint Viatre", cities: [
          "Autun",
          "Chalon-sur-Saone",
          "Digoin",
          "Gueugnon",
          "Le Creusot",
          "Macon",
          "Montceau-les-Mines",
          "Paray-le-Monial",
          "Saint-Vallier"
        ]),
        States(name: "Saone-et-Loire", cities: [
          "Allonnes",
          "La Ferte-Bernard",
          "La Fleche",
          "Le Mans",
          "Sable-sur-Sarthe"
        ]),
        States(name: "Sarthe", cities: [
          "Aix-les-Bains",
          "Albertville",
          "Chambery",
          "La Motte-Servolex",
          "Saint-Jean-de-Maurienne"
        ]),
        States(name: "Savoie", cities: [
          "Barentin",
          "Bihorel",
          "Bois-Guillaume",
          "Bolbec",
          "Canteleu",
          "Caudebec-les-Elbeuf",
          "Darnetal",
          "Deville-les-Rouen",
          "Dieppe",
          "Elbeuf",
          "Fecamp",
          "Gonfreville-l\\'\\'Orcher",
          "Grand-Couronne",
          "Harfleur",
          "Le Grand-Quevilly",
          "Le Havre",
          "Le Petit-Quevilly",
          "Lillebonne",
          "Maromme",
          "Mont-Saint-Aignan",
          "Montivilliers",
          "Notre-Dame-de-Gravenchon",
          "Oissel",
          "Rouen",
          "Saint-Etienne-du-Rouvray",
          "Sotteville-les-Rouen",
          "Yvetot"
        ]),
        States(name: "Seine-Maritime", cities: [
          "Aubervillers",
          "Aulnay-sous-Bois",
          "Bagnolet",
          "Bobigny",
          "Bondy",
          "Clichy-sous-Bois",
          "Drancy",
          "Epinay-sur-Seine",
          "Gagny",
          "La Courneuve",
          "Le Blanc-Mesnil",
          "Le Bourget",
          "Le Pre-Saint-Gervais",
          "Le Raincy",
          "Les Lilas",
          "Les Pavillons-sous-Bois",
          "Livry-Gargan",
          "Montfermeil",
          "Montreuil",
          "Neuilly-Plaisance",
          "Neuilly-sur-Marne",
          "Noisy-le-Grand",
          "Noisy-le-Sec",
          "Pantin",
          "Pierrefitte-sur-Seine",
          "Romainville",
          "Rosny-sous-Bois",
          "Saint-Denis",
          "Saint-Ouen",
          "Sevran",
          "Stains",
          "Tremblay-en-France",
          "Villemomble",
          "Villepinte",
          "Villetaneuse"
        ]),
        States(name: "Seine-Saint-Denis", cities: [
          "Avon",
          "Brie-Comte-Robert",
          "Champs-sur-Marne",
          "Chelles",
          "Claye-Souilly",
          "Combs-la-Ville",
          "Coulommiers",
          "Dammarie-les-Lys",
          "Fontainebleau",
          "Lagny-sur-Marne",
          "Le Mee-sur-Seine",
          "Lognes",
          "Meaux",
          "Melun",
          "Mitry-Mory",
          "Moissy-Cramayel",
          "Montereau-Fault-Yonne",
          "Nemours",
          "Noisiel",
          "Ozoir-la-Ferriere",
          "Pontault-Combault",
          "Provins",
          "Roissy-en-Brie",
          "Saint-Fargeau-Ponthierry",
          "Savigny-le-Temple",
          "Torcy",
          "Vaires-sur-Marne",
          "Veneux",
          "Villeparisis"
        ]),
        States(
            name: "Seine-et-Marne", cities: ["Abbeville", "Albert", "Amiens"]),
        States(name: "Somme", cities: []),
        States(name: "Sophia Antipolis", cities: ["Souvans"]),
        States(name: "Souvans", cities: [
          "Albi",
          "Carmaux",
          "Castres",
          "Gaillac",
          "Graulhet",
          "Mazamet"
        ]),
        States(name: "Tarn", cities: ["Castelsarassin", "Moissac", "Montauban"]),
        States(name: "Tarn-et-Garonne", cities: []),
        States(name: "Territoire de Belfort", cities: ["Chamberet"]),
        States(name: "Treignac", cities: []),
        States(name: "Upper Normandy", cities: [
          "Argenteuil",
          "Arnouville-les-Gonesse",
          "Beauchamps",
          "Bezons",
          "Cergy",
          "Cormeilles-en-Parisis",
          "Deuil-la-Barre",
          "Domont",
          "Eaubonne",
          "Enghien-les-Bains",
          "Eragny",
          "Ermont",
          "Ezanville",
          "Fosses",
          "Franconville",
          "Garges-les-Gonesse",
          "Gonesse",
          "Goussainville",
          "Herblay",
          "Jouy-le-Moutier",
          "L\\'\\'Isle-Adam",
          "Montigny-les-Cormeilles",
          "Montmagny",
          "Montmorency",
          "Osny",
          "Persan",
          "Pontoise",
          "Saint-Brice-sous-Foret",
          "Saint-Gratien",
          "Saint-Leu-la-Foret",
          "Saint-Ouen-l\\'\\'Aumone",
          "Sannois",
          "Sarcelles",
          "Soisy-sous-Montmorency",
          "Taverny",
          "Vaureal",
          "Villiers-le-Bel"
        ]),
        States(name: "Val-d\\'\\'Oise", cities: [
          "Alfortville",
          "Arcueil",
          "Boissy-Saint-Leger",
          "Bonneuil",
          "Bry-sur-Marne",
          "Cachan",
          "Champigny-sur-Marne",
          "Charenton-le-Pont",
          "Chennevieres-sur-Marne",
          "Chevilly-Larue",
          "Choisy-le-Roi",
          "Creteil",
          "Fontenay-sous-Bois",
          "Fresnes",
          "Gentilly",
          "Ivry-sur-Seine",
          "Joinville-le-Pont",
          "L\\'\\'Hay-les-Roses",
          "La Queue-en-Brie",
          "Le Kremlin-Bicetre",
          "Le Perreux-sur-Marne",
          "Le Plessis-Trevise",
          "Limeil-Brevannes",
          "Maisons-Alfort",
          "Nogent-sur-Marne",
          "Orly",
          "Ormesson-sur-Marne",
          "Saint-Mande",
          "Saint-Maur-des-Fosses",
          "Saint-Maurice",
          "Sucy-en-Brie",
          "Thiais",
          "Valenton",
          "Villejuif",
          "Villeneuve-Saint-Georges",
          "Villeneuve-le-Roi",
          "Villiers-sur-Marne",
          "Vincennes",
          "Vitry-sur-Seine"
        ]),
        States(name: "Val-de-Marne", cities: [
          "Brignoles",
          "Draguignan",
          "Frejus",
          "Hyeres",
          "La Crau",
          "La Garde",
          "La Seyne-sur-Mer",
          "La Valette-du-Var",
          "Le Pradet",
          "Ollioules",
          "Roquebrune-sur-Argens",
          "Saint-Maximin-la-Sainte-Baume",
          "Saint-Raphael",
          "Sainte-Maxime",
          "Sanary-sur-Mer",
          "Six-Fours-les-Plages",
          "Sollies-Pont",
          "Toulon"
        ]),
        States(name: "Var", cities: [
          "Apt",
          "Avignon",
          "Bollene",
          "Carpentras",
          "Cavaillon",
          "L\\'\\'Isle-sur-la-Sorgue",
          "Le Pontet",
          "Orange",
          "Pertuis",
          "Sorgues",
          "Valreas"
        ]),
        States(name: "Vaucluse", cities: ["Vellise"]),
        States(name: "Vellise", cities: [
          "Challans",
          "Chateau-d\\'\\'Olonne",
          "Fontenay-le-Comte",
          "La Chasnis",
          "La Roche-sur-Yon",
          "Les Herbiers",
          "Les Sables-d\\'\\'Olonne",
          "Longeville-sur-Mer"
        ]),
        States(name: "Vendee", cities: ["Chatellerault", "Poitiers"]),
        States(
            name: "Vienne",
            cities: ["Epinal", "Gerardmer", "Remiremont", "Saint-Die"]),
        States(name: "Vosges", cities: ["Auxerre", "Avallon", "Joigny", "Sens"]),
        States(name: "Yonne", cities: [
          "Acheres",
          "Andresy",
          "Aubergenville",
          "Bois-d\\'\\'Arcy",
          "Carrieres-sous-Poissy",
          "Carrieres-sur-Seine",
          "Chanteloup-les-Vignes",
          "Chatou",
          "Conflans-Sainte-Honorine",
          "Croissy-sur-Seine",
          "Elancourt",
          "Fontenay-le-Fleury",
          "Guyancourt",
          "Houilles",
          "La Celle-Saint-Cloud",
          "Le Chesnay",
          "Le Pecq",
          "Le Vesinet",
          "Les Clayes-sous-Bois",
          "Les Mureaux",
          "Limay",
          "Maisons-Laffitte",
          "Mantes-la-Jolie",
          "Mantes-la-Ville",
          "Marly-le-Roi",
          "Maurepas",
          "Montesson",
          "Montigny-le-Bretonneux",
          "Plaisir",
          "Poissy",
          "Rambouillet",
          "Saint-Cyr-l\\'\\'Ecole",
          "Saint-Germain-en-Laye",
          "Sartrouville",
          "Trappes",
          "Triel-sur-Seine",
          "Velizy-Villacoublay",
          "Verneuil-sur-Seine",
          "Versailles",
          "Viroflay",
          "Voisins-le-Bretonneux"
        ]),
        States(name: "Yvelines", cities: [
          "Camopi",
          "Cayenne",
          "Iracoubo",
          "Kourou",
          "Macouria",
          "Matoury",
          "Remire-Montjoly",
          "Roura",
          "Saint-Georges",
          "Sinnamary"
        ])
      ]),
  Country(
      name: "French Guiana",
      flag: "🇬🇫",
      code: "GF",
      dialCode: "594",
      minLength: 15,
      maxLength: 15,
      states: [
        States(name: "Cayenne", cities: [
          "Apatou",
          "Grand-Santi",
          "Mana",
          "Maripasoula",
          "Saint-Laurent-du-Maroni"
        ]),
        States(name: "Saint-Laurent-du-Maroni", cities: [])
      ]),
  Country(
      name: "French Polynesia",
      flag: "🇵🇫",
      code: "PF",
      dialCode: "689",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Iles du Vent", cities: []),
        States(name: "Iles sous le Vent", cities: [
          "Atuona",
          "Fatu-Hiva",
          "Hakahao",
          "Hakamaii",
          "Hatiheu",
          "Tahuata",
          "Taiohae",
          "Taipivai",
          "Ua-Huka"
        ]),
        States(name: "Marquesas", cities: [
          "Ahe",
          "Amanu",
          "Anaa",
          "Apataki",
          "Arutua",
          "Faaite",
          "Fakahima",
          "Fakarava",
          "Fangatau",
          "Hao",
          "Hereheretue",
          "Hikueru",
          "Katiu",
          "Kauehi",
          "Kaukura",
          "Makatea",
          "Makemo",
          "Manihi",
          "Marokau",
          "Napuka",
          "Niau",
          "Nukutavake",
          "Puamau",
          "Pukapuka",
          "Pukarua",
          "Rangiroa",
          "Raroia",
          "Reao",
          "Rikitea",
          "Taenga",
          "Takapoto",
          "Takaroa",
          "Tatakoto",
          "Tepoto",
          "Tikehau",
          "Tureia",
          "Vahitahi",
          "Vairaatea"
        ]),
        States(name: "Tuamotu", cities: [
          "Amaru",
          "Anapoto",
          "Anatonu",
          "Auti",
          "Avera",
          "Mahu",
          "Mataura",
          "Moerai",
          "Mutuaura",
          "Rairua",
          "Rapa",
          "Taahuaia",
          "Vaiuru"
        ]),
        States(name: "Tubuai", cities: ["Martin-de-Vivies"])
      ]),
  Country(
      name: "French Southern Territories",
      flag: "🇹🇫",
      code: "TF",
      dialCode: "262",
      minLength: 15,
      maxLength: 15,
      states: [
        States(name: "Amsterdam", cities: []),
        States(name: "Crozet Islands", cities: ["Port-aux-Francais"]),
        States(
            name: "Kerguelen",
            cities: ["Cocobeach", "Kango", "Libreville", "Nkan", "Ntoum"])
      ]),
  Country(
      name: "Gabon",
      flag: "🇬🇦",
      code: "GA",
      dialCode: "241",
      minLength: 9,
      maxLength: 9,
      states: [
        States(
            name: "Estuaire",
            cities: ["Lekoni", "Masuku", "Moanda", "Mounana", "Okandja"]),
        States(name: "Haut-Ogooue", cities: ["Lambarene", "Ndjole"]),
        States(
            name: "Moyen-Ogooue",
            cities: ["Fougamou", "Mbigou", "Mimongo", "Mouila", "Ndende"]),
        States(name: "Ngounie", cities: ["Mayumba", "Tchibanga", "Tsogni"]),
        States(name: "Nyanga", cities: ["Booue", "Makokou", "Mekambo"]),
        States(name: "Ogooue-Ivindo", cities: ["Koulamoutou", "Lastoursville"]),
        States(
            name: "Ogooue-Lolo",
            cities: ["Gamba", "Omboue", "Port-Gentil", "Sette Cama"]),
        States(name: "Ogooue-Maritime", cities: [
          "Bitam",
          "Lalara",
          "Medouneu",
          "Minvoul",
          "Mitzic",
          "Oyem"
        ]),
        States(name: "Woleu-Ntem", cities: ["Banjul"])
      ]),
  Country(
      name: "Gambia",
      flag: "🇬🇲",
      code: "GM",
      dialCode: "220",
      minLength: 7,
      maxLength: 7,
      states: [
        States(
            name: "Banjul",
            cities: ["Basse", "Gambissara", "Sabi", "Salikeni"]),
        States(name: "Basse", cities: ["Brikama", "Brufut", "Gunjur", "Sukuta"]),
        States(name: "Brikama", cities: ["Bansang", "Janjanbureh"]),
        States(name: "Janjanbureh", cities: ["Bakau", "Serekunda"]),
        States(
            name: "Kanifing",
            cities: ["Barra", "Essau", "Farafenni", "Kerewan", "Lamin"]),
        States(name: "Kerewan", cities: ["Kuntaur"]),
        States(name: "Kuntaur", cities: ["Mansakonko"]),
        States(name: "Mansakonko", cities: [
          "Ahali Atoni",
          "Bihvinta",
          "Gagra",
          "Gali",
          "Gudauta",
          "Gulripshi",
          "Ochamchira",
          "Suhumi",
          "Tkvarcheli"
        ])
      ]),
  Country(
      name: "Georgia",
      flag: "🇬🇪",
      code: "GE",
      dialCode: "995",
      minLength: 8,
      maxLength: 9,
      states: [
        States(
            name: "Abhasia",
            cities: ["Batumi", "Dioknisi", "Kobuleti", "Mahindzhauri"]),
        States(name: "Ajaria", cities: ["Lanchhuti", "Ozurgeti"]),
        States(name: "Guria", cities: [
          "Bagdadi",
          "Chaltubo",
          "Chiatura",
          "Honi",
          "Kutaisi",
          "Sachhere",
          "Samtredia",
          "Terzhola",
          "Tkibuli",
          "Vani",
          "Zestaponi"
        ]),
        States(name: "Imereti", cities: [
          "Ahmeta",
          "Cnori",
          "Dedoplisckaro",
          "Gurdzhaani",
          "Kvareli",
          "Lagodehi",
          "Sagaredzho",
          "Signahi",
          "Telavi"
        ]),
        States(name: "Kaheti", cities: []),
        States(name: "Kvemo Kartli", cities: ["Dusheti", "Mcheta"]),
        States(name: "Mcheta-Mtianeti", cities: ["Ambrolauri", "Cageri", "Oni"]),
        States(name: "Racha", cities: []),
        States(name: "Samagrelo-Zemo Svaneti", cities: [
          "Ahalcihe",
          "Ahalkalaki",
          "Borzhomi",
          "Ninocminda",
          "Vale"
        ]),
        States(name: "Samche-Zhavaheti", cities: []),
        States(name: "Shida Kartli", cities: ["Tbilisi"]),
        States(name: "Tbilisi", cities: [])
      ]),
  Country(
      name: "Germany",
      flag: "🇩🇪",
      code: "DE",
      dialCode: "49",
      minLength: 9,
      maxLength: 13,
      states: [
        States(name: "Auvergne", cities: [
          "Aalen",
          "Achern",
          "Aichtal",
          "Albstadt",
          "Aldingen",
          "Allmersbach",
          "Alpirsbach",
          "Altensteig",
          "Altlussheim",
          "Ammerbuch",
          "Appenweier",
          "Asperg",
          "Backnang",
          "Bad Durrheim",
          "Bad Friedrichshall",
          "Bad Krozingen",
          "Bad Liebenzell",
          "Bad Mergentheim",
          "Bad Rappenau",
          "Bad Sackingen",
          "Bad Schonborn",
          "Bad Urach",
          "Bad Waldsee",
          "Bad Wurzach",
          "Baden-Baden",
          "Bahlingen",
          "Baiersbronn",
          "Balgheim",
          "Balingen",
          "Ballrechten-Dottingen",
          "Besigheim",
          "Biberach",
          "Bietigheim-Bissingen",
          "Binzen",
          "Birkenfeld",
          "Bisingen",
          "Bitz",
          "Blaubeuren",
          "Blaustein",
          "Blumberg",
          "Boblingen",
          "Bodelshausen",
          "Bonndorf",
          "Bonnigheim",
          "Bopfingen",
          "Bottingen",
          "Brackenheim",
          "Breisach",
          "Bretten",
          "Bretzfeld",
          "Bruchsal",
          "Bruhl",
          "Buchen",
          "Buchenbach",
          "Buhl",
          "Burgstetten",
          "Burladingen",
          "Calw",
          "Crailsheim",
          "Denkendorf",
          "Denzlingen",
          "Dettingen",
          "Dietenheim",
          "Ditzingen",
          "Donaueschingen",
          "Donzdorf",
          "Dornhan",
          "Dornstadt",
          "Dornstetten",
          "Dossenheim",
          "Durbheim",
          "Durmersheim",
          "Eberbach",
          "Ebersbach",
          "Edingen",
          "Edingen-Neckarhausen",
          "Eggenstein-Leopoldshafen",
          "Ehingen",
          "Eislingen",
          "Ellhofen",
          "Ellwangen",
          "Emmendingen",
          "Emmingen-Liptingen",
          "Engen",
          "Eningen",
          "Eppelheim",
          "Eppingen",
          "Erbach",
          "Eriskirch",
          "Eschach",
          "Esslingen",
          "Ettenheim",
          "Ettlingen",
          "Fellbach",
          "Filderstadt",
          "Freiberg",
          "Freiburg",
          "Freudenstadt",
          "Frickenhausen",
          "Fridingen",
          "Friedrichshafen",
          "Friesenheim",
          "Frittlingen",
          "Furtwangen",
          "Gaggenau",
          "Gaildorf",
          "Gartringen",
          "Gaufelden",
          "Geislingen",
          "Gengenbach",
          "Gerlingen",
          "Gernsbach",
          "Gerstetten",
          "Giengen",
          "Goppingen",
          "Gottmadingen",
          "Graben-Neudorf",
          "Grafenberg",
          "Grafenhausen",
          "Grenzach-Wyhlen",
          "GroBbettlingen",
          "Grunkraut",
          "Gschwend",
          "Guglingen",
          "Gundelfingen",
          "Gutach",
          "Haigerloch",
          "Haiterbach",
          "Harmersabch",
          "Hausach",
          "Hechingen",
          "Heddesheim",
          "Heidelberg",
          "Heidenheim",
          "Heilbronn",
          "Hemsbach",
          "Herbrechtingen",
          "Herrenberg",
          "Heubach",
          "Hirschberg",
          "Hockenheim",
          "Holzgerlingen",
          "Horb",
          "Hufingen",
          "Huttlingen",
          "Isny",
          "Ispringen",
          "Jungingen",
          "Karlsbad",
          "Karlsruhe",
          "Kehl",
          "Kernen",
          "Ketsch",
          "Kieselbronn",
          "Kirchberg an der Jagst",
          "Kirchheim",
          "Kirchzarten",
          "Kisslegg",
          "Klettgau",
          "Kongen",
          "Konigsbach-Stein",
          "Konigsbronn",
          "Konstanz",
          "Korb",
          "Korntal-Munchingen",
          "Kornwestheim",
          "Kraichtal",
          "Kressbronn an Bodensee",
          "Kronau",
          "Kuessaberg",
          "Kunzelsau",
          "Ladenburg",
          "Lahr",
          "Laichingen",
          "Langenau",
          "Lauda-Konigshofen",
          "Lauffen",
          "Laupheim",
          "Leimen",
          "Leinfelden-Echterdingen",
          "Leingarten",
          "Lenningen",
          "Lenzkirch",
          "Leonberg",
          "Leutenbach",
          "Leutkirch",
          "Lichtenstein",
          "Linkenheim-Hochstetten",
          "Lorch",
          "Lorrach",
          "Ludwigsburg",
          "Malsch",
          "Mannheim",
          "Marbach",
          "Markdorf",
          "Markgroningen",
          "Maulburg",
          "MeBstetten",
          "Meckenbeuren",
          "Meckesheim",
          "Meersburg",
          "Mengen",
          "Metzingen",
          "Mockmuhl",
          "Moglingen",
          "Monsheim",
          "Mosbach",
          "Mossingen",
          "Muhlacker",
          "Mullheim",
          "Munsingen",
          "Murrhardt",
          "Nagold",
          "Neckargemund",
          "Neckarsulm",
          "Neresheim",
          "Neuenburg",
          "Neuhausen",
          "Niederstetten",
          "Niefern-Oschelbronn",
          "NuBloch",
          "Nurtingen",
          "Oberhausen-Rheinhausen",
          "Oberkirch",
          "Oberndorf",
          "Oberstenfeld",
          "Obersulm",
          "Ochsenhausen",
          "Offenburg",
          "Ofterdingen",
          "Oftersheim",
          "Oggelshausen",
          "Ohringen",
          "Olbronn-Durrn",
          "Oppenweiler",
          "Ostfildern",
          "Ostringen",
          "Otisheim",
          "Pfalzgrafenweiler",
          "Pfinztal",
          "Pforzheim",
          "Pfullendorf",
          "Pfullingen",
          "Philippsburg",
          "Plankstadt",
          "Pleidelsheim",
          "Pliezhausen",
          "Plochingen",
          "Pluderhausen",
          "Radolfzell",
          "Rastatt",
          "Ravensburg",
          "Reilingen",
          "Remchingen",
          "Remseck",
          "Remshalden",
          "Renchen",
          "Renningen",
          "Reutlingen",
          "Rheinau",
          "Rheinfelden",
          "Rheinmunster",
          "Rheinstetten",
          "Riederich",
          "Riedlingen",
          "Rielasingen-Worblingen",
          "Rosenfeld",
          "Rottenburg",
          "Rottweil",
          "Rudersberg",
          "Rutesheim",
          "Sachsenheim",
          "Salem",
          "Sandhausen",
          "Sankt Georgen",
          "Sankt Leon-Rot",
          "Saulgau",
          "Scheer",
          "Schlierbach",
          "Schonaich",
          "Schopfheim",
          "Schorndorf",
          "Schramberg",
          "Schriesheim",
          "Schwabisch Gmund",
          "Schwabisch Hall",
          "Schwaigern",
          "Schwetzingen",
          "Schwieberdingen",
          "Seitingen-Oberflacht",
          "Sexau",
          "Sigmaringen",
          "Sindelfingen",
          "Singen",
          "Sinsheim",
          "Sinzheim",
          "Sonnenbuhl",
          "Sontheim",
          "Spaichingen",
          "Stegen",
          "Steinen",
          "Steinheim",
          "Steinmauern",
          "Stockach",
          "Straubenhardt",
          "Stutensee",
          "Stuttgart",
          "SuBen",
          "Sulz",
          "Sulzfeld",
          "Tamm",
          "Tauberbischofsheim",
          "Teningen",
          "Tettnang",
          "Titisee-Neustadt",
          "Trossingen",
          "Tubingen",
          "Tuningen",
          "Tuttlingen",
          "Uberlingen",
          "Ubstadt-Weiher",
          "Uhingen",
          "Ulm",
          "Umkirch",
          "Vaihingen",
          "Villingen-Schwenningen",
          "Villingendorf",
          "Waghausel",
          "Waiblingen",
          "Waldbronn",
          "Waldkirch",
          "Waldlaubersheim",
          "Waldshut-Tiengen",
          "Walldorf",
          "Walldurn",
          "Walzbachtal",
          "Wangen",
          "Wehr",
          "Weikersheim",
          "Weil",
          "Weil am Rhein",
          "Weil der Stadt",
          "Weil im Schonbuch",
          "Weilheim",
          "Weingarten",
          "Weinheim",
          "Weinsberg",
          "Weinstadt",
          "Wellendingen",
          "Welzheim",
          "Wendlingen",
          "Wernau",
          "Wertheim",
          "Wiesloch",
          "Wildbad",
          "Wildberg",
          "Winnenden",
          "Wolpertshausen",
          "Zuzenhausen"
        ]),
        States(name: "Baden-Wurttemberg", cities: [
          "Ahorn",
          "Allershausen",
          "Attenhofen",
          "Bad Birnbach",
          "Bad Endorf",
          "Bad Gronenbach",
          "Barbing",
          "Benediktbeuern",
          "Breitenberg",
          "Bruckberg",
          "Brunnthal",
          "Burgheim",
          "Chiemsee",
          "Emersacker",
          "Eresing",
          "Fahrenzhausen",
          "Faulbach",
          "Finning",
          "Forstinning",
          "Georgensgmund",
          "Haldenwang",
          "Heideck",
          "Heimenkirch",
          "Hergensweiler",
          "Hirschau",
          "Iffeldorf",
          "Karlstein",
          "Kleinheubach",
          "Kleinwallstadt",
          "Kotz",
          "Krailling",
          "Langenbach",
          "Laudenbach",
          "Leutershausen",
          "Mammendorf",
          "Mombris",
          "Munnerstadt",
          "Neu-Ulm",
          "Niederlauer",
          "Obernburg",
          "Oberpfaffenhofen",
          "Ostallgau",
          "Prittriching",
          "Prutting",
          "Pullach",
          "Putzbrunn",
          "Randersacker",
          "Rednitzhembach",
          "Ronsberg",
          "Ruckersdorf",
          "Schaufling",
          "Schonberg",
          "Seefeld",
          "Sengenthal",
          "Sondheim v.d.Rhon",
          "Steinwiesen",
          "Stockheim",
          "Tagmersheim",
          "Uettingen",
          "Unterfohring",
          "Weibensberg",
          "Wiesthal",
          "Wildflecken",
          "Wolfertschwenden",
          "Zorneding"
        ]),
        States(name: "Bavaria", cities: [
          "Abensberg",
          "Aichach",
          "Ainring",
          "Altdorf",
          "Altotting",
          "Altusried",
          "Alzenau",
          "Amberg",
          "Amerang",
          "Ansbach",
          "Aschaffenburg",
          "Augsburg",
          "Bad Aibling",
          "Bad Kissingen",
          "Bad Neustadt",
          "Bad Reichenhall",
          "Bad Tolz",
          "Bad Windsheim",
          "Bad Worishofen",
          "Bamberg",
          "Bayreuth",
          "Bobingen",
          "Bogen",
          "Bruckmuhl",
          "Buchloe",
          "Burghausen",
          "Burgkirchen",
          "Burglengenfeld",
          "Burgthann",
          "Buttenheim",
          "Cadolzburg",
          "Castell",
          "Cham",
          "Coburg",
          "Dachau",
          "Deggendorf",
          "DieBen",
          "Diedorf",
          "Dietmannsried",
          "Dietramszell",
          "Dillingen",
          "Dingolfing",
          "Dinkelsbuhl",
          "Dombuhl",
          "Donauworth",
          "Dorfen",
          "Ebersberg",
          "Eching",
          "Eckental",
          "Eggenfelden",
          "Eichenau",
          "Eichstatt",
          "Elchingen",
          "Erding",
          "Ergolding",
          "Erlangen",
          "Erlenbach",
          "Essenbach",
          "Feldafing",
          "Feldkirchen-Westerham",
          "Feucht",
          "Feuchtwangen",
          "Forchheim",
          "Freilassing",
          "Freising",
          "Fridolfing",
          "Friedberg",
          "Furstenfeldbruck",
          "Furth",
          "Furth im Wald",
          "Fussen",
          "Gachenbach",
          "Gaimersheim",
          "Garching",
          "Garmisch-Partenkirchen",
          "Gauting",
          "Gemunden",
          "Geretsried",
          "Germering",
          "Gersthofen",
          "Gilching",
          "Goldbach",
          "Grafelfing",
          "Grafenau",
          "Grafing",
          "GroBostheim",
          "Grobenstadt",
          "Grobenzell",
          "Grunwald",
          "Gunzburg",
          "Gunzenhausen",
          "HaBfurt",
          "Haar",
          "Hammelburg",
          "Hasloch",
          "Hauzenberg",
          "Helmbrechts",
          "Henfenfeld",
          "Hersbruck",
          "Herzogenaurach",
          "Hilpoltstein",
          "Hirschaid",
          "Hochstadt",
          "Hof",
          "Holzkirchen",
          "Hosbach",
          "Illertissen",
          "Immenstadt",
          "Ingolstadt",
          "Inning",
          "Ismaning",
          "Karlsfeld",
          "Karlstadt",
          "Kaufbeuren",
          "Kelheim",
          "Kempten",
          "Kiefersfelden",
          "Kirchheim",
          "Kissing",
          "Kitzingen",
          "Kleinostheim",
          "Klingenberg",
          "Kolbermoor",
          "Konigsbrunn",
          "Kreuzwertheim",
          "Kronach",
          "Krumbach",
          "Kulmbach",
          "Kummersbruck",
          "Landau",
          "Landsberg",
          "Landshut",
          "Langenzenn",
          "Lappersdorf",
          "Lauf",
          "Lauingen",
          "Leinburg",
          "Lenggries",
          "Lichtenfels",
          "Lindach",
          "Lindau",
          "Lindenberg",
          "Lohr",
          "Mainburg",
          "Maisach",
          "Manching",
          "Markt Schwaben",
          "Marktheidenfeld",
          "Marktoberdorf",
          "Marktredwitz",
          "Maxhutte-Haidhof",
          "Meitingen",
          "Memmingen",
          "Mering",
          "Miesbach",
          "Miltenberg",
          "Mindelheim",
          "Moosburg",
          "Muhldorf",
          "Munchberg",
          "Munchen",
          "Munningen",
          "Murnau",
          "Naila",
          "Neubiberg",
          "Neuburg",
          "Neufahrn",
          "Neumarkt",
          "Neuried",
          "NeusaB",
          "Neustadt",
          "Neutraubling",
          "Nordlingen",
          "Nuremberg",
          "Nurnberg",
          "Oberasbach",
          "Oberhaching",
          "OberschleiBheim",
          "Oberstdorf",
          "Ochsenfurt",
          "Olching",
          "Osterhofen",
          "Ostheim",
          "Ottobrunn",
          "Parsberg",
          "Passau",
          "Pegnitz",
          "PeiBenberg",
          "Peiting",
          "Pentling",
          "Penzberg",
          "Pfaffenhofen",
          "Pfarrkirchen",
          "Planegg",
          "Plattling",
          "Pocking",
          "Poing",
          "Polling",
          "Pommelsbrunn",
          "Prien",
          "Puchheim",
          "Rannersdorf",
          "Raubling",
          "Regen",
          "Regensburg",
          "Regenstauf",
          "Rehau",
          "Rodental",
          "Roding",
          "Rosenheim",
          "Roth",
          "Rothenbach",
          "Rothenburg",
          "Ruhstorf",
          "Schnelldorf",
          "Schongau",
          "Schrobenhausen",
          "Schwabach",
          "Schwabmunchen",
          "Schwandorf",
          "Schwarzenbach",
          "Schweinfurt",
          "Selb",
          "Selbitz",
          "Senden",
          "Simbach",
          "Sonthofen",
          "Spalt",
          "Stadtbergen",
          "Staffelstein",
          "Starnberg",
          "Stein",
          "Stephanskirchen",
          "Straubing",
          "Sulzbach-Rosenberg",
          "Taufkirchen",
          "Thansau",
          "Tirschenreuth",
          "Toging",
          "Traunreut",
          "Traunstein",
          "Treuchtlingen",
          "Trostberg",
          "Tutzing",
          "Unterbergen",
          "Unterhaching",
          "UnterschleiBheim",
          "Valley",
          "Vaterstetten",
          "Veitshochheim",
          "Viechtach",
          "Vilgertshofen",
          "Vilsbiburg",
          "Vilshofen",
          "Vohringen",
          "Volkach",
          "Waldkirchen",
          "Waldkraiburg",
          "Walkertshofen",
          "Wasserburg",
          "WeiBenburg",
          "WeiBenhorn",
          "Weiden",
          "Weidenberg",
          "Weilheim",
          "Wendelstein",
          "Werneck",
          "Wessling",
          "Wolfratshausen",
          "Wolnzach",
          "Wunsiedel",
          "Wurzburg",
          "Zirndorf",
          "Zwiesel"
        ]),
        States(name: "Bayern", cities: []),
        States(
            name: "Beilstein Wurtt",
            cities: ["Berlin", "Panketal", "Steinfeld"]),
        States(name: "Berlin", cities: [
          "Angermunde",
          "Bad Freienwalde",
          "Bad Liebenwerda",
          "Barnim",
          "Beeskow",
          "Bernau",
          "Blankenfelde",
          "Brandenburg",
          "Brieselang",
          "Cottbus",
          "Dahlewitz",
          "Dahme",
          "Eberswalde",
          "Eisenhuttenstadt",
          "Elsterwerda",
          "Erkner",
          "Falkensee",
          "Finsterwalde",
          "Forst",
          "Frankfurt",
          "Fredersdorf-Vogelsdorf",
          "Furstenwalde",
          "Glienicke",
          "Gransee",
          "GroBraschen",
          "Guben",
          "Heidesee",
          "Hennigsdorf",
          "Herzberg",
          "Hohen Neuendorf",
          "Jacobsdorf",
          "Juterbog",
          "Kleinmachnow",
          "Kolkwitz",
          "Konigs Wusterhausen",
          "Kyritz",
          "Lauchhammer",
          "Lubben",
          "Lubbenau",
          "Luckenwalde",
          "Ludwigsfelde",
          "Nauen",
          "Neuenhagen",
          "Neuruppin",
          "Oranienburg",
          "Perleberg",
          "Petershagen-Eggersdorf",
          "Potsdam",
          "Premnitz",
          "Prenzlau",
          "Pritzwalk",
          "Rathenow",
          "Rudersdorf",
          "Schonefeld",
          "Schoneiche",
          "Schwedt",
          "Schwielowsee",
          "Senftenberg",
          "Spremberg",
          "Strausberg",
          "Teltow",
          "Templin",
          "Velten",
          "Werder",
          "Wildau",
          "Wittenberge",
          "Wittstock",
          "Zehdenick",
          "Zepernick"
        ]),
        States(name: "Brandenburg", cities: ["Bremen", "Bremerhaven"]),
        States(name: "Bremen", cities: []),
        States(name: "Dreisbach", cities: []),
        States(name: "Freistaat Bayern", cities: ["Berne", "Hamburg"]),
        States(name: "Hamburg", cities: ["Diekholzen"]),
        States(name: "Hannover", cities: ["Heroldstatt"]),
        States(name: "Heroldstatt", cities: [
          "ABlar",
          "Alsbach-HÃƒÂ¤hnlein",
          "Alsfeld",
          "Altenstadt",
          "Angelburg",
          "Arolsen",
          "Asslar",
          "Babenhausen",
          "Bad Camberg",
          "Bad Hersfeld",
          "Bad Homburg",
          "Bad Nauheim",
          "Bad Orb",
          "Bad Schwalbach",
          "Bad Soden",
          "Bad Soden-Salmunster",
          "Bad Sooden-Allendorf",
          "Bad Vilbel",
          "Bad Wildungen",
          "Baunatal",
          "Bebra",
          "Beerfelden",
          "Bensheim",
          "Berkatal",
          "Biblis",
          "Bickenbach",
          "Biebertal",
          "Biedenkopf",
          "Birkenau",
          "Bischofsheim",
          "Borken",
          "Braunfels",
          "Breidenbach",
          "Bruchkobel",
          "Budingen",
          "Burstadt",
          "Buseck",
          "Buttelborn",
          "Butzbach",
          "Darmstadt",
          "Dautphetal",
          "Dieburg",
          "Dietzenbach",
          "Dillenburg",
          "Dreieich",
          "Egelsbach",
          "Eichenzell",
          "Eltville",
          "Eppstein",
          "Erbach",
          "Erlensee",
          "Erzhausen",
          "Eschborn",
          "Eschenburg",
          "Eschwege",
          "Felsberg",
          "Fernwald",
          "Florsheim",
          "Frankenberg",
          "Frankfurt",
          "Freigericht",
          "Friedberg",
          "Friedrichsdorf",
          "Fritzlar",
          "Fulda",
          "Fuldabruck",
          "Fuldatal",
          "Geisenheim",
          "Gelnhausen",
          "Gernsheim",
          "GieBen",
          "Giessen",
          "Ginsheim-Gustavsburg",
          "Gladenbach",
          "Griesheim",
          "GroB-Gerau",
          "GroB-Umstadt",
          "GroB-Zimmern",
          "Grossenluder",
          "Gruenberg",
          "Grunberg",
          "Grundau",
          "Hadamar",
          "Haiger",
          "Hainburg",
          "Hanau",
          "Hattersheim",
          "Heppenheim",
          "Herborn",
          "Hessisch Lichtenau",
          "Heuchelheim",
          "Heusenstamm",
          "Hochheim",
          "Hochst",
          "Hofbieber",
          "Hofgeismar",
          "Hofheim",
          "Homberg",
          "Hunfeld",
          "Hunfelden",
          "Hungen",
          "Huttenberg",
          "Idstein",
          "Karben",
          "Kassel",
          "Kaufungen",
          "Kelkheim",
          "Kelsterbach",
          "Kirchhain",
          "Konigstein",
          "Korbach",
          "Kriftel",
          "Kronberg",
          "Kunzell",
          "Lahnau",
          "Lahntal",
          "Lampertheim",
          "Langen",
          "Langenselbold",
          "Langgons",
          "Laubach",
          "Lauterbach",
          "Lich",
          "Limburg",
          "Linden",
          "Lindenholzhausen",
          "Linsengericht",
          "Lohfelden",
          "Lollar",
          "Lorsch",
          "Maintal",
          "Marburg",
          "Melsungen",
          "Mengerskirchen",
          "Michelstadt",
          "Morfelden-Walldorf",
          "Morlenbach",
          "Mucke",
          "Muhlheim",
          "Muhltal",
          "Munster",
          "Nauheim",
          "Neu-Anspach",
          "Neu-Isenburg",
          "Neuhof",
          "Neustadt",
          "Nidda",
          "Niddatal",
          "Nidderau",
          "Niederdorfelden",
          "Niedernhausen",
          "Niestetal",
          "Ober-Ramstedt",
          "Obertshausen",
          "Oberursel",
          "Oestrich-Winkel",
          "Offenbach",
          "Petersberg",
          "Pfungstadt",
          "Pohlheim",
          "Raunheim",
          "Reichelsheim",
          "Reinheim",
          "Reiskirchen",
          "Riedstadt",
          "Rimbach",
          "RoBdorf",
          "Rodenbach",
          "Rodermark",
          "Rodgau",
          "Rosbach",
          "Rotenburg",
          "Rudesheim",
          "Runkel",
          "Russelsheim",
          "Schauenburg",
          "Schlangenbad",
          "Schlitz",
          "Schluchtern",
          "Schoneck",
          "Schotten",
          "Schwalbach",
          "Schwalbach am Taunus",
          "Schwalmstadt",
          "Seeheim-Jugenheim",
          "Seligenstadt",
          "Selters",
          "Sinntal",
          "Solms",
          "Sontra",
          "Spangenberg",
          "Stadtallendorf",
          "Steinau",
          "Steinbach",
          "Taunusstein",
          "Trebur",
          "Ulrichstein",
          "Usingen",
          "Vellmar",
          "Viernheim",
          "Volkmarsen",
          "Wachtersbach",
          "Wald-Michelbach",
          "Waldbrunn",
          "Waldems",
          "Wehrheim",
          "Weilburg",
          "Weilmunster",
          "Weiterstadt",
          "Wettenberg",
          "Wetter",
          "Wetzlar",
          "Wiesbaden",
          "Witzenhausen",
          "Wolfersheim",
          "Wolfhagen",
          "Zwingenberg"
        ]),
        States(name: "Hessen", cities: ["Kortenberg"]),
        States(name: "Kortenberg", cities: ["Laasdorf"]),
        States(name: "Laasdorf", cities: []),
        States(name: "Land Baden-Wurttemberg", cities: []),
        States(name: "Land Bayern", cities: []),
        States(name: "Land Brandenburg", cities: []),
        States(name: "Land Hessen", cities: []),
        States(name: "Land Mecklenburg-Vorpommern", cities: []),
        States(name: "Land Nordrhein-Westfalen", cities: []),
        States(name: "Land Rheinland-Pfalz", cities: []),
        States(name: "Land Sachsen", cities: []),
        States(name: "Land Sachsen-Anhalt", cities: []),
        States(name: "Land Thuringen", cities: []),
        States(name: "Lower Saxony", cities: [
          "Anklam",
          "Bad Doberan",
          "Barth",
          "Bergen",
          "Boizenburg",
          "Butzow",
          "Demmin",
          "Gagelow",
          "Gallin",
          "Grabow",
          "Greifswald",
          "Grevesmuhlen",
          "Grimmen",
          "Gustrow",
          "Hagenow",
          "Konigsee",
          "Lubtheen",
          "Ludersdorf",
          "Ludwigslust",
          "Malchin",
          "Neubrandenburg",
          "Neustrelitz",
          "Parchim",
          "Pasewalk",
          "Ribnitz-Damgarten",
          "Rostock",
          "SaBnitz",
          "Schweina",
          "Schwerin",
          "Selmsdorf",
          "Stralsund",
          "Teterow",
          "Torgelow",
          "Ueckermunde",
          "Waren",
          "Wismar",
          "Wolgast",
          "Zarrentin"
        ]),
        States(name: "Mecklenburg-Vorpommern", cities: ["Mulfingen"]),
        States(name: "Mulfingen", cities: ["Grafing bei Munchen"]),
        States(name: "Munich", cities: ["Neubeuern"]),
        States(name: "Neubeuern", cities: [
          "Achim",
          "Adendorf",
          "Aerzen",
          "Alfeld",
          "Ankum",
          "Apen",
          "Aurich",
          "Bad Bentheim",
          "Bad Bevensen",
          "Bad Essen",
          "Bad Gandersheim",
          "Bad Harzburg",
          "Bad Iburg",
          "Bad Laer",
          "Bad Lauterberg",
          "Bad Munder",
          "Bad Nenndorf",
          "Bad Pyrmont",
          "Bad Sachsa",
          "Bad Salzdetfurth",
          "Bad Zwischenahn",
          "BarBel",
          "Barsinghausen",
          "Bassum",
          "Beesten",
          "Belm",
          "Bergen",
          "Bissendorf",
          "Bleckede",
          "Bockenem",
          "Bohmte",
          "Bovenden",
          "Brake",
          "Bramsche",
          "Braunschweig",
          "Bremervorde",
          "Brockel",
          "Brunswick",
          "Buchholz",
          "Buckeburg",
          "Burgdorf",
          "Burgwedel",
          "Buxtehude",
          "Celle",
          "Clausthal-Zellerfeld",
          "Clenze",
          "Cloppenburg",
          "Cremlingen",
          "Cuxhaven",
          "Dahlenburg",
          "Damme",
          "Dannenberg",
          "Dassel",
          "Deinste",
          "Delmenhorst",
          "Diepholz",
          "Dinklage",
          "Dorverden",
          "Dransfeld",
          "Drochtersen",
          "Duderstadt",
          "Edemissen",
          "Edewecht",
          "Einbeck",
          "Elsfleth",
          "Elze",
          "Emden",
          "Emlichheim",
          "Emmerthal",
          "Emsburen",
          "Eppendorf",
          "Fallingbostel",
          "Frellstedt",
          "Friedeburg",
          "Friedland",
          "Friesoythe",
          "Ganderkesee",
          "Garbsen",
          "Garrel",
          "Geeste",
          "Gehrden",
          "Georgsmarienhutte",
          "Gifhorn",
          "Gleichen",
          "Goslar",
          "Gottingen",
          "GroBefehn",
          "GroBenkneten",
          "Hagen",
          "Hambergen",
          "Hameln",
          "Hannover",
          "Hannoversch Munden",
          "Haren",
          "Harsum",
          "Hasbergen",
          "Haselunne",
          "Hatten",
          "Hauslingen",
          "Helmstedt",
          "Hemmingen",
          "Herzberg",
          "Hessisch Oldendorf",
          "Hildesheim",
          "Hilter",
          "Hittfeld",
          "Holzminden",
          "Hoya",
          "Hude",
          "Ihlow",
          "Ilsede",
          "Isernhagen",
          "Jade",
          "Jever",
          "Jork",
          "Kalefeld",
          "Kirchlinteln",
          "Knesebeck",
          "Konigslutter",
          "Krummhorn",
          "Laatzen",
          "Lahstedt",
          "Langelsheim",
          "Langen",
          "Langenhagen",
          "Langwedel",
          "Lastrup",
          "Leer",
          "Lehre",
          "Lehrte",
          "Lemforde",
          "Lengede",
          "Liebenburg",
          "Lilienthal",
          "Lingen",
          "Lohne",
          "Loningen",
          "Lorup",
          "Loxstedt",
          "Luchow",
          "Luneburg",
          "Melle",
          "Meppen",
          "Moormerland",
          "Munster",
          "Neu Wulmstorf",
          "Neustadt",
          "Nienburg",
          "Norden",
          "Nordenham",
          "Nordhorn",
          "Nordstemmen",
          "Norten-Hardenberg",
          "Northeim",
          "Obernkirchen",
          "Oldenburg",
          "Osnabruck",
          "Ostercappeln",
          "Osterholz-Scharmbeck",
          "Osterode",
          "Ostrhauderfehn",
          "Ottersberg",
          "Oyten",
          "Papenburg",
          "Pattensen",
          "Peine",
          "Quakenbruck",
          "Rastede",
          "Rehburg-Loccum",
          "Rhauderfehn",
          "Rinteln",
          "Ritterhude",
          "Ronnenberg",
          "Rosdorf",
          "Rosengarten",
          "Rotenburg",
          "Salzgitter",
          "Salzhemmendorf",
          "Sarstedt",
          "Saterland",
          "ScheeBel",
          "Schiffdorf",
          "Schneverdingen",
          "Schoningen",
          "Schortens",
          "Schuttorf",
          "Schwanewede",
          "Seelze",
          "Seesen",
          "Seevetal",
          "Sehnde",
          "Soltau",
          "Springe",
          "Stade",
          "Stadthagen",
          "Stadtoldendorf",
          "Stelle",
          "Stuhr",
          "Sudbrookmerland",
          "Sulingen",
          "Syke",
          "Tarmstedt",
          "Tostedt",
          "Twistringen",
          "Uchte",
          "Uelzen",
          "Uetze",
          "Uplengen",
          "Uslar",
          "Varel",
          "Vechelde",
          "Vechta",
          "Verden",
          "Vienenburg",
          "Visselhovede",
          "Walkenried",
          "Wallenhorst",
          "Walsrode",
          "Wangerland",
          "Wardenburg",
          "Wedemark",
          "Weener",
          "Wendeburg",
          "Wennigsen",
          "Westerstede",
          "Westoverledingen",
          "Weyhe",
          "Wiefelstede",
          "Wiesmoor",
          "Wildeshausen",
          "Wilhelmshaven",
          "Winsen",
          "Wittingen",
          "Wittmund",
          "Wolfenbuttel",
          "Wolfsburg",
          "Worpswede",
          "Wunstorf",
          "Zetel",
          "Zeven"
        ]),
        States(name: "Niedersachsen", cities: ["Middenbeemster"]),
        States(name: "Noord-Holland", cities: [
          "Aachen",
          "Ahaus",
          "Ahlen",
          "Aldenhoven",
          "Alfter",
          "Alpen",
          "Alsdorf",
          "Altena",
          "Altendorf",
          "Anrochte",
          "Arnsberg",
          "Ascheberg",
          "Attendorn",
          "Augustdorf",
          "Bad Berleburg",
          "Bad Driburg",
          "Bad Honnef",
          "Bad Laasphe",
          "Bad Lippspringe",
          "Bad Munstereifel",
          "Bad Oeynhausen",
          "Bad Salzuflen",
          "Bad Sassendorf",
          "Baesweiler",
          "Balve",
          "Barntrup",
          "Beckum",
          "Bedburg",
          "Bedburg-Hau",
          "Bergheim",
          "Bergisch Gladbach",
          "Bergkamen",
          "Bergneustadt",
          "Bestwig",
          "Beverungen",
          "Bielefeld",
          "Billerbeck",
          "Blomberg",
          "Bocholt",
          "Bochum",
          "Bocket",
          "Bonen",
          "Bonn",
          "Borchen",
          "Borgentreich",
          "Borgholzhausen",
          "Borken",
          "Bornheim",
          "Bottrop",
          "Brakel",
          "Brilon",
          "Bruggen",
          "Bruhl",
          "Bunde",
          "Burbach",
          "Buren",
          "Burscheid",
          "Castrop-Rauxel",
          "Coesfeld",
          "Cologne",
          "Datteln",
          "Delbruck",
          "Denklingen",
          "Detmold",
          "Dingden",
          "Dinslaken",
          "Dormagen",
          "Dorsten",
          "Dortmund",
          "Drensteinfurt",
          "Drolshagen",
          "Duisburg",
          "Dulmen",
          "Duren",
          "Dusseldorf",
          "Eitorf",
          "Elsdorf",
          "Emmerich",
          "Emsdetten",
          "Engelskirchen",
          "Enger",
          "Ennepetal",
          "Ennigerloh",
          "Ense",
          "Erftstadt",
          "Erkelenz",
          "Erkrath",
          "Erwitte",
          "Espelkamp",
          "Essen",
          "Euskirchen",
          "Extertal",
          "Finnentrop",
          "Frechen",
          "Freudenberg",
          "Frondenberg",
          "Gangelt",
          "Geilenkirchen",
          "Geldern",
          "Gelsenkirchen",
          "Gescher",
          "Geseke",
          "Gevelsberg",
          "Gladbeck",
          "Goch",
          "Grefrath",
          "Greven",
          "Grevenbroich",
          "Gronau",
          "Gummersbach",
          "Gutersloh",
          "Haan",
          "Hagen",
          "Halle",
          "Haltern",
          "Halver",
          "Hamm",
          "Hamminkeln",
          "Harsewinkel",
          "Hattingen",
          "Havixbeck",
          "Heiligenhaus",
          "Heinsberg",
          "Hemer",
          "Hennef",
          "Herdecke",
          "Herford",
          "Herne",
          "Herten",
          "Herzebrock-Clarholz",
          "Herzogenrath",
          "Hiddenhausen",
          "Hilchenbach",
          "Hilden",
          "Hille",
          "Holzwickede",
          "Horn-Bad Meinberg",
          "Horstel",
          "Hovelhof",
          "Hoxter",
          "Huckelhoven",
          "Huckeswagen",
          "Hullhorst",
          "Hunxe",
          "Hurth",
          "Ibbenburen",
          "Iserlohn",
          "Isselburg",
          "Issum",
          "Juchen",
          "Julich",
          "Kaarst",
          "Kalkar",
          "Kall",
          "Kalletal",
          "Kamen",
          "Kamp-Lintfort",
          "Kempen",
          "Kerken",
          "Kerpen",
          "Kevelaer",
          "Kierspe",
          "Kirchhundem",
          "Kirchlengern",
          "Kleve",
          "Koln",
          "Konigswinter",
          "Korschenbroich",
          "Krefeld",
          "Kreuzau",
          "Kreuztal",
          "Kurten",
          "Lage",
          "Langenfeld",
          "Langerwehe",
          "Leichlingen",
          "Lemgo",
          "Lengerich",
          "Lennestadt",
          "Leopoldshohe",
          "Leverkusen",
          "Lichtenau",
          "Lindlar",
          "Linnich",
          "Lippetal",
          "Lippstadt",
          "Lohmar",
          "Lohne",
          "Lotte",
          "Lubbecke",
          "Ludenscheid",
          "Ludinghausen",
          "Lugde",
          "Lunen",
          "Marienheide",
          "Marl",
          "Marsberg",
          "Mechernich",
          "Meckenheim",
          "Meerbusch",
          "Meinerzhagen",
          "Menden",
          "Meschede",
          "Mettingen",
          "Mettmann",
          "Minden",
          "Moers",
          "Mohnesee",
          "Monchengladbach",
          "Monheim",
          "Monschau",
          "Morsbach",
          "Much",
          "Mulheim",
          "Munster",
          "Netphen",
          "Nettetal",
          "Neuenkirchen",
          "Neuenrade",
          "Neukirchen-Vluyn",
          "Neunkirchen",
          "Neunkirchen-Seelscheid",
          "Neuss",
          "Nideggen",
          "Niederkassel",
          "Niederkruchten",
          "Niederzier",
          "Nordkirchen",
          "Norvenich",
          "Nottuln",
          "Numbrecht",
          "Oberhausen",
          "Ochtrup",
          "Odenthal",
          "Oelde",
          "Oer-Erkenschwick",
          "Oerlinghausen",
          "Olfen",
          "Olpe",
          "Olsberg",
          "Overath",
          "Paderborn",
          "Petershagen",
          "Plettenberg",
          "Porta Westfalica",
          "PreuBisch Oldendorf",
          "Pulheim",
          "Radevormwald",
          "Raesfeld",
          "Rahden",
          "Ratingen",
          "Recke",
          "Recklinghausen",
          "Rees",
          "Reichshof",
          "Reken",
          "Remscheid",
          "Rheda-Wiedenbruck",
          "Rhede",
          "Rheinbach",
          "Rheinberg",
          "Rheine",
          "Rietberg",
          "Rommerskirchen",
          "Rosendahl",
          "Rosrath",
          "Ruthen",
          "Salzkotten",
          "Sassenberg",
          "Schalksmuhle",
          "Schermbeck",
          "Schieder-Schwalenberg",
          "Schleiden",
          "SchloB Holte-Stukenbrock",
          "Schmallenberg",
          "Schwalmtal",
          "Schwelm",
          "Schwerte",
          "Selm",
          "Senden",
          "Sendenhorst",
          "Siegburg",
          "Siegen",
          "Simmerath",
          "Soest",
          "Solingen",
          "Sonsbeck",
          "Spenge",
          "Sprockhovel",
          "Stadtlohn",
          "Steinfurt",
          "Steinhagen",
          "Steinheim",
          "Stemwede",
          "Stolberg",
          "Straelen",
          "Sundern",
          "Swisttal",
          "Tecklenburg",
          "Telgte",
          "Tonisvorst",
          "Troisdorf",
          "Ubach-Palenberg",
          "Unna",
          "Velbert",
          "Velen",
          "Verl",
          "Versmold",
          "Viersen",
          "Vlotho",
          "Voerde",
          "Vreden",
          "Wachtberg",
          "Wachtendonk",
          "Wadersloh",
          "Waldbrol",
          "Waltrop",
          "Warburg",
          "Warendorf",
          "Warstein",
          "Wassenberg",
          "Weeze",
          "Wegberg",
          "Weilerswist",
          "Welver",
          "Wenden",
          "Werdohl",
          "Werl",
          "Wermelskirchen",
          "Werne",
          "Werther",
          "Wesel",
          "Wesseling",
          "Westerkappeln",
          "Wetter",
          "Wickede",
          "Wiehl",
          "Willich",
          "Wilnsdorf",
          "Windeck",
          "Winterberg",
          "Wipperfurth",
          "Witten",
          "Wulfrath",
          "Wunnenberg",
          "Wuppertal",
          "Wurselen",
          "Xanten",
          "Zulpich"
        ]),
        States(name: "Nordrhein-Westfalen", cities: []),
        States(name: "North Rhine-Westphalia", cities: ["Herzberg am Harz"]),
        States(name: "Osterode", cities: [
          "Alzey",
          "Andernach",
          "Bad Durkheim",
          "Bad Ems",
          "Bad Kreuznach",
          "Bad Neuenahr-Ahrweiler",
          "Bendorf",
          "Betzdorf",
          "Bingen",
          "Bitburg",
          "Bobenheim-Roxheim",
          "Bohl-Iggelheim",
          "Boppard",
          "Daun",
          "Diez",
          "Eisenberg",
          "Essingen",
          "Frankenthal",
          "Gau-Odernheim",
          "Germersheim",
          "Grunstadt",
          "HaBloch",
          "Hahnstatten",
          "Hallschlag",
          "Herschbach",
          "Herxheim",
          "Hirschhorn",
          "Hohr-Grenzhausen",
          "Holzheim",
          "Idar-Oberstein",
          "Ingelheim",
          "Kaisersesch",
          "Kaiserslautern",
          "Kastellaun",
          "Kindsbach",
          "Kirchen",
          "Kirn",
          "Koblenz",
          "Lahnstein",
          "Landau",
          "Limburgerhof",
          "Luckenburg",
          "Ludwigshafen",
          "Mainz",
          "Mayen",
          "Montabaur",
          "Morbach",
          "Mulheim-Karlich",
          "Mundersbach",
          "Mutterstadt",
          "Nassau",
          "Neitersen",
          "Neustadt",
          "Neuwied",
          "Niederzissen",
          "Pirmasens",
          "Plaidt",
          "Remagen",
          "Schifferstadt",
          "Schoenenberg Kuebelberg",
          "Sinzig",
          "Speyer",
          "St. Goar",
          "Trier",
          "Vallendar",
          "Winterbach",
          "Wittlich",
          "Worms",
          "Worth",
          "Zweibrucken"
        ]),
        States(name: "Rheinland-Pfalz", cities: [
          "Adenau",
          "Anhausen",
          "Barbelroth",
          "Berndroth",
          "Bernkastel-Kues",
          "Burgbrohl",
          "Dieblich",
          "Dierdorf",
          "Dreisbach",
          "Elsoff",
          "Enkenbach-Alsenborn",
          "Etzbach",
          "Flonheim",
          "Fohren",
          "Grafschaft",
          "Hochspeyer",
          "Leiningen",
          "Moschheim",
          "Murlenbach",
          "Neuhofen",
          "Nievern",
          "Norken",
          "Oberlahr",
          "Otterstadt",
          "Rennerod",
          "Rheinbreitbach",
          "Rieschweiler-Muhlbach",
          "Saarburg",
          "Stahlhofen",
          "Steinebach",
          "Weinsheim",
          "Winnweiler",
          "Wissen"
        ]),
        States(name: "Rhineland-Palatinate", cities: [
          "Beckingen",
          "Bexbach",
          "Blieskastel",
          "Dillingen",
          "Duppenweiler",
          "Eppelborn",
          "Friedrichsthal",
          "GroBrosseln",
          "Heusweiler",
          "Homburg",
          "Illingen",
          "Kirkel",
          "Kleinblittersdorf",
          "Lebach",
          "Losheim",
          "Mandelbachtal",
          "Marpingen",
          "Merchweiler",
          "Merzig",
          "Mettlach",
          "Nalbach",
          "Neunkirchen",
          "Nohfelden",
          "Nonnweiler",
          "Oberthal",
          "Ottweiler",
          "Puttlingen",
          "Quierschied",
          "Rehlingen-Siersburg",
          "Riegelsberg",
          "Saarbrucken",
          "Saarlouis",
          "Saarwellingen",
          "Sankt Ingbert",
          "Sankt Wendel",
          "Schiffweiler",
          "Schmelz",
          "Schwalbach",
          "Spiesen-Elversberg",
          "Sulzbach",
          "Tholey",
          "Uberherrn",
          "Volklingen",
          "Wadern",
          "Wadgassen",
          "Wallerfangen",
          "Weiskirchen"
        ]),
        States(name: "Saarland", cities: [
          "Annaberg-Buchholz",
          "Aue",
          "Auerbach",
          "Bautzen",
          "Bischofswerda",
          "Borna",
          "Brand-Erbisdorf",
          "Burgstadt",
          "Chemnitz",
          "Coswig",
          "Crimmitschau",
          "Delitzsch",
          "Dobeln",
          "Dresden",
          "Ebersbach",
          "Eilenburg",
          "Falkenstein",
          "Floha",
          "Frankenberg",
          "Freiberg",
          "Freital",
          "Friedewald",
          "Glauchau",
          "Gorlitz",
          "Grimma",
          "GroBenhain",
          "Groditz",
          "Hainichen",
          "Heidenau",
          "Hirschstein",
          "Hohenstein-Ernstthal",
          "Hoyerswerda",
          "Kamenz",
          "Klingenthal",
          "Leipzig",
          "Lichtenstein",
          "Limbach-Oberfrohna",
          "LoBnitz",
          "Lobau",
          "Lugau",
          "Marienberg",
          "Markkleeberg",
          "Meerane",
          "MeiBen",
          "Mittweida",
          "Muldenhammer",
          "Neustadt",
          "Niesky",
          "Oelsnitz",
          "Olbernhau",
          "Olbersdorf",
          "Oschatz",
          "Pirna",
          "Plauen",
          "Radeberg",
          "Radebeul",
          "Reichenbach",
          "Riesa",
          "Rietschen",
          "Schkeuditz",
          "Schneeberg",
          "Schwarzenberg",
          "Sebnitz",
          "Stollberg",
          "Taubenheim",
          "Taucha",
          "Thalheim",
          "Torgau",
          "Waldheim",
          "WeiBwasser",
          "Werdau",
          "Wilkau-HaBlau",
          "Wurzen",
          "Zittau",
          "Zschopau",
          "Zwickau",
          "Zwonitz"
        ]),
        States(name: "Sachsen", cities: [
          "Aken",
          "Aschersleben",
          "Bad Durrenberg",
          "Bebitz",
          "Bernburg",
          "Bitterfeld",
          "Blankenburg",
          "Braunsbedra",
          "Burg",
          "Calbe",
          "Coswig",
          "Dessau",
          "Eisleben",
          "Gardelegen",
          "Genthin",
          "Gommern",
          "Grafenhainichen",
          "Halberstadt",
          "Haldensleben",
          "Halle",
          "Hettstedt",
          "Heyrothsberge",
          "Hotensleben",
          "Kothen",
          "Leuna",
          "Magdeburg",
          "Merseburg",
          "Naumburg",
          "Oschersleben",
          "Osterburg",
          "Osterwieck",
          "Quedlinburg",
          "Querfurt",
          "Raguhn",
          "RoBlau",
          "Salzwedel",
          "Sangerhausen",
          "Schonebeck",
          "StaBfurt",
          "Stendal",
          "Tangermunde",
          "Thale",
          "WeiBenfels",
          "Wittenberg",
          "Wolfen",
          "Wolmirstedt",
          "Zeitz",
          "Zerbst"
        ]),
        States(name: "Sachsen-Anhalt", cities: [
          "Bad Lausick",
          "Bernsdorf",
          "Borde-Hakel",
          "Gelenau",
          "Groberkmannsdorf",
          "Hartha",
          "Kreischa",
          "Malschwitz",
          "Naunhof",
          "Pausa",
          "Seiffen",
          "Stutzengrun"
        ]),
        States(name: "Saxony", cities: [
          "Ahrensbok",
          "Ahrensburg",
          "Altenholz",
          "Alveslohe",
          "Ammersbek",
          "Bad Bramstedt",
          "Bad Oldesloe",
          "Bad Schwartau",
          "Bad Segeberg",
          "Bargteheide",
          "Barmstedt",
          "Barsbuttel",
          "Bredstedt",
          "Brunsbuttel",
          "Budelsdorf",
          "Eckernforde",
          "Eddelak",
          "Elmshorn",
          "Eutin",
          "Flensburg",
          "Friedrichstadt",
          "Geesthacht",
          "Glinde",
          "Gluckstadt",
          "Grob Pampau",
          "Halstenbek",
          "Hamfelde",
          "Harrislee",
          "Hartenholm",
          "Heide",
          "Heiligenhafen",
          "Henstedt-Ulzburg",
          "Honenwestedt",
          "Husum",
          "Itzehoe",
          "Kaltenkirchen",
          "Kappeln",
          "Kiel",
          "Kronshagen",
          "Lauenburg",
          "Lensahn",
          "Lubeck",
          "Malente",
          "Mielkendorf",
          "Molfsee",
          "Molln",
          "Neuenbrook",
          "Neumunster",
          "Neustadt",
          "Norderstedt",
          "Oldenburg",
          "Oststeinbek",
          "Pinneberg",
          "Plon",
          "Preetz",
          "Quickborn",
          "Ratekau",
          "Ratzeburg",
          "Reinbek",
          "Reinfeld",
          "Rellingen",
          "Rendsburg",
          "Rethwisch",
          "Satrup",
          "Scharbeutz",
          "Schenefeld",
          "Schleswig",
          "Schmalfeld",
          "Schoenkirchen",
          "Schwarzenbek",
          "Seefeld",
          "Sievershutten",
          "Stockelsdorf",
          "Tangstedt",
          "Timmendorfer Strand",
          "Tornesch",
          "Travemunde",
          "Uetersen",
          "Wahlstedt",
          "Wedel",
          "Wentorf",
          "Westerland",
          "Westerronfeld",
          "Wohltorf",
          "Wotersen"
        ]),
        States(name: "Schleswig-Holstein", cities: [
          "Altenburg",
          "Apolda",
          "Arnstadt",
          "Bad Frankenhausen",
          "Bad Langensalza",
          "Bad Salzungen",
          "Cursdorf",
          "Dornburg",
          "Eisenach",
          "Eisenberg",
          "Erfurt",
          "Gera",
          "Geschwenda",
          "Gotha",
          "Greiz",
          "Heiligenstadt",
          "Hermsdorf",
          "Hildburghausen",
          "Ilmenau",
          "Immelborn",
          "Jena",
          "Leinefelde",
          "Leutenberg",
          "Meiningen",
          "Meuselwitz",
          "Muhlhausen",
          "Neustadt",
          "Nordhausen",
          "PoBneck",
          "Rosenthal",
          "Rositz",
          "Rudolstadt",
          "Ruhla",
          "Saalfeld",
          "Schmalkalden",
          "Schmolln",
          "Sommerda",
          "Sondershausen",
          "Sonneberg",
          "Suhl",
          "Triptis",
          "Uhlstadt",
          "Waltershausen",
          "Weida",
          "Weimar",
          "Wernigerode",
          "Wormstedt",
          "Zella-Mehlis",
          "Zeulenroda"
        ]),
        States(name: "Thuringia", cities: ["Webling"]),
        States(name: "Webling", cities: ["Neustadt"]),
        States(name: "Weinstrabe", cities: ["Schlobborn"]),
        States(name: "schlobborn", cities: [
          "Agogo",
          "Bekwai",
          "Konongo",
          "Kumasi",
          "Mampong",
          "Mankranso",
          "Obuasi",
          "Ofinso",
          "Tafo"
        ])
      ]),
  Country(
      name: "Ghana",
      flag: "🇬🇭",
      code: "GH",
      dialCode: "233",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Ashanti", cities: [
          "Bechem",
          "Berekum",
          "Duayaw Nkwanta",
          "Kintampo",
          "Sunyani",
          "Techiman",
          "Wenchi"
        ]),
        States(name: "Brong-Ahafo", cities: [
          "Apam",
          "Cape Coast",
          "Dunkwa",
          "Elmina",
          "Foso",
          "Komenda",
          "Mauri",
          "Mumford",
          "Nyakrom",
          "Okitsiu",
          "Saltpond",
          "Swedru",
          "Winneba"
        ]),
        States(name: "Central", cities: [
          "Aburi",
          "Ada",
          "Akim Swedru",
          "Akropong",
          "Asamankese",
          "Begoro",
          "Kade",
          "Kibi",
          "Koforidua",
          "Mpraeso",
          "Nkawkaw",
          "Nsawam",
          "Oda",
          "Somanya",
          "Suhum"
        ]),
        States(name: "Eastern", cities: []),
        States(
            name: "Greater Accra",
            cities: ["Kpandae", "Salaga", "Savelugu", "Tamale", "Yendi"]),
        States(name: "Northern", cities: []),
        States(name: "Upper East", cities: []),
        States(name: "Upper West", cities: [
          "Aflao",
          "Anloga",
          "Ho",
          "Hohoe",
          "Keta",
          "Kete-Krachi",
          "Kpandu"
        ]),
        States(name: "Volta", cities: [
          "Aboso",
          "Anomabu",
          "Axim",
          "Bibiani",
          "Prestea",
          "Sekondi",
          "Shama",
          "Takoradi",
          "Tarkwa"
        ]),
        States(name: "Western", cities: ["Gibraltar"])
      ]),
  Country(
      name: "Gibraltar",
      flag: "🇬🇮",
      code: "GI",
      dialCode: "350",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Gibraltar", cities: ["Elassonos"])
      ]),
  Country(
      name: "Greece",
      flag: "🇬🇷",
      code: "GR",
      dialCode: "30",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Acharnes", cities: ["Aiyion", "Patra"]),
        States(name: "Ahaia", cities: []),
        States(name: "Aitolia kai Akarnania", cities: ["Argos", "Navplion"]),
        States(name: "Argolis", cities: ["Tripoli"]),
        States(name: "Arkadia", cities: ["Arta"]),
        States(name: "Arta", cities: [
          "Acharnes",
          "Agios Ioannis Rentis",
          "Drapetsona",
          "Koropi",
          "Lavrion",
          "Mandra",
          "Spata"
        ]),
        States(name: "Attica", cities: [
          "Aharna",
          "Aiyaleo",
          "Alimos",
          "Amarousion",
          "Ano Liosia",
          "Aryiroupoli",
          "Aspropirgos",
          "Athina",
          "Athinai",
          "Ayia Barbara",
          "Ayia Paraskevi",
          "Ayios Anaryiros",
          "Ayios Dimitrios",
          "Dafne",
          "Elevsis",
          "Ellenikon",
          "Galatsion",
          "Glifada",
          "Haidarion",
          "Halandrion",
          "Holargos",
          "Ilioupoli",
          "Iraklion",
          "Kaisariani",
          "Kallithea",
          "Kamateron",
          "Keratea",
          "Keratsinion",
          "Kifisia",
          "Koridallos",
          "Kropion",
          "Markopoulos Mesogaia",
          "Maroussi",
          "Megara",
          "Melission",
          "Metamorfosios",
          "Moshatos",
          "Nea Filedelfia",
          "Nea Ionia",
          "Nea Liosia",
          "Nea Smirni",
          "Nikaia",
          "Palaion Faliron",
          "Perama",
          "Peristerion",
          "Petroupoli",
          "Pevka",
          "Piraeus",
          "Salamis",
          "Tavros",
          "Viron",
          "Voula",
          "Vrilission",
          "Zografos"
        ]),
        States(name: "Attiki", cities: []),
        States(name: "Ayion Oros", cities: ["Heraklion"]),
        States(name: "Crete", cities: ["Arhangelos", "Ialysos", "Kos", "Rodos"]),
        States(name: "Dodekanisos", cities: ["Drama"]),
        States(name: "Drama", cities: ["Chalkis"]),
        States(name: "Evia", cities: ["Karpenisi"]),
        States(name: "Evritania", cities: ["Alexandroupoli", "Orestias"]),
        States(name: "Evros", cities: ["Halkida"]),
        States(name: "Evvoia", cities: ["Florina"]),
        States(name: "Florina", cities: ["Amfissa"]),
        States(name: "Fokis", cities: ["Lamia"]),
        States(name: "Fthiotis", cities: ["Grevena"]),
        States(name: "Grevena", cities: ["Halandri"]),
        States(
            name: "Halandri",
            cities: ["Lakkoma", "N. Kallikrateia", "Poliyiros"]),
        States(name: "Halkidiki", cities: ["Hania"]),
        States(name: "Hania", cities: ["Crete"]),
        States(name: "Heraklion", cities: ["Hios"]),
        States(name: "Hios", cities: ["Pirgos"]),
        States(name: "Ilia", cities: ["Veroia"]),
        States(name: "Imathia", cities: ["Ioannina"]),
        States(name: "Ioannina", cities: []),
        States(name: "Iraklion", cities: ["Karditsa"]),
        States(name: "Karditsa", cities: ["Kastoria"]),
        States(name: "Kastoria", cities: ["Kavala"]),
        States(name: "Kavala", cities: ["Agioi Theodoroi", "Argostolion"]),
        States(name: "Kefallinia", cities: ["Kerkira"]),
        States(name: "Kerkira", cities: ["Ermoupoli", "Fira", "Mikonos"]),
        States(name: "Kiklades", cities: ["Kilkis"]),
        States(name: "Kilkis", cities: ["Korinthos"]),
        States(name: "Korinthia", cities: ["Kozani", "Ptolemais"]),
        States(name: "Kozani", cities: ["Sparti"]),
        States(name: "Lakonia", cities: ["Larisa", "Larissa"]),
        States(name: "Larisa", cities: ["Ayios Nikolaos", "Ierapetra", "Sitia"]),
        States(name: "Lasithi", cities: ["Mitilini"]),
        States(name: "Lesvos", cities: ["Levkas"]),
        States(name: "Levkas", cities: ["Volos"]),
        States(name: "Magnisia", cities: ["Kalamata"]),
        States(name: "Messinia", cities: []),
        States(name: "Nomos Attikis", cities: []),
        States(name: "Nomos Zakynthou", cities: ["Edessa", "Yiannitsa"]),
        States(name: "Pella", cities: ["Katerini"]),
        States(name: "Pieria", cities: ["Acharne", "Pallini"]),
        States(name: "Piraios", cities: ["Preveza"]),
        States(name: "Preveza", cities: ["Rethimnon"]),
        States(name: "Rethimni", cities: ["Komotini"]),
        States(name: "Rodopi", cities: ["Samos"]),
        States(name: "Samos", cities: ["Serrai"]),
        States(name: "Serrai", cities: ["Igoumenitsa"]),
        States(name: "Thesprotia", cities: [
          "Ampelokipa",
          "Kalamaria",
          "Neapoli",
          "Oristiada",
          "Thessaloniki"
        ]),
        States(name: "Thessaloniki", cities: ["Trikala"]),
        States(name: "Trikala", cities: ["Levadia", "Thivai"]),
        States(name: "Voiotia", cities: []),
        States(name: "West Greece", cities: ["Xanthi"]),
        States(name: "Xanthi", cities: ["Zakinthos"]),
        States(
            name: "Zakinthos",
            cities: ["Aasiaat", "Akunnaaq", "Kitsissuarsuit"])
      ]),
  Country(
      name: "Greenland",
      flag: "🇬🇱",
      code: "GL",
      dialCode: "299",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Aasiaat", cities: [
          "Ikkatteq",
          "Isortoq",
          "Kulusuk",
          "Kuumiut",
          "Qernertuarssuit",
          "Sermiligaaq",
          "Tasiilaq",
          "Tiniteqilaaq"
        ]),
        States(
            name: "Ammassalik",
            cities: ["Illoqqortoormiut", "Itterajivit", "Uunarteq"]),
        States(name: "Illoqqortoormiut", cities: [
          "Ilimanaq",
          "Ilulissat",
          "Oqaatsut",
          "Qeqertaq",
          "Saqqaq"
        ]),
        States(name: "Ilulissat", cities: ["Ivittuut", "Kangilinnguit"]),
        States(name: "Ivittuut", cities: [
          "Attu",
          "Iginniarfik",
          "Ikerasaarsuk",
          "Kangaatsiaq",
          "Niaqornaarsuk"
        ]),
        States(
            name: "Kangaatsiaq",
            cities: ["Atammik", "Kangaamiut", "Maniitsoq", "Napasoq"]),
        States(name: "Maniitsoq", cities: [
          "Aappilattoq",
          "Akuliaruseq",
          "Alluitsoq",
          "Alluitsup Paa",
          "Ammassivik",
          "Ikerasassuaq",
          "Nanortalik",
          "Narsarmijit",
          "Nuugaarsuk",
          "Qallimiut",
          "Qortortorsuaq",
          "Tasiusaq"
        ]),
        States(name: "Nanortalik", cities: [
          "Amannguit",
          "Atarnaatsoq",
          "Eqaluit Ilua",
          "Igaliku",
          "Igaliku Kujalleq",
          "Inneruulalik",
          "Issormiut",
          "Iterlak",
          "Kangerlua",
          "Narsaq",
          "Narsarsuaq",
          "Nunataaq",
          "Qassiarsuk",
          "Qinngua",
          "Qinngua Kangilleq",
          "Qolortup Itinnera",
          "Sillisit",
          "Tasiusaq",
          "Timerliit",
          "Uummannartuuaraq"
        ]),
        States(name: "Narsaq", cities: [
          "Kangerluarsoruseq",
          "Kapisillit",
          "Neriunaq",
          "Nuuk",
          "Qeqertarsuatsiaat",
          "Qooqqut",
          "Qoornoq"
        ]),
        States(name: "Nuuk", cities: ["Arsuk", "Paamiut"]),
        States(name: "Paamiut", cities: [
          "Moriusaq",
          "Qaanaaq",
          "Qeqertarsuaq",
          "Qeqertat",
          "Savissivik",
          "Siorapaluk"
        ]),
        States(name: "Qaanaaq", cities: [
          "Eqalugaarsuit",
          "Illorsuit",
          "Kangerluarsorujuk",
          "Kangerluarsorujuup Qinngua",
          "Qanisartuut",
          "Qaqortokolook",
          "Qaqortoq",
          "Qassimiut",
          "Saarloq",
          "Saqqamiut",
          "Tasiluk",
          "Upernaviarsuk"
        ]),
        States(name: "Qaqortoq", cities: ["Ikamiut", "Qasigiannguit"]),
        States(name: "Qasigiannguit", cities: ["Kangerluk", "Qeqertarsuaq"]),
        States(
            name: "Qeqertarsuaq",
            cities: ["Itilleq", "Kangerlussuaq", "Sarfannguit", "Sisimiut"]),
        States(name: "Sisimiut", cities: []),
        States(name: "Udenfor kommunal inddeling", cities: [
          "Aappilattoq",
          "Ikerakuuk",
          "Innarsuit",
          "Kangersuatsiaq",
          "Kullorsuaq",
          "Naajaat",
          "Nutaarmiut",
          "Nuusuaq",
          "Tasiusaq",
          "Upernavik",
          "Upernavik Kujalleq"
        ]),
        States(name: "Upernavik", cities: [
          "Ikerasak",
          "Illorsuit",
          "Niaqornat",
          "Nuugaatsiaq",
          "Qaarsut",
          "Saattut",
          "Ukkusissat",
          "Uummannaq"
        ]),
        States(name: "Uummannaq", cities: [])
      ]),
  Country(
      name: "Grenada",
      flag: "🇬🇩",
      code: "GD",
      dialCode: "1473",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Carriacou-Petite Martinique", cities: []),
        States(name: "Saint Andrew", cities: []),
        States(name: "Saint Davids", cities: []),
        States(name: "Saint George\\'\\'s", cities: []),
        States(name: "Saint John", cities: []),
        States(name: "Saint Mark", cities: []),
        States(name: "Saint Patrick", cities: [
          "Baie-Mahault",
          "Baillif",
          "Basse-Terre",
          "Bouillante",
          "Capesterre-Belle-Eau",
          "Gourbeyre",
          "Lamentin",
          "Petit-Bourg",
          "Pointe-Noire",
          "Saint-Claude",
          "Sainte-Rose",
          "Trois-Rivieres",
          "Vieux-Habitants"
        ])
      ]),
  Country(
      name: "Guadeloupe",
      flag: "🇬🇵",
      code: "GP",
      dialCode: "590",
      minLength: 15,
      maxLength: 15,
      states: [
        States(name: "Basse-Terre", cities: [
          "Anse-Bertrand",
          "Le Gosier",
          "Le Moule",
          "Les Abymes",
          "Morne-a-l\\'\\'Eau",
          "Petit-Canal",
          "Point-a-Pitre",
          "Port-Louis",
          "Saint-Francois",
          "Sainte-Anne"
        ]),
        States(name: "Grande-Terre", cities: []),
        States(name: "Iles des Saintes", cities: []),
        States(name: "La Desirade", cities: ["Grand-Bourg"]),
        States(name: "Marie-Galante", cities: []),
        States(name: "Saint Barthelemy", cities: []),
        States(name: "Saint Martin", cities: [])
      ]),
  Country(
      name: "Guam",
      flag: "🇬🇺",
      code: "GU",
      dialCode: "1671",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Agana Heights", cities: ["Agat"]),
        States(name: "Agat", cities: ["Barrigada", "Barrigada Heights"]),
        States(name: "Barrigada", cities: ["Chalan Pago", "Ordot"]),
        States(
            name: "Chalan-Pago-Ordot",
            cities: ["Astumbo", "Dededo", "Finegayan Station"]),
        States(name: "Dededo", cities: ["Agana", "Agana Station"]),
        States(name: "Hagatna", cities: ["Inarajan"]),
        States(name: "Inarajan", cities: ["Mangilao"]),
        States(name: "Mangilao", cities: ["Merizo"]),
        States(name: "Merizo", cities: ["Mongmong", "Toto"]),
        States(name: "Mongmong-Toto-Maite", cities: []),
        States(name: "Santa Rita", cities: ["Sinajana"]),
        States(name: "Sinajana", cities: ["Talofofo"]),
        States(name: "Talofofo", cities: ["Tamuning"]),
        States(name: "Tamuning", cities: ["Anderson Air Force Base", "Yigo"]),
        States(name: "Yigo", cities: ["Yona"]),
        States(name: "Yona", cities: [])
      ]),
  Country(
      name: "Guatemala",
      flag: "🇬🇹",
      code: "GT",
      dialCode: "502",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Alta Verapaz", cities: []),
        States(
            name: "Baja Verapaz",
            cities: ["Chimaltenango", "Comalapa", "Itzapa", "Patzun"]),
        States(name: "Chimaltenango", cities: ["Chiquimula", "Esquipulas"]),
        States(name: "Chiquimula", cities: []),
        States(name: "El Progreso", cities: [
          "Cotzumalguapa",
          "Escuintla",
          "Palin",
          "San Jose",
          "Tiquisate"
        ]),
        States(name: "Escuintla", cities: [
          "Amatitlan",
          "Chinautla",
          "Guatemala",
          "Mixco",
          "Petapa",
          "Villa Nueva"
        ]),
        States(name: "Guatemala", cities: ["Huehuetenango"]),
        States(name: "Huehuetenango", cities: ["Puerto Barrios"]),
        States(name: "Izabal", cities: ["Jalapa"]),
        States(name: "Jalapa", cities: ["Asuncion Mita", "Jutiapa"]),
        States(name: "Jutiapa", cities: ["Flores", "San Benito"]),
        States(name: "Peten", cities: ["Quezaltenango"]),
        States(name: "Quezaltenango", cities: ["Quiche"]),
        States(name: "Quiche", cities: ["Retalhuleu"]),
        States(name: "Retalhuleu", cities: [
          "Antigua",
          "Ciudad Vieja",
          "Jocotenango",
          "Santa Maria de Jesus",
          "Sumpango"
        ]),
        States(name: "Sacatepequez", cities: []),
        States(name: "San Marcos", cities: []),
        States(name: "Santa Rosa", cities: ["Atitlan", "Solola"]),
        States(name: "Solola", cities: ["Mazatenango"]),
        States(name: "Suchitepequez", cities: ["Totonicapan"]),
        States(name: "Totonicapan", cities: ["Zacapa"]),
        States(name: "Zacapa", cities: ["Saint Anne\\'\\'s"])
      ]),
  Country(
      name: "Guernsey",
      flag: "🇬🇬",
      code: "GG",
      dialCode: "44",
      regionCode: "1481",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Alderney", cities: ["Castle"]),
        States(name: "Castel", cities: ["Forest"]),
        States(name: "Forest", cities: []),
        States(name: "Saint Andrew", cities: []),
        States(name: "Saint Martin", cities: []),
        States(name: "Saint Peter Port", cities: []),
        States(name: "Saint Pierre du Bois", cities: []),
        States(name: "Saint Sampson", cities: []),
        States(name: "Saint Saviour", cities: ["Sark"]),
        States(name: "Sark", cities: ["Torteval"]),
        States(name: "Torteval", cities: ["Vale"]),
        States(name: "Vale", cities: ["Beyla"])
      ]),
  Country(
      name: "Guinea",
      flag: "🇬🇳",
      code: "GN",
      dialCode: "224",
      minLength: 8,
      maxLength: 9,
      states: [
        States(name: "Beyla", cities: ["Boffa"]),
        States(name: "Boffa", cities: ["Boke"]),
        States(name: "Boke", cities: ["Conakry"]),
        States(name: "Conakry", cities: ["Coyah"]),
        States(name: "Coyah", cities: ["Dabola"]),
        States(name: "Dabola", cities: ["Dalaba"]),
        States(name: "Dalaba", cities: ["Dinguiraye"]),
        States(name: "Dinguiraye", cities: ["Faranah"]),
        States(name: "Faranah", cities: ["Forecariah"]),
        States(name: "Forecariah", cities: ["Fria"]),
        States(name: "Fria", cities: ["Gaoual"]),
        States(name: "Gaoual", cities: ["Guekedou"]),
        States(name: "Gueckedou", cities: ["Kankan"]),
        States(name: "Kankan", cities: ["Kerouane"]),
        States(name: "Kerouane", cities: ["Kindia"]),
        States(name: "Kindia", cities: ["Kissidougou"]),
        States(name: "Kissidougou", cities: ["Koubia"]),
        States(name: "Koubia", cities: ["Koundara"]),
        States(name: "Koundara", cities: ["Kouroussa"]),
        States(name: "Kouroussa", cities: ["Labe"]),
        States(name: "Labe", cities: ["Lola"]),
        States(name: "Lola", cities: ["Macenta"]),
        States(name: "Macenta", cities: ["Mali"]),
        States(name: "Mali", cities: ["Mamou"]),
        States(name: "Mamou", cities: ["Mandiana"]),
        States(name: "Mandiana", cities: ["Nzerekore"]),
        States(name: "Nzerekore", cities: ["Pita"]),
        States(name: "Pita", cities: ["Siguiri"]),
        States(name: "Siguiri", cities: ["Telimele"]),
        States(name: "Telimele", cities: ["Tougue"]),
        States(name: "Tougue", cities: ["Yomou"]),
        States(name: "Yomou", cities: ["Bafata"])
      ]),
  Country(
      name: "Guinea-Bissau",
      flag: "🇬🇼",
      code: "GW",
      dialCode: "245",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Bafata", cities: ["Bissau"]),
        States(name: "Bissau", cities: ["Bolama", "Bubaque"]),
        States(name: "Bolama", cities: ["Cacheu", "Canchungo"]),
        States(name: "Cacheu", cities: ["Gabu"]),
        States(name: "Gabu", cities: ["Bissora", "Farim", "Mansoa"]),
        States(name: "Oio", cities: ["Buba", "Fulacunda", "Quebo"]),
        States(name: "Quinara", cities: ["Catio"]),
        States(name: "Tombali", cities: ["Mabaruma", "Morawhanna"])
      ]),
  Country(
      name: "Guyana",
      flag: "🇬🇾",
      code: "GY",
      dialCode: "592",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Barima-Waini", cities: ["Bartica", "Issano", "Kamarang"]),
        States(
            name: "Cuyuni-Mazaruni",
            cities: ["Georgetown", "Mahaica", "Paradise", "Queenstown"]),
        States(name: "Demerara-Mahaica", cities: []),
        States(name: "East Berbice-Corentyne", cities: []),
        States(
            name: "Essequibo Islands-West Demerar",
            cities: ["Fort Wellington", "Mahaicony", "Rosignol"]),
        States(
            name: "Mahaica-Berbice",
            cities: ["Anna Regina", "Charity", "Suddie"]),
        States(name: "Pomeroon-Supenaam", cities: ["Mahdia", "Tumatumari"]),
        States(name: "Potaro-Siparuni", cities: []),
        States(name: "Upper Demerara-Berbice", cities: []),
        States(name: "Upper Takutu-Upper Essequibo", cities: [
          "Desdunes",
          "Dessalines",
          "Gonaives",
          "Gros-Morne",
          "L\\'\\'Artibonite",
          "Saint-Marc",
          "Saint-Michel-de-l\\'\\'Atalaye",
          "Saint-Raphael",
          "Verrettes"
        ])
      ]),
  Country(
      name: "Haiti",
      flag: "🇭🇹",
      code: "HT",
      dialCode: "509",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Artibonite", cities: ["Hinche", "Mirebalais"]),
        States(name: "Centre", cities: [
          "Anse-d\\'\\'Hainault",
          "Dame Marie",
          "Jeremie",
          "Miragoane"
        ]),
        States(name: "Grand\\'\\'Anse", cities: [
          "Cap-Haitien",
          "Croix-des-Bouquets",
          "Grande Riviere du Nord",
          "Limbe",
          "Pignon"
        ]),
        States(
            name: "Nord",
            cities: ["Derac", "Fort-Liberte", "Ouanaminthe", "Trou-du-Nord"]),
        States(
            name: "Nord-Est", cities: ["Port-de-Paix", "Saint-Louis-du-Nord"]),
        States(name: "Nord-Ouest", cities: [
          "Anse-a-Galets",
          "Carrefour",
          "Delmas",
          "Kenscoff",
          "Lascahobas",
          "Leogane",
          "Petionville",
          "Petit Goave",
          "Port-au-Prince"
        ]),
        States(name: "Ouest", cities: ["Aquin", "Les Cayes"]),
        States(name: "Sud", cities: ["Jacmel"]),
        States(name: "Sud-Est", cities: [])
      ]),
  Country(
      name: "Heard Island and Mcdonald Islands",
      flag: "🇭🇲",
      code: "HM",
      dialCode: "672",
      minLength: 15,
      maxLength: 15,
      states: [
        States(
            name: "Heard and McDonald Islands",
            cities: ["La Ceiba", "Olanchito", "Tela"])
      ]),
  Country(
      name: "Honduras",
      flag: "🇭🇳",
      code: "HN",
      dialCode: "504",
      minLength: 8,
      maxLength: 8,
      states: [
        States(
            name: "Atlantida", cities: ["Choluteca", "El Triunfo", "Pespire"]),
        States(name: "Choluteca", cities: ["Sonaguera", "Tocoa", "Trujillo"]),
        States(name: "Colon", cities: ["Comayagua", "Siguatepeque"]),
        States(name: "Comayagua", cities: [
          "Copan",
          "Corquin",
          "Dulce Nombre",
          "El Paraiso",
          "San Antonio",
          "San Nicolas",
          "Santa Rosa de Copan"
        ]),
        States(name: "Copan", cities: [
          "Choloma",
          "La Lima",
          "Omoa",
          "Puerto Cortes",
          "San Pedro Sula"
        ]),
        States(name: "Cortes", cities: []),
        States(name: "Distrito Central", cities: []),
        States(name: "El Paraiso", cities: []),
        States(name: "Francisco Morazan", cities: []),
        States(
            name: "Gracias a Dios",
            cities: ["Intibuca", "La Esperanza", "Utila"]),
        States(name: "Intibuca", cities: []),
        States(name: "Islas de la Bahia", cities: []),
        States(name: "La Paz", cities: ["Gracias"]),
        States(name: "Lempira", cities: ["Ocotepeque", "San Marcos", "Sinuapa"]),
        States(name: "Ocotepeque", cities: ["Catacamas", "Juticalpa"]),
        States(name: "Olancho", cities: []),
        States(
            name: "Santa Barbara",
            cities: ["Amapala", "Langue", "Nacaome", "San Lorenzo"]),
        States(
            name: "Valle",
            cities: ["El Progreso", "Morazan", "Santa Rita", "Yoro"]),
        States(name: "Yoro", cities: [])
      ]),
  Country(
      name: "Hong Kong",
      flag: "🇭🇰",
      code: "HK",
      dialCode: "852",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Hong Kong", cities: [
          "Akaszto",
          "Bacsalmas",
          "Bacsbokod",
          "Baja",
          "Bugac",
          "Davod",
          "Dunapataj",
          "Dunavecse",
          "Fulopszallas",
          "Hajos",
          "Harta",
          "Izsak",
          "Jakabszallas",
          "Janoshalma",
          "Kalocsa",
          "Kecel",
          "Kecskemet",
          "Kiskoros",
          "Kiskunfelegyhaza",
          "Kiskunhalas",
          "Kiskunmajsa",
          "Kunfeherto",
          "Kunszentmiklos",
          "Lajosmizse",
          "Lakitelek",
          "Madaras",
          "Melykut",
          "Nagybaracska",
          "Orgovany",
          "Palmonostora",
          "Solt",
          "Soltvadkert",
          "Sukosd",
          "Szabadszallas",
          "Szalkszentmarton",
          "Tass",
          "Tiszakecske",
          "Tompa"
        ])
      ]),
  Country(
      name: "Hungary",
      flag: "🇭🇺",
      code: "HU",
      dialCode: "36",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Bacs-Kiskun", cities: [
          "Beremend",
          "Boly",
          "Dunaszekcso",
          "Harkany",
          "Hosszuheteny",
          "Komlo",
          "Magocs",
          "Mohacs",
          "Pecs",
          "Pecsvarad",
          "Sasd",
          "Sellye",
          "Siklos",
          "Szentlorinc",
          "Szigetvar",
          "Vajszlo",
          "Villany"
        ]),
        States(name: "Baranya", cities: [
          "Battonya",
          "Bekes",
          "Bekescsaba",
          "Bekessamson",
          "Bekesszentandras",
          "Csorvas",
          "Devavanya",
          "Doboz",
          "Elek",
          "Endrod",
          "Fuzesgyarmat",
          "Gyula",
          "Ketegyhaza",
          "Kondoros",
          "Korosladany",
          "Kunagota",
          "Lokoshaza",
          "Mezobereny",
          "Mezohegyes",
          "Mezokovacshaza",
          "Nagyszenas",
          "Oroshaza",
          "Sarkad",
          "Szabadkigyos",
          "Szarvas",
          "Szeghalom",
          "Totkomlos",
          "Veszto"
        ]),
        States(name: "Bekes", cities: [
          "Abaujszanto",
          "Arlo",
          "Bogacs",
          "Cigand",
          "Edeleny",
          "Emod",
          "Encs",
          "Gonc",
          "Karcsa",
          "Kazincbarcika",
          "Mad",
          "Megyaszo",
          "Mezokeresztes",
          "Mezokovesd",
          "Miskolc",
          "Monok",
          "Nyekladhaza",
          "Olaszliszka",
          "Onod",
          "Ozd",
          "Putnok",
          "Rudabanya",
          "Sajokaza",
          "Sajolad",
          "Sajoszentpeter",
          "Saly",
          "Sarospatak",
          "Satoraljaujhely",
          "Szendro",
          "Szentistvan",
          "Szerencs",
          "Szihalom",
          "Szikszo",
          "Taktaharkany",
          "Taktaszada",
          "Tallya",
          "Tarcal",
          "Tiszaluc",
          "Tiszaujvaros",
          "Tokaj",
          "Tolcsva"
        ]),
        States(name: "Borsod-Abauj-Zemplen", cities: ["Budapest"]),
        States(name: "Budapest", cities: [
          "Csongrad",
          "Fabiansebestyen",
          "Foldeak",
          "Hodmezovasarhely",
          "Kiskundorozsma",
          "Kistelek",
          "Kiszombor",
          "Mako",
          "Mindszent",
          "Morahalom",
          "Pusztaszer",
          "Roszke",
          "Sandorfalva",
          "Szatymaz",
          "Szeged",
          "Szegvar",
          "Szekkutas",
          "Szentes"
        ]),
        States(name: "Csongrad", cities: [
          "Aba",
          "Adony",
          "Alap",
          "Apostag",
          "Bakonycsernye",
          "Bicske",
          "Bodajk",
          "Cece",
          "Csakvar",
          "Deg",
          "Dios",
          "Dunaujvaros",
          "Enying",
          "Ercsi",
          "Etyek",
          "Fehervarcsurgo",
          "Lovasbereny",
          "Martonvasar",
          "Mezofalva",
          "Mezoszilas",
          "Mor",
          "Pazmand",
          "Polgardi",
          "Pusztavam",
          "Rackeresztur",
          "Sarbogard",
          "Seregelyes",
          "Soponya",
          "Szabadbattyan",
          "Szekesfehervar",
          "Val"
        ]),
        States(name: "Fejer", cities: [
          "Asvanyraro",
          "Beled",
          "Bosarkany",
          "Csorna",
          "Fertod",
          "Fertorakos",
          "Fertoszentmiklos",
          "Gyor",
          "Gyorujbarat",
          "Hunyadi u.",
          "Kapuvar",
          "Lebeny",
          "Mihalyi",
          "Mosonmagyarovar",
          "Nyul",
          "Pannonhalma",
          "Rajka",
          "Sopron",
          "Szany",
          "Tet"
        ]),
        States(name: "Gyor-Moson-Sopron", cities: [
          "Balmazujvaros",
          "Barand",
          "Berettyoujfalu",
          "Biharkeresztes",
          "Biharnagybajom",
          "Debrecen",
          "Derecske",
          "Egyek",
          "Foldes",
          "Hajduboszormeny",
          "Hajdudorog",
          "Hajduhadhaz",
          "Hajdusamson",
          "Hajduszoboszlo",
          "Hajduszovat",
          "Hortobagy",
          "Hosszupalyi",
          "Kaba",
          "Komadi",
          "Mikepercs",
          "Monostorpalyi",
          "Nadudvar",
          "Nagyleta",
          "Nyirabrany",
          "Nyiracsad",
          "Nyiradony",
          "Polgar",
          "Puspokladany",
          "Sarretudvari",
          "Tiszacsege",
          "Ujfeherto",
          "Vamospercs"
        ]),
        States(name: "Hajdu-Bihar", cities: [
          "Abasar",
          "Andornaktalya",
          "Belapatfalva",
          "Domoszlo",
          "Eger",
          "Erdotelek",
          "Felsotarkany",
          "Fuzesabony",
          "Gyongyos",
          "Gyongyospata",
          "Gyongyossolymos",
          "Gyongyostarjan",
          "Hatvan",
          "Heves",
          "Kal",
          "Lorinci",
          "Matraderecske",
          "Parad",
          "Petervasara",
          "Recsk",
          "Sirok",
          "Tarnalelesz",
          "Verpelet"
        ]),
        States(name: "Heves", cities: [
          "Abadszalok",
          "Besenyszog",
          "Cserkeszolo",
          "Fegyvernek",
          "Hegyeshalom",
          "Jaszalsoszentgyorgy",
          "Jaszapati",
          "Jaszarokszallas",
          "Jaszbereny",
          "Jaszfenyzaru",
          "Jaszjakohalma",
          "Jaszkiser",
          "Jaszladany",
          "Jaszszentandras",
          "Karcag",
          "Kenderes",
          "Kisujszallas",
          "Kunhegyes",
          "Kunmadaras",
          "Kunszentmarton",
          "Martfu",
          "Mezotur",
          "Ocsod",
          "Szolnok",
          "Tiszabura",
          "Tiszafoldvar",
          "Tiszafured",
          "Tiszapuspoki",
          "Tiszaroff",
          "Tiszasuly",
          "Torokszentmiklos",
          "Toszeg",
          "Turkeve",
          "Ujszasz"
        ]),
        States(name: "Jasz-Nagykun-Szolnok", cities: [
          "Acs",
          "Almasfuzito",
          "Babolna",
          "Bajna",
          "Dorog",
          "Esztergom",
          "Kesztolc",
          "Kisber",
          "Komarom",
          "Kornye",
          "Labatlan",
          "Mocsa",
          "Nagyigmand",
          "Nyergesujfalu",
          "Oroszlany",
          "Sarisap",
          "Tardos",
          "Tarjan",
          "Tata",
          "Tatabanya",
          "Tokod",
          "Vertesszolos"
        ]),
        States(name: "Komarom-Esztergom", cities: [
          "Balassagyarmat",
          "Batonyterenye",
          "Bercel",
          "Bujak",
          "Diosjeno",
          "Karancskeszi",
          "Matraverebely",
          "Nagyoroszi",
          "Paszto",
          "Retsag",
          "Romhany",
          "Salgotarjan",
          "Szecseny",
          "Tar"
        ]),
        States(name: "Nograd", cities: [
          "Abony",
          "Albertirsa",
          "Aszod",
          "Biatorbagy",
          "Budakalasz",
          "Budakeszi",
          "Budaors",
          "Bugyi",
          "Cegled",
          "Csobanka",
          "Dabas",
          "Domsod",
          "Dunabogdany",
          "Dunaharaszti",
          "Dunakeszi",
          "Erd",
          "Forro",
          "Fot",
          "Galgaheviz",
          "God",
          "Godollo",
          "Gyomro",
          "Hevizgyork",
          "Isaszeg",
          "Jaszkarajeno",
          "Kiskunlachaza",
          "Kocser",
          "Koka",
          "Kosd",
          "Maglod",
          "Monor",
          "Nagykata",
          "Nagykoros",
          "Nagykovacsi",
          "Nagymaros",
          "Nagytarcsa",
          "Nyaregyhaza",
          "Ocsa",
          "Orbottyan",
          "Orkeny",
          "Paty",
          "Pecel",
          "Perbal",
          "Pilis",
          "Pilisborosjeno",
          "Piliscsaba",
          "Pilisszanto",
          "Pilisszentivan",
          "Pilisszentkereszt",
          "Pilisvorosvar",
          "Pomaz",
          "Racalmas",
          "Rackeve",
          "Solymar",
          "Soskut",
          "Szada",
          "Szazhalombatta",
          "Szentendre",
          "Szentmartonkata",
          "Szigetcsep",
          "Szigetszentmiklos",
          "Szigetujfalu",
          "Szob",
          "Tahitofalu",
          "Tapiobicske",
          "Tapioszecso",
          "Tapioszele",
          "Toalmas",
          "Torokbalint",
          "Tortel",
          "Tura",
          "Ullo",
          "Uri",
          "Urom",
          "Vac",
          "Vecses",
          "Veresegyhaz",
          "Verocemaros",
          "Visegrad",
          "Zsambek",
          "Zsambok"
        ]),
        States(name: "Pest", cities: [
          "Adand",
          "Balatonfoldvar",
          "Balatonoszod",
          "Balatonszabadi",
          "Balatonszarszo",
          "Barcs",
          "Berzence",
          "Boglarlelle",
          "Bohonye",
          "Csurgo",
          "Fonyod",
          "Kaposvar",
          "Karad",
          "Kethely",
          "Lengyeltoti",
          "Marcali",
          "Nagyatad",
          "Nagybajom",
          "Siofok",
          "Somogyvar",
          "Tab",
          "Zamardi"
        ]),
        States(name: "Somogy", cities: [
          "Ajak",
          "Baktaloranthaza",
          "Balkany",
          "Buj",
          "Demecser",
          "Dombrad",
          "Fehergyarmat",
          "Ibrany",
          "Kemecse",
          "Kisvarda",
          "Kotaj",
          "Mandok",
          "Mariapocs",
          "Mateszalka",
          "Nagyecsed",
          "Nagyhalasz",
          "Nagykallo",
          "Nyirbator",
          "Nyirbeltek",
          "Nyiregyhaza",
          "Nyirmada",
          "Nyirpazony",
          "Nyirtelek",
          "Ofeherto",
          "Rakamaz",
          "Tarpa",
          "Tiszabercel",
          "Tiszalok",
          "Tiszavasvari",
          "Tuzser",
          "Vaja",
          "Vasarosnameny",
          "Zahony"
        ]),
        States(name: "Szabolcs-Szatmar-Bereg", cities: [
          "Bataszek",
          "Bonyhad",
          "Decs",
          "Dombovar",
          "Dunafoldvar",
          "Fadd",
          "Gyonk",
          "Hogyesz",
          "Iregszemcse",
          "Madocsa",
          "Nagymagocs",
          "Nagymanyok",
          "Ozora",
          "Paks",
          "Pincehely",
          "Simontornya",
          "Szekszard",
          "Szentgal",
          "Tamasi",
          "Tengelic",
          "Tolna",
          "Zomba"
        ]),
        States(name: "Tolna", cities: [
          "Buk",
          "Celldomolk",
          "Csepreg",
          "Gencsapati",
          "Jak",
          "Janoshaza",
          "Kormend",
          "Koszeg",
          "Sarvar",
          "Szentgotthard",
          "Szombathely",
          "Vasvar",
          "Vep"
        ]),
        States(name: "Vas", cities: [
          "Ajka",
          "Badacsonytomaj",
          "Balatonalmadi",
          "Balatonfured",
          "Balatonfuzfo",
          "Balatonkenese",
          "Band",
          "Berhida",
          "Csabrendek",
          "Devecser",
          "Herend",
          "Papa",
          "Sumeg",
          "Tapolca",
          "Urkut",
          "Varpalota",
          "Veszprem",
          "Zirc"
        ]),
        States(name: "Veszprem", cities: [
          "Becsehely",
          "Heviz",
          "Keszthely",
          "Lenti",
          "Letenye",
          "Nagykanizsa",
          "Sarmellek",
          "Turje",
          "Zalaegerszeg",
          "Zalakomar",
          "Zalalovo",
          "Zalaszentgrot"
        ]),
        States(name: "Zala", cities: [
          "Bakkafjor ur",
          "Borgarfjor ur",
          "Brei dalsvik",
          "Djupivogur",
          "Egilssta ir",
          "Eskifjor ur",
          "Faskru sfjor ur",
          "Fellabar",
          "Hallormssta ur",
          "Hofn",
          "Nesjakauptun",
          "Neskaupsta ur",
          "Rey arfjor ur",
          "Sey isfjor ur",
          "Sto varfjor ur",
          "Vopnafjor ur"
        ])
      ]),
  Country(
      name: "Iceland",
      flag: "🇮🇸",
      code: "IS",
      dialCode: "354",
      minLength: 7,
      maxLength: 9,
      states: [
        States(name: "Austurland", cities: []),
        States(name: "Gullbringusysla", cities: []),
        States(name: "Hofu borgarsva i", cities: []),
        States(name: "Nor urland eystra", cities: []),
        States(name: "Nor urland vestra", cities: []),
        States(name: "Su urland", cities: []),
        States(name: "Su urnes", cities: []),
        States(name: "Vestfir ir", cities: [
          "Akranes",
          "Borgarnes",
          "Bu ardalur",
          "Grundarfjor ur",
          "Hellissandur",
          "Hvanneyri",
          "Olafsvik",
          "Rif",
          "Stykkisholmur"
        ]),
        States(name: "Vesturland", cities: [
          "Banda Aceh",
          "Bireun",
          "Langsa",
          "Lhokseumawe",
          "Meulaboh"
        ])
      ]),
  Country(
      name: "India",
      flag: "🇮🇳",
      code: "IN",
      dialCode: "91",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Andaman and Nicobar Islands", cities: [
          "Bombuflat",
          "Garacharma",
          "Port Blair",
          "Rangat",
          "Addanki",
          "Adivivaram",
          "Adoni",
          "Aganampudi",
          "Ajjaram",
          "Akividu",
          "Akkarampalle",
          "Akkayapalle",
          "Akkireddipalem",
          "Alampur",
          "Amalapuram",
          "Amudalavalasa",
          "Amur",
          "Anakapalle",
          "Anantapur",
          "Andole",
          "Atmakur",
          "Attili",
          "Avanigadda",
          "Badepalli",
          "Badvel",
          "Balapur",
          "Bandarulanka",
          "Banganapalle",
          "Bapatla",
          "Bapulapadu",
          "Belampalli",
          "Bestavaripeta",
          "Betamcherla",
          "Bhattiprolu",
          "Bhimavaram",
          "Bhimunipatnam",
          "Bobbili",
          "Bombuflat",
          "Bommuru",
          "Bugganipalle",
          "Challapalle",
          "Chandur",
          "Chatakonda",
          "Chemmumiahpet",
          "Chidiga",
          "Chilakaluripet",
          "Chimakurthy",
          "Chinagadila",
          "Chinagantyada",
          "Chinnachawk",
          "Chintalavalasa",
          "Chipurupalle",
          "Chirala",
          "Chittoor",
          "Chodavaram",
          "Choutuppal",
          "Chunchupalle",
          "Cuddapah",
          "Cumbum",
          "Darnakal",
          "Dasnapur",
          "Dauleshwaram",
          "Dharmavaram",
          "Dhone",
          "Dommara Nandyal",
          "Dowlaiswaram",
          "East Godavari Dist.",
          "Eddumailaram",
          "Edulapuram",
          "Ekambara kuppam",
          "Eluru",
          "Enikapadu",
          "Fakirtakya",
          "Farrukhnagar",
          "Gaddiannaram",
          "Gajapathinagaram",
          "Gajularega",
          "Gajuvaka",
          "Gannavaram",
          "Garacharma",
          "Garimellapadu",
          "Giddalur",
          "Godavarikhani",
          "Gopalapatnam",
          "Gopalur",
          "Gorrekunta",
          "Gudivada",
          "Gudur",
          "Guntakal",
          "Guntur",
          "Guti",
          "Hindupur",
          "Hukumpeta",
          "Ichchapuram",
          "Isnapur",
          "Jaggayyapeta",
          "Jallaram Kamanpur",
          "Jammalamadugu",
          "Jangampalli",
          "Jarjapupeta",
          "Kadiri",
          "Kaikalur",
          "Kakinada",
          "Kallur",
          "Kalyandurg",
          "Kamalapuram",
          "Kamareddi",
          "Kanapaka",
          "Kanigiri",
          "Kanithi",
          "Kankipadu",
          "Kantabamsuguda",
          "Kanuru",
          "Karnul",
          "Katheru",
          "Kavali",
          "Kazipet",
          "Khanapuram Haveli",
          "Kodar",
          "Kollapur",
          "Kondapalem",
          "Kondapalle",
          "Kondukur",
          "Kosgi",
          "Kothavalasa",
          "Kottapalli",
          "Kovur",
          "Kovurpalle",
          "Kovvur",
          "Krishna",
          "Kuppam",
          "Kurmannapalem",
          "Kurnool",
          "Lakshettipet",
          "Lalbahadur Nagar",
          "Machavaram",
          "Macherla",
          "Machilipatnam",
          "Madanapalle",
          "Madaram",
          "Madhuravada",
          "Madikonda",
          "Madugule",
          "Mahabubnagar",
          "Mahbubabad",
          "Malkajgiri",
          "Mamilapalle",
          "Mancheral",
          "Mandapeta",
          "Mandasa",
          "Mangalagiri",
          "Manthani",
          "Markapur",
          "Marturu",
          "Metpalli",
          "Mindi",
          "Mirpet",
          "Moragudi",
          "Mothugudam",
          "Nagari",
          "Nagireddipalle",
          "Nandigama",
          "Nandikotkur",
          "Nandyal",
          "Narasannapeta",
          "Narasapur",
          "Narasaraopet",
          "Narayanavanam",
          "Narsapur",
          "Narsingi",
          "Narsipatnam",
          "Naspur",
          "Nathayyapalem",
          "Nayudupeta",
          "Nelimaria",
          "Nellore",
          "Nidadavole",
          "Nuzvid",
          "Omerkhan daira",
          "Ongole",
          "Osmania University",
          "Pakala",
          "Palakole",
          "Palakurthi",
          "Palasa",
          "Palempalle",
          "Palkonda",
          "Palmaner",
          "Pamur",
          "Panjim",
          "Papampeta",
          "Parasamba",
          "Parvatipuram",
          "Patancheru",
          "Payakaraopet",
          "Pedagantyada",
          "Pedana",
          "Peddapuram",
          "Pendurthi",
          "Penugonda",
          "Penukonda",
          "Phirangipuram",
          "Pithapuram",
          "Ponnur",
          "Port Blair",
          "Pothinamallayyapalem",
          "Prakasam",
          "Prasadampadu",
          "Prasantinilayam",
          "Proddatur",
          "Pulivendla",
          "Punganuru",
          "Puttur",
          "Qutubullapur",
          "Rajahmundry",
          "Rajamahendri",
          "Rajampet",
          "Rajendranagar",
          "Rajoli",
          "Ramachandrapuram",
          "Ramanayyapeta",
          "Ramapuram",
          "Ramarajupalli",
          "Ramavarappadu",
          "Rameswaram",
          "Rampachodavaram",
          "Ravulapalam",
          "Rayachoti",
          "Rayadrug",
          "Razam",
          "Razole",
          "Renigunta",
          "Repalle",
          "Rishikonda",
          "Salur",
          "Samalkot",
          "Sattenapalle",
          "Seetharampuram",
          "Serilungampalle",
          "Shankarampet",
          "Shar",
          "Singarayakonda",
          "Sirpur",
          "Sirsilla",
          "Sompeta",
          "Sriharikota",
          "Srikakulam",
          "Srikalahasti",
          "Sriramnagar",
          "Sriramsagar",
          "Srisailam",
          "Srisailamgudem Devasthanam",
          "Sulurpeta",
          "Suriapet",
          "Suryaraopet",
          "Tadepalle",
          "Tadepalligudem",
          "Tadpatri",
          "Tallapalle",
          "Tanuku",
          "Tekkali",
          "Tenali",
          "Tigalapahad",
          "Tiruchanur",
          "Tirumala",
          "Tirupati",
          "Tirvuru",
          "Trimulgherry",
          "Tuni",
          "Turangi",
          "Ukkayapalli",
          "Ukkunagaram",
          "Uppal Kalan",
          "Upper Sileru",
          "Uravakonda",
          "Vadlapudi",
          "Vaparala",
          "Vemalwada",
          "Venkatagiri",
          "Venkatapuram",
          "Vepagunta",
          "Vetapalem",
          "Vijayapuri",
          "Vijayapuri South",
          "Vijayawada",
          "Vinukonda",
          "Visakhapatnam",
          "Vizianagaram",
          "Vuyyuru",
          "Wanparti",
          "West Godavari Dist.",
          "Yadagirigutta",
          "Yarada",
          "Yellamanchili",
          "Yemmiganur",
          "Yenamalakudru",
          "Yendada",
          "Yerraguntla",
          "Adimaly",
          "Adoor",
          "Adur",
          "Akathiyur",
          "Alangad",
          "Alappuzha",
          "Aluva",
          "Ancharakandy",
          "Angamaly",
          "Aroor",
          "Arukutti",
          "Attingal",
          "Avinissery",
          "Azhikode North",
          "Azhikode South",
          "Azhiyur",
          "Balussery",
          "Bangramanjeshwar",
          "Beypur",
          "Brahmakulam",
          "Chala",
          "Chalakudi",
          "Changanacheri",
          "Chauwara",
          "Chavakkad",
          "Chelakkara",
          "Chelora",
          "Chendamangalam",
          "Chengamanad",
          "Chengannur",
          "Cheranallur",
          "Cheriyakadavu",
          "Cherthala",
          "Cherukunnu",
          "Cheruthazham",
          "Cheruvannur",
          "Cheruvattur",
          "Chevvur",
          "Chirakkal",
          "Chittur",
          "Chockli",
          "Churnikkara",
          "Dharmadam",
          "Edappal",
          "Edathala",
          "Elayavur",
          "Elur",
          "Eranholi",
          "Erattupetta",
          "Ernakulam",
          "Eruvatti",
          "Ettumanoor",
          "Feroke",
          "Guruvayur",
          "Haripad",
          "Hosabettu",
          "Idukki",
          "Iringaprom",
          "Irinjalakuda",
          "Iriveri",
          "Kadachira",
          "Kadalundi",
          "Kadamakkudy",
          "Kadirur",
          "Kadungallur",
          "Kakkodi",
          "Kalady",
          "Kalamassery",
          "Kalliasseri",
          "Kalpetta",
          "Kanhangad",
          "Kanhirode",
          "Kanjikkuzhi",
          "Kanjikode",
          "Kanjirappalli",
          "Kannadiparamba",
          "Kannangad",
          "Kannapuram",
          "Kannur",
          "Kannur Cantonment",
          "Karunagappally",
          "Karuvamyhuruthy",
          "Kasaragod",
          "Kasargod",
          "Kattappana",
          "Kayamkulam",
          "Kedamangalam",
          "Kochi",
          "Kodamthuruthu",
          "Kodungallur",
          "Koduvally",
          "Koduvayur",
          "Kokkothamangalam",
          "Kolazhy",
          "Kollam",
          "Komalapuram",
          "Koothattukulam",
          "Koratty",
          "Kothamangalam",
          "Kottarakkara",
          "Kottayam",
          "Kottayam Malabar",
          "Kottuvally",
          "Koyilandi",
          "Kozhikode",
          "Kudappanakunnu",
          "Kudlu",
          "Kumarakom",
          "Kumily",
          "Kunnamangalam",
          "Kunnamkulam",
          "Kurikkad",
          "Kurkkanchery",
          "Kuthuparamba",
          "Kuttakulam",
          "Kuttikkattur",
          "Kuttur",
          "Malappuram",
          "Mallappally",
          "Manjeri",
          "Manjeshwar",
          "Mannancherry",
          "Mannar",
          "Mannarakkat",
          "Maradu",
          "Marathakkara",
          "Marutharod",
          "Mattannur",
          "Mavelikara",
          "Mavilayi",
          "Mavur",
          "Methala",
          "Muhamma",
          "Mulavukad",
          "Mundakayam",
          "Munderi",
          "Munnar",
          "Muthakunnam",
          "Muvattupuzha",
          "Muzhappilangad",
          "Nadapuram",
          "Nadathara",
          "Narath",
          "Nattakam",
          "Nedumangad",
          "Nenmenikkara",
          "New Mahe",
          "Neyyattinkara",
          "Nileshwar",
          "Olavanna",
          "Ottapalam",
          "Ottappalam",
          "Paduvilayi",
          "Palai",
          "Palakkad",
          "Palayad",
          "Palissery",
          "Pallikkunnu",
          "Paluvai",
          "Panniyannur",
          "Pantalam",
          "Panthiramkavu",
          "Panur",
          "Pappinisseri",
          "Parassala",
          "Paravur",
          "Pathanamthitta",
          "Pathanapuram",
          "Pathiriyad",
          "Pattambi",
          "Pattiom",
          "Pavaratty",
          "Payyannur",
          "Peermade",
          "Perakam",
          "Peralasseri",
          "Peringathur",
          "Perinthalmanna",
          "Perole",
          "Perumanna",
          "Perumbaikadu",
          "Perumbavoor",
          "Pinarayi",
          "Piravam",
          "Ponnani",
          "Pottore",
          "Pudukad",
          "Punalur",
          "Puranattukara",
          "Puthunagaram",
          "Puthuppariyaram",
          "Puzhathi",
          "Ramanattukara",
          "Shoranur",
          "Sultans Battery",
          "Sulthan Bathery",
          "Talipparamba",
          "Thaikkad",
          "Thalassery",
          "Thannirmukkam",
          "Theyyalingal",
          "Thiruvalla",
          "Thiruvananthapuram",
          "Thiruvankulam",
          "Thodupuzha",
          "Thottada",
          "Thrippunithura",
          "Thrissur",
          "Tirur",
          "Udma",
          "Vadakara",
          "Vaikam",
          "Valapattam",
          "Vallachira",
          "Varam",
          "Varappuzha",
          "Varkala",
          "Vayalar",
          "Vazhakkala",
          "Venmanad",
          "Villiappally",
          "Wayanad",
          "Anandapur",
          "Angul",
          "Aska",
          "Athgarh",
          "Athmallik",
          "Balagoda",
          "Balangir",
          "Balasore",
          "Baleshwar",
          "Balimeta",
          "Balugaon",
          "Banapur",
          "Bangura",
          "Banki",
          "Banposh",
          "Barbil",
          "Bargarh",
          "Baripada",
          "Barpali",
          "Basudebpur",
          "Baudh",
          "Belagachhia",
          "Belaguntha",
          "Belpahar",
          "Berhampur",
          "Bhadrak",
          "Bhanjanagar",
          "Bhawanipatna",
          "Bhuban",
          "Bhubaneswar",
          "Binika",
          "Birmitrapur",
          "Bishama Katek",
          "Bolangir",
          "Brahmapur",
          "Brajrajnagar",
          "Buguda",
          "Burla",
          "Byasanagar",
          "Champua",
          "Chandapur",
          "Chandbali",
          "Chandili",
          "Charibatia",
          "Chatrapur",
          "Chikitigarh",
          "Chitrakonda",
          "Choudwar",
          "Cuttack",
          "Dadhapatna",
          "Daitari",
          "Damanjodi",
          "Deogarh",
          "Deracolliery",
          "Dhamanagar",
          "Dhenkanal",
          "Digapahandi",
          "Dungamal",
          "Fertilizer Corporation of Indi",
          "Ganjam",
          "Ghantapada",
          "Gopalpur",
          "Gudari",
          "Gunupur",
          "Hatibandha",
          "Hinjilikatu",
          "Hirakud",
          "Jagatsinghapur",
          "Jajpur",
          "Jalda",
          "Jaleswar",
          "Jatni",
          "Jaypur",
          "Jeypore",
          "Jharsuguda",
          "Jhumpura",
          "Joda",
          "Junagarh",
          "Kamakhyanagar",
          "Kantabanji",
          "Kantilo",
          "Karanja",
          "Kashinagara",
          "Kataka",
          "Kavisuryanagar",
          "Kendrapara",
          "Kendujhar",
          "Keonjhar",
          "Kesinga",
          "Khaliapali",
          "Khalikote",
          "Khandaparha",
          "Kharhial",
          "Kharhial Road",
          "Khatiguda",
          "Khurda",
          "Kochinda",
          "Kodala",
          "Konark",
          "Koraput",
          "Kotaparh",
          "Lanjigarh",
          "Lattikata",
          "Makundapur",
          "Malkangiri",
          "Mukhiguda",
          "Nabarangpur",
          "Nalco",
          "Naurangapur",
          "Nayagarh",
          "Nilagiri",
          "Nimaparha",
          "Nuapada",
          "Nuapatna",
          "OCL Industrialship",
          "Padampur",
          "Paradip",
          "Paradwip",
          "Parlakimidi",
          "Patamundai",
          "Patnagarh",
          "Phulabani",
          "Pipili",
          "Polasara",
          "Pratapsasan",
          "Puri",
          "Purushottampur",
          "Rairangpur",
          "Raj Gangpur",
          "Rambha",
          "Raurkela",
          "Raurkela Civil Township",
          "Rayagada",
          "Redhakhol",
          "Remuna",
          "Rengali",
          "Rourkela",
          "Sambalpur",
          "Sinapali",
          "Sonepur",
          "Sorada",
          "Soro",
          "Sunabeda",
          "Sundargarh",
          "Talcher",
          "Talcher Thermal Power Station",
          "Tarabha",
          "Tensa",
          "Titlagarh",
          "Udala",
          "Udayagiri",
          "Umarkot",
          "Vikrampur",
          "Ariankuppam",
          "Karaikal",
          "Kurumbapet",
          "Mahe",
          "Ozhukarai",
          "Pondicherry",
          "Villianur",
          "Yanam",
          "24 Parganas (n)",
          "24 Parganas (s)",
          "Adra",
          "Ahmadpur",
          "Aiho",
          "Aistala",
          "Alipur Duar",
          "Alipur Duar Railway Junction",
          "Alpur",
          "Amalhara",
          "Amkula",
          "Amlagora",
          "Amodghata",
          "Amtala",
          "Andul",
          "Anksa",
          "Ankurhati",
          "Anup Nagar",
          "Arambagh",
          "Argari",
          "Arsha",
          "Asansol",
          "Ashoknagar Kalyangarh",
          "Aurangabad",
          "Bablari Dewanganj",
          "Badhagachhi",
          "Baduria",
          "Baghdogra",
          "Bagnan",
          "Bagra",
          "Bagula",
          "Baharampur",
          "Bahirgram",
          "Bahula",
          "Baidyabati",
          "Bairatisal",
          "Baj Baj",
          "Bakreswar",
          "Balaram Pota",
          "Balarampur",
          "Bali Chak",
          "Ballavpur",
          "Bally",
          "Balurghat",
          "Bamunari",
          "Banarhat Tea Garden",
          "Bandel",
          "Bangaon",
          "Bankra",
          "Bankura",
          "Bansbaria",
          "Banshra",
          "Banupur",
          "Bara Bamonia",
          "Barakpur",
          "Barakpur Cantonment",
          "Baranagar",
          "Barasat",
          "Barddhaman",
          "Barijhati",
          "Barjora",
          "Barrackpore",
          "Baruihuda",
          "Baruipur",
          "Barunda",
          "Basirhat",
          "Baska",
          "Begampur",
          "Beldanga",
          "Beldubi",
          "Belebathan",
          "Beliator",
          "Bhadreswar",
          "Bhandardaha",
          "Bhangar Raghunathpur",
          "Bhangri Pratham Khanda",
          "Bhanowara",
          "Bhatpara",
          "Bholar Dabri",
          "Bidhannagar",
          "Bidyadharpur",
          "Biki Hakola",
          "Bilandapur",
          "Bilpahari",
          "Bipra Noapara",
          "Birlapur",
          "Birnagar",
          "Bisarpara",
          "Bishnupur",
          "Bolpur",
          "Bongaon",
          "Bowali",
          "Burdwan",
          "Canning",
          "Cart Road",
          "Chachanda",
          "Chak Bankola",
          "Chak Enayetnagar",
          "Chak Kashipur",
          "Chakalampur",
          "Chakbansberia",
          "Chakdaha",
          "Chakpara",
          "Champahati",
          "Champdani",
          "Chamrail",
          "Chandannagar",
          "Chandpur",
          "Chandrakona",
          "Chapari",
          "Chapui",
          "Char Brahmanagar",
          "Char Maijdia",
          "Charka",
          "Chata Kalikapur",
          "Chauhati",
          "Checha Khata",
          "Chelad",
          "Chhora",
          "Chikrand",
          "Chittaranjan",
          "Contai",
          "Cooch Behar",
          "Dainhat",
          "Dakshin Baguan",
          "Dakshin Jhapardaha",
          "Dakshin Rajyadharpur",
          "Dakshin Raypur",
          "Dalkola",
          "Dalurband",
          "Darap Pur",
          "Darjiling",
          "Daulatpur",
          "Debipur",
          "Defahat",
          "Deora",
          "Deulia",
          "Dhakuria",
          "Dhandadihi",
          "Dhanyakuria",
          "Dharmapur",
          "Dhatri Gram",
          "Dhuilya",
          "Dhulagari",
          "Dhulian",
          "Dhupgari",
          "Dhusaripara",
          "Diamond Harbour",
          "Digha",
          "Dignala",
          "Dinhata",
          "Dubrajpur",
          "Dumjor",
          "Durgapur",
          "Durllabhganj",
          "Egra",
          "Eksara",
          "Falakata",
          "Farakka",
          "Fatellapur",
          "Fort Gloster",
          "Gabberia",
          "Gadigachha",
          "Gairkata",
          "Gangarampur",
          "Garalgachha",
          "Garbeta Amlagora",
          "Garhbeta",
          "Garshyamnagar",
          "Garui",
          "Garulia",
          "Gayespur",
          "Ghatal",
          "Ghorsala",
          "Goaljan",
          "Goasafat",
          "Gobardanga",
          "Gobindapur",
          "Gopalpur",
          "Gopinathpur",
          "Gora Bazar",
          "Guma",
          "Gurdaha",
          "Guriahati",
          "Guskhara",
          "Habra",
          "Haldia",
          "Haldibari",
          "Halisahar",
          "Haora",
          "Harharia Chak",
          "Harindanga",
          "Haringhata",
          "Haripur",
          "Harishpur",
          "Hatgachha",
          "Hatsimla",
          "Hijuli",
          "Hindustan Cables Town",
          "Hooghly",
          "Howrah",
          "Hugli-Chunchura",
          "Humaipur",
          "Ichha Pur Defence Estate",
          "Ingraj Bazar",
          "Islampur",
          "Jafarpur",
          "Jagadanandapur",
          "Jagdishpur",
          "Jagtaj",
          "Jala Kendua",
          "Jaldhaka",
          "Jalkhura",
          "Jalpaiguri",
          "Jamuria",
          "Jangipur",
          "Jaygaon",
          "Jaynagar-Majilpur",
          "Jemari",
          "Jemari Township",
          "Jetia",
          "Jhalida",
          "Jhargram",
          "Jhorhat",
          "Jiaganj-Azimganj",
          "Joka",
          "Jot Kamal",
          "Kachu Pukur",
          "Kajora",
          "Kakdihi",
          "Kakdwip",
          "Kalaikunda",
          "Kalara",
          "Kalimpong",
          "Kaliyaganj",
          "Kalna",
          "Kalyani",
          "Kamarhati",
          "Kanaipur",
          "Kanchrapara",
          "Kandi",
          "Kanki",
          "Kankuria",
          "Kantlia",
          "Kanyanagar",
          "Karimpur",
          "Karsiyang",
          "Kasba",
          "Kasimbazar",
          "Katwa",
          "Kaugachhi",
          "Kenda",
          "Kendra Khottamdi",
          "Kendua",
          "Kesabpur",
          "Khagrabari",
          "Khalia",
          "Khalor",
          "Khandra",
          "Khantora",
          "Kharagpur",
          "Kharagpur Railway Settlement",
          "Kharar",
          "Khardaha",
          "Khari Mala Khagrabari",
          "Kharsarai",
          "Khatra",
          "Khodarampur",
          "Kodalia",
          "Kolaghat",
          "Kolaghat Thermal Power Project",
          "Kolkata",
          "Konardihi",
          "Konnogar",
          "Krishnanagar",
          "Krishnapur",
          "Kshidirpur",
          "Kshirpai",
          "Kulihanda",
          "Kulti",
          "Kunustara",
          "Kuperskem",
          "Madanpur",
          "Madhusudanpur",
          "Madhyamgram",
          "Maheshtala",
          "Mahiari",
          "Mahikpur",
          "Mahira",
          "Mahishadal",
          "Mainaguri",
          "Makardaha",
          "Mal",
          "Malda",
          "Mandarbani",
          "Mansinhapur",
          "Masila",
          "Maslandapur",
          "Mathabhanga",
          "Mekliganj",
          "Memari",
          "Midnapur",
          "Mirik",
          "Monoharpur",
          "Mrigala",
          "Muragachha",
          "Murgathaul",
          "Murshidabad",
          "Nabadhai Dutta Pukur",
          "Nabagram",
          "Nabgram",
          "Nachhratpur Katabari",
          "Nadia",
          "Naihati",
          "Nalhati",
          "Nasra",
          "Natibpur",
          "Naupala",
          "Navadwip",
          "Nebadhai Duttapukur",
          "New Barrackpore",
          "Ni Barakpur",
          "Nibra",
          "Noapara",
          "Nokpul",
          "North Barakpur",
          "Odlabari",
          "Old Maldah",
          "Ondal",
          "Pairagachha",
          "Palashban",
          "Panchla",
          "Panchpara",
          "Pandua",
          "Pangachhiya",
          "Paniara",
          "Panihati",
          "Panuhat",
          "Par Beliya",
          "Parashkol",
          "Parasia",
          "Parbbatipur",
          "Parui",
          "Paschim Jitpur",
          "Paschim Punro Para",
          "Patrasaer",
          "Pattabong Tea Garden",
          "Patuli",
          "Patulia",
          "Phulia",
          "Podara",
          "Port Blair",
          "Prayagpur",
          "Pujali",
          "Purba Medinipur",
          "Purba Tajpur",
          "Purulia",
          "Raghudebbati",
          "Raghudebpur",
          "Raghunathchak",
          "Raghunathpur",
          "Raghunathpur-Dankuni",
          "Raghunathpur-Magra",
          "Raigachhi",
          "Raiganj",
          "Raipur",
          "Rajarhat Gopalpur",
          "Rajpur",
          "Ramchandrapur",
          "Ramjibanpur",
          "Ramnagar",
          "Rampur Hat",
          "Ranaghat",
          "Raniganj",
          "Ratibati",
          "Raypur",
          "Rishra",
          "Rishra Cantonment",
          "Ruiya",
          "Sahajadpur",
          "Sahapur",
          "Sainthia",
          "Salap",
          "Sankarpur",
          "Sankrail",
          "Santoshpur",
          "Saontaidih",
          "Sarenga",
          "Sarpi",
          "Satigachha",
          "Serpur",
          "Shankhanagar",
          "Shantipur",
          "Shrirampur",
          "Siduli",
          "Siliguri",
          "Simla",
          "Singur",
          "Sirsha",
          "Siuri",
          "Sobhaganj",
          "Sodpur",
          "Sonamukhi",
          "Sonatikiri",
          "Srikantabati",
          "Srirampur",
          "Sukdal",
          "Taherpur",
          "Taki",
          "Talbandha",
          "Tamluk",
          "Tarakeswar",
          "Tentulberia",
          "Tentulkuli",
          "Thermal Power Project",
          "Tinsukia",
          "Titagarh",
          "Tufanganj",
          "Ukhra",
          "Ula",
          "Ulubaria",
          "Uttar Durgapur",
          "Uttar Goara",
          "Uttar Kalas",
          "Uttar Kamakhyaguri",
          "Uttar Latabari",
          "Uttar Mahammadpur",
          "Uttar Pirpur",
          "Uttar Raypur",
          "Uttarpara-Kotrung",
          "Makung",
          "Dali",
          "South District",
          "Ta-Ya Shang",
          "Kuanshan",
          "Taitung",
          "Dushanbe"
        ]),
        States(name: "Andhra Pradesh", cities: [
          "Along",
          "Basar",
          "Bondila",
          "Changlang",
          "Daporijo",
          "Deomali",
          "Itanagar",
          "Jairampur",
          "Khonsa",
          "Naharlagun",
          "Namsai",
          "Pasighat",
          "Roing",
          "Seppa",
          "Tawang",
          "Tezu",
          "Ziro"
        ]),
        States(name: "Arunachal Pradesh", cities: [
          "Abhayapuri",
          "Ambikapur",
          "Amguri",
          "Anand Nagar",
          "Badarpur",
          "Badarpur Railway Town",
          "Bahbari Gaon",
          "Bamun Sualkuchi",
          "Barbari",
          "Barpathar",
          "Barpeta",
          "Barpeta Road",
          "Basugaon",
          "Bihpuria",
          "Bijni",
          "Bilasipara",
          "Biswanath Chariali",
          "Bohori",
          "Bokajan",
          "Bokokhat",
          "Bongaigaon",
          "Bongaigaon Petro-chemical Town",
          "Borgolai",
          "Chabua",
          "Chandrapur Bagicha",
          "Chapar",
          "Chekonidhara",
          "Choto Haibor",
          "Dergaon",
          "Dharapur",
          "Dhekiajuli",
          "Dhemaji",
          "Dhing",
          "Dhubri",
          "Dhuburi",
          "Dibrugarh",
          "Digboi",
          "Digboi Oil Town",
          "Dimaruguri",
          "Diphu",
          "Dispur",
          "Doboka",
          "Dokmoka",
          "Donkamokan",
          "Duliagaon",
          "Duliajan",
          "Duliajan No.1",
          "Dum Duma",
          "Durga Nagar",
          "Gauripur",
          "Goalpara",
          "Gohpur",
          "Golaghat",
          "Golakganj",
          "Gossaigaon",
          "Guwahati",
          "Haflong",
          "Hailakandi",
          "Hamren",
          "Hauli",
          "Hauraghat",
          "Hojai",
          "Jagiroad",
          "Jagiroad Paper Mill",
          "Jogighopa",
          "Jonai Bazar",
          "Jorhat",
          "Kampur Town",
          "Kamrup",
          "Kanakpur",
          "Karimganj",
          "Kharijapikon",
          "Kharupetia",
          "Kochpara",
          "Kokrajhar",
          "Kumar Kaibarta Gaon",
          "Lakhimpur",
          "Lakhipur",
          "Lala",
          "Lanka",
          "Lido Tikok",
          "Lido Town",
          "Lumding",
          "Lumding Railway Colony",
          "Mahur",
          "Maibong",
          "Majgaon",
          "Makum",
          "Mangaldai",
          "Mankachar",
          "Margherita",
          "Mariani",
          "Marigaon",
          "Moran",
          "Moranhat",
          "Nagaon",
          "Naharkatia",
          "Nalbari",
          "Namrup",
          "Naubaisa Gaon",
          "Nazira",
          "New Bongaigaon Railway Colony",
          "Niz-Hajo",
          "North Guwahati",
          "Numaligarh",
          "Palasbari",
          "Panchgram",
          "Pathsala",
          "Raha",
          "Rangapara",
          "Rangia",
          "Salakati",
          "Sapatgram",
          "Sarthebari",
          "Sarupathar",
          "Sarupathar Bengali",
          "Senchoagaon",
          "Sibsagar",
          "Silapathar",
          "Silchar",
          "Silchar Part-X",
          "Sonari",
          "Sorbhog",
          "Sualkuchi",
          "Tangla",
          "Tezpur",
          "Tihu",
          "Tinsukia",
          "Titabor",
          "Udalguri",
          "Umrangso",
          "Uttar Krishnapur Part-I"
        ]),
        States(name: "Assam", cities: [
          "Amarpur",
          "Ara",
          "Araria",
          "Areraj",
          "Asarganj",
          "Aurangabad",
          "Bagaha",
          "Bahadurganj",
          "Bairgania",
          "Bakhtiyarpur",
          "Banka",
          "Banmankhi",
          "Bar Bigha",
          "Barauli",
          "Barauni Oil Township",
          "Barh",
          "Barhiya",
          "Bariapur",
          "Baruni",
          "Begusarai",
          "Behea",
          "Belsand",
          "Bettiah",
          "Bhabua",
          "Bhagalpur",
          "Bhimnagar",
          "Bhojpur",
          "Bihar",
          "Bihar Sharif",
          "Bihariganj",
          "Bikramganj",
          "Birpur",
          "Bodh Gaya",
          "Buxar",
          "Chakia",
          "Chanpatia",
          "Chhapra",
          "Chhatapur",
          "Colgong",
          "Dalsingh Sarai",
          "Darbhanga",
          "Daudnagar",
          "Dehri",
          "Dhaka",
          "Dighwara",
          "Dinapur",
          "Dinapur Cantonment",
          "Dumra",
          "Dumraon",
          "Fatwa",
          "Forbesganj",
          "Gaya",
          "Gazipur",
          "Ghoghardiha",
          "Gogri Jamalpur",
          "Gopalganj",
          "Habibpur",
          "Hajipur",
          "Hasanpur",
          "Hazaribagh",
          "Hilsa",
          "Hisua",
          "Islampur",
          "Jagdispur",
          "Jahanabad",
          "Jamalpur",
          "Jamhaur",
          "Jamui",
          "Janakpur Road",
          "Janpur",
          "Jaynagar",
          "Jha Jha",
          "Jhanjharpur",
          "Jogbani",
          "Kanti",
          "Kasba",
          "Kataiya",
          "Katihar",
          "Khagaria",
          "Khagaul",
          "Kharagpur",
          "Khusrupur",
          "Kishanganj",
          "Koath",
          "Koilwar",
          "Lakhisarai",
          "Lalganj",
          "Lauthaha",
          "Madhepura",
          "Madhubani",
          "Maharajganj",
          "Mahnar Bazar",
          "Mairwa",
          "Makhdumpur",
          "Maner",
          "Manihari",
          "Marhaura",
          "Masaurhi",
          "Mirganj",
          "Mohiuddinagar",
          "Mokama",
          "Motihari",
          "Motipur",
          "Munger",
          "Murliganj",
          "Muzaffarpur",
          "Nabinagar",
          "Narkatiaganj",
          "Nasriganj",
          "Natwar",
          "Naugachhia",
          "Nawada",
          "Nirmali",
          "Nokha",
          "Paharpur",
          "Patna",
          "Phulwari",
          "Piro",
          "Purnia",
          "Pusa",
          "Rafiganj",
          "Raghunathpur",
          "Rajgir",
          "Ramnagar",
          "Raxaul",
          "Revelganj",
          "Rusera",
          "Sagauli",
          "Saharsa",
          "Samastipur",
          "Sasaram",
          "Shahpur",
          "Shaikhpura",
          "Sherghati",
          "Shivhar",
          "Silao",
          "Sitamarhi",
          "Siwan",
          "Sonepur",
          "Sultanganj",
          "Supaul",
          "Teghra",
          "Tekari",
          "Thakurganj",
          "Vaishali",
          "Waris Aliganj"
        ]),
        States(name: "Bihar", cities: ["Chandigarh"]),
        States(name: "Chandigarh", cities: [
          "Ahiwara",
          "Akaltara",
          "Ambagarh Chauki",
          "Ambikapur",
          "Arang",
          "Bade Bacheli",
          "Bagbahara",
          "Baikunthpur",
          "Balod",
          "Baloda",
          "Baloda Bazar",
          "Banarsi",
          "Basna",
          "Bemetra",
          "Bhanpuri",
          "Bhatapara",
          "Bhatgaon",
          "Bhilai",
          "Bilaspur",
          "Bilha",
          "Birgaon",
          "Bodri",
          "Champa",
          "Charcha",
          "Charoda",
          "Chhuikhadan",
          "Chirmiri",
          "Dantewada",
          "Deori",
          "Dhamdha",
          "Dhamtari",
          "Dharamjaigarh",
          "Dipka",
          "Doman Hill Colliery",
          "Dongargaon",
          "Dongragarh",
          "Durg",
          "Frezarpur",
          "Gandai",
          "Gariaband",
          "Gaurela",
          "Gelhapani",
          "Gharghoda",
          "Gidam",
          "Gobra Nawapara",
          "Gogaon",
          "Hatkachora",
          "Jagdalpur",
          "Jamui",
          "Jashpurnagar",
          "Jhagrakhand",
          "Kanker",
          "Katghora",
          "Kawardha",
          "Khairagarh",
          "Khamhria",
          "Kharod",
          "Kharsia",
          "Khonga Pani",
          "Kirandu",
          "Kirandul",
          "Kohka",
          "Kondagaon",
          "Korba",
          "Korea",
          "Koria Block",
          "Kota",
          "Kumhari",
          "Kumud Katta",
          "Kurasia",
          "Kurud",
          "Lingiyadih",
          "Lormi",
          "Mahasamund",
          "Mahendragarh",
          "Mehmand",
          "Mongra",
          "Mowa",
          "Mungeli",
          "Nailajanjgir",
          "Namna Kalan",
          "Naya Baradwar",
          "Pandariya",
          "Patan",
          "Pathalgaon",
          "Pendra",
          "Phunderdihari",
          "Pithora",
          "Raigarh",
          "Raipur",
          "Rajgamar",
          "Rajhara",
          "Rajnandgaon",
          "Ramanuj Ganj",
          "Ratanpur",
          "Sakti",
          "Saraipali",
          "Sarajpur",
          "Sarangarh",
          "Shivrinarayan",
          "Simga",
          "Sirgiti",
          "Takhatpur",
          "Telgaon",
          "Tildanewra",
          "Urla",
          "Vishrampur"
        ]),
        States(name: "Chhattisgarh", cities: ["Amli", "Silvassa"]),
        States(name: "Dadra and Nagar Haveli", cities: ["Daman", "Diu"]),
        States(name: "Daman and Diu", cities: ["Delhi", "New Delhi"]),
        States(name: "Delhi", cities: [
          "Aldona",
          "Altinho",
          "Aquem",
          "Arpora",
          "Bambolim",
          "Bandora",
          "Bardez",
          "Benaulim",
          "Betora",
          "Bicholim",
          "Calapor",
          "Candolim",
          "Caranzalem",
          "Carapur",
          "Chicalim",
          "Chimbel",
          "Chinchinim",
          "Colvale",
          "Corlim",
          "Cortalim",
          "Cuncolim",
          "Curchorem",
          "Curti",
          "Davorlim",
          "Dona Paula",
          "Goa",
          "Guirim",
          "Jua",
          "Kalangat",
          "Kankon",
          "Kundaim",
          "Loutulim",
          "Madgaon",
          "Mapusa",
          "Margao",
          "Margaon",
          "Miramar",
          "Morjim",
          "Mormugao",
          "Navelim",
          "Pale",
          "Panaji",
          "Parcem",
          "Parra",
          "Penha de Franca",
          "Pernem",
          "Pilerne",
          "Pissurlem",
          "Ponda",
          "Porvorim",
          "Quepem",
          "Queula",
          "Raia",
          "Reis Magos",
          "Salcette",
          "Saligao",
          "Sancoale",
          "Sanguem",
          "Sanquelim",
          "Sanvordem",
          "Sao Jose-de-Areal",
          "Sattari",
          "Serula",
          "Sinquerim",
          "Siolim",
          "Taleigao",
          "Tivim",
          "Valpoi",
          "Varca",
          "Vasco",
          "Verna"
        ]),
        States(name: "Goa", cities: [
          "Abrama",
          "Adalaj",
          "Adityana",
          "Advana",
          "Ahmedabad",
          "Ahwa",
          "Alang",
          "Ambaji",
          "Ambaliyasan",
          "Amod",
          "Amreli",
          "Amroli",
          "Anand",
          "Andada",
          "Anjar",
          "Anklav",
          "Ankleshwar",
          "Anklesvar INA",
          "Antaliya",
          "Arambhada",
          "Asarma",
          "Atul",
          "Babra",
          "Bag-e-Firdosh",
          "Bagasara",
          "Bahadarpar",
          "Bajipura",
          "Bajva",
          "Balasinor",
          "Banaskantha",
          "Bansda",
          "Bantva",
          "Bardoli",
          "Barwala",
          "Bayad",
          "Bechar",
          "Bedi",
          "Beyt",
          "Bhachau",
          "Bhanvad",
          "Bharuch",
          "Bharuch INA",
          "Bhavnagar",
          "Bhayavadar",
          "Bhestan",
          "Bhuj",
          "Bilimora",
          "Bilkha",
          "Billimora",
          "Bodakdev",
          "Bodeli",
          "Bopal",
          "Boria",
          "Boriavi",
          "Borsad",
          "Botad",
          "Cambay",
          "Chaklasi",
          "Chala",
          "Chalala",
          "Chalthan",
          "Chanasma",
          "Chandisar",
          "Chandkheda",
          "Chanod",
          "Chaya",
          "Chenpur",
          "Chhapi",
          "Chhaprabhatha",
          "Chhatral",
          "Chhota Udepur",
          "Chikhli",
          "Chiloda",
          "Chorvad",
          "Chotila",
          "Dabhoi",
          "Dadara",
          "Dahod",
          "Dakor",
          "Damnagar",
          "Deesa",
          "Delvada",
          "Devgadh Baria",
          "Devsar",
          "Dhandhuka",
          "Dhanera",
          "Dhangdhra",
          "Dhansura",
          "Dharampur",
          "Dhari",
          "Dhola",
          "Dholka",
          "Dholka Rural",
          "Dhoraji",
          "Dhrangadhra",
          "Dhrol",
          "Dhuva",
          "Dhuwaran",
          "Digvijaygram",
          "Disa",
          "Dungar",
          "Dungarpur",
          "Dungra",
          "Dwarka",
          "Flelanganj",
          "GSFC Complex",
          "Gadhda",
          "Gandevi",
          "Gandhidham",
          "Gandhinagar",
          "Gariadhar",
          "Ghogha",
          "Godhra",
          "Gondal",
          "Hajira INA",
          "Halol",
          "Halvad",
          "Hansot",
          "Harij",
          "Himatnagar",
          "Ichchhapor",
          "Idar",
          "Jafrabad",
          "Jalalpore",
          "Jambusar",
          "Jamjodhpur",
          "Jamnagar",
          "Jasdan",
          "Jawaharnagar",
          "Jetalsar",
          "Jetpur",
          "Jodiya",
          "Joshipura",
          "Junagadh",
          "Kadi",
          "Kadodara",
          "Kalavad",
          "Kali",
          "Kaliawadi",
          "Kalol",
          "Kalol INA",
          "Kandla",
          "Kanjari",
          "Kanodar",
          "Kapadwanj",
          "Karachiya",
          "Karamsad",
          "Karjan",
          "Kathial",
          "Kathor",
          "Katpar",
          "Kavant",
          "Keshod",
          "Kevadiya",
          "Khambhaliya",
          "Khambhat",
          "Kharaghoda",
          "Khed Brahma",
          "Kheda",
          "Kheralu",
          "Kodinar",
          "Kosamba",
          "Kundla",
          "Kutch",
          "Kutiyana",
          "Lakhtar",
          "Lalpur",
          "Lambha",
          "Lathi",
          "Limbdi",
          "Limla",
          "Lunavada",
          "Madhapar",
          "Maflipur",
          "Mahemdavad",
          "Mahudha",
          "Mahuva",
          "Mahuvar",
          "Makarba",
          "Makarpura",
          "Makassar",
          "Maktampur",
          "Malia",
          "Malpur",
          "Manavadar",
          "Mandal",
          "Mandvi",
          "Mangrol",
          "Mansa",
          "Meghraj",
          "Mehsana",
          "Mendarla",
          "Mithapur",
          "Modasa",
          "Mogravadi",
          "Morbi",
          "Morvi",
          "Mundra",
          "Nadiad",
          "Naliya",
          "Nanakvada",
          "Nandej",
          "Nandesari",
          "Nandesari INA",
          "Naroda",
          "Navagadh",
          "Navagam Ghed",
          "Navsari",
          "Ode",
          "Okaf",
          "Okha",
          "Olpad",
          "Paddhari",
          "Padra",
          "Palanpur",
          "Palej",
          "Pali",
          "Palitana",
          "Paliyad",
          "Pandesara",
          "Panoli",
          "Pardi",
          "Parnera",
          "Parvat",
          "Patan",
          "Patdi",
          "Petlad",
          "Petrochemical Complex",
          "Porbandar",
          "Prantij",
          "Radhanpur",
          "Raiya",
          "Rajkot",
          "Rajpipla",
          "Rajula",
          "Ramod",
          "Ranavav",
          "Ranoli",
          "Rapar",
          "Sahij",
          "Salaya",
          "Sanand",
          "Sankheda",
          "Santrampur",
          "Saribujrang",
          "Sarigam INA",
          "Sayan",
          "Sayla",
          "Shahpur",
          "Shahwadi",
          "Shapar",
          "Shivrajpur",
          "Siddhapur",
          "Sidhpur",
          "Sihor",
          "Sika",
          "Singarva",
          "Sinor",
          "Sojitra",
          "Sola",
          "Songadh",
          "Suraj Karadi",
          "Surat",
          "Surendranagar",
          "Talaja",
          "Talala",
          "Talod",
          "Tankara",
          "Tarsali",
          "Thangadh",
          "Tharad",
          "Thasra",
          "Udyognagar",
          "Ukai",
          "Umbergaon",
          "Umbergaon INA",
          "Umrala",
          "Umreth",
          "Un",
          "Una",
          "Unjha",
          "Upleta",
          "Utran",
          "Uttarsanda",
          "V.U. Nagar",
          "V.V. Nagar",
          "Vadia",
          "Vadla",
          "Vadnagar",
          "Vadodara",
          "Vaghodia INA",
          "Valbhipur",
          "Vallabh Vidyanagar",
          "Valsad",
          "Valsad INA",
          "Vanthali",
          "Vapi",
          "Vapi INA",
          "Vartej",
          "Vasad",
          "Vasna Borsad INA",
          "Vaso",
          "Veraval",
          "Vidyanagar",
          "Vijalpor",
          "Vijapur",
          "Vinchhiya",
          "Vinzol",
          "Virpur",
          "Visavadar",
          "Visnagar",
          "Vyara",
          "Wadhwan",
          "Waghai",
          "Waghodia",
          "Wankaner",
          "Zalod"
        ]),
        States(name: "Gujarat", cities: [
          "Ambala",
          "Ambala Cantt",
          "Asan Khurd",
          "Asandh",
          "Ateli",
          "Babiyal",
          "Bahadurgarh",
          "Ballabgarh",
          "Barwala",
          "Bawal",
          "Bawani Khera",
          "Beri",
          "Bhiwani",
          "Bilaspur",
          "Buria",
          "Charkhi Dadri",
          "Chhachhrauli",
          "Chita",
          "Dabwali",
          "Dharuhera",
          "Dundahera",
          "Ellenabad",
          "Farakhpur",
          "Faridabad",
          "Farrukhnagar",
          "Fatehabad",
          "Firozpur Jhirka",
          "Gannaur",
          "Ghraunda",
          "Gohana",
          "Gurgaon",
          "Haileymandi",
          "Hansi",
          "Hasanpur",
          "Hathin",
          "Hisar",
          "Hissar",
          "Hodal",
          "Indri",
          "Jagadhri",
          "Jakhal Mandi",
          "Jhajjar",
          "Jind",
          "Julana",
          "Kaithal",
          "Kalanur",
          "Kalanwali",
          "Kalayat",
          "Kalka",
          "Kanina",
          "Kansepur",
          "Kardhan",
          "Karnal",
          "Kharkhoda",
          "Kheri Sampla",
          "Kundli",
          "Kurukshetra",
          "Ladrawan",
          "Ladwa",
          "Loharu",
          "Maham",
          "Mahendragarh",
          "Mustafabad",
          "Nagai Chaudhry",
          "Narayangarh",
          "Narnaul",
          "Narnaund",
          "Narwana",
          "Nilokheri",
          "Nuh",
          "Palwal",
          "Panchkula",
          "Panipat",
          "Panipat Taraf Ansar",
          "Panipat Taraf Makhdum Zadgan",
          "Panipat Taraf Rajputan",
          "Pehowa",
          "Pinjaur",
          "Punahana",
          "Pundri",
          "Radaur",
          "Raipur Rani",
          "Rania",
          "Ratiya",
          "Rewari",
          "Rohtak",
          "Ropar",
          "Sadauri",
          "Safidon",
          "Samalkha",
          "Sankhol",
          "Sasauli",
          "Shahabad",
          "Sirsa",
          "Siwani",
          "Sohna",
          "Sonipat",
          "Sukhrali",
          "Taoru",
          "Taraori",
          "Tauru",
          "Thanesar",
          "Tilpat",
          "Tohana",
          "Tosham",
          "Uchana",
          "Uklana Mandi",
          "Uncha Siwana",
          "Yamunanagar"
        ]),
        States(name: "Haryana", cities: [
          "Arki",
          "Baddi",
          "Bakloh",
          "Banjar",
          "Bhota",
          "Bhuntar",
          "Bilaspur",
          "Chamba",
          "Chaupal",
          "Chuari Khas",
          "Dagshai",
          "Dalhousie",
          "Dalhousie Cantonment",
          "Damtal",
          "Daulatpur",
          "Dera Gopipur",
          "Dhalli",
          "Dharamshala",
          "Gagret",
          "Ghamarwin",
          "Hamirpur",
          "Jawala Mukhi",
          "Jogindarnagar",
          "Jubbal",
          "Jutogh",
          "Kala Amb",
          "Kalpa",
          "Kangra",
          "Kasauli",
          "Kot Khai",
          "Kullu",
          "Kulu",
          "Manali",
          "Mandi",
          "Mant Khas",
          "Mehatpur Basdehra",
          "Nadaun",
          "Nagrota",
          "Nahan",
          "Naina Devi",
          "Nalagarh",
          "Narkanda",
          "Nurpur",
          "Palampur",
          "Pandoh",
          "Paonta Sahib",
          "Parwanoo",
          "Parwanu",
          "Rajgarh",
          "Rampur",
          "Rawalsar",
          "Rohru",
          "Sabathu",
          "Santokhgarh",
          "Sarahan",
          "Sarka Ghat",
          "Seoni",
          "Shimla",
          "Sirmaur",
          "Solan",
          "Solon",
          "Sundarnagar",
          "Sundernagar",
          "Talai",
          "Theog",
          "Tira Sujanpur",
          "Una",
          "Yol"
        ]),
        States(name: "Himachal Pradesh", cities: [
          "Achabal",
          "Akhnur",
          "Anantnag",
          "Arnia",
          "Awantipora",
          "Badami Bagh",
          "Bandipur",
          "Banihal",
          "Baramula",
          "Baramulla",
          "Bari Brahmana",
          "Bashohli",
          "Batote",
          "Bhaderwah",
          "Bijbiara",
          "Billawar",
          "Birwah",
          "Bishna",
          "Budgam",
          "Charari Sharief",
          "Chenani",
          "Doda",
          "Duru-Verinag",
          "Gandarbat",
          "Gho Manhasan",
          "Gorah Salathian",
          "Gulmarg",
          "Hajan",
          "Handwara",
          "Hiranagar",
          "Jammu",
          "Jammu Cantonment",
          "Jammu Tawi",
          "Jourian",
          "Kargil",
          "Kathua",
          "Katra",
          "Khan Sahib",
          "Khour",
          "Khrew",
          "Kishtwar",
          "Kud",
          "Kukernag",
          "Kulgam",
          "Kunzer",
          "Kupwara",
          "Lakhenpur",
          "Leh",
          "Magam",
          "Mattan",
          "Naushehra",
          "Pahalgam",
          "Pampore",
          "Parole",
          "Pattan",
          "Pulwama",
          "Punch",
          "Qazigund",
          "Rajauri",
          "Ramban",
          "Ramgarh",
          "Ramnagar",
          "Ranbirsingh Pora",
          "Reasi",
          "Rehambal",
          "Samba",
          "Shupiyan",
          "Sopur",
          "Srinagar",
          "Sumbal",
          "Sunderbani",
          "Talwara",
          "Thanamandi",
          "Tral",
          "Udhampur",
          "Uri",
          "Vijaypur"
        ]),
        States(name: "Jammu and Kashmir", cities: [
          "Adityapur",
          "Amlabad",
          "Angarpathar",
          "Ara",
          "Babua Kalan",
          "Bagbahra",
          "Baliapur",
          "Baliari",
          "Balkundra",
          "Bandhgora",
          "Barajamda",
          "Barhi",
          "Barka Kana",
          "Barki Saraiya",
          "Barughutu",
          "Barwadih",
          "Basaria",
          "Basukinath",
          "Bermo",
          "Bhagatdih",
          "Bhaurah",
          "Bhojudih",
          "Bhuli",
          "Bokaro",
          "Borio Bazar",
          "Bundu",
          "Chaibasa",
          "Chaitudih",
          "Chakradharpur",
          "Chakulia",
          "Chandaur",
          "Chandil",
          "Chandrapura",
          "Chas",
          "Chatra",
          "Chhatatanr",
          "Chhotaputki",
          "Chiria",
          "Chirkunda",
          "Churi",
          "Daltenganj",
          "Danguwapasi",
          "Dari",
          "Deoghar",
          "Deorikalan",
          "Devghar",
          "Dhanbad",
          "Dhanwar",
          "Dhaunsar",
          "Dugda",
          "Dumarkunda",
          "Dumka",
          "Egarkunr",
          "Gadhra",
          "Garwa",
          "Ghatsila",
          "Ghorabandha",
          "Gidi",
          "Giridih",
          "Gobindpur",
          "Godda",
          "Godhar",
          "Golphalbari",
          "Gomoh",
          "Gua",
          "Gumia",
          "Gumla",
          "Haludbani",
          "Hazaribag",
          "Hesla",
          "Husainabad",
          "Isri",
          "Jadugora",
          "Jagannathpur",
          "Jamadoba",
          "Jamshedpur",
          "Jamtara",
          "Jarangdih",
          "Jaridih",
          "Jasidih",
          "Jena",
          "Jharia",
          "Jharia Khas",
          "Jhinkpani",
          "Jhumri Tilaiya",
          "Jorapokhar",
          "Jugsalai",
          "Kailudih",
          "Kalikapur",
          "Kandra",
          "Kanke",
          "Katras",
          "Kedla",
          "Kenduadih",
          "Kharkhari",
          "Kharsawan",
          "Khelari",
          "Khunti",
          "Kiri Buru",
          "Kiriburu",
          "Kodarma",
          "Kuju",
          "Kurpania",
          "Kustai",
          "Lakarka",
          "Lapanga",
          "Latehar",
          "Lohardaga",
          "Loiya",
          "Loyabad",
          "Madhupur",
          "Mahesh Mundi",
          "Maithon",
          "Malkera",
          "Mango",
          "Manoharpur",
          "Marma",
          "Meghahatuburu Forest village",
          "Mera",
          "Meru",
          "Mihijam",
          "Mugma",
          "Muri",
          "Mushabani",
          "Nagri Kalan",
          "Netarhat",
          "Nirsa",
          "Noamundi",
          "Okni",
          "Orla",
          "Pakaur",
          "Palamau",
          "Palawa",
          "Panchet",
          "Panrra",
          "Paratdih",
          "Pathardih",
          "Patratu",
          "Phusro",
          "Pondar Kanali",
          "Rajmahal",
          "Ramgarh",
          "Ranchi",
          "Ray",
          "Rehla",
          "Religara",
          "Rohraband",
          "Sahibganj",
          "Sahnidih",
          "Saraidhela",
          "Saraikela",
          "Sarjamda",
          "Saunda",
          "Sewai",
          "Sijhua",
          "Sijua",
          "Simdega",
          "Sindari",
          "Sinduria",
          "Sini",
          "Sirka",
          "Siuliban",
          "Surubera",
          "Tati",
          "Tenudam",
          "Tisra",
          "Topa",
          "Topchanchi"
        ]),
        States(name: "Jharkhand", cities: [
          "Adityanagar",
          "Adityapatna",
          "Afzalpur",
          "Ajjampur",
          "Aland",
          "Almatti Sitimani",
          "Alnavar",
          "Alur",
          "Ambikanagara",
          "Anekal",
          "Ankola",
          "Annigeri",
          "Arkalgud",
          "Arsikere",
          "Athni",
          "Aurad",
          "Badagavettu",
          "Badami",
          "Bagalkot",
          "Bagepalli",
          "Bailhongal",
          "Baindur",
          "Bajala",
          "Bajpe",
          "Banavar",
          "Bangarapet",
          "Bankapura",
          "Bannur",
          "Bantwal",
          "Basavakalyan",
          "Basavana Bagevadi",
          "Belagula",
          "Belakavadiq",
          "Belgaum",
          "Belgaum Cantonment",
          "Bellary",
          "Belluru",
          "Beltangadi",
          "Belur",
          "Belvata",
          "Bengaluru",
          "Bhadravati",
          "Bhalki",
          "Bhatkal",
          "Bhimarayanagudi",
          "Bhogadi",
          "Bidar",
          "Bijapur",
          "Bilgi",
          "Birur",
          "Bommanahalli",
          "Bommasandra",
          "Byadgi",
          "Byatarayanapura",
          "Chakranagar Colony",
          "Challakere",
          "Chamrajnagar",
          "Chamundi Betta",
          "Channagiri",
          "Channapatna",
          "Channarayapatna",
          "Chickballapur",
          "Chik Ballapur",
          "Chikkaballapur",
          "Chikmagalur",
          "Chiknayakanhalli",
          "Chikodi",
          "Chincholi",
          "Chintamani",
          "Chitaguppa",
          "Chitapur",
          "Chitradurga",
          "Coorg",
          "Dandeli",
          "Dargajogihalli",
          "Dasarahalli",
          "Davangere",
          "Devadurga",
          "Devagiri",
          "Devanhalli",
          "Dharwar",
          "Dhupdal",
          "Dod Ballapur",
          "Donimalai",
          "Gadag",
          "Gajendragarh",
          "Ganeshgudi",
          "Gangawati",
          "Gangoli",
          "Gauribidanur",
          "Gokak",
          "Gokak Falls",
          "Gonikoppal",
          "Gorur",
          "Gottikere",
          "Gubbi",
          "Gudibanda",
          "Gulbarga",
          "Guledgudda",
          "Gundlupet",
          "Gurmatkal",
          "Haliyal",
          "Hangal",
          "Harihar",
          "Harpanahalli",
          "Hassan",
          "Hatti",
          "Hatti Gold Mines",
          "Haveri",
          "Hebbagodi",
          "Hebbalu",
          "Hebri",
          "Heggadadevanakote",
          "Herohalli",
          "Hidkal",
          "Hindalgi",
          "Hirekerur",
          "Hiriyur",
          "Holalkere",
          "Hole Narsipur",
          "Homnabad",
          "Honavar",
          "Honnali",
          "Hosakote",
          "Hosanagara",
          "Hosangadi",
          "Hosdurga",
          "Hoskote",
          "Hospet",
          "Hubli",
          "Hukeri",
          "Hunasagi",
          "Hunasamaranahalli",
          "Hungund",
          "Hunsur",
          "Huvina Hadagalli",
          "Ilkal",
          "Indi",
          "Jagalur",
          "Jamkhandi",
          "Jevargi",
          "Jog Falls",
          "Kabini Colony",
          "Kadur",
          "Kalghatgi",
          "Kamalapuram",
          "Kampli",
          "Kanakapura",
          "Kangrali BK",
          "Kangrali KH",
          "Kannur",
          "Karkala",
          "Karwar",
          "Kemminja",
          "Kengeri",
          "Kerur",
          "Khanapur",
          "Kodigenahalli",
          "Kodiyal",
          "Kodlipet",
          "Kolar",
          "Kollegal",
          "Konanakunte",
          "Konanur",
          "Konnur",
          "Koppa",
          "Koppal",
          "Koratagere",
          "Kotekara",
          "Kothnur",
          "Kotturu",
          "Krishnapura",
          "Krishnarajanagar",
          "Krishnarajapura",
          "Krishnarajasagara",
          "Krishnarajpet",
          "Kudchi",
          "Kudligi",
          "Kudremukh",
          "Kumsi",
          "Kumta",
          "Kundapura",
          "Kundgol",
          "Kunigal",
          "Kurgunta",
          "Kushalnagar",
          "Kushtagi",
          "Kyathanahalli",
          "Lakshmeshwar",
          "Lingsugur",
          "Londa",
          "Maddur",
          "Madhugiri",
          "Madikeri",
          "Magadi",
          "Magod Falls",
          "Mahadeswara Hills",
          "Mahadevapura",
          "Mahalingpur",
          "Maisuru",
          "Maisuru Cantonment",
          "Malavalli",
          "Mallar",
          "Malpe",
          "Malur",
          "Manchenahalli",
          "Mandya",
          "Mangalore",
          "Mangaluru",
          "Manipal",
          "Manvi",
          "Maski",
          "Mastikatte Colony",
          "Mayakonda",
          "Melukote",
          "Molakalmuru",
          "Mudalgi",
          "Mudbidri",
          "Muddebihal",
          "Mudgal",
          "Mudhol",
          "Mudigere",
          "Mudushedde",
          "Mulbagal",
          "Mulgund",
          "Mulki",
          "Mulur",
          "Mundargi",
          "Mundgod",
          "Munirabad",
          "Munnur",
          "Murudeshwara",
          "Mysore",
          "Nagamangala",
          "Nanjangud",
          "Naragund",
          "Narasimharajapura",
          "Naravi",
          "Narayanpur",
          "Naregal",
          "Navalgund",
          "Nelmangala",
          "Nipani",
          "Nitte",
          "Nyamati",
          "Padu",
          "Pandavapura",
          "Pattanagere",
          "Pavagada",
          "Piriyapatna",
          "Ponnampet",
          "Puttur",
          "Rabkavi",
          "Raichur",
          "Ramanagaram",
          "Ramdurg",
          "Ranibennur",
          "Raybag",
          "Robertsonpet",
          "Ron",
          "Sadalgi",
          "Sagar",
          "Sakleshpur",
          "Saligram",
          "Sandur",
          "Sanivarsante",
          "Sankeshwar",
          "Sargur",
          "Sathyamangala",
          "Saundatti Yellamma",
          "Savanur",
          "Sedam",
          "Shahabad",
          "Shahabad A.C.C.",
          "Shahapur",
          "Shahpur",
          "Shaktinagar",
          "Shiggaon",
          "Shikarpur",
          "Shimoga",
          "Shirhatti",
          "Shorapur",
          "Shravanabelagola",
          "Shrirangapattana",
          "Siddapur",
          "Sidlaghatta",
          "Sindgi",
          "Sindhnur",
          "Sira",
          "Sirakoppa",
          "Sirsi",
          "Siruguppa",
          "Someshwar",
          "Somvarpet",
          "Sorab",
          "Sringeri",
          "Srinivaspur",
          "Sulya",
          "Suntikopa",
          "Talikota",
          "Tarikera",
          "Tekkalakota",
          "Terdal",
          "Thokur",
          "Thumbe",
          "Tiptur",
          "Tirthahalli",
          "Tirumakudal Narsipur",
          "Tonse",
          "Tumkur",
          "Turuvekere",
          "Udupi",
          "Ullal",
          "Uttarahalli",
          "Venkatapura",
          "Vijayapura",
          "Virarajendrapet",
          "Wadi",
          "Wadi A.C.C.",
          "Yadgir",
          "Yelahanka",
          "Yelandur",
          "Yelbarga",
          "Yellapur",
          "Yenagudde"
        ]),
        States(name: "Karnataka", cities: []),
        States(name: "Kerala", cities: [
          "Agethi",
          "Amini",
          "Androth Island",
          "Kavaratti",
          "Minicoy"
        ]),
        States(name: "Lakshadweep", cities: [
          "Agar",
          "Ajaigarh",
          "Akoda",
          "Akodia",
          "Alampur",
          "Alirajpur",
          "Alot",
          "Amanganj",
          "Amarkantak",
          "Amarpatan",
          "Amarwara",
          "Ambada",
          "Ambah",
          "Amla",
          "Amlai",
          "Anjad",
          "Antri",
          "Anuppur",
          "Aron",
          "Ashoknagar",
          "Ashta",
          "Babai",
          "Bada Malhera",
          "Badagaon",
          "Badagoan",
          "Badarwas",
          "Badawada",
          "Badi",
          "Badkuhi",
          "Badnagar",
          "Badnawar",
          "Badod",
          "Badoda",
          "Badra",
          "Bagh",
          "Bagli",
          "Baihar",
          "Baikunthpur",
          "Bakswaha",
          "Balaghat",
          "Baldeogarh",
          "Bamaniya",
          "Bamhani",
          "Bamor",
          "Bamora",
          "Banda",
          "Bangawan",
          "Bansatar Kheda",
          "Baraily",
          "Barela",
          "Barghat",
          "Bargi",
          "Barhi",
          "Barigarh",
          "Barwaha",
          "Barwani",
          "Basoda",
          "Begamganj",
          "Beohari",
          "Berasia",
          "Betma",
          "Betul",
          "Betul Bazar",
          "Bhainsdehi",
          "Bhamodi",
          "Bhander",
          "Bhanpura",
          "Bharveli",
          "Bhaurasa",
          "Bhavra",
          "Bhedaghat",
          "Bhikangaon",
          "Bhilakhedi",
          "Bhind",
          "Bhitarwar",
          "Bhopal",
          "Bhuibandh",
          "Biaora",
          "Bijawar",
          "Bijeypur",
          "Bijrauni",
          "Bijuri",
          "Bilaua",
          "Bilpura",
          "Bina Railway Colony",
          "Bina-Etawa",
          "Birsinghpur",
          "Boda",
          "Budhni",
          "Burhanpur",
          "Burhar",
          "Chachaura Binaganj",
          "Chakghat",
          "Chandameta Butar",
          "Chanderi",
          "Chandia",
          "Chandla",
          "Chaurai Khas",
          "Chhatarpur",
          "Chhindwara",
          "Chhota Chhindwara",
          "Chichli",
          "Chitrakut",
          "Churhat",
          "Daboh",
          "Dabra",
          "Damoh",
          "Damua",
          "Datia",
          "Deodara",
          "Deori",
          "Deori Khas",
          "Depalpur",
          "Devendranagar",
          "Devhara",
          "Dewas",
          "Dhamnod",
          "Dhana",
          "Dhanpuri",
          "Dhar",
          "Dharampuri",
          "Dighawani",
          "Diken",
          "Dindori",
          "Dola",
          "Dumar Kachhar",
          "Dungariya Chhapara",
          "Gadarwara",
          "Gairatganj",
          "Gandhi Sagar Hydel Colony",
          "Ganjbasoda",
          "Garhakota",
          "Garhi Malhara",
          "Garoth",
          "Gautapura",
          "Ghansor",
          "Ghuwara",
          "Gogaon",
          "Gogapur",
          "Gohad",
          "Gormi",
          "Govindgarh",
          "Guna",
          "Gurh",
          "Gwalior",
          "Hanumana",
          "Harda",
          "Harpalpur",
          "Harrai",
          "Harsud",
          "Hatod",
          "Hatpipalya",
          "Hatta",
          "Hindoria",
          "Hirapur",
          "Hoshangabad",
          "Ichhawar",
          "Iklehra",
          "Indergarh",
          "Indore",
          "Isagarh",
          "Itarsi",
          "Jabalpur",
          "Jabalpur Cantonment",
          "Jabalpur G.C.F",
          "Jaisinghnagar",
          "Jaithari",
          "Jaitwara",
          "Jamai",
          "Jaora",
          "Jatachhapar",
          "Jatara",
          "Jawad",
          "Jawar",
          "Jeronkhalsa",
          "Jhabua",
          "Jhundpura",
          "Jiran",
          "Jirapur",
          "Jobat",
          "Joura",
          "Kailaras",
          "Kaimur",
          "Kakarhati",
          "Kalichhapar",
          "Kanad",
          "Kannod",
          "Kantaphod",
          "Kareli",
          "Karera",
          "Kari",
          "Karnawad",
          "Karrapur",
          "Kasrawad",
          "Katangi",
          "Katni",
          "Kelhauri",
          "Khachrod",
          "Khajuraho",
          "Khamaria",
          "Khand",
          "Khandwa",
          "Khaniyadhana",
          "Khargapur",
          "Khargone",
          "Khategaon",
          "Khetia",
          "Khilchipur",
          "Khirkiya",
          "Khujner",
          "Khurai",
          "Kolaras",
          "Kotar",
          "Kothi",
          "Kotma",
          "Kukshi",
          "Kumbhraj",
          "Kurwai",
          "Lahar",
          "Lakhnadon",
          "Lateri",
          "Laundi",
          "Lidhora Khas",
          "Lodhikheda",
          "Loharda",
          "Machalpur",
          "Madhogarh",
          "Maharajpur",
          "Maheshwar",
          "Mahidpur",
          "Maihar",
          "Majholi",
          "Makronia",
          "Maksi",
          "Malaj Khand",
          "Malanpur",
          "Malhargarh",
          "Manasa",
          "Manawar",
          "Mandav",
          "Mandideep",
          "Mandla",
          "Mandleshwar",
          "Mandsaur",
          "Manegaon",
          "Mangawan",
          "Manglaya Sadak",
          "Manpur",
          "Mau",
          "Mauganj",
          "Meghnagar",
          "Mehara Gaon",
          "Mehgaon",
          "Mhaugaon",
          "Mhow",
          "Mihona",
          "Mohgaon",
          "Morar",
          "Morena",
          "Morwa",
          "Multai",
          "Mundi",
          "Mungaoli",
          "Murwara",
          "Nagda",
          "Nagod",
          "Nagri",
          "Naigarhi",
          "Nainpur",
          "Nalkheda",
          "Namli",
          "Narayangarh",
          "Narsimhapur",
          "Narsingarh",
          "Narsinghpur",
          "Narwar",
          "Nasrullaganj",
          "Naudhia",
          "Naugaon",
          "Naurozabad",
          "Neemuch",
          "Nepa Nagar",
          "Neuton Chikhli Kalan",
          "Nimach",
          "Niwari",
          "Obedullaganj",
          "Omkareshwar",
          "Orachha",
          "Ordinance Factory Itarsi",
          "Pachmarhi",
          "Pachmarhi Cantonment",
          "Pachore",
          "Palchorai",
          "Palda",
          "Palera",
          "Pali",
          "Panagar",
          "Panara",
          "Pandaria",
          "Pandhana",
          "Pandhurna",
          "Panna",
          "Pansemal",
          "Parasia",
          "Pasan",
          "Patan",
          "Patharia",
          "Pawai",
          "Petlawad",
          "Phuph Kalan",
          "Pichhore",
          "Pipariya",
          "Pipliya Mandi",
          "Piploda",
          "Pithampur",
          "Polay Kalan",
          "Porsa",
          "Prithvipur",
          "Raghogarh",
          "Rahatgarh",
          "Raisen",
          "Rajakhedi",
          "Rajgarh",
          "Rajnagar",
          "Rajpur",
          "Rampur Baghelan",
          "Rampur Naikin",
          "Rampura",
          "Ranapur",
          "Ranipura",
          "Ratangarh",
          "Ratlam",
          "Ratlam Kasba",
          "Rau",
          "Rehli",
          "Rehti",
          "Rewa",
          "Sabalgarh",
          "Sagar",
          "Sagar Cantonment",
          "Sailana",
          "Sanawad",
          "Sanchi",
          "Sanwer",
          "Sarangpur",
          "Sardarpur",
          "Sarni",
          "Satai",
          "Satna",
          "Satwas",
          "Sausar",
          "Sehore",
          "Semaria",
          "Sendhwa",
          "Seondha",
          "Seoni",
          "Seoni Malwa",
          "Sethia",
          "Shahdol",
          "Shahgarh",
          "Shahpur",
          "Shahpura",
          "Shajapur",
          "Shamgarh",
          "Sheopur",
          "Shivpuri",
          "Shujalpur",
          "Sidhi",
          "Sihora",
          "Singolo",
          "Singrauli",
          "Sinhasa",
          "Sirgora",
          "Sirmaur",
          "Sironj",
          "Sitamau",
          "Sohagpur",
          "Sonkatch",
          "Soyatkalan",
          "Suhagi",
          "Sultanpur",
          "Susner",
          "Suthaliya",
          "Tal",
          "Talen",
          "Tarana",
          "Taricharkalan",
          "Tekanpur",
          "Tendukheda",
          "Teonthar",
          "Thandia",
          "Tikamgarh",
          "Timarni",
          "Tirodi",
          "Udaipura",
          "Ujjain",
          "Ukwa",
          "Umaria",
          "Unchahara",
          "Unhel",
          "Vehicle Factory Jabalpur",
          "Vidisha",
          "Vijayraghavgarh",
          "Waraseoni"
        ]),
        States(name: "Madhya Pradesh", cities: [
          "Achalpur",
          "Aheri",
          "Ahmadnagar Cantonment",
          "Ahmadpur",
          "Ahmednagar",
          "Ajra",
          "Akalkot",
          "Akkalkuwa",
          "Akola",
          "Akot",
          "Alandi",
          "Alibag",
          "Allapalli",
          "Alore",
          "Amalner",
          "Ambad",
          "Ambajogai",
          "Ambernath",
          "Ambivali Tarf Wankhal",
          "Amgaon",
          "Amravati",
          "Anjangaon",
          "Arvi",
          "Ashta",
          "Ashti",
          "Aurangabad",
          "Aurangabad Cantonment",
          "Ausa",
          "Babhulgaon",
          "Badlapur",
          "Balapur",
          "Ballarpur",
          "Baramati",
          "Barshi",
          "Basmat",
          "Beed",
          "Bhadravati",
          "Bhagur",
          "Bhandara",
          "Bhigvan",
          "Bhingar",
          "Bhiwandi",
          "Bhokhardan",
          "Bhor",
          "Bhosari",
          "Bhum",
          "Bhusawal",
          "Bid",
          "Biloli",
          "Birwadi",
          "Boisar",
          "Bop Khel",
          "Brahmapuri",
          "Budhgaon",
          "Buldana",
          "Buldhana",
          "Butibori",
          "Chakan",
          "Chalisgaon",
          "Chandrapur",
          "Chandur",
          "Chandur Bazar",
          "Chandvad",
          "Chicholi",
          "Chikhala",
          "Chikhaldara",
          "Chikhli",
          "Chinchani",
          "Chinchwad",
          "Chiplun",
          "Chopda",
          "Dabhol",
          "Dahance",
          "Dahanu",
          "Daharu",
          "Dapoli Camp",
          "Darwa",
          "Daryapur",
          "Dattapur",
          "Daund",
          "Davlameti",
          "Deglur",
          "Dehu Road",
          "Deolali",
          "Deolali Pravara",
          "Deoli",
          "Desaiganj",
          "Deulgaon Raja",
          "Dewhadi",
          "Dharangaon",
          "Dharmabad",
          "Dharur",
          "Dhatau",
          "Dhule",
          "Digdoh",
          "Diglur",
          "Digras",
          "Dombivli",
          "Dondaicha",
          "Dudhani",
          "Durgapur",
          "Dyane",
          "Edandol",
          "Eklahare",
          "Faizpur",
          "Fekari",
          "Gadchiroli",
          "Gadhinghaj",
          "Gandhi Nagar",
          "Ganeshpur",
          "Gangakher",
          "Gangapur",
          "Gevrai",
          "Ghatanji",
          "Ghoti",
          "Ghugus",
          "Ghulewadi",
          "Godoli",
          "Gondia",
          "Guhagar",
          "Hadgaon",
          "Harnai Beach",
          "Hinganghat",
          "Hingoli",
          "Hupari",
          "Ichalkaranji",
          "Igatpuri",
          "Indapur",
          "Jaisinghpur",
          "Jalgaon",
          "Jalna",
          "Jamkhed",
          "Jawhar",
          "Jaysingpur",
          "Jejuri",
          "Jintur",
          "Junnar",
          "Kabnur",
          "Kagal",
          "Kalamb",
          "Kalamnuri",
          "Kalas",
          "Kalmeshwar",
          "Kalundre",
          "Kalyan",
          "Kamthi",
          "Kamthi Cantonment",
          "Kandari",
          "Kandhar",
          "Kandri",
          "Kandri II",
          "Kanhan",
          "Kankavli",
          "Kannad",
          "Karad",
          "Karanja",
          "Karanje Tarf",
          "Karivali",
          "Karjat",
          "Karmala",
          "Kasara Budruk",
          "Katai",
          "Katkar",
          "Katol",
          "Kegaon",
          "Khadkale",
          "Khadki",
          "Khamgaon",
          "Khapa",
          "Kharadi",
          "Kharakvasla",
          "Khed",
          "Kherdi",
          "Khoni",
          "Khopoli",
          "Khuldabad",
          "Kinwat",
          "Kodoli",
          "Kolhapur",
          "Kon",
          "Kondumal",
          "Kopargaon",
          "Kopharad",
          "Koradi",
          "Koregaon",
          "Korochi",
          "Kudal",
          "Kundaim",
          "Kundalwadi",
          "Kurandvad",
          "Kurduvadi",
          "Kusgaon Budruk",
          "Lanja",
          "Lasalgaon",
          "Latur",
          "Loha",
          "Lohegaon",
          "Lonar",
          "Lonavala",
          "Madhavnagar",
          "Mahabaleshwar",
          "Mahad",
          "Mahadula",
          "Maindargi",
          "Majalgaon",
          "Malegaon",
          "Malgaon",
          "Malkapur",
          "Malwan",
          "Manadur",
          "Manchar",
          "Mangalvedhe",
          "Mangrul Pir",
          "Manmad",
          "Manor",
          "Mansar",
          "Manwath",
          "Mapuca",
          "Matheran",
          "Mehkar",
          "Mhasla",
          "Mhaswad",
          "Mira Bhayandar",
          "Miraj",
          "Mohpa",
          "Mohpada",
          "Moram",
          "Morshi",
          "Mowad",
          "Mudkhed",
          "Mukhed",
          "Mul",
          "Mulshi",
          "Mumbai",
          "Murbad",
          "Murgud",
          "Murtijapur",
          "Murud",
          "Nachane",
          "Nagardeole",
          "Nagothane",
          "Nagpur",
          "Nakoda",
          "Nalasopara",
          "Naldurg",
          "Nanded",
          "Nandgaon",
          "Nandura",
          "Nandurbar",
          "Narkhed",
          "Nashik",
          "Navapur",
          "Navi Mumbai",
          "Navi Mumbai Panvel",
          "Neral",
          "Nigdi",
          "Nilanga",
          "Nildoh",
          "Nimbhore",
          "Ojhar",
          "Osmanabad",
          "Pachgaon",
          "Pachora",
          "Padagha",
          "Paithan",
          "Palghar",
          "Pali",
          "Panchgani",
          "Pandhakarwada",
          "Pandharpur",
          "Panhala",
          "Panvel",
          "Paranda",
          "Parbhani",
          "Parli",
          "Parola",
          "Partur",
          "Pasthal",
          "Patan",
          "Pathardi",
          "Pathri",
          "Patur",
          "Pawni",
          "Pen",
          "Pethumri",
          "Phaltan",
          "Pimpri",
          "Poladpur",
          "Pulgaon",
          "Pune",
          "Pune Cantonment",
          "Purna",
          "Purushottamnagar",
          "Pusad",
          "Rahimatpur",
          "Rahta Pimplas",
          "Rahuri",
          "Raigad",
          "Rajapur",
          "Rajgurunagar",
          "Rajur",
          "Rajura",
          "Ramtek",
          "Ratnagiri",
          "Ravalgaon",
          "Raver",
          "Revadanda",
          "Risod",
          "Roha Ashtami",
          "Sakri",
          "Sandor",
          "Sangamner",
          "Sangli",
          "Sangole",
          "Sasti",
          "Sasvad",
          "Satana",
          "Satara",
          "Savantvadi",
          "Savda",
          "Savner",
          "Sawari Jawharnagar",
          "Selu",
          "Shahada",
          "Shahapur",
          "Shegaon",
          "Shelar",
          "Shendurjana",
          "Shirdi",
          "Shirgaon",
          "Shirpur",
          "Shirur",
          "Shirwal",
          "Shivatkar",
          "Shrigonda",
          "Shrirampur",
          "Shrirampur Rural",
          "Sillewada",
          "Sillod",
          "Sindhudurg",
          "Sindi",
          "Sindi Turf Hindnagar",
          "Sindkhed Raja",
          "Singnapur",
          "Sinnar",
          "Sirur",
          "Sitasawangi",
          "Solapur",
          "Sonai",
          "Sonegaon",
          "Soyagaon",
          "Srivardhan",
          "Surgana",
          "Talegaon Dabhade",
          "Taloda",
          "Taloja",
          "Talwade",
          "Tarapur",
          "Tasgaon",
          "Tathavade",
          "Tekadi",
          "Telhara",
          "Thane",
          "Tirira",
          "Totaladoh",
          "Trimbak",
          "Tuljapur",
          "Tumsar",
          "Uchgaon",
          "Udgir",
          "Ulhasnagar",
          "Umarga",
          "Umarkhed",
          "Umarsara",
          "Umbar Pada Nandade",
          "Umred",
          "Umri Pragane Balapur",
          "Uran",
          "Uran Islampur",
          "Utekhol",
          "Vada",
          "Vadgaon",
          "Vadgaon Kasba",
          "Vaijapur",
          "Vanvadi",
          "Varangaon",
          "Vasai",
          "Vasantnagar",
          "Vashind",
          "Vengurla",
          "Virar",
          "Visapur",
          "Vite",
          "Vithalwadi",
          "Wadi",
          "Waghapur",
          "Wai",
          "Wajegaon",
          "Walani",
          "Wanadongri",
          "Wani",
          "Wardha",
          "Warora",
          "Warthi",
          "Warud",
          "Washim",
          "Yaval",
          "Yavatmal",
          "Yeola",
          "Yerkheda"
        ]),
        States(name: "Maharashtra", cities: [
          "Andro",
          "Bijoy Govinda",
          "Bishnupur",
          "Churachandpur",
          "Heriok",
          "Imphal",
          "Jiribam",
          "Kakching",
          "Kakching Khunou",
          "Khongman",
          "Kumbi",
          "Kwakta",
          "Lamai",
          "Lamjaotongba",
          "Lamshang",
          "Lilong",
          "Mayang Imphal",
          "Moirang",
          "Moreh",
          "Nambol",
          "Naoriya Pakhanglakpa",
          "Ningthoukhong",
          "Oinam",
          "Porompat",
          "Samurou",
          "Sekmai Bazar",
          "Senapati",
          "Sikhong Sekmai",
          "Sugnu",
          "Thongkhong Laxmi Bazar",
          "Thoubal",
          "Torban",
          "Wangjing",
          "Wangoi",
          "Yairipok"
        ]),
        States(name: "Manipur", cities: [
          "Baghmara",
          "Cherrapunji",
          "Jawai",
          "Madanrting",
          "Mairang",
          "Mawlai",
          "Nongmynsong",
          "Nongpoh",
          "Nongstoin",
          "Nongthymmai",
          "Pynthorumkhrah",
          "Resubelpara",
          "Shillong",
          "Shillong Cantonment",
          "Tura",
          "Williamnagar"
        ]),
        States(name: "Meghalaya", cities: [
          "Aizawl",
          "Bairabi",
          "Biate",
          "Champhai",
          "Darlawn",
          "Hnahthial",
          "Kawnpui",
          "Khawhai",
          "Khawzawl",
          "Kolasib",
          "Lengpui",
          "Lunglei",
          "Mamit",
          "North Vanlaiphai",
          "Saiha",
          "Sairang",
          "Saitul",
          "Serchhip",
          "Thenzawl",
          "Tlabung",
          "Vairengte",
          "Zawlnuam"
        ]),
        States(name: "Mizoram", cities: [
          "Chumukedima",
          "Dimapur",
          "Kohima",
          "Mokokchung",
          "Mon",
          "Phek",
          "Tuensang",
          "Wokha",
          "Zunheboto"
        ]),
        States(name: "Nagaland", cities: []),
        States(name: "Odisha", cities: []),
        States(name: "Pondicherry", cities: [
          "Abohar",
          "Adampur",
          "Ahmedgarh",
          "Ajnala",
          "Akalgarh",
          "Alawalpur",
          "Amloh",
          "Amritsar",
          "Amritsar Cantonment",
          "Anandpur Sahib",
          "Badhni Kalan",
          "Bagh Purana",
          "Balachaur",
          "Banaur",
          "Banga",
          "Banur",
          "Baretta",
          "Bariwala",
          "Barnala",
          "Bassi Pathana",
          "Batala",
          "Bathinda",
          "Begowal",
          "Behrampur",
          "Bhabat",
          "Bhadur",
          "Bhankharpur",
          "Bharoli Kalan",
          "Bhawanigarh",
          "Bhikhi",
          "Bhikhiwind",
          "Bhisiana",
          "Bhogpur",
          "Bhuch",
          "Bhulath",
          "Budha Theh",
          "Budhlada",
          "Chima",
          "Chohal",
          "Dasuya",
          "Daulatpur",
          "Dera Baba Nanak",
          "Dera Bassi",
          "Dhanaula",
          "Dharam Kot",
          "Dhariwal",
          "Dhilwan",
          "Dhuri",
          "Dinanagar",
          "Dirba",
          "Doraha",
          "Faridkot",
          "Fateh Nangal",
          "Fatehgarh Churian",
          "Fatehgarh Sahib",
          "Fazilka",
          "Firozpur",
          "Firozpur Cantonment",
          "Gardhiwala",
          "Garhshankar",
          "Ghagga",
          "Ghanaur",
          "Giddarbaha",
          "Gobindgarh",
          "Goniana",
          "Goraya",
          "Gurdaspur",
          "Guru Har Sahai",
          "Hajipur",
          "Handiaya",
          "Hariana",
          "Hoshiarpur",
          "Hussainpur",
          "Jagraon",
          "Jaitu",
          "Jalalabad",
          "Jalandhar",
          "Jalandhar Cantonment",
          "Jandiala",
          "Jugial",
          "Kalanaur",
          "Kapurthala",
          "Karoran",
          "Kartarpur",
          "Khamanon",
          "Khanauri",
          "Khanna",
          "Kharar",
          "Khem Karan",
          "Kot Fatta",
          "Kot Isa Khan",
          "Kot Kapura",
          "Kotkapura",
          "Kurali",
          "Lalru",
          "Lehra Gaga",
          "Lodhian Khas",
          "Longowal",
          "Ludhiana",
          "Machhiwara",
          "Mahilpur",
          "Majitha",
          "Makhu",
          "Malaut",
          "Malerkotla",
          "Maloud",
          "Mandi Gobindgarh",
          "Mansa",
          "Maur",
          "Moga",
          "Mohali",
          "Moonak",
          "Morinda",
          "Mukerian",
          "Muktsar",
          "Mullanpur Dakha",
          "Mullanpur Garibdas",
          "Munak",
          "Muradpura",
          "Nabha",
          "Nakodar",
          "Nangal",
          "Nawashahr",
          "Naya Nangal",
          "Nehon",
          "Nurmahal",
          "Pathankot",
          "Patiala",
          "Patti",
          "Pattran",
          "Payal",
          "Phagwara",
          "Phillaur",
          "Qadian",
          "Rahon",
          "Raikot",
          "Raja Sansi",
          "Rajpura",
          "Ram Das",
          "Raman",
          "Rampura",
          "Rayya",
          "Rupnagar",
          "Rurki Kasba",
          "Sahnewal",
          "Samana",
          "Samrala",
          "Sanaur",
          "Sangat",
          "Sangrur",
          "Sansarpur",
          "Sardulgarh",
          "Shahkot",
          "Sham Churasi",
          "Shekhpura",
          "Sirhind",
          "Sri Hargobindpur",
          "Sujanpur",
          "Sultanpur Lodhi",
          "Sunam",
          "Talwandi Bhai",
          "Talwara",
          "Tappa",
          "Tarn Taran",
          "Urmar Tanda",
          "Zira",
          "Zirakpur"
        ]),
        States(name: "Punjab", cities: [
          "Abu Road",
          "Ajmer",
          "Aklera",
          "Alwar",
          "Amet",
          "Antah",
          "Anupgarh",
          "Asind",
          "Bagar",
          "Bagru",
          "Bahror",
          "Bakani",
          "Bali",
          "Balotra",
          "Bandikui",
          "Banswara",
          "Baran",
          "Bari",
          "Bari Sadri",
          "Barmer",
          "Basi",
          "Basni Belima",
          "Baswa",
          "Bayana",
          "Beawar",
          "Begun",
          "Bhadasar",
          "Bhadra",
          "Bhalariya",
          "Bharatpur",
          "Bhasawar",
          "Bhawani Mandi",
          "Bhawri",
          "Bhilwara",
          "Bhindar",
          "Bhinmal",
          "Bhiwadi",
          "Bijoliya Kalan",
          "Bikaner",
          "Bilara",
          "Bissau",
          "Borkhera",
          "Budhpura",
          "Bundi",
          "Chatsu",
          "Chechat",
          "Chhabra",
          "Chhapar",
          "Chhipa Barod",
          "Chhoti Sadri",
          "Chirawa",
          "Chittaurgarh",
          "Chittorgarh",
          "Chomun",
          "Churu",
          "Daosa",
          "Dariba",
          "Dausa",
          "Deoli",
          "Deshnok",
          "Devgarh",
          "Devli",
          "Dhariawad",
          "Dhaulpur",
          "Dholpur",
          "Didwana",
          "Dig",
          "Dungargarh",
          "Dungarpur",
          "Falna",
          "Fatehnagar",
          "Fatehpur",
          "Gajsinghpur",
          "Galiakot",
          "Ganganagar",
          "Gangapur",
          "Goredi Chancha",
          "Gothra",
          "Govindgarh",
          "Gulabpura",
          "Hanumangarh",
          "Hindaun",
          "Indragarh",
          "Jahazpur",
          "Jaipur",
          "Jaisalmer",
          "Jaiselmer",
          "Jaitaran",
          "Jalore",
          "Jhalawar",
          "Jhalrapatan",
          "Jhunjhunun",
          "Jobner",
          "Jodhpur",
          "Kaithun",
          "Kaman",
          "Kankroli",
          "Kanor",
          "Kapasan",
          "Kaprain",
          "Karanpura",
          "Karauli",
          "Kekri",
          "Keshorai Patan",
          "Kesrisinghpur",
          "Khairthal",
          "Khandela",
          "Khanpur",
          "Kherli",
          "Kherliganj",
          "Kherwara Chhaoni",
          "Khetri",
          "Kiranipura",
          "Kishangarh",
          "Kishangarh Ranwal",
          "Kolvi Rajendrapura",
          "Kot Putli",
          "Kota",
          "Kuchaman",
          "Kuchera",
          "Kumbhalgarh",
          "Kumbhkot",
          "Kumher",
          "Kushalgarh",
          "Lachhmangarh",
          "Ladnun",
          "Lakheri",
          "Lalsot",
          "Losal",
          "Madanganj",
          "Mahu Kalan",
          "Mahwa",
          "Makrana",
          "Malpura",
          "Mandal",
          "Mandalgarh",
          "Mandawar",
          "Mandwa",
          "Mangrol",
          "Manohar Thana",
          "Manoharpur",
          "Marwar",
          "Merta",
          "Modak",
          "Mount Abu",
          "Mukandgarh",
          "Mundwa",
          "Nadbai",
          "Naenwa",
          "Nagar",
          "Nagaur",
          "Napasar",
          "Naraina",
          "Nasirabad",
          "Nathdwara",
          "Nawa",
          "Nawalgarh",
          "Neem Ka Thana",
          "Neemrana",
          "Newa Talai",
          "Nimaj",
          "Nimbahera",
          "Niwai",
          "Nohar",
          "Nokha",
          "One SGM",
          "Padampur",
          "Pali",
          "Partapur",
          "Parvatsar",
          "Pasoond",
          "Phalna",
          "Phalodi",
          "Phulera",
          "Pilani",
          "Pilibanga",
          "Pindwara",
          "Pipalia Kalan",
          "Pipar",
          "Pirawa",
          "Pokaran",
          "Pratapgarh",
          "Pushkar",
          "Raipur",
          "Raisinghnagar",
          "Rajakhera",
          "Rajaldesar",
          "Rajgarh",
          "Rajsamand",
          "Ramganj Mandi",
          "Ramgarh",
          "Rani",
          "Raniwara",
          "Ratan Nagar",
          "Ratangarh",
          "Rawatbhata",
          "Rawatsar",
          "Rikhabdev",
          "Ringas",
          "Sadri",
          "Sadulshahar",
          "Sagwara",
          "Salumbar",
          "Sambhar",
          "Samdari",
          "Sanchor",
          "Sangariya",
          "Sangod",
          "Sardarshahr",
          "Sarwar",
          "Satal Kheri",
          "Sawai Madhopur",
          "Sewan Kalan",
          "Shahpura",
          "Sheoganj",
          "Sikar",
          "Sirohi",
          "Siwana",
          "Sogariya",
          "Sojat",
          "Sojat Road",
          "Sri Madhopur",
          "Sriganganagar",
          "Sujangarh",
          "Suket",
          "Sumerpur",
          "Sunel",
          "Surajgarh",
          "Suratgarh",
          "Swaroopganj",
          "Takhatgarh",
          "Taranagar",
          "Three STR",
          "Tijara",
          "Toda Bhim",
          "Toda Raisingh",
          "Todra",
          "Tonk",
          "Udaipur",
          "Udpura",
          "Uniara",
          "Vanasthali",
          "Vidyavihar",
          "Vijainagar",
          "Viratnagar",
          "Wer"
        ]),
        States(name: "Rajasthan", cities: [
          "Gangtok",
          "Gezing",
          "Jorethang",
          "Mangan",
          "Namchi",
          "Naya Bazar",
          "No City",
          "Rangpo",
          "Sikkim",
          "Singtam",
          "Upper Tadong"
        ]),
        States(name: "Sikkim", cities: [
          "Abiramam",
          "Achampudur",
          "Acharapakkam",
          "Acharipallam",
          "Achipatti",
          "Adikaratti",
          "Adiramapattinam",
          "Aduturai",
          "Adyar",
          "Agaram",
          "Agasthiswaram",
          "Akkaraipettai",
          "Alagappapuram",
          "Alagapuri",
          "Alampalayam",
          "Alandur",
          "Alanganallur",
          "Alangayam",
          "Alangudi",
          "Alangulam",
          "Alanthurai",
          "Alapakkam",
          "Allapuram",
          "Alur",
          "Alwar Tirunagari",
          "Alwarkurichi",
          "Ambasamudram",
          "Ambur",
          "Ammainaickanur",
          "Ammaparikuppam",
          "Ammapettai",
          "Ammavarikuppam",
          "Ammur",
          "Anaimalai",
          "Anaiyur",
          "Anakaputhur",
          "Ananthapuram",
          "Andanappettai",
          "Andipalayam",
          "Andippatti",
          "Anjugramam",
          "Annamalainagar",
          "Annavasal",
          "Annur",
          "Anthiyur",
          "Appakudal",
          "Arachalur",
          "Arakandanallur",
          "Arakonam",
          "Aralvaimozhi",
          "Arani",
          "Arani Road",
          "Arantangi",
          "Arasiramani",
          "Aravakurichi",
          "Aravankadu",
          "Arcot",
          "Arimalam",
          "Ariyalur",
          "Ariyappampalayam",
          "Ariyur",
          "Arni",
          "Arulmigu Thirumuruganpundi",
          "Arumanai",
          "Arumbavur",
          "Arumuganeri",
          "Aruppukkottai",
          "Ashokapuram",
          "Athani",
          "Athanur",
          "Athimarapatti",
          "Athipattu",
          "Athur",
          "Attayyampatti",
          "Attur",
          "Auroville",
          "Avadattur",
          "Avadi",
          "Avalpundurai",
          "Avaniapuram",
          "Avinashi",
          "Ayakudi",
          "Ayanadaippu",
          "Aygudi",
          "Ayothiapattinam",
          "Ayyalur",
          "Ayyampalayam",
          "Ayyampettai",
          "Azhagiapandiapuram",
          "Balakrishnampatti",
          "Balakrishnapuram",
          "Balapallam",
          "Balasamudram",
          "Bargur",
          "Belur",
          "Berhatty",
          "Bhavani",
          "Bhawanisagar",
          "Bhuvanagiri",
          "Bikketti",
          "Bodinayakkanur",
          "Brahmana Periya Agraharam",
          "Buthapandi",
          "Buthipuram",
          "Chatrapatti",
          "Chembarambakkam",
          "Chengalpattu",
          "Chengam",
          "Chennai",
          "Chennasamudram",
          "Chennimalai",
          "Cheranmadevi",
          "Cheruvanki",
          "Chetpet",
          "Chettiarpatti",
          "Chettipalaiyam",
          "Chettipalayam Cantonment",
          "Chettithangal",
          "Cheyur",
          "Cheyyar",
          "Chidambaram",
          "Chinalapatti",
          "Chinna Anuppanadi",
          "Chinna Salem",
          "Chinnakkampalayam",
          "Chinnammanur",
          "Chinnampalaiyam",
          "Chinnasekkadu",
          "Chinnavedampatti",
          "Chitlapakkam",
          "Chittodu",
          "Cholapuram",
          "Coimbatore",
          "Coonoor",
          "Courtalam",
          "Cuddalore",
          "Dalavaipatti",
          "Darasuram",
          "Denkanikottai",
          "Desur",
          "Devadanapatti",
          "Devakkottai",
          "Devakottai",
          "Devanangurichi",
          "Devarshola",
          "Devasthanam",
          "Dhalavoipuram",
          "Dhali",
          "Dhaliyur",
          "Dharapadavedu",
          "Dharapuram",
          "Dharmapuri",
          "Dindigul",
          "Dusi",
          "Edaganasalai",
          "Edaikodu",
          "Edakalinadu",
          "Elathur",
          "Elayirampannai",
          "Elumalai",
          "Eral",
          "Eraniel",
          "Eriodu",
          "Erode",
          "Erumaipatti",
          "Eruvadi",
          "Ethapur",
          "Ettaiyapuram",
          "Ettimadai",
          "Ezhudesam",
          "Ganapathipuram",
          "Gandhi Nagar",
          "Gangaikondan",
          "Gangavalli",
          "Ganguvarpatti",
          "Gingi",
          "Gopalasamudram",
          "Gopichettipalaiyam",
          "Gudalur",
          "Gudiyattam",
          "Guduvanchery",
          "Gummidipoondi",
          "Hanumanthampatti",
          "Harur",
          "Harveypatti",
          "Highways",
          "Hosur",
          "Hubbathala",
          "Huligal",
          "Idappadi",
          "Idikarai",
          "Ilampillai",
          "Ilanji",
          "Iluppaiyurani",
          "Iluppur",
          "Inam Karur",
          "Injambakkam",
          "Irugur",
          "Jaffrabad",
          "Jagathala",
          "Jalakandapuram",
          "Jalladiampet",
          "Jambai",
          "Jayankondam",
          "Jolarpet",
          "Kadambur",
          "Kadathur",
          "Kadayal",
          "Kadayampatti",
          "Kadayanallur",
          "Kadiapatti",
          "Kalakkad",
          "Kalambur",
          "Kalapatti",
          "Kalappanaickenpatti",
          "Kalavai",
          "Kalinjur",
          "Kaliyakkavilai",
          "Kallakkurichi",
          "Kallakudi",
          "Kallidaikurichchi",
          "Kallukuttam",
          "Kallupatti",
          "Kalpakkam",
          "Kalugumalai",
          "Kamayagoundanpatti",
          "Kambainallur",
          "Kambam",
          "Kamuthi",
          "Kanadukathan",
          "Kanakkampalayam",
          "Kanam",
          "Kanchipuram",
          "Kandanur",
          "Kangayam",
          "Kangayampalayam",
          "Kangeyanallur",
          "Kaniyur",
          "Kanjikoil",
          "Kannadendal",
          "Kannamangalam",
          "Kannampalayam",
          "Kannankurichi",
          "Kannapalaiyam",
          "Kannivadi",
          "Kanyakumari",
          "Kappiyarai",
          "Karaikkudi",
          "Karamadai",
          "Karambakkam",
          "Karambakkudi",
          "Kariamangalam",
          "Kariapatti",
          "Karugampattur",
          "Karumandi Chellipalayam",
          "Karumathampatti",
          "Karumbakkam",
          "Karungal",
          "Karunguzhi",
          "Karuppur",
          "Karur",
          "Kasipalaiyam",
          "Kasipalayam G",
          "Kathirvedu",
          "Kathujuganapalli",
          "Katpadi",
          "Kattivakkam",
          "Kattumannarkoil",
          "Kattupakkam",
          "Kattuputhur",
          "Kaveripakkam",
          "Kaveripattinam",
          "Kavundampalaiyam",
          "Kavundampalayam",
          "Kayalpattinam",
          "Kayattar",
          "Kelamangalam",
          "Kelambakkam",
          "Kembainaickenpalayam",
          "Kethi",
          "Kilakarai",
          "Kilampadi",
          "Kilkulam",
          "Kilkunda",
          "Killiyur",
          "Killlai",
          "Kilpennathur",
          "Kilvelur",
          "Kinathukadavu",
          "Kiramangalam",
          "Kiranur",
          "Kiripatti",
          "Kizhapavur",
          "Kmarasamipatti",
          "Kochadai",
          "Kodaikanal",
          "Kodambakkam",
          "Kodavasal",
          "Kodumudi",
          "Kolachal",
          "Kolappalur",
          "Kolathupalayam",
          "Kolathur",
          "Kollankodu",
          "Kollankoil",
          "Komaralingam",
          "Komarapalayam",
          "Kombai",
          "Konakkarai",
          "Konavattam",
          "Kondalampatti",
          "Konganapuram",
          "Koradacheri",
          "Korampallam",
          "Kotagiri",
          "Kothinallur",
          "Kottaiyur",
          "Kottakuppam",
          "Kottaram",
          "Kottivakkam",
          "Kottur",
          "Kovilpatti",
          "Koyampattur",
          "Krishnagiri",
          "Krishnarayapuram",
          "Krishnasamudram",
          "Kuchanur",
          "Kuhalur",
          "Kulasekarappattinam",
          "Kulasekarapuram",
          "Kulithalai",
          "Kumarapalaiyam",
          "Kumarapalayam",
          "Kumarapuram",
          "Kumbakonam",
          "Kundrathur",
          "Kuniyamuthur",
          "Kunnathur",
          "Kunur",
          "Kuraikundu",
          "Kurichi",
          "Kurinjippadi",
          "Kurudampalaiyam",
          "Kurumbalur",
          "Kuthalam",
          "Kuthappar",
          "Kuttalam",
          "Kuttanallur",
          "Kuzhithurai",
          "Labbaikudikadu",
          "Lakkampatti",
          "Lalgudi",
          "Lalpet",
          "Llayangudi",
          "Madambakkam",
          "Madanur",
          "Madathukulam",
          "Madhavaram",
          "Madippakkam",
          "Madukkarai",
          "Madukkur",
          "Madurai",
          "Maduranthakam",
          "Maduravoyal",
          "Mahabalipuram",
          "Makkinanpatti",
          "Mallamuppampatti",
          "Mallankinaru",
          "Mallapuram",
          "Mallasamudram",
          "Mallur",
          "Mamallapuram",
          "Mamsapuram",
          "Manachanallur",
          "Manali",
          "Manalmedu",
          "Manalurpet",
          "Manamadurai",
          "Manapakkam",
          "Manapparai",
          "Manavalakurichi",
          "Mandaikadu",
          "Mandapam",
          "Mangadu",
          "Mangalam",
          "Mangalampet",
          "Manimutharu",
          "Mannargudi",
          "Mappilaiurani",
          "Maraimalai Nagar",
          "Marakkanam",
          "Maramangalathupatti",
          "Marandahalli",
          "Markayankottai",
          "Marudur",
          "Marungur",
          "Masinigudi",
          "Mathigiri",
          "Mattur",
          "Mayiladuthurai",
          "Mecheri",
          "Melacheval",
          "Melachokkanathapuram",
          "Melagaram",
          "Melamadai",
          "Melamaiyur",
          "Melanattam",
          "Melathiruppanthuruthi",
          "Melattur",
          "Melmananbedu",
          "Melpattampakkam",
          "Melur",
          "Melvisharam",
          "Mettupalayam",
          "Mettur",
          "Meyyanur",
          "Milavittan",
          "Minakshipuram",
          "Minambakkam",
          "Minjur",
          "Modakurichi",
          "Mohanur",
          "Mopperipalayam",
          "Mudalur",
          "Mudichur",
          "Mudukulathur",
          "Mukasipidariyur",
          "Mukkudal",
          "Mulagumudu",
          "Mulakaraipatti",
          "Mulanur",
          "Mullakkadu",
          "Muruganpalayam",
          "Musiri",
          "Muthupet",
          "Muthur",
          "Muttayyapuram",
          "Muttupet",
          "Muvarasampettai",
          "Myladi",
          "Mylapore",
          "Nadukkuthagai",
          "Naduvattam",
          "Nagapattinam",
          "Nagavakulam",
          "Nagercoil",
          "Nagojanahalli",
          "Nallampatti",
          "Nallur",
          "Namagiripettai",
          "Namakkal",
          "Nambiyur",
          "Nambutalai",
          "Nandambakkam",
          "Nandivaram",
          "Nangavalli",
          "Nangavaram",
          "Nanguneri",
          "Nanjikottai",
          "Nannilam",
          "Naranammalpuram",
          "Naranapuram",
          "Narasimhanaickenpalayam",
          "Narasingapuram",
          "Narasojipatti",
          "Naravarikuppam",
          "Nasiyanur",
          "Natham",
          "Nathampannai",
          "Natrampalli",
          "Nattam",
          "Nattapettai",
          "Nattarasankottai",
          "Navalpattu",
          "Nazarethpettai",
          "Nazerath",
          "Neikkarapatti",
          "Neiyyur",
          "Nellikkuppam",
          "Nelliyalam",
          "Nemili",
          "Nemilicheri",
          "Neripperichal",
          "Nerkunram",
          "Nerkuppai",
          "Nerunjipettai",
          "Neykkarappatti",
          "Neyveli",
          "Nidamangalam",
          "Nilagiri",
          "Nilakkottai",
          "Nilankarai",
          "Odaipatti",
          "Odaiyakulam",
          "Oddanchatram",
          "Odugathur",
          "Oggiyamduraipakkam",
          "Olagadam",
          "Omalur",
          "Ooty",
          "Orathanadu",
          "Othakadai",
          "Othakalmandapam",
          "Ottapparai",
          "Pacode",
          "Padaividu",
          "Padianallur",
          "Padirikuppam",
          "Padmanabhapuram",
          "Padririvedu",
          "Palaganangudy",
          "Palaimpatti",
          "Palakkodu",
          "Palamedu",
          "Palani",
          "Palani Chettipatti",
          "Palavakkam",
          "Palavansathu",
          "Palayakayal",
          "Palayam",
          "Palayamkottai",
          "Palladam",
          "Pallapalayam",
          "Pallapatti",
          "Pallattur",
          "Pallavaram",
          "Pallikaranai",
          "Pallikonda",
          "Pallipalaiyam",
          "Pallipalaiyam Agraharam",
          "Pallipattu",
          "Pammal",
          "Panagudi",
          "Panaimarathupatti",
          "Panapakkam",
          "Panboli",
          "Pandamangalam",
          "Pannaikadu",
          "Pannaipuram",
          "Pannuratti",
          "Panruti",
          "Papanasam",
          "Pappankurichi",
          "Papparapatti",
          "Pappireddipatti",
          "Paramakkudi",
          "Paramankurichi",
          "Paramathi",
          "Parangippettai",
          "Paravai",
          "Pasur",
          "Pathamadai",
          "Pattinam",
          "Pattiviranpatti",
          "Pattukkottai",
          "Pazhugal",
          "Pennadam",
          "Pennagaram",
          "Pennathur",
          "Peraiyur",
          "Peralam",
          "Perambalur",
          "Peranamallur",
          "Peravurani",
          "Periyakodiveri",
          "Periyakulam",
          "Periyanayakkanpalaiyam",
          "Periyanegamam",
          "Periyapatti",
          "Periyasemur",
          "Pernambut",
          "Perumagalur",
          "Perumandi",
          "Perumuchi",
          "Perundurai",
          "Perungalathur",
          "Perungudi",
          "Perungulam",
          "Perur",
          "Perur Chettipalaiyam",
          "Pethampalayam",
          "Pethanaickenpalayam",
          "Pillanallur",
          "Pirkankaranai",
          "Polichalur",
          "Pollachi",
          "Polur",
          "Ponmani",
          "Ponnamaravathi",
          "Ponnampatti",
          "Ponneri",
          "Porur",
          "Pothanur",
          "Pothatturpettai",
          "Pudukadai",
          "Pudukkottai Cantonment",
          "Pudukottai",
          "Pudupalaiyam Aghraharam",
          "Pudupalayam",
          "Pudupatti",
          "Pudupattinam",
          "Pudur",
          "Puduvayal",
          "Pulambadi",
          "Pulampatti",
          "Puliyampatti",
          "Puliyankudi",
          "Puliyur",
          "Pullampadi",
          "Puluvapatti",
          "Punamalli",
          "Punjai Puliyampatti",
          "Punjai Thottakurichi",
          "Punjaipugalur",
          "Puthalam",
          "Putteri",
          "Puvalur",
          "Puzhal",
          "Puzhithivakkam",
          "Rajapalayam",
          "Ramanathapuram",
          "Ramapuram",
          "Rameswaram",
          "Ranipet",
          "Rasipuram",
          "Rayagiri",
          "Rithapuram",
          "Rosalpatti",
          "Rudravathi",
          "Sadayankuppam",
          "Saint Thomas Mount",
          "Salangapalayam",
          "Salem",
          "Samalapuram",
          "Samathur",
          "Sambavar Vadagarai",
          "Sankaramanallur",
          "Sankarankoil",
          "Sankarapuram",
          "Sankari",
          "Sankarnagar",
          "Saravanampatti",
          "Sarcarsamakulam",
          "Sathiyavijayanagaram",
          "Sathuvachari",
          "Sathyamangalam",
          "Sattankulam",
          "Sattur",
          "Sayalgudi",
          "Sayapuram",
          "Seithur",
          "Sembakkam",
          "Semmipalayam",
          "Sennirkuppam",
          "Senthamangalam",
          "Sentharapatti",
          "Senur",
          "Sethiathoppu",
          "Sevilimedu",
          "Sevugampatti",
          "Shenbakkam",
          "Shencottai",
          "Shenkottai",
          "Sholavandan",
          "Sholinganallur",
          "Sholingur",
          "Sholur",
          "Sikkarayapuram",
          "Singampuneri",
          "Singanallur",
          "Singaperumalkoil",
          "Sirapalli",
          "Sirkali",
          "Sirugamani",
          "Sirumugai",
          "Sithayankottai",
          "Sithurajapuram",
          "Sivaganga",
          "Sivagiri",
          "Sivakasi",
          "Sivanthipuram",
          "Sivur",
          "Soranjeri",
          "South Kannanur",
          "South Kodikulam",
          "Srimushnam",
          "Sriperumpudur",
          "Sriramapuram",
          "Srirangam",
          "Srivaikuntam",
          "Srivilliputtur",
          "Suchindram",
          "Suliswaranpatti",
          "Sulur",
          "Sundarapandiam",
          "Sundarapandiapuram",
          "Surampatti",
          "Surandai",
          "Suriyampalayam",
          "Swamimalai",
          "TNPL Pugalur",
          "Tambaram",
          "Taramangalam",
          "Tattayyangarpettai",
          "Tayilupatti",
          "Tenkasi",
          "Thadikombu",
          "Thakkolam",
          "Thalainayar",
          "Thalakudi",
          "Thamaraikulam",
          "Thammampatti",
          "Thanjavur",
          "Thanthoni",
          "Tharangambadi",
          "Thedavur",
          "Thenambakkam",
          "Thengampudur",
          "Theni",
          "Theni Allinagaram",
          "Thenkarai",
          "Thenthamaraikulam",
          "Thenthiruperai",
          "Thesur",
          "Thevaram",
          "Thevur",
          "Thiagadurgam",
          "Thiagarajar Colony",
          "Thingalnagar",
          "Thiruchirapalli",
          "Thirukarungudi",
          "Thirukazhukundram",
          "Thirumalayampalayam",
          "Thirumazhisai",
          "Thirunagar",
          "Thirunageswaram",
          "Thirunindravur",
          "Thirunirmalai",
          "Thiruparankundram",
          "Thiruparappu",
          "Thiruporur",
          "Thiruppanandal",
          "Thirupuvanam",
          "Thiruthangal",
          "Thiruthuraipundi",
          "Thiruvaivaru",
          "Thiruvalam",
          "Thiruvarur",
          "Thiruvattaru",
          "Thiruvenkatam",
          "Thiruvennainallur",
          "Thiruvithankodu",
          "Thisayanvilai",
          "Thittacheri",
          "Thondamuthur",
          "Thorapadi",
          "Thottipalayam",
          "Thottiyam",
          "Thudiyalur",
          "Thuthipattu",
          "Thuvakudi",
          "Timiri",
          "Tindivanam",
          "Tinnanur",
          "Tiruchchendur",
          "Tiruchengode",
          "Tirukkalukkundram",
          "Tirukkattuppalli",
          "Tirukkoyilur",
          "Tirumangalam",
          "Tirumullaivasal",
          "Tirumuruganpundi",
          "Tirunageswaram",
          "Tirunelveli",
          "Tirupathur",
          "Tirupattur",
          "Tiruppuvanam",
          "Tirupur",
          "Tirusulam",
          "Tiruttani",
          "Tiruvallur",
          "Tiruvannamalai",
          "Tiruverambur",
          "Tiruverkadu",
          "Tiruvethipuram",
          "Tiruvidaimarudur",
          "Tiruvottiyur",
          "Tittakudi",
          "Tondi",
          "Turaiyur",
          "Tuticorin",
          "Udagamandalam",
          "Udagamandalam Valley",
          "Udankudi",
          "Udayarpalayam",
          "Udumalaipettai",
          "Udumalpet",
          "Ullur",
          "Ulundurpettai",
          "Unjalaur",
          "Unnamalaikadai",
          "Uppidamangalam",
          "Uppiliapuram",
          "Urachikkottai",
          "Urapakkam",
          "Usilampatti",
          "Uthangarai",
          "Uthayendram",
          "Uthiramerur",
          "Uthukkottai",
          "Uttamapalaiyam",
          "Uttukkuli",
          "Vadakarai Kizhpadugai",
          "Vadakkanandal",
          "Vadakku Valliyur",
          "Vadalur",
          "Vadamadurai",
          "Vadavalli",
          "Vadipatti",
          "Vadugapatti",
          "Vaithiswarankoil",
          "Valangaiman",
          "Valasaravakkam",
          "Valavanur",
          "Vallam",
          "Valparai",
          "Valvaithankoshtam",
          "Vanavasi",
          "Vandalur",
          "Vandavasi",
          "Vandiyur",
          "Vaniputhur",
          "Vaniyambadi",
          "Varadarajanpettai",
          "Varadharajapuram",
          "Vasudevanallur",
          "Vathirairuppu",
          "Vattalkundu",
          "Vazhapadi",
          "Vedapatti",
          "Vedaranniyam",
          "Vedasandur",
          "Velampalaiyam",
          "Velankanni",
          "Vellakinar",
          "Vellakoil",
          "Vellalapatti",
          "Vellalur",
          "Vellanur",
          "Vellimalai",
          "Vellore",
          "Vellottamparappu",
          "Velluru",
          "Vengampudur",
          "Vengathur",
          "Vengavasal",
          "Venghatur",
          "Venkarai",
          "Vennanthur",
          "Veppathur",
          "Verkilambi",
          "Vettaikaranpudur",
          "Vettavalam",
          "Vijayapuri",
          "Vikramasingapuram",
          "Vikravandi",
          "Vilangudi",
          "Vilankurichi",
          "Vilapakkam",
          "Vilathikulam",
          "Vilavur",
          "Villukuri",
          "Villupuram",
          "Viraganur",
          "Virakeralam",
          "Virakkalpudur",
          "Virapandi",
          "Virapandi Cantonment",
          "Virappanchatram",
          "Viravanallur",
          "Virudambattu",
          "Virudhachalam",
          "Virudhunagar",
          "Virupakshipuram",
          "Viswanatham",
          "Vriddhachalam",
          "Walajabad",
          "Walajapet",
          "Wellington",
          "Yercaud",
          "Zamin Uthukuli"
        ]),
        States(name: "Tamil Nadu", cities: [
          "Achampet",
          "Adilabad",
          "Armoor",
          "Asifabad",
          "Badepally",
          "Banswada",
          "Bellampalli",
          "Bhadrachalam",
          "Bhainsa",
          "Bhongir",
          "Bhupalpally",
          "Bodhan",
          "Bollaram",
          "Devarkonda",
          "Farooqnagar",
          "Gadwal",
          "Gajwel",
          "Ghatkesar",
          "Hyderabad",
          "Jagtial",
          "Jangaon",
          "Kagaznagar",
          "Kalwakurthy",
          "Kamareddy",
          "Karimnagar",
          "Khammam",
          "Kodada",
          "Koratla",
          "Kottagudem",
          "Kyathampalle",
          "Madhira",
          "Mahabubabad",
          "Mahbubnagar",
          "Mancherial",
          "Mandamarri",
          "Manuguru",
          "Medak",
          "Medchal",
          "Miryalaguda",
          "Nagar Karnul",
          "Nakrekal",
          "Nalgonda",
          "Narayanpet",
          "Narsampet",
          "Nirmal",
          "Nizamabad",
          "Palwancha",
          "Peddapalli",
          "Ramagundam",
          "Ranga Reddy district",
          "Sadasivpet",
          "Sangareddy",
          "Sarapaka",
          "Sathupalle",
          "Secunderabad",
          "Siddipet",
          "Singapur",
          "Sircilla",
          "Suryapet",
          "Tandur",
          "Vemulawada",
          "Vikarabad",
          "Wanaparthy",
          "Warangal",
          "Yellandu",
          "Zahirabad"
        ]),
        States(name: "Telangana", cities: [
          "Agartala",
          "Amarpur",
          "Ambassa",
          "Badharghat",
          "Belonia",
          "Dharmanagar",
          "Gakulnagar",
          "Gandhigram",
          "Indranagar",
          "Jogendranagar",
          "Kailasahar",
          "Kamalpur",
          "Kanchanpur",
          "Khowai",
          "Kumarghat",
          "Kunjaban",
          "Narsingarh",
          "Pratapgarh",
          "Ranir Bazar",
          "Sabrum",
          "Sonamura",
          "Teliamura",
          "Udaipur"
        ]),
        States(name: "Tripura", cities: [
          "Achhalda",
          "Achhnera",
          "Adari",
          "Afzalgarh",
          "Agarwal Mandi",
          "Agra",
          "Agra Cantonment",
          "Ahraura",
          "Ailum",
          "Air Force Area",
          "Ajhuwa",
          "Akbarpur",
          "Alapur",
          "Aliganj",
          "Aligarh",
          "Allahabad",
          "Allahabad Cantonment",
          "Allahganj",
          "Amanpur",
          "Ambahta",
          "Amethi",
          "Amila",
          "Amilo",
          "Aminagar Sarai",
          "Aminagar Urf Bhurbaral",
          "Amraudha",
          "Amroha",
          "Anandnagar",
          "Anpara",
          "Antu",
          "Anupshahr",
          "Aonla",
          "Armapur Estate",
          "Ashokpuram",
          "Ashrafpur Kichhauchha",
          "Atarra",
          "Atasu",
          "Atrauli",
          "Atraulia",
          "Auraiya",
          "Aurangabad",
          "Aurangabad Bangar",
          "Auras",
          "Awagarh",
          "Ayodhya",
          "Azamgarh",
          "Azizpur",
          "Azmatgarh",
          "Babarpur Ajitmal",
          "Baberu",
          "Babina",
          "Babrala",
          "Babugarh",
          "Bachhiowan",
          "Bachhraon",
          "Bad",
          "Badaun",
          "Baghpat",
          "Bah",
          "Bahadurganj",
          "Baheri",
          "Bahjoi",
          "Bahraich",
          "Bahsuma",
          "Bahua",
          "Bajna",
          "Bakewar",
          "Bakiabad",
          "Baldeo",
          "Ballia",
          "Balrampur",
          "Banat",
          "Banda",
          "Bangarmau",
          "Banki",
          "Bansdih",
          "Bansgaon",
          "Bansi",
          "Barabanki",
          "Baragaon",
          "Baraut",
          "Bareilly",
          "Bareilly Cantonment",
          "Barhalganj",
          "Barhani",
          "Barhapur",
          "Barkhera",
          "Barsana",
          "Barva Sagar",
          "Barwar",
          "Basti",
          "Begumabad Budhana",
          "Behat",
          "Behta Hajipur",
          "Bela",
          "Belthara",
          "Beniganj",
          "Beswan",
          "Bewar",
          "Bhadarsa",
          "Bhadohi",
          "Bhagwantnagar",
          "Bharatganj",
          "Bhargain",
          "Bharthana",
          "Bharuhana",
          "Bharwari",
          "Bhatni Bazar",
          "Bhatpar Rani",
          "Bhawan Bahadurnagar",
          "Bhinga",
          "Bhojpur Dharampur",
          "Bhokarhedi",
          "Bhongaon",
          "Bhulepur",
          "Bidhuna",
          "Bighapur",
          "Bijnor",
          "Bijpur",
          "Bikapur",
          "Bilari",
          "Bilaspur",
          "Bilgram",
          "Bilhaur",
          "Bilram",
          "Bilrayaganj",
          "Bilsanda",
          "Bilsi",
          "Bindki",
          "Bisalpur",
          "Bisanda Buzurg",
          "Bisauli",
          "Bisharatganj",
          "Bisokhar",
          "Biswan",
          "Bithur",
          "Budaun",
          "Bugrasi",
          "Bulandshahar",
          "Burhana",
          "Chail",
          "Chak Imam Ali",
          "Chakeri",
          "Chakia",
          "Chandauli",
          "Chandausi",
          "Chandpur",
          "Charkhari",
          "Charthawal",
          "Chaumuhan",
          "Chhaprauli",
          "Chhara Rafatpur",
          "Chharprauli",
          "Chhata",
          "Chhatari",
          "Chhibramau",
          "Chhutmalpur",
          "Chilkana Sultanpur",
          "Chirgaon",
          "Chit Baragaon",
          "Chitrakut Dham",
          "Chopan",
          "Choubepur Kalan",
          "Chunar",
          "Churk Ghurma",
          "Colonelganj",
          "Dadri",
          "Dalmau",
          "Dankaur",
          "Dariyabad",
          "Dasna",
          "Dataganj",
          "Daurala",
          "Dayal Bagh",
          "Deoband",
          "Deoranian",
          "Deoria",
          "Dewa",
          "Dhampur",
          "Dhanauha",
          "Dhanauli",
          "Dhanaura",
          "Dharoti Khurd",
          "Dhauratanda",
          "Dhaurhra",
          "Dibai",
          "Dibiyapur",
          "Dildarnagar Fatehpur",
          "Do Ghat",
          "Dohrighat",
          "Dostpur",
          "Dudhinagar",
          "Dulhipur",
          "Dundwaraganj",
          "Ekdil",
          "Erich",
          "Etah",
          "Etawah",
          "Faizabad",
          "Faizabad Cantonment",
          "Faizganj",
          "Farah",
          "Faridnagar",
          "Faridpur",
          "Faridpur Cantonment",
          "Fariha",
          "Farrukhabad",
          "Fatehabad",
          "Fatehganj Pashchimi",
          "Fatehganj Purvi",
          "Fatehgarh",
          "Fatehpur",
          "Fatehpur Chaurasi",
          "Fatehpur Sikri",
          "Firozabad",
          "Gajraula",
          "Ganga Ghat",
          "Gangapur",
          "Gangoh",
          "Ganj Muradabad",
          "Garautha",
          "Garhi Pukhta",
          "Garhmukteshwar",
          "Gaura Barahaj",
          "Gauri Bazar",
          "Gausganj",
          "Gawan",
          "Ghatampur",
          "Ghaziabad",
          "Ghazipur",
          "Ghiror",
          "Ghorawal",
          "Ghosi",
          "Ghosia Bazar",
          "Ghughuli",
          "Gohand",
          "Gokul",
          "Gola Bazar",
          "Gola Gokarannath",
          "Gonda",
          "Gopamau",
          "Gopiganj",
          "Gorakhpur",
          "Gosainganj",
          "Govardhan",
          "Greater Noida",
          "Gulaothi",
          "Gulariya",
          "Gulariya Bhindara",
          "Gunnaur",
          "Gursahaiganj",
          "Gursarai",
          "Gyanpur",
          "Hafizpur",
          "Haidergarh",
          "Haldaur",
          "Hamirpur",
          "Handia",
          "Hapur",
          "Hardoi",
          "Harduaganj",
          "Hargaon",
          "Hariharpur",
          "Harraiya",
          "Hasanpur",
          "Hasayan",
          "Hastinapur",
          "Hata",
          "Hathras",
          "Hyderabad",
          "Ibrahimpur",
          "Iglas",
          "Ikauna",
          "Iltifatganj Bazar",
          "Indian Telephone Industry Mank",
          "Islamnagar",
          "Itaunja",
          "Itimadpur",
          "Jagner",
          "Jahanabad",
          "Jahangirabad",
          "Jahangirpur",
          "Jais",
          "Jaithara",
          "Jalalabad",
          "Jalali",
          "Jalalpur",
          "Jalaun",
          "Jalesar",
          "Jamshila",
          "Jangipur",
          "Jansath",
          "Jarwal",
          "Jasrana",
          "Jaswantnagar",
          "Jatari",
          "Jaunpur",
          "Jewar",
          "Jhalu",
          "Jhansi",
          "Jhansi Cantonment",
          "Jhansi Railway Settlement",
          "Jhinjhak",
          "Jhinjhana",
          "Jhusi",
          "Jhusi Kohna",
          "Jiyanpur",
          "Joya",
          "Jyoti Khuria",
          "Jyotiba Phule Nagar",
          "Kabrai",
          "Kachhauna Patseni",
          "Kachhla",
          "Kachhwa",
          "Kadaura",
          "Kadipur",
          "Kailashpur",
          "Kaimganj",
          "Kairana",
          "Kakgaina",
          "Kakod",
          "Kakori",
          "Kakrala",
          "Kalinagar",
          "Kalpi",
          "Kamalganj",
          "Kampil",
          "Kandhla",
          "Kandwa",
          "Kannauj",
          "Kanpur",
          "Kant",
          "Kanth",
          "Kaptanganj",
          "Karaon",
          "Karari",
          "Karhal",
          "Karnawal",
          "Kasganj",
          "Katariya",
          "Katghar Lalganj",
          "Kathera",
          "Katra",
          "Katra Medniganj",
          "Kauriaganj",
          "Kemri",
          "Kerakat",
          "Khadda",
          "Khaga",
          "Khailar",
          "Khair",
          "Khairabad",
          "Khairagarh",
          "Khalilabad",
          "Khamaria",
          "Khanpur",
          "Kharela",
          "Khargupur",
          "Khariya",
          "Kharkhoda",
          "Khatauli",
          "Khatauli Rural",
          "Khekra",
          "Kheri",
          "Kheta Sarai",
          "Khudaganj",
          "Khurja",
          "Khutar",
          "Kiraoli",
          "Kiratpur",
          "Kishanpur",
          "Kishni",
          "Kithaur",
          "Koiripur",
          "Konch",
          "Kopaganj",
          "Kora Jahanabad",
          "Korwa",
          "Kosi Kalan",
          "Kota",
          "Kotra",
          "Kotwa",
          "Kulpahar",
          "Kunda",
          "Kundarki",
          "Kunwargaon",
          "Kurara",
          "Kurawali",
          "Kursath",
          "Kurthi Jafarpur",
          "Kushinagar",
          "Kusmara",
          "Laharpur",
          "Lakhimpur",
          "Lakhna",
          "Lalganj",
          "Lalitpur",
          "Lar",
          "Lawar",
          "Ledwa Mahuwa",
          "Lohta",
          "Loni",
          "Lucknow",
          "Machhlishahr",
          "Madhoganj",
          "Madhogarh",
          "Maghar",
          "Mahaban",
          "Maharajganj",
          "Mahmudabad",
          "Mahoba",
          "Maholi",
          "Mahona",
          "Mahroni",
          "Mailani",
          "Mainpuri",
          "Majhara Pipar Ehatmali",
          "Majhauli Raj",
          "Malihabad",
          "Mallanwam",
          "Mandawar",
          "Manikpur",
          "Maniyar",
          "Manjhanpur",
          "Mankapur",
          "Marehra",
          "Mariahu",
          "Maruadih",
          "Maswasi",
          "Mataundh",
          "Mathu",
          "Mathura",
          "Mathura Cantonment",
          "Mau",
          "Mau Aima",
          "Maudaha",
          "Mauranipur",
          "Maurawan",
          "Mawana",
          "Meerut",
          "Mehnagar",
          "Mehndawal",
          "Mendu",
          "Milak",
          "Miranpur",
          "Mirat",
          "Mirat Cantonment",
          "Mirganj",
          "Mirzapur",
          "Misrikh",
          "Modinagar",
          "Mogra Badshahpur",
          "Mohan",
          "Mohanpur",
          "Mohiuddinpur",
          "Moradabad",
          "Moth",
          "Mubarakpur",
          "Mughal Sarai",
          "Mughal Sarai Railway Settlemen",
          "Muhammadabad",
          "Muhammadi",
          "Mukrampur Khema",
          "Mundia",
          "Mundora",
          "Muradnagar",
          "Mursan",
          "Musafirkhana",
          "Muzaffarnagar",
          "Nadigaon",
          "Nagina",
          "Nagram",
          "Nai Bazar",
          "Nainana Jat",
          "Najibabad",
          "Nakur",
          "Nanaunta",
          "Nandgaon",
          "Nanpara",
          "Naraini",
          "Narauli",
          "Naraura",
          "Naugawan Sadat",
          "Nautanwa",
          "Nawabganj",
          "Nichlaul",
          "Nidhauli Kalan",
          "Nihtaur",
          "Nindaura",
          "Niwari",
          "Nizamabad",
          "Noida",
          "Northern Railway Colony",
          "Nurpur",
          "Nyoria Husenpur",
          "Nyotini",
          "Obra",
          "Oel Dhakwa",
          "Orai",
          "Oran",
          "Ordinance Factory Muradnagar",
          "Pachperwa",
          "Padrauna",
          "Pahasu",
          "Paintepur",
          "Pali",
          "Palia Kalan",
          "Parasi",
          "Parichha",
          "Parichhatgarh",
          "Parsadepur",
          "Patala",
          "Patiyali",
          "Patti",
          "Pawayan",
          "Phalauda",
          "Phaphund",
          "Phulpur",
          "Phulwaria",
          "Pihani",
          "Pilibhit",
          "Pilkana",
          "Pilkhuwa",
          "Pinahat",
          "Pipalsana Chaudhari",
          "Pipiganj",
          "Pipraich",
          "Pipri",
          "Pratapgarh",
          "Pukhrayan",
          "Puranpur",
          "Purdil Nagar",
          "Purqazi",
          "Purwa",
          "Qasimpur",
          "Rabupura",
          "Radha Kund",
          "Rae Bareilly",
          "Raja Ka Rampur",
          "Rajapur",
          "Ramkola",
          "Ramnagar",
          "Rampur",
          "Rampur Bhawanipur",
          "Rampur Karkhana",
          "Rampur Maniharan",
          "Rampura",
          "Ranipur",
          "Rashidpur Garhi",
          "Rasra",
          "Rasulabad",
          "Rath",
          "Raya",
          "Renukut",
          "Reoti",
          "Richha",
          "Risia Bazar",
          "Rithora",
          "Robertsganj",
          "Roza",
          "Rudarpur",
          "Rudauli",
          "Rudayan",
          "Rura",
          "Rustamnagar Sahaspur",
          "Sabatwar",
          "Sadabad",
          "Sadat",
          "Safipur",
          "Sahanpur",
          "Saharanpur",
          "Sahaspur",
          "Sahaswan",
          "Sahawar",
          "Sahibabad",
          "Sahjanwa",
          "Sahpau",
          "Saidpur",
          "Sainthal",
          "Saiyadraja",
          "Sakhanu",
          "Sakit",
          "Salarpur Khadar",
          "Salimpur",
          "Salon",
          "Sambhal",
          "Sambhawali",
          "Samdhan",
          "Samthar",
          "Sandi",
          "Sandila",
          "Sarai Mir",
          "Sarai akil",
          "Sarauli",
          "Sardhana",
          "Sarila",
          "Sarsawan",
          "Sasni",
          "Satrikh",
          "Saunkh",
          "Saurikh",
          "Seohara",
          "Sewal Khas",
          "Sewarhi",
          "Shahabad",
          "Shahganj",
          "Shahi",
          "Shahjahanpur",
          "Shahjahanpur Cantonment",
          "Shahpur",
          "Shamli",
          "Shamsabad",
          "Shankargarh",
          "Shergarh",
          "Sherkot",
          "Shikarpur",
          "Shikohabad",
          "Shisgarh",
          "Shivdaspur",
          "Shivli",
          "Shivrajpur",
          "Shohratgarh",
          "Siddhanur",
          "Siddharthnagar",
          "Sidhauli",
          "Sidhpura",
          "Sikandarabad",
          "Sikandarpur",
          "Sikandra",
          "Sikandra Rao",
          "Singahi Bhiraura",
          "Sirathu",
          "Sirsa",
          "Sirsaganj",
          "Sirsi",
          "Sisauli",
          "Siswa Bazar",
          "Sitapur",
          "Siyana",
          "Som",
          "Sonbhadra",
          "Soron",
          "Suar",
          "Sukhmalpur Nizamabad",
          "Sultanpur",
          "Sumerpur",
          "Suriyawan",
          "Swamibagh",
          "Tajpur",
          "Talbahat",
          "Talgram",
          "Tambaur",
          "Tanda",
          "Tatarpur Lallu",
          "Tetribazar",
          "Thakurdwara",
          "Thana Bhawan",
          "Thiriya Nizamat Khan",
          "Tikaitnagar",
          "Tikri",
          "Tilhar",
          "Tindwari",
          "Tirwaganj",
          "Titron",
          "Tori Fatehpur",
          "Tulsipur",
          "Tundla",
          "Tundla Kham",
          "Tundla Railway Colony",
          "Ugu",
          "Ujhani",
          "Ujhari",
          "Umri",
          "Umri Kalan",
          "Un",
          "Unchahar",
          "Unnao",
          "Usaihat",
          "Usawan",
          "Utraula",
          "Varanasi",
          "Varanasi Cantonment",
          "Vijaigarh",
          "Vrindavan",
          "Wazirganj",
          "Zafarabad",
          "Zaidpur",
          "Zamania"
        ]),
        States(name: "Uttar Pradesh", cities: [
          "Almora",
          "Almora Cantonment",
          "Badrinathpuri",
          "Bageshwar",
          "Bah Bazar",
          "Banbasa",
          "Bandia",
          "Barkot",
          "Bazpur",
          "Bhim Tal",
          "Bhowali",
          "Chakrata",
          "Chamba",
          "Chamoli and Gopeshwar",
          "Champawat",
          "Clement Town",
          "Dehra Dun Cantonment",
          "Dehradun",
          "Dehrakhas",
          "Devaprayag",
          "Dhaluwala",
          "Dhandera",
          "Dharchula",
          "Dharchula Dehat",
          "Didihat",
          "Dineshpur",
          "Doiwala",
          "Dugadda",
          "Dwarahat",
          "Gadarpur",
          "Gangotri",
          "Gauchar",
          "Haldwani",
          "Haridwar",
          "Herbertpur",
          "Jaspur",
          "Jhabrera",
          "Joshimath",
          "Kachnal Gosain",
          "Kaladungi",
          "Kalagarh",
          "Karnaprayang",
          "Kashipur",
          "Kashirampur",
          "Kausani",
          "Kedarnath",
          "Kelakhera",
          "Khatima",
          "Kichha",
          "Kirtinagar",
          "Kotdwara",
          "Laksar",
          "Lalkuan",
          "Landaura",
          "Landhaura Cantonment",
          "Lensdaun",
          "Logahat",
          "Mahua Dabra Haripura",
          "Mahua Kheraganj",
          "Manglaur",
          "Masuri",
          "Mohanpur Mohammadpur",
          "Muni Ki Reti",
          "Nagla",
          "Nainital",
          "Nainital Cantonment",
          "Nandaprayang",
          "Narendranagar",
          "Pauri",
          "Pithoragarh",
          "Pratitnagar",
          "Raipur",
          "Raiwala",
          "Ramnagar",
          "Ranikhet",
          "Ranipur",
          "Rishikesh",
          "Rishikesh Cantonment",
          "Roorkee",
          "Rudraprayag",
          "Rudrapur",
          "Rurki",
          "Rurki Cantonment",
          "Shaktigarh",
          "Sitarganj",
          "Srinagar",
          "Sultanpur",
          "Tanakpur",
          "Tehri",
          "Udham Singh Nagar",
          "Uttarkashi",
          "Vikasnagar",
          "Virbhadra"
        ]),
        States(name: "Uttarakhand", cities: []),
        States(name: "West Bengal", cities: [
          "Eshkashem",
          "Fayzabad",
          "Jurm",
          "Khandud",
          "Qal\\'\\'eh-ye Panjeh"
        ])
      ]),
  Country(
      name: "Indonesia",
      flag: "🇮🇩",
      code: "ID",
      dialCode: "62",
      minLength: 10,
      maxLength: 13,
      states: [
        States(name: "Aceh", cities: [
          "Denpasar",
          "Karangasem",
          "Klungkung",
          "Kuta",
          "Negara",
          "Singaraja",
          "Tabanan",
          "Ubud"
        ]),
        States(name: "Bali", cities: [
          "Manggar",
          "Mentok",
          "Pangkal Pinang",
          "Sungai Liat",
          "Tanjung Pandan",
          "Toboali-Rias"
        ]),
        States(name: "Bangka-Belitung", cities: [
          "Cikupa",
          "Cilegon",
          "Ciputat",
          "Curug",
          "Kresek",
          "Labuhan",
          "Pandegelang",
          "Pondok Aren",
          "Rangkasbitung",
          "Serang",
          "Serpong",
          "Tangerang",
          "Teluknaga"
        ]),
        States(name: "Banten", cities: ["Bengkulu", "Curup"]),
        States(name: "Bengkulu", cities: ["Gandaria"]),
        States(name: "Gandaria", cities: ["Gorontalo"]),
        States(name: "Gorontalo", cities: ["Cengkareng", "Jakarta"]),
        States(
            name: "Jakarta",
            cities: ["Jambi", "Kualatungka", "Simpang", "Sungaipenuh"]),
        States(name: "Jambi", cities: []),
        States(name: "Jawa Barat", cities: []),
        States(name: "Jawa Tengah", cities: []),
        States(name: "Jawa Timur", cities: []),
        States(name: "Kalimantan Barat", cities: []),
        States(name: "Kalimantan Selatan", cities: []),
        States(name: "Kalimantan Tengah", cities: []),
        States(name: "Kalimantan Timur", cities: ["Kendal"]),
        States(name: "Kendal", cities: [
          "Bandar Lampung",
          "Kota Bumi",
          "Metro",
          "Pringsewu",
          "Terbanggi Besar"
        ]),
        States(name: "Lampung", cities: ["Amahai", "Ambon", "Tual"]),
        States(name: "Maluku", cities: ["Amahai", "Ambon", "Tual"]),
        States(name: "Maluku Utara", cities: []),
        States(name: "Nusa Tenggara Barat", cities: []),
        States(name: "Nusa Tenggara Timur", cities: [
          "Aberpura",
          "Biak",
          "Jaya Pura",
          "Manokwari",
          "Merauke",
          "Sorong"
        ]),
        States(name: "Papua", cities: [
          "Balaipungut",
          "Bengkalis",
          "Dumai",
          "Duri",
          "Pekan Baru",
          "Selatpanjang",
          "Tanjung Balai-Meral",
          "Tembilahan"
        ]),
        States(name: "Riau", cities: [
          "Balaipungut",
          "Bengkalis",
          "Dumai",
          "Duri",
          "Pekan Baru",
          "Selatpanjang",
          "Tanjung Balai-Meral",
          "Tembilahan"
        ]),
        States(name: "Riau Kepulauan", cities: ["Solo"]),
        States(name: "Solo", cities: []),
        States(name: "Sulawesi Selatan", cities: []),
        States(name: "Sulawesi Tengah", cities: []),
        States(name: "Sulawesi Tenggara", cities: []),
        States(name: "Sulawesi Utara", cities: []),
        States(name: "Sumatera Barat", cities: []),
        States(name: "Sumatera Selatan", cities: []),
        States(name: "Sumatera Utara", cities: [
          "Bambanglipuro",
          "Banguntapan",
          "Bantul",
          "Depok",
          "Gamping",
          "Godean",
          "Jetis",
          "Kasihan",
          "Ngaglik",
          "Pandak",
          "Pundong",
          "Sewon",
          "Seyegan",
          "Sleman",
          "Srandakan",
          "Wonosari",
          "Yogyakarta"
        ]),
        States(name: "Yogyakarta", cities: [
          "Ardabil",
          "Garmi",
          "Khalkhal",
          "Meshkinshahr",
          "Parsabad"
        ])
      ]),
  Country(
      name: "Iran, Islamic Republic of Persian Gulf",
      flag: "🇮🇷",
      code: "IR",
      dialCode: "98",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Ardabil", cities: []),
        States(name: "Azarbayjan-e Bakhtari", cities: []),
        States(name: "Azarbayjan-e Khavari", cities: [
          "Bandar-e Gonaveh",
          "Borazjan",
          "Bushehr",
          "Dashti",
          "Dir",
          "Khormuj",
          "Kongan",
          "Tangestan"
        ]),
        States(name: "Bushehr", cities: []),
        States(name: "Chahar Mahal-e Bakhtiari", cities: [
          "Ardistan",
          "Dorchehpiyaz",
          "Dowlatabad",
          "Esfahan",
          "Falavarjan",
          "Faridan",
          "Fereydunshahr",
          "Fuladshahr",
          "Golara",
          "Golpayegan",
          "Kashan",
          "Kelishad",
          "Khomeynishahr",
          "Khonsar",
          "Khuresgan",
          "Mobarakeh",
          "Na\\'\\'in",
          "Najafabad",
          "Natnaz",
          "Qahdarijan",
          "Rehnan",
          "Semirom",
          "Shahinshahr",
          "Shahreza",
          "Zarinshahr"
        ]),
        States(name: "Esfahan", cities: [
          "Abadeh",
          "Akbarabad",
          "Darab",
          "Eqlid",
          "Estehban",
          "Fasa",
          "Firuzabad",
          "Gerash",
          "Jahrom",
          "Kazerun",
          "Lar",
          "Marv Dasht",
          "Neyriz",
          "Nurabad",
          "Qa\\'\\'emiyeh",
          "Sepidan",
          "Shiraz"
        ]),
        States(name: "Fars", cities: [
          "Astaneh-ye Ashrafiyeh",
          "Astara",
          "Bandar-e Anzali",
          "Faman",
          "Hashtpar",
          "Lahijan",
          "Langarud",
          "Rasht",
          "Rudbar",
          "Rudsar",
          "Sawma\\'\\'eh Sara"
        ]),
        States(name: "Gilan", cities: [
          "Aq Qal\\'\\'eh",
          "Azad Shahr",
          "Bandar-e Torkaman",
          "Gonbad-e Qabus",
          "Gorgan"
        ]),
        States(name: "Golestan", cities: [
          "Asadabad",
          "Bahar",
          "Hamadan",
          "Malayer",
          "Nahavand",
          "Tuysarkan"
        ]),
        States(name: "Hamadan", cities: [
          "Bandar Abbas",
          "Bandar-e \\'\\'Abbas",
          "Bandar-e Lengeh",
          "Gheshm",
          "Jask",
          "Kish",
          "Kish Island",
          "Minab"
        ]),
        States(name: "Hormozgan", cities: [
          "Abdanan",
          "Darrehshahr",
          "Dehloran",
          "Ilam",
          "Ivan",
          "Mehran"
        ]),
        States(name: "Ilam", cities: [
          "Baft",
          "Bam",
          "Bardsir",
          "Jiroft",
          "Kahnuj",
          "Kerman",
          "Rafsanjan",
          "Ravar",
          "Shahr-e Babak",
          "Sirjan",
          "Zarand"
        ]),
        States(name: "Kerman", cities: [
          "Eslamabad",
          "Gilan-e Garb",
          "Harsin",
          "Javanrud",
          "Kangavar",
          "Kermanshah",
          "Paveh",
          "Sahneh",
          "Sar-e-Pol-e-Zohab",
          "Sonqor"
        ]),
        States(name: "Kermanshah", cities: [
          "Birjand",
          "Bojnurd",
          "Chenaran",
          "Darreh Gaz",
          "Esfarayen",
          "Fariman",
          "Ferdus",
          "Gha\\'\\'nat",
          "Gonabad",
          "Kashmar",
          "Mashad",
          "Mashhad",
          "Neyshabur",
          "Qayen",
          "Quchan",
          "Sabzevar",
          "Sarakhs",
          "Shirvan",
          "Tabas",
          "Tayyebat",
          "Torbat-e Heydariyeh",
          "Torbat-e Jam"
        ]),
        States(name: "Khorasan", cities: [
          "Abadan",
          "Agha Jari",
          "Ahvaz",
          "Ahwaz",
          "Andimeshk",
          "Bandar-e Emam Khomeyni",
          "Bandar-e Mahshahr",
          "Behbahan",
          "Dezful",
          "Ezeh",
          "Hendijan",
          "Khorramshahr",
          "Masjed-e Soleyman",
          "Omidiyeh",
          "Ramhormoz",
          "Ramshir",
          "Shadegan",
          "Shush",
          "Shushtar",
          "Susangerd"
        ]),
        States(name: "Khuzestan", cities: []),
        States(name: "Kohgiluyeh-e Boyerahmad", cities: [
          "Baneh",
          "Bijar",
          "Kamyaran",
          "Marivan",
          "Qorveh",
          "Sanandaj",
          "Saqqez"
        ]),
        States(name: "Kordestan", cities: [
          "Alashtar",
          "Aligudarz",
          "Azna",
          "Borujerd",
          "Do Rud",
          "Khorramabad",
          "Kuhdasht",
          "Nurabad"
        ]),
        States(name: "Lorestan", cities: [
          "Arak",
          "Ashtian",
          "Delijan",
          "Khomeyn",
          "Mahallat",
          "Sarband",
          "Saveh",
          "Tafresh"
        ]),
        States(name: "Markazi", cities: [
          "Aliabad",
          "Amir Kala",
          "Amol",
          "Babol",
          "Babol Sar",
          "Behshahr",
          "Chalus",
          "Fereydunkenar",
          "Juybar",
          "Kalaleh",
          "Kordkuy",
          "Mahmudabad",
          "Minudasht",
          "Neka",
          "Nur",
          "Nushahr",
          "Qa\\'\\'emshahr",
          "Ramsar",
          "Sari",
          "Savadkuh",
          "Tonekabon"
        ]),
        States(name: "Mazandaran", cities: []),
        States(
            name: "Ostan-e Esfahan",
            cities: ["Abhar", "Abyek", "Qazvin", "Takestan"]),
        States(name: "Qazvin", cities: ["Qom"]),
        States(name: "Qom", cities: ["Damghan", "Garmsar", "Semnan", "Shahrud"]),
        States(name: "Semnan", cities: []),
        States(name: "Sistan-e Baluchestan", cities: [
          "Damavand",
          "Eqbaliyeh",
          "Eslamshahr",
          "Hashtgerd",
          "Karaj",
          "Mahdasht",
          "Malard",
          "Mohammadiyeh",
          "Nazarabad",
          "Pakdasht",
          "Pishva",
          "Qarchak",
          "Qods",
          "Robat Karim",
          "Shahriyar",
          "Tehran",
          "Varamin"
        ]),
        States(
            name: "Tehran",
            cities: ["Ardakan", "Bafq", "Mehriz", "Meybod", "Taft", "Yazd"]),
        States(name: "Yazd", cities: ["Alvand", "Khorramdarreh", "Zanjan"]),
        States(name: "Zanjan", cities: [
          "Jurf-as-Sakhr",
          "Saddat-al-Hindiyah",
          "al-Hillah",
          "al-Madhatiyah",
          "al-Musayyib",
          "al-Qasim"
        ])
      ]),
  Country(
      name: "Iraq",
      flag: "🇮🇶",
      code: "IQ",
      dialCode: "964",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Babil", cities: ["Baghdad"]),
        States(name: "Baghdad", cities: ["Dahuk", "Zakhu"]),
        States(name: "Dahuk", cities: []),
        States(name: "Dhi Qar", cities: [
          "Ba\\'\\'qubah",
          "Hanaqin",
          "Jalula",
          "Kifri",
          "Mandali",
          "al-Fuhud",
          "al-Khalis",
          "al-Miqdadiyah",
          "ash-Shatrah"
        ]),
        States(name: "Diyala", cities: ["Ankawa"]),
        States(name: "Erbil", cities: ["Chaqalawa", "Irbil", "Rawanduz"]),
        States(name: "Irbil", cities: ["Karbala", "al-Hindiyah"]),
        States(name: "Karbala", cities: ["Erbil"]),
        States(
            name: "Kurdistan",
            cities: ["Ali al Gharbi", "al-\\'\\'Amarah", "al-Majarr-al-Kabir"]),
        States(name: "Maysan", cities: [
          "Qarah Qush",
          "Sinjar",
          "Tall \\'\\'Afar",
          "Tall Kayf",
          "al-Mawsil",
          "ash-Shaykhan"
        ]),
        States(name: "Ninawa", cities: [
          "Balad",
          "Bayji",
          "Dhalu\\'\\'iyah",
          "Samarra",
          "Tikrit",
          "Tuz",
          "ad-Dujayl"
        ]),
        States(name: "Salah-ad-Din", cities: [
          "al-\\'\\'Aziziyah",
          "al-Hayy",
          "al-Kut",
          "an-Nu\\'\\'maniyah",
          "as-Suwayrah"
        ]),
        States(name: "Wasit", cities: [
          "Anah",
          "Hit",
          "Rawah",
          "al-Fallujah",
          "al-Habbaniyah",
          "al-Hadithah",
          "ar-Ramadi",
          "ar-Rutbah"
        ]),
        States(name: "al-Anbar", cities: [
          "Abu al-Khasib",
          "Harithah",
          "Shatt-al-\\'\\'Arab",
          "al-Basrah",
          "al-Faw",
          "al-Qurnah",
          "az-Zubayr"
        ]),
        States(name: "al-Basrah", cities: ["ar-Rumaythah", "as-Samawah"]),
        States(name: "al-Muthanna", cities: [
          "Afak",
          "ad-Diwaniyah",
          "al-Ghammas",
          "al-Hamzah",
          "ash-Shamiyah",
          "ash-Shinafiyah"
        ]),
        States(
            name: "al-Qadisiyah",
            cities: ["al-Kufah", "al-Mishkhab", "an-Najaf"]),
        States(name: "an-Najaf", cities: [
          "Chamchamal",
          "Halabjah",
          "Kusanjaq",
          "Panjwin",
          "Qal\\'\\'at Dizeh",
          "as-Sulaymaniyah"
        ]),
        States(name: "as-Sulaymaniyah", cities: ["Aqrah", "Kirkuk"]),
        States(name: "at-Ta\\'\\'mim", cities: ["Moira"])
      ]),
  Country(
      name: "Ireland",
      flag: "🇮🇪",
      code: "IE",
      dialCode: "353",
      minLength: 7,
      maxLength: 9,
      states: [
        States(name: "Armagh", cities: ["Bagenalstown", "Carlow", "Tullow"]),
        States(
            name: "Carlow",
            cities: ["Bailieborough", "Belturbet", "Cavan", "Coothill"]),
        States(name: "Cavan", cities: [
          "Ennis",
          "Kilkee",
          "Kilrush",
          "Newmarket-on-Fergus",
          "Shannon"
        ]),
        States(name: "Clare", cities: [
          "Bandon",
          "Bantry",
          "Blarney",
          "Carrigaline",
          "Charleville",
          "Clonakilty",
          "Cobh",
          "Cork",
          "Drishane",
          "Dunmanway",
          "Fermoy",
          "Kanturk",
          "Kinsale",
          "Macroom",
          "Mallow",
          "Midleton",
          "Millstreet",
          "Mitchelstown",
          "Passage West",
          "Skibbereen",
          "Youghal"
        ]),
        States(name: "Cork", cities: [
          "Ballybofey",
          "Ballyshannon",
          "Buncrana",
          "Bundoran",
          "Carndonagh",
          "Donegal",
          "Killybegs",
          "Letterkenny",
          "Lifford",
          "Moville"
        ]),
        States(name: "Donegal", cities: [
          "Balbriggan",
          "Ballsbridge",
          "Dublin",
          "Leixlip",
          "Lucan",
          "Malahide",
          "Portrane",
          "Rathcoole",
          "Rush",
          "Skerries",
          "Swords"
        ]),
        States(name: "Dublin", cities: [
          "Athenry",
          "Ballinasloe",
          "Clifden",
          "Galway",
          "Gort",
          "Loughrea",
          "Tuam"
        ]),
        States(name: "Galway", cities: [
          "Ballybunion",
          "Cahirciveen",
          "Castleisland",
          "Dingle",
          "Kenmare",
          "Killarney",
          "Killorglin",
          "Listowel",
          "Tralee"
        ]),
        States(name: "Kerry", cities: [
          "Athy",
          "Celbridge",
          "Clane",
          "Kilcock",
          "Kilcullen",
          "Kildare",
          "Maynooth",
          "Monasterevan",
          "Naas",
          "Newbridge"
        ]),
        States(
            name: "Kildare",
            cities: ["Callan", "Castlecomer", "Kilkenny", "Thomastown"]),
        States(name: "Kilkenny", cities: [
          "Abbeyleix",
          "Mountmellick",
          "Mountrath",
          "Port Laoise",
          "Portarlington"
        ]),
        States(name: "Laois", cities: ["Meath"]),
        States(name: "Leinster", cities: ["Carrick-on-Shannon"]),
        States(name: "Leitrim", cities: [
          "Abbeyfeale",
          "Kilmallock",
          "Limerick",
          "Newcastle",
          "Rathkeale"
        ]),
        States(name: "Limerick", cities: []),
        States(name: "Loch Garman", cities: ["Granard", "Longford", "Moate"]),
        States(
            name: "Longford",
            cities: ["Ardee", "Drogheda", "Drumcar", "Dundalk"]),
        States(name: "Louth", cities: [
          "Ballina",
          "Ballinrobe",
          "Ballyhaunis",
          "Castlebar",
          "Claremorris",
          "Swinford",
          "Westport"
        ]),
        States(name: "Mayo", cities: [
          "Ashbourne",
          "Duleek",
          "Dunboyne",
          "Dunshaughlin",
          "Kells",
          "Laytown",
          "Navan",
          "Trim"
        ]),
        States(
            name: "Meath",
            cities: ["Carrickmacross", "Castleblayney", "Clones", "Monaghan"]),
        States(name: "Monaghan", cities: [
          "Banagher",
          "Birr",
          "Clara",
          "Edenderry",
          "Kilcormac",
          "Tullamore"
        ]),
        States(
            name: "Offaly",
            cities: ["Ballaghaderreen", "Boyle", "Castlerea", "Roscommon"]),
        States(name: "Roscommon", cities: ["Sligo"]),
        States(name: "Sligo", cities: []),
        States(name: "Tipperary North Riding", cities: []),
        States(
            name: "Tipperary South Riding",
            cities: ["Co Tyrone", "Downpatrick"]),
        States(name: "Ulster", cities: ["Dungarvan", "Tramore", "Waterford"]),
        States(name: "Waterford", cities: ["Athlone", "Mullingar"]),
        States(
            name: "Westmeath",
            cities: ["Enniscorthy", "Gorey", "New Ross", "Wexford"]),
        States(name: "Wexford", cities: [
          "Arklow",
          "Baltinglass",
          "Blessington",
          "Bray",
          "Greystones",
          "Kilcoole",
          "Newtownmountkennedy",
          "Rathdrum",
          "Wicklow"
        ]),
        States(name: "Wicklow", cities: [])
      ]),
  // Country(
  //   name: "Isle of Man",
  //   flag: "🇮🇲",
  //   code: "IM",
  //   dialCode: "44",
  //   regionCode: "1624",
  //   minLength: 6,
  //   maxLength: 6,
  // ),
  Country(
      name: "Israel",
      flag: "🇮🇱",
      code: "IL",
      dialCode: "972",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Beit Hanania", cities: []),
        States(name: "Ben Gurion Airport", cities: ["Bethlehem"]),
        States(name: "Bethlehem", cities: ["Caesarea"]),
        States(name: "Caesarea", cities: ["Petach Tikva", "Ramallah"]),
        States(name: "Centre", cities: ["Gaza"]),
        States(name: "Gaza", cities: [
          "Arad",
          "Omer",
          "Ashdod",
          "Ashqelon",
          "Be\\'\\'er Sheva",
          "Beersheba",
          "Bene Ayish",
          "Dimona",
          "Elat",
          "Gan Yavne",
          "Nahal `Oz",
          "Netivot",
          "Ofaqim",
          "Qiryat Gat",
          "Qiryat Mal\\'\\'akhi",
          "Sederot",
          "Yeroham",
          "kiryat Malachi"
        ]),
        States(name: "Hadaron", cities: []),
        States(name: "Haifa District", cities: [
          "Be\\'\\'er Ya\\'\\'aqov",
          "Beit Shemesh",
          "Bene Beraq",
          "Bnei Brak",
          "Even Yehuda",
          "Fureidis",
          "Gat Rimon",
          "Gedera",
          "Givat Shmuel",
          "Hibat Zion",
          "Hod HaSharon",
          "Hogar",
          "Jaljulye",
          "Jatt",
          "Kafar Qasem",
          "Kefar Sava",
          "Kefar Yona",
          "Kfar Saba",
          "Kiryag Bialik",
          "Lod",
          "Mazkeret Batya",
          "Modi\\'\\'in",
          "Nes Ziyyona",
          "Ness Ziona",
          "Netanya",
          "Nordiya",
          "Pardesiyya",
          "Petakh Tiqwa",
          "Qadima",
          "Qalansawe",
          "Qiryat \\'\\'Eqron",
          "Ra\\'\\'anana",
          "Ramla",
          "Rehovot",
          "Rekhovot",
          "Rinnatya",
          "Rishon LeZiyyon",
          "Rosh HaAyin",
          "Shoham",
          "Tayibe",
          "Tire",
          "Tsur Igal",
          "Udim",
          "Yavne",
          "Yehud"
        ]),
        States(name: "Hamerkaz", cities: [
          "Afula",
          "Akko",
          "Arrabe",
          "Ein Mahel",
          "Ilut",
          "Abu Sinan",
          "Basmat Tab\\'\\'un",
          "Beit Jann",
          "Bet She\\'\\'an",
          "Bi\\'\\'ne",
          "Bir-al-Maksur",
          "Bu\\'\\'eine-Nujeidat",
          "Dabburye",
          "Dayr Hannah",
          "Dayr-al-Asad",
          "Hazor HaGelilit",
          "I\\'\\'billin",
          "Iksal",
          "Judeide-Maker",
          "Kabul",
          "Kafar Kanna",
          "Kafar Manda",
          "Kafar Yasif",
          "Karmiel",
          "Kisra-Sumei",
          "Ma\\'\\'alot Tarshikha",
          "Majd-al-Kurum",
          "Migdal Ha\\'\\'Emeq",
          "Mugar",
          "Nahariyya",
          "Nahef",
          "Nazerat",
          "Nazerat \\'\\'Illit",
          "Qiryat Shemona",
          "Qiryat Tiv\\'\\'on",
          "Rame",
          "Reine",
          "Sakhnin",
          "Shefar\\'\\'am",
          "Tamra",
          "Tiberias",
          "Tur\\'\\'an",
          "Yirka",
          "Yoqne\\'\\'am Illit",
          "Zefat",
          "Zur Yigal"
        ]),
        States(name: "Hazafon", cities: ["Hebron"]),
        States(name: "Hebron", cities: ["Sgula"]),
        States(name: "Jaffa", cities: ["Jerusalem"]),
        States(name: "Jerusalem", cities: [
          "Ar\\'\\'ara",
          "Isifya",
          "Baqa al-Gharbiyyah",
          "Binyamina",
          "Daliyat-al-Karmil",
          "Jizr-az-Zarqa",
          "Khadera",
          "Khefa",
          "Nesher",
          "Or \\'\\'Aqiva",
          "Pardes Khanna-Karkur",
          "Qiryat Atta",
          "Qiryat Bialik",
          "Qiryat Motzkin",
          "Qiryat Yam",
          "Rekhasim",
          "Tirat Karmel",
          "Umm-al-Fahm",
          "Zikhron Ya\\'\\'aqov"
        ]),
        States(name: "Khefa", cities: []),
        States(name: "Kiryat Yam", cities: []),
        States(name: "Lower Galilee", cities: ["Qalqilya"]),
        States(name: "Qalqilya", cities: []),
        States(name: "Talme Elazar", cities: []),
        States(name: "Tel Aviv", cities: ["Hadera", "Kiryag Bialik"]),
        States(name: "Tsafon", cities: []),
        States(
            name: "Umm El Fahem",
            cities: ["Bet Shemesh", "Mevasserat Ziyyon", "Yerushalayim"]),
        States(name: "Yerushalayim", cities: ["Meta", "Miano"])
      ]),
  Country(
      name: "Italy",
      flag: "🇮🇹",
      code: "IT",
      dialCode: "39",
      minLength: 13,
      maxLength: 13,
      states: [
        States(name: "Abruzzi", cities: [
          "Alba Adriatica",
          "Atessa",
          "Atri",
          "Avezzano",
          "Celano",
          "Cepagatti",
          "Chieti",
          "Citta Sant\\'\\'Angelo",
          "Francavilla al Mare",
          "Giulianova",
          "Guardiagrele",
          "L\\'\\'Aquila",
          "Lanciano",
          "Martinsicuro",
          "Montesilvano",
          "Montorio al Vomano",
          "Mosciano Sant\\'\\'Angelo",
          "Ortona",
          "Penne",
          "Pescara",
          "Pineto",
          "Roseto degli Abruzzi",
          "San Giovanni Teatino",
          "San Salvo",
          "Sant\\'\\'Egidio alla Vibrata",
          "Silvi",
          "Spoltore",
          "Sulmona",
          "Teramo",
          "Vasto"
        ]),
        States(name: "Abruzzo", cities: [
          "Agrigento",
          "Alessandria della Rocca",
          "Aragona",
          "Bivona",
          "Burgio",
          "Calamonaci",
          "Caltabellotta",
          "Camastra",
          "Cammarata",
          "Campobello di Licata",
          "CanicattÃƒÂ¬",
          "Casteltermini",
          "Castrofilippo",
          "Cattolica Eraclea",
          "Cianciana",
          "Comitini",
          "Favara",
          "Grotte",
          "Joppolo Giancaxio",
          "Lampedusa e Linosa",
          "Licata",
          "Lucca Sicula",
          "Menfi",
          "Montallegro",
          "Montevago",
          "Naro",
          "Palma di Montechiaro",
          "Porto Empedocle",
          "Racalmuto",
          "Raffadali",
          "Ravanusa",
          "Realmonte",
          "Ribera",
          "Sambuca di Sicilia",
          "San Biagio Platani",
          "San Giovanni Gemini",
          "Sant Angelo Muxaro",
          "Santa Elisabetta",
          "Santa Margherita di Belice",
          "Santo Stefano Quisquina",
          "Sciacca",
          "Siculiana",
          "Villafranca Sicula"
        ]),
        States(
            name: "Agrigento",
            cities: ["Castellazzo Bormida", "Gavi", "Villanova Monferrato"]),
        States(name: "Alessandria", cities: ["Camerano", "Castelplanio"]),
        States(name: "Ancona", cities: ["Capolona", "Montevarchi", "Subbiano"]),
        States(name: "Arezzo", cities: []),
        States(name: "Ascoli Piceno", cities: ["Buttigliera d\\'\\'Asti"]),
        States(name: "Asti", cities: [
          "Flumeri",
          "Nusco",
          "Prata di Principato Ultra",
          "Villanova del Battista"
        ]),
        States(name: "Avellino", cities: []),
        States(name: "Bari", cities: [
          "Avigliano",
          "Bernalda",
          "Ferrandina",
          "Lauria",
          "Lavello",
          "Matera",
          "Melfi",
          "Montescaglioso",
          "Pisticci",
          "Policoro",
          "Potenza",
          "Rionero in Vulture",
          "Venosa"
        ]),
        States(
            name: "Basilicata",
            cities: ["Belluno", "D\\'\\'alpago", "Longarone", "Pedavena"]),
        States(name: "Belluno", cities: ["San Bartolomeo"]),
        States(name: "Benevento", cities: [
          "",
          "Bagnatica",
          "Bergamo",
          "Bolgare",
          "Bottanuco",
          "Brignano Gera d\\'\\'Adda",
          "Calcio",
          "Caravaggio",
          "Chiuduno",
          "Ciserano",
          "Comun Nuovo",
          "Costa di Mezzate",
          "Gandino",
          "Grassobbio",
          "Grumello Del Monte",
          "Grumello del Monte",
          "Lallio",
          "Levate",
          "Lurano",
          "Mapello",
          "Pagazzano",
          "Ponteranica",
          "Pontida",
          "Sant Omobono Imagna",
          "Torre Pallavicina",
          "Trescore Balneario",
          "Verdellino",
          "Zingonia"
        ]),
        States(name: "Bergamo", cities: [
          "Camburzano",
          "Crevacuore",
          "Gaglianico",
          "Sandigliano",
          "Vigliano Biellese"
        ]),
        States(name: "Biella", cities: [
          "Anzola dell\\'\\'Emilia",
          "Bologna",
          "Borgo Tossignano",
          "Casalfiumanese",
          "Castiglione Dei Pepoli",
          "Funo",
          "Loiano",
          "Monterenzio",
          "Osteria Grande"
        ]),
        States(name: "Bologna", cities: ["Frangarto"]),
        States(name: "Bolzano", cities: [
          "Agnosine",
          "Brescia",
          "Capriano del Colle",
          "Capriolo",
          "Castegnato",
          "Castelcovati",
          "Cellatica",
          "Coccaglio",
          "Comezzano-Cizzago",
          "Erbusco",
          "Flero",
          "Lavenone",
          "Longhena",
          "Maclodio",
          "Muscoline",
          "Padenghe sul Garda",
          "Paderno Franciacorta",
          "Paratico",
          "Passirano",
          "Polaveno",
          "Poncarale",
          "Prevalle",
          "Provaglio dIseo",
          "Roncadelle",
          "Verolavecchia",
          "Visano"
        ]),
        States(name: "Brescia", cities: ["San Donaci"]),
        States(name: "Brindisi", cities: [
          "Acri",
          "Amantea",
          "Bagnara Calabra",
          "Belvedere Marittimo",
          "Bisignano",
          "Bovalino",
          "Cariati",
          "Cassano allo Ionio",
          "Castrolibero",
          "Castrovillari",
          "Catanzaro",
          "Cetraro",
          "Ciro Marina",
          "Cittanova",
          "Corigliano Calabro",
          "Cosenza",
          "Crosia",
          "Crotone",
          "Cutro",
          "Fuscaldo",
          "Gioia Tauro",
          "Isola di Capo Rizzuto",
          "Lamezia Terme",
          "Locri",
          "Luzzi",
          "Melito di Porto Salvo",
          "Mendicino",
          "Montalto Uffugo",
          "Palmi",
          "Paola",
          "Petilia Policastro",
          "Pizzo",
          "Polistena",
          "Reggio di Calabria",
          "Rende",
          "Rosarno",
          "Rossano",
          "San Giovanni in Fiore",
          "Scalea",
          "Sellia Marina",
          "Siderno",
          "Soverato",
          "Taurianova",
          "Trebisacce",
          "Vibo Valentia",
          "Villa San Giovanni"
        ]),
        States(name: "Calabria", cities: [
          "Acerra",
          "Afragola",
          "Agropoli",
          "Angri",
          "Ariano Irpino",
          "Arzano",
          "Atripalda",
          "Avellino",
          "Aversa",
          "Bacoli",
          "Barano d\\'\\'Ischia",
          "Baronissi",
          "Battipaglia",
          "Bellizzi",
          "Benevento",
          "Boscoreale",
          "Boscotrecase",
          "Brusciano",
          "Caivano",
          "Calvizzano",
          "Campagna",
          "Capaccio",
          "Capua",
          "Cardito",
          "Carinola",
          "Casagiove",
          "Casal di Principe",
          "Casalnuovo di Napoli",
          "Casaluce",
          "Casandrino",
          "Casavatore",
          "Caserta",
          "Casoria",
          "Castel San Giorgio",
          "Castel Volturno",
          "Castellammare di Stabia",
          "Cava de\\'\\' Tirreni",
          "Cercola",
          "Cervinara",
          "Cicciano",
          "Crispano",
          "Eboli",
          "Ercolano",
          "Fisciano",
          "Forio",
          "Frattamaggiore",
          "Frattaminore",
          "Frignano",
          "Giffoni Valle Piana",
          "Giugliano in Campania",
          "Gragnano",
          "Gricignano di Aversa",
          "Grottaminarda",
          "Grumo Nevano",
          "Ischia",
          "Lusciano",
          "Macerata Campania",
          "Maddaloni",
          "Marano di Napoli",
          "Marcianise",
          "Marigliano",
          "Massa Lubrense",
          "Melito di Napoli",
          "Mercato San Severino",
          "Mercogliano",
          "Meta",
          "Mirabella Eclano",
          "Mondragone",
          "Monte di Procida",
          "Montecorvino Rovella",
          "Monteforte Irpino",
          "Montesarchio",
          "Montoro Inferiore",
          "Mugnano di Napoli",
          "Naples",
          "Napoli",
          "Nocera Inferiore",
          "Nocera Superiore",
          "Nola",
          "Orta di Atella",
          "Ottaviano",
          "Pagani",
          "Palma Campania",
          "Parete",
          "Pellezzano",
          "Piano di Sorrento",
          "Piedimonte Matese",
          "Poggiomarino",
          "Pollena Trocchia",
          "Pomigliano d\\'\\'Arco",
          "Pompei",
          "Pontecagnano",
          "Portici",
          "Positano",
          "Pozzuoli",
          "Procida",
          "Qualiano",
          "Quarto",
          "Roccapiemonte",
          "Sala Consilina",
          "Salerno",
          "San Cipriano d\\'\\'Aversa",
          "San Felice a Cancello",
          "San Gennaro Vesuviano",
          "San Giorgio a Cremano",
          "San Giorgio del Sannio",
          "San Giuseppe Vesuviano",
          "San Marcellino",
          "San Marzano sul Sarno",
          "San Nicola",
          "San Prisco",
          "San Sebastiano al Vesuvio",
          "San Valentino Torio",
          "Sant Antimo",
          "Sant\\'\\'Agata de\\'\\' Goti",
          "Sant\\'\\'Agnello",
          "Sant\\'\\'Anastasia",
          "Sant\\'\\'Antonio Abate",
          "Sant\\'\\'Arpino",
          "Sant\\'\\'Egidio del Monte Albino",
          "Santa Maria Capua Vetere",
          "Santa Maria a Vico",
          "Santa Maria la Carita",
          "Sarno",
          "Saviano",
          "Scafati",
          "Sessa Aurunca",
          "Siano",
          "Solofra",
          "Somma Vesuviana",
          "Sorrento",
          "Teano",
          "Teggiano",
          "Terzigno",
          "Teverola",
          "Torre Annunziata",
          "Torre del Greco",
          "Trecase",
          "Trentola-Ducenta",
          "Vallo della Lucania",
          "Vico Equense",
          "Vietri sul Mare",
          "Villa Literno",
          "Villaricca",
          "Volla"
        ]),
        States(name: "Campania", cities: ["Cartoceto"]),
        States(name: "Cartoceto", cities: ["Carinaro", "San Marco Evangelista"]),
        States(name: "Caserta", cities: ["Fiandaca Di Acireale", "San Cono"]),
        States(name: "Catania", cities: [
          "Altino",
          "Archi",
          "Ari",
          "Arielli",
          "Atessa",
          "Bomba",
          "Borrello",
          "Bucchianico",
          "Canosa Sannita",
          "Carpineto Sinello",
          "Carunchio",
          "Casacanditella",
          "Casalanguida",
          "Casalbordino",
          "Casalincontrada",
          "Casoli",
          "Castel Frentano",
          "Castelguidone",
          "Castiglione Messer Marino",
          "Celenza sul Trigno",
          "Chieti",
          "Civitaluparella",
          "Civitella Messer Raimondo",
          "Colledimacine",
          "Colledimezzo",
          "Crecchio",
          "Cupello",
          "Dogliola",
          "Fallo",
          "Fara Filiorum Petri",
          "Fara San Martino",
          "Filetto",
          "Fossacesia",
          "Fraine",
          "Francavilla al Mare",
          "Fresagrandinaria",
          "Frisa",
          "Furci",
          "Gamberale",
          "Gessopalena",
          "Gissi",
          "Giuliano Teatino",
          "Guardiagrele",
          "Guilmi",
          "Lama dei Peligni",
          "Lanciano",
          "Lentella",
          "Lettopalena",
          "Liscia",
          "Miglianico",
          "Montazzoli",
          "Montebello sul Sangro",
          "Monteferrante",
          "Montelapiano",
          "Montenerodomo",
          "Monteodorisio",
          "Mozzagrogna",
          "Orsogna",
          "Ortona",
          "Paglieta",
          "Palena",
          "Palmoli",
          "Palombaro",
          "Pennadomo",
          "Pennapiedimonte",
          "Perano",
          "Pietraferrazzana",
          "Pizzoferrato",
          "Poggiofiorito",
          "Pollutri",
          "Pretoro",
          "Quadri",
          "Rapino",
          "Ripa Teatina",
          "Rocca San Giovanni",
          "Roccamontepiano",
          "Roccascalegna",
          "Roccaspinalveti",
          "Roio del Sangro",
          "Rosello",
          "San Buono",
          "San Giovanni Lipioni",
          "San Giovanni Teatino",
          "San Martino sulla Marrucina",
          "San Salvo",
          "San Vito Chietino",
          "Sant Eusanio del Sangro",
          "Santa Maria Imbaro",
          "Scerni",
          "Schiavi di Abruzzo",
          "Taranta Peligna",
          "Tollo",
          "Torino di Sangro",
          "Tornareccio",
          "Torrebruna",
          "Torrevecchia Teatina",
          "Torricella Peligna",
          "Treglio",
          "Tufillo",
          "Vacri",
          "Vasto",
          "Villa Santa Maria",
          "Villalfonsina",
          "Villamagna"
        ]),
        States(name: "Chieti", cities: [
          "Albavilla",
          "Cadorago",
          "Carimate",
          "Castelmarte",
          "Cavaria",
          "Cernobbio",
          "Comocrea",
          "Dongo",
          "Gironico",
          "Grandate",
          "Lurago dErba",
          "Mozzate",
          "Novedrate",
          "Orsenigo",
          "Turate",
          "Uggiate"
        ]),
        States(name: "Como", cities: ["Corso del Tirreno", "Mangone"]),
        States(name: "Cosenza", cities: [
          "Casalbuttano",
          "Casalmaggiore",
          "Castelverde",
          "Madignano",
          "Pieve San Giacomo"
        ]),
        States(name: "Cremona", cities: [
          "Bandito",
          "Bra",
          "Casalgrasso",
          "Cossano Belbo",
          "Magliano Alpi",
          "Mondovi",
          "Roddi",
          "Santa Vittoria d\\'\\'Alba",
          "Verduno"
        ]),
        States(name: "Cuneo", cities: [
          "Alfonsine",
          "Argelato",
          "Argenta",
          "Bagnacavallo",
          "Bagnolo in Piano",
          "Bellaria-Igea Marina",
          "Bertinoro",
          "Bologna",
          "Bondeno",
          "Budrio",
          "Calderara di Reno",
          "Carpi",
          "Casalecchio di Reno",
          "Casalgrande",
          "Castel Bolognese",
          "Castel Maggiore",
          "Castel San Giovanni",
          "Castel San Pietro Terme",
          "Castelfranco Emilia",
          "Castellarano",
          "Castelnovo ne\\'\\' Monti",
          "Castelnuovo Rangone",
          "Castelvetro di Modena",
          "Castenaso",
          "Cattolica",
          "Cavriago",
          "Cento",
          "Cervia",
          "Cesena",
          "Cesenatico",
          "Codigoro",
          "Collecchio",
          "Comacchio",
          "Concordia sulla Secchia",
          "Conselice",
          "Copparo",
          "Coriano",
          "Correggio",
          "Crespellano",
          "Crevalcore",
          "Faenza",
          "Ferrara",
          "Fidenza",
          "Finale Emilia",
          "Fiorano Modenese",
          "Fiorenzuola d\\'\\'Arda",
          "Forli",
          "Forlimpopoli",
          "Formigine",
          "Gambettola",
          "Granarolo dell\\'\\'Emilia",
          "Guastalla",
          "Imola",
          "Langhirano",
          "Lugo",
          "Luzzara",
          "Maranello",
          "Massa Lombarda",
          "Medesano",
          "Medicina",
          "Meldola",
          "Mirandola",
          "Misano Adriatico",
          "Modena",
          "Molinella",
          "Monte San Pietro",
          "Montecchio Emilia",
          "Montechiarugolo",
          "Noceto",
          "Nonantola",
          "Novellara",
          "Novi di Modena",
          "Ozzano dell\\'\\'Emilia",
          "Parma",
          "Pavullo nel Frignano",
          "Piacenza",
          "Pianoro",
          "Ponticino",
          "Portomaggiore",
          "Quattro Castella",
          "Ravenna",
          "Reggio nell\\'\\'Emilia",
          "Reggiolo",
          "Riccione",
          "Rimini",
          "Rottofreno",
          "Rubiera",
          "Russi",
          "Salsomaggiore Terme",
          "San Felice sul Panaro",
          "San Giovanni in Persiceto",
          "San Lazzaro di Savena",
          "San Mauro Pascoli",
          "San Pietro in Casale",
          "Sant\\'\\'Ilario d\\'\\'Enza",
          "Santarcangelo di Romagna",
          "Sasso Marconi",
          "Sassuolo",
          "Savignano sul Panaro",
          "Savignano sul Rubicone",
          "Scandiano",
          "Soliera",
          "Sorbolo",
          "Spilamberto",
          "Verucchio",
          "Vignola",
          "Zola Predosa"
        ]),
        States(name: "Emilia-Romagna", cities: ["Saint Agostino"]),
        States(name: "Ferrara", cities: [
          "Capalle",
          "Firenze",
          "Pelago",
          "San Donnino",
          "Scarperia"
        ]),
        States(name: "Firenze", cities: ["Scandicci", "Sesto Fiorentino"]),
        States(name: "Florence", cities: []),
        States(name: "Forli-Cesena", cities: []),
        States(
            name: "Friuli-Venezia Giulia",
            cities: ["Casalvieri", "Frosinone", "Sgurgola"]),
        States(name: "Frosinone", cities: ["Genoa", "Moneglia"]),
        States(
            name: "Genoa",
            cities: ["Romans d\\'\\'Isonzo", "Savogna d\\'\\'Isonzo"]),
        States(name: "Gorizia", cities: ["Magliano de Marsi"]),
        States(name: "L\\'\\'Aquila", cities: [
          "Alatri",
          "Albano Laziale",
          "Anagni",
          "Anguillara Sabazia",
          "Anzio",
          "Aprilia",
          "Ardea",
          "Ariccia",
          "Artena",
          "Boville Ernica",
          "Bracciano",
          "Campagnano di Roma",
          "Cassino",
          "Cave",
          "Ceccano",
          "Ceprano",
          "Cerveteri",
          "Ciampino",
          "Cisterna",
          "Civita Castellana",
          "Civitavecchia",
          "Colleferro",
          "Cori",
          "Fara in Sabina",
          "Ferentino",
          "Fiano Romano",
          "Fiuggi",
          "Fiumicino",
          "Fondi",
          "Fonte Nuova",
          "Formello",
          "Formia",
          "Frascati",
          "Frosinone",
          "Gaeta",
          "Genzano di Roma",
          "Grottaferrata",
          "Guidonia",
          "Isola del Liri",
          "Itri",
          "Ladispoli",
          "Lanuvio",
          "Lariano",
          "Latina",
          "Marino",
          "Mentana",
          "Minturno",
          "Monte San Giovanni Campano",
          "Montefiascone",
          "Monterotondo",
          "Nettuno",
          "Palestrina",
          "Palombara Sabina",
          "Pomezia",
          "Pontecorvo",
          "Pontinia",
          "Priverno",
          "Rieti",
          "Rocca Priora",
          "Rocca di Papa",
          "Roma",
          "Rome",
          "Sabaudia",
          "San Cesareo",
          "Santa Marinella",
          "Segni",
          "Sezze",
          "Sora",
          "Soriano nel Cimino",
          "Subiaco",
          "Tarquinia",
          "Terracina",
          "Tivoli",
          "Valmontone",
          "Velletri",
          "Veroli",
          "Vetralla",
          "Viterbo",
          "Zagarolo"
        ]),
        States(name: "Lazio", cities: ["Acquarica del Capo"]),
        States(name: "Lecce", cities: [
          "Airuno",
          "Bosisio Parini",
          "Lecco",
          "Margno",
          "Osnago",
          "Sirone"
        ]),
        States(name: "Lecco", cities: [
          "Airuno",
          "Bosisio Parini",
          "Lecco",
          "Margno",
          "Osnago",
          "Sirone"
        ]),
        States(name: "Lecco Province", cities: [
          "Alassio",
          "Albenga",
          "Albisola Superiore",
          "Arcola",
          "Arenzano",
          "Bordighera",
          "Borgonuovo",
          "Cairo Montenotte",
          "Chiavari",
          "Cogoleto",
          "Finale Ligure",
          "Genova",
          "Imperia",
          "La Spezia",
          "Lavagna",
          "Lerici",
          "Loano",
          "Ortonovo",
          "Pietra Ligure",
          "Rapallo",
          "Recco",
          "San Remo",
          "Santa Margherita Ligure",
          "Santo Stefano di Magra",
          "Sarzana",
          "Savona",
          "Sestri Levante",
          "Taggia",
          "Varazze",
          "Ventimiglia"
        ]),
        States(name: "Liguria", cities: ["Somaglia"]),
        States(name: "Lodi", cities: [
          "Abbiategrasso",
          "Agrate Brianza",
          "Albiate",
          "Albino",
          "Albizzate",
          "Alzano Lombardo",
          "Arcisate",
          "Arconate",
          "Arcore",
          "Arese",
          "Arluno",
          "Asola",
          "Bagnolo Mella",
          "Ballabio",
          "Bareggio",
          "Basiglio",
          "Bedizzole",
          "Bergamo",
          "Bernareggio",
          "Besana in Brianza",
          "Besozzo",
          "Biassono",
          "Bienate",
          "Bollate",
          "Botticino",
          "Bovisio-Masciago",
          "Brembilla",
          "Brescia",
          "Bresso",
          "Broni",
          "Brugherio",
          "Buccinasco",
          "Bussero",
          "Busto Arsizio",
          "Busto Garolfo",
          "Cairate",
          "Calcinato",
          "Calolziocorte",
          "Calusco d\\'\\'Adda",
          "Canegrate",
          "Cantu",
          "Capriolo",
          "Carate Brianza",
          "Caravaggio",
          "Cardano al Campo",
          "Caronno Pertusella",
          "Carpenedolo",
          "Carugate",
          "Carvico",
          "Casalmaggiore",
          "Casalpusterlengo",
          "Casatenovo",
          "Casazza",
          "Casnigo",
          "Cassano Magnago",
          "Cassano d\\'\\'Adda",
          "Cassina de\\'\\' Pecchi",
          "Castano Primo",
          "Castel Goffredo",
          "Castel Mella",
          "Castellanza",
          "Castelleone",
          "Castelli Calepio",
          "Castenedolo",
          "Castiglione delle Stiviere",
          "Cazzago San Martino",
          "Cene",
          "Cermenate",
          "Cernusco sul Naviglio",
          "Cerro Maggiore",
          "Cesano Boscone",
          "Cesano Maderno",
          "Cesate",
          "Chiari",
          "Cilavegna",
          "Cinisello Balsamo",
          "Cislago",
          "Clusone",
          "Codogno",
          "Cologno Monzese",
          "Cologno al Serio",
          "Como",
          "Concesio",
          "Concorezzo",
          "Corbetta",
          "Cormano",
          "Cornaredo",
          "Cornate d\\'\\'Adda",
          "Corsico",
          "Corte dei Cortesi",
          "Costa Volpino",
          "Crema",
          "Cremona",
          "Crocetta",
          "Curtatone",
          "Cusano Milanino",
          "Dalmine",
          "Darfo",
          "Desenzano del Garda",
          "Desio",
          "Erba",
          "Fagnano Olona",
          "Fino Mornasco",
          "Gaggiano",
          "Galbiate",
          "Gallarate",
          "Gambolo",
          "Garbagnate Milanese",
          "Gardone Val Trompia",
          "Garlasco",
          "Gavardo",
          "Gavirate",
          "Gerenzano",
          "Ghedi",
          "Giussano",
          "Goito",
          "Gonzaga",
          "Gorgonzola",
          "Gussago",
          "Gussola",
          "Induno Olona",
          "Inveruno",
          "Inzago",
          "Iseo",
          "Isola Dovarese",
          "Lacchiarella",
          "Lainate",
          "Laveno-Mombello",
          "Lecco",
          "Leffe",
          "Legnano",
          "Leno",
          "Lentate sul Seveso",
          "Limbiate",
          "Lissone",
          "Locate di Triulzi",
          "Lodi",
          "Lomazzo",
          "Lonate Pozzolo",
          "Lonato",
          "Luino",
          "Lumezzane",
          "Lurate Caccivio",
          "Magenta",
          "Malnate",
          "Mandello del Lario",
          "Manerbio",
          "Mantova",
          "Mariano Comense",
          "Martinengo",
          "Mazzano",
          "Meda",
          "Mediglia",
          "Melegnano",
          "Melzo",
          "Merate",
          "Milano",
          "Molteno",
          "Montichiari",
          "Monza",
          "Morbegno",
          "Mornago",
          "Mortara",
          "Muggio",
          "Nave",
          "Nembro",
          "Nerviano",
          "Nova Milanese",
          "Novate Milanese",
          "Olgiate Comasco",
          "Olgiate Olona",
          "Opera",
          "Orzinuovi",
          "Osio Sotto",
          "Ospitaletto",
          "Paderno Dugnano",
          "Palazzolo sull\\'\\'Oglio",
          "Pandino",
          "Parabiago",
          "Paullo",
          "Pavia",
          "Pero",
          "Peschiera Borromeo",
          "Pessano con Bornago",
          "Pieve Emanuele",
          "Pioltello",
          "Ponte Nossa",
          "Ponte San Pietro",
          "Porto Mantovano",
          "Pozzolengo",
          "Rescaldina",
          "Rezzato",
          "Rho",
          "Rivarolo Mantovano",
          "Rodano",
          "Romano di Lombardia",
          "Rovato",
          "Rozzano",
          "Saletto",
          "Salo",
          "Samarate",
          "San Donato Milanese",
          "San Giuliano Milanese",
          "Sant\\'\\'Angelo Lodigiano",
          "Sarezzo",
          "Saronno",
          "Scanzorosciate",
          "Sedriano",
          "Segrate",
          "Senago",
          "Seregno",
          "Seriate",
          "Sesto Calende",
          "Sesto San Giovanni",
          "Settimo Milanese",
          "Seveso",
          "Sirmione",
          "Solaro",
          "Somma Lombardo",
          "Sondrio",
          "Soresina",
          "Sorisole",
          "Stezzano",
          "Stradella",
          "Suzzara",
          "Tirano",
          "Tornata",
          "Tradate",
          "Travagliato",
          "Treviglio",
          "Treviolo",
          "Trezzano sul Naviglio",
          "Trezzo",
          "Tromello",
          "Uboldo",
          "Urgnano",
          "Usmate Velate",
          "Valmadrera",
          "Varedo",
          "Varese",
          "Verano Brianza",
          "Vergiate",
          "Viadana",
          "Vigevano",
          "Vignate",
          "Villa Carcina",
          "Villa Guardia",
          "Villasanta",
          "Vimercate",
          "Vimodrone",
          "Virgilio",
          "Voghera",
          "Zibido San Giacomo",
          "Zogno"
        ]),
        States(name: "Lombardia", cities: [
          "Barasso",
          "Bergamo",
          "Bolladello",
          "Capergnanica",
          "Costa Masnaga",
          "Medolago",
          "Nibionno",
          "Rodano",
          "Sordio",
          "Torre d\\'\\'Isola",
          "Varese",
          "Villongo",
          "milan"
        ]),
        States(name: "Lombardy", cities: ["Colmurano", "Monte San Giusto"]),
        States(name: "Macerata", cities: [
          "Castel",
          "Gazoldo",
          "Marmirolo",
          "Monzambano",
          "Ostiglia",
          "Pegognaga",
          "Poggio Rusco",
          "Quistello",
          "Roverbella",
          "Suzzara"
        ]),
        States(name: "Mantova", cities: [
          "Ancona",
          "Ascoli Piceno",
          "Barchi",
          "Cagli",
          "Castelfidardo",
          "Chiaravalle",
          "Cingoli",
          "Civitanova Marche",
          "Corridonia",
          "Fabriano",
          "Falconara Marittima",
          "Fano",
          "Fermo",
          "Filottrano",
          "Folignano",
          "Fossombrone",
          "Grottammare",
          "Jesi",
          "Loreto",
          "Macerata",
          "Matelica",
          "Mondavio",
          "Mondolfo",
          "Montappone",
          "Montecosaro",
          "Montegranaro",
          "Montemarciano",
          "Monteprandone",
          "Morrovalle",
          "Osimo",
          "Pesaro",
          "Polverigi",
          "Porto Recanati",
          "Porto San Giorgio",
          "Porto Sant\\'\\'Elpidio",
          "Potenza Picena",
          "Recanati",
          "San Benedetto del Tronto",
          "San Severino Marche",
          "Sant\\'\\'Elpidio a Mare",
          "Senigallia",
          "Tolentino",
          "Treia",
          "Urbino"
        ]),
        States(name: "Marche", cities: ["Cumiana", "Giammoro"]),
        States(name: "Messina", cities: [
          "Assago",
          "Besana in Brianza",
          "Biassono",
          "Burago Molgora",
          "Cernusco Sul Naviglio",
          "Cologno Monzese",
          "Concorezzo",
          "Cornaredo",
          "Cuggiono",
          "Cusago",
          "Foro Buonaparte",
          "Gessate",
          "Gorgonzola",
          "Liscate",
          "Magenta",
          "Milan",
          "Noviglio",
          "Passirana Di Rho",
          "Pregnana Milane",
          "San Donato Milanese",
          "Seregno",
          "Trezzo Sull\\'\\'adda",
          "Tribiano",
          "Vaprio d\\'\\'Adda",
          "Vermezzo"
        ]),
        States(name: "Milan", cities: [
          "Bomporto",
          "Campogalliano",
          "Cavezzo",
          "Medolla",
          "Nonantola",
          "San Possidonio",
          "Sassuolo",
          "Spilamberto"
        ]),
        States(name: "Modena", cities: [
          "Bojano",
          "Campobasso",
          "Cantalupo",
          "Isernia",
          "Termoli",
          "Venafro"
        ]),
        States(name: "Molise", cities: []),
        States(name: "Molteno", cities: ["Montenegro"]),
        States(name: "Montenegro", cities: []),
        States(name: "Monza and Brianza", cities: ["Forio d\\'\\'Ischia"]),
        States(name: "Naples", cities: ["Bogogno", "Invorio", "Pombia"]),
        States(name: "Novara", cities: [
          "Bagnoli di Sopra",
          "Bovolenta",
          "Casale Di Scodosia",
          "Cervarese Santa Croce",
          "Fontaniva",
          "Galliera Veneta",
          "Legnaro",
          "Limena",
          "Loreggia",
          "Massanzago",
          "Onara",
          "Ponso",
          "Portogallo",
          "Tribano"
        ]),
        States(name: "Padova", cities: [
          "Baganzola",
          "Busseto",
          "Casale Di Mezzani",
          "Fontevivo",
          "Solignano",
          "Torrile"
        ]),
        States(
            name: "Parma",
            cities: ["Codevilla", "Marcignago", "Pavia", "Siziano"]),
        States(name: "Pavia", cities: ["Pianello", "Ponte Felcino", "Zanica"]),
        States(
            name: "Perugia",
            cities: ["Gradara", "Monte Porzio", "Pergola", "Tavullia"]),
        States(
            name: "Pesaro-Urbino",
            cities: ["Alseno", "Gossolengo", "Vigolzone"]),
        States(name: "Piacenza", cities: [
          "Armeno",
          "Bergamasco",
          "Caselette",
          "Rosta",
          "San Damiano",
          "Spinetta Marengo"
        ]),
        States(name: "Piedmont", cities: [
          "Acqui Terme",
          "Alba",
          "Alessandria",
          "Alpignano",
          "Andezeno",
          "Andonno",
          "Arona",
          "Asti",
          "Avigliana",
          "Baveno",
          "Beinasco",
          "Bellinzago Novarese",
          "Biella",
          "Borgaro Torinese",
          "Borgo San Dalmazzo",
          "Borgomanero",
          "Borgosesia",
          "Boves",
          "Bra",
          "Busca",
          "Cameri",
          "Canelli",
          "Carignano",
          "Carmagnola",
          "Casale Monferrato",
          "Caselle Torinese",
          "Castellamonte",
          "Castelletto sopra Ticino",
          "Chieri",
          "Chivasso",
          "Cirie",
          "Collegno",
          "Cossato",
          "Cuneo",
          "Cuorgne",
          "Domodossola",
          "Druento",
          "Fossano",
          "Galliate",
          "Gassino Torinese",
          "Gattinara",
          "Giaveno",
          "Grugliasco",
          "Ivrea",
          "Leini",
          "LusigliÃƒÂ¨",
          "Marano Ticino",
          "Mergozzo",
          "Moncalieri",
          "Mondovi",
          "Mongrando",
          "Nichelino",
          "Nizza Monferrato",
          "Novara",
          "Novi Ligure",
          "Oleggio",
          "Omegna",
          "Orbassano",
          "Ovada",
          "Pianezza",
          "Pinerolo",
          "Pino Torinese",
          "Piossasco",
          "Poirino",
          "Racconigi",
          "Rivalta di Torino",
          "Rivarolo Canavese",
          "Rivoli",
          "Saluzzo",
          "San Maurizio",
          "San Mauro Torinese",
          "Sandigliano",
          "Santena",
          "Santhia",
          "Savigliano",
          "Settimo Torinese",
          "Torino",
          "Tortona",
          "Trecate",
          "Trofarello",
          "Valduggia",
          "Valenza",
          "Venaria Reale",
          "Verbania",
          "Vercelli",
          "Vigliano Biellese",
          "Vinovo",
          "Volpiano"
        ]),
        States(name: "Piemonte", cities: ["Perignano", "Ponte a Egola"]),
        States(name: "Pisa", cities: ["San Quirino"]),
        States(name: "Pordenone", cities: ["Latronico"]),
        States(name: "Potenza", cities: [
          "Acquaviva delle Fonti",
          "Adelfia",
          "Alberobello",
          "Altamura",
          "Andria",
          "Apricena",
          "Aradeo",
          "Bari",
          "Barletta",
          "Bisceglie",
          "Bitetto",
          "Bitonto",
          "Bitritto",
          "Brindisi",
          "Campi Salentina",
          "Canosa di Puglia",
          "Capurso",
          "Carmiano",
          "Carovigno",
          "Casamassima",
          "Casarano",
          "Cassano delle Murge",
          "Castellana Grotte",
          "Castellaneta",
          "Cavallino",
          "Ceglie Messapica",
          "Cerignola",
          "Cisternino",
          "Conversano",
          "Copertino",
          "Corato",
          "Crispiano",
          "Cutrofiano",
          "Erchie",
          "Fasano",
          "Foggia",
          "Francavilla Fontana",
          "Galatina",
          "Galatone",
          "Gallipoli",
          "Ginosa",
          "Gioia del Colle",
          "Giovinazzo",
          "Gravina in Puglia",
          "Grottaglie",
          "Grumo Appula",
          "Laterza",
          "Latiano",
          "Lecce",
          "Leverano",
          "Lizzanello",
          "Lizzano",
          "Locorotondo",
          "Lucera",
          "Maglie",
          "Manduria",
          "Manfredonia",
          "Margherita di Savoia",
          "Martano",
          "Martina Franca",
          "Massafra",
          "Matino",
          "Melendugno",
          "Mesagne",
          "Minervino Murge",
          "Modugno",
          "Mola di Bari",
          "Molfetta",
          "Monopoli",
          "Monte Sant\\'\\'Angelo",
          "Monteroni di Lecce",
          "Mottola",
          "Nardo",
          "Neviano",
          "Noci",
          "Noicattaro",
          "Novoli",
          "Oria",
          "Orta Nova",
          "Ostuni",
          "Palagiano",
          "Palo del Colle",
          "Parabita",
          "Polignano a Mare",
          "Pulsano",
          "Putignano",
          "Racale",
          "Ruffano",
          "Rutigliano",
          "Ruvo di Puglia",
          "Salice Salentino",
          "San Ferdinando di Puglia",
          "San Giorgio Ionico",
          "San Giovanni Rotondo",
          "San Marco in Lamis",
          "San Marzano di San Giuseppe",
          "San Nicandro Garganico",
          "San Pancrazio Salentino",
          "San Pietro Vernotico",
          "San Severo",
          "San Vito dei Normanni",
          "Sannicandro di Bari",
          "Santeramo in Colle",
          "Sava",
          "Squinzano",
          "Statte",
          "Surbo",
          "Taranto",
          "Taurisano",
          "Taviano",
          "Terlizzi",
          "Toritto",
          "Torre Santa Susanna",
          "Torremaggiore",
          "Trani",
          "Trepuzzi",
          "Tricase",
          "Triggiano",
          "Trinitapoli",
          "Turi",
          "Ugento",
          "Valenzano",
          "Veglie",
          "Vico del Gargano",
          "Vieste",
          "Villa Castelli"
        ]),
        States(name: "Puglia", cities: []),
        States(
            name: "Reggio Emilia",
            cities: ["San Giovanni in Marignano", "Torriana"]),
        States(name: "Rimini", cities: ["Anzio"]),
        States(name: "Roma", cities: [
          "Atena Lucana",
          "Castel San Giorgio",
          "Fisciano",
          "Giungano",
          "Omignano"
        ]),
        States(name: "Salerno", cities: [
          "Alghero",
          "Arzachena",
          "Assemini",
          "Cabras",
          "Cagliari",
          "Capoterra",
          "Carbonia",
          "Dorgali",
          "Guspini",
          "Iglesias",
          "Ittiri",
          "La Maddalena",
          "Macomer",
          "Monserrato",
          "Nuoro",
          "Olbia",
          "Oristano",
          "Ozieri",
          "Porto Torres",
          "Quartu Sant\\'\\'Elena",
          "Quartucciu",
          "San Gavino Monreale",
          "Sanluri",
          "Sant\\'\\'Antioco",
          "Sassari",
          "Selargius",
          "Serramanna",
          "Sestu",
          "Siniscola",
          "Sinnai",
          "Sorso",
          "Tempio Pausania",
          "Terralba",
          "Tortoli",
          "Villacidro"
        ]),
        States(name: "Sardegna", cities: ["Nule"]),
        States(name: "Sassari", cities: ["Altare"]),
        States(name: "Savona", cities: [
          "Aci Castello",
          "Aci Catena",
          "Aci Sant\\'\\'Antonio",
          "Acireale",
          "Adrano",
          "Agira",
          "Agrigento",
          "Alcamo",
          "Altofonte",
          "Aragona",
          "Augusta",
          "Avola",
          "Bagheria",
          "Barcellona",
          "Barrafranca",
          "Belmonte Mezzagno",
          "Belpasso",
          "Biancavilla",
          "Bronte",
          "Caccamo",
          "Caltagirone",
          "Caltanissetta",
          "Campobello di Licata",
          "Campobello di Mazara",
          "Canicatti",
          "Capaci",
          "Capo d\\'\\'Orlando",
          "Carini",
          "Carlentini",
          "Castelbuono",
          "Casteldaccia",
          "Castellammare del Golfo",
          "Casteltermini",
          "Castelvetrano",
          "Catania",
          "Catenanuova",
          "Cefalu",
          "Chiaramonte Gulfi",
          "Cinisi",
          "Comiso",
          "Corleone",
          "Enna",
          "Erice",
          "Favara",
          "Ficarazzi",
          "Fiumefreddo di Sicilia",
          "Floridia",
          "Francofonte",
          "Gela",
          "Giardini-Naxos",
          "Giarre",
          "Grammichele",
          "Gravina di Catania",
          "Ispica",
          "Lentini",
          "Leonforte",
          "Licata",
          "Lipari",
          "Marsala",
          "Mascali",
          "Mascalucia",
          "Mazara del Vallo",
          "Mazzarino",
          "Melilli",
          "Menfi",
          "Messina",
          "Milazzo",
          "Militello in Val di Catania",
          "Misilmeri",
          "Misterbianco",
          "Modica",
          "Monreale",
          "Motta Sant\\'\\'Anastasia",
          "Mussomeli",
          "Naro",
          "Nicosia",
          "Niscemi",
          "Noto",
          "Paceco",
          "Pachino",
          "Palagonia",
          "Palazzolo Acreide",
          "Palermo",
          "Palma di Montechiaro",
          "Partanna",
          "Partinico",
          "Paterno",
          "Patti",
          "Pedara",
          "Piazza Armerina",
          "Porto Empedocle",
          "Pozzallo",
          "Priolo Gargallo",
          "Racalmuto",
          "Raffadali",
          "Ragusa",
          "Ramacca",
          "Randazzo",
          "Ravanusa",
          "Ribera",
          "Riesi",
          "Riposto",
          "Rosolini",
          "Salemi",
          "San Cataldo",
          "San Giovanni Gemini",
          "San Giovanni la Punta",
          "San Giuseppe Jato",
          "San Gregorio di Catania",
          "Sant\\'\\'Agata di Militello",
          "Sant\\'\\'Agata li Battiati",
          "Santa Croce Camerina",
          "Santa Flavia",
          "Santa Teresa di Riva",
          "Sciacca",
          "Scicli",
          "Scordia",
          "Siracusa",
          "Sortino",
          "Taormina",
          "Termini Imerese",
          "Terrasini",
          "Trabia",
          "Trapani",
          "Trecastagni",
          "Tremestieri Etneo",
          "Troina",
          "Valderice",
          "Valguarnera Caropepe",
          "Villabate",
          "Villafranca Tirrena",
          "Vittoria",
          "Zafferana Etnea"
        ]),
        States(name: "Sicilia", cities: ["Monteriggioni", "Monteroni d Arbia"]),
        States(name: "Siena", cities: ["Delebio", "Talamona"]),
        States(name: "Sondrio", cities: []),
        States(name: "South Tyrol", cities: ["Faggiano", "Riva del Garda"]),
        States(name: "Taranto", cities: ["Castilenti", "Controguerra"]),
        States(name: "Teramo", cities: [
          "Bruino",
          "Busano",
          "Buttigliera Alta",
          "Cavour",
          "Chieri",
          "Colleretto Giacosa",
          "Cuceglio",
          "Giaveno",
          "Mazze",
          "Mercenasco",
          "Piobesi",
          "Rivoli",
          "Robassomero",
          "Scarmagno",
          "Strambino",
          "Turin",
          "Villar Perosa",
          "Volpiano"
        ]),
        States(name: "Torino", cities: [
          "Agliana",
          "Altopascio",
          "Anghiari",
          "Arezzo",
          "Aulla",
          "Bagno a Ripoli",
          "Barberino di Mugello",
          "Barga",
          "Bibbiena",
          "Borgo San Lorenzo",
          "Bucine",
          "Buggiano",
          "Calcinaia",
          "Calenzano",
          "Camaiore",
          "Campi Bisenzio",
          "Campiglia Marittima",
          "Capannori",
          "Cappelle",
          "Capraia",
          "Carmignano",
          "Carrara",
          "Cascina",
          "Castagneto Carducci",
          "Castelfiorentino",
          "Castelfranco di Sotto",
          "Castiglion Fiorentino",
          "Cecina",
          "Cerreto Guidi",
          "Certaldo",
          "Chiesina Uzzanese",
          "Chiusi",
          "Civitella in Val di Chiana",
          "Colle di Val d\\'\\'Elsa",
          "Collesalvetti",
          "Cortona",
          "Empoli",
          "Fiesole",
          "Figline Valdarno",
          "Firenze",
          "Fivizzano",
          "Florence",
          "Foiano della Chiana",
          "Follonica",
          "Forte dei Marmi",
          "Fucecchio",
          "Gavorrano",
          "Greve in Chianti",
          "Grosseto",
          "Impruneta",
          "Lari",
          "Lastra a Signa",
          "Livorno",
          "Lucca",
          "Massa",
          "Massa Marittima",
          "Massarosa",
          "Monsummano Terme",
          "Montale",
          "Monte Argentario",
          "Monte San Savino",
          "Montecatini-Terme",
          "Montelupo Fiorentino",
          "Montemurlo",
          "Montepulciano",
          "Montespertoli",
          "Montevarchi",
          "Montignoso",
          "Montopoli in Val d\\'\\'Arno",
          "Orbetello",
          "Pescia",
          "Pietrasanta",
          "Pieve a Nievole",
          "Piombino",
          "Pisa",
          "Pistoia",
          "Poggibonsi",
          "Poggio a Caiano",
          "Ponsacco",
          "Pontassieve",
          "Pontedera",
          "Ponticino",
          "Pontremoli",
          "Portoferraio",
          "Prato",
          "Quarrata",
          "Reggello",
          "Rignano",
          "Roccastrada",
          "Rosignano Marittimo",
          "San Casciano",
          "San Giovanni Valdarno",
          "San Giuliano Terme",
          "San Miniato",
          "Sansepolcro",
          "Santa Croce sull\\'\\'Arno",
          "Santa Maria a Monte",
          "Scandicci",
          "Seravezza",
          "Serravalle Pistoiese",
          "Sesto Fiorentino",
          "Siena",
          "Signa",
          "Sinalunga",
          "Sovicille",
          "Terranuova Bracciolini",
          "Vaiano",
          "Varna",
          "Vecchiano",
          "Viareggio",
          "Vinci",
          "Volterra"
        ]),
        States(name: "Toscana", cities: ["Guarrato"]),
        States(name: "Trapani", cities: []),
        States(name: "Trentino-Alto Adige", cities: ["San Giorgio", "Dro"]),
        States(name: "Trento", cities: [
          "Asolo",
          "Conegliano",
          "Cordignano",
          "Gaiarine",
          "Ormelle",
          "Possagno",
          "Revine Lago"
        ]),
        States(name: "Treviso", cities: [
          "Basiliano",
          "Bicinicco",
          "Buttrio",
          "Coseano",
          "Pradamano",
          "San Giovanni al Natisone",
          "Torreano"
        ]),
        States(name: "Udine", cities: [
          "Amelia",
          "Assisi",
          "Bastia Umbra",
          "Castiglione del Lago",
          "Citta di Castello",
          "Corciano",
          "Deruta",
          "Foligno",
          "Gualdo Tadino",
          "Gubbio",
          "Magione",
          "Marsciano",
          "Narni",
          "Orvieto",
          "Perugia",
          "San Giustino",
          "Spello",
          "Spoleto",
          "Terni",
          "Todi",
          "Umbertide"
        ]),
        States(name: "Umbria", cities: []),
        States(name: "Valle d\\'\\'Aosta", cities: [
          "Arsago Seprio",
          "Busto Arsizio",
          "Cassano Magnago",
          "Gazzada",
          "Oggiona Con Santo Stefano",
          "Solbiate Arno",
          "Solbiate Olona",
          "Ternate",
          "Venegono Inferiore"
        ]),
        States(name: "Varese", cities: [
          "Abano Terme",
          "Adria",
          "Albignasego",
          "Altavilla Vicentina",
          "Arzignano",
          "Badia Polesine",
          "Bassano del Grappa",
          "Belfiore",
          "Belluno",
          "Borso del Grappa",
          "Bovolone",
          "Bussolengo",
          "Cadoneghe",
          "Caldogno",
          "Camisano Vicentino",
          "Campodarsego",
          "Campolongo Maggiore",
          "Camponogara",
          "Camposampiero",
          "Caorle",
          "Carbonera",
          "Casale sul Sile",
          "Casier",
          "Cassola",
          "Castel d\\'\\'Azzano",
          "Castelfranco Veneto",
          "Castello di Godego",
          "Castelnuovo del Garda",
          "Cavallino-Treporti",
          "Cavarzere",
          "Cerea",
          "Chiampo",
          "Chioggia",
          "Cittadella",
          "Colombano",
          "Concordia Sagittaria",
          "Conegliano",
          "Conselve",
          "Cornedo Vicentino",
          "Creazzo",
          "Dolo",
          "Due Carrare",
          "Dueville",
          "Eraclea",
          "Este",
          "Feltre",
          "Galzignano Terme",
          "Grezzana",
          "Iesolo",
          "Isola Vicentina",
          "Isola della Scala",
          "Jesolo",
          "Legnago",
          "Lendinara",
          "Lonigo",
          "Malo",
          "Marano Vicentino",
          "Marcon",
          "Marostica",
          "Martellago",
          "Mestrino",
          "Mira",
          "Mirano",
          "Mogliano Veneto",
          "Monselice",
          "Montagnana",
          "Montebelluna",
          "Montecchio Maggiore",
          "Montegrotto Terme",
          "Monticello Conte Otto",
          "Motta di Livenza",
          "Murano",
          "Musile di Piave",
          "Mussolente",
          "Negrar",
          "Noale",
          "Noventa Padovana",
          "Noventa Vicentina",
          "Occhiobello",
          "Oderzo",
          "Ormelle",
          "Padova",
          "Padua",
          "Paese",
          "Pescantina",
          "Peschiera del Garda",
          "Pianiga",
          "Piazzola sul Brenta",
          "Pieve di Soligo",
          "Pievebelvicino",
          "Piombino Dese",
          "Piove di Sacco",
          "Ponte San Nicolo",
          "Ponzano Veneto",
          "Porto Tolle",
          "Porto Viro",
          "Portogruaro",
          "Preganziol",
          "Quinto di Treviso",
          "Riese Pio X",
          "Romano dEzzelino",
          "Roncade",
          "Rosa",
          "Rovigo",
          "Rubano",
          "Salzano",
          "San Biagio di Callalta",
          "San Bonifacio",
          "San Dona di Piave",
          "San Giovanni Lupatoto",
          "San Martino Buon Albergo",
          "San Martino di Lupari",
          "San Michele al Tagliamento",
          "San Pietro in Cariano",
          "San Vendemiano",
          "Sant\\'\\'Ambrogio",
          "Santa Maria di Sala",
          "Santo Stino di Livenza",
          "Santorso",
          "Saonara",
          "Sarcedo",
          "Schio",
          "Scorze",
          "Sedico",
          "Selvazzano Dentro",
          "Silea",
          "Sivizzo",
          "Sommacampagna",
          "Sona",
          "Spinea",
          "Spresiano",
          "Susegana",
          "Taglio di Po",
          "Teolo",
          "Tezze sul Brenta",
          "Thiene",
          "Torri di Quartesolo",
          "Trebaseleghe",
          "Trevignano",
          "Treviso",
          "Trissino",
          "Valdagno",
          "Valdobbiadene",
          "Valeggio sul Mincio",
          "Vedelago",
          "Venezia",
          "Venice",
          "Verona",
          "Vicenza",
          "Vigodarzere",
          "Vigonovo",
          "Vigonza",
          "Villafranca di Verona",
          "Villorba",
          "Vittorio Veneto",
          "Volpago del Montello",
          "Zane",
          "Zero Branco",
          "Zevio"
        ]),
        States(
            name: "Veneto",
            cities: ["Cona", "Marghera", "Oriago di Mira", "Tessera"]),
        States(name: "Venezia", cities: ["Piedimulera"]),
        States(
            name: "Verbano-Cusio-Ossola",
            cities: ["Crescentino", "Moncrivello", "Rovasenda", "Trino"]),
        States(name: "Vercelli", cities: [
          "Valeggio Sul Mincio",
          "Cadidavid",
          "Colognola ai Colli",
          "Pastrengo",
          "Valgatara"
        ]),
        States(name: "Verona", cities: [
          "Montebello Vicentino",
          "Alonte",
          "Arcugnano",
          "Arzignano",
          "Barbarano Vicentino",
          "Breganze",
          "Brendola",
          "Bressanvido",
          "Carre",
          "Castelgomberto",
          "Costabissara",
          "Grumolo delle Abbadesse",
          "Piovene Rocchette",
          "Povolaro",
          "Rossano Veneto",
          "San Pietro di Rosa",
          "San Vito di Leguzzano",
          "Sandrigo",
          "Thiene",
          "Torrebelvicino",
          "Torri di Quartesolo",
          "Villaverla"
        ]),
        States(name: "Vicenza", cities: ["Nepi"]),
        States(name: "Viterbo", cities: [])
      ]),
  Country(
      name: "Jamaica",
      flag: "🇯🇲",
      code: "JM",
      dialCode: "1876",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Buxoro Viloyati", cities: ["May Pen"]),
        States(name: "Clarendon", cities: ["Lucea"]),
        States(name: "Hanover", cities: ["Kingston"]),
        States(name: "Kingston", cities: ["Mandeville"]),
        States(name: "Manchester", cities: ["Port Antonio"]),
        States(name: "Portland", cities: []),
        States(name: "Saint Andrews", cities: []),
        States(name: "Saint Ann", cities: []),
        States(name: "Saint Catherine", cities: []),
        States(name: "Saint Elizabeth", cities: []),
        States(name: "Saint James", cities: []),
        States(name: "Saint Mary", cities: []),
        States(name: "Saint Thomas", cities: ["Albert Town", "Falmouth"]),
        States(name: "Trelawney", cities: ["Savanna la Mar"]),
        States(name: "Westmoreland", cities: [
          "Agui",
          "Anjo",
          "Atsumi",
          "Bisai",
          "Chiryu",
          "Chita",
          "Fujioka",
          "Fuso",
          "Gamagori",
          "Handa",
          "Hekinan",
          "Higashiura",
          "Ichinomiya",
          "Inazawa",
          "Inuyama",
          "Isshiki",
          "Iwakura",
          "Jimokuji",
          "Kanie",
          "Kariya",
          "Kasugai",
          "Kira",
          "Kisogawa",
          "Komaki",
          "Konan",
          "Kota",
          "Kozakai",
          "Mihama",
          "Minamichita",
          "Miwa",
          "Miyoshi",
          "Nagakute",
          "Nagoya",
          "Nishiharu",
          "Nishio",
          "Nisshin",
          "Obu",
          "Oharu",
          "Okazaki",
          "Owariashi",
          "Saori",
          "Saya",
          "Seto",
          "Shikatsu",
          "Shinshiro",
          "Shippo",
          "Sobue",
          "Tahara",
          "Takahama",
          "Taketoyo",
          "Togo",
          "Tokai",
          "Tokoname",
          "Toyoake",
          "Toyohashi",
          "Toyokawa",
          "Toyota",
          "Tsushima",
          "Yatomi"
        ])
      ]),
  Country(
      name: "Japan",
      flag: "🇯🇵",
      code: "JP",
      dialCode: "81",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Aichi", cities: [
          "Akita",
          "Honjo",
          "Kazuno",
          "Noshiro",
          "Odate",
          "Oga",
          "Omagari",
          "Takanosu",
          "Tenno",
          "Ugo",
          "Yokote",
          "Yuzawa"
        ]),
        States(name: "Akita", cities: [
          "Aomori",
          "Goshogawara",
          "Hachinohe",
          "Hiraka",
          "Hirosaki",
          "Kizukuri",
          "Kuroishi",
          "Misawa",
          "Mutsu",
          "Namioka",
          "Towada"
        ]),
        States(name: "Aomori", cities: [
          "Abiko",
          "Asahi",
          "Chiba",
          "Choshi",
          "Funabashi",
          "Fussa",
          "Futtsu",
          "Ichihara",
          "Ichikawa",
          "Inzai",
          "Kamagaya",
          "Kamogawa",
          "Kashiwa",
          "Katsuura",
          "Kimitsu",
          "Kisarazu",
          "Kujukuri",
          "Matsudo",
          "Mobara",
          "Nagareyama",
          "Narashino",
          "Narita",
          "Naruto",
          "Noda",
          "Oamishirasato",
          "Ohara",
          "Omigawa",
          "Sakae",
          "Sakura",
          "Sambu",
          "Sawara",
          "Sekiyado",
          "Shiroi",
          "Shisui",
          "Shonan",
          "Sodegaura",
          "Tateyama",
          "Togane",
          "Tomisato",
          "Urayasu",
          "Yachimata",
          "Yachiyo",
          "Yokaichiba",
          "Yotsukaido"
        ]),
        States(name: "Chiba", cities: [
          "Hojo",
          "Imabari",
          "Iyo",
          "Iyomishima",
          "Kawanoe",
          "Masaki",
          "Matsuyama",
          "Niihama",
          "Ozu",
          "Saijo",
          "Shigenobu",
          "Tobe",
          "Toyo",
          "Uwajima",
          "Yawatahama"
        ]),
        States(name: "Ehime", cities: [
          "Fukui",
          "Harue",
          "Katsuyama",
          "Maruoka",
          "Mikuni",
          "Obama",
          "Ono",
          "Sabae",
          "Takefu",
          "Tsuruga"
        ]),
        States(name: "Fukui", cities: [
          "Amagi",
          "Buzen",
          "Chikugo",
          "Chikushino",
          "Dazaifu",
          "Fukuma",
          "Fukuoka",
          "Hirokawa",
          "Honami",
          "Iizuka",
          "Inatsuki",
          "Kanda",
          "Kasuga",
          "Kasuya",
          "Kawasaki",
          "Kitakyushu",
          "Koga",
          "Kurate",
          "Kurume",
          "Maebaru",
          "Miyata",
          "Mizumaki",
          "Munakata",
          "Nakagawa",
          "Nakama",
          "Nogata",
          "Ogori",
          "Okagaki",
          "Okawa",
          "Omuta",
          "Onojo",
          "Sasaguri",
          "Setaka",
          "Shime",
          "Shingu",
          "Sue",
          "Tagawa",
          "Tanushimaru",
          "Umi",
          "Yamada",
          "Yame",
          "Yanagawa",
          "Yukuhashi"
        ]),
        States(name: "Fukuoka", cities: [
          "Aizubange",
          "Aizuwakamatsu",
          "Fukushima",
          "Funehiki",
          "Haramachi",
          "Hobara",
          "Inawashiro",
          "Ishikawa",
          "Iwaki",
          "Kawamata",
          "Kitakata",
          "Koriyama",
          "Miharu",
          "Motomiya",
          "Namie",
          "Nihommatsu",
          "Shirakawa",
          "Soma",
          "Sukagawa",
          "Yanagawa"
        ]),
        States(name: "Fukushima", cities: [
          "Ena",
          "Gifu",
          "Ginan",
          "Godo",
          "Hashima",
          "Hozumi",
          "Ibigawa",
          "Ikeda",
          "Kakamigahara",
          "Kani",
          "Kasamatsu",
          "Mino",
          "Minokamo",
          "Mitake",
          "Mizunami",
          "Nakatsugawa",
          "Ogaki",
          "Ono",
          "Seki",
          "Tajimi",
          "Takayama",
          "Tarui",
          "Toki",
          "Yoro"
        ]),
        States(name: "Gifu", cities: [
          "Annaka",
          "Azuma",
          "Fujimi",
          "Fujioka",
          "Gumma",
          "Haruna",
          "Isesaki",
          "Kasakake",
          "Kiryu",
          "Maebashi",
          "Nakanojo",
          "Nitta",
          "Numata",
          "Oizumi",
          "Omama",
          "Ora",
          "Ota",
          "Sakai",
          "Shibukawa",
          "Takasaki",
          "Tamamura",
          "Tatebayashi",
          "Tomioka",
          "Yoshii"
        ]),
        States(name: "Gumma", cities: [
          "Fuchu",
          "Fukuyama",
          "Hatsukaichi",
          "Higashihiroshima",
          "Hiroshima",
          "Innoshima",
          "Kaita",
          "Kannabe",
          "Kumano",
          "Kure",
          "Kurose",
          "Mihara",
          "Miyoshi",
          "Ono",
          "Onomichi",
          "Otake",
          "Shinichi",
          "Shobara",
          "Takehara"
        ]),
        States(name: "Hiroshima", cities: [
          "Abashiri",
          "Akabira",
          "Asahikawa",
          "Ashibetsu",
          "Bibai",
          "Bihoro",
          "Chitose",
          "Date",
          "Ebetsu",
          "Eniwa",
          "Fukagawa",
          "Furano",
          "Hakodate",
          "Hokkaido",
          "Hyogo",
          "Ishikari",
          "Iwamizawa",
          "Iwanai",
          "Kamiiso",
          "Kitahiroshima",
          "Kitami",
          "Kushiro",
          "Makubetsu",
          "Mikasa",
          "Mombetsu",
          "Muroran",
          "Nakashibetsu",
          "Nanae",
          "Nayoro",
          "Nemuro",
          "Noboribetsu",
          "Obihiro",
          "Otaru",
          "Otofuke",
          "Rumoi",
          "Sapporo",
          "Shibetsu",
          "Shiraoi",
          "Shizunai",
          "Sunagawa",
          "Takikawa",
          "Tobetsu",
          "Tomakomai",
          "Utashinai",
          "Wakkanai",
          "Yoichi",
          "Yubari"
        ]),
        States(name: "Hokkaido", cities: [
          "Aioi",
          "Akashi",
          "Ako",
          "Amagasaki",
          "Ashiya",
          "Fukusaki",
          "Harima",
          "Himeji",
          "Inagawa",
          "Inami",
          "Itami",
          "Kakogawa",
          "Kasai",
          "Kawanishi",
          "Kobe",
          "Kodera",
          "Miki",
          "Nandan",
          "Nishinomiya",
          "Nishiwaki",
          "Ono",
          "Sanda",
          "Sasayama",
          "Sumoto",
          "Taishi",
          "Takarazuka",
          "Takasago",
          "Tatsuno",
          "Toyooka",
          "Yamasaki",
          "Yashiro",
          "Yumesaki"
        ]),
        States(name: "Hyogo", cities: [
          "Ami",
          "Chiyoda",
          "Daigo",
          "Edosaki",
          "Fujishiro",
          "Hasaki",
          "Hitachi",
          "Hitachinaka",
          "Hitachiota",
          "Hokota",
          "Ibaraki",
          "Ina",
          "Ishige",
          "Ishioka",
          "Itako",
          "Iwai",
          "Iwase",
          "Kamisu",
          "Kasama",
          "Kashima",
          "Kasumigaura",
          "Kitaibaraki",
          "Koga",
          "Kukizaki",
          "Makabe",
          "Minori",
          "Mito",
          "Mitsukaido",
          "Moriya",
          "Naka",
          "Oarai",
          "Omiya",
          "Ryugasaki",
          "Sakai",
          "Sanwa",
          "Shimodate",
          "Shimotsuma",
          "Sowa",
          "Takahagi",
          "Tokai",
          "Tomobe",
          "Tone",
          "Toride",
          "Tsukuba",
          "Ushiku",
          "Yachiyo",
          "Yasato",
          "Yuki"
        ]),
        States(name: "Ibaraki", cities: [
          "Hakui",
          "Kaga",
          "Kanazawa",
          "Komatsu",
          "Matto",
          "Nanao",
          "Nonoichi",
          "Suzu",
          "Tsubata",
          "Tsurugi",
          "Uchinada",
          "Wajima"
        ]),
        States(name: "Ishikawa", cities: [
          "Daito",
          "Esashi",
          "Hanamaki",
          "Ichinohe",
          "Ichinoseki",
          "Iwate",
          "Kamaishi",
          "Kitakami",
          "Kuji",
          "Miyako",
          "Mizusawa",
          "Morioka",
          "Ninohe",
          "Ofunato",
          "Otsuchi",
          "Rikuzentakata",
          "Shiwa",
          "Shizukuishi",
          "Takizawa",
          "Tono",
          "Yahaba",
          "Yamada"
        ]),
        States(name: "Iwate", cities: [
          "Kagawa",
          "Kanonji",
          "Kokubunji",
          "Marugame",
          "Miki",
          "Ryonan",
          "Sakaide",
          "Shido",
          "Tadotsu",
          "Takamatsu",
          "Tonosho",
          "Zentsuji"
        ]),
        States(name: "Kagawa", cities: [
          "Aira",
          "Akune",
          "Hayato",
          "Ibusuki",
          "Ijuin",
          "Izumi",
          "Kagoshima",
          "Kajiki",
          "Kanoya",
          "Kaseda",
          "Kokubu",
          "Kushikino",
          "Makurazaki",
          "Naze",
          "Nishinoomote",
          "Okuchi",
          "Sendai",
          "Shibushi",
          "Sueyoshi",
          "Tarumizu"
        ]),
        States(name: "Kagoshima", cities: [
          "Aikawa",
          "Atsugi",
          "Ayase",
          "Chigasaki",
          "Ebina",
          "Fujisawa",
          "Hadano",
          "Hakone",
          "Hayama",
          "Hiratsuka",
          "Isehara",
          "Kamakura",
          "Kawasaki",
          "Minamiashigara",
          "Miura",
          "Ninomiya",
          "Odawara",
          "Oiso",
          "Sagamihara",
          "Samukawa",
          "Shiroyama",
          "Takatsu-Ku",
          "Tsukui",
          "Yamato",
          "Yokohama",
          "Yokosuka",
          "Yugawara",
          "Zama",
          "Zushi"
        ]),
        States(name: "Kanagawa", cities: ["Gunma", "Saitama"]),
        States(name: "Kanto", cities: [
          "Aki",
          "Ino",
          "Kochi",
          "Muroto",
          "Nakamura",
          "Nankoku",
          "Sukumo",
          "Susaki",
          "Tosa",
          "Tosashimizu",
          "Tosayamada"
        ]),
        States(name: "Kochi", cities: [
          "Arao",
          "Ashikita",
          "Aso",
          "Hitoyoshi",
          "Hondo",
          "Jonan",
          "Kikuchi",
          "Kikuyo",
          "Koshi",
          "Kumamoto",
          "Mashiki",
          "Matsubase",
          "Minamata",
          "Nishigoshi",
          "Ozu",
          "Tamana",
          "Ueki",
          "Ushibuka",
          "Uto",
          "Yamaga",
          "Yatsushiro"
        ]),
        States(name: "Kumamoto", cities: [
          "Ayabe",
          "Fukuchiyama",
          "Joyo",
          "Kameoka",
          "Kizu",
          "Kumiyama",
          "Kyotanabe",
          "Kyoto",
          "Maizuru",
          "Miyazu",
          "Muko",
          "Nagaokakyo",
          "Seika",
          "Uji",
          "Yawata"
        ]),
        States(name: "Kyoto", cities: [
          "Ago",
          "Hisai",
          "Ise",
          "Kameyama",
          "Komono",
          "Kumano",
          "Kuwana",
          "Matsusaka",
          "Meiwa",
          "Nabari",
          "Owase",
          "Suzuka",
          "Toba",
          "Toin",
          "Tsu",
          "Ueno",
          "Yokkaichi"
        ]),
        States(name: "Mie", cities: [
          "Furukawa",
          "Hasama",
          "Ishinomaki",
          "Iwanuma",
          "Kakuda",
          "Kesennuma",
          "Kogota",
          "Marumori",
          "Natori",
          "Ogawara",
          "Rifu",
          "Sendai",
          "Shibata",
          "Shichigahama",
          "Shiogama",
          "Shiroishi",
          "Tagajo",
          "Taiwa",
          "Tomiya",
          "Wakuya",
          "Watari",
          "Yamoto"
        ]),
        States(name: "Miyagi", cities: [
          "Ebino",
          "Hyuga",
          "Kiyotake",
          "Kobayashi",
          "Kunitomi",
          "Kushima",
          "Mimata",
          "Miyakonojo",
          "Miyazaki",
          "Nichinan",
          "Nobeoka",
          "Sadowara",
          "Saito",
          "Shintomi",
          "Takanabe"
        ]),
        States(name: "Miyazaki", cities: [
          "Chino",
          "Hotaka",
          "Iida",
          "Iiyama",
          "Ina",
          "Komagane",
          "Komoro",
          "Koshoku",
          "Maruko",
          "Matsumoto",
          "Minowa",
          "Nagano",
          "Nakano",
          "Okaya",
          "Omachi",
          "Saku",
          "Shimosuwa",
          "Shiojiri",
          "Suwa",
          "Suzaka",
          "Tatsuno",
          "Tobu",
          "Toyoshina",
          "Ueda"
        ]),
        States(name: "Nagano", cities: [
          "Fukue",
          "Hirado",
          "Isahaya",
          "Matsuura",
          "Nagasaki",
          "Nagayo",
          "Omura",
          "Sasebo",
          "Shimabara",
          "Togitsu"
        ]),
        States(name: "Nagasaki", cities: [
          "Gojo",
          "Gose",
          "Haibara",
          "Heguri",
          "Ikagura",
          "Ikoma",
          "Kammaki",
          "Kashiba",
          "Kashihara",
          "Kawai",
          "Koryo",
          "Nara",
          "Oji",
          "Oyodo",
          "Sakurai",
          "Sango",
          "Tawaramoto",
          "Tenri",
          "Yamatokoriyama",
          "Yamatotakada"
        ]),
        States(name: "Nara", cities: [
          "Arai",
          "Fuchu",
          "Gosen",
          "Itoigawa",
          "Joetsu",
          "Kameda",
          "Kamo",
          "Kashiwazaki",
          "Kurosaki",
          "Maki",
          "Mitsuke",
          "Muika",
          "Murakami",
          "Muramatsu",
          "Nagaoka",
          "Nakajo",
          "Niigata",
          "Niitsu",
          "Ojiya",
          "Ryotsu",
          "Sanjo",
          "Shibata",
          "Shiozawa",
          "Shirone",
          "Suibara",
          "Tochio",
          "Tokamachi",
          "Toyosaka",
          "Tsubame",
          "Yoshida"
        ]),
        States(name: "Niigata", cities: [
          "Beppu",
          "Bungotakada",
          "Hiji",
          "Hita",
          "Kitsuki",
          "Kusu",
          "Nakatsu",
          "Oita",
          "Saiki",
          "Taketa",
          "Tsukumi",
          "Usa",
          "Usuki"
        ]),
        States(name: "Oita", cities: [
          "Bizen",
          "Ibara",
          "Kamogata",
          "Kasaoka",
          "Kurashiki",
          "Mabi",
          "Niimi",
          "Okayama",
          "Sanyo",
          "Soja",
          "Takahashi",
          "Tamano",
          "Tsuyama"
        ]),
        States(name: "Okayama", cities: [
          "Chatan",
          "Ginowan",
          "Gushikawa",
          "Haebaru",
          "Hirara",
          "Ishigaki",
          "Ishikawa",
          "Itoman",
          "Nago",
          "Naha",
          "Nishihara",
          "Okinawa",
          "Tomigusuku",
          "Urasoe",
          "Yomitan"
        ]),
        States(name: "Okinawa", cities: [
          "Daito",
          "Fujiidera",
          "Habikino",
          "Hannan",
          "Higashiosaka",
          "Hirakata",
          "Ibaraki",
          "Ikeda",
          "Izumi",
          "Izumiotsu",
          "Izumisano",
          "Kadoma",
          "Kaizuka",
          "Kashiwara",
          "Katano",
          "Kawachinagano",
          "Kishiwada",
          "Kobe",
          "Kumatori",
          "Matsubara",
          "Mihara",
          "Mino",
          "Misaki",
          "Moriguchi",
          "Neyagawa",
          "Osaka",
          "Osakasayama",
          "Sakai",
          "Sennan",
          "Settsu",
          "Shijonawate",
          "Shimamoto",
          "Suita",
          "Takaishi",
          "Takatsuki",
          "Tondabayashi",
          "Toyonaka",
          "Toyono",
          "Yao"
        ]),
        States(name: "Osaka", cities: [
          "Imari",
          "Kanzaki",
          "Karatsu",
          "Kashima",
          "Kawasoe",
          "Saga",
          "Takeo",
          "Taku",
          "Tosu",
          "Ureshino",
          "Yamato"
        ]),
        States(name: "Saga", cities: [
          "Ageo",
          "Asaka",
          "Chichibu",
          "Fujimi",
          "Fukaya",
          "Fukiage",
          "Gyoda",
          "Hanno",
          "Hanyu",
          "Hasuda",
          "Hatogaya",
          "Hatoyama",
          "Hidaka",
          "Higashimatsuyama",
          "Honjo",
          "Ina",
          "Iruma",
          "Iwatsuki",
          "Kamifukuoka",
          "Kamisato",
          "Kasukabe",
          "Kawagoe",
          "Kawaguchi",
          "Kawajima",
          "Kazo",
          "Kisai",
          "Kitamoto",
          "Kodama",
          "Konosu",
          "Koshigaya",
          "Kuki",
          "Kumagaya",
          "Kurihashi",
          "Matsubushi",
          "Menuma",
          "Misato",
          "Miyashiro",
          "Miyoshi",
          "Moroyama",
          "Niiza",
          "Ogawa",
          "Oi",
          "Okegawa",
          "Omiya",
          "Saitma-Shi",
          "Sakado",
          "Satte",
          "Sayama",
          "Shiki",
          "Shiraoka",
          "Shobu",
          "Showa",
          "Soka",
          "Sugito",
          "Toda",
          "Tokorozawa",
          "Tsurugashima",
          "Urawa",
          "Wako",
          "Warabi",
          "Washimiya",
          "Yashio",
          "Yono",
          "Yorii",
          "Yoshikawa",
          "Yoshimi"
        ]),
        States(name: "Saitama", cities: [
          "Hikone",
          "Hino",
          "Konan",
          "Kosei",
          "Kusatsu",
          "Minakuchi",
          "Moriyama",
          "Nagahama",
          "Notogawa",
          "Omihachiman",
          "Otsu",
          "Ritto",
          "Shiga",
          "Yasu",
          "Yokaichi"
        ]),
        States(name: "Shiga", cities: [
          "Gotsu",
          "Hamada",
          "Hikawa",
          "Hirata",
          "Izumo",
          "Masuda",
          "Matsue",
          "Oda",
          "Yasugi"
        ]),
        States(name: "Shimane", cities: [
          "Asaba",
          "Atami",
          "Daito",
          "Fuji",
          "Fujieda",
          "Fujinomiya",
          "Fukuroi",
          "Gotemba",
          "Haibara",
          "Hamakita",
          "Hamamatsu",
          "Hamaoka",
          "Hosoe",
          "Ito",
          "Iwata",
          "Kakegawa",
          "Kanaya",
          "Kannami",
          "Kikugawa",
          "Kosai",
          "Mishima",
          "Mori",
          "Nagaizumi",
          "Numazu",
          "Oigawa",
          "Oyama",
          "Ryuyo",
          "Sagara",
          "Shimada",
          "Shimizu",
          "Shimoda",
          "Shizuoka",
          "Susono",
          "Tenryu",
          "Toyoda",
          "Yaizu",
          "Yoshida"
        ]),
        States(name: "Shizuoka", cities: [
          "Ashikaga",
          "Fujioka",
          "Imaichi",
          "Iwafune",
          "Kaminokawa",
          "Kanuma",
          "Karasuyama",
          "Kawachi",
          "Kuroiso",
          "Mashiko",
          "Mibu",
          "Minamikawachi",
          "Moka",
          "Motegi",
          "Nasu",
          "Nikko",
          "Nishinasuno",
          "Nogi",
          "Ohira",
          "Otawara",
          "Oyama",
          "Sano",
          "Takanezawa",
          "Tanuma",
          "Tochigi",
          "Ujiie",
          "Utsunomiya",
          "Yaita"
        ]),
        States(name: "Tochigi", cities: [
          "Aizumi",
          "Anan",
          "Ikeda",
          "Ishii",
          "Kamojima",
          "Kitajima",
          "Komatsushima",
          "Naruto",
          "Tokushima",
          "Waki"
        ]),
        States(name: "Tokushima", cities: [
          "Akiruno",
          "Akishima",
          "Chofu",
          "Fuchu",
          "Hachioji",
          "Hamura",
          "Higashikurume",
          "Higashimurayama",
          "Higashiyamato",
          "Hino",
          "Hoya",
          "Inagi",
          "Kiyose",
          "Kodaira",
          "Koganei",
          "Kokubunji",
          "Komae",
          "Kunitachi",
          "Machida",
          "Mitaka",
          "Mizuho",
          "Musashimurayama",
          "Musashino",
          "Ome",
          "Tachikawa",
          "Tama",
          "Tanashi",
          "Tokyo"
        ]),
        States(
            name: "Tokyo",
            cities: ["Kurayoshi", "Sakaiminato", "Tottori", "Yonago"]),
        States(name: "Tottori", cities: [
          "Fukumitsu",
          "Himi",
          "Kamiichi",
          "Kosugi",
          "Kurobe",
          "Namerikawa",
          "Nyuzen",
          "Osawano",
          "Oyabe",
          "Shimminato",
          "Takaoka",
          "Tateyama",
          "Tonami",
          "Toyama",
          "Uozu",
          "Yatsuo"
        ]),
        States(name: "Toyama", cities: [
          "Arida",
          "Gobo",
          "Hashimoto",
          "Iwade",
          "Kainan",
          "Katsuragi",
          "Kishigawa",
          "Nachikatsuura",
          "Shingu",
          "Tanabe",
          "Wakayama"
        ]),
        States(name: "Wakayama", cities: [
          "Higashine",
          "Kahoku",
          "Kaminoyama",
          "Kawanishi",
          "Murayama",
          "Nagai",
          "Nanyo",
          "Obanazawa",
          "Sagae",
          "Sakata",
          "Shinjo",
          "Takahata",
          "Tendo",
          "Tsuchiura",
          "Tsuruoka",
          "Yamagata",
          "Yonezawa",
          "Yuza"
        ]),
        States(name: "Yamagata", cities: [
          "Hagi",
          "Hikari",
          "Hofu",
          "Iwakuni",
          "Kudamatsu",
          "Mine",
          "Nagato",
          "Ogori",
          "Onoda",
          "Sanyo",
          "Shimonoseki",
          "Shinnanyo",
          "Tokuyama",
          "Toyoura",
          "Ube",
          "Yamaguchi",
          "Yanai"
        ]),
        States(name: "Yamaguchi", cities: [
          "Enzan",
          "Fujiyoshida",
          "Isawa",
          "Kofu",
          "Nirasaki",
          "Otsuki",
          "Ryuo",
          "Tsuru",
          "Uenohara",
          "Yamanashi"
        ]),
        States(name: "Yamanashi", cities: ["Grouville"])
      ]),
  Country(
      name: "Jersey",
      flag: "🇯🇪",
      code: "JE",
      dialCode: "44",
      regionCode: "1534",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Grouville", cities: []),
        States(name: "Saint Brelade", cities: []),
        States(name: "Saint Clement", cities: []),
        States(name: "Saint Helier", cities: []),
        States(name: "Saint John", cities: []),
        States(name: "Saint Lawrence", cities: []),
        States(name: "Saint Martin", cities: []),
        States(name: "Saint Mary", cities: []),
        States(name: "Saint Peter", cities: []),
        States(name: "Saint Saviour", cities: ["Trinity"]),
        States(name: "Trinity", cities: [
          "Abbin",
          "Ajlun",
          "Anjarah",
          "Arjan",
          "Ayn Janna",
          "Halawah",
          "Kharbat al-Wahadnah",
          "Kufranjah",
          "Sakhrah",
          "al-Hashamiyah"
        ])
      ]),
  Country(
      name: "Jordan",
      flag: "🇯🇴",
      code: "JO",
      dialCode: "962",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Ajlun", cities: [
          "Abu \\'\\'Alanda",
          "Amman",
          "Askan Abu Nusayr",
          "Jawa",
          "Khalda wa Tila\\'\\'-al-\\'\\'Ali",
          "Khraybat As-Suq",
          "Marj al-Hammam",
          "Na\\'\\'ur",
          "Nuzhat Sahab",
          "Sahab",
          "Shafa Badran",
          "Suwaylih",
          "Tariq",
          "Umm As-Summaq",
          "Umm Nuwarah",
          "Umm Qusayr wal Muqabalin",
          "Umm al-Basatin",
          "Wadi as-Sir",
          "al-\\'\\'Abdaliyah",
          "al-Binayat",
          "al-Faysaliyah",
          "al-Jizah",
          "al-Jubayhah",
          "al-Juwaydah",
          "al-Quwaysimah",
          "al-Yadudah",
          "ar-Rawdah",
          "at-Talbiyah",
          "at-Taybah"
        ]),
        States(name: "Amman", cities: [
          "Al\\'\\'al",
          "Anbah",
          "Arhaba",
          "Aydun",
          "Bayt Idas",
          "Bayt Ras",
          "Bayt Yafa",
          "Bushra",
          "Dayr Abi Sa\\'\\'id",
          "Dayr Yusif",
          "Dayr as-Sa\\'\\'anah",
          "Duwaqarah",
          "Hakama",
          "Hartha",
          "Hatam",
          "Hawwarah",
          "Irbid",
          "Jasar ash-Shaykh Hussayn",
          "Judayta",
          "Katam",
          "Kharja",
          "Kufur \\'\\'Awan",
          "Kufur Abil",
          "Kufur Asad",
          "Kufur Rakab",
          "Kufur Sum",
          "Kufur Yuba",
          "Kufur al-Ma",
          "Kuraymah",
          "Malka",
          "Mukhayyam al-Husun",
          "Qumaym",
          "Saham",
          "Sal",
          "Samma",
          "Sammaw",
          "Sum",
          "Tabnah",
          "Umm Qays",
          "Wadi al-Yabas",
          "Waqqas",
          "Zahar",
          "al-Ashrafiyah",
          "al-Balawnah",
          "al-Buwaydah",
          "al-Husun",
          "al-Manshiyah",
          "al-Mashari\\'\\'a",
          "al-Mazar ash-Shamaliyah",
          "al-Mughayyar",
          "an-Nu\\'\\'aymeh",
          "ar-Ramtha",
          "as-Sarih",
          "ash-Shajarah",
          "ash-Shunah ash-Shamaliyah",
          "at-Taybah",
          "at-Turrah"
        ]),
        States(name: "Irbid", cities: [
          "Balila",
          "Burma",
          "Jarash",
          "Kufur Khall",
          "Mukhayyam Ghazzah",
          "Mukhayyam Suf",
          "Qafqafa",
          "Raymun",
          "Sakab",
          "Suf",
          "al-Kattah"
        ]),
        States(name: "Jarash", cities: [
          "Bayar",
          "Ma\\'\\'an",
          "Wadi Musa",
          "al-Hussayniyah",
          "al-Jafar",
          "at-Taybah"
        ]),
        States(name: "Ma\\'\\'an", cities: [
          "Dhiban",
          "Ma\\'\\'in",
          "Madaba",
          "Mulayh",
          "al-Faysaliyah"
        ]),
        States(name: "Madaba", cities: ["al-\\'\\'Aqabah", "al-Quwayrah"]),
        States(name: "al-\\'\\'Aqabah", cities: [
          "Ayn al-Basha",
          "Darar",
          "Juwafat al-Kafrayn",
          "Ma\\'\\'addi",
          "Mahas",
          "Safut",
          "Suknat ash-Shunah",
          "Yarqa",
          "al-Baq\\'\\'ah",
          "al-Fuhays",
          "al-Karamah",
          "ar-Rawdah",
          "as-Salt",
          "as-Sawalhah",
          "as-Subayhi",
          "at-Tawal al-Janubi",
          "at-Tuwal ash-Shamali"
        ]),
        States(name: "al-Balqa", cities: [
          "Ayy",
          "Adar",
          "Faqqu",
          "Ghawr al-Mazra\\'\\'ah",
          "Ghawr as-Safi",
          "Maw\\'\\'tah",
          "Sirfa",
          "al-Hussayniyah",
          "al-Karak",
          "al-Mazar",
          "al-Qasr",
          "al-Qitranah",
          "ar-Rabbah",
          "ash-Shahabiyah",
          "at-Taybah"
        ]),
        States(name: "al-Karak", cities: [
          "Badiyat ar-Ruwayshid",
          "Bal\\'\\'ama",
          "Manshiyat Bani Hassan",
          "Mugayyar as-Sarhan",
          "Sabha",
          "Sama as-Sarhan",
          "Umm al-Quttayn",
          "al-Hamra",
          "al-Khaldiyah al-Jadidah",
          "al-Mabrukah",
          "al-Mafraq",
          "ar-Ruwayshid",
          "az-Za\\'\\'tari"
        ]),
        States(name: "al-Mafraq", cities: [
          "Busayrah",
          "al-\\'\\'Ayn al-Bayda",
          "al-Hasa",
          "al-Qadisiyah",
          "at-Tafilah"
        ]),
        States(name: "at-Tafilah", cities: [
          "Iskan al-Hashamiyah",
          "Mushayrfat Ras al-\\'\\'Ayn",
          "Shnillar",
          "ad-Dulayl",
          "al-Azraq ash-Shamali",
          "al-Hashamiyah",
          "ar-Russayfah",
          "as-Sukhnah",
          "az-Zarqa"
        ]),
        States(name: "az-Zarqa", cities: [
          "Akmecet",
          "Aral",
          "Baykonir",
          "Canakazali",
          "Canakorgan",
          "Cosali",
          "Kazali",
          "Sieli",
          "Tasboget"
        ])
      ]),
  Country(
      name: "Kazakhstan",
      flag: "🇰🇿",
      code: "KZ",
      dialCode: "7",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Akmecet", cities: [
          "Aksu",
          "Alekseevka",
          "Astana",
          "Atbasar",
          "Bestobe",
          "Caltir",
          "Colimbet",
          "Ereymentau",
          "Koksetau",
          "Makin",
          "Stepnogorsk"
        ]),
        States(name: "Akmola", cities: [
          "Aktobe",
          "Alka",
          "Batamsi",
          "Embi",
          "Hromtau",
          "Kandagac",
          "Salkar",
          "Subarkudik",
          "Subarsi",
          "Temir"
        ]),
        States(name: "Aktobe", cities: [
          "Almati",
          "Almaty",
          "Boralday",
          "Carkant",
          "Energetyceskiy",
          "Esik",
          "Fabrichniy",
          "Kapsagay",
          "Karabulak",
          "Kaskelen",
          "Kirov",
          "Sariozek",
          "Sarkand",
          "Selek",
          "Taldikorgan",
          "Talgar",
          "Tekeli",
          "Ustobe",
          "Uzunagac"
        ]),
        States(name: "Almati", cities: [
          "Atirau",
          "Atyrau",
          "Dossor",
          "Inderbor",
          "Karaton",
          "Kulsari",
          "Makat",
          "Oporni",
          "Sumisker"
        ]),
        States(name: "Atirau", cities: []),
        States(name: "Batis Kazakstan", cities: []),
        States(name: "Burlinsky Region", cities: [
          "Abay",
          "Akadir",
          "Aktas",
          "Aktau",
          "Atasu",
          "Balkas",
          "Cayrem",
          "Cezkazgan",
          "Gulsat",
          "Karacal",
          "Karaganda",
          "Karkarali",
          "Karsakbay",
          "Konrat",
          "Novodolinskiy",
          "Osakarovka",
          "Sahti",
          "Saran",
          "Sarisagan",
          "Satpaev",
          "Temirtau",
          "Tokaryovka"
        ]),
        States(name: "Karagandi", cities: [
          "Arkalik",
          "Borovskoy",
          "Cetikara",
          "Derjavinsk",
          "Esil",
          "Fodorov",
          "Kacar",
          "Komsomol",
          "Kostanay",
          "Kusmurin",
          "Lisakovsk",
          "Rudni",
          "Tobol",
          "Uritsk",
          "Zatobolsk"
        ]),
        States(name: "Kostanay", cities: [
          "Aktau",
          "Beyneu",
          "Canaozen",
          "Cetibay",
          "Fort-Sevcenko",
          "Kurik",
          "Mangyslak",
          "Setpe"
        ]),
        States(name: "Mankistau", cities: []),
        States(name: "Ontustik Kazakstan", cities: [
          "Ekibastuz",
          "Ermak",
          "Ertis",
          "Kaciri",
          "Maykain",
          "Pavlodar",
          "Sarbakti"
        ]),
        States(name: "Pavlodar", cities: []),
        States(name: "Sigis Kazakstan", cities: []),
        States(name: "Soltustik Kazakstan", cities: [
          "Canatas",
          "Georgiyev",
          "Karatau",
          "Lugovoy",
          "Merke",
          "Mihaylov",
          "Oytal",
          "Su",
          "Taraz"
        ]),
        States(name: "Taraz", cities: [
          "Gilgil",
          "Karatina",
          "Kiambu",
          "Kijabe",
          "Kikuyu",
          "Limuru",
          "Maragua",
          "Muranga",
          "Nyeri",
          "Ruiru",
          "Sagana",
          "Thika",
          "Vanga"
        ])
      ]),
  Country(
      name: "Kenya",
      flag: "🇰🇪",
      code: "KE",
      dialCode: "254",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Central", cities: [
          "Changamwe",
          "Garsen",
          "Gazi",
          "Hola",
          "Kaloleni",
          "Kilifi",
          "Kinango",
          "Kipini",
          "Kwale",
          "Lamu",
          "Malindi",
          "Mambrui",
          "Mombasa",
          "Sawasawa",
          "Shimoni",
          "Takaungu",
          "Taveta",
          "Voi",
          "Witu",
          "Wundanyi"
        ]),
        States(name: "Coast", cities: [
          "Athi River",
          "Chuka",
          "Embu",
          "Isiolo",
          "Kangonde",
          "Kitui",
          "Machakos",
          "Mado Gashi",
          "Marsabit",
          "Meru",
          "Moyale",
          "Mutomo"
        ]),
        States(name: "Eastern", cities: ["Nairobi"]),
        States(name: "Nairobi", cities: []),
        States(
            name: "North Eastern",
            cities: ["Homa Bay", "Kisii", "Kisumu", "Migori"]),
        States(name: "Nyanza", cities: []),
        States(
            name: "Rift Valley",
            cities: ["Bungoma", "Busia", "Kakamega", "Mumias", "Webuye"]),
        States(name: "Western", cities: ["Taburao"])
      ]),
  Country(
      name: "Kiribati",
      flag: "🇰🇮",
      code: "KI",
      dialCode: "686",
      minLength: 5,
      maxLength: 5,
      states: [
        States(name: "Abaiang", cities: ["Binoinano"]),
        States(name: "Abemana", cities: ["Takaeang"]),
        States(name: "Aranuka", cities: ["Roreti"]),
        States(name: "Arorae", cities: ["Ooma"]),
        States(name: "Banaba", cities: ["Tabukiniberu"]),
        States(name: "Beru", cities: ["Butaritari"]),
        States(name: "Butaritari", cities: ["London"]),
        States(name: "Kiritimati", cities: ["Tabontebike"]),
        States(name: "Kuria", cities: ["Tabiauea"]),
        States(name: "Maiana", cities: ["Makin"]),
        States(name: "Makin", cities: ["Rawannawi"]),
        States(name: "Marakei", cities: ["Rungata"]),
        States(name: "Nikunau", cities: ["Temaraia"]),
        States(name: "Nonouti", cities: ["Ijaki"]),
        States(name: "Onotoa", cities: []),
        States(name: "Phoenix Islands", cities: []),
        States(name: "Tabiteuea North", cities: []),
        States(name: "Tabiteuea South", cities: ["Nabari"]),
        States(name: "Tabuaeran", cities: ["Abaokoro"]),
        States(name: "Tamana", cities: []),
        States(name: "Tarawa North", cities: []),
        States(name: "Tarawa South", cities: ["Washington"]),
        States(name: "Teraina", cities: ["Kanggye"])
      ]),
  Country(
      name: "Korea, Democratic People's Republic of Korea",
      flag: "🇰🇵",
      code: "KP",
      dialCode: "850",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Chagangdo", cities: ["Cheongjin", "Kimchaek", "Najin"]),
        States(name: "Hamgyeongbukto", cities: ["Hamheung"]),
        States(name: "Hamgyeongnamdo", cities: ["Sariweon", "Seongnim"]),
        States(name: "Hwanghaebukto", cities: ["Haeju"]),
        States(name: "Hwanghaenamdo", cities: ["Kaeseong"]),
        States(name: "Kaeseong", cities: ["Weonsan"]),
        States(name: "Kangweon", cities: ["Nampo"]),
        States(name: "Nampo", cities: ["Sineuiju"]),
        States(name: "Pyeonganbukto", cities: ["Phyeongseong"]),
        States(name: "Pyeongannamdo", cities: ["Pyeongyang", "Pyongyang"]),
        States(name: "Pyeongyang", cities: ["Hyesan"]),
        States(name: "Yanggang", cities: ["Busan"])
      ]),
  Country(
      name: "Korea, Republic of South Korea",
      flag: "🇰🇷",
      code: "KR",
      dialCode: "82",
      minLength: 11,
      maxLength: 11,
      states: [
        States(name: "Busan", cities: ["Aeweol", "Cheju", "Seogwipo"]),
        States(name: "Cheju", cities: [
          "Cheonju",
          "Chongup",
          "Iksan",
          "Kimje",
          "Kochang",
          "Kunsan",
          "Namwon",
          "Puan"
        ]),
        States(name: "Chollabuk", cities: [
          "Haenam",
          "Hwasun",
          "Kwangyang",
          "Kwangyang Up",
          "Mokpo",
          "Naju",
          "Peolgyo",
          "Suncheon",
          "Yeocheon",
          "Yeosu",
          "Yonggwang"
        ]),
        States(name: "Chollanam", cities: [
          "Cheongwon-gun",
          "Eumsung-Kun",
          "Jinchunkun",
          "Okcheon-gun",
          "Um Sung Gun"
        ]),
        States(name: "Chungbuk", cities: [
          "Chechon",
          "Cheongju",
          "Chincheon",
          "Chungju",
          "Jincheon-gun",
          "Okchon",
          "Yongdong"
        ]),
        States(name: "Chungcheongbuk", cities: [
          "Asan",
          "Cheonan",
          "Chochiwon",
          "Geumsan-Gun",
          "Hongseong",
          "Kongju",
          "Kumsan",
          "Nonsan",
          "Poryong",
          "Puyeo",
          "Seonghwan",
          "Seosan",
          "Taean",
          "Taesan",
          "Tangjin",
          "Yesan",
          "Yonmu"
        ]),
        States(
            name: "Chungcheongnam",
            cities: ["Chonan", "Danjin-gun", "Gongjusi"]),
        States(name: "Chungnam", cities: ["Daegu", "Dalseo-gu"]),
        States(
            name: "Daegu",
            cities: ["Chungcheong", "Hoengseong", "Mummakeup", "Wonju"]),
        States(name: "Gangwon-do", cities: ["Gimhae", "Goyang-si"]),
        States(name: "Goyang-si", cities: [
          "Ansan",
          "Anyang",
          "Anyang-Si",
          "Anyangsi",
          "Buchon",
          "Buchun-Si",
          "Byeoryangdong",
          "Dongan-gu",
          "Gimpo City",
          "Goyang",
          "Gupo-si",
          "Guri-Si",
          "Gwacheon Si",
          "Gwangju-Si",
          "Hwaseong-si",
          "Icheon-si",
          "Iljuk-myeon",
          "Kwangju",
          "Pocheon-Si",
          "Seongnam",
          "Shihung-Si",
          "Siheung",
          "Sihung-si",
          "Suwon",
          "Uijeongbu-dong",
          "Uiwang",
          "Yangju",
          "Yangpyeong-Gun",
          "Yeokbuk-Dong-Si"
        ]),
        States(name: "Gyeonggi-do", cities: []),
        States(name: "Gyeongsang", cities: ["Changwon", "Gimhae-si"]),
        States(
            name: "Gyeongsangnam-do",
            cities: ["Incheon", "Kanghwa", "Namdongku"]),
        States(name: "Incheon", cities: ["Jeju", "Yeongpyeong-Dong"]),
        States(name: "Jeju-Si", cities: ["Jeonju-Si"]),
        States(name: "Jeonbuk", cities: [
          "Chuncheon",
          "Hongcheon",
          "Kangneung",
          "Samchok",
          "Seokcho",
          "Taebaek",
          "Tonghae",
          "Weonju",
          "Yeongweol"
        ]),
        States(name: "Kangweon", cities: ["Kwangju"]),
        States(name: "Kwangju", cities: [
          "Ansan",
          "Anseong",
          "Anyang",
          "Chongok",
          "Euijeongbu",
          "Euiwang",
          "Hanam",
          "Hoechon",
          "Hwado",
          "Hwasung",
          "Ichon",
          "Kihung",
          "Kimpo",
          "Koyang",
          "Kumchon",
          "Kunpo",
          "Kuri",
          "Kwacheon",
          "Kwangju",
          "Kwangmyeong",
          "Munsan",
          "Namyangju",
          "Osan",
          "Paengseong",
          "Pochon",
          "Pubal",
          "Pucheon",
          "Pyeongtaek",
          "Seongnam",
          "Shiheung",
          "Suweon",
          "Taean",
          "Tongducheon",
          "Wabu",
          "Yeoju",
          "Yongin"
        ]),
        States(name: "Kyeonggi", cities: [
          "Andong",
          "Angang",
          "Hayang",
          "Heunghae",
          "Kimcheon",
          "Kumi",
          "Kyeongju",
          "Kyeongsan",
          "Mungyong",
          "Ochon",
          "Oedong",
          "Pohang",
          "Sangju",
          "Seonsan",
          "Waegwan",
          "Yechon",
          "Yeongcheon",
          "Yeongju",
          "Yeonil"
        ]),
        States(name: "Kyeongsangbuk", cities: [
          "Changweon",
          "Chinhae",
          "Chinju",
          "Chinyeong",
          "Keoje",
          "Kimhae",
          "Kochang",
          "Koseong",
          "Masan",
          "Miryang",
          "Naeso",
          "Sacheon",
          "Sinhyeon",
          "Tongyong",
          "Ungsang",
          "Yangju",
          "Yangsan"
        ]),
        States(name: "Kyeongsangnam", cities: [
          "Anyang-Si",
          "Bucheon",
          "Paju",
          "Sungnamshi",
          "Suwon",
          "Uijongbu",
          "Yangju"
        ]),
        States(
            name: "Kyonggi-do",
            cities: ["Gumi-Shi", "Kyungsan", "Youngcheon-Si"]),
        States(name: "Kyungbuk-Do", cities: ["Bundang", "Gunpo", "Yangu"]),
        States(name: "Kyunggi-Do", cities: ["Pochun", "Yangju", "Yonggi"]),
        States(name: "Kyunggi-do", cities: ["Kijang", "Pusan"]),
        States(name: "Pusan", cities: ["Seoul"]),
        States(name: "Seoul", cities: ["Paju"]),
        States(name: "Sudogwon", cities: ["Hwawon", "Taegu"]),
        States(name: "Taegu", cities: ["Taejeon"]),
        States(name: "Taejeon", cities: ["Daejeon"]),
        States(name: "Taejon-gwangyoksi", cities: ["Nongso", "Ulsan"]),
        States(name: "Ulsan", cities: ["Heungup-Myun"]),
        States(name: "Wonju", cities: ["Inchon", "Pusan", "Taejon"]),
        States(name: "gwangyoksi", cities: [])
      ]),
  const Country(
      name: "Kosovo",
      flag: "🇽🇰",
      code: "XK",
      dialCode: "383",
      minLength: 8,
      maxLength: 8,
      states: []),
  Country(
      name: "Kuwait",
      flag: "🇰🇼",
      code: "KW",
      dialCode: "965",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Al Asimah", cities: [
          "Bayan",
          "Hawalli",
          "Massilah",
          "Mushrif",
          "Salwa",
          "Sha\\'\\'\\'\\'ab",
          "Subbah-as-Salim",
          "al-Funaytis",
          "al-Funaytis-al-Garbiyah",
          "al-Jabiriyah",
          "al-Karim",
          "ar-Rumaythiyah",
          "as-Salimiyah"
        ]),
        States(name: "Hawalli", cities: ["Mishref"]),
        States(name: "Mishref", cities: ["Qadesiya"]),
        States(name: "Qadesiya", cities: ["Safat"]),
        States(name: "Safat", cities: ["Salmiya"]),
        States(name: "Salmiya", cities: [
          "A\\'\\'qaylah",
          "Abu Hulayfah",
          "Dahar",
          "Desert Area",
          "Hadiyah",
          "Jabbar-al-\\'\\'Ali",
          "Shu\\'\\'aybah",
          "al-Ahmadi",
          "al-Fintas",
          "al-Fuhayhil",
          "al-Mahbulah",
          "al-Manqaf",
          "al-Wafrah",
          "ar-Riqqah",
          "as-Sabahiyah",
          "az-Zawr"
        ]),
        States(name: "al-Ahmadi", cities: [
          "Umayriyah",
          "Abraq Khitan",
          "Ardiyah",
          "Fardaws",
          "Jalib ash-Shuyuh",
          "Janub-as-Surrah",
          "Khitan-al-Janubiyah",
          "Qartaba",
          "Ray",
          "Riqay",
          "Sabhan",
          "Sarbah-an-Nasr",
          "Warmawk",
          "al-Andalus",
          "al-Farwaniyah",
          "ar-Rabbiyah"
        ]),
        States(name: "al-Farwaniyah", cities: [
          "Amgarah",
          "Desert Area",
          "Nasim",
          "Tayma",
          "Uyawn",
          "Waha",
          "al-Jahra",
          "al-Qusayr",
          "as-Sulaybiyah"
        ]),
        States(name: "al-Jahra", cities: [
          "Abullah-as-Salam",
          "Ardhiyah",
          "Banayd-al-Qar",
          "Health District",
          "Kayfan",
          "Khalidiyah",
          "Mansuriyah",
          "Nuzha",
          "Qarnadah",
          "Shamiyah",
          "ad-Da\\'\\'iyah",
          "ad-Dasma",
          "ad-Dawhah",
          "al-\\'\\'Udayliyah",
          "al-Fayha",
          "al-Kuwayt",
          "al-Qadisiyah",
          "ar-Rawdah",
          "as-Sulaybihat",
          "ash-Shuwaykh Industrial",
          "ash-Shuwaykh Reservoir"
        ]),
        States(name: "al-Kuwayt", cities: [
          "Batken",
          "Isfana",
          "Khaidarkan",
          "Kyzyl-Kiya",
          "Ravat",
          "Sulukta"
        ])
      ]),
  Country(
      name: "Kyrgyzstan",
      flag: "🇰🇬",
      code: "KG",
      dialCode: "996",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Batken", cities: ["Bishkek"]),
        States(name: "Bishkek", cities: [
          "Ak-Suu",
          "Belovodskoye",
          "Boroldoy",
          "Chaldovar",
          "Chatkyol",
          "Chui",
          "Don Arik",
          "Ivanovka",
          "Jangyjar",
          "Jangypakhtar",
          "Kalininskoye",
          "Kalinovka",
          "Kant",
          "Kara-Suu",
          "Karabalta",
          "Kayingdi",
          "Kegety",
          "Kemin",
          "Kosh Tegirmen",
          "Krasnaya Rechka",
          "Orlovka",
          "Sokuluk",
          "Sopokov",
          "Sosnovka",
          "Tokmok",
          "Tunuk",
          "Yuryevka"
        ]),
        States(name: "Chui", cities: [
          "Ak-Bulok",
          "Ak-Terek",
          "Ananyevo",
          "Balykchy",
          "Barskoon",
          "Cholpon-Ata",
          "Darkhon",
          "Enilchek",
          "Grigoryevka",
          "Jyrgolon",
          "Kara-Say",
          "Karako",
          "Karakol",
          "Kuturgu",
          "Mikhaylovka",
          "Novovoznesenovka",
          "Ottuk",
          "Semyonovka",
          "Taldy-Suu",
          "Teploklyuchenka",
          "Tyup"
        ]),
        States(name: "Issyk-Kul", cities: [
          "Ala Buka",
          "Bazarkurgon",
          "Jalal-Abad",
          "Jangybazar",
          "Karavan",
          "Kochkor-Ata",
          "Kok-Jangak",
          "Mailuu-Suu",
          "Tash-Kumyr"
        ]),
        States(name: "Jalal-Abad", cities: [
          "At-Bashi",
          "Chaiek",
          "Kara-Suu",
          "Kayirma",
          "Kek-Algyp",
          "Kochkorka",
          "Kulanak",
          "Mingbulok",
          "Mingkush",
          "Naryn",
          "Ugyut"
        ]),
        States(name: "Naryn", cities: [
          "Daraut-Korgan",
          "Gulcha",
          "Kara-Suu",
          "Leninskoye",
          "Osh",
          "Uzgen"
        ]),
        States(name: "Osh", cities: [
          "Chat-Bazar",
          "Groznoye",
          "Kara-Kul",
          "Klyuchevka",
          "Kyzyl-Adyr",
          "Leninopol",
          "Maimak",
          "Talas",
          "Toktogul"
        ]),
        States(name: "Talas", cities: ["Samakhixai"])
      ]),
  Country(
      name: "Laos",
      flag: "🇱🇦",
      code: "LA",
      dialCode: "856",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Attopu", cities: ["Huayxay"]),
        States(name: "Bokeo", cities: ["Pakxan"]),
        States(
            name: "Bolikhamsay",
            cities: ["Champasak", "Muang Khong", "Muang Khongxedon", "Pakxe"]),
        States(name: "Champasak", cities: ["Xam Nua"]),
        States(name: "Houaphanh", cities: ["Thakek"]),
        States(name: "Khammouane", cities: []),
        States(name: "Luang Nam Tha", cities: []),
        States(name: "Luang Prabang", cities: ["Ban Nahin"]),
        States(name: "Oudomxay", cities: ["Phongsaly"]),
        States(name: "Phongsaly", cities: ["Saravan"]),
        States(name: "Saravan", cities: ["Savannakhet"]),
        States(name: "Savannakhet", cities: ["Sekong"]),
        States(name: "Sekong", cities: []),
        States(name: "Viangchan Prefecture", cities: []),
        States(name: "Viangchan Province", cities: ["Xaignabury"]),
        States(name: "Xaignabury", cities: []),
        States(
            name: "Xiang Khuang",
            cities: ["Aizkraukle", "Jaunjelgava", "Plavinas"])
      ]),
  Country(
      name: "Latvia",
      flag: "🇱🇻",
      code: "LV",
      dialCode: "371",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Aizkraukles", cities: ["Aluksne", "Ape"]),
        States(name: "Aluksnes", cities: ["Balvi", "Vilaka"]),
        States(name: "Balvu", cities: ["Bauska"]),
        States(name: "Bauskas", cities: ["Cesis", "Ligatne"]),
        States(name: "Cesu", cities: ["Ilukste", "Subate"]),
        States(name: "Daugavpils", cities: ["Ilukste", "Subate"]),
        States(name: "Daugavpils City", cities: ["Auce", "Dobele"]),
        States(name: "Dobeles", cities: ["Gulbene"]),
        States(name: "Gulbenes", cities: ["Akniste", "Jekabspils", "Viesite"]),
        States(name: "Jekabspils", cities: ["Jelgava"]),
        States(name: "Jelgava", cities: ["Kalnciems"]),
        States(name: "Jelgavas", cities: []),
        States(name: "Jurmala City", cities: ["Dagda", "Kraslava"]),
        States(name: "Kraslavas", cities: ["Kuldiga", "Skrunda"]),
        States(name: "Kuldigas", cities: ["Liepaja"]),
        States(
            name: "Liepaja",
            cities: ["Aizpute", "Durbe", "Grobina", "Pavilosta", "Priekule"]),
        States(
            name: "Liepajas",
            cities: ["Ainazhi", "Aloja", "Limbazhi", "Salacgriva", "Staicele"]),
        States(name: "Limbazhu", cities: ["Karsava", "Ludza", "Zilupe"]),
        States(
            name: "Ludzas",
            cities: ["Cesvaine", "Lubana", "Madona", "Varaklani"]),
        States(name: "Madonas", cities: [
          "Ikskile",
          "Kegums",
          "Les Hautes-Rivieres",
          "Lielvarde",
          "Ogre"
        ]),
        States(name: "Ogres", cities: ["Livani", "Preili"]),
        States(name: "Preilu", cities: ["Rezekne"]),
        States(name: "Rezekne", cities: ["Vilani"]),
        States(name: "Rezeknes", cities: ["Riga"]),
        States(name: "Riga", cities: [
          "Baldone",
          "Balozhi",
          "Olaine",
          "Salaspils",
          "Saulkrasti",
          "Sigulda",
          "Vangazhi"
        ]),
        States(name: "Rigas", cities: ["Broceni", "Saldus"]),
        States(
            name: "Saldus",
            cities: ["Sabile", "Stende", "Talsi", "Valdemarpils"]),
        States(name: "Talsu", cities: ["Kandava", "Tukums"]),
        States(
            name: "Tukuma", cities: ["Seda", "Smiltene", "Strenchi", "Valka"]),
        States(name: "Valkas", cities: ["Mazsalaca", "Rujiena", "Valmiera"]),
        States(name: "Valmieras", cities: ["Piltene"]),
        States(name: "Ventspils", cities: ["Piltene"]),
        States(
            name: "Ventspils City",
            cities: ["Beirut", "Jdeidet el Metn", "Jnaah"])
      ]),
  Country(
      name: "Lebanon",
      flag: "🇱🇧",
      code: "LB",
      dialCode: "961",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Beirut", cities: []),
        States(name: "Jabal Lubnan", cities: []),
        States(name: "Mohafazat Liban-Nord", cities: []),
        States(name: "Mohafazat Mont-Liban", cities: ["Sidon"]),
        States(name: "Sidon", cities: [
          "Ba\\'\\'labakk",
          "Jubb Jannin",
          "Rashayya",
          "Riyak",
          "Zahlah",
          "al-Hirmil"
        ]),
        States(name: "al-Biqa", cities: ["Jazzin", "Juwayya", "Sayda", "Sur"]),
        States(
            name: "al-Janub",
            cities: ["Marj \\'\\'Uyun", "Nabatieh", "an-Nabatiyat-at-Tahta"]),
        States(
            name: "an-Nabatiyah", cities: ["Tarabulus ash-Sham", "al-Batrun"]),
        States(name: "ash-Shamal", cities: ["Teyateyaneng"])
      ]),
  Country(
      name: "Lesotho",
      flag: "🇱🇸",
      code: "LS",
      dialCode: "266",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Berea", cities: ["Butha Buthe"]),
        States(name: "Butha-Buthe", cities: ["Hlotse", "Maputsoa"]),
        States(name: "Leribe", cities: ["Mafeteng"]),
        States(name: "Mafeteng", cities: ["Maseru"]),
        States(name: "Maseru", cities: []),
        States(name: "Mohale\\'\\'s Hoek", cities: ["Mokhotlong"]),
        States(name: "Mokhotlong", cities: []),
        States(name: "Qacha\\'\\'s Nek", cities: ["Quthing"]),
        States(name: "Quthing", cities: ["Thaba-Tseka"]),
        States(name: "Thaba-Tseka", cities: ["Tubmanburg"])
      ]),
  Country(
      name: "Liberia",
      flag: "🇱🇷",
      code: "LR",
      dialCode: "231",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Bomi", cities: ["Gbarnga"]),
        States(name: "Bong", cities: []),
        States(name: "Grand Bassa", cities: []),
        States(name: "Grand Cape Mount", cities: []),
        States(name: "Grand Gedeh", cities: ["Voinjama"]),
        States(name: "Loffa", cities: ["Harbel", "Kakata"]),
        States(name: "Margibi", cities: []),
        States(
            name: "Maryland and Grand Kru",
            cities: ["Bensonville", "Monrovia"]),
        States(name: "Montserrado", cities: ["Ganta", "Sanniquellie", "Yekepa"]),
        States(name: "Nimba", cities: ["Rivercess"]),
        States(name: "Rivercess", cities: ["Greenville"]),
        States(name: "Sinoe", cities: [
          "Ajdabiya",
          "Awjilah",
          "Marsa al-Burayqah",
          "az-Zuwaytinah"
        ])
      ]),
  Country(
      name: "Libyan Arab Jamahiriya",
      flag: "🇱🇾",
      code: "LY",
      dialCode: "218",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Ajdabiya", cities: ["Awbari", "Ghat"]),
        States(name: "Fezzan", cities: ["Banghazi", "Suluq", "al-Quriyah"]),
        States(name: "Banghazi", cities: ["Darnah"]),
        States(name: "Darnah", cities: ["Ghadamis", "Nalut"]),
        States(
            name: "Ghadamis",
            cities: ["Gharyan", "Mizdah", "al-Qaryah-ash-Sharqiyah"]),
        States(name: "Gharyan", cities: ["Misratah"]),
        States(name: "Misratah", cities: ["Murzuq"]),
        States(name: "Murzuq", cities: ["Sabha"]),
        States(name: "Sabha", cities: ["Bani Walid"]),
        States(name: "Sawfajjin", cities: ["Surt"]),
        States(name: "Surt", cities: ["Tarabulus", "Tripoli"]),
        States(name: "Tarabulus", cities: ["Tarhunah"]),
        States(name: "Tarhunah", cities: ["Misrata"]),
        States(name: "Tripolitania", cities: ["Bardiyah", "Tubruq"]),
        States(name: "Tubruq", cities: ["Yafran"]),
        States(name: "Yafran", cities: ["Zlitan"]),
        States(name: "Zlitan", cities: ["al-Aziziyah"]),
        States(name: "al-\\'\\'Aziziyah", cities: ["al-Abyar", "al-Marj"]),
        States(name: "al-Fatih", cities: []),
        States(name: "al-Jabal al Akhdar", cities: ["Waddan"]),
        States(name: "al-Jufrah", cities: ["al-Khums"]),
        States(name: "al-Khums", cities: ["al-Jawf"]),
        States(name: "al-Kufrah", cities: []),
        States(name: "an-Nuqat al-Khams", cities: ["Birak"]),
        States(name: "ash-Shati", cities: ["az-Zawiyah"]),
        States(name: "az-Zawiyah", cities: ["Balzers"])
      ]),
  Country(
      name: "Liechtenstein",
      flag: "🇱🇮",
      code: "LI",
      dialCode: "423",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Balzers", cities: ["Eschen"]),
        States(name: "Eschen", cities: ["Gamprin"]),
        States(name: "Gamprin", cities: ["Mauren"]),
        States(name: "Mauren", cities: ["Planken"]),
        States(name: "Planken", cities: ["Ruggell"]),
        States(name: "Ruggell", cities: ["Schaan"]),
        States(name: "Schaan", cities: ["Schellenberg"]),
        States(name: "Schellenberg", cities: ["Triesen"]),
        States(name: "Triesen", cities: ["Triesenberg"]),
        States(name: "Triesenberg", cities: ["Vaduz"]),
        States(name: "Vaduz", cities: [
          "Alytus",
          "Daugai",
          "Druskininkai",
          "Lazdijai",
          "Simnas",
          "Varena",
          "Veisiejai"
        ])
      ]),
  Country(
      name: "Lithuania",
      flag: "🇱🇹",
      code: "LT",
      dialCode: "370",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Alytaus", cities: ["Anyksciai"]),
        States(name: "Anyksciai", cities: [
          "Ariogala",
          "Birshtonas",
          "Dotnuva",
          "Ezherelis",
          "Garliava",
          "Jieznas",
          "Jonava",
          "Kachergine",
          "Kaishiadorys",
          "Kaunas",
          "Kedainiai",
          "Kulautuva",
          "Prienai",
          "Raseiniai",
          "Vilkija",
          "Zhiezhmariai"
        ]),
        States(name: "Kauno", cities: [
          "Gargzhdai",
          "Klaipeda",
          "Kretinga",
          "Neringa",
          "Pagegiai",
          "Palanga",
          "Panemune",
          "Priekule",
          "Rusne",
          "Salantai",
          "Shilute",
          "Skuodas",
          "Zhemaichiu Naumiestis"
        ]),
        States(name: "Klaipedos", cities: [
          "Gelgaudishkis",
          "Kalvarija",
          "Kazlu Ruda",
          "Kudirkos Naumiestis",
          "Kybartai",
          "Marijampole",
          "Shakiai",
          "Vilkavishkis",
          "Virbalis"
        ]),
        States(name: "Marijampoles", cities: [
          "Birzhai",
          "Jonishkelis",
          "Juodupe",
          "Kupishkis",
          "Obeliai",
          "Pandelys",
          "Panevezhys",
          "Panevezio",
          "Pasvalys",
          "Ramygala",
          "Rokishkis",
          "Subachius",
          "Vabalninkas"
        ]),
        States(name: "Panevezhio", cities: ["Panevezys"]),
        States(name: "Panevezys", cities: [
          "Akmene",
          "Jonishkis",
          "Kelme",
          "Kurshenai",
          "Linkuva",
          "Naujoji Akmene",
          "Pakruojis",
          "Radvilishkis",
          "Sheduva",
          "Shiauliai",
          "Siauliai",
          "Tyruliai",
          "Tytuvenai",
          "Uzhventis",
          "Venta",
          "Viekshniai",
          "Zhagare"
        ]),
        States(name: "Shiauliu", cities: [
          "Jurbarkas",
          "Shilale",
          "Skaudvile",
          "Smalininkai",
          "Taurage"
        ]),
        States(name: "Taurages", cities: [
          "Guglingen",
          "Mazheikiai",
          "Plunge",
          "Rietavas",
          "Seda",
          "Telshiai",
          "Varniai"
        ]),
        States(name: "Telshiu", cities: ["Mazeikiai"]),
        States(name: "Telsiai", cities: [
          "Anykshchiai",
          "Dukshtas",
          "Dusetos",
          "Ignalina",
          "Kavarskas",
          "Moletai",
          "Troshkunai",
          "Turmantas",
          "Utena",
          "Visaginas",
          "Zarasai"
        ]),
        States(name: "Utenos", cities: [
          "Baltoji Voke",
          "Eishishkes",
          "Elektrenai",
          "Grigishkes",
          "Lentvaris",
          "Nemenchine",
          "Pabrade",
          "Rudishkes",
          "Shalchininkai",
          "Shirvintos",
          "Shvenchioneliai",
          "Shvenchionys",
          "Trakai",
          "Ukmerge",
          "Vievis",
          "Vilnius"
        ]),
        States(name: "Vilniaus", cities: [
          "Bascharage",
          "Bettange-sur-Mess",
          "Bridel",
          "Capellen",
          "Clemency",
          "Dahlem",
          "Dippach",
          "Dondelange",
          "Eischen",
          "Fingig",
          "Garnich",
          "Goeblange",
          "Goetzingen",
          "Grass",
          "Greisch",
          "Hagen",
          "Hautcharage",
          "Hivange",
          "Hobscheid",
          "Holzem",
          "Kahler",
          "Kehlen",
          "Keispelt",
          "Kleinbettingen",
          "Koerich",
          "Kospstal",
          "Linger",
          "Mamer",
          "Meispelt",
          "Nospelt",
          "Olm",
          "Roodt",
          "Schouweiler",
          "Septfontaines",
          "Sprinkange",
          "Steinfort"
        ])
      ]),
  Country(
      name: "Luxembourg",
      flag: "🇱🇺",
      code: "LU",
      dialCode: "352",
      minLength: 11,
      maxLength: 11,
      states: [
        States(name: "Capellen", cities: [
          "Allerborn",
          "Asselborn",
          "Basbellain",
          "Beiler",
          "Binsfeld",
          "Biwisch",
          "Bockholtz",
          "Boevange",
          "Boxhorn",
          "Brachtenbach",
          "Breidfeld",
          "Cinqfontaines",
          "Clervaux",
          "Consthum",
          "Crendal",
          "Deiffelt-Lentzweiler",
          "Derenbach",
          "Doennange",
          "Dorscheid",
          "Drauffelt",
          "Drinklange",
          "Eisenbach",
          "Eselborn",
          "Fischbach",
          "Goedange",
          "Grindhausen",
          "Hachiville",
          "Hamiville",
          "Hautbellain",
          "Heinerscheid",
          "Hoffelt",
          "Holler",
          "Holzthum",
          "Hosingen",
          "Huldange",
          "Hupperdange",
          "Kalborn",
          "Leithum",
          "Lieler",
          "Lullange",
          "Marnach",
          "Maulusmuehle",
          "Munshausen",
          "Neidhausen",
          "Niederwampach-Schimpach",
          "Oberwampach",
          "Reuler",
          "Roder",
          "Rodershausen",
          "Rumlange-Lentzweiler",
          "Sassel",
          "Siebenaler",
          "Stockem",
          "Troine-Hinterhasselt",
          "Troine-Route",
          "Troisvierges",
          "Urspelt",
          "Wahlhausen",
          "Weicherdange",
          "Weiler",
          "Weiswampach",
          "Wilwerdange",
          "Wincrange"
        ]),
        States(name: "Clervaux", cities: [
          "Bastendorf",
          "Bettendorf",
          "Bigelbach",
          "Bourscheid",
          "Brandenbourg",
          "Burden",
          "Diekirch",
          "Eppeldorf",
          "Ermsdorf",
          "Erpeldange",
          "Ettelbruck",
          "Folkendange",
          "Gilsdorf",
          "Hoesdorf",
          "Hoscheid",
          "Hoscheid-Dickt",
          "Ingeldorf",
          "Kehmen-Scheidel",
          "Landscheid",
          "Lipperscheid",
          "Medernach",
          "Mertzig",
          "Michelau",
          "Moestroff",
          "Niederfeulen",
          "Oberfeulen",
          "Reisdorf",
          "Savelborn + Fermes",
          "Schieren",
          "Schlindermanderscheid",
          "Stegen",
          "Tandel",
          "Wallendorf",
          "Warken",
          "Welscheid"
        ]),
        States(name: "Diekirch", cities: [
          "Altrier",
          "Beaufort",
          "Bech",
          "Berdorf",
          "Bollendorf-Pont",
          "Born",
          "Boursdorf",
          "Breidweiler",
          "Christnach",
          "Consdorf",
          "Dickweiler",
          "Dillingen",
          "Echternach",
          "Girst",
          "Girsterklaus",
          "Givenich",
          "Grundhof",
          "Haller",
          "Hemstal",
          "Herborn",
          "Hersberg-Kobenbour-Graulinster",
          "Hinkel",
          "Moersdorf",
          "Mompach",
          "Mullerthal",
          "Osweiler",
          "Rippig",
          "Rosport",
          "Scheidgen",
          "Steinheim",
          "Waldbillig",
          "Weilerbach",
          "Zittig"
        ]),
        States(name: "Echternach", cities: [
          "Abweiler",
          "Aspelt",
          "Belvaux",
          "Berchem",
          "Bergem",
          "Bettembourg",
          "Bivange",
          "Crauthem",
          "Differdange",
          "Dudelange",
          "Ehlange",
          "Ehlerange",
          "Esch-Alzette",
          "Fennange",
          "Foetz",
          "Fousbann",
          "Frisange",
          "Hellange",
          "Huncherange",
          "Kayl",
          "Kockelscheuer",
          "Lamadelaine",
          "Lasauvage",
          "Leudelange",
          "Limpach",
          "Livange",
          "Mondercange",
          "Niedercorn",
          "Noertzange",
          "Obercorn",
          "Peppange",
          "Petange",
          "Pissange",
          "Pontpierre",
          "Reckange-sur-Mess",
          "Rodange",
          "Roedgen",
          "Roeser",
          "Rumelange",
          "Sanem",
          "Schifflange",
          "Soleuvre",
          "Tetange",
          "Wickrange"
        ]),
        States(name: "Esch-sur-Alzette", cities: [
          "Ahn-Dreiborn",
          "Altlinster",
          "Beidweiler",
          "Berbourg",
          "Berg",
          "Betzdorf",
          "Beyren",
          "Biwer",
          "Biwerbach",
          "Boudler",
          "Boudlerbach",
          "Bourglinster",
          "Breinert",
          "Brouch",
          "Ehnen",
          "Eisenborn",
          "Eschweiler",
          "Flaxweiler",
          "Godbrange",
          "Gonderange",
          "Gostingen",
          "Graulinster-Blumenthal",
          "Grevenmacher",
          "Hagelsdorf",
          "Imbringen",
          "Junglinster",
          "Lellig",
          "Machtum",
          "Manternach",
          "Mensdorf",
          "Mertert",
          "Munschecker",
          "Niederdonven",
          "Oberdonven",
          "Olingen",
          "Rodenbourg",
          "Roodt-sur-Syr",
          "Wasserbillig",
          "Wecker",
          "Wecker-Gare",
          "Weydig",
          "Wormeldange",
          "Wormeldange-Haut"
        ]),
        States(name: "Grevenmacher", cities: [
          "Alzingen",
          "Bereldange",
          "Bertrange",
          "Contern",
          "Ernster",
          "Fentange",
          "Findel",
          "Hassel",
          "Heisdorf",
          "Helmsange",
          "Hesperange",
          "Hostert",
          "Howald",
          "Itzig",
          "Luxembourg",
          "Medingen",
          "Moutfort",
          "Mullendorf",
          "Munsbach",
          "Neuhaeusgen",
          "Niederanven",
          "Oberanven",
          "Oetrange",
          "Rameldange",
          "Sandweiler",
          "Schrassig",
          "Schuttrange",
          "Senningen",
          "Senningerberg",
          "Steinsel",
          "Strassen",
          "Syren",
          "Uebersyren",
          "Waldhof",
          "Walferdange",
          "Weiler-la-Tour"
        ]),
        States(name: "Luxembourg", cities: [
          "Angelsberg",
          "Ansembourg",
          "Beringen",
          "Bissen",
          "Blaschette",
          "Boevange-Attert",
          "Bofferdange",
          "Bour",
          "Brouch",
          "Buschdorf",
          "Colmar-Berg",
          "Cruchten",
          "Ernzen",
          "Essingen",
          "Fischbach",
          "Glabach",
          "Gosseldange",
          "Grevenknapp-Bill-Finsterthal",
          "Heffingen",
          "Helmdange",
          "Hollenfels",
          "Hunsdorf",
          "Larochette",
          "Lintgen",
          "Lorentzweiler",
          "Marienthal",
          "Mersch",
          "Moesdorf",
          "Nommern",
          "Pettingen",
          "Prettange",
          "Reckange",
          "Reuland",
          "Rollingen",
          "Scherbach",
          "Scherfenhof",
          "Schiltzberg",
          "Schoenfels",
          "Schoos",
          "Schrondweiler",
          "Tuntange"
        ]),
        States(name: "Mersch", cities: [
          "Arsdorf",
          "Beckerich",
          "Bettborn",
          "Bigonville",
          "Bilsdorf",
          "Brattert-Rindschleiden",
          "Buschrodt",
          "Calmus",
          "Colpach-Bas",
          "Colpach-Haut",
          "Dellen-Lehrhof-Grevels",
          "Ehner",
          "Ell",
          "Eltz",
          "Elvange",
          "Eschette",
          "Everlange",
          "Folschette",
          "Grevels",
          "Grosbous",
          "Haut-Martelange",
          "Heispelt",
          "Holtz",
          "Hostert",
          "Hovelange",
          "Huttange",
          "Kapweiler",
          "Koetschette",
          "Kuborn",
          "Lannen",
          "Levelange",
          "Michelbouch",
          "Nagem",
          "Niederpallen",
          "Noerdange",
          "Oberpallen",
          "Ospern",
          "Perle",
          "Petit-Nobressart",
          "Platen",
          "Pratz",
          "Rambrouch",
          "Redange",
          "Reichlange",
          "Reimberg",
          "Rippweiler",
          "Rombach",
          "Roodt",
          "Saeul",
          "Schandel",
          "Schwebach",
          "Schweich",
          "Useldange",
          "Vichten",
          "Wahl",
          "Wolwelange"
        ]),
        States(name: "Redange", cities: [
          "Altwies",
          "Assel",
          "Bech-Kleinmacher",
          "Bous",
          "Burmerange",
          "Canach",
          "Dalheim",
          "Ellange",
          "Elvange",
          "Emerange",
          "Erpeldange",
          "Filsdorf",
          "Greiveldange",
          "Lenningen",
          "Mondorf-les-Bains",
          "Remerschen",
          "Remich",
          "Rolling",
          "Schengen",
          "Schwebsingen",
          "Stadtbredimus",
          "Trintange",
          "Trintange-Ersange-Roedt",
          "Waldbredimus",
          "Welfrange",
          "Wellenstein",
          "Wintrange"
        ]),
        States(name: "Remich", cities: [
          "Bettel",
          "Bivels",
          "Fouhren",
          "Gralingen",
          "Longsdorf",
          "Merscheid",
          "Nachtmanderscheid",
          "Putscheid",
          "Stolzembourg",
          "Vianden",
          "Walsdorf",
          "Weiler"
        ]),
        States(name: "Vianden", cities: [
          "Alscheid",
          "Baschleiden",
          "Bavigne",
          "Berle",
          "Bockholtz",
          "Boulaide",
          "Buderscheid",
          "Dahl",
          "Doncols",
          "Enscherange",
          "Erpeldange",
          "Esch-sur-Sure",
          "Eschdorf",
          "Eschweiler",
          "Goesdorf",
          "Grumelscheid",
          "Harlange",
          "Heiderscheid",
          "Heiderscheid-Fond",
          "Hierheck",
          "Insenborn",
          "Kaundorf",
          "Kautenbach",
          "Knaphoscheid",
          "Lellingen",
          "Liefrange",
          "Lultzhausen",
          "Masseler",
          "Mecher",
          "Merckholtz",
          "Merscheid",
          "Neunhausen",
          "Nocher",
          "Nocher-Route",
          "Noertrange",
          "Nothum",
          "Pintsch",
          "Pommerloch",
          "Schleif",
          "Selscheid",
          "Sonlez",
          "Surre",
          "Tadler-Ringel-Dirbach",
          "Tarchamps",
          "Watrange",
          "Wiltz",
          "Wilwerwiltz",
          "Winseler"
        ]),
        States(name: "Wiltz", cities: ["Macau"])
      ]),
  Country(
      name: "Macao",
      flag: "🇲🇴",
      code: "MO",
      dialCode: "853",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Macau", cities: ["Berovo", "Pehchevo"])
      ]),
  Country(
      name: "Macedonia",
      flag: "🇲🇰",
      code: "MK",
      dialCode: "389",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Berovo", cities: [
          "Bach",
          "Bistrica",
          "Bitola",
          "Capari",
          "Dobrushevo",
          "Kukurechani",
          "Mogila",
          "Novaci",
          "Staravina"
        ]),
        States(name: "Bitola", cities: ["Brod", "Plasnica", "Samokov"]),
        States(name: "Brod", cities: ["Debar", "Zhupa"]),
        States(name: "Debar", cities: ["Delchevo", "Kamenica"]),
        States(name: "Delchevo", cities: []),
        States(
            name: "Demir Hisar",
            cities: ["Bogdanci", "Gevgelija", "Miravci", "Star Dojran"]),
        States(name: "Gevgelija", cities: [
          "Chegrane",
          "Dolna Banjica",
          "Gostivar",
          "Mavrovi Anovi",
          "Negotino-Poloshko",
          "Rostusha",
          "Srbinovo",
          "Vrapchishte",
          "Vrutok"
        ]),
        States(name: "Gostivar", cities: ["Kavadarci", "Konopishte", "Rosoman"]),
        States(
            name: "Kavadarci",
            cities: ["Drugovo", "Kichevo", "Oslomej", "Vraneshtica", "Zajas"]),
        States(
            name: "Kichevo",
            cities: ["Cheshinovo", "Kochani", "Obleshevo", "Zletovo"]),
        States(name: "Kochani", cities: ["Kratovo"]),
        States(name: "Kratovo", cities: []),
        States(name: "Kriva Palanka", cities: ["Krushevo", "Zhitoshe"]),
        States(name: "Krushevo", cities: [
          "Izvor",
          "Klechevce",
          "Kumanovo",
          "Lipkovo",
          "Orashac",
          "Staro Nagorichane"
        ]),
        States(name: "Kumanovo", cities: ["Demir Kapija", "Negotino"]),
        States(
            name: "Negotino",
            cities: ["Belchishta", "Kosel", "Mesheishta", "Ohrid"]),
        States(name: "Ohrid", cities: [
          "Dolneni",
          "Krivogashtani",
          "Prilep",
          "Topolchani",
          "Vitolishte"
        ]),
        States(name: "Prilep", cities: ["Probishtip"]),
        States(name: "Probishtip", cities: ["Konche", "Podaresh", "Radovish"]),
        States(name: "Radovish", cities: ["Resen"]),
        States(name: "Resen", cities: ["Karbinci", "Shtip", "Stip"]),
        States(name: "Shtip", cities: [
          "Arachinovo",
          "Chucher",
          "Ilinden",
          "Kondovo",
          "Petrovec",
          "Saraj",
          "Skopje",
          "Sopishte",
          "Studenichani",
          "Zelenikovo"
        ]),
        States(name: "Skopje", cities: [
          "Delogozhdi",
          "Labunishta",
          "Lukovo",
          "Struga",
          "Veleshta",
          "Vevchani"
        ]),
        States(name: "Struga", cities: [
          "Bosilovo",
          "Kuklish",
          "Murtino",
          "Novo Selo",
          "Strumica",
          "Vasilevo"
        ]),
        States(name: "Strumica", cities: []),
        States(name: "Sveti Nikole", cities: [
          "Bogovinje",
          "Brvenica",
          "Dzhepchishte",
          "Jegunovce",
          "Kamenjance",
          "Shipkovica",
          "Tearce",
          "Tetovo",
          "Vratnica",
          "Zhelino"
        ]),
        States(name: "Tetovo", cities: ["Valandovo"]),
        States(
            name: "Valandovo",
            cities: ["Bogomila", "Chashka", "Gradsko", "Veles"]),
        States(
            name: "Veles", cities: ["Blatec", "Orizari", "Vinica", "Zrnovci"]),
        States(name: "Vinica", cities: [
          "Ambatolampy",
          "Anjozorobe",
          "Ankazobe",
          "Antananarivo",
          "Antanifotsy",
          "Antsirabe",
          "Arivonimamo",
          "Betafo",
          "Faratsiho",
          "Fenoarivo",
          "Manjakandriana",
          "Soavinandriana",
          "Tsiroanomandidy"
        ])
      ]),
  Country(
      name: "Madagascar",
      flag: "🇲🇬",
      code: "MG",
      dialCode: "261",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Antananarivo", cities: [
          "Ambanja",
          "Ambilobe",
          "Andapa",
          "Antalaha",
          "Antsirambazaha",
          "Antsiranana",
          "Sambava"
        ]),
        States(name: "Antsiranana", cities: [
          "Ambalavao",
          "Ambatofinandrahana",
          "Ambositra",
          "Fandriana",
          "Farafangana",
          "Fianarantsoa",
          "Ifanadiana",
          "Ihosy",
          "Ikalamavony",
          "Ikongo",
          "Manakara",
          "Manandriana",
          "Mananjary",
          "Nosy Varika",
          "Vangaindrano",
          "Vondrozo"
        ]),
        States(name: "Fianarantsoa", cities: [
          "Ambato Boina",
          "Antsohihy",
          "Bealanana",
          "Mahajanga",
          "Marovoay",
          "Tsaratanana"
        ]),
        States(name: "Mahajanga", cities: [
          "Ambatondrazaka",
          "Ambodifototra",
          "Amparafaravola",
          "Andevoranto",
          "Andilamena",
          "Anosibe An\\'\\'ala",
          "Fenoarivo Atsinanana",
          "Mahanoro",
          "Mananara",
          "Maroantsetra",
          "Marolambo",
          "Moramanga",
          "Soanierana Ivongo",
          "Toamasina",
          "Vavatenina",
          "Vohibinany"
        ]),
        States(name: "Toamasina", cities: [
          "Amboasary",
          "Ambovombe",
          "Ampanihy",
          "Ankazoabo",
          "Beloha",
          "Belon\\'\\'i Tsiribihina",
          "Beroroha",
          "Betioky",
          "Miandrivazo",
          "Morondava",
          "Sakaraha",
          "Taolanaro",
          "Toliary",
          "Tsihombe"
        ]),
        States(name: "Toliary", cities: ["Balaka"])
      ]),
  Country(
      name: "Malawi",
      flag: "🇲🇼",
      code: "MW",
      dialCode: "265",
      minLength: 7,
      maxLength: 9,
      states: [
        States(name: "Balaka", cities: []),
        States(name: "Blantyre City", cities: ["Chikwawa"]),
        States(name: "Chikwawa", cities: ["Chiradzulu"]),
        States(name: "Chiradzulu", cities: ["Chitipa"]),
        States(name: "Chitipa", cities: ["Chipoka", "Dedza"]),
        States(name: "Dedza", cities: ["Dowa", "Mponela"]),
        States(name: "Dowa", cities: ["Chilumba", "Karonga", "Livingstonia"]),
        States(name: "Karonga", cities: ["Kasungu"]),
        States(name: "Kasungu", cities: []),
        States(name: "Lilongwe City", cities: ["Liwonde", "Machinga"]),
        States(name: "Machinga", cities: ["Mangochi", "Monkey Bay"]),
        States(name: "Mangochi", cities: ["Mchinji"]),
        States(name: "Mchinji", cities: ["Mulanje"]),
        States(name: "Mulanje", cities: ["Mwanza"]),
        States(name: "Mwanza", cities: ["Mzimba"]),
        States(name: "Mzimba", cities: []),
        States(name: "Mzuzu City", cities: []),
        States(name: "Nkhata Bay", cities: ["Nkhotakota"]),
        States(name: "Nkhotakota", cities: ["Nsanje"]),
        States(name: "Nsanje", cities: ["Ntcheu"]),
        States(name: "Ntcheu", cities: ["Ntchisi"]),
        States(name: "Ntchisi", cities: ["Phalombe"]),
        States(name: "Phalombe", cities: ["Rumphi"]),
        States(name: "Rumphi", cities: ["Salima"]),
        States(name: "Salima", cities: ["Luchenza", "Thyolo"]),
        States(name: "Thyolo", cities: []),
        States(name: "Zomba Municipality", cities: [
          "Bandar Maharani",
          "Bandar Penggaram",
          "Bukit Bakri",
          "Buloh Kasap",
          "Chaah",
          "Johor Bahru",
          "Kelapa Sawit",
          "Kluang",
          "Kota Tinggi",
          "Kulai",
          "Labis",
          "Ledang",
          "Masai",
          "Mersing",
          "Parit Raja",
          "Pasir Gudang",
          "Pekan Nenas",
          "Pontian Kecil",
          "Segamat",
          "Sekudai",
          "Senai",
          "Simpang Rengam",
          "Tangkak",
          "Ulu Tiram",
          "Yong Peng"
        ])
      ]),
  Country(
      name: "Malaysia",
      flag: "🇲🇾",
      code: "MY",
      dialCode: "60",
      minLength: 11,
      maxLength: 11,
      states: [
        States(name: "Johor", cities: [
          "Alor Setar",
          "Bailing",
          "Bedong",
          "Gurun",
          "Jitra",
          "Kuah",
          "Kuala Kedah",
          "Kulim",
          "Langgar",
          "Sungai Petani"
        ]),
        States(name: "Kedah", cities: [
          "Gua Musang",
          "Kadok",
          "Kota Bahru",
          "Kuala Krai",
          "Pangkal Kalong",
          "Pasir Mas",
          "Peringat",
          "Tanah Merah",
          "Tumpat",
          "Wakaf Baru"
        ]),
        States(name: "Kelantan", cities: []),
        States(name: "Kuala Lumpur", cities: ["Labuan"]),
        States(name: "Labuan", cities: [
          "Alor Gajah",
          "Ayer Keroh",
          "Ayer Molek",
          "Batu Berendam",
          "Bemban",
          "Bukit Baru",
          "Bukit Rambai",
          "Klebang",
          "Kuala Sungai Baru",
          "Malacca",
          "Masjid Tanah",
          "Melaka",
          "Pulau Sebang",
          "Sungai Udang"
        ]),
        States(name: "Melaka", cities: []),
        States(name: "Negeri Johor", cities: []),
        States(name: "Negeri Sembilan", cities: [
          "Bandar Jengka Pusat",
          "Bentong",
          "Bukit Tinggi",
          "Jerantut",
          "Karak",
          "Kuala Lipis",
          "Kuantan",
          "Mentakab",
          "Pekan",
          "Pulau Pinang",
          "Raub",
          "Temerloh"
        ]),
        States(
            name: "Pahang",
            cities: ["Bayan Lepas", "Church Town", "George Town"]),
        States(name: "Penang", cities: [
          "Ayer Tawar",
          "Bagan Serai",
          "Batu Gajah",
          "Bidor",
          "Ipoh",
          "Jelapang",
          "Kampar",
          "Kampong Koh",
          "Kuala Kangsar",
          "Lawan Kuda Baharu",
          "Lumut",
          "Pantai Remis",
          "Parit Buntar",
          "Perak",
          "Pusing",
          "Simpang Empat",
          "Sungai Siput Utara",
          "Taiping",
          "Tanjong Malim",
          "Tapah",
          "Teluk Intan"
        ]),
        States(name: "Perak", cities: ["Kangar", "Kuala Perlis"]),
        States(name: "Perlis", cities: []),
        States(name: "Pulau Pinang", cities: [
          "Beaufort",
          "Donggongon",
          "Keningau",
          "Kinarut",
          "Kota Belud",
          "Kota Kinabalu",
          "Kudat",
          "Kunak",
          "Lahad Datu",
          "Papar",
          "Putatan",
          "Ranau",
          "Sandakan",
          "Semporna",
          "Tawau"
        ]),
        States(name: "Sabah", cities: [
          "Batu Delapan Bazaar",
          "Bintulu",
          "Kapit",
          "Kota Samarahan",
          "Kuching",
          "Limbang",
          "Miri",
          "Sarawak",
          "Sarikel",
          "Sibu",
          "Sri Aman"
        ]),
        States(name: "Sarawak", cities: [
          "Ampang",
          "Ampang Jaya",
          "Balakong",
          "Bandar Baru Bangi",
          "Bandar Baru Salak Tinggi",
          "Bander Baro Bangi",
          "Banting",
          "Batang Berjuntai",
          "Batu Arang",
          "Batu Sembilan Cheras",
          "Beranang",
          "Bukit Beruntung",
          "Cyberjaya",
          "Darul Ehsan",
          "Dungun",
          "Gombak Setia",
          "Jenjarom",
          "Kajang",
          "Kajang-Sungai Chua",
          "Klang",
          "Kuala Kubu Baru",
          "Kuala Selangor",
          "Kuang",
          "Pengkalan Kundang",
          "Petaling Jaya",
          "Port Klang",
          "Puchong",
          "Rawang",
          "Sabak",
          "Sekinchan",
          "Selayang Baru",
          "Semenyih",
          "Serendah",
          "Seri Kembangan",
          "Shah Alam",
          "Subang Jaya",
          "Sungai Besar",
          "Sungai Buloh",
          "Sungai Pelek",
          "Taman Greenwood",
          "Tanjong Karang",
          "Tanjong Sepat"
        ]),
        States(name: "Selangor", cities: ["Bahaiyah", "Langkap"]),
        States(name: "Sembilan", cities: [
          "Cukai",
          "Jertih",
          "Kemaman",
          "Kerteh",
          "Kuala Terengganu",
          "Marang",
          "Paka",
          "Serdang"
        ]),
        States(name: "Terengganu", cities: [])
      ]),
  Country(
      name: "Maldives",
      flag: "🇲🇻",
      code: "MV",
      dialCode: "960",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Alif Alif", cities: []),
        States(name: "Alif Dhaal", cities: [
          "Dharavandhoo",
          "Dhonfanu",
          "Eydhafushi",
          "Fehendhoo",
          "Fulhadhoo",
          "Goidhoo",
          "Hithaadhoo",
          "Kamadhoo",
          "Kendhoo",
          "Kihaadhoo",
          "Kudarikilu",
          "Maalhos",
          "Thulhaadhoo"
        ]),
        States(name: "Baa", cities: [
          "Badidhoo",
          "Gemendhoo",
          "Hulhudheli",
          "Kudahuvadhoo",
          "Maaeboodhoo",
          "Meedhoo",
          "Ribudhoo",
          "Vaanee"
        ]),
        States(name: "Dhaal", cities: [
          "Biledhdhoo",
          "Dharaboodhoo",
          "Feeali",
          "Magoodhoo",
          "Nilandhoo"
        ]),
        States(name: "Faaf", cities: []),
        States(name: "Gaaf Alif", cities: []),
        States(name: "Gaaf Dhaal", cities: ["Fuvammulah"]),
        States(name: "Ghaviyani", cities: []),
        States(name: "Haa Alif", cities: []),
        States(name: "Haa Dhaal", cities: [
          "Dhiffushi",
          "Gaafaru",
          "Gulhi",
          "Guraidhoo",
          "Himmafushi",
          "Huraa",
          "Kaashidhoo",
          "Maafushi",
          "Thulusdhoo"
        ]),
        States(name: "Kaaf", cities: [
          "Dhabidhoo",
          "Fonadhoo",
          "Gaadhoo",
          "Gamu",
          "Hithadhoo",
          "Isdhoo",
          "Kalhaidhoo",
          "Kunahandhoo",
          "Maabaidhoo",
          "Maamendhoo",
          "Maavah",
          "Mundhoo"
        ]),
        States(name: "Laam", cities: [
          "Hinnavaru",
          "Kurendhoo",
          "Maafilaafushi",
          "Naifaru",
          "Olhuvelifushi"
        ]),
        States(name: "Lhaviyani", cities: []),
        States(name: "Male", cities: [
          "Dhiggaru",
          "Kolhufushi",
          "Madifushi",
          "Maduvvari",
          "Mulah",
          "Muli",
          "Naalaafushi",
          "Raimandhoo",
          "Veyvah"
        ]),
        States(name: "Miim", cities: [
          "Fodhdhoo",
          "Hebadhoo",
          "Holhudhoo",
          "Kedhikolhudhoo",
          "Kudafari",
          "Landhoo",
          "Lhohi",
          "Maafaru",
          "Maalhendhoo",
          "Magoodhoo",
          "Manadhoo",
          "Miladhoo",
          "Velidhoo"
        ]),
        States(name: "Nuun", cities: [
          "Agolhitheemu",
          "Alifushi",
          "Fainu",
          "Hulhudhuffaaru",
          "Iguraidhoo",
          "Innamaadhoo",
          "Kadholhudhoo",
          "Kinolhas",
          "Maakurathu",
          "Maduvvari",
          "Meedhoo",
          "Rasgetheemu",
          "Rasmaadhoo",
          "Ugoofaaru",
          "Vaadhoo"
        ]),
        States(name: "Raa", cities: [
          "Bilehffahi",
          "Feevah",
          "Feydhoo",
          "Firubaidhoo",
          "Foakaidhoo",
          "Funadhoo",
          "Goidhoo",
          "Kaditheemu",
          "Komandoo",
          "Lhaimagu",
          "Maakandoodhoo",
          "Maaugoodhoo",
          "Maroshi",
          "Narudhoo",
          "Noomaraa"
        ]),
        States(name: "Shaviyani", cities: [
          "Feydhoo",
          "Hithadhoo",
          "Hulhudhoo",
          "Maradhoo",
          "Maradhoo-Feydhoo",
          "Meedhoo"
        ]),
        States(name: "Siin", cities: [
          "Buruni",
          "Dhiyamigili",
          "Gaadhiffushi",
          "Guraidhoo",
          "Hirilandhoo",
          "Kadoodhoo",
          "Kibidhoo",
          "Madifushi",
          "Omadhoo",
          "Thimarafushi",
          "Vandhoo",
          "Veymandhoo",
          "Vilufushi"
        ]),
        States(name: "Thaa", cities: [
          "Felidhoo",
          "Fulidhoo",
          "Keyodhoo",
          "Rakeedhoo",
          "Thinadhoo"
        ]),
        States(name: "Vaav", cities: ["Bamako"])
      ]),
  Country(
      name: "Mali",
      flag: "🇲🇱",
      code: "ML",
      dialCode: "223",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Bamako", cities: ["Gao"]),
        States(name: "Gao", cities: ["Bafoulabe", "Kayes", "Kita", "Nioro"]),
        States(name: "Kayes", cities: ["Kidal", "Tessalit"]),
        States(name: "Kidal", cities: [
          "Banamba",
          "Kangaba",
          "Kati",
          "Kolokani",
          "Koulikoro",
          "Nara"
        ]),
        States(name: "Koulikoro", cities: [
          "Bandiagara",
          "Djenne",
          "Douentza",
          "Koro",
          "Mopti",
          "Tenenkou"
        ]),
        States(name: "Mopti", cities: [
          "Ke-Massina",
          "Kimparana",
          "Markala",
          "Niono",
          "San",
          "Segou",
          "Sokolo"
        ]),
        States(name: "Segou", cities: [
          "Bougouni",
          "Kolondieba",
          "Koutiala",
          "Sikasso",
          "Yorosso"
        ]),
        States(name: "Sikasso", cities: [
          "Araouane",
          "Dire",
          "Goundam",
          "Niafunke",
          "Taoudenni",
          "Tombouctou"
        ]),
        States(name: "Tombouctou", cities: [])
      ]),
  Country(
      name: "Malta",
      flag: "🇲🇹",
      code: "MT",
      dialCode: "356",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Gozo and Comino", cities: []),
        States(name: "Inner Harbour", cities: [
          "Gharghur",
          "Mellieha",
          "Mgarr",
          "Mosta",
          "Naxxar",
          "San Pawl il-Bahar"
        ]),
        States(name: "Northern", cities: []),
        States(name: "Outer Harbour", cities: []),
        States(name: "South Eastern", cities: ["L-Iklin"]),
        States(name: "Valletta", cities: [
          "Attard",
          "Balzan",
          "Dingli",
          "Iklin",
          "Lija",
          "Mdina",
          "Rabat",
          "Sighghiewi",
          "Zebbug"
        ]),
        States(name: "Western", cities: ["Castletown"])
      ]),
  Country(
      name: "Marshall Islands",
      flag: "🇲🇭",
      code: "MH",
      dialCode: "692",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Ailinlaplap", cities: [
          "Ailuk",
          "Ajelep",
          "Aliej",
          "Biken",
          "Enejabrok",
          "Enejelar",
          "Kapen"
        ]),
        States(name: "Ailuk", cities: [
          "Arno Arno",
          "Bikarej",
          "Bikonele",
          "Boken",
          "Eneaidrik",
          "Enirik",
          "Ijoen",
          "Ine",
          "Japo",
          "Jilane",
          "Kejbwe",
          "Kilange",
          "Kilemman",
          "Kinajon",
          "Langor",
          "Lukoj",
          "Malel",
          "Manrar",
          "Matolen",
          "Meetdik",
          "Mian",
          "Najaj",
          "Namwi",
          "Neenkotkot",
          "Taklep",
          "Tinak",
          "Tutu",
          "Ulien"
        ]),
        States(name: "Arno", cities: ["Aur", "Tabal"]),
        States(name: "Aur", cities: ["Eneu"]),
        States(name: "Bikini", cities: [
          "Emej",
          "Enearmij",
          "Enekoion",
          "Enilok",
          "Jittaken",
          "Jittoen",
          "Rerok",
          "Toka"
        ]),
        States(name: "Ebon", cities: ["Enewetak", "Japtan", "Medren"]),
        States(name: "Enewetak", cities: ["Jabat"]),
        States(name: "Jabat", cities: [
          "Ae",
          "Ajejen",
          "Anilep",
          "Arreen",
          "Bokanake",
          "Bokkan",
          "Bukantorak",
          "Dede",
          "Ewo",
          "Imiej",
          "Imroj",
          "Jabnoren",
          "Jabwor",
          "Jaluit",
          "Lonone",
          "Mejatto",
          "Mejrirok",
          "Menge",
          "Nabbe",
          "Narmej",
          "Urbaj"
        ]),
        States(name: "Jaluit", cities: ["Kili"]),
        States(name: "Kili", cities: [
          "Arbwa",
          "Ebadon",
          "Ebeye",
          "Ebjadik",
          "Ebwaj",
          "Ennilabegan",
          "Enubirr",
          "Enubuj",
          "Gugeegue",
          "Mejatto",
          "Ningi",
          "North Loi",
          "Orpap",
          "South Loi"
        ]),
        States(name: "Kwajalein", cities: ["Enerein", "Lae", "Lejab"]),
        States(name: "Lae", cities: ["Lib"]),
        States(name: "Lib", cities: ["Jebal", "Likiep", "Liklal", "Melang"]),
        States(name: "Likiep", cities: [
          "Ajeltake",
          "Aneenwudej",
          "Aneko",
          "Arrak",
          "Biken",
          "Bokaetoktok",
          "Denmeo",
          "Didej",
          "Ejit",
          "Enemanet",
          "Jelter",
          "Kalalen",
          "Kemman",
          "Laura",
          "Pikiriin",
          "Rita",
          "Rongrong",
          "Woja"
        ]),
        States(
            name: "Majuro",
            cities: ["Airok", "Jang", "Kaben", "Tarawa", "Wolot"]),
        States(name: "Maloelap", cities: ["Mejit"]),
        States(name: "Mejit", cities: [
          "Aeloneo",
          "Anel",
          "Arbar",
          "Bar",
          "Bikonel",
          "Enajet",
          "Eoo",
          "Jabonwod",
          "Loen",
          "Lukoj",
          "Lukonwor",
          "Mae",
          "Majkin",
          "Mili",
          "Nad",
          "Nallu",
          "Tokewa",
          "Wau"
        ]),
        States(name: "Mili", cities: ["Namorik"]),
        States(name: "Namorik", cities: ["Namu"]),
        States(name: "Namu", cities: ["Rongelap"]),
        States(name: "Rongelap", cities: ["Ujae"]),
        States(name: "Ujae", cities: ["Utirik"]),
        States(name: "Utrik", cities: ["Wotho"]),
        States(name: "Wotho", cities: ["Didi", "Nibun", "Wormej", "Wotje"]),
        States(name: "Wotje", cities: [
          "Fort-de-France",
          "Le Lamentin",
          "Saint-Joseph",
          "Schoelcher"
        ])
      ]),
  Country(
      name: "Martinique",
      flag: "🇲🇶",
      code: "MQ",
      dialCode: "596",
      minLength: 15,
      maxLength: 15,
      states: [
        States(name: "Fort-de-France", cities: []),
        States(name: "La Trinite", cities: []),
        States(name: "Le Marin", cities: ["Le Morne-Rouge", "Saint-Pierre"]),
        States(name: "Saint-Pierre", cities: ["Atar", "Shingati"])
      ]),
  Country(
      name: "Mauritania",
      flag: "🇲🇷",
      code: "MR",
      dialCode: "222",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Adrar", cities: ["Kifah"]),
        States(name: "Assaba", cities: ["Alaq", "Buqah", "Magta\\'\\' Lahjar"]),
        States(name: "Brakna", cities: []),
        States(
            name: "Dhakhlat Nawadibu",
            cities: ["Ayun-al-\\'\\'Atrus", "Kubanni"]),
        States(
            name: "Hudh-al-Gharbi",
            cities: ["Timbedra", "Walatah", "an-Na\\'\\'mah"]),
        States(name: "Hudh-ash-Sharqi", cities: ["Aqjawajat"]),
        States(name: "Inshiri", cities: ["Nawakshut"]),
        States(name: "Nawakshut", cities: ["Hsay Walad \\'\\'Ali Babi"]),
        States(name: "Qidimagha", cities: ["Kayhaydi"]),
        States(name: "Qurqul", cities: ["Tijiqjah"]),
        States(name: "Taqant", cities: []),
        States(name: "Tiris Zammur", cities: ["Rusu"]),
        States(name: "Trarza", cities: [])
      ]),
  Country(
      name: "Mauritius",
      flag: "🇲🇺",
      code: "MU",
      dialCode: "230",
      minLength: 7,
      maxLength: 8,
      states: [
        States(name: "Black River", cities: []),
        States(name: "Eau Coulee", cities: [
          "Bel Air",
          "Bon Accueil",
          "Brisee Verdiere",
          "Camp Ithier",
          "Camp de Masque",
          "Camp de Masque Pave",
          "Central Flacq",
          "Clemencia",
          "Ecroignard",
          "Grand River South East",
          "Lalmatie",
          "Laventure",
          "Mare La Chaux",
          "Medine-Camp de Masque",
          "Olivia",
          "Poste de Flacq",
          "Quatre Cocos",
          "Quatre Soeurs",
          "Queen Victoria",
          "Saint Julien",
          "Saint Julien d\\'\\'Hotman",
          "Sebastopol",
          "Trou d\\'\\'Eau Douce"
        ]),
        States(name: "Flacq", cities: ["Floreal"]),
        States(name: "Floreal", cities: []),
        States(name: "Grand Port", cities: [
          "Camp Thorel",
          "Dagotiere",
          "Dubreuil",
          "Esperance",
          "L\\'\\'Avenir",
          "La Laura-Malenga",
          "Melrose",
          "Moka",
          "Montagne Blanche",
          "Pailles",
          "Providence",
          "Quartier Militaire",
          "Ripailles",
          "Saint Pierre",
          "Verdun"
        ]),
        States(name: "Moka", cities: [
          "Arsenal",
          "Baie du Tombeau",
          "Calebasses",
          "Congomah",
          "Creve Coeur",
          "D\\'\\'Epinay",
          "Fond du Sac",
          "La Tour Koenig",
          "Le Hochet",
          "Long Mountain",
          "Morcellement Saint Andre",
          "Notre Dame",
          "Pamplemousse",
          "Plaines des Papayes",
          "Pointe aux Piments",
          "Terre Rouge",
          "Triolet",
          "Villebague"
        ]),
        States(name: "Pamplempousses", cities: []),
        States(name: "Plaines Wilhelm", cities: []),
        States(name: "Port Louis", cities: []),
        States(name: "Riviere du Rempart", cities: [
          "Baie Malgache",
          "Coromandel-Graviers",
          "Grand Baie-Montagne Goyaves",
          "La Ferme",
          "Lataniers-Mont Lubin",
          "Mangues-Quatre Vents",
          "Oyster Bay",
          "Petit Gabriel",
          "Piments-Baie Topaze",
          "Plaine Corail-La Fouche Corail",
          "Port Mathurin",
          "Port Sud-Est",
          "Riviere Cocos",
          "Roche Bon Dieu-Trefles"
        ]),
        States(name: "Rodrigues", cities: []),
        States(name: "Rose Hill", cities: [
          "Baie du Cap",
          "Bel Ombre",
          "Benares",
          "Bois Cheri",
          "Britannia",
          "Camp Diable",
          "Chamouny",
          "Chemin Grenier",
          "Grand Bois",
          "Riviere des Anguilles",
          "Saint Aubin",
          "Souillac",
          "Surinam"
        ]),
        States(name: "Savanne", cities: [
          "Acoua",
          "Bandraboua",
          "Bandrele",
          "Boueni",
          "Chiconi",
          "Chirongui",
          "Dembeni",
          "Kanikeli",
          "Koungou",
          "Mamoudzou",
          "Mtsamboro",
          "Mtsangamouji",
          "Ouangani",
          "Sada",
          "Tsingoni"
        ])
      ]),
  Country(
      name: "Mayotte",
      flag: "🇾🇹",
      code: "YT",
      dialCode: "262",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Mayotte", cities: ["Dzaoudzi", "Pamanzi"]),
        States(name: "Pamanzi", cities: [
          "Aguascalientes",
          "Asientos",
          "Calvillo",
          "Cosio",
          "Margaritas",
          "Ojocaliente",
          "Pabellon de Arteaga",
          "Pabellon de Hidalgo",
          "Palo Alto",
          "Rincon de Romos",
          "San Francisco de los Romo",
          "San Jose de Gracia",
          "Tepezala",
          "Villa Juarez"
        ])
      ]),
  Country(
      name: "Mexico",
      flag: "🇲🇽",
      code: "MX",
      dialCode: "52",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Aguascalientes", cities: []),
        States(name: "Baja California", cities: []),
        States(name: "Baja California Sur", cities: [
          "Becal",
          "Bolonchen",
          "Calkini",
          "Campeche",
          "Candelaria",
          "Carmen",
          "Champoton",
          "China",
          "Dzitbalche",
          "Escarcega",
          "Hecelchakan",
          "Hopelchen",
          "Isla Aguada",
          "Nuevo Progreso",
          "Nunkini",
          "Palizada",
          "Pomuch",
          "Sabancuy",
          "Seybaplaya",
          "Tenabo"
        ]),
        States(name: "Campeche", cities: [
          "Acacoyagua",
          "Acala",
          "Acapetahua",
          "Altamirano",
          "Alvaro Obregon",
          "Amatan",
          "Amatenango del Valle",
          "Arriaga",
          "Benemerito de las Americas",
          "Berriozabal",
          "Bochil",
          "Cacahoatan",
          "Cancuc",
          "Catazaja",
          "Chalchihiutan",
          "Chanal",
          "Chiapa",
          "Chiapilla",
          "Chicomuselo",
          "Chilon",
          "Cintalapa",
          "Comaltitlan",
          "Comitan",
          "Copainala",
          "Copoya",
          "Cristobal Obregon",
          "El Bosque",
          "El Parral",
          "Escuintla",
          "Frontera Comalapa",
          "Frontera Corozal",
          "Frontera Hidalgo",
          "Huehuetan",
          "Huehuetan Estacion",
          "Huixtla",
          "Ixhuatan",
          "Ixtacomitan",
          "Ixtapa",
          "Jaltenango",
          "Jesus Maria Garza",
          "Jiquipilas",
          "Jitotol",
          "Juarez",
          "La Concordia",
          "La Libertad",
          "La Trinitaria",
          "Las Margaritas",
          "Las Rosas",
          "Mapastepec",
          "Mazatan",
          "Motozintla",
          "Navenchauc",
          "Nicolas Ruiz",
          "Ocosingo",
          "Ocotepec",
          "Ocozocoautla",
          "Ostuacan",
          "Oxchuc",
          "Palenque",
          "Palestina",
          "Pantelho",
          "Paredon",
          "Petalcingo",
          "Pichucalco",
          "Pijijiapan",
          "Pueblo Nuevo Solistahuacan",
          "Puerto Madero",
          "Pujiltic",
          "Raudales Malpaso",
          "Rayon",
          "Reforma",
          "Revolucion Mexicana",
          "Rincon Chamula",
          "Salto de Agua",
          "San Cristobal de las Casas",
          "San Fernando",
          "San Lucas",
          "San Pedro Buenavista",
          "Simojovel",
          "Socoltenango",
          "Soyalo",
          "Suchiapa",
          "Suchiate",
          "Tapachula",
          "Tapilula",
          "Tecpatan",
          "Tenango",
          "Teopisca",
          "Tila",
          "Tonala",
          "Totolapa",
          "Tres Picos",
          "Tuxtla Chico",
          "Tuxtla Gutierrez",
          "Tzimol",
          "Veinte de Noviembre",
          "Venustiano Carranza",
          "Villa Corzo",
          "Villaflores",
          "Yajalon",
          "Zinacantan"
        ]),
        States(name: "Chiapas", cities: [
          "Adolfo Lopez Mateos",
          "Ahumada",
          "Anahuac",
          "Ascension",
          "Benito Juarez",
          "Camargo",
          "Carichi",
          "Casas Grandes",
          "Chihuahua",
          "Colonia Municipio Libre",
          "Creel",
          "Cuauhtemoc",
          "Delicias",
          "El Largo",
          "Guachochi",
          "Guadalupe",
          "Guadalupe y Calvo",
          "Hermenegildo Galeana",
          "Hidalgo",
          "Ignacio Zaragoza",
          "Jimenez",
          "Juan Aldama",
          "Juarez",
          "Lazaro Cardenas",
          "Madera",
          "Majimachi",
          "Meoqui",
          "Naica",
          "Nuevo Casas Grandes",
          "Octaviano Lopez",
          "Ojinaga",
          "Praxedis Guerrero",
          "Puerto Palomas",
          "Puerto de Anapra",
          "San Buenaventura",
          "San Francisco el Oro",
          "Santa Barbara",
          "Santa Cruz de Rosales",
          "Saucillo",
          "Valentin Gomez Farias",
          "Valle de Allende",
          "Vicente Guerrero"
        ]),
        States(name: "Chihuahua", cities: [
          "Acuna",
          "Allende",
          "Arteaga",
          "Castanos",
          "Concordia",
          "Cuatrocienagas",
          "El Coyote",
          "Frontera",
          "General Cepeda",
          "Hercules",
          "Matamoros",
          "Minas de Barroteran",
          "Monclova",
          "Muzquiz",
          "Nadadores",
          "Nava",
          "Nueva Rosita",
          "Ocampo",
          "Palau",
          "Parras",
          "Piedras Negras",
          "Ramos Arizpe",
          "Sabinas",
          "Saltillo",
          "San Buenaventura",
          "San Pedro",
          "Torreon",
          "Venustiano Carranza",
          "Viesca",
          "Villa Madero",
          "Villa Union",
          "Zaragoza"
        ]),
        States(name: "Coahuila", cities: [
          "Armeria",
          "Cofradia",
          "Colima",
          "Colonia Bayardo",
          "Comala",
          "Coquimatlan",
          "Cuauhtemoc",
          "El Colomo",
          "Madrid",
          "Manzanillo",
          "Minatitlan",
          "Queseria",
          "Suchitlan",
          "Tecoman",
          "Villa de Alvarez"
        ]),
        States(name: "Colima", cities: []),
        States(name: "Distrito Federal", cities: [
          "Bermejillo",
          "Canatlan",
          "Cuencame",
          "Durango",
          "Gomez Palacio",
          "Guadalupe Victoria",
          "Juarez",
          "Lerdo",
          "Mapimi",
          "Nazareno",
          "Nazas",
          "Nombre de Dios",
          "Nuevo Ideal",
          "Ocampo",
          "Panuco",
          "Papasquiaro",
          "Penon Blanco",
          "Poanas",
          "Pueblo Nuevo",
          "Rodeo",
          "Santa Catarina de Tepehuanes",
          "Santa Clara",
          "Santa Maria del Oro",
          "Suchil",
          "Tayoltita",
          "Tlahualilo",
          "Vicente Guerrero"
        ]),
        States(name: "Durango", cities: []),
        States(name: "Estado de Mexico", cities: [
          "Abasolo",
          "Acambaro",
          "Aldama",
          "Allende",
          "Antonio Rodriguez",
          "Apaseo el Alto",
          "Apaseo el Grande",
          "Celaya",
          "Centro Familiar la Soledad",
          "Cerano",
          "Cerro Gordo",
          "Colonias Nuevo Mexico",
          "Comonfort",
          "Coroneo",
          "Cortazar",
          "Cueramaro",
          "Doctor Mora",
          "Dolores Hidalgo",
          "Duarte",
          "El Sabino",
          "Escobedo",
          "Guanajuato",
          "Huanimaro",
          "Iramuco",
          "Irapuato",
          "Jaral del Progreso",
          "Jerecuaro",
          "Juventino Rosas",
          "La Aldea",
          "La Calera",
          "La Ermita",
          "La Moncada",
          "Leon",
          "Loma Pelada",
          "Manuel Doblado",
          "Maravatio",
          "Marfil",
          "Medina",
          "Mexicanos",
          "Moroleon",
          "Ocampo",
          "Octopan",
          "Pacueco",
          "Palo Verde",
          "Paracuaro",
          "Penjamo",
          "Plan de Ayala",
          "Pueblo Nuevo",
          "Purisima de Bustos",
          "Rincon de Tamayo",
          "Romita",
          "Salamanca",
          "Salvatierra",
          "San Bartolo de Berrios",
          "San Cristobal",
          "San Diego de la Union",
          "San Felipe",
          "San Francisco del Rincon",
          "San Jose Agua Azul",
          "San Jose Iturbide",
          "San Jose Temascatio",
          "San Juan de la Vega",
          "San Luis de la Paz",
          "San Nicolas de los Agustinos",
          "San Pedro de los Naranjos",
          "San Roque",
          "Santa Teresa",
          "Santiago de Cuenda",
          "Sarabia",
          "Silao",
          "Tarandacuao",
          "Tarimoro",
          "Teneria del Santuario",
          "Uriangato",
          "Urireo",
          "Valle de Santiago",
          "Valtierrilla",
          "Victoria",
          "Villagran",
          "Villas de Irapuato",
          "Yerbabuena",
          "Yuriria"
        ]),
        States(name: "Guanajuato", cities: [
          "Acamixtla",
          "Acapulco",
          "Acatlan",
          "Ajuchitlan",
          "Alpoyeca",
          "Altamirano",
          "Apango",
          "Apaxtla",
          "Arcelia",
          "Atliaca",
          "Atoyac",
          "Ayutla",
          "Azoyu",
          "Bajos de Ejido",
          "Buenavista",
          "Chichihualco",
          "Chilapa",
          "Chilpancingo",
          "Coacoyul",
          "Cocula",
          "Copala",
          "Copalillo",
          "Coyuca",
          "Cruz Grande",
          "Cuajinicuilapa",
          "Cuautepec",
          "Cutzamala",
          "El Ocotito",
          "El Paraiso",
          "El Suchil",
          "Huamuxtitlan",
          "Huitziltepec",
          "Huitzuco",
          "Iguala",
          "Ixtapa",
          "Kilometro Treinta",
          "La Loma",
          "La Union",
          "Las Petaquillas",
          "Las Vigas",
          "Marquelia",
          "Mazatlan",
          "Mochitlan",
          "Olinala",
          "Ometepec",
          "Petatlan",
          "Pilcaya",
          "Quechultenango",
          "San Jeronimito",
          "San Jeronimo",
          "San Jose Ixtapa",
          "San Luis San Pedro",
          "San Marcos",
          "Taxco",
          "Taxco de Alarcon",
          "Tecoanapa",
          "Tecpan",
          "Teloloapan",
          "Tepecoacuilco",
          "Tierra Colorada",
          "Tixtla",
          "Tlacoachistlahuaca",
          "Tlacotepec",
          "Tlalchapa",
          "Tlamacazapa",
          "Tlapa",
          "Tlapehuala",
          "Totolapan",
          "Tres Palos",
          "Xalpatlahuac",
          "Xaltianguis",
          "Xochihuehuetlan",
          "Xochistlahuaca",
          "Zacualpan",
          "Zihuatanejo",
          "Zirandaro",
          "Zitlala",
          "Zumpango"
        ]),
        States(name: "Guerrero", cities: [
          "Acaxochitlan",
          "Acayuca",
          "Actopan",
          "Ajacuba",
          "Almoloya",
          "Apan",
          "Atengo",
          "Atitalaquia",
          "Atotonilco de Tula",
          "Atotonilco el Grande",
          "Calnali",
          "Cardonal",
          "Chapulhuacan",
          "Cuautepec",
          "Doxey",
          "El Arenal",
          "El Llano",
          "El Rosario",
          "Emiliano Zapata",
          "Huautla",
          "Huejutla",
          "Hueytlalpan",
          "Huichapan",
          "Ixmiquilpan",
          "Jacala",
          "Jaltocan",
          "Los Reyes",
          "Mineral del Monte",
          "Mixquiahuala",
          "Molango",
          "Orizatlan",
          "Pachuca",
          "Pachuquilla",
          "Progreso",
          "Sahagun",
          "San Ildefonso",
          "San Juan Tepa",
          "San Marcos",
          "Singuilucan",
          "Tasquillo",
          "Tecozautla",
          "Tepatepec",
          "Tepeapulco",
          "Tepeji",
          "Tepepa",
          "Tetepango",
          "Tezontepec",
          "Tizayuca",
          "Tlahuelilpan",
          "Tlanalapa",
          "Tlanchinol",
          "Tlaxcoapan",
          "Tlaxiaca",
          "Tolcayuca",
          "Tula de Allende",
          "Tulancingo",
          "Tulantepec",
          "Vindho",
          "Zacualtipan",
          "Zapotlan",
          "Zempoala",
          "Zimapan"
        ]),
        States(name: "Hidalgo", cities: [
          "Acatic",
          "Acatlan",
          "Ahualulco",
          "Ajijic",
          "Alejandria",
          "Amatitan",
          "Ameca",
          "Antonio Escobedo",
          "Arandas",
          "Atemajac",
          "Atequiza",
          "Atotonilco el Alto",
          "Atotonilquillo",
          "Atoyac",
          "Autlan",
          "Ayotlan",
          "Ayutla",
          "Bellavista",
          "Cajititlan",
          "Capilla de Guadalupe",
          "Casimiro Castillo",
          "Centro de Readaptacion Social",
          "Chapala",
          "Chiquilistlan",
          "Cihuatlan",
          "Cocula",
          "Colotlan",
          "Concepcion de Buenos Aires",
          "Cosala",
          "Coyula",
          "Cuitzeo",
          "Cuqio",
          "Cuyutlan",
          "Degollado",
          "El Arenal",
          "El Grullo",
          "El Limon",
          "El Quince",
          "El Refugio",
          "El Salto",
          "El Verde",
          "Encarnacion",
          "Etzatlan",
          "Guadalajara",
          "Guzman",
          "Hidalgo",
          "Hostotipaquillo",
          "Huejucar",
          "Huejuquilla el Alto",
          "Itzican",
          "Ixtapa",
          "Ixtlahuacan de los Membrillos",
          "Ixtlahuacan del Rio",
          "Ixtlan",
          "Jalostotitlan",
          "Jamay",
          "Jesus Maria",
          "Jocotepec",
          "Juanacatlan",
          "Juchitlan",
          "La Barca",
          "La Huerta",
          "La Ribera",
          "La Tijera",
          "La Venta del Astillero",
          "Lagos de Moreno",
          "Las Juntas",
          "Las Pintas",
          "Las Pintitas",
          "Lo Arado",
          "Magdalena",
          "Mascota",
          "Mazamitla",
          "Mexticacan",
          "Mezcala",
          "Nuevo Mexico",
          "Ocotlan",
          "Ojuelos de Jalisco",
          "Pihuamo",
          "Poncitlan",
          "Puente Grande",
          "Puerto Vallarta",
          "Purificacion",
          "San Agustin",
          "San Francisco de Asis",
          "San Gabriel",
          "San Jose de Gracia",
          "San Jose del Castillo",
          "San Juan de los Lagos",
          "San Julian",
          "San Marcos",
          "San Martin de Hidalgo",
          "San Miguel el Alto",
          "San Patricio",
          "San Sebastian del Sur",
          "San Sebastian el Grande",
          "Santa Anita",
          "Santa Cruz de las Flores",
          "Santa Cruz del Valle",
          "Sayula",
          "Tala",
          "Talpa",
          "Tamazula",
          "Tapalpa",
          "Tecalitlan",
          "Tecolotlan",
          "Tenamaxtlan",
          "Teocaltiche",
          "Teocuitatlan de Corona",
          "Tepatitlan",
          "Tequila",
          "Tesistan",
          "Teuchitlan",
          "Tizapan el Alto",
          "Tlajomulco",
          "Tlaquepaque",
          "Tomatlan",
          "Tonala",
          "Tonaya",
          "Tonila",
          "Tototlan",
          "Tuxpan",
          "Union de San Antonio",
          "Union de Tula",
          "Usmajac",
          "Valle de Guadalupe",
          "Valle de Juarez",
          "Villa Corona",
          "Villa Guerrero",
          "Yahualica",
          "Zacoalco",
          "Zapopan",
          "Zapote",
          "Zapotiltic",
          "Zapotlanejo"
        ]),
        States(name: "Jalisco", cities: [
          "Acahualco",
          "Acambay",
          "Acazulco",
          "Acolman",
          "Acuautla",
          "Acutzilapan",
          "Ajoloapan",
          "Alborada",
          "Almaya",
          "Almoloya",
          "Almoloya del Rio",
          "Amanalco",
          "Amecameca",
          "Ameyalco",
          "Apaxco",
          "Atarasquillo",
          "Atenco",
          "Atizapan",
          "Atlacomulco",
          "Atlatlahuca",
          "Atlatongo",
          "Atlautla",
          "Atlazalpan",
          "Autopan",
          "Axapusco",
          "Ayotuzco",
          "Ayotzingo",
          "Azcatepec",
          "Balderas",
          "Bocanegra",
          "Boreje",
          "Buenavista",
          "Cacalomacan",
          "Cahuacan",
          "Calimaya",
          "Calixtlahuaca",
          "Capulhuac",
          "Carbon",
          "Cautzingo",
          "Chalco",
          "Chapultepec",
          "Chiautla",
          "Chicoloapan",
          "Chiconautla",
          "Chiconcuac",
          "Chimalhuacan",
          "Chimalpa",
          "Cholula",
          "Citendeje",
          "Coacalco",
          "Coachochitlan",
          "Coacomulco",
          "Coapango",
          "Coatepec",
          "Coatepec Harinas",
          "Coatlinchan",
          "Cocotitlan",
          "Colorines",
          "Concepcion Jolalpan",
          "Coyotepec",
          "Cuauhtemoc",
          "Cuauhtenco",
          "Cuautitlan",
          "Cuautitlan Izcalli",
          "Cuautlalpan",
          "Cuaxustenco",
          "Cuexontitlan",
          "Cuijingo",
          "Ecatepec",
          "Ecatzingo",
          "Ejido Cahuacan",
          "Ejido Veinte de Noviembre la C",
          "Ejido de la Y Seccion Siete a",
          "El Coporo",
          "El Oro",
          "Enchisi",
          "Enthavi",
          "Fuentes del Valle",
          "Huehuetoca",
          "Huexoculco",
          "Hueypoxtla",
          "Huilango",
          "Huitzilzingo",
          "Huixquilucan",
          "Huixquilucan de Degollado",
          "Huixtoco",
          "Ixlahuaca",
          "Ixtacalco",
          "Ixtapaluca",
          "Ixtapan",
          "Ixtlahuatzingo",
          "Jajalpa",
          "Jaltenco",
          "Jaltepec",
          "Jesus del Monte",
          "Jicaltepec Autopan",
          "Jilotepec",
          "Jilotzingo",
          "Jocotitlan",
          "Joquicingo",
          "Jorge Jimenez Cantu",
          "Juchitepec",
          "La Concepcion los Banos",
          "La Constitucion",
          "La Magdalema",
          "Lerma",
          "Loma de Juarez",
          "Lomas de Zacamulpa",
          "Lopez Mateos",
          "Los Esparragos",
          "Los Reyes",
          "Los Reyes Acozac",
          "Luvianos",
          "Malinalco",
          "Melchor Ocampo",
          "Metepec",
          "Mexicaltzingo",
          "Mextepec",
          "Montecillo",
          "Nativitas",
          "Naucalpan",
          "Nexquipayac",
          "Nextlalpan",
          "Nezahualcoyotl",
          "Nicolas Romero",
          "Nopaltepec",
          "Ocotitlan",
          "Ocotlan",
          "Ocoyoacac",
          "Ojo de Agua",
          "Otumba",
          "Otzacatipan",
          "Oyamel",
          "Oztolotepec",
          "Ozumba",
          "Papalotla",
          "Progreso Industrial",
          "Pueblo Nuevo",
          "Rayon",
          "Rio Frio",
          "Salitrillo",
          "San Antonio Buenavista",
          "San Antonio La Isla",
          "San Bartolo",
          "San Bartolo del Llano",
          "San Bernardino",
          "San Buenaventura",
          "San Felipe del Progreso",
          "San Jeronimo",
          "San Jose Guadalupe",
          "San Jose el Vidrio",
          "San Juan Tilapa",
          "San Juan de las Huertas",
          "San Juan y San Pedro Tezompa",
          "San Lorenzo Cuauhtenco",
          "San Martin de las Piramides",
          "San Miguel la Labor",
          "San Nicolas Guadalupe",
          "San Nicolas Tolentino",
          "San Pablo de las Salinas",
          "San Pedro Abajo",
          "San Pedro Arriba",
          "San Pedro el Alto",
          "San Pedro los Banos",
          "San Simon de la Laguna",
          "Santa Catarina del Monte",
          "Santa Cruz del Monte",
          "Santa Gertrudis",
          "Santa Maria del Monte",
          "Santo Domingo de Guzman",
          "Soyaniquilpan",
          "Sultepec",
          "Tecalco",
          "Tecamac",
          "Techuchulco",
          "Tecuahutitlan",
          "Tehuixtitlan",
          "Tejupilco",
          "Temamatla",
          "Temascalapa",
          "Temascalcingo",
          "Temoaya",
          "Tenancingo",
          "Tenango de Arista",
          "Tenango del Aire",
          "Tenochtitlan",
          "Teoloyucan",
          "Teotihuacan",
          "Tepeolulco",
          "Tepetitlan",
          "Tepetlaoxtoc",
          "Tepetlixpa",
          "Tepexpan",
          "Tepotzotlan",
          "Tequexquinahuac",
          "Tequisistlan",
          "Tequixquiac",
          "Texcalyacac",
          "Texcoco",
          "Teyahualco",
          "Tezoquipan",
          "Tezoyuca",
          "Tianguistenco",
          "Tilapa",
          "Tlachaloya Segunda Seccion",
          "Tlachihualpa",
          "Tlacotepec",
          "Tlahuelilpan",
          "Tlaixpan",
          "Tlalcilalcalli",
          "Tlalcilalcalpan",
          "Tlalmanalco",
          "Tlalmimilolpan",
          "Tlalnepantla",
          "Tlaltelulco",
          "Tlaltizapan",
          "Tlanisco",
          "Toluca",
          "Tonanitla",
          "Tonatico",
          "Totocuitlapilco",
          "Totoltepec",
          "Tulantongo",
          "Tultepec",
          "Tultitlan",
          "Valle de Bravo",
          "Victoria",
          "Villa Guerrero",
          "Vista Hermosa",
          "Xalatlaco",
          "Xalpa",
          "Xico",
          "Xochimanca",
          "Xolalpa",
          "Xoloc",
          "Xometla",
          "Xonacatlan",
          "Yachihuacaltepec",
          "Yancuitlalpan",
          "Zacacalco",
          "Zacamulpa",
          "Zacualpan",
          "Zaragoza",
          "Zictepec",
          "Zinacantepec",
          "Zolotepec",
          "Zumpahuacan",
          "Zumpango"
        ]),
        States(name: "Mexico", cities: [
          "Acuitzio",
          "Aguililla",
          "Alvaro Obregon",
          "Angahuan",
          "Angamacutiro",
          "Angangueo",
          "Antunez",
          "Apatzingan",
          "Ario",
          "Arteaga",
          "Benito Juarez",
          "Brisenas",
          "Buenavista",
          "Buenos Aires",
          "Caltzontzin",
          "Capacuaro",
          "Capula",
          "Caracuaro",
          "Charapan",
          "Charo",
          "Chavinda",
          "Cheran",
          "Chilchota",
          "Churintzio",
          "Churumuco",
          "Coahuayana",
          "Coalcoman",
          "Coeneo",
          "Cojumatlan",
          "Comachuen",
          "Contepec",
          "Copandaro",
          "Cotija",
          "Cuanajo",
          "Cuitareo",
          "Cuitzeo",
          "Ecuandureo",
          "Hidalgo",
          "Huandacareo",
          "Huetamo",
          "Indaparapeo",
          "Irimbo",
          "Ixtlan",
          "Jacona",
          "Jiquilpan",
          "Jungapeo",
          "La Huacana",
          "La Mira",
          "La Orilla",
          "La Piedad",
          "La Ruana",
          "Las Guacamayas",
          "Lazaro Cardenas",
          "Lombardia",
          "Los Reyes",
          "Madero",
          "Maravatio",
          "Maya",
          "Morelia",
          "Morelos",
          "Nahuatzen",
          "Nocupetaro",
          "Nueva Italia de Ruiz",
          "Nuevo San Juan Parangaricutiro",
          "Numaran",
          "Ocampo",
          "Opopeo",
          "Pajacuaran",
          "Panindicuaro",
          "Paracho",
          "Paracuaro",
          "Pastor Ortiz",
          "Patzcuaro",
          "Pedernales",
          "Penjamillo",
          "Periban",
          "Pichataro",
          "Purepero",
          "Puruandiro",
          "Puruaran",
          "Querendaro",
          "Quiroga",
          "Rincon de Nicolas Romero",
          "Riva Palacio",
          "Sahuayo",
          "San Jose de Gracia",
          "San Lucas",
          "San Matias Grande",
          "Santa Clara de Valladares",
          "Santa Clara del Cobre",
          "Santa Fe de la Laguna",
          "Tacambaro",
          "Tancitaro",
          "Tangamandapio",
          "Tangancicuaro",
          "Tanhuato",
          "Tarecuato",
          "Taretan",
          "Tarimbaro",
          "Tejaro",
          "Tepalcatepec",
          "Tingambato",
          "Tinguindin",
          "Tiquicheo",
          "Tlalpujahua",
          "Tlazazalca",
          "Tungareo",
          "Tuxpan",
          "Tzintzuntzan",
          "Uruapan",
          "Venustiano Carranza",
          "Villa Jimenez",
          "Villachuato",
          "Villamar",
          "Vista Hermosa",
          "Yurecuaro",
          "Zacapu",
          "Zamora",
          "Zinapecuaro",
          "Zitacuaro"
        ]),
        States(name: "Michoacan", cities: [
          "Alpuyeca",
          "Amacuzac",
          "Amayuca",
          "Anenecuilco",
          "Apatlaco",
          "Atlatlahucan",
          "Axochiapan",
          "Ayala",
          "Calera Chica",
          "Chiconcuac",
          "Coatetelco",
          "Cocoyoc",
          "Cuautla",
          "Cuernavaca",
          "Emiliano Zapata",
          "Higueron",
          "Hueyapan",
          "Huiztilac",
          "Independencia",
          "Jantetelco",
          "Jiutepec",
          "Jojutla",
          "Jonacatepec",
          "Juan Morales",
          "La Joya",
          "Los Arcos",
          "Mazatepec",
          "Miacatlan",
          "Oaxtepec",
          "Ocuituco",
          "Pedro Amaro",
          "Progreso",
          "Puente de Ixtla",
          "San Jose Vista Hermosa",
          "San Nicolas Galeana",
          "Santa Catarina",
          "Santa Rosa Treinta",
          "Tehuixtla",
          "Telixtac",
          "Temixco",
          "Temoac",
          "Tenextepango",
          "Tepalcingo",
          "Tepoztlan",
          "Tetecala",
          "Tetela del Volcan",
          "Tilzapotla",
          "Tlacotepec",
          "Tlalnepantla",
          "Tlaltizapan",
          "Tlaquiltenango",
          "Tlatenchi",
          "Tlayacapan",
          "Totolapan",
          "Tres Marias",
          "Unidad Habitacional Jose Maria",
          "Xochitepec",
          "Xoxocotla",
          "Yautepec",
          "Yecapixtla",
          "Zacatepec",
          "Zacualpan"
        ]),
        States(name: "Morelos", cities: [
          "Acaponeta",
          "Ahuacatlan",
          "Amatlan",
          "Aztatan",
          "Bucerias",
          "Carmen",
          "Cerralvo",
          "Compostela",
          "Hidalgo",
          "Ixcuintla",
          "Ixtlan del Rio",
          "Jala",
          "Jalcocotan",
          "La Penita de Jaltemba",
          "La Presa",
          "Lagunillas",
          "Las Jarretaderas",
          "Las Varas",
          "Puga",
          "Rosamorada",
          "Ruiz",
          "San Blas",
          "San Jose del Valle",
          "San Juan de Abajo",
          "San Vicente",
          "Santa Maria del Oro",
          "Tecuala",
          "Tepic",
          "Tuxpan",
          "Valle de Banderas",
          "Xalisco",
          "Yago",
          "Zacualpan"
        ]),
        States(name: "Nayarit", cities: []),
        States(name: "Nuevo Leon", cities: [
          "Acatlan",
          "Amatlan",
          "Amilpas",
          "Amuzgos",
          "Asuncion Ixtaltepec",
          "Asuncion Nochixtlan",
          "Asuncion Ocotlan",
          "Atempa",
          "Atzompa",
          "Ayautla",
          "Ayoquezco",
          "Ayotzintepec",
          "Bajos de Chila",
          "Brisas de Zicatela",
          "Cacahuatepec",
          "Cacaotepec",
          "Chahuites",
          "Chichicapam",
          "Chiltepec",
          "Cienaga de Zimatlan",
          "Coatlan",
          "Comitancillo",
          "Cosolapa",
          "Coyotepec",
          "Crucecita",
          "Cuicatlan",
          "Cuilapam",
          "Ejutla de Crespo",
          "El Espinal",
          "Etla",
          "Fraccionamiento el Rosario",
          "Guelavia",
          "Guichicovi",
          "Huajuapan",
          "Huatulco",
          "Huautla",
          "Huaxpaltepec",
          "Huayapam",
          "Huazolotitlan",
          "Huitzo",
          "Huixtepec",
          "Ingenio",
          "Ixcatlan",
          "Ixhuatan",
          "Ixtepec",
          "Jalapa",
          "Jamiltepec",
          "Jicayan",
          "Juchitan",
          "Juquila",
          "Juxtlahuaca",
          "Loma Bonita",
          "Magdalena Teitipac",
          "Magdalena Tequisistlan",
          "Matatlan",
          "Matias Romero",
          "Mechoacan",
          "Miahuatlan",
          "Mitla",
          "Mixtepec",
          "Mixtequilla",
          "Nazareno Etla",
          "Niltepec",
          "Oaxaca",
          "Ocotepec",
          "Ocotlan",
          "Ojitlan",
          "Palomares",
          "Panixtlahuaca",
          "Petapa",
          "Pinotepa Nacional",
          "Pinotepa de Don Luis",
          "Pochutla",
          "Puerto Escondido",
          "Putla",
          "Quetzaltepec",
          "Rincon Viejo",
          "Rio Grande",
          "Salina Cruz",
          "San Agustin de las Juntas",
          "San Antonio Castillo Velasco",
          "San Antonio de la Cal",
          "San Dionisio del Mar",
          "San Francisco del Mar",
          "San Jose del Progreso",
          "San Juan Colorado",
          "San Mateo del Mar",
          "Santa Lucia del Camino",
          "Santa Maria del Tule",
          "Santiago Apostol",
          "Santos Reyes Nopala",
          "Soyaltepec",
          "Suchilquitongo",
          "Tamazulapam",
          "Tapanatepec",
          "Tehuantepec",
          "Teitipac",
          "Telixtlahuaca",
          "Teotitlan",
          "Teotitlan den Valle",
          "Tilquiapam",
          "Tlacolula",
          "Tlalixtac",
          "Tlaxiaco",
          "Tutla",
          "Tuxtepec",
          "Union Hidalgo",
          "Usila",
          "Valle Nacional",
          "Vicente Camalote",
          "Vicente Guerrero",
          "Xadani",
          "Xitla",
          "Xoxocotlan",
          "Yaitepec",
          "Yatareni",
          "Zaachila",
          "Zacatepec",
          "Zanatepec",
          "Zimatlan"
        ]),
        States(name: "Oaxaca", cities: [
          "Acajete",
          "Acateno",
          "Acatlan",
          "Acatzingo",
          "Actipan",
          "Acuexcomac",
          "Ahuatempan",
          "Ajalpan",
          "Aljojuca",
          "Almecatla",
          "Alseseca",
          "Altepexi",
          "Amecac",
          "Amozoc",
          "Aparicio",
          "Atempan",
          "Atencingo",
          "Atlixco",
          "Atoyatempan",
          "Atzitzintla",
          "Atzompa",
          "Ayutla",
          "Azumiatla",
          "Benito Juarez",
          "Buenos Aires",
          "Cacaloxuchitl",
          "Calipan",
          "Calmeca",
          "Calpan",
          "Caltenco",
          "Canada",
          "Canoa",
          "Caxhuacan",
          "Chalchihuapan",
          "Chapulco",
          "Chautla",
          "Chiapa",
          "Chiautla",
          "Chiautzingo",
          "Chiconquiac",
          "Chietla",
          "Chignahuapan",
          "Chignautla",
          "Chilac",
          "Chilchotla",
          "Cholula",
          "Citlaltepetl",
          "Coatepec",
          "Coronango",
          "Coxcatlan",
          "Coyula",
          "Cuacnopalan",
          "Cuanala",
          "Cuapiaxtla",
          "Cuautlancingo",
          "Cuayucatepec",
          "Cuetzalan",
          "Domingo Arenas",
          "Escape",
          "Esperanza",
          "Guadalupe Victoria",
          "Huaquechula",
          "Huauchinango",
          "Huehuetlan",
          "Huejotzingo",
          "Hueyapan",
          "Hueyotlipan",
          "Hueytamalco",
          "Huixcolotla",
          "Ixcaquixtla",
          "Ixtiyucan",
          "Izucar",
          "Jolalpan",
          "La Ceiba",
          "La Galarza",
          "La Resureccion",
          "Lazaro Cardenas",
          "Libres",
          "Los Ranchos",
          "Los Reyes de Juarez",
          "Malacatepec",
          "Metlaltoyuca",
          "Miahuatlan",
          "Mihuacan",
          "Momoxpan",
          "Moyotzingo",
          "Nealtican",
          "Necaxa",
          "Nopalucan",
          "Ocotitlan",
          "Ocotlan",
          "Ocoyucan",
          "Oriental",
          "Pahuatlan",
          "Palmar de Bravo",
          "Puebla",
          "Quecholac",
          "Raboso",
          "Rafael Lara Grajales",
          "San Gabriel Casa Blanca",
          "San Lucas el Grande",
          "San Salvador el Seco",
          "San Sebastian Villanueva",
          "Sanctorum",
          "Santa Maria la Alta",
          "Serdan",
          "Soltepec",
          "Tatoxcac",
          "Tecali",
          "Tecamachalco",
          "Tehuacan",
          "Tehuitzingo",
          "Tenango",
          "Tenango de las Flores",
          "Tenextatiloyan",
          "Teontepec",
          "Teopantlan",
          "Teotlalcingo",
          "Tepango",
          "Tepatlaxco",
          "Tepeaca",
          "Tepeojuma",
          "Tepexi",
          "Tepulco",
          "Tetela Morelos",
          "Tetela de Ocampo",
          "Teteles",
          "Tetzoyocan",
          "Texmelucan",
          "Teziutlan",
          "Tianguismanalco",
          "Tlachichuca",
          "Tlacotepec",
          "Tlacoyalco",
          "Tlahuapan",
          "Tlaixpan",
          "Tlalancaleca",
          "Tlaltenango",
          "Tlanalapan",
          "Tlancualpican",
          "Tlanepantla",
          "Tlapanala",
          "Tlatlauquitepec",
          "Tlaxcalancingo",
          "Tlaxco",
          "Tochapan",
          "Tochimilco",
          "Tochtepec",
          "Tulcingo",
          "Tuxco",
          "Venustiano Carranza",
          "Xalmimilulco",
          "Xaltepec",
          "Xicotepec",
          "Xiutetelco",
          "Xochiltenango",
          "Xochitlan",
          "Xonatepec",
          "Xoxtla",
          "Yaonahuac",
          "Yehualtepec",
          "Zacapechpan",
          "Zacapoaxtla",
          "Zacatepec",
          "Zacatlan",
          "Zaragoza",
          "Zinacatepec",
          "Zongozotla",
          "Zozutla"
        ]),
        States(name: "Puebla", cities: [
          "Ajuchitlan",
          "Amazcala",
          "Amealco",
          "Cadereyta",
          "Candiles",
          "Colon",
          "El Colorado",
          "El Pueblito",
          "El Sauz",
          "Ezequiel Montes",
          "Huimilpan",
          "Jalpan",
          "Jauregui",
          "La Canada",
          "La Estancia",
          "La Lira",
          "La Llave",
          "Paso de Mata",
          "Pedro Escobedo",
          "Queretaro",
          "San Jose de los Olvera",
          "San Jose el Alto",
          "San Juan del Rio",
          "San Nicolas",
          "San Pedro Martir",
          "Santa Maria Magdalena",
          "Tequisquiapan",
          "Tlacote el Bajo"
        ]),
        States(name: "Queretaro", cities: []),
        States(name: "Quintana Roo", cities: []),
        States(name: "San Luis Potosi", cities: [
          "Adolfo Ruiz Cortines",
          "Agua Verde",
          "Ahome",
          "Angostura",
          "Badiraguato",
          "Bagojo",
          "Benito Juarez",
          "Campo Gobierno",
          "Choix",
          "Compuertas",
          "Concordia",
          "Constancia",
          "Cosala",
          "Costa Rica",
          "Culiacan",
          "Culiacancito",
          "El Burrion",
          "El Carrizo",
          "El Diez",
          "El Estero",
          "El Fuerte",
          "El Rosario",
          "El Tamarindo",
          "Eldorado",
          "Escuinapa",
          "Estacion Naranjo",
          "Estancia Bamoa",
          "Gabriel Leyva Solano",
          "Guamuchil",
          "Guasave",
          "Higuera",
          "Isla del Bosque",
          "Jahuara Segundo",
          "Juan Jose Rios",
          "La Cruz",
          "La Palma",
          "La Reforma",
          "La Trinidad",
          "Los Mochis",
          "Mazatlan",
          "Mochicahui",
          "Mocorito",
          "Navolato",
          "Pericos",
          "Pueblos Unidos",
          "Quila",
          "San Blas",
          "San Ignacio",
          "Sinaloa",
          "Teacapan",
          "Topolobampo",
          "Villa Union",
          "Zapotitlan"
        ]),
        States(name: "Sinaloa", cities: [
          "Agua Prieta",
          "Alamos",
          "Altar",
          "Bacobampo",
          "Bacum",
          "Bahia de Kino",
          "Benjamin Hill",
          "Caborca",
          "Campo Sesenta",
          "Cananea",
          "Carbo",
          "Cocorit",
          "Cumpas",
          "Empalme",
          "Esperanza",
          "Esqueda",
          "Etchojoa",
          "Etchoropo",
          "Guaymas",
          "Hermosillo",
          "Huatabampo",
          "Imuris",
          "Juarez",
          "Kino",
          "La Doce",
          "La Union",
          "Moctezuma",
          "Naco",
          "Nacozari",
          "Navajoa",
          "Nogales",
          "Obregon",
          "Pitiquito",
          "Potam",
          "Providencia",
          "Puerto Penasco",
          "Rio Muerto",
          "Sahuaripa",
          "San Jose de Bacum",
          "San Luis Rio Colorado",
          "Sanchez",
          "Santa Ana",
          "Sonoita",
          "Tobarito",
          "Ures",
          "Vicam",
          "Yaqui",
          "Yavaros"
        ]),
        States(name: "Sonora", cities: [
          "Aquiles Serdan",
          "Ayapa",
          "Balancan",
          "Barra de Santa Ana",
          "Belen",
          "Bosque de Saloya",
          "Buenavista",
          "Campo Magellanes",
          "Cardenas",
          "Chichicapa",
          "Chontalpa",
          "Comalcalco",
          "Cunduacan",
          "El Triunfo",
          "Emiliano Zapata",
          "Fraccionamiento la Selva",
          "Frontera",
          "Huimanguillo",
          "Jalapa",
          "Jalpa",
          "Jonuta",
          "La Curva",
          "La Venta",
          "Luis Gil Perez",
          "Macultepec",
          "Macuspana",
          "Magana",
          "Miguel Hidalgo",
          "Nacajuca",
          "Ocuiltzapotlan",
          "Once de Febrero",
          "Paraiso",
          "Parrilla",
          "Pemex",
          "Playas del Rosario",
          "Rio Viejo",
          "San Carlos",
          "Santa Rosalia",
          "Simon Sarlat",
          "Tacotalpa",
          "Tamulte",
          "Teapa",
          "Tecolutilla",
          "Tenosique",
          "Vicente Guerrero",
          "Villa Aldama",
          "Villahermosa"
        ]),
        States(name: "Tabasco", cities: [
          "Abasolo",
          "Aldama",
          "Altamira",
          "Antiguo Morelos",
          "Camargo",
          "Cuauhtemoc",
          "El Mante",
          "Estacion Manuel",
          "Gonzalez",
          "Graciano Sanchez",
          "Guerrero",
          "Gustavo Diaz Ordaz",
          "Hidalgo",
          "Jaumave",
          "Llerca",
          "Los Guerra",
          "Madero",
          "Matamoros",
          "Mier",
          "Miguel Aleman",
          "Miramar",
          "Nuevo Laredo",
          "Nuevo Progreso",
          "Ocampo",
          "Padilla",
          "Reynosa",
          "Rio Bravo",
          "San Fernando",
          "Santa Engracia",
          "Santander Jimenez",
          "Soto la Marina",
          "Tampico",
          "Tula",
          "Valle Hermoso",
          "Victoria",
          "Xicotencatl"
        ]),
        States(name: "Tamaulipas", cities: [
          "Ahuashuatepec",
          "Altzayanca",
          "Amaxac",
          "Apetatitlan",
          "Apizaco",
          "Apizaquito",
          "Atexcatzingo",
          "Axocomanitla",
          "Ayometla",
          "Benito Juarez",
          "Buen Suceso",
          "Calpulalpan",
          "Chiautempan",
          "Contla",
          "Cuapiaxtla",
          "Huactzinco",
          "Huamantla",
          "Hueyotlipan",
          "Huiloac",
          "Ignacio Zaragoza",
          "Ixtacuixtla",
          "Ixtenco",
          "Mazatecochco",
          "Nanacamilpa",
          "Nativitas",
          "Nopalucan",
          "Panotla",
          "Papalotla",
          "Quilehtla",
          "Sanctorum",
          "Teacalco",
          "Tenancingo",
          "Teolocholco",
          "Tepetitla",
          "Tepeyanco",
          "Tequixquitla",
          "Terrenate",
          "Tetla",
          "Tetlanohcan",
          "Tetlatlahuca",
          "Texcalac",
          "Texoloc",
          "Tlaltelulco",
          "Tlaxcala",
          "Tlaxco",
          "Tocatlan",
          "Totolac",
          "Vicente Guerrero",
          "Villa Alta",
          "Xaloztoc",
          "Xaltocan",
          "Xicohtzinco",
          "Xicotencatl",
          "Xiloxoxtla",
          "Yauhquemecan",
          "Zacatelco",
          "Zacualpan",
          "Zitlaltepec"
        ]),
        States(name: "Tlaxcala", cities: [
          "Acayucan",
          "Actopan",
          "Acultzingo",
          "Agua Dulce",
          "Alamo",
          "Allende",
          "Altamirano",
          "Alto Lucero",
          "Altotonga",
          "Alvarado",
          "Amatlan",
          "Anahuac",
          "Anton Lizardo",
          "Atzacan",
          "Azueta",
          "Banderilla",
          "Benito Juarez",
          "Boca del Monte",
          "Boca del Rio",
          "Cabada",
          "Cabezas",
          "Carrillo",
          "Castillo de Teayo",
          "Catemaco",
          "Cazones",
          "Cerro Azul",
          "Chacaltianguis",
          "Chicontepec",
          "Chinameca",
          "Chinampa",
          "Chocaman",
          "Citlaltepetl",
          "Clara",
          "Coacoatzintla",
          "Coacotla",
          "Coatepec",
          "Coatzacoalcos",
          "Coatzintla",
          "Comoapan",
          "Cordoba",
          "Corral Nuevo",
          "Cosamaloapan",
          "Cosautlan",
          "Coscomatepec",
          "Cosoleacaque",
          "Covarrubias",
          "Coxquihui",
          "Coyutla",
          "Cuauhtemoc",
          "Cuautlapan",
          "Cuichapa",
          "Cuitlahuac",
          "El Castillo",
          "El Higo",
          "El Naranjito",
          "El Pueblito",
          "El Tejar",
          "Emilio Carranza",
          "Estacion Juanita",
          "Estacion del Idolo",
          "Filomeno Mata",
          "Fortin",
          "Gabino Barreda",
          "Guadalupe Victoria",
          "Gutierrez Zamora",
          "Hidalgo",
          "Hidalgotitlan",
          "Huatusco",
          "Huayacoctla",
          "Hueyapan",
          "Huiloapan",
          "Ignacio de la Llave",
          "Isla",
          "Ixcatepec",
          "Ixhuatlan del Cafe",
          "Ixhuatlan del Sureste",
          "Ixhuatlancillo",
          "Ixtaczoquitlan",
          "Jalacingo",
          "Jalapilla",
          "Jaltipan",
          "Jamapa",
          "Jesus Carranza",
          "Jilotepec",
          "La Antigua",
          "La Estanzuela",
          "La Pena",
          "La Perla",
          "La Poza",
          "Las Amapolas",
          "Las Choapas",
          "Las Vigas",
          "Lerdo",
          "Lomas de Barillas",
          "Los Altos",
          "Los Mangos",
          "Maltrata",
          "Mariano Escobedo",
          "Martinez",
          "Mecatlan",
          "Mecayapan",
          "Mendoza",
          "Minatitlan",
          "Misantla",
          "Monte Blanco",
          "Moralillo",
          "Motzorongo",
          "Mundo Nuevo",
          "Nanchital",
          "Naolinco",
          "Naranjos",
          "Nautla",
          "Nogales",
          "Oluta",
          "Omealca",
          "Orizaba",
          "Otatitlan",
          "Oteapan",
          "Ozuluama",
          "Pajapan",
          "Palmira",
          "Panuco",
          "Papantla",
          "Paraje Nuevo",
          "Paso de Ovejas",
          "Paso del Macho",
          "Paso del Toro",
          "Penuela",
          "Perote",
          "Piedras Negras",
          "Plan de Ayala",
          "Platon Sanchez",
          "Playa Vicente",
          "Potrero Nuevo",
          "Potrero del Llano",
          "Poza Rica",
          "Puntilla Aldama",
          "Rafael Delgado",
          "Rafael Lucio",
          "Rinconada",
          "Saltabarranca",
          "San Juan Evangelista",
          "San Marcos",
          "San Rafael",
          "San Roman",
          "Santiago Tuxtla",
          "Sayula",
          "Soconusco",
          "Soledad",
          "Soteapan",
          "Tamalin",
          "Tamiahua",
          "Tantoyuca",
          "Tatahuicapan",
          "Tecolutla",
          "Tempoal",
          "Tenango de Rio Blanco",
          "Teocelo",
          "Tepetzintla",
          "Tequila",
          "Tetelzingo",
          "Texistepec",
          "Tezonapa",
          "Tierra Blanca",
          "Tihuatlan",
          "Tlacojalpan",
          "Tlacotalpan",
          "Tlaltetela",
          "Tlapacoyan",
          "Tocuila",
          "Tomatlan",
          "Totolapa",
          "Totula",
          "Tres Valles",
          "Tuxpam",
          "Tuxtla",
          "Tuzamapan",
          "Union y Progreso",
          "Ursulo Galvan",
          "Valente Diaz",
          "Vega de Alatorre",
          "Veracruz",
          "Xalapa",
          "Xico",
          "Xocotla",
          "Yanga",
          "Yecuatla",
          "Zaragoza",
          "Zempoala",
          "Zongolica",
          "Zozocolco"
        ]),
        States(name: "Veracruz", cities: [
          "Acanceh",
          "Akil",
          "Baca",
          "Buctzotz",
          "Cacalchen",
          "Cansahcab",
          "Caucel",
          "Celestun",
          "Cenotillo",
          "Chemax",
          "Chichimila",
          "Chicxulub",
          "Chochola",
          "Cholul",
          "Chumayel",
          "Conkal",
          "Cuzama",
          "Dzan",
          "Dzemul",
          "Dzidzantun",
          "Dzilam Gonzalez",
          "Dzitas",
          "Espita",
          "Halacho",
          "Hocaba",
          "Hoctun",
          "Homun",
          "Huhi",
          "Hunucma",
          "Itzincab",
          "Ixil",
          "Izamal",
          "Kanasin",
          "Kantunil",
          "Kinchil",
          "Mama",
          "Mani",
          "Maxcanu",
          "Merida",
          "Motul",
          "Muna",
          "Opichen",
          "Oxkutzcab",
          "Panaba",
          "Peto",
          "Piste",
          "Progreso",
          "Sacalum",
          "Santa Elena",
          "Seye",
          "Sotuta",
          "Sucila",
          "Tahmek",
          "Teabo",
          "Tecoh",
          "Tekanto",
          "Tekax",
          "Tekit",
          "Telchac",
          "Temax",
          "Temozon",
          "Tetiz",
          "Ticul",
          "Timucuy",
          "Tixkokob",
          "Tixpehual",
          "Tizimin",
          "Tunkas",
          "Tzucacab",
          "Uman",
          "Valladolid",
          "X-Can",
          "Yucatan"
        ]),
        States(name: "Yucatan", cities: [
          "Apozol",
          "Banon",
          "Canitas",
          "Chalchihuites",
          "Concepcion del Oro",
          "Cos",
          "Estrada",
          "Fresnillo",
          "Garcia",
          "Gonzalez Ortega",
          "Guadalupe",
          "Hidalgo",
          "Jalpa",
          "Jerez",
          "Juan Aldama",
          "Juchipila",
          "Loreto",
          "Lourdes",
          "Luis Moya",
          "Miguel Auza",
          "Monte Escobedo",
          "Morelos",
          "Natera",
          "Nieves",
          "Nochistlan",
          "Ojo Caliente",
          "Piedra Gorda",
          "Pinos",
          "Plateros",
          "Pozo de Gamboa",
          "Rio Grande",
          "Sain Alto",
          "Sombrerete",
          "Tabasco",
          "Tacoaleche",
          "Tepechitlan",
          "Teul",
          "Tlaltenango",
          "Toribio",
          "Trancoso",
          "Valparaiso",
          "Victor Rosales",
          "Villa Gonzalez Ortega",
          "Villanueva",
          "Zacatecas"
        ]),
        States(name: "Zacatecas", cities: ["Tol", "Weno"])
      ]),
  Country(
      name: "Micronesia, Federated States of Micronesia",
      flag: "🇫🇲",
      code: "FM",
      dialCode: "691",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Chuuk", cities: ["Lelu"]),
        States(name: "Kusaie", cities: ["Kolonia", "Palikir"]),
        States(name: "Pohnpei", cities: ["Colonia"]),
        States(name: "Yap", cities: ["Balti", "Falesti", "Glodeni", "Rascani"])
      ]),
  Country(
      name: "Moldova",
      flag: "🇲🇩",
      code: "MD",
      dialCode: "373",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Balti", cities: ["Cahul"]),
        States(name: "Cahul", cities: ["Straseni"]),
        States(name: "Chisinau", cities: ["Straseni"]),
        States(
            name: "Chisinau Oras",
            cities: ["Briceni", "Donduseni", "Edinet", "Ocnita"]),
        States(name: "Edinet", cities: ["Ciadar Lunga", "Comrat", "Vulcanesti"]),
        States(
            name: "Gagauzia",
            cities: ["Basarabeasca", "Cimislia", "Hancesti", "Leova"]),
        States(name: "Lapusna", cities: ["Orhei", "Rezina", "Telenesti"]),
        States(name: "Orhei", cities: ["Drochia", "Floresti", "Soroca"]),
        States(name: "Soroca", cities: ["Taraclia"]),
        States(name: "Taraclia", cities: ["Causani"]),
        States(name: "Tighina", cities: [
          "Camenca",
          "Dnestrovsc",
          "Dubasari",
          "Griguriopol",
          "Rabnita",
          "Slobozia",
          "Tighina",
          "Tiraspol"
        ]),
        States(
            name: "Transnistria", cities: ["Calarasi", "Nisporeni", "Ungheni"]),
        States(name: "Ungheni", cities: ["Fontvieille"])
      ]),
  Country(
      name: "Monaco",
      flag: "🇲🇨",
      code: "MC",
      dialCode: "377",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Fontvieille", cities: []),
        States(name: "La Condamine", cities: ["Monaco-Ville"]),
        States(name: "Monaco-Ville", cities: []),
        States(name: "Monte Carlo", cities: ["Cecerleg"])
      ]),
  Country(
      name: "Mongolia",
      flag: "🇲🇳",
      code: "MN",
      dialCode: "976",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Arhangaj", cities: ["Olgij"]),
        States(name: "Bajan-Olgij", cities: ["Bajanhongor"]),
        States(name: "Bajanhongor", cities: ["Bulgan"]),
        States(name: "Bulgan", cities: ["Darhan"]),
        States(name: "Darhan-Uul", cities: ["Chojbalsan"]),
        States(name: "Dornod", cities: ["Sajnshand"]),
        States(name: "Dornogovi", cities: ["Mandalgovi"]),
        States(name: "Dundgovi", cities: ["Altaj"]),
        States(name: "Govi-Altaj", cities: ["Chojr"]),
        States(name: "Govisumber", cities: ["Ondorhaan"]),
        States(name: "Hentij", cities: ["Hovd"]),
        States(name: "Hovd", cities: ["Moron"]),
        States(name: "Hovsgol", cities: ["Dalanzadgad"]),
        States(name: "Omnogovi", cities: ["Erdenet"]),
        States(name: "Orhon", cities: ["Arvajheer"]),
        States(name: "Ovorhangaj", cities: ["Suhbaatar", "Zuunharaa"]),
        States(name: "Selenge", cities: ["Baruun-Urt"]),
        States(name: "Suhbaatar", cities: ["Nalajh", "Zuunmod"]),
        States(name: "Tov", cities: ["Ulaanbaatar"]),
        States(name: "Ulaanbaatar", cities: ["Ulaangom"]),
        States(name: "Uvs", cities: ["Tosoncengel", "Uliastaj"]),
        States(name: "Zavhan", cities: ["Montserrat"])
      ]),
  Country(
      name: "Montserrat",
      flag: "🇲🇸",
      code: "MS",
      dialCode: "1664",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Montserrat", cities: ["Agadir"])
      ]),
  Country(
      name: "Morocco",
      flag: "🇲🇦",
      code: "MA",
      dialCode: "212",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Agadir", cities: ["Mohammedia", "ad-Dar-al-Bayda"]),
        States(name: "Casablanca", cities: [
          "Bin Sulayman",
          "Bir Rashid",
          "Bu-al-Jad",
          "Buznika",
          "Khuribghah",
          "Sattat",
          "Wad Zam"
        ]),
        States(name: "Chaouia-Ouardigha", cities: [
          "Asfi",
          "Azimur",
          "Sidi Binnur",
          "Sidi Isma\\'\\'il",
          "Yussufiyah",
          "al-Jadidah"
        ]),
        States(name: "Doukkala-Abda", cities: ["Fas", "Fes", "Safru"]),
        States(name: "Fes-Boulemane", cities: []),
        States(
            name: "Gharb-Chrarda-Beni Hssen",
            cities: ["Ghulimim", "Sidi Ifni", "Tafraut", "Tantan"]),
        States(name: "Guelmim", cities: ["Kenitra"]),
        States(name: "Kenitra", cities: []),
        States(name: "Marrakech-Tensift-Al Haouz", cities: [
          "Amalu Ighriban",
          "Azru",
          "Jama\\'\\'at-al-Marirt",
          "Khanifrah",
          "Meknes",
          "Midalt",
          "Miknas",
          "Mulay Idris",
          "al-Hajab",
          "ar-Rasidiyah"
        ]),
        States(name: "Meknes-Tafilalet", cities: [
          "Ahfir",
          "Bin Ansar",
          "Birkan",
          "Fijij",
          "Jaradah",
          "Tawrirt",
          "Ujdah",
          "Zayu",
          "al-Arwi",
          "al-Ayun Sidi Malluk",
          "an-Nadur"
        ]),
        States(name: "Oriental", cities: ["Oujda"]),
        States(name: "Oujda", cities: []),
        States(
            name: "Province de Tanger",
            cities: ["Khamissat", "Sakhirat", "Tiflat", "ar-Ribat"]),
        States(name: "Rabat-Sale-Zammour-Zaer", cities: []),
        States(name: "Sala Al Jadida", cities: ["Settat"]),
        States(name: "Settat", cities: []),
        States(name: "Souss Massa-Draa", cities: [
          "Bani Mallal",
          "Beni Mellal",
          "Qasbat Tadlah",
          "Suq Sabt Awlat Nama",
          "al-Faqih Bin Salah"
        ]),
        States(name: "Tadla-Azilal", cities: [
          "Asilah",
          "Finidiq",
          "Martil",
          "Midiq",
          "Shifshawn",
          "Tangier",
          "Tanjah",
          "Tittawin",
          "Titwan",
          "al-\\'\\'Ara\\'\\'ish",
          "al-Qasr-al-Kabir"
        ]),
        States(name: "Tangier-Tetouan", cities: []),
        States(name: "Taza-Al Hoceima-Taounate", cities: []),
        States(name: "Wilaya de Casablanca", cities: []),
        States(name: "Wilaya de Rabat-Sale", cities: [])
      ]),
  Country(
      name: "Mozambique",
      flag: "🇲🇿",
      code: "MZ",
      dialCode: "258",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Cabo Delgado", cities: [
          "Chibuto",
          "Chidenguele",
          "Chokwe",
          "Chongoene",
          "Guija",
          "Macia",
          "Manjacaze",
          "Xai-Xai"
        ]),
        States(name: "Gaza", cities: [
          "Homoine",
          "Inhambane",
          "Inharrime",
          "Jangamo",
          "Maxixe",
          "Panda",
          "Quissico"
        ]),
        States(name: "Inhambane", cities: ["Chimoio", "Manica"]),
        States(name: "Manica", cities: ["Maputo"]),
        States(name: "Maputo", cities: ["Maputo"]),
        States(
            name: "Maputo Provincia",
            cities: ["Angoche", "Lumbo", "Mocambique", "Nacala", "Nampula"]),
        States(
            name: "Nampula",
            cities: ["Cuamba", "Lichinga", "Mandimba", "Maniamba", "Marrupa"]),
        States(name: "Niassa", cities: ["Beira", "Dondo"]),
        States(name: "Sofala", cities: ["Tete", "Zumbo"]),
        States(name: "Tete", cities: ["Garue", "Mocuba", "Quelimane"]),
        States(name: "Zambezia", cities: [
          "Bogale",
          "Henzada",
          "Kyaiklat",
          "Labutta",
          "Maubin",
          "Moulmeingyun",
          "Myanaung",
          "Pathein",
          "Pyapon",
          "Wakema",
          "Yandoon",
          "Ye"
        ])
      ]),
  Country(
      name: "Myanmar",
      flag: "🇲🇲",
      code: "MM",
      dialCode: "95",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Ayeyarwady", cities: [
          "Bago",
          "Letpadan",
          "Nyaunglebin",
          "Paungde",
          "Pyay",
          "Pyu",
          "Thanatpin",
          "Tharrawaddy",
          "Toungoo"
        ]),
        States(name: "Bago", cities: ["Falam"]),
        States(name: "Chin", cities: ["Banmo", "Myitkyina"]),
        States(name: "Kachin", cities: ["Loikaw"]),
        States(name: "Kayah", cities: ["Hpa-an"]),
        States(name: "Kayin", cities: [
          "Allanmyo",
          "Chauk",
          "Magway",
          "Minbu",
          "Pakokku",
          "Taungdwingyi",
          "Thayetmyo",
          "Yenangyaung"
        ]),
        States(name: "Magway", cities: [
          "Kyaukse",
          "Mandalay",
          "Maymyo",
          "Meiktila",
          "Mogok",
          "Myingyan",
          "Pyinmana",
          "Yamethin"
        ]),
        States(name: "Mandalay", cities: [
          "Kyaikkami",
          "Kyaikto",
          "Martaban",
          "Mawlamyine",
          "Mudon",
          "Thaton"
        ]),
        States(name: "Mon", cities: []),
        States(name: "Nay Pyi Taw", cities: ["Akyab", "Arakan"]),
        States(name: "Rakhine", cities: [
          "Kalay",
          "Katha",
          "Mawlaik",
          "Monywa",
          "Sagaing",
          "Shwebo"
        ]),
        States(name: "Sagaing", cities: ["Keng Tung", "Lashio", "Taunggyi"]),
        States(name: "Shan", cities: ["Dawei", "Mergui"]),
        States(name: "Tanintharyi", cities: [
          "Kanbe",
          "Kayan",
          "Syriam",
          "Thongwa",
          "Twante",
          "Yangon"
        ]),
        States(name: "Yangon", cities: ["Katima Mulilo"])
      ]),
  Country(
      name: "Namibia",
      flag: "🇳🇦",
      code: "NA",
      dialCode: "264",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Caprivi", cities: [
          "Henties Bay",
          "Karibib",
          "Kuisebmond",
          "Omaruru",
          "Otjimbingwe",
          "Swakopmund",
          "Usakos",
          "Walvis Bay"
        ]),
        States(
            name: "Erongo",
            cities: ["Aranos", "Maltahohe", "Mariental", "Rehoboth"]),
        States(name: "Hardap", cities: [
          "Bethanien",
          "Karasburg",
          "Keetmanshoop",
          "Luderitz",
          "Oranjemund",
          "Warmbad"
        ]),
        States(name: "Karas", cities: ["Rundu"]),
        States(name: "Kavango", cities: ["Windhoek"]),
        States(
            name: "Khomas", cities: ["Arandis", "Khorixas", "Opuwo", "Outjo"]),
        States(name: "Kunene", cities: ["Oshikango"]),
        States(name: "Ohangwena", cities: ["Gobabis", "Leonardville"]),
        States(name: "Omaheke", cities: ["Ongandjera"]),
        States(name: "Omusati", cities: ["Ongwediva", "Oshakati"]),
        States(name: "Oshana", cities: ["Ondangwa", "Otavi", "Tsumeb"]),
        States(
            name: "Oshikoto",
            cities: ["Grootfontein", "Okahandja", "Okakarara", "Otjiwarongo"]),
        States(name: "Otjozondjupa", cities: ["Yaren"])
      ]),
  Country(
      name: "Nauru",
      flag: "🇳🇷",
      code: "NR",
      dialCode: "674",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Yaren", cities: [
          "Banepa",
          "Bhaktapur",
          "Bidur",
          "Bishalter",
          "Dhulikhel",
          "Kathmandu",
          "Kirtipur",
          "Lalitpur",
          "Madhyapur Thimi",
          "Panauti",
          "Tribuvannagar"
        ])
      ]),
  Country(
      name: "Nepal",
      flag: "🇳🇵",
      code: "NP",
      dialCode: "977",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Bagmati", cities: [
          "Birendranagar",
          "Gulariya",
          "Narayan",
          "Nepalganj",
          "Surkhet"
        ]),
        States(name: "Bheri", cities: ["Baglung", "Weni"]),
        States(name: "Dhawalagiri", cities: [
          "Byas",
          "Leknath",
          "Pokhara",
          "Prithivinarayan",
          "Putalibazar",
          "Waling"
        ]),
        States(name: "Gandaki", cities: [
          "Bhimeshwar",
          "Jaleshwar",
          "Janakpur",
          "Kamalamai",
          "Malangwa",
          "Sinduli Marhi"
        ]),
        States(name: "Janakpur", cities: ["Jumla"]),
        States(name: "Karnali", cities: [
          "Biratnagar",
          "Dhankuta",
          "Dharan",
          "Inaruwa",
          "Itahari",
          "Khandbari"
        ]),
        States(name: "Koshi", cities: [
          "Butwal",
          "Kapilwastu",
          "Ramgram",
          "Sidharthanagar",
          "Tansen",
          "Wahadurganj"
        ]),
        States(
            name: "Lumbini",
            cities: ["Amargadhi", "Dashrathchand", "Mahendranagar"]),
        States(
            name: "Mahakali",
            cities: ["Bhadrapur", "Damak", "Ilam", "Mechinagar"]),
        States(name: "Mechi", cities: [
          "Bharatpur",
          "Birganj",
          "Chitwan",
          "Gaur",
          "Hetauda",
          "Kalaiya",
          "Ratnanagar"
        ]),
        States(name: "Narayani", cities: ["Salyan", "Tulsipur"]),
        States(
            name: "Rapti", cities: ["Lahan", "Rajbiraj", "Siraha", "Triyuga"]),
        States(name: "Sagarmatha", cities: ["Dhangadi", "Dipayal", "Tikapur"]),
        States(name: "Seti", cities: ["Kralendijk"])
      ]),
  Country(
      name: "Netherlands",
      flag: "🇳🇱",
      code: "NL",
      dialCode: "31",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Bonaire", cities: ["Curacao", "Willemstad"]),
        States(name: "Curacao", cities: ["The Bottom"]),
        States(name: "Saba", cities: []),
        States(name: "Sint Eustatius", cities: []),
        States(name: "Sint Maarten", cities: ["SchipolRijk"])
      ]),
  Country(
      name: "Netherlands Antilles",
      flag: "",
      code: "AN",
      dialCode: "599",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Amsterdam", cities: ["Amstelveen"]),
        States(name: "Benelux", cities: [
          "Aa en Hunze",
          "Assen",
          "Borger-Odoorn",
          "Coevorden",
          "De Wolden",
          "Den Oever",
          "Emmen",
          "Gasteren",
          "Hoogeveen",
          "Menterwolde",
          "Meppel",
          "Midden-Drenthe",
          "Noordenveld",
          "Stadskanaal",
          "Tynaarlo",
          "Veenoord",
          "Westerveld",
          "Zuidlaren"
        ]),
        States(name: "Drenthe", cities: [
          "Almere",
          "Dronten",
          "Lelystad",
          "Noordoostpolder",
          "Urk",
          "Zeewolde"
        ]),
        States(name: "Flevoland", cities: [
          "Achtkarspelen",
          "Ameland",
          "Boarnsterhim",
          "Bolsward",
          "Dantumadeel",
          "Dongeradeel",
          "Drachten",
          "Ferwerderadiel",
          "Franekeradeel",
          "Gaasterlan-Sleat",
          "Gorredijk",
          "Harlingen",
          "Heerenveen",
          "Het Bildt",
          "Kollumerland",
          "Leeuwarden",
          "Leeuwarderadeel",
          "Lemsterland",
          "Littenseradiel",
          "Menaldumadeel",
          "Nijefurd",
          "Oostrum",
          "Ooststellingwerf",
          "Opsterland",
          "Schiermonnikoog",
          "Skasterlan",
          "Smallingerland",
          "Sneek",
          "Terschelling",
          "Tytsjerksteradiel",
          "Ureterp",
          "Weststellingwerf",
          "Wolvega",
          "Wunseradiel",
          "Wymbritseradiel"
        ]),
        States(name: "Friesland", cities: [
          "Aalten",
          "Angerlo",
          "Apeldoorn",
          "Appeldoorn",
          "Arnhem",
          "Barneveld",
          "Bemmel",
          "Bergh",
          "Beuningen",
          "Borculo",
          "Brummen",
          "Buren",
          "Culemborg",
          "Delden",
          "Didam",
          "Dieren",
          "Dinxperlo",
          "Dodewaard",
          "Doesburg",
          "Doetinchem",
          "Druten",
          "Duiven",
          "Ede",
          "Eerbeek",
          "Eibergen",
          "Elburg",
          "Epe",
          "Ermelo",
          "Geldermalsen",
          "Gendringen",
          "Giesbeek",
          "Gorssel",
          "Groenlo",
          "Groesbeek",
          "Harderwijk",
          "Hattem",
          "Heerde",
          "Hengelo",
          "Heumen",
          "Huisen",
          "Hummelo en Keppel",
          "Kesteren",
          "Kootwijkerbroek",
          "Leerdam",
          "Leeuwen",
          "Lichtenvoorde",
          "Lingewaal",
          "Lochem",
          "Loppersum",
          "Maasdriel",
          "Malden",
          "Millingen",
          "Molenhoek",
          "Neede",
          "Neerijnen",
          "Nijkerk",
          "Nijmegen",
          "Nunspeet",
          "Oldebroek",
          "Oosterbeek",
          "Overbetuwe",
          "Putten",
          "Renkum",
          "Rheden",
          "Rijnwaarden",
          "Rozendaal",
          "Ruurlo",
          "Scherpenzeel",
          "Steenderen",
          "Terborg",
          "Tiel",
          "Twello",
          "Ubbergen",
          "Vaassen",
          "Varsseveld",
          "Voorst",
          "Vorden",
          "Waardenburg",
          "Wageningen",
          "Warmsveld",
          "Wehl",
          "Westervoort",
          "Wijchen",
          "Winterswijk",
          "Wisch",
          "Zaltbommel",
          "Zelhem",
          "Zevenaar",
          "Zutphen",
          "s-Heerenberg"
        ]),
        States(name: "Gelderland", cities: [
          "Appingedam",
          "Bedum",
          "Bellingwedde",
          "De Marne",
          "Delfzijl",
          "Eemsmond",
          "Groningen",
          "Grootegast",
          "Haren",
          "Hoogezand-Sappemeer",
          "Leek",
          "Marum",
          "Midwolda",
          "Muntendam",
          "Pekela",
          "Reiderland",
          "Scheemda",
          "Slochteren",
          "Ten Boer",
          "Tolbert",
          "Veendam",
          "Vlagtwedde",
          "Winschoten",
          "Winsum",
          "Zuidhorn"
        ]),
        States(name: "Groningen", cities: [
          "Ambt Montfort",
          "Arcen en Velden",
          "Beek",
          "Beesel",
          "Bergen",
          "Blerick",
          "Brunssum",
          "Echt",
          "Eijsden",
          "Gennep",
          "Gulpen-Wittem",
          "Haelen",
          "Heel",
          "Heerlen",
          "Helden",
          "Heythuysen",
          "Horst",
          "Hunsel",
          "Kerkrade",
          "Kessel",
          "Landgraaf",
          "Maasbracht",
          "Maasbree",
          "Maastricht",
          "Margraten",
          "Meerlo-Wanssum",
          "Meerssen",
          "Meijel",
          "Mook en Middelaar",
          "Nederweert",
          "Nuth",
          "Onderbanken",
          "Roerdalen",
          "Roermond",
          "Roggel",
          "Roggel en Neer",
          "Schinnen",
          "Sevenum",
          "Simpelveld",
          "Sittard",
          "Sittard-Geleen",
          "Stein",
          "Stramproy",
          "Susteren",
          "Swalmen",
          "Tegelen",
          "Thorn",
          "Vaals",
          "Valkenburg",
          "Venlo",
          "Venray",
          "Vilt Limburg",
          "Voerendaal",
          "Weert"
        ]),
        States(name: "Limburg", cities: [
          "s-Hertogenbosch",
          "Aalburg",
          "Alphen-Chaam",
          "Asten",
          "Baarle-Nassau",
          "Bergeijk",
          "Bergen op Zoom",
          "Berghem",
          "Bernheze",
          "Bernisse",
          "Best",
          "Bladel",
          "Boekel",
          "Boxmeer",
          "Boxtel",
          "Breda",
          "Budel",
          "Cranendonck",
          "Cuijk",
          "Den Bosch",
          "Den Dungen",
          "Deurne",
          "Dongen",
          "Drimmelen",
          "Drunen",
          "Duizel",
          "Eersel",
          "Eindhoven",
          "Etten-Leur",
          "Geertruidenberg",
          "Geldrop",
          "Gemert-Bakel",
          "Gilze en Rijen",
          "Goirle",
          "Grave",
          "Haaren",
          "Halderberge",
          "Heeze-Leende",
          "Heijningen",
          "Helmond",
          "Heusden",
          "Hilvarenbeek",
          "Hoeven",
          "Hoogerheide",
          "Kaatsheuvel",
          "Korendijk",
          "Laarbeek",
          "Landerd",
          "Lith",
          "Loon op Zand",
          "Maarheeze",
          "Maasdonk",
          "Mierlo",
          "Mill en Sint Hubert",
          "Moerdijk",
          "Nieuwkuijk",
          "Nuenen",
          "Oirschot",
          "Oisterwijk",
          "Oosterhout",
          "Oss",
          "Raamsdonksveer",
          "Ravenstein",
          "Reusel-De Mierden",
          "Roosendaal",
          "Rosmalen",
          "Rucphen",
          "Schaijk",
          "Schijndel",
          "Sint Anthonis",
          "Sint Willebrord",
          "Sint-Michielsgestel",
          "Sint-Oedenrode",
          "Sleeuwijk",
          "Someren",
          "Son en Breugel",
          "Steenbergen",
          "Tilburg",
          "Uden",
          "Valkenswaard",
          "Veghel",
          "Veldhoven",
          "Vinkel",
          "Vught",
          "Waalre",
          "Waalwijk",
          "Werkendam",
          "Woensdrecht",
          "Woudrichem",
          "Zundert"
        ]),
        States(name: "Noord-Brabant", cities: [
          "Aalsmeer",
          "Alkmaar",
          "Amstelveen",
          "Amsterdam",
          "Andijk",
          "Ankeveen",
          "Anna Paulowna",
          "Assendelft",
          "Badhoevedorp",
          "Beemster",
          "Bennebroek",
          "Bergen",
          "Beverwijk",
          "Blaricum",
          "Bloemendaal",
          "Bovenkarspel",
          "Bussum",
          "Castricum",
          "Den Helder",
          "Diemen",
          "Drechterland",
          "Edam-Volendam",
          "Enkhuizen",
          "Graft-De Rijp",
          "Haarlem",
          "Haarlemmerliede",
          "Haarlemmermeer",
          "Harenkarspel",
          "Heemskerk",
          "Heemstede",
          "Heerhugowaard",
          "Heiloo",
          "Hillegom",
          "Hilversum",
          "Hoofddorp",
          "Hoorn",
          "Huizen",
          "Ijmuiden",
          "Katwijk",
          "Krommenie",
          "Landsmeer",
          "Langedijk",
          "Laren",
          "Loosdrecht",
          "Medemblik",
          "Middenbeemster",
          "Muiden",
          "Naarden",
          "Niedorp",
          "Nieuw-Vennep",
          "Noorder-Koggenland",
          "Obdam",
          "Oostzaan",
          "Opmeer",
          "Oude Meer",
          "Ouder-Amstel",
          "Oudkarspel",
          "Purmerend",
          "Rozenburg",
          "Schagen",
          "Schermer",
          "Stede Broec",
          "Texel",
          "Tuitjenhorn",
          "Uitgeest",
          "Uithoorn",
          "Velsen",
          "Venhuizen",
          "Vijfhuizen",
          "Waarland",
          "Waterland",
          "Weesp",
          "Wervershoof",
          "Wester-Koggenland",
          "Westwoud",
          "Wieringen",
          "Wieringermeer",
          "Wognum",
          "Wormer",
          "Wormerland",
          "Wormerveer",
          "Zaandam",
          "Zaanstad",
          "Zandvoort",
          "Zeevang",
          "Zwaag",
          "Zwanenburg"
        ]),
        States(name: "Noord-Holland", cities: [
          "Almelo",
          "Bathmen",
          "Borne",
          "Dalfsen",
          "Dedemsvaart",
          "Denekamp",
          "Deventer",
          "Diepenheim",
          "Enschede",
          "Genemuiden",
          "Haaksbergen",
          "Hardenberg",
          "Hasselt",
          "Hellendoorn",
          "Hengelo",
          "Hof van Twente",
          "IJsselmuiden",
          "Kampen",
          "Lemelerveld",
          "Losser",
          "Nieuwleusen",
          "Nijverdal",
          "Oldenzaal",
          "Olst",
          "Ommen",
          "Ootmarsum",
          "Raalte",
          "Rijssen",
          "Staphorst",
          "Steenwijk",
          "Tubbergen",
          "Vriezenveen",
          "Vroomshoop",
          "Weerselo",
          "Wierden",
          "Zwartewaterland",
          "Zwolle"
        ]),
        States(name: "Overijssel", cities: []),
        States(name: "South Holland", cities: [
          "Abcoude",
          "Amerongen",
          "Amersfoort",
          "Baarn",
          "Benschop",
          "Breukelen",
          "Bunnik",
          "Bunschoten",
          "De Bilt",
          "De Ronde Venen",
          "Den Dolder",
          "Doorn",
          "Driebergen-Rijsenburg",
          "Eemnes",
          "Houten",
          "IJsselstein",
          "Kockengen",
          "Leersum",
          "Leusden",
          "Loenen",
          "Lopik",
          "Maarn",
          "Maarsen",
          "Mijdrecht",
          "Montfoort",
          "Nieuwegein",
          "Nigtevecht",
          "Odijk",
          "Oudewater",
          "Renswoude",
          "Rhenen",
          "Soest",
          "Soesterberg",
          "Utrecht",
          "Veenendaal",
          "Vianen",
          "Wijdemeren",
          "Wijk",
          "Wilnis",
          "Woerden",
          "Woudenberg",
          "Zeist"
        ]),
        States(name: "Utrecht", cities: [
          "Axel",
          "Borsele",
          "Goes",
          "Hontenisse",
          "Hulst",
          "Kapelle",
          "Middelburg",
          "Noord-Beveland",
          "Oostburg",
          "Reimerswaal",
          "Sas van Gent",
          "Schouwen-Duiveland",
          "Sluis-Aardenburg",
          "Terneuzen",
          "Tholen",
          "Veere",
          "Vlissingen",
          "Zierikzee",
          "Zijpe"
        ]),
        States(name: "Zeeland", cities: [
          "s-Gravendeel",
          "s-Gravenhage",
          "s-Gravenzande",
          "Alblasserdam",
          "Albrandswaard",
          "Alkemade",
          "Alphen",
          "Alphen aan den Rijn",
          "Barendrecht",
          "Bergambacht",
          "Bergschenhoek",
          "Berkel en Rodenrijs",
          "Binnenmaas",
          "Bleiswijk",
          "Bodegraven",
          "Boskoop",
          "Brielle",
          "Capelle",
          "Cromstrijen",
          "De Lier",
          "Delft",
          "Dirksland",
          "Dordrecht",
          "Giessenlanden",
          "Goedereede",
          "Gorinchem",
          "Gouda",
          "Graafstroom",
          "Hardinxveld-Giessendam",
          "Heerjansdam",
          "Hellevoetsluis",
          "Hendrik-Ido-Ambacht",
          "Jacobswoude",
          "Katwijk",
          "Kinderdijk",
          "Krimpen",
          "Leiden",
          "Leiderdorp",
          "Leidschendam-Voorburg",
          "Liemeer",
          "Liesveld",
          "Lisse",
          "Maasland",
          "Maassluis",
          "Middelharnis",
          "Monster",
          "Moordrecht",
          "Naaldwijk",
          "Nederlek",
          "Nieuw-Lekkerland",
          "Nieuwekerk aan den IJssel",
          "Nieuwkoop",
          "Noordwijk",
          "Noordwijkerhout",
          "Oegestgeest",
          "Oostflakkee",
          "Oud-Beijerland",
          "Ouderkerk",
          "Papendrecht",
          "Pijnacker-Nootdorp",
          "Reeuwijk",
          "Ridderkerk",
          "Rijnsburg",
          "Rijnwoude",
          "Rijswijk",
          "Rotterdam",
          "Sassenheim",
          "Schiedam",
          "Schipluiden",
          "Schoonhoven",
          "Sliedrecht",
          "Spijkenisse",
          "Strijen",
          "Ter Aar",
          "The Hague",
          "Valkenburg",
          "Vierpolders",
          "Vlaardingen",
          "Vlist",
          "Voorhout",
          "Voorschoten",
          "Waddinxveen",
          "Warmond",
          "Wassenaar",
          "Wateringen",
          "West Maas en Waal",
          "Westvoorne",
          "Zederik",
          "Zevenhuizen-Moerkapelle",
          "Zoetermeer",
          "Zoeterwoude",
          "Zwijndrecht"
        ]),
        States(
            name: "Zuid-Holland",
            cities: ["Belep", "Fayaoue", "Tadine", "Vao", "We"])
      ]),
  Country(
      name: "New Caledonia",
      flag: "🇳🇨",
      code: "NC",
      dialCode: "687",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Iles", cities: [
          "Canala",
          "Hienghene",
          "Houailu",
          "Kaala Gomen",
          "Kone",
          "Koumac",
          "Ouegoa",
          "Poindimie",
          "Ponerihouen",
          "Pouebo",
          "Pouembout",
          "Poum",
          "Poya",
          "Touho",
          "Voh"
        ]),
        States(name: "Nord", cities: [
          "Bouloupari",
          "Bourail",
          "Dumbea",
          "Farino",
          "La Foa",
          "Moindou",
          "Mont-Dore",
          "Noumea",
          "Paita",
          "Sarramea",
          "Thio",
          "Yate"
        ]),
        States(name: "Sud", cities: [])
      ]),
  Country(
      name: "New Zealand",
      flag: "🇳🇿",
      code: "NZ",
      dialCode: "64",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Area Outside Region", cities: [
          "Auckland",
          "Helensville",
          "Henderson",
          "Hillsborough",
          "Lynfield",
          "Manukau",
          "Manurewa",
          "Mt. Roskill",
          "North Shore",
          "Onehunga",
          "Orewa",
          "Otahuhu",
          "Panmure",
          "Papakura",
          "Papatoetoe",
          "Ponsonby",
          "Royal Oak",
          "Sandringham",
          "Snells Beach",
          "Takanini",
          "Waiheke",
          "Waitakere"
        ]),
        States(name: "Auckland", cities: []),
        States(name: "Bay of Plenty", cities: [
          "Amberley",
          "Ashburton",
          "Christchurch",
          "Fairlie",
          "Geraldine",
          "Kaikoura",
          "Leeston",
          "Lyttelton",
          "Oamaru",
          "Rangiora",
          "Temuka",
          "Timaru",
          "Waimate"
        ]),
        States(name: "Canterbury", cities: []),
        States(name: "Christchurch", cities: ["Gisborne"]),
        States(name: "Gisborne", cities: []),
        States(name: "Hawke\\'\\'s Bay", cities: [
          "Dannevirke",
          "Feilding",
          "Foxton",
          "Levin",
          "Marton",
          "Palmerston North",
          "Picton",
          "Taumarunui",
          "Wanganui"
        ]),
        States(name: "Manawatu-Wanganui", cities: ["Blenheim", "Havelock"]),
        States(name: "Marlborough", cities: ["Nelson"]),
        States(name: "Nelson", cities: [
          "Dargaville",
          "Kaikohe",
          "Kaitaia",
          "Kerikeri",
          "Maungatapere",
          "Whangarei"
        ]),
        States(name: "Northland", cities: [
          "Alexandra",
          "Balclutha",
          "Dunedin",
          "Queenstown",
          "Wanaka"
        ]),
        States(name: "Otago", cities: ["Warkworth"]),
        States(name: "Rodney", cities: ["Gore", "Invercargill"]),
        States(name: "Southland", cities: [
          "Eltham",
          "Hawera",
          "Inglewood",
          "New Plymouth",
          "Oakura",
          "Stratford",
          "Waitara"
        ]),
        States(name: "Taranaki", cities: ["Motueka", "Richmond"]),
        States(name: "Tasman", cities: [
          "Cambridge",
          "Coromandel",
          "Hamilton",
          "Hillcrest",
          "Huntly",
          "Matamata",
          "Morrinsville",
          "Ngaruawahia",
          "Otorohanga",
          "Paeroa",
          "Pukekohe",
          "Putaruru",
          "Taupo",
          "Te Aroha",
          "Te Awamutu",
          "Te Kuiti",
          "Thames",
          "Tokoroa",
          "Turangi",
          "Waiuku",
          "Whangamata",
          "Whitianga"
        ]),
        States(name: "Waikato", cities: [
          "Carterton",
          "Kapiti",
          "Lower Hutt",
          "Martinborough",
          "Masterton",
          "Otaki",
          "Paraparaumu",
          "Porirua",
          "Upper Hutt",
          "Wairarapa",
          "Wellington"
        ]),
        States(name: "Wellington", cities: []),
        States(name: "West Coast", cities: [])
      ]),
  Country(
      name: "Nicaragua",
      flag: "🇳🇮",
      code: "NI",
      dialCode: "505",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Atlantico Norte", cities: []),
        States(
            name: "Atlantico Sur", cities: ["Boaco", "Camoapa", "San Lorenzo"]),
        States(name: "Boaco", cities: [
          "Diriamba",
          "Dolores",
          "Jinotepe",
          "Masatepe",
          "San Marcos",
          "Santa Teresa"
        ]),
        States(name: "Carazo", cities: [
          "Chichigalpa",
          "Chinandega",
          "Corinto",
          "El Viejo",
          "Puerto Morazan",
          "Somotillo"
        ]),
        States(name: "Chinandega", cities: [
          "Acoyapa",
          "Juigalpa",
          "Santo Domingo",
          "Santo Tomas",
          "Villa Sandino"
        ]),
        States(name: "Chontales", cities: ["Condega", "Esteli", "La Trinidad"]),
        States(name: "Esteli", cities: ["Diriomo", "Granada", "Nandaime"]),
        States(name: "Granada", cities: ["Jinotega", "Wiwili"]),
        States(name: "Jinotega", cities: [
          "El Sauce",
          "La Paz Centro",
          "Larreynaga",
          "Leon",
          "Nagarote",
          "Telica"
        ]),
        States(name: "Leon", cities: ["Somoto"]),
        States(name: "Madriz", cities: [
          "Managua",
          "Mateare",
          "San Rafael del Sur",
          "Ticuantepe",
          "Tipitapa"
        ]),
        States(name: "Managua", cities: [
          "La Concepcion",
          "Masaya",
          "Nandasmo",
          "Nindiri",
          "Niquinohomo"
        ]),
        States(name: "Masaya", cities: [
          "Ciudad Dario",
          "Esquipulas",
          "Matagalpa",
          "Matiguas",
          "Rio Blanco",
          "San Isidro",
          "Sebaco"
        ]),
        States(name: "Matagalpa", cities: []),
        States(name: "Nueva Segovia", cities: []),
        States(
            name: "Rio San Juan",
            cities: ["Belen", "Rivas", "San Jorge", "San Juan del Sur"]),
        States(name: "Rivas", cities: [
          "Agadez",
          "Arlit",
          "Bilma",
          "Fachi",
          "Ingall",
          "Tchirozerine"
        ])
      ]),
  Country(
      name: "Niger",
      flag: "🇳🇪",
      code: "NE",
      dialCode: "227",
      minLength: 8,
      maxLength: 8,
      states: [
        States(
            name: "Agadez", cities: ["Diffa", "Maine-Soroa", "N\\'\\'Guigmi"]),
        States(name: "Diffa", cities: [
          "Birni N\\'\\'Gaoure",
          "Boboye",
          "Dogondoutchi",
          "Dosso",
          "Gaya",
          "Loga"
        ]),
        States(name: "Dosso", cities: [
          "Aguie",
          "Dakoro",
          "Gazaoua",
          "Guidan Roumdji",
          "Madarounfa",
          "Maradi",
          "Mayahi",
          "Tessaoua",
          "Tibiri"
        ]),
        States(name: "Maradi", cities: ["Niamey"]),
        States(name: "Niamey", cities: [
          "Birni N\\'\\'Konni",
          "Bouza",
          "Illela",
          "Keita",
          "Madaoua",
          "Malbaza\\'\\'uzine",
          "Tahoua",
          "Tchintabaraden"
        ]),
        States(name: "Tahoua", cities: [
          "Ayorou",
          "Filingue",
          "Kollo",
          "Ouallam",
          "Say",
          "Tera",
          "Tillabery"
        ]),
        States(name: "Tillabery", cities: [
          "Goure",
          "Kantche",
          "Magaria",
          "Matameye",
          "Mirriah",
          "Tanout",
          "Zinder"
        ]),
        States(name: "Zinder", cities: [
          "Aba",
          "Amaigbo",
          "Arochukwu",
          "Bende",
          "Ohafia",
          "Okwe",
          "Umuahia"
        ])
      ]),
  Country(
      name: "Nigeria",
      flag: "🇳🇬",
      code: "NG",
      dialCode: "234",
      minLength: 10,
      maxLength: 11,
      states: [
        States(name: "Abia", cities: []),
        States(name: "Abuja Federal Capital Territor", cities: [
          "Demsa",
          "Ganye",
          "Girei",
          "Gombi",
          "Jada",
          "Jimeta",
          "Lamurde",
          "Madagala",
          "Maiha",
          "Mubi",
          "Ngurore",
          "Numan",
          "Shelleng",
          "Song",
          "Toungo",
          "Yola"
        ]),
        States(name: "Adamawa", cities: []),
        States(name: "Akwa Ibom", cities: [
          "Aguata",
          "Agulu",
          "Anambra",
          "Awka",
          "Enugu Ukwu",
          "Igbo Ukwu",
          "Ihiala",
          "Nkpor",
          "Nnewi",
          "Obosi",
          "Okija",
          "Okpoko",
          "Onitsha",
          "Ozubulu",
          "Uga"
        ]),
        States(name: "Anambra", cities: [
          "Alkaleri",
          "Azare",
          "Bauchi",
          "Bogoro",
          "Bununu Dass",
          "Darazo",
          "Gamawa",
          "Ganjuwa",
          "Jamari",
          "Katagum",
          "Misau",
          "Ningi",
          "Tafawa Balewa"
        ]),
        States(
            name: "Bauchi", cities: ["Brass", "Ekeremor", "Nembe", "Yenagoa"]),
        States(name: "Bayelsa", cities: [
          "Aliade",
          "Gboko",
          "Katsina-Ala",
          "Makurdi",
          "Otukpo",
          "Ukum",
          "Zaki Biam"
        ]),
        States(name: "Benue", cities: [
          "Abadan",
          "Askira",
          "Bama",
          "Biu",
          "Chibok",
          "Damboa",
          "Dikwa",
          "Gamboru",
          "Gubio",
          "Gwoza",
          "Kaga",
          "Kala",
          "Konduga",
          "Kukawa",
          "Mafa",
          "Magumeri",
          "Maiduguri",
          "Marte",
          "Monguno",
          "Ngala",
          "Shani"
        ]),
        States(name: "Borno", cities: []),
        States(name: "Cross River", cities: [
          "Agbor",
          "Asaba",
          "Bomadi",
          "Burutu",
          "Okpe",
          "Patani",
          "Sapele",
          "Ughelli",
          "Warri"
        ]),
        States(name: "Delta", cities: [
          "Abakaliki",
          "Afikpo",
          "Effium",
          "Ezza",
          "Ishieke",
          "Uburu"
        ]),
        States(name: "Ebonyi", cities: [
          "Auchi",
          "Benin",
          "Ekpoma",
          "Igarra",
          "Ikpoba",
          "Irrua",
          "Sabongida",
          "Ubiaja",
          "Uromi"
        ]),
        States(name: "Edo", cities: [
          "Ado",
          "Aramoko",
          "Efon Alaye",
          "Emure",
          "Igbara Odo",
          "Igede",
          "Ijero",
          "Ikere",
          "Ikole",
          "Ilawe",
          "Ipoti",
          "Ise",
          "Ode",
          "Omuo",
          "Osi"
        ]),
        States(name: "Ekiti", cities: [
          "Agwa",
          "Aku",
          "Awgu",
          "Eha Amufu",
          "Enugu",
          "Enugu Ezike",
          "Enugu Ngwo",
          "Ezeagu",
          "Mberubu",
          "Nsukka",
          "Oji",
          "Udi"
        ]),
        States(name: "Enugu", cities: [
          "Ako",
          "Deba",
          "Duku",
          "Garko",
          "Gombe",
          "Kaltungo",
          "Kumo",
          "Nafada",
          "Pindiga"
        ]),
        States(name: "Gombe", cities: [
          "Aboh",
          "Etiti",
          "Ihite",
          "Nkwerre",
          "Oguta",
          "Okigwe",
          "Owerri"
        ]),
        States(name: "Imo", cities: [
          "Babura",
          "Birnin Kudu",
          "Buji",
          "Dutse",
          "Garki",
          "Gumel",
          "Gwaram",
          "Gwiwa",
          "Hadejia",
          "Jahun",
          "Kaugama",
          "Kazaure",
          "Keffin Hausa",
          "Kiyawa",
          "Maigatari",
          "Malammaduri",
          "Ringim",
          "Sule Tankarkar",
          "Taura"
        ]),
        States(name: "Jigawa", cities: [
          "Birnin Gwari",
          "Doka",
          "Giwa",
          "Gwagwada",
          "Hunkuyi",
          "Igabi",
          "Ikara",
          "Jemaa",
          "Kachia",
          "Kaduna",
          "Kafanchan",
          "Kagarko",
          "Kagoro",
          "Kaura",
          "Kudan",
          "Lere",
          "Makarfi",
          "Sabon Birnin Gwari",
          "Sabongari",
          "Sanga",
          "Soba",
          "Tudun Wada",
          "Zangon Katab",
          "Zaria"
        ]),
        States(name: "Kaduna", cities: [
          "Ajingi",
          "Albasu",
          "Bagwai",
          "Bebeji",
          "Bichi",
          "Bunkure",
          "Dambarta",
          "Dawakin Tofe",
          "Fagge",
          "Garko",
          "Garun Mallam",
          "Gaya",
          "Gezawa",
          "Gwarzo",
          "Kabo",
          "Kano",
          "Karaye",
          "Kibiya",
          "Kiru",
          "Kumbotso",
          "Kunchi",
          "Kura",
          "Madobi",
          "Makoda",
          "Nassarawa",
          "Rano",
          "Rimin Gado",
          "Shanono",
          "Sumaila",
          "Takai",
          "Tofa",
          "Tudun Wada",
          "Wudil"
        ]),
        States(name: "Kano", cities: [
          "Bakori",
          "Batsari",
          "Bindawa",
          "Cheranchi",
          "Dan Dume",
          "Danja",
          "Daura",
          "Dutsi",
          "Dutsin Ma",
          "Faskari",
          "Funtua",
          "Ingawa",
          "Jibiya",
          "Kangiwa",
          "Kankara",
          "Kankiya",
          "Katsina",
          "Kurfi",
          "Malumfashi",
          "Mani",
          "Mashi",
          "Musawa",
          "Rimi",
          "Sandamu",
          "Zango"
        ]),
        States(name: "Katsina", cities: [
          "Argungu",
          "Augie",
          "Bagudo",
          "Birnin Kebbi",
          "Birnin Yauri",
          "Bunza",
          "Fakai",
          "Gwandu",
          "Jega",
          "Kalgo",
          "Koko",
          "Maiyema",
          "Sakaba",
          "Shanga",
          "Suru",
          "Wasagu",
          "Zuru"
        ]),
        States(name: "Kebbi", cities: [
          "Ajaokuta",
          "Ankpa",
          "Dekina",
          "Idah",
          "Kabba",
          "Koton-Karifi",
          "Kuroro",
          "Lokoja",
          "Mopa",
          "Ogaminana",
          "Ogori",
          "Okene"
        ]),
        States(name: "Kogi", cities: [
          "Ajasse",
          "Ilorin",
          "Jebba",
          "Kaiama",
          "Lafiagi",
          "Offa",
          "Pategi"
        ]),
        States(name: "Kwara", cities: [
          "Apapa",
          "Badagri",
          "Epe",
          "Ibeju",
          "Iganmi",
          "Ikeja",
          "Ikorodu",
          "Lagos",
          "Ojo",
          "Surulere"
        ]),
        States(name: "Lagos", cities: [
          "Akwanga",
          "Awe",
          "Doma",
          "Keana",
          "Keffi",
          "Lafia",
          "Nassarawa",
          "Obi",
          "Toto",
          "Wamba"
        ]),
        States(name: "Nassarawa", cities: [
          "Agale",
          "Babana",
          "Bida",
          "Bosso",
          "Chanchaga",
          "Gbako",
          "Kontagora",
          "Lapai",
          "Minna",
          "Mokwa",
          "New Bussa",
          "Rijau",
          "Shiroro",
          "Suleja",
          "Wushishi"
        ]),
        States(name: "Niger", cities: [
          "Abeokuta",
          "Ado Odo",
          "Agbara",
          "Aiyetoro",
          "Ewekoro",
          "Ifo",
          "Ijebu Igbo",
          "Ijebu Ode",
          "Ikene",
          "Ilaro",
          "Ipokia",
          "Odogbolu",
          "Owode",
          "Sango Ota",
          "Shagamu"
        ]),
        States(name: "Ogun", cities: [
          "Akure",
          "Idanre",
          "Ikare",
          "Irele",
          "Odigbo",
          "Oka",
          "Okitipupa",
          "Ondo",
          "Owo"
        ]),
        States(name: "Ondo", cities: [
          "Apomu",
          "Ede",
          "Ejigbo",
          "Erin-Oshogbo",
          "Gbongan",
          "Ife",
          "Ifon Osun",
          "Ijesha",
          "Ikire",
          "Ikirun",
          "Ila",
          "Ilesha",
          "Ilobu",
          "Inisa",
          "Iwo",
          "Modakeke",
          "Oke-Mesi",
          "Olorunda",
          "Olupona",
          "Ore",
          "Orolu",
          "Oshogbo",
          "Oyan"
        ]),
        States(name: "Osun", cities: [
          "Akinyele",
          "Egbeda",
          "Eruwa",
          "Fiditi",
          "Ibadan",
          "Ibeto",
          "Igbo Ora",
          "Igboho",
          "Iseyin",
          "Kajola",
          "Kishi",
          "Lalupon",
          "Ogbomosho",
          "Ogo",
          "Oke-Iho",
          "Oyo",
          "Shaki"
        ]),
        States(name: "Oyo", cities: [
          "Barakin",
          "Bassa",
          "Bokkos",
          "Bukuru",
          "Jos",
          "Langtang",
          "Pankshin",
          "Riyom",
          "Shendam",
          "Vom",
          "Wase"
        ]),
        States(name: "Plateau", cities: [
          "Abonnema",
          "Abua",
          "Ahoada",
          "Bonny",
          "Bugama",
          "Degema",
          "Egbema",
          "Ogu",
          "Okrika",
          "Omoko",
          "Opobo",
          "Oyigbo",
          "Port Harcourt"
        ]),
        States(name: "Rivers", cities: [
          "Binji",
          "Bodinga",
          "Dange",
          "Gada",
          "Goronyo",
          "Gwadabawa",
          "Illela",
          "Kebbe",
          "Kware",
          "Rabah",
          "Raka",
          "Sabon Birni",
          "Sokoto",
          "Tambawel",
          "Tureta",
          "Wamako",
          "Wurno"
        ]),
        States(name: "Sokoto", cities: [
          "Bali",
          "Gashaka",
          "Gassol",
          "Ibi",
          "Jalingo",
          "Lau",
          "Takum",
          "Wukari",
          "Yorro"
        ]),
        States(name: "Taraba", cities: [
          "Damaturu",
          "Fika",
          "Gashua",
          "Geidam",
          "Gorgoram",
          "Gujba",
          "Gulani",
          "Jakusko",
          "Matsena",
          "Nguru",
          "Potiskum",
          "Yusufari"
        ]),
        States(name: "Yobe", cities: [
          "Anka",
          "Bungudu",
          "Chafe",
          "Gummi",
          "Gusau",
          "Isa",
          "Kaura Namoda",
          "Kiyawa",
          "Maradun",
          "Maru",
          "Shinkafe",
          "Talata Mafara",
          "Zurmi"
        ]),
        States(name: "Zamfara", cities: ["Niue"])
      ]),
  Country(
      name: "Niue",
      flag: "🇳🇺",
      code: "NU",
      dialCode: "683",
      minLength: 4,
      maxLength: 4,
      states: [States(name: "Niue", cities: [])]),
  Country(
      name: "Norfolk Island",
      flag: "🇳🇫",
      code: "NF",
      dialCode: "672",
      minLength: 15,
      maxLength: 15,
      states: [States(name: "Norfolk Island", cities: [])]),
  Country(
      name: "Northern Mariana Islands",
      flag: "🇲🇵",
      code: "MP",
      dialCode: "1670",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Northern Islands", cities: ["Songsong"]),
        States(name: "Rota", cities: [
          "Capital Hill",
          "Chalan Kanoa",
          "Dandan",
          "Garapan",
          "Gualo Rai",
          "Kagman",
          "Koblerville",
          "San Antonio",
          "San Jose",
          "San Roque",
          "San Vicente",
          "Susupe",
          "Tanapag"
        ]),
        States(name: "Saipan", cities: ["San Jose"]),
        States(name: "Tinian", cities: [
          "Asker",
          "Billingstad",
          "Haslum",
          "Hosle",
          "Kjeller",
          "Lillestrom",
          "Lorenskog",
          "Lysaker",
          "LÃƒÂ¸renskog",
          "Rud",
          "Sandvika",
          "Strommen"
        ])
      ]),
  Country(
      name: "Norway",
      flag: "🇳🇴",
      code: "NO",
      dialCode: "47",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Akershus", cities: []),
        States(name: "Aust Agder", cities: ["Kokstad"]),
        States(name: "Bergen", cities: [
          "Drammen",
          "Hokksund",
          "Honefoss",
          "Kongsberg",
          "Lyngdal",
          "NÃƒÂ¦rsnes",
          "Vestby"
        ]),
        States(name: "Buskerud", cities: ["Baatsfjord", "Hammerfest"]),
        States(name: "Finnmark", cities: [
          "Brumunddal",
          "Elverum",
          "Hamar",
          "Ilseng",
          "Rena",
          "Trysil"
        ]),
        States(name: "Hedmark", cities: [
          "Bergen",
          "HÃƒÂ¸ylandsbygd",
          "Lonevag",
          "Straume",
          "Tysnes",
          "Voss"
        ]),
        States(name: "Hordaland", cities: []),
        States(name: "Moere og Romsdal", cities: []),
        States(name: "Nord Trondelag", cities: [
          "Bodo",
          "Mosjoen",
          "Narvik",
          "Nesna",
          "Saltdal",
          "Sortland",
          "Steigen"
        ]),
        States(name: "Nordland", cities: [
          "Askim",
          "Fredrikstad",
          "Halden",
          "Hovik",
          "Moss",
          "Mysen",
          "Sarpsborg",
          "Tistedal"
        ]),
        States(name: "Oestfold", cities: ["Lena", "Lillehammer"]),
        States(name: "Oppland", cities: ["Oslo", "Skedsmo", "Skjetten"]),
        States(name: "Oslo", cities: [
          "Egersund",
          "Haugesund",
          "Kleppe",
          "Sandnes",
          "Sola",
          "Stavanger"
        ]),
        States(name: "Rogaland", cities: []),
        States(name: "Soer Troendelag", cities: []),
        States(name: "Sogn og Fjordane", cities: ["Stavern"]),
        States(name: "Stavern", cities: ["Sykkylven"]),
        States(name: "Sykkylven", cities: ["Notodden", "Skien"]),
        States(name: "Telemark", cities: ["Harstad", "Troms", "TromsÃƒÂ¸"]),
        States(name: "Troms", cities: []),
        States(name: "Vest Agder", cities: [
          "Horten",
          "HusÃƒÂ¸ysund",
          "Larvik",
          "Rygge",
          "Sandefjord",
          "TÃƒÂ¸nsberg"
        ]),
        States(name: "Vestfold", cities: []),
        States(name: "ÃƒÂ˜stfold", cities: [])
      ]),
  Country(
      name: "Oman",
      flag: "🇴🇲",
      code: "OM",
      dialCode: "968",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Al Buraimi", cities: ["Salalah"]),
        States(name: "Dhufar", cities: [
          "Azaiba",
          "Bawshar",
          "Madinat Qabus",
          "Masqat",
          "Matrah",
          "Muscat",
          "Muttrah",
          "Qurayyat",
          "Qurm",
          "Ruwi",
          "Wadi Al Kabir",
          "as-Sib"
        ]),
        States(name: "Masqat", cities: ["Khasab"]),
        States(name: "Musandam", cities: ["Rusayl"]),
        States(name: "Rusayl", cities: []),
        States(name: "Wadi Kabir", cities: ["Bahla", "Nizwa", "Sumayl"]),
        States(name: "ad-Dakhiliyah", cities: ["Ibri", "al-Buraymi"]),
        States(name: "adh-Dhahirah", cities: [
          "Al khuwair",
          "Barkah",
          "Saham",
          "Shinas",
          "Suhar",
          "al-Khaburah",
          "al-Masna\\'\\'ah",
          "ar-Rustaq",
          "as-Suwayq"
        ]),
        States(name: "al-Batinah", cities: ["Ibra", "Sur", "al-Mudaybi"]),
        States(name: "ash-Sharqiyah", cities: [
          "Barkhan",
          "Bela",
          "Bhag",
          "Chaman",
          "Chitkan",
          "Dalbandin",
          "Dera Allah Yar",
          "Dera Bugti",
          "Dera Murad Jamali",
          "Dhadar",
          "Duki",
          "Gaddani",
          "Gwadar",
          "Harnai",
          "Hub",
          "Jiwani",
          "Kalat",
          "Kharan",
          "Khuzdar",
          "Kohlu",
          "Loralai",
          "Mach",
          "Mastung",
          "Nushki",
          "Ormara",
          "Pasni",
          "Pishin",
          "Quetta",
          "Sibi",
          "Sohbatpur",
          "Surab",
          "Turbat",
          "Usta Muhammad",
          "Uthal",
          "Wadh",
          "Winder",
          "Zehri",
          "Zhob",
          "Ziarat"
        ])
      ]),
  Country(
      name: "Pakistan",
      flag: "🇵🇰",
      code: "PK",
      dialCode: "92",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Baluchistan", cities: []),
        States(name: "Federal Capital Area", cities: []),
        States(name: "Federally administered Tribal", cities: []),
        States(name: "North-West Frontier", cities: []),
        States(name: "Northern Areas", cities: [
          "Abohar",
          "Adampur",
          "Ahmedgarh",
          "Ajnala",
          "Akalgarh",
          "Alawalpur",
          "Amloh",
          "Amritsar",
          "Amritsar Cantonment",
          "Anandpur Sahib",
          "Badhni Kalan",
          "Bagh Purana",
          "Balachaur",
          "Banaur",
          "Banga",
          "Banur",
          "Baretta",
          "Bariwala",
          "Barnala",
          "Bassi Pathana",
          "Batala",
          "Bathinda",
          "Begowal",
          "Behrampur",
          "Bhabat",
          "Bhadur",
          "Bhankharpur",
          "Bharoli Kalan",
          "Bhawanigarh",
          "Bhikhi",
          "Bhikhiwind",
          "Bhisiana",
          "Bhogpur",
          "Bhuch",
          "Bhulath",
          "Budha Theh",
          "Budhlada",
          "Chima",
          "Chohal",
          "Dasuya",
          "Daulatpur",
          "Dera Baba Nanak",
          "Dera Bassi",
          "Dhanaula",
          "Dharam Kot",
          "Dhariwal",
          "Dhilwan",
          "Dhuri",
          "Dinanagar",
          "Dirba",
          "Doraha",
          "Faridkot",
          "Fateh Nangal",
          "Fatehgarh Churian",
          "Fatehgarh Sahib",
          "Fazilka",
          "Firozpur",
          "Firozpur Cantonment",
          "Gardhiwala",
          "Garhshankar",
          "Ghagga",
          "Ghanaur",
          "Giddarbaha",
          "Gobindgarh",
          "Goniana",
          "Goraya",
          "Gurdaspur",
          "Guru Har Sahai",
          "Hajipur",
          "Handiaya",
          "Hariana",
          "Hoshiarpur",
          "Hussainpur",
          "Jagraon",
          "Jaitu",
          "Jalalabad",
          "Jalandhar",
          "Jalandhar Cantonment",
          "Jandiala",
          "Jugial",
          "Kalanaur",
          "Kapurthala",
          "Karoran",
          "Kartarpur",
          "Khamanon",
          "Khanauri",
          "Khanna",
          "Kharar",
          "Khem Karan",
          "Kot Fatta",
          "Kot Isa Khan",
          "Kot Kapura",
          "Kotkapura",
          "Kurali",
          "Lalru",
          "Lehra Gaga",
          "Lodhian Khas",
          "Longowal",
          "Ludhiana",
          "Machhiwara",
          "Mahilpur",
          "Majitha",
          "Makhu",
          "Malaut",
          "Malerkotla",
          "Maloud",
          "Mandi Gobindgarh",
          "Mansa",
          "Maur",
          "Moga",
          "Mohali",
          "Moonak",
          "Morinda",
          "Mukerian",
          "Muktsar",
          "Mullanpur Dakha",
          "Mullanpur Garibdas",
          "Munak",
          "Muradpura",
          "Nabha",
          "Nakodar",
          "Nangal",
          "Nawashahr",
          "Naya Nangal",
          "Nehon",
          "Nurmahal",
          "Pathankot",
          "Patiala",
          "Patti",
          "Pattran",
          "Payal",
          "Phagwara",
          "Phillaur",
          "Qadian",
          "Rahon",
          "Raikot",
          "Raja Sansi",
          "Rajpura",
          "Ram Das",
          "Raman",
          "Rampura",
          "Rayya",
          "Rupnagar",
          "Rurki Kasba",
          "Sahnewal",
          "Samana",
          "Samrala",
          "Sanaur",
          "Sangat",
          "Sangrur",
          "Sansarpur",
          "Sardulgarh",
          "Shahkot",
          "Sham Churasi",
          "Shekhpura",
          "Sirhind",
          "Sri Hargobindpur",
          "Sujanpur",
          "Sultanpur Lodhi",
          "Sunam",
          "Talwandi Bhai",
          "Talwara",
          "Tappa",
          "Tarn Taran",
          "Urmar Tanda",
          "Zira",
          "Zirakpur",
          "Abdul Hakim",
          "Ahmadpur East",
          "Ahmadpur Lumma",
          "Ahmadpur Sial",
          "Ahmedabad",
          "Alipur",
          "Alipur Chatha",
          "Arifwala",
          "Attock",
          "Baddomalhi",
          "Bagh",
          "Bahawalnagar",
          "Bahawalpur",
          "Bai Pheru",
          "Basirpur",
          "Begowala",
          "Bhakkar",
          "Bhalwal",
          "Bhawana",
          "Bhera",
          "Bhopalwala",
          "Burewala",
          "Chak Azam Sahu",
          "Chak Jhumra",
          "Chak Sarwar Shahid",
          "Chakwal",
          "Chawinda",
          "Chichawatni",
          "Chiniot",
          "Chishtian Mandi",
          "Choa Saidan Shah",
          "Chuhar Kana",
          "Chunian",
          "Dajal",
          "Darya Khan",
          "Daska",
          "Daud Khel",
          "Daultala",
          "Dera Din Panah",
          "Dera Ghazi Khan",
          "Dhanote",
          "Dhonkal",
          "Dijkot",
          "Dina",
          "Dinga",
          "Dipalpur",
          "Dullewala",
          "Dunga Bunga",
          "Dunyapur",
          "Eminabad",
          "Faisalabad",
          "Faqirwali",
          "Faruka",
          "Fateh Jang",
          "Fatehpur",
          "Fazalpur",
          "Ferozwala",
          "Fort Abbas",
          "Garh Maharaja",
          "Ghakar",
          "Ghurgushti",
          "Gojra",
          "Gujar Khan",
          "Gujranwala",
          "Gujrat",
          "Hadali",
          "Hafizabad",
          "Harnoli",
          "Harunabad",
          "Hasan Abdal",
          "Hasilpur",
          "Haveli",
          "Hazro",
          "Hujra Shah Muqim",
          "Isa Khel",
          "Jahanian",
          "Jalalpur Bhattian",
          "Jalalpur Jattan",
          "Jalalpur Pirwala",
          "Jalla Jeem",
          "Jamke Chima",
          "Jampur",
          "Jand",
          "Jandanwala",
          "Jandiala Sherkhan",
          "Jaranwala",
          "Jatoi",
          "Jauharabad",
          "Jhang",
          "Jhawarian",
          "Jhelum",
          "Kabirwala",
          "Kahna Nau",
          "Kahror Pakka",
          "Kahuta",
          "Kalabagh",
          "Kalaswala",
          "Kaleke",
          "Kalur Kot",
          "Kamalia",
          "Kamar Mashani",
          "Kamir",
          "Kamoke",
          "Kamra",
          "Kanganpur",
          "Karampur",
          "Karor Lal Esan",
          "Kasur",
          "Khairpur Tamewali",
          "Khanewal",
          "Khangah Dogran",
          "Khangarh",
          "Khanpur",
          "Kharian",
          "Khewra",
          "Khundian",
          "Khurianwala",
          "Khushab",
          "Kot Abdul Malik",
          "Kot Addu",
          "Kot Mithan",
          "Kot Moman",
          "Kot Radha Kishan",
          "Kot Samaba",
          "Kotli Loharan",
          "Kundian",
          "Kunjah",
          "Lahore",
          "Lalamusa",
          "Lalian",
          "Liaqatabad",
          "Liaqatpur",
          "Lieah",
          "Liliani",
          "Lodhran",
          "Ludhewala Waraich",
          "Mailsi",
          "Makhdumpur",
          "Makhdumpur Rashid",
          "Malakwal",
          "Mamu Kanjan",
          "Mananwala Jodh Singh",
          "Mandi Bahauddin",
          "Mandi Sadiq Ganj",
          "Mangat",
          "Mangla",
          "Mankera",
          "Mian Channun",
          "Miani",
          "Mianwali",
          "Minchinabad",
          "Mitha Tiwana",
          "Multan",
          "Muridke",
          "Murree",
          "Mustafabad",
          "Muzaffargarh",
          "Nankana Sahib",
          "Narang",
          "Narowal",
          "Noorpur Thal",
          "Nowshera",
          "Nowshera Virkan",
          "Okara",
          "Pakpattan",
          "Pasrur",
          "Pattoki",
          "Phalia",
          "Phularwan",
          "Pind Dadan Khan",
          "Pindi Bhattian",
          "Pindi Gheb",
          "Pirmahal",
          "Qadirabad",
          "Qadirpur Ran",
          "Qila Disar Singh",
          "Qila Sobha Singh",
          "Quaidabad",
          "Rabwah",
          "Rahim Yar Khan",
          "Raiwind",
          "Raja Jang",
          "Rajanpur",
          "Rasulnagar",
          "Rawalpindi",
          "Renala Khurd",
          "Rojhan",
          "Saddar Gogera",
          "Sadiqabad",
          "Safdarabad",
          "Sahiwal",
          "Samasatta",
          "Sambrial",
          "Sammundri",
          "Sangala Hill",
          "Sanjwal",
          "Sarai Alamgir",
          "Sarai Sidhu",
          "Sargodha",
          "Shadiwal",
          "Shahkot",
          "Shahpur City",
          "Shahpur Saddar",
          "Shakargarh",
          "Sharqpur",
          "Shehr Sultan",
          "Shekhupura",
          "Shujaabad",
          "Sialkot",
          "Sillanwali",
          "Sodhra",
          "Sohawa",
          "Sukheke",
          "Talagang",
          "Tandlianwala",
          "Taunsa",
          "Taxila",
          "Tibba Sultanpur",
          "Toba Tek Singh",
          "Tulamba",
          "Uch",
          "Vihari",
          "Wah",
          "Warburton",
          "Wazirabad",
          "Yazman",
          "Zafarwal",
          "Zahir Pir"
        ]),
        States(name: "Punjab", cities: [
          "Adilpur",
          "Badah",
          "Badin",
          "Bagarji",
          "Bakshshapur",
          "Bandhi",
          "Berani",
          "Bhan",
          "Bhiria City",
          "Bhiria Road",
          "Bhit Shah",
          "Bozdar",
          "Bulri",
          "Chak",
          "Chambar",
          "Chohar Jamali",
          "Chor",
          "Dadu",
          "Daharki",
          "Daro",
          "Darya Khan Mari",
          "Daulatpur",
          "Daur",
          "Dhoronaro",
          "Digri",
          "Diplo",
          "Dokri",
          "Faqirabad",
          "Gambat",
          "Garello",
          "Garhi Khairo",
          "Garhi Yasin",
          "Gharo",
          "Ghauspur",
          "Ghotki",
          "Golarchi",
          "Guddu",
          "Gulistan-E-Jauhar",
          "Hala",
          "Hingorja",
          "Hyderabad",
          "Islamkot",
          "Jacobabad",
          "Jam Nawaz Ali",
          "Jam Sahib",
          "Jati",
          "Jhol",
          "Jhudo",
          "Johi",
          "Kadhan",
          "Kambar",
          "Kandhra",
          "Kandiari",
          "Kandiaro",
          "Karachi",
          "Karampur",
          "Kario Ghanwar",
          "Karoondi",
          "Kashmor",
          "Kazi Ahmad",
          "Keti Bandar",
          "Khadro",
          "Khairpur",
          "Khairpur Nathan Shah",
          "Khandh Kot",
          "Khanpur",
          "Khipro",
          "Khoski",
          "Khuhra",
          "Khyber",
          "Kot Diji",
          "Kot Ghulam Mohammad",
          "Kotri",
          "Kumb",
          "Kunri",
          "Lakhi",
          "Larkana",
          "Madeji",
          "Matiari",
          "Matli",
          "Mehar",
          "Mehrabpur",
          "Miro Khan",
          "Mirpur Bathoro",
          "Mirpur Khas",
          "Mirpur Mathelo",
          "Mirpur Sakro",
          "Mirwah",
          "Mithi",
          "Moro",
          "Nabisar",
          "Nasarpur",
          "Nasirabad",
          "Naudero",
          "Naukot",
          "Naushahro Firoz",
          "Nawabshah",
          "Oderolal Station",
          "Pacca Chang",
          "Padidan",
          "Pano Aqil",
          "Perumal",
          "Phulji",
          "Pirjo Goth",
          "Piryaloi",
          "Pithoro",
          "Radhan",
          "Rajo Khanani",
          "Ranipur",
          "Ratodero",
          "Rohri",
          "Rustam",
          "Saeedabad",
          "Sakrand",
          "Samaro",
          "Sanghar",
          "Sann",
          "Sarhari",
          "Sehwan",
          "Setharja",
          "Shah Dipalli",
          "Shahdadkot",
          "Shahdadpur",
          "Shahpur Chakar",
          "Shahpur Jahania",
          "Shikarpur",
          "Sinjhoro",
          "Sita Road",
          "Sobhodero",
          "Sujawal",
          "Sukkur",
          "Talhar",
          "Tando Adam",
          "Tando Allah Yar",
          "Tando Bagho",
          "Tando Ghulam Ali",
          "Tando Jam",
          "Tando Jan Mohammad",
          "Tando Mitha Khan",
          "Tando Muhammad Khan",
          "Tangwani",
          "Thano Bula Khan",
          "Thari Mirwah",
          "Tharushah",
          "Thatta",
          "Ther I",
          "Ther I Mohabat",
          "Thul",
          "Ubauro",
          "Umarkot",
          "Warah"
        ]),
        States(name: "Sind", cities: ["Ulimang"])
      ]),
  Country(
      name: "Palau",
      flag: "🇵🇼",
      code: "PW",
      dialCode: "680",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Aimeliik", cities: ["Airai"]),
        States(name: "Airai", cities: ["Ngaramash"]),
        States(name: "Angaur", cities: ["Hatohobei"]),
        States(name: "Hatobohei", cities: ["Kayangel"]),
        States(name: "Kayangel", cities: ["Koror", "Meyungs"]),
        States(name: "Koror", cities: ["Melekeok"]),
        States(name: "Melekeok", cities: ["Ngermechau"]),
        States(name: "Ngaraard", cities: ["Chol"]),
        States(name: "Ngardmau", cities: ["Ollei"]),
        States(name: "Ngaremlengui", cities: ["Oikul"]),
        States(name: "Ngatpang", cities: ["Ngerkeai"]),
        States(name: "Ngchesar", cities: ["Imeong"]),
        States(name: "Ngerchelong", cities: ["Ngetkip"]),
        States(name: "Ngiwal", cities: ["Kloulklubed"]),
        States(name: "Peleliu", cities: ["Dongosaru"]),
        States(name: "Sonsorol", cities: ["Ariha"])
      ]),
  Country(
      name: "Palestinian Territory, Occupied",
      flag: "🇵🇸",
      code: "PS",
      dialCode: "970",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Ariha", cities: []),
        States(name: "Bayt Lahm", cities: ["Beit Jala"]),
        States(name: "Bethlehem", cities: [
          "Dayr-al-Balah",
          "al-Burayj",
          "al-Insayrat",
          "al-Maghazi"
        ]),
        States(name: "Dayr-al-Balah", cities: ["Ghazzah"]),
        States(name: "Ghazzah", cities: ["Ghazzah"]),
        States(name: "Ghazzah ash-Shamaliyah", cities: ["Janin", "Qabatiyah"]),
        States(name: "Janin", cities: []),
        States(name: "Khan Yunis", cities: ["Nabulus"]),
        States(name: "Nabulus", cities: ["Qalqilyah"]),
        States(name: "Qalqilyah", cities: ["Rafah", "Tall as-Sultan"]),
        States(name: "Rafah", cities: []),
        States(name: "Ram Allah wal-Birah", cities: ["Salfit"]),
        States(name: "Salfit", cities: ["Tubas"]),
        States(name: "Tubas", cities: ["Tulkarm"]),
        States(
            name: "Tulkarm",
            cities: ["Dura", "Halhul", "Yattah", "ad-Dahiriyah", "al-Khalil"]),
        States(name: "al-Khalil", cities: ["Ma\\'\\'ale Adummim", "al-Quds"]),
        States(name: "al-Quds", cities: [])
      ]),
  Country(
      name: "Panama",
      flag: "🇵🇦",
      code: "PA",
      dialCode: "507",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Bocas del Toro", cities: [
          "Alanje",
          "Bajo Boquete",
          "Boqueron",
          "Bugaba",
          "David",
          "Dolega",
          "Gualaca",
          "Horconcitos",
          "Las Lajas",
          "Puerto Armuelles",
          "Remedios",
          "Rio Sereno",
          "Tole"
        ]),
        States(name: "Chiriqui", cities: [
          "Aguadulce",
          "Anton",
          "La Pintada",
          "Nata",
          "Ola",
          "Penonome"
        ]),
        States(name: "Cocle", cities: [
          "Colon",
          "Miguel de la Borda",
          "Nuevo Chagres",
          "Portobelo",
          "Santa Isabel"
        ]),
        States(name: "Colon", cities: ["El Real de Santa Maria", "La Palma"]),
        States(name: "Darien", cities: ["Cirilo Guainora", "Rio Sabalo"]),
        States(name: "Embera", cities: [
          "Chitre",
          "Las Minas",
          "Los Pozos",
          "Ocu",
          "Parita",
          "Pese",
          "Santa Maria"
        ]),
        States(name: "Herrera", cities: []),
        States(name: "Kuna Yala", cities: []),
        States(name: "Los Santos", cities: []),
        States(name: "Ngobe Bugle", cities: [
          "Arraijan",
          "Capira",
          "Chame",
          "Chepo",
          "Chiman",
          "La Chorrera",
          "Panama",
          "San Carlos",
          "San Miguel",
          "San Miguelito",
          "Taboga"
        ]),
        States(name: "Panama", cities: [
          "Atalaya",
          "Calobre",
          "Canazas",
          "La Mesa",
          "Las Palmas",
          "Montijo",
          "Rio de Jesus",
          "San Francisco",
          "Santa Fe",
          "Santiago",
          "Sona"
        ]),
        States(name: "Veraguas", cities: [])
      ]),
  Country(
      name: "Papua New Guinea",
      flag: "🇵🇬",
      code: "PG",
      dialCode: "675",
      minLength: 11,
      maxLength: 11,
      states: [
        States(name: "East New Britain", cities: []),
        States(name: "East Sepik", cities: []),
        States(
            name: "Eastern Highlands", cities: ["Laiagam", "Porgera", "Wabag"]),
        States(name: "Enga", cities: []),
        States(name: "Fly River", cities: ["Kerema"]),
        States(name: "Gulf", cities: ["Finschhafen", "Madang"]),
        States(name: "Madang", cities: ["Lorengau"]),
        States(name: "Manus", cities: []),
        States(name: "Milne Bay", cities: ["Bulolo", "Lae", "Wau"]),
        States(name: "Morobe", cities: []),
        States(name: "National Capital District", cities: []),
        States(name: "New Ireland", cities: []),
        States(name: "North Solomons", cities: ["Kokoda", "Popondetta"]),
        States(name: "Oro", cities: ["Vanimo"]),
        States(name: "Sandaun", cities: ["Kundiawa"]),
        States(name: "Simbu", cities: []),
        States(name: "Southern Highlands", cities: []),
        States(name: "West New Britain", cities: []),
        States(name: "Western Highlands", cities: [])
      ]),
  Country(
      name: "Paraguay",
      flag: "🇵🇾",
      code: "PY",
      dialCode: "595",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Alto Paraguay", cities: []),
        States(
            name: "Alto Parana",
            cities: ["Bella Vista", "Capitan Bado", "Pedro Juan Caballero"]),
        States(name: "Amambay", cities: ["Asuncion"]),
        States(name: "Asuncion", cities: [
          "Doctor Pedro P. Pena",
          "Filadelfia",
          "Marechal Estigarribia",
          "Menno",
          "Neuland"
        ]),
        States(name: "Boqueron", cities: [
          "Caaguazu",
          "Carayao",
          "Coronel Oviedo",
          "Doctor Cecilio Baez",
          "Doctor Eulogio Estigarribia",
          "Doctor Juan Manuel Frutos",
          "Jose Ocampos",
          "La Pastoria",
          "Marechal Francisco Solano Lope",
          "Mbutuy",
          "Nueva Londres",
          "Raul Arsenio Oviedo",
          "Repatriacion",
          "San Joaquin",
          "San Jose de los Arroyos",
          "Simon Bolivar",
          "Tres Corrales",
          "Tres de Febrero",
          "Vaqueria",
          "Yhu"
        ]),
        States(name: "Caaguazu", cities: [
          "Abai",
          "Buena Vista",
          "Caazapa",
          "Doctor Moises Bertoni",
          "General Higinio Morinigo",
          "Maciel",
          "San Juan Nepomuceno",
          "Tavai",
          "Yegros",
          "Yuty"
        ]),
        States(name: "Caazapa", cities: [
          "Corpus Christi",
          "Curuguaty",
          "General Francisco Alvarez",
          "Itanara",
          "Katuete",
          "La Paloma",
          "Nueva Esperanza",
          "Salto del Guaira",
          "Ygatimi",
          "Ypehu"
        ]),
        States(name: "Canendiyu", cities: [
          "Aregua",
          "Capiata",
          "Fernando de la Mora",
          "Guarambare",
          "Ita",
          "Itaugua",
          "Juan Augusto Saldivar",
          "Lambare",
          "Limpio",
          "Luque",
          "Nemby",
          "Nueva Italia",
          "San Antonio",
          "San Lorenzo",
          "Villa Elisa",
          "Villeta",
          "Ypacarai",
          "Ypane"
        ]),
        States(name: "Central", cities: [
          "Belen",
          "Concepcion",
          "Horqueta",
          "Loreto",
          "San Carlos",
          "San Lazaro"
        ]),
        States(name: "Concepcion", cities: [
          "Altos",
          "Arroyos y Esteros",
          "Atyra",
          "Caacupe",
          "Caraguatay",
          "Emboscada",
          "Eusebio Ayala",
          "Isla Pucu",
          "Itacurubi de la Cordillera",
          "Juan de Mena",
          "Loma Grande",
          "Mbocayty del Yhaguy",
          "Nueva Colombia",
          "Piribebuy",
          "Primero de Marzo",
          "San Bernardino",
          "San Jose Obrero",
          "Santa Elena",
          "Tobati",
          "Valenzuela"
        ]),
        States(name: "Cordillera", cities: [
          "Borja",
          "Capitan Mauricio Jose Troche",
          "Coronel Martinez",
          "Doctor Botrell",
          "Felix Perez Cardozo",
          "General Eugenio Alejandrino Ga",
          "Independencia",
          "Itape",
          "Iturbe",
          "Jose Fasardi",
          "Mbocayaty",
          "Natalicio Talavera",
          "Numi",
          "Paso Yobai",
          "San Salvador",
          "Villarrica",
          "Yataity"
        ]),
        States(name: "Guaira", cities: [
          "Alto Vera",
          "Bella Vista",
          "Cambyreta",
          "Capitan Meza",
          "Capitan Miranda",
          "Carlos Antonio Lopez",
          "Carmen del Parana",
          "Coronel Bogado",
          "Edelira",
          "Encarnacion",
          "Fram",
          "General Artigas",
          "General Delgado",
          "Hohenau",
          "Itapua Poty",
          "Jesus",
          "La Paz",
          "Leandro Oviedo",
          "Mayor Otano",
          "Natalio",
          "Nueva Alborada",
          "Obligado",
          "Pirapo",
          "San Cosme y Damian",
          "San Juan del Parana",
          "San Pedro del Parana",
          "San Rafael del Parana",
          "Tomas Romero Pereira",
          "Trinidad",
          "Yatytay"
        ]),
        States(name: "Itapua", cities: [
          "Ayolas",
          "San Ignacio",
          "San Juan Bautista",
          "San Miguel",
          "San Patricio",
          "Santa Maria",
          "Santa Rosa",
          "Santiago",
          "Villa Florida",
          "Yabebyry"
        ]),
        States(name: "Misiones", cities: [
          "Alberdi",
          "Cerrito",
          "Desmochados",
          "General Jose Eduvigis Diaz",
          "Guazu Cua",
          "Humaita",
          "Isla Umbu",
          "Laureles",
          "Mayor Jose Dejesus Martinez",
          "Paso de Patria",
          "Pilar",
          "San Juan Bautista de Neembucu",
          "Tacuaras",
          "Villa Franca",
          "Villa Oliva",
          "Villalbin"
        ]),
        States(name: "Neembucu", cities: [
          "Acahay",
          "Caapucu",
          "Carapegua",
          "Escobar",
          "General Bernardino Caballero",
          "La Colmena",
          "Mbuyapey",
          "Paraguari",
          "Pirayu",
          "Quiindy",
          "Quyquyho",
          "San Roque Gonzalez de Santa Cr",
          "Sapucai",
          "Tebicuarymi",
          "Yaguaron",
          "Ybycui",
          "Ybytimi"
        ]),
        States(name: "Paraguari", cities: []),
        States(name: "Presidente Hayes", cities: []),
        States(name: "San Pedro", cities: [
          "Bagua Grande",
          "Cajaruro",
          "Chachapoyas",
          "Jazan",
          "La Peca"
        ])
      ]),
  Country(
      name: "Peru",
      flag: "🇵🇪",
      code: "PE",
      dialCode: "51",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Amazonas", cities: [
          "Ancash",
          "Caraz",
          "Carhuaz",
          "Casma",
          "Chimbote",
          "Choishco",
          "Huallanca",
          "Huaraz",
          "Huari",
          "Huarmey",
          "Pomabamba",
          "Santa",
          "Yungay"
        ]),
        States(
            name: "Ancash",
            cities: ["Abancay", "Andahuaylas", "San Jeronimo", "Talavera"]),
        States(name: "Apurimac", cities: [
          "Acari",
          "Arequipa",
          "Camana",
          "Chivay",
          "Cocachacra",
          "Dean Valdivia",
          "Lluta",
          "Mollendo",
          "Nicolas de Pierola",
          "Orcopampa",
          "Punta de Bombon",
          "Rio Grande",
          "Yura"
        ]),
        States(name: "Arequipa", cities: [
          "Ayacucho",
          "Ayna",
          "Coracora",
          "Huanta",
          "Puquio",
          "San Miguel",
          "Santa Rosa",
          "Silvia",
          "Tambo"
        ]),
        States(name: "Ayacucho", cities: [
          "Bambamarca",
          "Bellavista",
          "Cajabamba",
          "Cajamarca",
          "Celendin",
          "Chota",
          "Cutervo",
          "Jaen",
          "Pedro Galvez",
          "Pucara",
          "San Ignacio",
          "Santa Cruz",
          "Yonan"
        ]),
        States(name: "Cajamarca", cities: [
          "Anta",
          "Calca",
          "Cusco",
          "Espinar",
          "Oropesa",
          "Quillabamba",
          "Santa Ana",
          "Santo Tomas",
          "Sicuani",
          "Urcos",
          "Urubamba"
        ]),
        States(name: "Cusco", cities: ["Huancavelica", "Lircay", "Pampas"]),
        States(name: "Huancavelica", cities: [
          "Ambos",
          "Huanuco",
          "Jose Crespo y Castillo",
          "La Union",
          "Llata",
          "Rupa-Rupa",
          "San Miguel de Cauri",
          "Tingo Maria"
        ]),
        States(name: "Huanuco", cities: [
          "Chincha Alta",
          "Ica",
          "Los Aquijes",
          "Marcona",
          "Nazca",
          "Pachacutec",
          "Palpa",
          "Pisco",
          "Salas",
          "San Andres",
          "San Clemente",
          "San Juan Bautista",
          "Santiago",
          "Subtanjalla",
          "Tupac Amaru Inca",
          "Vista Alegre"
        ]),
        States(name: "Ica", cities: [
          "Acobamba",
          "Acolla",
          "Carhuamayo",
          "Chanchamayo",
          "Chupaca",
          "Concepcion",
          "Huancayo",
          "Huasahuasi",
          "Huayucachi",
          "Jauja",
          "Junin",
          "La Oroya",
          "Mazamari",
          "Morococha",
          "Orcotuna",
          "Pangoa",
          "Perene",
          "Pichanaqui",
          "Pilcomayo",
          "San Agustin",
          "San Jeronimo de Tunan",
          "San Pedro de Cajas",
          "San Ramon",
          "Santa Rosa de Saco",
          "Satipo",
          "Sicaya",
          "Tarma",
          "Yauli",
          "Yauya"
        ]),
        States(name: "Junin", cities: []),
        States(name: "La Libertad", cities: [
          "Chiclayo",
          "Chongoyape",
          "Eten",
          "Ferrenafe",
          "Illimo",
          "Jayanca",
          "Lagunas",
          "Lambayeque",
          "Manuel Mesones Muro",
          "Mochumi",
          "Monsefu",
          "Morrope",
          "Motupe",
          "Olmos",
          "Oyotun",
          "Picsi",
          "Pimentel",
          "Pueblo Nuevo",
          "Reque",
          "San Jose",
          "Sana",
          "Santa Rosa",
          "Tucume"
        ]),
        States(name: "Lambayeque", cities: []),
        States(name: "Lima y Callao", cities: [
          "Barranca",
          "Contamana",
          "Fernando Lores",
          "Iquitos",
          "Lagunas",
          "Nauta",
          "Paucarpata",
          "Ramon Castilla",
          "Requena",
          "Saquena",
          "Vargas Guerra",
          "Yurimaguas"
        ]),
        States(name: "Loreto", cities: []),
        States(
            name: "Madre de Dios",
            cities: ["Ilo", "Moquegua", "Pacocha", "Torata"]),
        States(name: "Moquegua", cities: [
          "Cerro de Pasco",
          "Chaupimarca",
          "Oxapampa",
          "Paucartambo",
          "Simon Bolivar",
          "Tinyahuarco",
          "Villa Rica",
          "Yanacancha",
          "Yanahuanca"
        ]),
        States(name: "Pasco", cities: [
          "Ayabaca",
          "Bernal",
          "Buenos Aires",
          "Catacaos",
          "Chulucanas",
          "Colan",
          "Cura Mori",
          "El Alto",
          "Huancabamba",
          "Ignacio Escudero",
          "La Arena",
          "La Brea",
          "La Huaca",
          "La Matanza",
          "La Union",
          "Las Lomas",
          "Los Organos",
          "Mancora",
          "Marcavelica",
          "Morropon",
          "Paita",
          "Piura",
          "Querecotillo",
          "Salitral",
          "San Juan de Bigote",
          "Sechura",
          "Sullana",
          "Talara",
          "Tamarindo",
          "Tambo Grande",
          "Vice",
          "Vichayal"
        ]),
        States(name: "Piura", cities: [
          "Ayaviri",
          "Azangaro",
          "Desaguadero",
          "Huancane",
          "Ilave",
          "Juli",
          "Juliaca",
          "Lampa",
          "Macusani",
          "Nunoa",
          "Puno",
          "Putina",
          "Santa Lucia",
          "Yanahuara",
          "Yunguyo"
        ]),
        States(name: "Puno", cities: []),
        States(name: "San Martin", cities: ["Ilabaya", "Tacna", "Tarata"]),
        States(name: "Tacna", cities: [
          "Aguas Verdes",
          "Corrales",
          "La Cruz",
          "Papayal",
          "San Jacinto",
          "Tumbes",
          "Zarumilla",
          "Zorritos"
        ]),
        States(
            name: "Tumbes",
            cities: ["Campoverde", "Padre Abad", "Pucallpa", "Raymondi"]),
        States(name: "Ucayali", cities: ["San Juan"])
      ]),
  Country(
      name: "Philippines",
      flag: "🇵🇭",
      code: "PH",
      dialCode: "63",
      minLength: 10,
      maxLength: 10,
      states: [
        States(
            name: "Batangas",
            cities: ["Albay", "Daet", "Iriga", "Legaspi", "Naga", "Sorsogon"]),
        States(name: "Bicol", cities: ["Bulacan", "Marilao"]),
        States(
            name: "Bulacan",
            cities: ["Cagayan de Oro", "Santiago", "Solano", "Tuguegarao"]),
        States(name: "Cagayan", cities: ["Bislig", "Butuan", "Surigao"]),
        States(name: "Caraga", cities: []),
        States(name: "Central Luzon", cities: []),
        States(name: "Central Mindanao", cities: []),
        States(name: "Central Visayas", cities: ["Baguio", "Bangued"]),
        States(name: "Cordillera", cities: ["Davao"]),
        States(name: "Davao", cities: []),
        States(name: "Eastern Visayas", cities: []),
        States(name: "Greater Metropolitan Area", cities: [
          "Dagupan",
          "Laoag",
          "Manaoag",
          "Mangaldan",
          "San Fernando",
          "Urdaneta",
          "Vigan"
        ]),
        States(
            name: "Ilocos", cities: ["Binan", "Laguna", "Pangil", "San Pedro"]),
        States(name: "Laguna", cities: ["Manila", "Marikina"]),
        States(name: "Luzon", cities: ["Mactan"]),
        States(name: "Mactan", cities: []),
        States(name: "Metropolitan Manila Area", cities: []),
        States(name: "Muslim Mindanao", cities: []),
        States(name: "Northern Mindanao", cities: []),
        States(name: "Southern Mindanao", cities: []),
        States(name: "Southern Tagalog", cities: []),
        States(name: "Western Mindanao", cities: []),
        States(name: "Western Visayas", cities: [])
      ]),
  Country(
      name: "Pitcairn",
      flag: "🇵🇳",
      code: "PN",
      dialCode: "64",
      minLength: 10,
      maxLength: 10,
      states: [States(name: "Pitcairn Island", cities: [])]),
  Country(
      name: "Poland",
      flag: "🇵🇱",
      code: "PL",
      dialCode: "48",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Biale Blota", cities: ["Fabryczna"]),
        States(name: "Dobroszyce", cities: [
          "Bielawa",
          "Bogatynia",
          "Boguszow-Gorce",
          "Boleslawiec",
          "Brzeg Dolny",
          "Bystrzyca Klodzka",
          "Chojnow",
          "Dzierzoniow",
          "Glogow",
          "Gora",
          "Jawor",
          "Jelcz-Laskowice",
          "Jelenia Gora",
          "Kamienna Gora",
          "Klodzko",
          "Kowary",
          "Kudowa-Zdroj",
          "Legnica",
          "Luban",
          "Lubin",
          "Lwowek Slaski",
          "Milicz",
          "Nowa Ruda",
          "Olawa",
          "Olesnica",
          "Piechowice",
          "Pieszyce",
          "Polkowice",
          "Strzegom",
          "Strzelin",
          "Swidnica",
          "Swiebodzice",
          "Sycow",
          "Trzebnica",
          "Walbrzych",
          "Wolow",
          "Wroclaw",
          "Zabkowice Slaskie",
          "Zgorzelec",
          "Ziebice",
          "Zlotoryja"
        ]),
        States(name: "Dolnoslaskie", cities: []),
        States(name: "Dziekanow Lesny", cities: ["Hopowo"]),
        States(name: "Hopowo", cities: ["Chwaszczyno"]),
        States(name: "Kartuzy", cities: ["Smigiel"]),
        States(name: "Koscian", cities: ["Jerzmanowice", "Zabierzow"]),
        States(name: "Krakow", cities: [
          "Aleksandrow Kujawski",
          "Brodnica",
          "Bydgoszcz",
          "Chelmno",
          "Chelmza",
          "Ciechocinek",
          "Golub-Dobrzyn",
          "Grudziadz",
          "Inowroclaw",
          "Janikowo",
          "Koronowo",
          "Kruszwica",
          "Lipno",
          "Mogilno",
          "Naklo nad Notecia",
          "Radziejow",
          "Rypin",
          "Sepolno Krajenskie",
          "Solec Kujawski",
          "Swiecie",
          "Szubin",
          "Torun",
          "Tuchola",
          "Wabrzezno",
          "Wloclawek",
          "Znin"
        ]),
        States(name: "Kujawsko-Pomorskie", cities: [
          "Aleksandrow Lodzki",
          "Belchatow",
          "Bratoszewice",
          "Brzeziny",
          "Glowno",
          "Koluszki",
          "Konstantynow Lodzki",
          "Kutno",
          "Lask",
          "Leczyca",
          "Lodz",
          "Lowicz",
          "Opoczno",
          "Ozorkow",
          "Pabianice",
          "Piotrkow Trybunalski",
          "Radomsko",
          "Rawa Mazowiecka",
          "Sieradz",
          "Skierniewice",
          "Tomaszow Mazowiecki",
          "Tuszyn",
          "Wielun",
          "Zdunska Wola",
          "Zgierz",
          "Zychlin"
        ]),
        States(name: "Lodzkie", cities: [
          "Biala Podlaska",
          "Bilgoraj",
          "Chelm",
          "Deblin",
          "Hrubieszow",
          "Janow Lubelski",
          "Krasnik",
          "Krasnystaw",
          "Leczna",
          "Lubartow",
          "Lublin",
          "Lukow",
          "Miedzyrzec Podlaski",
          "Opole Lubelskie",
          "Parczew",
          "Poniatowa",
          "Pulawy",
          "Radzyn Podlaski",
          "Ryki",
          "Swidnik",
          "Tomaszow Lubelski",
          "Wlodawa",
          "Zamosc"
        ]),
        States(name: "Lubelskie", cities: [
          "Drezdenko",
          "Gorzow Wielkopolski",
          "Gubin",
          "Kostrzyn",
          "Kozuchow",
          "Krosno Odrzanskie",
          "Lubsko",
          "Miedzyrzecz",
          "Nowa Sol",
          "Skwierzyna",
          "Slubice",
          "Strzelce Krajenskie",
          "Sulechow",
          "Sulecin",
          "Swiebodzin",
          "Szprotawa",
          "Wschowa",
          "Zagan",
          "Zary",
          "Zielona Gora"
        ]),
        States(name: "Lubuskie", cities: ["Malomice"]),
        States(name: "Malomice", cities: [
          "Andrychow",
          "Bochnia",
          "Brzesko",
          "Brzeszcze",
          "Bukowno",
          "Chelmek",
          "Chrzanow",
          "Dabrowa Tarnowska",
          "Gorlice",
          "Kety",
          "Krakow",
          "Krynica",
          "Krzeszowice",
          "Libiaz",
          "Limanowa",
          "Miechow",
          "Myslenice",
          "Nowy Sacz",
          "Nowy Targ",
          "Olkusz",
          "Oswiecim",
          "Poronin",
          "Rabka",
          "Skawina",
          "Stary Sacz",
          "Sucha Beskidzka",
          "Tarnow",
          "Trzebinia",
          "Wadowice",
          "Wieliczka",
          "Wolbrom",
          "Zakopane"
        ]),
        States(name: "Malopolskie", cities: [
          "Blonie",
          "Brwinow",
          "Ciechanow",
          "Garwolin",
          "Gora Kalwaria",
          "Gostynin",
          "Grodzisk Mazowiecki",
          "Grojec",
          "Jozefow",
          "Karczew",
          "Kobylka",
          "Konstancin-Jeziorna",
          "Kozienice",
          "Legionowo",
          "Lomianki",
          "Makow Mazowiecki",
          "Marki",
          "Milanowek",
          "Minsk Mazowiecki",
          "Mlawa",
          "Nowy Dwor Mazowiecki",
          "Ostroleka",
          "Ostrow Mazowiecka",
          "Otwock",
          "Piaseczno",
          "Piastow",
          "Pionki",
          "Plock",
          "Plonsk",
          "Pruszkow",
          "Przasnysz",
          "Pultusk",
          "Radom",
          "Siedlce",
          "Sierpc",
          "Sochaczew",
          "Sokolow Podlaski",
          "Sulejowek",
          "Szydlowiec",
          "Warka",
          "Warszawa",
          "Wegrow",
          "Wesola",
          "Wolomin",
          "Wyszkow",
          "Zabki",
          "Zielonka",
          "Zyrardow"
        ]),
        States(name: "Mazowieckie", cities: ["Dlugoteka"]),
        States(name: "Mirkow", cities: [
          "Brzeg",
          "Glubczyce",
          "Glucholazy",
          "Grodkow",
          "Kedzierzyn-Kozle",
          "Kluczbork",
          "Krapkowice",
          "Namyslow",
          "Niemodlin",
          "Nysa",
          "Olesno",
          "Opole",
          "Ozimek",
          "Prudnik",
          "Strzelce Opolskie",
          "Zawadzkie",
          "Zdzieszowice"
        ]),
        States(name: "Opolskie", cities: ["Cmielow"]),
        States(name: "Ostrowiec", cities: [
          "Debica",
          "Jaroslaw",
          "Jaslo",
          "Krosno",
          "Lancut",
          "Lezajsk",
          "Lubaczow",
          "Mielec",
          "Nisko",
          "Nowa Deba",
          "Przemysl",
          "Przeworsk",
          "Ropczyce",
          "Rzeszow",
          "Sanok",
          "Stalowa Wola",
          "Tarnobrzeg",
          "Ustrzyki Dolne"
        ]),
        States(name: "Podkarpackie", cities: [
          "Augustow",
          "Bialystok",
          "Bielsk Podlaski",
          "Czarna Bialostocka",
          "Grajewo",
          "Hajnowka",
          "Kolno",
          "Lapy",
          "Lomza",
          "Monki",
          "Siemiatycze",
          "Sokolka",
          "Suwalki",
          "Wysokie Mazowieckie",
          "Zambrow"
        ]),
        States(name: "Podlaskie", cities: ["Bogumilowice"]),
        States(name: "Polska", cities: [
          "Bytow",
          "Chojnice",
          "Czersk",
          "Czluchow",
          "Gdansk",
          "Gdynia",
          "Kartuzy",
          "Koscierzyna",
          "Kwidzyn",
          "Lebork",
          "Malbork",
          "Miastko",
          "Nowy Dwor Gdanski",
          "Pruszcz Gdanski",
          "Puck",
          "Reda",
          "Rumia",
          "Slupsk",
          "Sopot",
          "Starogard Gdanski",
          "Sztum",
          "Tczew",
          "Ustka",
          "Wejherowo",
          "Wladyslawowo"
        ]),
        States(name: "Pomorskie", cities: ["Komorniki", "Steszew"]),
        States(name: "Poznan", cities: ["Raszyn"]),
        States(name: "Pruszkow", cities: ["Rymanowska"]),
        States(name: "Rymanowska", cities: ["Glogow Malopolski"]),
        States(name: "Rzeszow", cities: [
          "Bedzin",
          "Bielsko-Biala",
          "Bierun",
          "Blachowania",
          "Bytom",
          "Chorzow",
          "Cieszyn",
          "Czechowice-Dziedzice",
          "Czeladz",
          "Czerwionka-Leszczyny",
          "Czestochowa",
          "Dabrowa Gornicza",
          "Gliwice",
          "Jastrzebie-Zdroj",
          "Jaworzno",
          "Kalety",
          "Katowice",
          "Klobuck",
          "Knurow",
          "Laziska Gorne",
          "Ledziny",
          "Lubliniec",
          "Mikolow",
          "Myslowice",
          "Myszkow",
          "Orzesze",
          "Piekary Slaskie",
          "Poreba",
          "Pszczyna",
          "Pszow",
          "Pyskowice",
          "Raciborz",
          "Radlin",
          "Radzionkow",
          "Ruda Slaska",
          "Rybnik",
          "Rydultowy",
          "Siemianowice Slaskie",
          "Skoczow",
          "Sosnowiec",
          "Swietochlowice",
          "Tarnowskie Gory",
          "Tychy",
          "Ustron",
          "Wisla",
          "Wodzislaw Slaski",
          "Wojkowice",
          "Zabrze",
          "Zawiercie",
          "Zory",
          "Zywiec"
        ]),
        States(name: "Slaskie", cities: []),
        States(name: "Stare Pole", cities: [
          "Busko-Zdroj",
          "Jedrzejow",
          "Kielce",
          "Konskie",
          "Ostrowiec Swietokrzyski",
          "Pinczow",
          "Polaniec",
          "Sandomierz",
          "Skarzysko-Kamienna",
          "Starachowice",
          "Staszow",
          "Suchedniow",
          "Wloszczowa"
        ]),
        States(name: "Swietokrzyskie", cities: [
          "Bartoszyce",
          "Biskupiec",
          "Braniewo",
          "Dobre Miasto",
          "Dzialdowo",
          "Elblag",
          "Elk",
          "Gizycko",
          "Goldap",
          "Ilawa",
          "Ketrzyn",
          "Lidzbark Warminski",
          "Lubawa",
          "Morag",
          "Mragowo",
          "Nidzica",
          "Nowe Miasto Lubawskie",
          "Olecko",
          "Olsztyn",
          "Orneta",
          "Ostroda",
          "Paslek",
          "Pisz",
          "Szczytno",
          "Wegorzewo"
        ]),
        States(
            name: "Warminsko-Mazurskie",
            cities: ["Nadarzyn", "Szemud", "Warsaw"]),
        States(name: "Warsaw", cities: ["Goscicino"]),
        States(name: "Wejherowo", cities: [
          "Chodziez",
          "Czarnkow",
          "Gniezno",
          "Gostyn",
          "Grodzisk Wielkopolski",
          "Jarocin",
          "Kalisz",
          "Kepno",
          "Kolo",
          "Konin",
          "Koscian",
          "Krotoszyn",
          "Leszno",
          "Lubon",
          "Miedzychod",
          "Mosina",
          "Murowana Goslina",
          "Nowy Tomysl",
          "Oborniki",
          "Opalenica",
          "Ostrow Wielkopolski",
          "Ostrzeszow",
          "Pila",
          "Pleszew",
          "Poznan",
          "Rawicz",
          "Rogozno",
          "Slupca",
          "Srem",
          "Sroda Wielkopolska",
          "Swarzedz",
          "Szamotuly",
          "Trzcianka",
          "Tuliszkow",
          "Turek",
          "Wagrowiec",
          "Wolsztyn",
          "Wronki",
          "Wrzesnia",
          "Zlotow"
        ]),
        States(name: "Wielkopolskie", cities: ["Borowa"]),
        States(name: "Wroclaw", cities: [
          "Barlinek",
          "Bialogard",
          "Choszczno",
          "Darlowo",
          "Debno",
          "Drawsko Pomorskie",
          "Goleniow",
          "Gryfice",
          "Gryfino",
          "Kamien Pomorski",
          "Kolobrzeg",
          "Koszalin",
          "Lobez",
          "Mysliborz",
          "Nowogard",
          "Polczyn-Zdroj",
          "Police",
          "Pyrzyce",
          "Slawno",
          "Stargard Szczecinski",
          "Swidwin",
          "Swinoujscie",
          "Szczecin",
          "Szczecinek",
          "Trzebiatow",
          "Walcz",
          "Zlocieniec"
        ]),
        States(name: "Zachodnio-Pomorskie", cities: ["Zukowskie"]),
        States(name: "Zukowo", cities: ["Tramagal"])
      ]),
  Country(
      name: "Portugal",
      flag: "🇵🇹",
      code: "PT",
      dialCode: "351",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Abrantes", cities: [
          "Angra",
          "Arrifes",
          "Faja de Baixo",
          "Horta",
          "Lagoa",
          "Ponta Delgada",
          "Praia da Vitoria",
          "Rabo de Peixe",
          "Ribeira Grande",
          "Rosto do Cao",
          "Vila Franca do Campo"
        ]),
        States(name: "Acores", cities: [
          "Alcacer do Sal",
          "Aljustrel",
          "Beja",
          "Borba",
          "Caia e Sao Pedro",
          "Campo Maior",
          "Castro Verde",
          "Cercal",
          "Elvas",
          "Estremoz",
          "Evora",
          "Ferreira do Alentejo",
          "Grandola",
          "Montemor-o-Novo",
          "Moura",
          "Odemira",
          "Ponte de Sor",
          "Portalegre",
          "Redondo",
          "Reguengos de Monsaraz",
          "Santiago do Cacem",
          "Santo Andre",
          "Sao Teotonio",
          "Serpa",
          "Sines",
          "Vendas Novas",
          "Vila Nova de Milfontes",
          "Vila Vicosa"
        ]),
        States(name: "Alentejo", cities: [
          "Albufeira",
          "Aljezur",
          "Almancil",
          "Alvor",
          "Armacao de Pera",
          "Boliqueime",
          "Castro Marim",
          "Estombar",
          "Faro",
          "Ferreiras",
          "Guia",
          "Lagoa",
          "Lagos",
          "Loule",
          "Luz",
          "Moncarapacho",
          "Monchique",
          "Monte Gordo",
          "Montenegro",
          "Olhao",
          "Portimao",
          "Quarteira",
          "Santa Barbara de Nexe",
          "Sao Bartolomeu de Messines",
          "Sao Bras de Alportel",
          "Silves",
          "Tavira",
          "Vila Real de Santo Antonio"
        ]),
        States(
            name: "Algarve", cities: ["Fafe", "Forjaes", "Vianna do Castello"]),
        States(name: "Braga", cities: [
          "Abraveses",
          "Aguada de Cima",
          "Agueda",
          "Albergaria-A-Velha",
          "Alcains",
          "Alhadas",
          "Amor",
          "Aradas",
          "Arazede",
          "Arcos",
          "Arganil",
          "Avanca",
          "Aveiro",
          "Batalha",
          "Beduido",
          "Branca",
          "Buarcos",
          "Campo",
          "Cantanhede",
          "Caranguejeira",
          "Castanheira de Pera",
          "Castelo Branco",
          "Castro Daire",
          "Coimbra",
          "Condeixa-A-Nova",
          "Cortegaca",
          "Covilha",
          "Eixo",
          "Esmoriz",
          "Figueira da Foz",
          "Fundao",
          "Gafanha da Encarnacao",
          "Gafanha da Nazare",
          "Guarda",
          "Ilhavo",
          "Lavos",
          "Leiria",
          "Lorvao",
          "Lourical",
          "Lousa",
          "Maceira",
          "Mangualde",
          "Marinha Grande",
          "Mealhada",
          "Mira",
          "Mira de Aire",
          "Miranda do Corvo",
          "Monte Redondo",
          "Nelas",
          "Oia",
          "Oliveira do Bairro",
          "Oliveira do Hospital",
          "Oliveirinha",
          "Ovar",
          "Pampilhosa",
          "Pardilho",
          "Poiares",
          "Pombal",
          "Porto de Mos",
          "Proenca-A-Nova",
          "Rio de Loba",
          "Salreu",
          "Sangalhos",
          "Santa Catarina da Serra",
          "Sao Joao",
          "Sao Pedro do Sul",
          "Satao",
          "Seia",
          "Serta",
          "Soure",
          "Souto da Carpalhosa",
          "Tavarede",
          "Teixoso",
          "Tondela",
          "Tortosendo",
          "Vagos",
          "Valega",
          "Valongo do Vouga",
          "Vieira de Leiria",
          "Viseu"
        ]),
        States(name: "Centro", cities: []),
        States(name: "Distrito de Leiria", cities: []),
        States(name: "Distrito de Viana do Castelo", cities: []),
        States(name: "Distrito de Vila Real", cities: []),
        States(name: "Distrito do Porto", cities: []),
        States(name: "Lisboa e Vale do Tejo", cities: [
          "Camacha",
          "Camara de Lobos",
          "Campanario",
          "Canico",
          "Funchal",
          "Machico",
          "Ponta do Sol",
          "Porto Santo",
          "Ribeira Brava",
          "Santa Cruz"
        ]),
        States(name: "Madeira", cities: [
          "A Ver-o-Mar",
          "Adaufe",
          "Aguas Santas",
          "Agucadoura",
          "Alfena",
          "Alpendurada e Matos",
          "Amarante",
          "Anta",
          "Antas",
          "Apulia",
          "Arcozelo",
          "Areosa",
          "Argoncilhe",
          "Aroes",
          "Arrifana",
          "Arvore",
          "Aves",
          "Avintes",
          "Baguim do Monte",
          "Baltar",
          "Barcelos",
          "Barrosas",
          "Bougado",
          "Braga",
          "Braganca",
          "Brito",
          "Caldas de Vizela",
          "Caldelas",
          "Calendario",
          "Campo",
          "Candoso",
          "Canedo",
          "Canelas",
          "Canidelo",
          "Carvalhosa",
          "Casteloes de Cepeda",
          "Chaves",
          "Coronado",
          "Couto",
          "Custoias",
          "Darque",
          "Ermesinde",
          "Espinho",
          "Fafe",
          "Fanzeres",
          "Feira",
          "Ferreira",
          "Ferreiros",
          "Fiaes",
          "Figueiro",
          "Foz do Sousa",
          "Frazao",
          "Freamunde",
          "Galegos",
          "Gandra",
          "Gemunde",
          "Godim",
          "Gondomar",
          "Grijo",
          "Gueifaes",
          "Guifoes",
          "Guimaraes",
          "Gulpilhares",
          "Joane",
          "Jovim",
          "Lamego",
          "Lavra",
          "Leca da Palmeira",
          "Leca do Bailio",
          "Lobao",
          "Lordelo",
          "Lourosa",
          "Lustosa",
          "Macedo de Cavaleiros",
          "Macieira de Cambra",
          "Madalena",
          "Maia",
          "Margaride",
          "Marinhas",
          "Matosinhos",
          "Meadela",
          "Meinedo",
          "Milheiros",
          "Milheiros de Poiares",
          "Mirandela",
          "Mogadouro",
          "Moreira",
          "Moreira de Conegos",
          "Mozelos",
          "Negrelos",
          "Nogueira",
          "Nogueira da Regedoura",
          "Olival",
          "Oliveira",
          "Oliveira de Azemeis",
          "Oliveira do Douro",
          "Pacos de Brandao",
          "Pacos de Ferreira",
          "Pedroso",
          "Pedroucos",
          "Penafiel",
          "Perafita",
          "Perozinho",
          "Peso da Regua",
          "Ponte",
          "Porto",
          "Povoa de Lanhoso",
          "Povoa de Varzim",
          "Real",
          "Rebordosa",
          "Recarei",
          "Refojos de Basto",
          "Ribeirao",
          "Rio Meao",
          "Rio Tinto",
          "Ronfe",
          "Sande",
          "Sandim",
          "Santa Cruz do Bispo",
          "Santa Maria de Lamas",
          "Santiago da Riba-Ul",
          "Santo Tirso",
          "Sao Felix da Marinha",
          "Sao Joao da Madeira",
          "Sao Joao de Ver",
          "Sao Mamede de Infesta",
          "Sao Pedro da Cova",
          "Sao Pedro de Casteloes",
          "Sao Roque",
          "Selho",
          "Senhora da Hora",
          "Seroa",
          "Serzedelo",
          "Serzedo",
          "Silvalde",
          "Sobrado",
          "Sobreira",
          "Souto",
          "Teloes",
          "Urgezes",
          "Valadares",
          "Valbom",
          "Vale",
          "Valongo",
          "Valpacos",
          "Viana do Castelo",
          "Vila Cha",
          "Vila Frescainha",
          "Vila Nova da Telha",
          "Vila Nova de Famalicao",
          "Vila Nova de Gaia",
          "Vila Praia de Ancora",
          "Vila Real",
          "Vila Verde",
          "Vila de Cucujaes",
          "Vila de Prado",
          "Vila do Conde",
          "Vilar de Andorinho",
          "Vilar do Paraiso",
          "Vilarinho",
          "Vilela",
          "Vizela"
        ]),
        States(name: "Norte", cities: ["Paivas"]),
        States(name: "Paivas", cities: [
          "Arecibo",
          "Barceloneta",
          "Camuy",
          "Dorado",
          "Isabela",
          "Manati",
          "Vega Alta",
          "Vega Baja"
        ])
      ]),
  Country(
      name: "Puerto Rico",
      flag: "🇵🇷",
      code: "PR",
      dialCode: "1939",
      minLength: 15,
      maxLength: 15,
      states: [
        States(
            name: "Arecibo",
            cities: ["Bayamon", "Catano", "Guaynabo", "Levittown", "Valencia"]),
        States(
            name: "Bayamon",
            cities: ["Canovanas", "Carolina", "Trujillo Alto"]),
        States(name: "Carolina", cities: ["Florida"]),
        States(name: "Florida", cities: [
          "Aibonito",
          "Arroyo",
          "Barranquitas",
          "Cayey",
          "Coamo",
          "Corozal",
          "Guayama",
          "Juana Diaz"
        ]),
        States(name: "Guayama", cities: [
          "Aguas Buenas",
          "Caguas",
          "Culebra",
          "Fajardo",
          "Gurabo",
          "Humacao",
          "Juncos",
          "Rio Grande",
          "Vieques"
        ]),
        States(name: "Humacao", cities: [
          "Aguada",
          "Aguadilla",
          "Anasco",
          "Cabo Rojo",
          "Hormigueros",
          "Mayaguez",
          "San German",
          "San Sebastian"
        ]),
        States(
            name: "Mayaguez-Aguadilla",
            cities: ["Adjuntas", "Guanica", "Ponce", "Utuado", "Yauco"]),
        States(name: "Ponce", cities: ["Salinas"]),
        States(name: "Salinas", cities: []),
        States(name: "San Juan", cities: ["Doha"])
      ]),
  Country(
      name: "Qatar",
      flag: "🇶🇦",
      code: "QA",
      dialCode: "974",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Doha", cities: ["Umm Bab"]),
        States(name: "Jarian-al-Batnah", cities: []),
        States(name: "Umm Salal", cities: ["ad-Dawhah"]),
        States(name: "ad-Dawhah", cities: ["al-Ghuwayriyah"]),
        States(name: "al-Ghuwayriyah", cities: ["Dukhan", "al-Jumayliyah"]),
        States(name: "al-Jumayliyah", cities: ["al-Khawr"]),
        States(
            name: "al-Khawr",
            cities: ["Musay\\'\\'id", "al-Wakrah", "al-Wukayr"]),
        States(name: "al-Wakrah", cities: ["ar-Rayyan", "ash-Shahaniyah"]),
        States(name: "ar-Rayyan", cities: ["ar-Ruways"]),
        States(name: "ash-Shamal", cities: [
          "Bras-Panon",
          "Saint-Andre",
          "Saint-Benoit",
          "Sainte-Rose",
          "Salazie"
        ])
      ]),
  Country(
      name: "Romania",
      flag: "🇷🇴",
      code: "RO",
      dialCode: "40",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Saint-Benoit", cities: [
          "La Possession",
          "Le Port",
          "Saint-Denis",
          "Sainte-Marie",
          "Sainte-Suzanne"
        ]),
        States(name: "Saint-Denis", cities: [
          "L\\'\\'Etang-Sale",
          "Les Aviron",
          "Les Trois-Bassins",
          "Saint-Leu",
          "Saint-Paul"
        ]),
        States(name: "Saint-Paul", cities: [
          "Cilaos",
          "Entre-Deux",
          "Le Tampon",
          "Petite-Ile",
          "Saint-Joseph",
          "Saint-Louis",
          "Saint-Philippe",
          "Saint-Pierre"
        ]),
        States(name: "Saint-Pierre", cities: [
          "Abrud",
          "Aiud",
          "Alba Iulia",
          "Albac",
          "Almasu Mare",
          "Arieseni",
          "Avram Iancu",
          "Baia de Aries",
          "Berghin",
          "Bistra",
          "Blaj",
          "Blandiana",
          "Bucium",
          "Calnic",
          "Campeni",
          "Cenade",
          "Cergau",
          "Ceru-Bacainti",
          "Cetatea de Balta",
          "Ciugud",
          "Ciuruleasa",
          "Craciunelu de Jos",
          "Cricau",
          "Cugir",
          "Daia Romana",
          "Dostat",
          "Farau",
          "Galda de Jos",
          "Garbova",
          "Garda de Sus",
          "Hoparta",
          "Horea",
          "Ighiu",
          "Intregalde",
          "Jidvei",
          "Livezile",
          "Lopadea Noua",
          "Lunca Muresului",
          "Lupsa",
          "Metes",
          "Mihalt",
          "Miraslau",
          "Mogos",
          "Noslac",
          "Ocna Mures",
          "Ocolis",
          "Ohaba",
          "Pianu",
          "Poiana Vadului",
          "Ponor",
          "Posaga",
          "Radesti",
          "Ramet",
          "Rimetea",
          "Rosia Montana",
          "Rosia de Secas",
          "Salciua",
          "Salistea",
          "Sancel",
          "Santimbru",
          "Sasciori",
          "Scarisoara",
          "Sebes",
          "Sibot",
          "Sohodol",
          "Sona",
          "Spring",
          "Stremt",
          "Sugag",
          "Teius",
          "Unirea",
          "Vadu Motilor",
          "Valea Lunga",
          "Vidra",
          "Vintu de Jos",
          "Zlatna"
        ])
      ]),
  Country(
      name: "Russia",
      flag: "🇷🇺",
      code: "RU",
      dialCode: "7",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Alba", cities: [
          "Almas",
          "Apateu",
          "Arad",
          "Archis",
          "Barsa",
          "Barzava",
          "Bata",
          "Beliu",
          "Birchis",
          "Bocsig",
          "Brazii",
          "Buteni",
          "Carand",
          "Cermei",
          "Chisindia",
          "Chisineu Cris",
          "Conop",
          "Covasint",
          "Craiva",
          "Curtici",
          "Dezna",
          "Dieci",
          "Dorgos",
          "Fantanele",
          "Felnac",
          "Ghioroc",
          "Graniceri",
          "Gurahont",
          "Halmagel",
          "Halmagiu",
          "Hasmas",
          "Ignesti",
          "Ineu",
          "Iratosu",
          "Lipova",
          "Livada",
          "Macea",
          "Masca",
          "Moneasa",
          "Nadlac",
          "Olari",
          "Pancota",
          "Paulis",
          "Pecica",
          "Peregu Mare",
          "Petris",
          "Pilu",
          "Plescuta",
          "Sagu",
          "Santana",
          "Savarsin",
          "Sebis",
          "Secusigiu",
          "Seitin",
          "Seleus",
          "Semlac",
          "Sepreus",
          "Sicula",
          "Silindia",
          "Simand",
          "Sintea Mare",
          "Siria",
          "Sistarovat",
          "Socodor",
          "Sofronea",
          "Tarnova",
          "Taut",
          "Varadia de Mures",
          "Varfurile",
          "Vinga",
          "Vladimirescu",
          "Zabrani",
          "Zarand",
          "Zerind",
          "Zimandu Nou"
        ]),
        States(name: "Arad", cities: [
          "Albesti",
          "Albestii-Pamanteni",
          "Albota",
          "Aninoasa",
          "Arefu",
          "Babana",
          "Baiculesti",
          "Balilesti",
          "Barla",
          "Bascov",
          "Beleti-Negresti",
          "Berevoesti",
          "Bogati",
          "Boteni",
          "Botesti",
          "Bradu",
          "Bradulet",
          "Budeasa",
          "Bughea de Jos",
          "Buzoesti",
          "Caldararu",
          "Calinesti",
          "Campulung",
          "Cateasca",
          "Cepari",
          "Cetateni",
          "Cicanesti",
          "Ciofrangeni",
          "Ciomagesti",
          "Cocu",
          "Corbeni",
          "Corbi",
          "Cosesti",
          "Costesti",
          "Cotmeana",
          "Cuca",
          "Curtea de Arges",
          "Dambovicioara",
          "Darmanesti",
          "Davidesti",
          "Dobresti",
          "Domnesti",
          "Draganu",
          "Dragoslavele",
          "Godeni",
          "Harsesti",
          "Hartiesti",
          "Izvoru",
          "Leordeni",
          "Leresti",
          "Lunca Corbului",
          "Malureni",
          "Maracineni",
          "Merisani",
          "Micesti",
          "Mihaesti",
          "Mioarele",
          "Mioveni",
          "Mirosi",
          "Moraresti",
          "Mosoaia",
          "Mozaceni",
          "Musatesti",
          "Negrasi",
          "Nucsoara",
          "Oarja",
          "Pietrosani",
          "Pitesti",
          "Poenari",
          "Poiana Lacului",
          "Popesti",
          "Priboieni",
          "Ratesti",
          "Recea",
          "Rociu",
          "Rucar",
          "Salatrucu",
          "Sapata",
          "Schitu-Golesti",
          "Slobozia",
          "Stalpeni",
          "Stefan cel Mare",
          "Stefanesti",
          "Stoenesti",
          "Stolnici",
          "Suici",
          "Suseni",
          "Teiu",
          "Tigveni",
          "Titesti",
          "Topoloveni",
          "Uda",
          "Ungheni",
          "Valea Danului",
          "Valea Iasului",
          "Valea Mare-Pravat",
          "Vedea",
          "Vladesti"
        ]),
        States(name: "Arges", cities: [
          "Agas",
          "Ardeoani",
          "Asau",
          "Bacau",
          "Balcani",
          "Barsanesti",
          "Beresti-Bistrita",
          "Beresti-Tazlau",
          "Berzunti",
          "Blagesti",
          "Bogdanesti",
          "Brusturoasa",
          "Buhoci",
          "Buhusi",
          "Caiuti",
          "Casin",
          "Cleja",
          "Colonesti",
          "Comanesti",
          "Corbasca",
          "Cotofanesti",
          "Damienesti",
          "Darmanesti",
          "Dealu Morii",
          "Dofteana",
          "Faraoani",
          "Filipeni",
          "Filipesti",
          "Gaiceana",
          "Garleni",
          "Ghimes-Faget",
          "Glavanesti",
          "Gura Vaii",
          "Helegiu",
          "Hemeius",
          "Horgesti",
          "Huruesti",
          "Izvoru Berheciului",
          "Letea Veche",
          "Lipova",
          "Livezi",
          "Luizi-Calugara",
          "Magiresti",
          "Magura",
          "Manastirea Casin",
          "Margineni",
          "Moinesti",
          "Motoseni",
          "Negri",
          "Nicolae Balcescu",
          "Oituz",
          "Oncesti",
          "Onesti",
          "Orbeni",
          "Palanca",
          "Pancesti",
          "Parava",
          "Pargaresti",
          "Parincea",
          "Parjol",
          "Plopana",
          "Podu Turcului",
          "Poduri",
          "Racaciuni",
          "Rachitoasa",
          "Racova",
          "Rosiori",
          "Sanduleni",
          "Sascut",
          "Saucesti",
          "Scorteni",
          "Secuieni",
          "Slanic-Moldova",
          "Solont",
          "Stanisesti",
          "Stefan cel Mare",
          "Strugari",
          "Tamasi",
          "Targu Ocna",
          "Targu-Trotus",
          "Tatarasti",
          "Traian",
          "Ungureni",
          "Urechesti",
          "Valea Seaca",
          "Vultureni",
          "Zemes"
        ]),
        States(name: "Bacau", cities: [
          "Abram",
          "Abramut",
          "Alesd",
          "Astileu",
          "Auseu",
          "Avram Iancu",
          "Balc",
          "Batar",
          "Beius",
          "Biharia",
          "Boianu Mare",
          "Borod",
          "Bors",
          "Bratca",
          "Brusturi",
          "Budureasa",
          "Buduslau",
          "Bulz",
          "Buntesti",
          "Cabesti",
          "Campani",
          "Capalna",
          "Carpinet",
          "Cefa",
          "Ceica",
          "Cetariu",
          "Cherechiu",
          "Chislaz",
          "Ciuhoiu",
          "Ciumeghiu",
          "Cociuba Mare",
          "Copacel",
          "Cristioru de Jos",
          "Curatele",
          "Curtuiseni",
          "Derna",
          "Diosig",
          "Dobresti",
          "Draganesti",
          "Dragesti",
          "Finis",
          "Girisu de Cris",
          "Hidiselu de Sus",
          "Holod",
          "Husasau de Tinca",
          "Ineu",
          "Lazareni",
          "Lazuri de Beius",
          "Lugasu de Jos",
          "Lunca",
          "Madaras",
          "Magesti",
          "Marghita",
          "Nojorid",
          "Nucet",
          "Olcea",
          "Oradea",
          "Osorheiu",
          "Pietroasa",
          "Pocola",
          "Pomezeu",
          "Popesti",
          "Rabagani",
          "Remetea",
          "Rieni",
          "Rosia",
          "Sacadat",
          "Sacueni",
          "Salacea",
          "Salard",
          "Salonta",
          "Sambata",
          "Sanmartin",
          "Santandrei",
          "Sarbi",
          "Simian",
          "Sinteu",
          "Soimi",
          "Spinus",
          "Stei",
          "Suncuius",
          "Suplacu de Barcau",
          "Tarcaia",
          "Tarcea",
          "Tauteu",
          "Tetchea",
          "Tileagd",
          "Tinca",
          "Tulca",
          "Uileacu de Beius",
          "Vadu Crisului",
          "Valea lui Mihai",
          "Varciorog",
          "Vascau",
          "Viisoara"
        ]),
        States(name: "Bihor", cities: [
          "Beclean",
          "Bistrita",
          "Bistrita Bargaului",
          "Branistea",
          "Budacu de Jos",
          "Budesti",
          "Caianu Mic",
          "Cetate",
          "Chiochis",
          "Chiuza",
          "Ciceu-Giurgesti",
          "Cosbuc",
          "Dumitra",
          "Feldru",
          "Galatii Bistritei",
          "Ilva Mare",
          "Ilva Mica",
          "Josenii Bargaului",
          "Lechinta",
          "Lesu",
          "Livezile",
          "Lunca Ilvei",
          "Magura Ilvei",
          "Maieru",
          "Mariselu",
          "Matei",
          "Micestii de Campie",
          "Milas",
          "Monor",
          "Nasaud",
          "Nimigea",
          "Nuseni",
          "Parva",
          "Petru Rares",
          "Prundu Bargaului",
          "Rebra",
          "Rebrisoara",
          "Rodna",
          "Romuli",
          "Salva",
          "Sangeorz-Bai",
          "Sanmihaiu de Campie",
          "Sant",
          "Sieu",
          "Sieu-Magherus",
          "Sieu-Odorhei",
          "Sieut",
          "Silvasu de Campie",
          "Sintereag",
          "Spermezeu",
          "Tarlisua",
          "Teaca",
          "Telciu",
          "Tiha Bargaului",
          "Uriu",
          "Urmenis",
          "Zagra"
        ]),
        States(name: "Bistrita-Nasaud", cities: [
          "Albesti",
          "Avrameni",
          "Baluseni",
          "Botosani",
          "Braesti",
          "Broscauti",
          "Bucecea",
          "Calarasi",
          "Concesti",
          "Copalau",
          "Cordareni",
          "Corlateni",
          "Corni",
          "Cotusca",
          "Cristesti",
          "Cristinesti",
          "Curtesti",
          "Dangeni",
          "Darabani",
          "Dersca",
          "Dobarceni",
          "Dorohoi",
          "Draguseni",
          "Durnesti",
          "Flamanzi",
          "Frumusica",
          "George Enescu",
          "Gorbanesti",
          "Hanesti",
          "Havarna",
          "Hiliseu-Horia",
          "Hlipiceni",
          "Hudesti",
          "Ibanesti",
          "Leorda",
          "Lunca",
          "Manoleasa",
          "Mihail Eminescu",
          "Mihaileni",
          "Mihalaseni",
          "Mileanca",
          "Mitoc",
          "Nicseni",
          "Paltinis",
          "Pomarla",
          "Prajeni",
          "Rachiti",
          "Radauti-Prut",
          "Rauseni",
          "Ripiceni",
          "Roma",
          "Romanesti",
          "Santa-Maria",
          "Saveni",
          "Sendriceni",
          "Stauceni",
          "Stefanesti",
          "Stiubieni",
          "Suharau",
          "Sulita",
          "Todireni",
          "Trusesti",
          "Tudora",
          "Ungureni",
          "Unteni",
          "Vaculesti",
          "Varfu Campului",
          "Viisoara",
          "Vladeni",
          "Vlasinesti",
          "Vorniceni",
          "Vorona"
        ]),
        States(name: "Botosani", cities: [
          "Baraganul",
          "Bertestii de Jos",
          "Bordei Verde",
          "Braila",
          "Chiscani",
          "Ciocile",
          "Ciresu",
          "Dudesti",
          "Faurei",
          "Frecatei",
          "Galbenu",
          "Gemenele",
          "Gradistea",
          "Gropeni",
          "Ianca",
          "Insuratei",
          "Jirlau",
          "Marasu",
          "Maxineni",
          "Mircea Voda",
          "Movila Miresei",
          "Racovita",
          "Ramnicelu",
          "Romanu",
          "Rosiori",
          "Salcia Tudor",
          "Scortaru Nou",
          "Silistea",
          "Stancuta",
          "Surdila-Gaiseanca",
          "Surdila-Greci",
          "Sutesti",
          "Tichilesti",
          "Traian",
          "Tudor Vladimirescu",
          "Tufesti",
          "Ulmu",
          "Unirea",
          "Vadeni",
          "Victoria",
          "Visani",
          "Viziru",
          "Zavoaia"
        ]),
        States(name: "Braila", cities: [
          "Apata",
          "Beclean",
          "Bod",
          "Bran",
          "Brasov",
          "Budila",
          "Bunesti",
          "Cata",
          "Cincu",
          "Codlea",
          "Comana",
          "Cristian",
          "Dumbravita",
          "Fagaras",
          "Feldioara",
          "Fundata",
          "Ghimbav",
          "Halchiu",
          "Harman",
          "Harseni",
          "Hoghiz",
          "Homorod",
          "Jibert",
          "Lisa",
          "Maierus",
          "Mandra",
          "Moeciu",
          "Ormenis",
          "Parau",
          "Poiana Marului",
          "Predeal",
          "Prejmer",
          "Racos",
          "Rasnov",
          "Recea",
          "Rupea",
          "Sacele",
          "Sanpetru",
          "Sercaia",
          "Sinca",
          "Soars",
          "Tarlungeni",
          "Teliu",
          "Ticusul",
          "Ucea",
          "Ungra",
          "Vama Buzaului",
          "Victoria",
          "Vistea",
          "Voila",
          "Vulcan",
          "Zarnesti"
        ]),
        States(name: "Brasov", cities: ["Bucharest", "Bucuresti"]),
        States(name: "Bucuresti", cities: [
          "Amaru",
          "Balaceanu",
          "Balta Alba",
          "Beceni",
          "Berca",
          "Bisoca",
          "Blajani",
          "Boldu",
          "Bozioru",
          "Bradeanu",
          "Braesti",
          "Breaza",
          "Buda",
          "Buzau",
          "Calvini",
          "Canesti",
          "Catina",
          "Cernatesti",
          "Chiliile",
          "Chiojdu",
          "Cilibia",
          "Cislau",
          "Cochirleanca",
          "Colti",
          "Constantin Rosetti",
          "Costesti",
          "Cozieni",
          "Galbinasi",
          "Gheraseni",
          "Ghergheasa",
          "Glodeanu-Silistea",
          "Glodeanul Sarat",
          "Grebanu",
          "Gura Teghii",
          "Largu",
          "Lopatari",
          "Luciu",
          "Magura",
          "Manzalesti",
          "Maracineni",
          "Margaritesti",
          "Merei",
          "Mihailesti",
          "Movila Banului",
          "Murgesti",
          "Naeni",
          "Nehoiu",
          "Odaile",
          "Padina",
          "Panatau",
          "Pardosi",
          "Parscov",
          "Patarlagele",
          "Pietroasele",
          "Podgoria",
          "Pogoanele",
          "Posta Calnau",
          "Puiesti",
          "Racoviteni",
          "Ramnicelu",
          "Ramnicu Sarat",
          "Robeasca",
          "Rusetu",
          "Sageata",
          "Sahateni",
          "Sapoca",
          "Sarulesti",
          "Scortoasa",
          "Scutelnici",
          "Siriu",
          "Smeeni",
          "Stalpu",
          "Tintesti",
          "Tisau",
          "Topliceni",
          "Ulmeni",
          "Vadu Pasii",
          "Valcelele",
          "Valea Ramnicului",
          "Valea Salciei",
          "Vernesti",
          "Vintila Voda",
          "Viperesti",
          "Zarnesti",
          "Ziduri"
        ]),
        States(name: "Buzau", cities: [
          "Alexandru Odobescu",
          "Belciugatele",
          "Borcea",
          "Budesti",
          "Calarasi",
          "Cascioarele",
          "Chirnogi",
          "Chiselet",
          "Ciocanesti",
          "Curcani",
          "Cuza Voda",
          "Dichiseni",
          "Dor Marunt",
          "Dorobantu",
          "Dragalina",
          "Dragos Voda",
          "Frasinet",
          "Frumusani",
          "Fundeni",
          "Fundulea",
          "Gradistea",
          "Gurbanesti",
          "Ileana",
          "Independenta",
          "Jegalia",
          "Lehliu",
          "Lehliu-Gara",
          "Luica",
          "Lupsanu",
          "Manastirea",
          "Mitreni",
          "Modelu",
          "Nana",
          "Nicolae Balcescu",
          "Oltenita",
          "Perisoru",
          "Plataresti",
          "Radovanu",
          "Roseti",
          "Sarulesti",
          "Sohatu",
          "Soldanu",
          "Spantov",
          "Stefan Voda",
          "Stefan cel Mare",
          "Tamadau Mare",
          "Ulmeni",
          "Ulmu",
          "Unirea",
          "Valcelele",
          "Valea Argovei",
          "Vasilati",
          "Vlad Tepes"
        ]),
        States(name: "Calarasi", cities: [
          "Anina",
          "Armenis",
          "Baile Herculane",
          "Bania",
          "Bautar",
          "Berliste",
          "Berzasca",
          "Berzovia",
          "Bocsa",
          "Bolvasnita",
          "Bozovici",
          "Brebu",
          "Brebu Nou",
          "Buchin",
          "Bucosnita",
          "Caransebes",
          "Carasova",
          "Carbunari",
          "Ciclova Romana",
          "Ciuchici",
          "Ciudanovita",
          "Constantin Daicoviciu",
          "Copacele",
          "Cornea",
          "Cornereva",
          "Coronini",
          "Dalboset",
          "Doclin",
          "Dognecea",
          "Domasnea",
          "Eftimie Murgu",
          "Ezeris",
          "Farliug",
          "Forotic",
          "Garnic",
          "Glimboca",
          "Goruia",
          "Gradinari",
          "Iablanita",
          "Lapusnicel",
          "Lapusnicu Mare",
          "Luncavita",
          "Lupac",
          "Marga",
          "Maureni",
          "Mehadia",
          "Mehadica",
          "Moldova Noua",
          "Naidas",
          "Obreja",
          "Ocna de Fier",
          "Oravita",
          "Otelu Rosu",
          "Paltinis",
          "Pojejena",
          "Prigor",
          "Racasdia",
          "Ramna",
          "Resita",
          "Rusca Montana",
          "Sacu",
          "Sasca Montana",
          "Sichevita",
          "Slatina-Timis",
          "Socol",
          "Sopotu Nou",
          "Tarnova",
          "Teregova",
          "Ticvaniu Mare",
          "Toplet",
          "Turnu Ruieni",
          "Valiug",
          "Varadia",
          "Vermes",
          "Vrani",
          "Zavoi",
          "Zorlentu Mare"
        ]),
        States(name: "Caras-Severin", cities: [
          "Aghiresu",
          "Aiton",
          "Alunis",
          "Apahida",
          "Aschileu",
          "Baciu",
          "Baisoara",
          "Belis",
          "Bobalna",
          "Bontida",
          "Borsa",
          "Buza",
          "Caianu",
          "Calarasi",
          "Calatele",
          "Camarasu",
          "Campia Turzii",
          "Capusu Mare",
          "Caseiu",
          "Catcau",
          "Catina",
          "Ceanu Mare",
          "Chinteni",
          "Chiuiesti",
          "Ciucea",
          "Ciurila",
          "Cluj-Napoca",
          "Cojocna",
          "Cornesti",
          "Cuzdrioara",
          "Dabaca",
          "Dej",
          "Feleacu",
          "Fizesu Gherlii",
          "Floresti",
          "Frata",
          "Garbau",
          "Geaca",
          "Gherla",
          "Gilau",
          "Huedin",
          "Iara",
          "Iclod",
          "Izvoru Crisului",
          "Jichisu de Jos",
          "Jucu",
          "Luna",
          "Maguri-Racatau",
          "Manastireni",
          "Margau",
          "Marisel",
          "Mica",
          "Mihai Viteazu",
          "Mintiu Gherlii",
          "Mociu",
          "Moldovenesti",
          "Palatca",
          "Panticeu",
          "Petrestii de Jos",
          "Ploscos",
          "Poieni",
          "Rasca",
          "Recea Cristur",
          "Sacuieu",
          "Sancraiu",
          "Sandulesti",
          "Sanmartin",
          "Sanpaul",
          "Savadisla",
          "Sic",
          "Suatu",
          "Taga",
          "Tritenii de Jos",
          "Turda",
          "Tureni",
          "Unguras",
          "Vad",
          "Valea Ierii",
          "Viisoara",
          "Vultureni"
        ]),
        States(name: "Cluj", cities: [
          "Adamclisi",
          "Agigea",
          "Albesti",
          "Aliman",
          "Amzacea",
          "Baneasa",
          "Basarabi",
          "Castelu",
          "Cerchezu",
          "Cernavoda",
          "Chirnogeni",
          "Ciobanu",
          "Ciocarlia",
          "Cobadin",
          "Cogealac",
          "Comana",
          "Constanta",
          "Corbu",
          "Costinesti",
          "Crucea",
          "Cumpana",
          "Deleni",
          "Dobromir",
          "Douazeci si Trei August",
          "Dumbraveni",
          "Eforie",
          "Garliciu",
          "Ghindaresti",
          "Harsova",
          "Horia",
          "Independenta",
          "Ion Corvin",
          "Istria",
          "Limanu",
          "Lipnita",
          "Lumina",
          "Mangalia",
          "Medgidia",
          "Mereni",
          "Mihai Viteazu",
          "Mihail Kogalniceanu",
          "Mircea Voda",
          "Navodari",
          "Negru Voda",
          "Nicolae Balcescu",
          "Oltina",
          "Ostrov",
          "Ovidiu",
          "Pantelimon",
          "Pecineaga",
          "Pestera",
          "Poarta Alba",
          "Rasova",
          "Sacele",
          "Saraiu",
          "Seimeni",
          "Silistea",
          "Targusor",
          "Techirghiol",
          "Topalu",
          "Topraisar",
          "Tortoman",
          "Tuzla",
          "Valu lui Traian",
          "Vulturu"
        ]),
        States(name: "Constanta", cities: [
          "Aita Mare",
          "Baraolt",
          "Barcani",
          "Batani",
          "Belin",
          "Bodoc",
          "Borosneu Mare",
          "Bradut",
          "Brates",
          "Bretcu",
          "Catalina",
          "Cernat",
          "Chichis",
          "Comandau",
          "Covasna",
          "Dobarlau",
          "Ghelinta",
          "Ghidfalau",
          "Haghig",
          "Ilieni",
          "Intorsura Buzaului",
          "Lemnia",
          "Malnas",
          "Moacsa",
          "Ojdula",
          "Ozun",
          "Poian",
          "Reci",
          "Sanzieni",
          "Sfantu Gheorghe",
          "Sita Buzaului",
          "Targu Secuiesc",
          "Turia",
          "Valcele",
          "Valea Crisului",
          "Valea Mare",
          "Varghis",
          "Zabala",
          "Zagon"
        ]),
        States(name: "Covasna", cities: [
          "Aninoasa",
          "Baleni",
          "Barbuletu",
          "Bezdead",
          "Bilciuresti",
          "Branesti",
          "Branistea",
          "Brezoaiele",
          "Buciumeni",
          "Bucsani",
          "Butimanu",
          "Candesti",
          "Ciocanesti",
          "Cobia",
          "Cojasca",
          "Comisani",
          "Contesti",
          "Corbii Mari",
          "Cornatelu",
          "Cornesti",
          "Costestii din Vale",
          "Crangurile de Sus",
          "Crevedia",
          "Darmanesti",
          "Dobra",
          "Doicesti",
          "Dragodana",
          "Dragomiresti",
          "Edera de Jos",
          "Fieni",
          "Finta",
          "Gaesti",
          "Glodeni",
          "Gura Foii",
          "Gura Ocnitei",
          "Gura Sutii",
          "Hulubesti",
          "Ion luca Caragiale",
          "Lucieni",
          "Ludesti",
          "Lunguletu",
          "Malu cu Flori",
          "Manesti",
          "Matasaru",
          "Mogosani",
          "Moreni",
          "Moroeni",
          "Morteni",
          "Motaeni",
          "Niculesti",
          "Nucet",
          "Ocnita",
          "Odobesti",
          "Petresti",
          "Pietrosita",
          "Poiana",
          "Potlogi",
          "Produlesti",
          "Pucheni",
          "Pucioasa",
          "Racari",
          "Razvad",
          "Runcu",
          "Salcioara",
          "Selaru",
          "Slobozia Moara",
          "Sotanga",
          "Targoviste",
          "Tartasesti",
          "Tatarani",
          "Titu",
          "Uliesti",
          "Ulmi",
          "Vacaresti",
          "Valea Lunga",
          "Valea Mare",
          "Valeni-Dambovita",
          "Varfuri",
          "Visina",
          "Visinesti",
          "Voinesti",
          "Vulcana Bai"
        ]),
        States(name: "Dambovita", cities: [
          "Afumati",
          "Almajiu",
          "Amarastii de Jos",
          "Amarastii de Sus",
          "Apele Vii",
          "Argetoaia",
          "Bailesti",
          "Barca",
          "Bechet",
          "Bistret",
          "Botosesti-Paia",
          "Brabova",
          "Bradesti",
          "Bralostita",
          "Bratovoesti",
          "Breasta",
          "Bucovat",
          "Bulzesti",
          "Calafat",
          "Calarasi",
          "Calopar",
          "Caraula",
          "Carpen",
          "Castra-Nova",
          "Celaru",
          "Ceratu",
          "Cernatesti",
          "Cetate",
          "Cioroiasiu",
          "Ciupercenii Noi",
          "Cosoveni",
          "Cotofenii din Dos",
          "Craiova",
          "Dabuleni",
          "Daneti",
          "Desa",
          "Diosti",
          "Dobresti",
          "Dragotesti",
          "Dranic",
          "Farcasu",
          "Filiasi",
          "Galicea Mare",
          "Gangiova",
          "Ghercesti",
          "Gighera",
          "Giubega",
          "Giurgita",
          "Gogosu",
          "Goicea",
          "Goiesti",
          "Grecesti",
          "Isalnita",
          "Izvoare",
          "Leu",
          "Lipovu",
          "Macesu de Jos",
          "Macesu de Sus",
          "Maglavit",
          "Malu Mare",
          "Marsani",
          "Melinesti",
          "Mischii",
          "Motatei",
          "Murgasi",
          "Negoi",
          "Orodel",
          "Ostroveni",
          "Perisor",
          "Pielesti",
          "Piscu Vechi",
          "Plenita",
          "Podari",
          "Poiana Mare",
          "Predesti",
          "Radovan",
          "Rastu",
          "Robanesti",
          "Sadova",
          "Salcuta",
          "Scaesti",
          "Seaca de Camp",
          "Seaca de Padure",
          "Secu",
          "Segarcea",
          "Silistea Crucii",
          "Simnicu de Sus",
          "Sopot",
          "Teasc",
          "Terpezita",
          "Teslui",
          "Tuglui",
          "Unirea",
          "Urzicuta",
          "Valea Stanciului",
          "Vartop",
          "Varvoru",
          "Vela",
          "Verbita"
        ]),
        States(name: "Dolj", cities: [
          "Balabanesti",
          "Balasesti",
          "Baleni",
          "Baneasa",
          "Barcea",
          "Beresti",
          "Beresti-Sat",
          "Brahasesti",
          "Branistea",
          "Buciumeni",
          "Cavadinesti",
          "Certesti",
          "Corni",
          "Corod",
          "Cosmesti",
          "Costache Negri",
          "Cuca",
          "Cudalbi",
          "Draganesti",
          "Draguseni",
          "Fartanesti",
          "Foltesti",
          "Frumusita",
          "Fundeni",
          "Galati",
          "Ghidigeni",
          "Gohor",
          "Grivita",
          "Independenta",
          "Ivesti",
          "Jorasti",
          "Liesti",
          "Mastacani",
          "Matca",
          "Movileni",
          "Munteni",
          "Namoloasa",
          "Nicoresti",
          "Oancea",
          "Pechea",
          "Piscu",
          "Priponesti",
          "Rediu",
          "Scanteiesti",
          "Schela",
          "Sendreni",
          "Slobozia-Conachi",
          "Smardan",
          "Smulti",
          "Suceveni",
          "Targu Bujor",
          "Tecuci",
          "Tepu",
          "Tudor Vladimirescu",
          "Tulucesti",
          "Umbraresti",
          "Valea Marului",
          "Vanatori",
          "Varlezi",
          "Vladesti"
        ]),
        States(name: "Galati", cities: [
          "Adunatii-Copaceni",
          "Baneasa",
          "Bolintin Deal",
          "Bolintinu-din-Vale",
          "Bucsani",
          "Bulbucata",
          "Buturugeni",
          "Calugareni",
          "Clejani",
          "Colibasi",
          "Comana",
          "Crevedia Mare",
          "Daia",
          "Floresti-Stoenesti",
          "Fratesti",
          "Gaiseni",
          "Gaujani",
          "Ghimpati",
          "Giurgiu",
          "Gogosari",
          "Gostinari",
          "Gostinu",
          "Gradinari",
          "Greaca",
          "Hotarele",
          "Iepuresti",
          "Izvoarele",
          "Joita",
          "Letca Noua",
          "Marsa",
          "Mihai Bravu",
          "Mihailesti",
          "Ogrezeni",
          "Oinacu",
          "Prundu",
          "Putineiu",
          "Rasuceni",
          "Roata de Jos",
          "Schitu",
          "Singureni",
          "Slobozia",
          "Stanesti",
          "Stoenesti",
          "Toporu",
          "Ulmi",
          "Valea Dragului",
          "Vanatorii Mici",
          "Varasti",
          "Vedea"
        ]),
        States(name: "Giurgiu", cities: [
          "Albeni",
          "Alimpesti",
          "Aninoasa",
          "Arcani",
          "Baia de Fier",
          "Balanesti",
          "Balesti",
          "Balteni",
          "Barbatesti",
          "Bengesti",
          "Berlesti",
          "Bolbosi",
          "Borascu",
          "Branesti",
          "Bumbesti-Jiu",
          "Bumbesti-Piticu",
          "Bustuchin",
          "Calnic",
          "Capreni",
          "Catunele",
          "Ciuperceni",
          "Crasna",
          "Crusetu",
          "Danciulesti",
          "Danesti",
          "Dragotesti",
          "Dragutesti",
          "Farcasesti",
          "Glogova",
          "Godinesti",
          "Hurezani",
          "Ionesti",
          "Jupanesti",
          "Lelesti",
          "Licuriciu",
          "Logresti",
          "Matasari",
          "Motru",
          "Musetesti",
          "Negomiru",
          "Novaci",
          "Pades",
          "Pestisani",
          "Plopsoru",
          "Polovragi",
          "Prigoria",
          "Rosia de Amaradia",
          "Rovinari",
          "Runcu",
          "Sacelu",
          "Samarinesti",
          "Saulesti",
          "Schela",
          "Scoarta",
          "Slivilesti",
          "Stanesti",
          "Stejari",
          "Stoina",
          "Tantareni",
          "Targu Carbunesti",
          "Targu Jiu",
          "Telesti",
          "Ticleni",
          "Tismana",
          "Turburea",
          "Turceni",
          "Turcinesti",
          "Urdari",
          "Vagiulesti",
          "Vladimir"
        ]),
        States(name: "Gorj", cities: [
          "Atid",
          "Avramesti",
          "Baile Tusnad",
          "Balan",
          "Bilbor",
          "Borsec",
          "Bradesti",
          "Capalnita",
          "Carta",
          "Ciucsangeorgiu",
          "Ciumani",
          "Corbu",
          "Corund",
          "Cristuru Secuiesc",
          "Danesti",
          "Darjiu",
          "Dealu",
          "Ditrau",
          "Feliceni",
          "Frumoasa",
          "Galautas",
          "Gheorgheni",
          "Joseni",
          "Lazarea",
          "Lueta",
          "Lunca de Jos",
          "Lunca de Sus",
          "Lupeni",
          "Martinis",
          "Meresti",
          "Miercurea-Ciuc",
          "Mihaileni",
          "Mugeni",
          "Ocland",
          "Odorheiu Secuiesc",
          "Pauleni-Ciuc",
          "Plaiesii-de-Jos",
          "Praid",
          "Remetea",
          "Sacel",
          "Sancraieni",
          "Sandominic",
          "Sanmartin",
          "Sansimion",
          "Sarmas",
          "Secuieni",
          "Siculeni",
          "Simonesti",
          "Subcetate",
          "Suseni",
          "Toplita",
          "Tulghes",
          "Tusnad",
          "Ulies",
          "Varsag",
          "Vlahita",
          "Voslobeni",
          "Zetea"
        ]),
        States(name: "Harghita", cities: [
          "Aninoasa",
          "Bacia",
          "Baia de Cris",
          "Baita",
          "Balsa",
          "Banita",
          "Baru",
          "Batrana",
          "Beriu",
          "Berthelot",
          "Blajeni",
          "Bosorod",
          "Brad",
          "Branisca",
          "Bretea Romana",
          "Buces",
          "Bucuresci",
          "Bulzesti",
          "Bunila",
          "Burjuc",
          "Calan",
          "Carjiti",
          "Cerbal",
          "Certeju de Sus",
          "Criscior",
          "Densus",
          "Deva",
          "Dobra",
          "Geoagiu",
          "Ghelari",
          "Gurasada",
          "Harau",
          "Hateg",
          "Hunedoara",
          "Ilia",
          "Lapugiu de Jos",
          "Lelese",
          "Lunca Cernii de Jos",
          "Luncoiu de Jos",
          "Lupeni",
          "Martinesti",
          "Orastie",
          "Orastioara de Sus",
          "Pestisu Mic",
          "Petrila",
          "Petrosani",
          "Pui",
          "Rachitova",
          "Rapoltu Mare",
          "Rau de Mori",
          "Ribita",
          "Romos",
          "Salasu de Sus",
          "Santamaria Orlea",
          "Sarmizegetusa",
          "Simeria",
          "Soimus",
          "Teliucu Inferior",
          "Tomesti",
          "Toplita",
          "Totesti",
          "Turdas",
          "Uricani",
          "Valisoara",
          "Vata de Jos",
          "Vetel",
          "Vorta",
          "Vulcan",
          "Zam"
        ]),
        States(name: "Hunedoara", cities: [
          "Adancata",
          "Albesti",
          "Alexeni",
          "Amara",
          "Andrasesti",
          "Armasesti",
          "Axintele",
          "Balaciu",
          "Barcanesti",
          "Bordusani",
          "Brazii",
          "Bucu",
          "Cazanesti",
          "Ciocarlia",
          "Ciochina",
          "Ciulnita",
          "Cocora",
          "Cosambesti",
          "Cosereni",
          "Dragoesti",
          "Dridu",
          "Facaeni",
          "Fetesti",
          "Fierbinti-Targ",
          "Garbovi",
          "Gheorghe Doja",
          "Gheorghe Lazar",
          "Giurgeni",
          "Grindu",
          "Grivita",
          "Ion Roata",
          "Jilavele",
          "Manasia",
          "Mihail Kogalniceanu",
          "Milosesti",
          "Movila",
          "Movilita",
          "Munteni Buzau",
          "Perieti",
          "Reviga",
          "Salcioara",
          "Saveni",
          "Scanteia",
          "Sfantu Gheorghe",
          "Sinesti",
          "Slobozia",
          "Stelnica",
          "Suditi",
          "Tandarei",
          "Urziceni",
          "Valea Ciorii",
          "Valea Macrisului",
          "Vladeni"
        ]),
        States(name: "Ialomita", cities: [
          "Alexandru Ioan Cuza",
          "Andrieseni",
          "Aroneanu",
          "Baltati",
          "Barnova",
          "Belcesti",
          "Bivolari",
          "Braesti",
          "Butea",
          "Ceplenita",
          "Ciortesti",
          "Ciurea",
          "Coarnele Caprei",
          "Comarna",
          "Costuleni",
          "Cotnari",
          "Cozmesti",
          "Cristesti",
          "Cucuteni",
          "Dagata",
          "Deleni",
          "Dobrovat",
          "Dolhesti",
          "Dumesti",
          "Erbiceni",
          "Focuri",
          "Golaesti",
          "Gorban",
          "Grajduri",
          "Gropnita",
          "Grozesti",
          "Halaucesti",
          "Harlau",
          "Helesteni Harmaneasa",
          "Holboca",
          "Horlesti",
          "Iasi",
          "Ipatele",
          "Lespezi",
          "Letcani",
          "Lungani",
          "Madarjac",
          "Mircesti",
          "Mironeasa",
          "Miroslava",
          "Miroslovesti",
          "Mogosesti",
          "Mogosesti-Siret",
          "Mosna",
          "Motca",
          "Movileni",
          "Oteleni",
          "Pascani",
          "Plugari",
          "Podu Iloaiei",
          "Popesti",
          "Popricani",
          "Prisacani",
          "Probota",
          "Raducaneni",
          "Rediu",
          "Romanesti",
          "Ruginoasa",
          "Scanteia",
          "Scheia",
          "Schitu-Duca",
          "Scobinti",
          "Sinesti",
          "Sipote",
          "Siretel",
          "Stolniceni-Prajescu",
          "Strunga",
          "Tansa",
          "Targu Gangiulesti",
          "Tatarusi",
          "Tibana",
          "Tibanesti",
          "Tiganasi",
          "Todiresti",
          "Tomesti",
          "Trifesti",
          "Tutora",
          "Ungheni",
          "Valea Seaca",
          "Vanatori",
          "Victoria",
          "Vladeni",
          "Voinesti"
        ]),
        States(name: "Iasi", cities: [
          "Afumati",
          "Balotesti",
          "Berceni",
          "Bragadiru",
          "Branesti",
          "Buftea",
          "Cernica",
          "Chiajna",
          "Chitila",
          "Ciolpani",
          "Ciorogarla",
          "Clinceni",
          "Corbeanca",
          "Cornetu",
          "Darasti-Ilfov",
          "Dascalu",
          "Dobroesti",
          "Domnesti",
          "Dragomiresti-Vale",
          "Ganeasa",
          "Glina",
          "Gradistea",
          "Gruiu",
          "Jilava",
          "Magurele",
          "Moara Vlasiei",
          "Mogosoaia",
          "Nuci",
          "Otopeni",
          "Pantelimon",
          "Peris",
          "Petrachioaia",
          "Popesti-Leordeni",
          "Prim Decembrie",
          "Snagov",
          "Stefanestii de Jos",
          "Tunari",
          "Vidra",
          "Voluntari"
        ]),
        States(name: "Ilfov", cities: [
          "Ardusat",
          "Arinis",
          "Asuaju de Sus",
          "Baia Mare",
          "Baia-Sprie",
          "Baita de sub Codru",
          "Baiut",
          "Barsana",
          "Basesti",
          "Bicaz",
          "Bistra",
          "Bocicoiu Mare",
          "Bogdan Voda",
          "Boiu Mare",
          "Borsa",
          "Botiza",
          "Budesti",
          "Calinesti",
          "Campulung la Tisa",
          "Cavnic",
          "Cernesti",
          "Cicarlau",
          "Copalnic Manastur",
          "Coroieni",
          "Cupseni",
          "Desesti",
          "Dragomiresti",
          "Dumbravita",
          "Farcasa",
          "Giulesti",
          "Grosi",
          "Ieud",
          "Lapus",
          "Leordina",
          "Miresu Mare",
          "Moisei",
          "Oarta de Jos",
          "Ocna Sugatag",
          "Petrova",
          "Poienile Izei",
          "Poienile de sub Munte",
          "Recea",
          "Remetea Chioarului",
          "Remeti",
          "Repedea",
          "Rona de Jos",
          "Rona de Sus",
          "Rozavlea",
          "Ruscova",
          "Sacalaseni",
          "Sacel",
          "Salistea de Sus",
          "Salsig",
          "Sapanta",
          "Sarasau",
          "Sasar",
          "Satulung",
          "Seini",
          "Sighetu Marmatiei",
          "Sisesti",
          "Somcuta Mare",
          "Stramtura",
          "Suciu de Sus",
          "Targu-Lapus",
          "Tautii Margheraus",
          "Ulmeni",
          "Vadu Izei",
          "Valea Chioarului",
          "Vima Mica",
          "Viseu de Jos",
          "Viseu de Sus"
        ]),
        States(name: "Maramures", cities: [
          "Baclesu",
          "Baia de Arama",
          "Bala",
          "Balacita",
          "Balta",
          "Balvanesti",
          "Breznita Ocol",
          "Breznita-Motru",
          "Brosteni",
          "Burila Mare",
          "Butoiesti",
          "Cazanesti",
          "Ciresu",
          "Corcova",
          "Corlatel",
          "Cujmir",
          "Darvari",
          "Devesel",
          "Drobeta-Turnu Severin",
          "Dubova",
          "Dumbrava",
          "Eselnita",
          "Floresti",
          "Garla Mare",
          "Godeanu",
          "Gogosu",
          "Greci",
          "Grozesti",
          "Gruia",
          "Hinova",
          "Husnicioara",
          "Ilovat",
          "Ilovita",
          "Isverna",
          "Izvoru Barzii",
          "Jiana",
          "Livezile",
          "Malovat",
          "Obarsia Noua",
          "Obarsia-Closani",
          "Oprisor",
          "Orsova",
          "Padina",
          "Patulele",
          "Podeni",
          "Ponoarele",
          "Poroina Mare",
          "Pristol",
          "Prunisor",
          "Punghina",
          "Rogova",
          "Salcia",
          "Simian",
          "Sisesti",
          "Sovarna",
          "Stangaceaua",
          "Strehaia",
          "Svinita",
          "Tamna",
          "Vanatori",
          "Vanju Mare",
          "Vanjulet",
          "Vladaia",
          "Voloiac"
        ]),
        States(name: "Mehedinti", cities: [
          "Acatari",
          "Adamus",
          "Albesti",
          "Alunis",
          "Apold",
          "Atintis",
          "Bagaciu",
          "Bahnea",
          "Bala",
          "Balauseri",
          "Band",
          "Batos",
          "Beica de Jos",
          "Bichis",
          "Bogata",
          "Brancovenesti",
          "Breaza",
          "Ceuasul-de Campie",
          "Chetani",
          "Chiheru de Jos",
          "Coroisanmartin",
          "Cozma",
          "Craciunesti",
          "Craiesti",
          "Cristesti",
          "Cucerdea",
          "Cuci",
          "Danes",
          "Deda",
          "Eremitu",
          "Ernei",
          "Fantanele",
          "Faragau",
          "Galesti",
          "Ganesti",
          "Gheorghe Doja",
          "Ghindari",
          "Glodeni",
          "Gornesti",
          "Grebenisu de Campie",
          "Gurghiu",
          "Hodac",
          "Hodosa",
          "Ibanesti",
          "Iclanzel",
          "Ideciu de Jos",
          "Iernut",
          "Livezeni",
          "Ludus",
          "Lunca",
          "Lunca Bradului",
          "Magherani",
          "Mica",
          "Miercurea Nirajului",
          "Mihesu de Campie",
          "Nades",
          "Neaua",
          "Ogra",
          "Panet",
          "Papiu Ilarian",
          "Pasareni",
          "Petelea",
          "Pogaceaua",
          "Raciu",
          "Rastolita",
          "Reghin",
          "Rusii Munti",
          "Sancraiul-de-Mures",
          "Sangeorg-de Mures",
          "Sangeorgiu-de-Padure",
          "Sanger",
          "Sanpaul",
          "Sanpetru-de-Campie",
          "Santana-de-Mures",
          "Sarmasu",
          "Saschiz",
          "Saulia",
          "Sighisoara",
          "Sincai",
          "Solovastru",
          "Sovata",
          "Stanceni",
          "Suplac",
          "Suseni",
          "Targu-Mures",
          "Tarnaveni",
          "Taureni",
          "Ungheni",
          "Valea Larga",
          "Vanatori",
          "Vargata",
          "Vatava",
          "Vetca",
          "Viisoara",
          "Voivodeni",
          "Zagar",
          "Zau de Campie"
        ]),
        States(name: "Mures", cities: [
          "Agapia",
          "Bahna",
          "Baltatesti",
          "Bara",
          "Bargaoani",
          "Bicaz",
          "Bicaz Chei",
          "Bicazu Ardelean",
          "Bodesti",
          "Borca",
          "Borlesti",
          "Botesti",
          "Bozieni",
          "Brusturi-Draganesti",
          "Candesti",
          "Ceahlau",
          "Cordun",
          "Costisa",
          "Cracaoani",
          "Damuc",
          "Dobreni",
          "Doljesti",
          "Dragomiresti",
          "Dulcesti",
          "Dumbrava Rosie",
          "Farcasa",
          "Faurei",
          "Garcina",
          "Gheraesti",
          "Girov",
          "Grinties",
          "Grumazesti",
          "Hangu",
          "Horia",
          "Icusesti",
          "Ion Creanga",
          "Margineni",
          "Moldoveni",
          "Oniceni",
          "Pangarati",
          "Pastraveni",
          "Petricani",
          "Piatra Neamt",
          "Piatra Soimului",
          "Pipirig",
          "Podoleni",
          "Poiana Teiului",
          "Poienari",
          "Raucesti",
          "Razboieni",
          "Rediu",
          "Roman",
          "Romani",
          "Roznov",
          "Sabaoani",
          "Sagna",
          "Savinesti",
          "Secuieni",
          "Stanita",
          "Stefan cel Mare",
          "Tamaseni",
          "Tarcau",
          "Targu-Neamt",
          "Tasca",
          "Tazlau",
          "Tibucani",
          "Timisesti",
          "Trifesti",
          "Tupilati",
          "Urecheni",
          "Valea Ursului",
          "Vanatori-Neamt",
          "Viisoara",
          "Zanesti"
        ]),
        States(name: "Neamt", cities: [
          "Babiciu",
          "Baldovinesti",
          "Bals",
          "Barasti",
          "Barza",
          "Bobicesti",
          "Brancoveni",
          "Brastavatu",
          "Brebeni",
          "Bucinisu",
          "Caracal",
          "Carlogani",
          "Cezieni",
          "Cilieni",
          "Colonesti",
          "Corabia",
          "Corbu",
          "Coteana",
          "Crampoaia",
          "Cungrea",
          "Curtisoara",
          "Daneasa",
          "Deveselu",
          "Dobretu",
          "Dobrosloveni",
          "Dobroteasa",
          "Dobrun",
          "Draganesti-Olt",
          "Draghiceni",
          "Fagetelu",
          "Falcoiu",
          "Farcasele",
          "Ganeasa",
          "Garcovu",
          "Giuvarasti",
          "Gostavatu",
          "Gradinari",
          "Grojdibodu",
          "Ianca",
          "Iancu Jianu",
          "Icoana",
          "Izbiceni",
          "Izvoarele",
          "Leleasca",
          "Maruntei",
          "Mihaesti",
          "Milcov",
          "Morunglav",
          "Movileni",
          "Nicolae Titulescu",
          "Obarsia",
          "Oboga",
          "Oporelu",
          "Optasi",
          "Orlea",
          "Osica de Sus",
          "Parscoveni",
          "Perieti",
          "Piatra Olt",
          "Plesoiu",
          "Poboru",
          "Potcoava",
          "Priseaca",
          "Radomiresti",
          "Redea",
          "Rotunda",
          "Rusanesti",
          "Samburesti",
          "Scarisoara",
          "Schitu",
          "Scornicesti",
          "Seaca",
          "Serbanesti",
          "Slatina",
          "Slatioara",
          "Spineni",
          "Sprancenata",
          "Stefan cel Mare",
          "Stoenesti",
          "Stoicanesti",
          "Strejesti",
          "Studina",
          "Tatulesti",
          "Teslui",
          "Tia Mare",
          "Topana",
          "Traian",
          "Tufeni",
          "Urzica",
          "Vadastra",
          "Vadastrita",
          "Valcele",
          "Valea Mare",
          "Valeni",
          "Verguleasa",
          "Visina",
          "Vitomiresti",
          "Vladila",
          "Voineasa",
          "Vulpeni",
          "Vulturesti"
        ]),
        States(name: "Olt", cities: [
          "Adunati",
          "Albesti-Paleologu",
          "Alunis",
          "Apostolache",
          "Aricestii-Rahtivani",
          "Aricestii-Zeletin",
          "Azuga",
          "Baba Ana",
          "Baicoi",
          "Balta Doamnei",
          "Baltesti",
          "Banesti",
          "Barcanesti",
          "Berceni",
          "Bertea",
          "Blejoi",
          "Boldesti",
          "Boldesti-Scaeni",
          "Brazi",
          "Breaza",
          "Brebu",
          "Bucov",
          "Busteni",
          "Calugareni",
          "Campina",
          "Carbunesti",
          "Ceptura",
          "Cerasu",
          "Chiojdeanca",
          "Ciorani",
          "Cocorastii-Misli",
          "Colceag",
          "Comarnic",
          "Cornu",
          "Cosminele",
          "Doftana",
          "Draganesti",
          "Drajna",
          "Dumbrava",
          "Dumbravesti",
          "Fantanele",
          "Filipestii de Padure",
          "Filipestii de Targ",
          "Floresti",
          "Fulga",
          "Gherghita",
          "Gorgota",
          "Gornet",
          "Gornet-Cricov",
          "Gura Vadului",
          "Gura Vitioarei",
          "Iordacheanu",
          "Izvoarele",
          "Jugureni",
          "Lapos",
          "Lipanesti",
          "Magurele",
          "Magureni",
          "Maneciu",
          "Manesti",
          "Mizil",
          "Pacureti",
          "Paulesti",
          "Ploiesti",
          "Plopeni",
          "Plopu",
          "Podenii Noi",
          "Poenarii-Burchi",
          "Poiana Campina",
          "Posesti",
          "Predeal-Sarari",
          "Provita de Jos",
          "Provita de Sus",
          "Puchenii Mari",
          "Rafov",
          "Salcia",
          "Salciile",
          "Sangeru",
          "Scorteni",
          "Secaria",
          "Sinaia",
          "Sirna",
          "Slanic",
          "Soimari",
          "Sotrile",
          "Starchiojd",
          "Stefesti",
          "Surani",
          "Talea",
          "Targsorul-Vechi",
          "Tataru",
          "Teisani",
          "Telega",
          "Tinosu",
          "Tomsani",
          "Urlati",
          "Valcanesti",
          "Valea Calugareasca",
          "Valenii de Munte",
          "Varbilau"
        ]),
        States(name: "Prahova", cities: [
          "Agrij",
          "Almasu",
          "Babeni",
          "Balan",
          "Banisor",
          "Benesat",
          "Bobota",
          "Bocsa",
          "Buciumi",
          "Camar",
          "Carastelec",
          "Cehu Silvaniei",
          "Chiesd",
          "Cizer",
          "Coseiu",
          "Crasna",
          "Creaca",
          "Criseni",
          "Cristolt",
          "Cuzaplac",
          "Dobrin",
          "Dragu",
          "Fildu de Jos",
          "Galgau",
          "Garbou",
          "Halmasd",
          "Hereclean",
          "Hida",
          "Horoatu Crasnei",
          "Ileanda",
          "Ip",
          "Jibou",
          "Letca",
          "Lozna",
          "Maeriste",
          "Marca",
          "Mesesenii de Jos",
          "Mirsid",
          "Napradea",
          "Nusfalau",
          "Periceiu",
          "Plopis",
          "Poiana Blenchii",
          "Romanasi",
          "Rus",
          "Sag",
          "Salatig",
          "Samsud",
          "Sanmihaiul-Almasului",
          "Sarmasag",
          "Simleu Silvaniei",
          "Somes-Odorhei",
          "Surduc",
          "Treznea",
          "Valcau de Jos",
          "Varsolt",
          "Zalau",
          "Zalha",
          "Zimbor"
        ]),
        States(name: "Salaj", cities: []),
        States(name: "Satu Mare", cities: [
          "Agnita",
          "Altina",
          "Apoldu de Jos",
          "Arpasu de Jos",
          "Atel",
          "Avrig",
          "Axente Sever",
          "Barghis",
          "Bazna",
          "Biertan",
          "Blajel",
          "Bradeni",
          "Brateiu",
          "Bruiu",
          "Carta",
          "Cartisoara",
          "Chirpar",
          "Cisnadie",
          "Copsa Mica",
          "Cristian",
          "Darlos",
          "Dumbraveni",
          "Gura Raului",
          "Hoghilag",
          "Iacobeni",
          "Jina",
          "Laslea",
          "Loamnes",
          "Ludos",
          "Marpod",
          "Medias",
          "Merghindeal",
          "Micasasa",
          "Miercurea Sibiului",
          "Mihaileni",
          "Mosna",
          "Nocrich",
          "Ocna Sibiului",
          "Orlat",
          "Pauca",
          "Poiana Sibiului",
          "Poplaca",
          "Porumbacu de Jos",
          "Racovita",
          "Rasinari",
          "Rau Sadului",
          "Rosia",
          "Sadu",
          "Saliste",
          "Seica Mare",
          "Seica Mica",
          "Selimbar",
          "Sibiu",
          "Slimnic",
          "Sura Mare",
          "Sura Mica",
          "Talmaciu",
          "Tarnava",
          "Tilisca",
          "Turnu Rosu",
          "Valea Viilor",
          "Vurpar"
        ]),
        States(name: "Sibiu", cities: ["Sondelor"]),
        States(name: "Sondelor", cities: [
          "Adancata",
          "Arbore",
          "Baia",
          "Balcauti",
          "Bilca",
          "Bogdanesti",
          "Boroaia",
          "Bosanci",
          "Botosana",
          "Breaza",
          "Brodina",
          "Brosteni",
          "Bunesti",
          "Cacica",
          "Cajvana",
          "Calafindesti",
          "Campulung Moldovenesc",
          "Carlibaba",
          "Ciprian Porumbescu",
          "Cornu Luncii",
          "Crucea",
          "Darmanesti",
          "Dolhasca",
          "Dolhesti",
          "Dorna",
          "Dorna Candrenilor",
          "Dornesti",
          "Dragoesti",
          "Draguseni",
          "Dumbraveni",
          "Falticeni",
          "Fantanele",
          "Forasti",
          "Frasin",
          "Fratautii Noi",
          "Fratautii Vechi",
          "Frumosu",
          "Fundu Moldovei",
          "Galanesti",
          "Gramesti",
          "Granicesti",
          "Gura Humorului",
          "Horodniceni",
          "Horodnicu",
          "Iacobeni",
          "Ipotesti",
          "Izvoarele Sucevei",
          "Liteni",
          "Malini",
          "Manastirea Homorului",
          "Marginea",
          "Milisauti",
          "Mitocu Dragomirnei",
          "Moara",
          "Moldova Sulita",
          "Moldovita",
          "Musenita",
          "Ostra",
          "Paltinoasa",
          "Panaci",
          "Partestii de Jos",
          "Patrauti",
          "Poiana Stampei",
          "Pojorata",
          "Preutesti",
          "Putna",
          "Radaseni",
          "Radauti",
          "Rasca",
          "Sadova",
          "Salcea",
          "Saru Dornei",
          "Satu Mare",
          "Scheia",
          "Siminicea",
          "Siret",
          "Slatina",
          "Solca",
          "Straja",
          "Stroiesti",
          "Stulpicani",
          "Suceava",
          "Sucevita",
          "Todiresti",
          "Udesti",
          "Ulma",
          "Vadu Moldovei",
          "Valea Moldovei",
          "Vama",
          "Vatra Dornei",
          "Vatra Moldovitei",
          "Veresti",
          "Vicovu de Jos",
          "Vicovu de Sus",
          "Volovat",
          "Vulturesti",
          "Zamostea",
          "Zvoristea"
        ]),
        States(name: "Suceava", cities: [
          "Alexandria",
          "Babaita",
          "Balaci",
          "Blejesti",
          "Bogdana",
          "Botoroaga",
          "Bragadiru",
          "Branceni",
          "Bujoreni",
          "Bujoru",
          "Buzescu",
          "Calinesti",
          "Calmatuiu",
          "Cervenia",
          "Ciolanesti",
          "Ciuperceni",
          "Contesti",
          "Cosmesti",
          "Crangeni",
          "Crangu",
          "Crevenicu",
          "Didesti",
          "Dobrotesti",
          "Dracsenei",
          "Draganesti de Vede",
          "Draganesti-Vlasca",
          "Frumoasa",
          "Furculesti",
          "Galateni",
          "Gratia",
          "Islaz",
          "Izvoarele",
          "Lisa",
          "Lita",
          "Lunca",
          "Magura",
          "Maldaeni",
          "Marzanesti",
          "Mavrodin",
          "Mereni",
          "Mosteni",
          "Nanov",
          "Nasturelu",
          "Necsesti",
          "Olteni",
          "Orbeasca",
          "Peretu",
          "Piatra",
          "Pietrosani",
          "Plopii Slavitesti",
          "Plosca",
          "Poeni",
          "Poroschia",
          "Putineiu",
          "Radoiesti",
          "Rasmiresti",
          "Rosiori de Vede",
          "Saceni",
          "Salcia",
          "Sarbeni",
          "Scrioastea",
          "Scurtu Mare",
          "Seaca",
          "Segarcea Vale",
          "Sfintesti",
          "Silistea",
          "Silistea-Gumesti",
          "Slobozia-Mandra",
          "Smardioasa",
          "Stejaru",
          "Storobaneasa",
          "Suhaia",
          "Talpa",
          "Tatarastii de Jos",
          "Tatarastii de Sus",
          "Tiganesti",
          "Traian",
          "Trivalea-Mosteni",
          "Troianul",
          "Turnu Magurele",
          "Vartoapele-de-Jos",
          "Vedea",
          "Videle",
          "Viisoara",
          "Vitanesti",
          "Zambreasca",
          "Zimnicea"
        ]),
        States(name: "Teleorman", cities: [
          "Balint",
          "Banloc",
          "Bara",
          "Barna",
          "Beba Veche",
          "Becicherecu Mic",
          "Belint",
          "Bethausen",
          "Biled",
          "Bogda",
          "Boldur",
          "Brestovat",
          "Buzias",
          "Carpinis",
          "Cenad",
          "Cenei",
          "Cheveresu Mare",
          "Ciacova",
          "Comlosu Mare",
          "Costeiu",
          "Criciova",
          "Curtea",
          "Darova",
          "Denta",
          "Deta",
          "Dudestii Vechi",
          "Dumbrava",
          "Dumbravita",
          "Faget",
          "Fardea",
          "Foeni",
          "Gataia",
          "Gavojdia",
          "Ghiroda",
          "Ghizela",
          "Giarmata",
          "Giera",
          "Giroc",
          "Giulvaz",
          "Jamu Mare",
          "Jebel",
          "Jimbolia",
          "Lenauheim",
          "Liebling",
          "Lovrin",
          "Lugoj",
          "Manastiur",
          "Margina",
          "Masloc",
          "Moravita",
          "Mosnita Noua",
          "Nadrag",
          "Nitchidorf",
          "Ohaba Lunga",
          "Ortisoara",
          "Peciu Nou",
          "Periam",
          "Pietroasa",
          "Pischia",
          "Racovita",
          "Recas",
          "Remetea Mare",
          "Sacalaz",
          "Sacosu Turcesc",
          "Sag",
          "Sanandrei",
          "Sanmihaiu Roman",
          "Sannicolaul Mare",
          "Sanpetrul-Mare",
          "Satchinez",
          "Secas",
          "Stiuca",
          "Teremia Mare",
          "Timisoara",
          "Tomesti",
          "Topolovatu Mare",
          "Tormac",
          "Traian Vuia",
          "Uivar",
          "Varias",
          "Victor Vlad Delamarina",
          "Voiteg"
        ]),
        States(name: "Timis", cities: [
          "Babadag",
          "Baia",
          "Beidaud",
          "Carcaliu",
          "Casimcea",
          "Ceamurlia de Jos",
          "Ceatalchioi",
          "Cerna",
          "Chilia Veche",
          "Ciucurova",
          "Constantin Rosetti",
          "Crisan",
          "Daeni",
          "Dorobantu",
          "Frecatei",
          "Greci",
          "Grindu",
          "Hamcearca",
          "Horia",
          "Ion Bratianu",
          "Isaccea",
          "Izvoarele",
          "Jijila",
          "Jurilovca",
          "Luncavita",
          "Macin",
          "Mahmudia",
          "Malnas",
          "Mihai Bravu",
          "Mihail Kogalniceanu",
          "Murighiol",
          "Nalbant",
          "Niculitel",
          "Nufaru",
          "Ostrov",
          "Pardina",
          "Peceneaga",
          "Sarichioi",
          "Sfantu Gheorghe",
          "Slava Cercheza",
          "Smardan",
          "Somova",
          "Stejaru",
          "Sulina",
          "Topolog",
          "Tulcea",
          "Turcoaia",
          "Valea Nucarilor"
        ]),
        States(name: "Tulcea", cities: [
          "Alunu",
          "Amarasti",
          "Babeni",
          "Baile Govora",
          "Baile Olanesti",
          "Balcesti",
          "Barbatesti",
          "Berbesti",
          "Berislavesti",
          "Boisoara",
          "Brezoi",
          "Budesti",
          "Bujoreni",
          "Bunesti",
          "Caineni",
          "Calimanesti",
          "Cernisoara",
          "Copaceni",
          "Costesti",
          "Creteni",
          "Daesti",
          "Danicei",
          "Dragasani",
          "Dragoesti",
          "Fartatesti",
          "Fauresti",
          "Francesti",
          "Galicea",
          "Ghioroiu",
          "Glavile",
          "Golesti",
          "Gradistea",
          "Gusoeni",
          "Horezu",
          "Ionesti",
          "Ladesti",
          "Lalosu",
          "Lapusata",
          "Livezi",
          "Lungesti",
          "Maciuca",
          "Madulari",
          "Malaia",
          "Maldaresti",
          "Mateesti",
          "Mihaesti",
          "Milcoiu",
          "Muereasca",
          "Nicolae Balcescu",
          "Ocnele Mari",
          "Olanu",
          "Orlesti",
          "Otesani",
          "Pausesti",
          "Pausesti-Maglasi",
          "Perisani",
          "Pesceana",
          "Pietrari",
          "Popesti",
          "Prundeni",
          "Racovita",
          "Ramnicu Valcea",
          "Roesti",
          "Rosiile",
          "Runcu",
          "Salatrucel",
          "Scundu",
          "Sinesti",
          "Sirineasa",
          "Slatioara",
          "Stanesti",
          "Stefanesti",
          "Stoenesti",
          "Stoilesti",
          "Stroesti",
          "Susani",
          "Sutesti",
          "Tetoiu",
          "Tomsani",
          "Vaideeni",
          "Valea Mare",
          "Vladesti",
          "Voicesti",
          "Voineasa",
          "Zatreni"
        ]),
        States(name: "Valcea", cities: [
          "Albesti",
          "Alexandru Vlahuta",
          "Arsura",
          "Bacani",
          "Bacesti",
          "Balteni",
          "Banca",
          "Barlad",
          "Berezeni",
          "Blagesti",
          "Bogdana",
          "Bogdanesti",
          "Bogdanita",
          "Botesti",
          "Bunesti",
          "Codaesti",
          "Coroiesti",
          "Costesti",
          "Cretesti",
          "Danesti",
          "Deleni",
          "Delesti",
          "Dimitrie Cantemir",
          "Dragomiresti",
          "Dranceni Sat",
          "Duda",
          "Dumesti",
          "Epureni",
          "Falciu",
          "Gagesti",
          "Garceni",
          "Gherghesti",
          "Grivita",
          "Hoceni",
          "Husi",
          "Iana",
          "Ivanesti",
          "Ivesti",
          "Laza",
          "Lipovat",
          "Lunca Banului",
          "Malusteni",
          "Miclesti",
          "Muntenii de Jos",
          "Murgeni",
          "Negresti",
          "Oltenesti",
          "Osesti",
          "Padureni",
          "Perieni",
          "Pogana",
          "Poienesti",
          "Puiesti",
          "Pungesti",
          "Rebricea",
          "Rosiesti",
          "Solesti",
          "Stanilesti",
          "Stefan cel Mare",
          "Suletea",
          "Tacuta",
          "Tanacu",
          "Tatarani",
          "Todiresti",
          "Tutova",
          "Valeni",
          "Vaslui",
          "Vetrisoaia",
          "Viisoara",
          "Vinderei",
          "Voinesti",
          "Vulturesti",
          "Vutcani",
          "Zapodeni",
          "Zorleni"
        ]),
        States(name: "Vaslui", cities: [
          "Adjud",
          "Andreiasu de Jos",
          "Balesti",
          "Barsesti",
          "Boghesti",
          "Bolotesti",
          "Bordesti",
          "Brosteni",
          "Campineanca",
          "Campuri",
          "Carligele",
          "Chiojdeni",
          "Ciorasti",
          "Corbita",
          "Cotesti",
          "Dumbraveni",
          "Dumitresti",
          "Fitionesti",
          "Focsani",
          "Garoafa",
          "Golesti",
          "Gugesti",
          "Gura Calitei",
          "Homocea",
          "Jaristea",
          "Jitia",
          "Maicanesti",
          "Marasesti",
          "Mera",
          "Milcovul",
          "Movilita",
          "Nanesti",
          "Naruja",
          "Nereju",
          "Nistoresti",
          "Odobesti",
          "Paltin",
          "Panciu",
          "Paunesti",
          "Poiana Cristei",
          "Pufesti",
          "Racoasa",
          "Reghiu",
          "Ruginesti",
          "Sihlea",
          "Slobozia Bradului",
          "Slobozia-Ciorasti",
          "Soveja",
          "Straoane",
          "Suraia",
          "Tamboesti",
          "Tanasoaia",
          "Tataranu",
          "Tifesti",
          "Tulnici",
          "Urechesti",
          "Valea Sarii",
          "Vanatori",
          "Vartescoiu",
          "Vidra",
          "Vintileasca",
          "Vizantea",
          "Vrancioaia",
          "Vulturu"
        ]),
        States(name: "Vrancea", cities: [
          "Adygejsk",
          "Enem",
          "Jablonovskij",
          "Kamennomostskij",
          "Majkop",
          "Tulskij"
        ])
      ]),
  Country(
      name: "Rwanda",
      flag: "🇷🇼",
      code: "RW",
      dialCode: "250",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Butare", cities: ["Byumba"]),
        States(name: "Byumba", cities: ["Cyangugu"]),
        States(name: "Cyangugu", cities: ["Gikongoro"]),
        States(name: "Gikongoro", cities: ["Gisenyi"]),
        States(name: "Gisenyi", cities: ["Gitarama"]),
        States(name: "Gitarama", cities: ["Kibungo", "Rwamagana"]),
        States(name: "Kibungo", cities: ["Kibuye"]),
        States(name: "Kibuye", cities: ["Kigali"]),
        States(name: "Kigali-ngali", cities: ["Ruhengeri"]),
        States(name: "Ruhengeri", cities: ["Georgetown"])
      ]),
  const Country(
      name: "Saint Barthelemy",
      flag: "🇧🇱",
      code: "BL",
      dialCode: "590",
      minLength: 9,
      maxLength: 9,
      states: []),
  Country(
      name: "Saint Helena, Ascension and Tristan Da Cunha",
      flag: "🇸🇭",
      code: "SH",
      dialCode: "290",
      minLength: 4,
      maxLength: 4,
      states: [
        States(name: "Ascension", cities: []),
        States(name: "Gough Island", cities: []),
        States(name: "Saint Helena", cities: []),
        States(name: "Tristan da Cunha", cities: [])
      ]),
  Country(
      name: "Saint Kitts and Nevis",
      flag: "🇰🇳",
      code: "KN",
      dialCode: "1869",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Christ Church Nichola Town", cities: []),
        States(name: "Saint Anne Sandy Point", cities: []),
        States(name: "Saint George Basseterre", cities: []),
        States(name: "Saint George Gingerland", cities: []),
        States(name: "Saint James Windward", cities: []),
        States(name: "Saint John Capesterre", cities: []),
        States(name: "Saint John Figtree", cities: []),
        States(name: "Saint Mary Cayon", cities: []),
        States(name: "Saint Paul Capesterre", cities: []),
        States(name: "Saint Paul Charlestown", cities: []),
        States(name: "Saint Peter Basseterre", cities: []),
        States(name: "Saint Thomas Lowland", cities: []),
        States(name: "Saint Thomas Middle Island", cities: []),
        States(name: "Trinity Palmetto Point", cities: ["Anse-la-Raye"])
      ]),
  Country(
      name: "Saint Lucia",
      flag: "🇱🇨",
      code: "LC",
      dialCode: "1758",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Anse-la-Raye", cities: ["Canaries"]),
        States(name: "Canaries", cities: ["Castries", "Choc"]),
        States(name: "Castries", cities: ["Choiseul"]),
        States(name: "Choiseul", cities: ["Dennery"]),
        States(name: "Dennery", cities: []),
        States(name: "Gros Inlet", cities: ["Laborie"]),
        States(name: "Laborie", cities: ["Micoud"]),
        States(name: "Micoud", cities: ["Soufriere"]),
        States(name: "Soufriere", cities: []),
        States(name: "Vieux Fort", cities: ["Miquelon"])
      ]),
  const Country(
      name: "Saint Martin",
      flag: "🇲🇫",
      code: "MF",
      dialCode: "590",
      minLength: 9,
      maxLength: 9,
      states: []),
  Country(
      name: "Saint Pierre and Miquelon",
      flag: "🇵🇲",
      code: "PM",
      dialCode: "508",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Miquelon-Langlade", cities: ["Saint-Pierre"]),
        States(name: "Saint-Pierre", cities: ["Biabou", "Byera", "Georgetown"])
      ]),
  Country(
      name: "Saint Vincent and the Grenadines",
      flag: "🇻🇨",
      code: "VC",
      dialCode: "1784",
      minLength: 7,
      maxLength: 7,
      states: [
        States(
            name: "Charlotte",
            cities: ["Dovers", "Hamilton", "Port Elizabeth"]),
        States(name: "Grenadines", cities: []),
        States(name: "Saint Andrew", cities: []),
        States(name: "Saint David", cities: []),
        States(name: "Saint George", cities: []),
        States(name: "Saint Patrick", cities: ["Falelatai"])
      ]),
  Country(
      name: "Samoa",
      flag: "🇼🇸",
      code: "WS",
      dialCode: "685",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "A\\'\\'ana", cities: ["Mulifanua"]),
        States(name: "Aiga-i-le-Tai", cities: ["Solosolo"]),
        States(name: "Atua", cities: ["Safotulafai"]),
        States(name: "Fa\\'\\'asaleleaga", cities: ["Samalae\\'\\'ulu"]),
        States(name: "Gaga\\'\\'emauga", cities: ["A\\'\\'opo"]),
        States(name: "Gagaifomauga", cities: ["Taga"]),
        States(name: "Palauli", cities: ["Gautavai"]),
        States(name: "Satupa\\'\\'itea", cities: ["Apia"]),
        States(name: "Tuamasaga", cities: ["Samamea"]),
        States(name: "Va\\'\\'a-o-Fonoti", cities: ["Neiafu"]),
        States(name: "Vaisigano", cities: ["Acquaviva"])
      ]),
  Country(
      name: "San Marino",
      flag: "🇸🇲",
      code: "SM",
      dialCode: "378",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Acquaviva", cities: []),
        States(name: "Borgo Maggiore", cities: ["Chiesanuova"]),
        States(name: "Chiesanuova", cities: ["Domagnano"]),
        States(name: "Domagnano", cities: ["Faetano"]),
        States(name: "Faetano", cities: ["Fiorentino"]),
        States(name: "Fiorentino", cities: ["Montegiardino"]),
        States(name: "Montegiardino", cities: []),
        States(name: "San Marino", cities: ["Serravalle"]),
        States(name: "Serravalle", cities: [])
      ]),
  Country(
      name: "Sao Tome and Principe",
      flag: "🇸🇹",
      code: "ST",
      dialCode: "239",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Agua Grande", cities: ["Santana"]),
        States(name: "Cantagalo", cities: ["Neves"]),
        States(name: "Lemba", cities: ["Santo Amaro"]),
        States(name: "Lobata", cities: ["Trindade"]),
        States(name: "Me-Zochi", cities: ["Santo Antonio"]),
        States(name: "Pague", cities: [])
      ]),
  Country(
      name: "Saudi Arabia",
      flag: "🇸🇦",
      code: "SA",
      dialCode: "966",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Al Khobar", cities: ["Mahayel"]),
        States(name: "Aseer", cities: []),
        States(name: "Ash Sharqiyah", cities: [
          "Abha",
          "Abu \\'\\'Aris",
          "Khamis Mushayt",
          "Qal\\'\\'at Bishah"
        ]),
        States(name: "Asir", cities: []),
        States(name: "Central Province", cities: []),
        States(name: "Eastern Province", cities: ["Ha\\'\\'il"]),
        States(name: "Ha\\'\\'il", cities: ["Jawf", "Sakakah"]),
        States(name: "Jawf", cities: ["Jizan", "Sabya"]),
        States(
            name: "Jizan",
            cities: ["Makkah", "Rabig", "al-Hawiyah", "at-Ta\\'\\'if"]),
        States(name: "Makkah", cities: ["Dar\\'\\'iyah", "Najran", "Sharurah"]),
        States(name: "Najran", cities: ["Unayzah", "Buraydah", "ar-Rass"]),
        States(name: "Qasim", cities: ["Tabuk", "Umm Lajj"]),
        States(name: "Tabuk", cities: []),
        States(name: "Western Province", cities: ["al-Bahah"]),
        States(
            name: "al-Bahah",
            cities: ["Ara\\'\\'ar", "Rafha", "Turayf", "al-Qurayyat"]),
        States(name: "al-Hudud-ash-Shamaliyah", cities: ["Yanbu", "al-Madinah"]),
        States(name: "al-Madinah", cities: [
          "Afif",
          "ad-Dawadimi",
          "ad-Dilam",
          "al-Kharj",
          "al-Majma\\'\\'ah",
          "ar-Riyad",
          "az-Zulfi"
        ]),
        States(name: "ar-Riyad", cities: ["Dakar"])
      ]),
  Country(
      name: "Senegal",
      flag: "🇸🇳",
      code: "SN",
      dialCode: "221",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Dakar", cities: ["Bambey", "Diourbel", "Mbacke", "Touba"]),
        States(name: "Diourbel", cities: [
          "Diofior",
          "Fatick",
          "Foundiougne",
          "Gossas",
          "Guinguineo",
          "Kahone",
          "Passy",
          "Sokone"
        ]),
        States(name: "Fatick", cities: [
          "Gandiaye",
          "Kaffrine",
          "Kaolack",
          "Koungheul",
          "Medina",
          "Ndoffane Lagheme",
          "Nioro du Rip",
          "Toubakouta"
        ]),
        States(name: "Kaolack", cities: [
          "Dabo",
          "Goudomp",
          "Kolda",
          "Marsassoum",
          "Medina Gounas",
          "Sedhiou",
          "Velingara",
          "Wassadou"
        ]),
        States(name: "Kolda", cities: ["Dahra", "Kebemer", "Linguere", "Louga"]),
        States(name: "Louga", cities: [
          "Dagana",
          "Gollere",
          "Kanel",
          "Matam",
          "Ndioum",
          "Ourossogui",
          "Podor",
          "Richard Toll",
          "Saint-Louis",
          "Semme",
          "Thilogne",
          "Waounde"
        ]),
        States(
            name: "Saint-Louis", cities: ["Bakel", "Kedougou", "Tambacounda"]),
        States(name: "Tambacounda", cities: [
          "Joal-Fadiouth",
          "Kayar",
          "Khombole",
          "Mbour",
          "Meckhe",
          "Nguekhokh",
          "Pout",
          "Thiadiaye",
          "Thies",
          "Tivaouane"
        ]),
        States(
            name: "Thies",
            cities: ["Bignona", "Oussouye", "Thionck-Essyl", "Ziguinchor"]),
        States(name: "Ziguinchor", cities: [])
      ]),
  Country(
      name: "Serbia",
      flag: "🇷🇸",
      code: "RS",
      dialCode: "381",
      minLength: 12,
      maxLength: 12,
      states: [
        States(name: "Central Serbia", cities: []),
        States(name: "Kosovo and Metohija", cities: []),
        States(name: "Vojvodina", cities: [])
      ]),
  Country(
      name: "Seychelles",
      flag: "🇸🇨",
      code: "SC",
      dialCode: "248",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Anse Boileau", cities: []),
        States(name: "Anse Royale", cities: ["Cascade"]),
        States(name: "Cascade", cities: ["Takamaka"]),
        States(name: "Takamaka", cities: ["Mahe"]),
        States(name: "Victoria", cities: [
          "Biama",
          "Daru",
          "Kailahun",
          "Kenema",
          "Koidu",
          "Koindu",
          "Pendembu",
          "Sefadu",
          "Segbwema",
          "Yengema"
        ])
      ]),
  Country(
      name: "Sierra Leone",
      flag: "🇸🇱",
      code: "SL",
      dialCode: "232",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Eastern", cities: [
          "Kabala",
          "Kambia",
          "Lungi",
          "Lunsar",
          "Magburaka",
          "Makeni",
          "Mambolo",
          "Moyamba",
          "Pepel",
          "Port Loko",
          "Yele"
        ]),
        States(name: "Northern", cities: [
          "Binkolo",
          "Bo",
          "Bonthe",
          "Bumpe",
          "Matru",
          "Pujehun",
          "Taiama"
        ]),
        States(name: "Southern", cities: ["Freetown", "York"]),
        States(name: "Western", cities: ["Singapore"])
      ]),
  Country(
      name: "Singapore",
      flag: "🇸🇬",
      code: "SG",
      dialCode: "65",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Singapore", cities: [
          "Banska Bystrica",
          "Banska Shtiavnica",
          "Brezno",
          "Chierny Balog",
          "Detva",
          "Fil\\'\\'akovo",
          "Hnusht\\'\\'a",
          "Hrinova",
          "Kremnica",
          "Krupina",
          "Luchenec",
          "Nova Bana",
          "Podbrezova",
          "Poltar",
          "Revuca",
          "Rimavska Sobota",
          "Sliach",
          "Tisovec",
          "Tornal\\'\\'a",
          "Vel\\'\\'ky Krtish",
          "Vlkanova",
          "Zharnovica",
          "Zhiar",
          "Ziar nad Hronom",
          "Zvolen"
        ])
      ]),
  Country(
      name: "Slovakia",
      flag: "🇸🇰",
      code: "SK",
      dialCode: "421",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Banskobystricky", cities: [
          "Bernolakovo",
          "Bratislava",
          "Ivanka pri Dunaji",
          "Malacky",
          "Modra",
          "Pezinok",
          "Senec",
          "Shenkvice",
          "Stupava",
          "Svaty Jur"
        ]),
        States(name: "Bratislavsky", cities: [
          "Chana",
          "Chierna nad Tisou",
          "Dobshina",
          "Gelnica",
          "Kosice",
          "Kral\\'\\'ovsky Chlmec",
          "Krompachy",
          "Medzev",
          "Michalovce",
          "Moldava nad Bodvou",
          "Pavlovce nad Uhom",
          "Rozhnava",
          "Sechovce",
          "Smizhany",
          "Sobrance",
          "Strazhske",
          "Trebishov",
          "Vel\\'\\'ke Kapushany",
          "Vranov"
        ]),
        States(name: "Kosicky", cities: [
          "Dvory nad Zhitavou",
          "Hurbanovo",
          "Kolarovo",
          "Komarno",
          "Komjatice",
          "Levice",
          "Levocha",
          "Mocenok",
          "Nesvady",
          "Nitra",
          "Nove Zamky",
          "Palarikovo",
          "Shahy",
          "Shal\\'\\'a",
          "Shturovo",
          "Shurany",
          "Svodin",
          "Tlmache",
          "Tvrdoshovce",
          "Vrable",
          "Zlate Moravce"
        ]),
        States(name: "Nitriansky", cities: [
          "Bardejov",
          "Giraltovce",
          "Humenne",
          "Jarovnice",
          "Kezhmarok",
          "Lipany",
          "Medzilaborce",
          "Podolinec",
          "Poprad",
          "Preshov",
          "Presov",
          "Sabinov",
          "Snina",
          "Spishska Bela",
          "Spishska Nova Ves",
          "Spishske Podhradie",
          "Stara L\\'\\'ubovna",
          "Stropkov",
          "Svidnik",
          "Svit",
          "Vel\\'\\'ky Sharish",
          "Vysoke Tatry"
        ]),
        States(name: "Presovsky", cities: [
          "Banovce",
          "Belusha",
          "Bojnice",
          "Boshany",
          "Dubnica",
          "Handlova",
          "Ilava",
          "Lednicke Rovne",
          "Lendak",
          "Myjava",
          "Nemshova",
          "Nova Dubnica",
          "Novaky",
          "Nove Mesto",
          "Partizanske",
          "Povazhska Bystrica",
          "Prievidza",
          "Puchov",
          "Stara Tura",
          "Topol\\'\\'chany",
          "Trenchianske Teplice",
          "Trenchin",
          "Trencin"
        ]),
        States(name: "Trenciansky", cities: [
          "Brezova pod Bradlom",
          "Dunajska Streda",
          "Gabchikovo",
          "Galanta",
          "Gbely",
          "Hlohovec",
          "Holich",
          "Kuty",
          "Leopoldov",
          "Piesht\\'\\'any",
          "Piestany",
          "Senica",
          "Sered",
          "Shamorin",
          "Shashtin-Strazhe",
          "Shoporna",
          "Skalica",
          "Sladkovichovo",
          "Trnava",
          "Vel\\'\\'ke Ul\\'\\'any",
          "Vel\\'\\'ky Meder",
          "Vrbove"
        ]),
        States(name: "Trnavsky", cities: [
          "Bytcha",
          "Chadca",
          "Chierne",
          "Dolny Kubin",
          "Krasno nad Kysucou",
          "Kysucke Nove Mesto",
          "Liptovsky Hradok",
          "Liptovsky Mikulash",
          "Martin",
          "Namestovo",
          "Nizhna",
          "Oshchadnica",
          "Rabcha",
          "Rajec",
          "Rakova",
          "Ruzhomberok",
          "Ruzomberok",
          "Shtiavnik",
          "Skalite",
          "Suchany",
          "Terchova",
          "Trstena",
          "Turany",
          "Turchianske Teplice",
          "Turzovka",
          "Tvrdoshin",
          "Vel\\'\\'ke Rovne",
          "Vrutky",
          "Zakamenne",
          "Zhilina",
          "Zilina"
        ]),
        States(name: "Zilinsky", cities: ["Semic", "Skofljica", "Zelezniki"])
      ]),
  Country(
      name: "Slovenia",
      flag: "🇸🇮",
      code: "SI",
      dialCode: "386",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Benedikt", cities: [
          "Begunje na Gorenjskem",
          "Bistrica ob Trzhichu",
          "Bled",
          "Blejska Dobrava",
          "Bohinjska Bistrica",
          "Britof",
          "Cerklje na Gorenjskem",
          "Golnik",
          "Gorenja Vas",
          "Hrastje",
          "Hrushica",
          "Jesenice",
          "Kokrica",
          "Koroshka Bela",
          "Kranj",
          "Kranjska Gora",
          "Krizhe",
          "Kropa",
          "Lesce",
          "Mlaka pri Kranju",
          "Mojstrana",
          "Preddvor",
          "Predoslje",
          "Pristava",
          "Radovljica",
          "Shenchur",
          "Shkofja Loka",
          "Slovenski Javornik",
          "Spodnja Besnica",
          "Spodnje Gorje",
          "Stara Loka",
          "Sveti Duh",
          "Trzhich",
          "Visoko",
          "Zasip",
          "Zgornje Bitnje",
          "Zhelezniki",
          "Zhiri"
        ]),
        States(name: "Gorenjska", cities: [
          "Ajdovshchina",
          "Bilje",
          "Bovec",
          "Branik",
          "Cerkno",
          "Deskle",
          "Idrija",
          "Kanal",
          "Kobarid",
          "Kromberk",
          "Lokavec",
          "Miren",
          "Nova Gorica",
          "Prvachina",
          "Renche",
          "Rozhna Dolina",
          "Shempas",
          "Shempeter",
          "Solkan",
          "Spodnja Idrija",
          "Tolmin",
          "Vipava",
          "Vrtojba"
        ]),
        States(name: "Gorishka", cities: []),
        States(name: "Jugovzhodna Slovenija", cities: [
          "Chrna na Koroshkem",
          "Dravograd",
          "Legen",
          "Mezhica",
          "Mislinja",
          "Muta",
          "Otishki Vrh",
          "Pameche",
          "Podgorje",
          "Prevalje",
          "Radlje ob Dravi",
          "Ravne",
          "Shmartno pri Slovenj Gradcu",
          "Slovenj Gradec",
          "Vuhred",
          "Vuzenica"
        ]),
        States(name: "Koroshka", cities: [
          "Cerknica",
          "Ilirska Bistrica",
          "Pivka",
          "Postojna",
          "Rakek",
          "Stari trg pri Lozhu"
        ]),
        States(name: "Notranjsko-krashka", cities: [
          "Ankaran",
          "Bertoki",
          "Dekani",
          "Divacha",
          "Hrvatni",
          "Izola",
          "Jagodje",
          "Koper",
          "Lucija",
          "Pareceg",
          "Piran",
          "Pobegi",
          "Portorozh",
          "Prade",
          "Secha",
          "Sezhana",
          "Spodnje Shkofije",
          "Sveti Anton"
        ]),
        States(name: "Obalno-krashka", cities: []),
        States(name: "Obcina Domzale", cities: []),
        States(name: "Obcina Vitanje", cities: [
          "Borovnica",
          "Brezovica pri Ljubljani",
          "Dob",
          "Dobrova",
          "Domzhale",
          "Dragomer",
          "Grosuplje",
          "Horjul",
          "Ig",
          "Ivanchna Gorica",
          "Kamnik",
          "Komenda",
          "Lavrica",
          "Litija",
          "Ljubljana",
          "Log pri Brezovici",
          "Logatec",
          "Medvode",
          "Mekinje",
          "Mengesh",
          "Moravche",
          "Notranje",
          "Podgorje",
          "Preserje pri Radomljah",
          "Radomlje",
          "Rovte",
          "Shentvid pri Stichni",
          "Shkofljica",
          "Shmarca",
          "Shmartno pri Litiji",
          "Smarje-Sap",
          "Trzin",
          "Verd",
          "Vir",
          "Vishnja Gora",
          "Vnanje Gorice",
          "Vodice",
          "Vrhnika",
          "Zgornje Pirniche"
        ]),
        States(name: "Osrednjeslovenska", cities: [
          "Bistrica ob Dravi",
          "Bresternica",
          "Bukovci",
          "Dogoshe",
          "Dornava",
          "Fram",
          "Hotinja Vas",
          "Kamnica",
          "Kidrichevo",
          "Koshaki",
          "Krchevina pri Vurbergu",
          "Lenart",
          "Limbush",
          "Lovrenc na Pohorju",
          "Maribor",
          "Miklavzh na Dravskem Polju",
          "Ormozh",
          "Pekre",
          "Pesnica pri Mariboru",
          "Pobrezhje",
          "Podvinci",
          "Poljchane",
          "Pragersko",
          "Ptuj",
          "Rache",
          "Radizel",
          "Razvanje",
          "Rogoza",
          "Rushe",
          "Selnica ob Dravi",
          "Selnica ob Muri",
          "Shentilj",
          "Skoke",
          "Slovenska Bistrica",
          "Spodnja Polskava",
          "Spodnje Hoche",
          "Spodnji Duplek",
          "Spuhlja",
          "Sredishche ob Dravi",
          "Stojnci",
          "Zgornja Polskava",
          "Zgornje Poljchane",
          "Zgornji Duplek"
        ]),
        States(name: "Podravska", cities: [
          "Bakovci",
          "Beltinci",
          "Chernelavci",
          "Chrenshovci",
          "Dobrovnik",
          "Doklezhovje",
          "Ganchani",
          "Gornja Radgona",
          "Izhakovci",
          "Krog",
          "Lendava",
          "Lipovci",
          "Ljutomer",
          "Melinci",
          "Murska Sobota",
          "Odranci",
          "Petishovci",
          "Radenci",
          "Rakichan",
          "Turnishche",
          "Velika Polana",
          "Verzej"
        ]),
        States(name: "Pomurska", cities: [
          "Breg pri Polzeli",
          "Celje",
          "Gornji Grad",
          "Gotovlje",
          "Kasaze",
          "Lashko",
          "Ljubechna",
          "Ljubno ob Savinji",
          "Loka pri Zusmu",
          "Lokovica",
          "Mozirje",
          "Naklo",
          "Nazarje",
          "Oplotnica",
          "Petrovche",
          "Polzela",
          "Prebold",
          "Radeche",
          "Ravne",
          "Rimske Toplica",
          "Rogashka Slatina",
          "Rogatec",
          "Sentjernej",
          "Shempeter",
          "Shentjur",
          "Shkale",
          "Shmarje pri Jelshah",
          "Shoshtanj",
          "Shtore",
          "Slovenske Konjice",
          "Topolshica",
          "Trnovlje pri Celju",
          "Velenje",
          "Vitanje",
          "Vojnik",
          "Zabukovica",
          "Zadobrova",
          "Zhalec",
          "Zreche"
        ]),
        States(name: "Savinjska", cities: []),
        States(name: "Slovenian Littoral", cities: [
          "Brestanica",
          "Brezhice",
          "Krshko",
          "Leskovac pri Krshkem",
          "Senovo",
          "Sevnica"
        ]),
        States(name: "Spodnjeposavska", cities: [
          "Dol pri Hrastniku",
          "Hrastnik",
          "Izlake",
          "Kisovec",
          "Trbovlje",
          "Zagorje ob Savi"
        ]),
        States(name: "Zasavska", cities: ["Adamstown"])
      ]),
  Country(
      name: "Solomon Islands",
      flag: "🇸🇧",
      code: "SB",
      dialCode: "677",
      minLength: 5,
      maxLength: 5,
      states: [
        States(name: "Central", cities: ["Taro Island"]),
        States(name: "Choiseul", cities: ["Honiara"]),
        States(name: "Guadalcanal", cities: ["Buala"]),
        States(name: "Isabel", cities: []),
        States(name: "Makira and Ulawa", cities: ["Auki"]),
        States(name: "Malaita", cities: []),
        States(name: "Rennell and Bellona", cities: ["Lata"]),
        States(name: "Temotu", cities: ["Gizo"]),
        States(name: "Western", cities: ["Baki", "Borama", "Gebilay", "Sayla"])
      ]),
  Country(
      name: "Somalia",
      flag: "🇸🇴",
      code: "SO",
      dialCode: "252",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Awdal", cities: ["Tayeglo", "Xuddur", "Yet"]),
        States(name: "Bakol", cities: ["Muqdisho"]),
        States(name: "Banadir", cities: [
          "Alula",
          "Bandarbeyla",
          "Bandarmu\\'\\'ayo",
          "Bargal",
          "Bereda",
          "Bosaso",
          "Iskushuban",
          "Qandala",
          "Qardho",
          "Xafun"
        ]),
        States(name: "Bari", cities: ["Baydhabo", "Bur Hakkaba", "Dinsor"]),
        States(name: "Bay", cities: ["Elbur", "Eldhere", "Dhusa Marreb"]),
        States(name: "Galgudug", cities: [
          "Bardhere",
          "Dolaw",
          "Dujuma",
          "Garbaharey",
          "Luq",
          "Sa\\'\\'o",
          "Wajid"
        ]),
        States(
            name: "Gedo",
            cities: ["Bal\\'\\'ad", "Beled Weyne", "Bulobarde", "Jalalassi"]),
        States(name: "Hiran", cities: []),
        States(name: "Jubbada Hose", cities: []),
        States(
            name: "Jubbadha Dexe",
            cities: ["Galka\\'\\'yo", "Hobyo", "Xarardhere"]),
        States(name: "Mudug", cities: ["Eyl", "Garowe", "Las\\'\\'anod"]),
        States(name: "Nugal", cities: ["Erigabo", "Lasqoray"]),
        States(name: "Sanag", cities: []),
        States(name: "Shabellaha Dhexe", cities: []),
        States(name: "Shabellaha Hose", cities: ["Ek", "Bur\\'\\'o", "Odweyne"]),
        States(name: "Togdher", cities: []),
        States(name: "Woqoyi Galbed", cities: [])
      ]),
  Country(
      name: "South Africa",
      flag: "🇿🇦",
      code: "ZA",
      dialCode: "27",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Eastern Cape", cities: []),
        States(name: "Free State", cities: [
          "Alberton",
          "Alrode",
          "Benmore",
          "Benoni",
          "Boksburg",
          "Booysens",
          "Brakpan",
          "Bronkhorstspruit",
          "Bryanston",
          "Carltonville",
          "Centurion",
          "Cullinan",
          "Dainfern",
          "Edenvale",
          "Ferndale",
          "Fourways",
          "Gardenview",
          "Gauteng",
          "Grant Park",
          "Heidelberg",
          "Isando",
          "Johannesburg",
          "Kelvin",
          "Krugersdorp",
          "Linmeyer",
          "Maraisburg",
          "Midrand",
          "Nigel",
          "Northmead",
          "Petervale",
          "Pinegowrie",
          "Pretoria",
          "Primrose",
          "Randburg",
          "Randfontein",
          "Randvaal",
          "Rivonia",
          "Robertville",
          "Soweto",
          "Springs",
          "Temba",
          "Tembisa",
          "Troyeville",
          "Vanderbijlpark",
          "Vereeniging",
          "Verwoerdburg",
          "Vorna Valley",
          "Wadeville",
          "Westonaria"
        ]),
        States(name: "Gauteng", cities: []),
        States(name: "Kempton Park", cities: ["Sandton"]),
        States(name: "Kramerville", cities: []),
        States(name: "KwaZulu Natal", cities: [
          "Bela-Bela",
          "Dendron",
          "Duiwelskloof",
          "Ellisras",
          "Giyani",
          "Lebowakgomo",
          "Louis Trichardt",
          "Lulekani",
          "Mankweng",
          "Messina",
          "Mogalakwena",
          "Mutale",
          "Nkowakowa",
          "Nylstroom",
          "Phalaborwa",
          "Pietersburg",
          "Polokwane",
          "Soekmekaar",
          "Southdale",
          "Thabazimbi",
          "Thohoyandou",
          "Thulamahashe",
          "Tzaneen"
        ]),
        States(name: "Limpopo", cities: [
          "Botleng",
          "Ekangala",
          "Embalenhle",
          "Emjindini",
          "Empuluzi",
          "Emzinoni",
          "Ermelo",
          "Ethandakukhanja",
          "Groblersdal",
          "Komatipoort",
          "Kriel",
          "KwaZanele",
          "Kwazamokuhle",
          "Lebohang",
          "Marblehall",
          "Mashishing",
          "Mhluzi",
          "Nelspruit",
          "Phola",
          "Sakhile",
          "Secunda",
          "Siyabuswa",
          "Siyathemba",
          "Siyathuthuka",
          "Vukuzakhe",
          "Witbank",
          "Witrivier",
          "eLukwatini"
        ]),
        States(name: "Mpumalanga", cities: []),
        States(name: "North West", cities: []),
        States(name: "Northern Cape", cities: ["Parow"]),
        States(name: "Parow", cities: []),
        States(name: "Table View", cities: ["Umtentweni"]),
        States(name: "Umtentweni", cities: []),
        States(name: "Western Cape", cities: [])
      ]),
  Country(
      name: "South Sudan",
      flag: "🇸🇸",
      code: "SS",
      dialCode: "211",
      minLength: 9,
      maxLength: 9,
      states: [States(name: "Central Equatoria", cities: [])]),
  Country(
      name: "South Georgia and the South Sandwich Islands",
      flag: "🇬🇸",
      code: "GS",
      dialCode: "500",
      minLength: 15,
      maxLength: 15,
      states: [States(name: "South Georgia", cities: [])]),
  Country(
      name: "Spain",
      flag: "🇪🇸",
      code: "ES",
      dialCode: "34",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "A Coruna", cities: [
          "ALbatera",
          "Alacant",
          "Alcoi",
          "Almoradi",
          "Altea",
          "Aspe",
          "Benidorm",
          "Benissa",
          "Callosa de Segura",
          "Calp",
          "Cocentaina",
          "Crevillent",
          "Denia",
          "El Campello",
          "Elda",
          "Elx",
          "Guardamar del Segura",
          "Ibi",
          "L\\'\\'Alfas del Pi",
          "La Vila Joiosa",
          "Monover",
          "Mutxamel",
          "Novelda",
          "Orihuela",
          "Pedreguer",
          "Pego",
          "Petrer",
          "Pilar de la Horadada",
          "Pinoso",
          "Rojales",
          "Sant Joan d\\'\\'Alacant",
          "Sant Vicent del Raspeig",
          "Santa Pola",
          "Sax",
          "Teulada",
          "Torrevieja",
          "Villena",
          "Xabia"
        ]),
        States(name: "Alacant", cities: ["Amurrio", "Llodio", "Vitoria"]),
        States(name: "Alava", cities: [
          "Albacete",
          "Almansa",
          "Caudete",
          "Hellin",
          "La Roda",
          "Villarrobledo"
        ]),
        States(name: "Albacete", cities: [
          "Adra",
          "Albox",
          "Almeria",
          "Berja",
          "Cuevas del Almanzora",
          "El Ejido",
          "Huercal de Almeria",
          "Huercal-Overa",
          "Nijar",
          "Roquetas de Mar",
          "Vicar"
        ]),
        States(name: "Almeria", cities: ["Benalmadena"]),
        States(name: "Andalucia", cities: [
          "Aller",
          "Aviles",
          "C/ Pena Salon",
          "Cangas del Narcea",
          "Carreno",
          "Castrillon",
          "Corvera de Asturias",
          "Gijon",
          "Gozon",
          "Grado",
          "Langreo",
          "Laviana",
          "Lena",
          "Llanera",
          "Llanes",
          "Mieres",
          "Navia",
          "Oviedo",
          "Pilona",
          "Pravia",
          "San Martin del Rey Aurelio",
          "Siero",
          "Tineo",
          "Valdes",
          "Villaviciosa"
        ]),
        States(name: "Asturias", cities: ["Avila"]),
        States(name: "Avila", cities: [
          "Almendralejo",
          "Azuaga",
          "Badajoz",
          "Don Benito",
          "Jerez de los Caballeros",
          "Merida",
          "Montijo",
          "Olivenza",
          "Villafranca de los Barros",
          "Villanueva de la Serena",
          "Zafra"
        ]),
        States(name: "Badajoz", cities: [
          "Alayor-Menorca",
          "Alcudia",
          "Calvia",
          "Capdepera",
          "Ciutadella de Menorca",
          "Eivissa",
          "Felanitx",
          "Inca",
          "Llucmajor",
          "Mahon",
          "Manacor",
          "Marratxi",
          "Palma",
          "Pollenca",
          "Sa Pobla",
          "Sant Antoni de Portmany",
          "Sant Josep de sa Talaia",
          "Santa Eulalia del Rio",
          "Santanyi",
          "Soller"
        ]),
        States(name: "Balears", cities: [
          "Abrera",
          "Alella",
          "Arenys de Mar",
          "Argentona",
          "Badalona",
          "Badia del Valles",
          "Barbera del Valles",
          "Barcelona",
          "Berga",
          "Cabrera de Mar",
          "Caldes de Montbui",
          "Calella",
          "Canet de Mar",
          "Canovelles",
          "Cardedeu",
          "Castellar del Valles",
          "Castellbisbal",
          "Castelldefels",
          "Cerdanyola",
          "Corbera de Llobregat",
          "Cornella",
          "El Masnou",
          "El Prat de Llobregat",
          "Esparreguera",
          "Esplugues de Llobregat",
          "Gava",
          "Granollers",
          "Igualada",
          "L\\'\\'Hospitalet de Llobregat",
          "La Garriga",
          "La Llagosta",
          "Les Franquesas del Valles",
          "Llica d\\'\\'Amunt",
          "Malgrat de Mar",
          "Manlleu",
          "Manresa",
          "Martorell",
          "Mataro",
          "Molins de Rei",
          "Mollet del Valles",
          "Montcada i Reixac",
          "Montgat",
          "Montmelo",
          "Montornes del Valles",
          "Olesa de Montserrat",
          "Palau-solita i Plegamans",
          "Palleja",
          "Parets del Valles",
          "Piera",
          "Pineda de Mar",
          "Premia de Dalt",
          "Premia de Mar",
          "Ripollet",
          "Rubi",
          "Sabadell",
          "Sant Adria de Besos",
          "Sant Andreu de la Barca",
          "Sant Boi de Llobregat",
          "Sant Celoni",
          "Sant Cugat del Valles",
          "Sant Feliu de Llobregat",
          "Sant Joan Despi",
          "Sant Joan de Vilatorrada",
          "Sant Just Desvern",
          "Sant Pere de Ribes",
          "Sant Quirze del Valles",
          "Sant Sadurni d\\'\\'Anoia",
          "Sant Vicenc dels Horts",
          "Santa Coloma de Gramenet",
          "Santa Margarida de Montbui",
          "Santa Perpetua de Mogoda",
          "Sitges",
          "Son Servera",
          "Terrassa",
          "Tordera",
          "Torello",
          "Vallirana",
          "Vic",
          "Viladecans",
          "Viladecavalls",
          "Vilafranca del Penedes",
          "Vilanova del Cami",
          "Vilanova i la Geltru",
          "Vilassar del Mar"
        ]),
        States(name: "Barcelona", cities: ["Bertamirans"]),
        States(
            name: "Bertamirans",
            cities: ["Berriatua", "Derio", "Elorio", "Loiu"]),
        States(
            name: "Biscay",
            cities: ["Aranda de Duero", "Burgos", "Miranda de Ebro"]),
        States(name: "Burgos", cities: [
          "Caceres",
          "Coria",
          "Miajadas",
          "Navalmoral de la Mata",
          "Plasencia",
          "Talayuela",
          "Trujillo"
        ]),
        States(name: "Caceres", cities: [
          "Algeciras",
          "Arcos de la Frontera",
          "Barbate",
          "Cadiz",
          "Chiclana",
          "Chipiona",
          "Conil",
          "El Puerto de Santa Maria",
          "Jerez",
          "Jimena de la Frontera",
          "La Linea",
          "Los Barrios",
          "Medina-Sidonia",
          "Olvera",
          "Puerto Real",
          "Rota",
          "San Fernando",
          "San Roque",
          "Sanlucar de Barrameda",
          "Tarifa",
          "Ubrique",
          "Vejer de la Frontera",
          "Villamartin"
        ]),
        States(name: "Cadiz", cities: [
          "Camargo",
          "Castro-Urdiales",
          "El Astillero",
          "Laredo",
          "Los Corrales de Buelna",
          "Pielagos",
          "Reinosa",
          "San Felices De Buelna",
          "Santa Cruz de Bezana",
          "Santander",
          "Santona",
          "Torrelavega"
        ]),
        States(name: "Cantabria", cities: [
          "Almassora",
          "Benicarlo",
          "Benicassim",
          "Burriana",
          "Castello",
          "L\\'\\'Alcora",
          "La Vall d\\'\\'Uixo",
          "Nules",
          "Onda",
          "Segorbe",
          "Vila-real",
          "Vinaros"
        ]),
        States(name: "Castello", cities: ["Barcelona"]),
        States(name: "Catalunya", cities: ["Ceuta"]),
        States(name: "Ceuta", cities: []),
        States(name: "Ciudad Real", cities: []),
        States(name: "Comunidad Autonoma de Canarias", cities: []),
        States(name: "Comunidad Autonoma de Cataluna", cities: []),
        States(name: "Comunidad Autonoma de Galicia", cities: []),
        States(name: "Comunidad Autonoma de las Isla", cities: []),
        States(name: "Comunidad Autonoma del Princip", cities: []),
        States(name: "Comunidad Valenciana", cities: [
          "Aguilar de la Frontera",
          "Baena",
          "Bujalance",
          "Cabra",
          "Cordoba",
          "Fernan-Nunez",
          "Fuente Palmera",
          "La Carlota",
          "Lucena",
          "Luque",
          "Montilla",
          "Montoro",
          "Palma del Rio",
          "Penarroya-Pueblonuevo",
          "Pozoblanco",
          "Priego de Cordoba",
          "Puente Genil",
          "Rute",
          "Villanueva de Cordoba"
        ]),
        States(name: "Cordoba", cities: ["Cuenca", "Tarancon"]),
        States(name: "Cuenca", cities: ["Aduna", "Lazakao"]),
        States(name: "Gipuzkoa", cities: [
          "Banyoles",
          "Blanes",
          "Empuriabrava",
          "Figueres",
          "Girona",
          "La Bisbal d\\'\\'Emporda",
          "Lloret de Mar",
          "Massanet de la Selva",
          "Olot",
          "Palafrugell",
          "Palamos",
          "Ripoll",
          "Roses",
          "Salt",
          "Sant Feliu de Guixols",
          "Santa Coloma de Farners",
          "Torroella de Montgri"
        ]),
        States(name: "Girona", cities: [
          "Albolote",
          "Almunecar",
          "Armilla",
          "Atarfe",
          "Baza",
          "Granada",
          "Guadix",
          "Huescar",
          "Huetor Tajar",
          "Huetor Vega",
          "Illora",
          "La Zubia",
          "Las Gabias",
          "Loja",
          "Maracena",
          "Motril",
          "Ogijares",
          "Peligros",
          "Pinos Puente",
          "Salobrena",
          "Santa Fe"
        ]),
        States(name: "Granada", cities: ["Azuqueca de Henares", "Guadalajara"]),
        States(name: "Guadalajara", cities: [
          "Andoain",
          "Anoeta",
          "Arrasate",
          "Azkoitia",
          "Azpeitia",
          "Beasain",
          "Bergara",
          "Donostia",
          "Eibar",
          "Elgoibar",
          "Errenteria",
          "Guipuuzcoa",
          "Hernani",
          "Hondarribia",
          "Irun",
          "Legazpi",
          "Mendaro",
          "Mondragon",
          "Oiartzun",
          "Onati",
          "Ordizia",
          "Oria",
          "Pasaia",
          "Tolosa",
          "Zarautz",
          "Zumaia",
          "Zumarraga"
        ]),
        States(name: "Guipuzcoa", cities: [
          "Aljaraque",
          "Almonte",
          "Ayamonte",
          "Bollullos Par del Condado",
          "Cartaya",
          "Gibraleon",
          "Huelva",
          "Isla Cristina",
          "La Palma del Condado",
          "Lepe",
          "Moguer",
          "Punta Umbria",
          "Valverde del Camino"
        ]),
        States(name: "Huelva", cities: [
          "Barbastro",
          "Binefar",
          "Fraga",
          "Huesca",
          "Jaca",
          "Monzon",
          "Sabinanigo"
        ]),
        States(name: "Huesca", cities: [
          "Alcala la Real",
          "Alcaudete",
          "Andujar",
          "Baeza",
          "Bailen",
          "Cazorla",
          "Jaen",
          "Jodar",
          "La Carolina",
          "Linares",
          "Mancha Real",
          "Martos",
          "Mengibar",
          "Torre del Campo",
          "Torredonjimeno",
          "Ubeda",
          "Villacarrillo",
          "Villanueva del Arzobispo"
        ]),
        States(name: "Jaen", cities: []),
        States(name: "La Rioja", cities: []),
        States(name: "Las Palmas", cities: [
          "Astorga",
          "Bembibre",
          "La Baneza",
          "Leon",
          "Ponferrada",
          "San Andres del Rabanedo",
          "Villablino",
          "Villaquilambre"
        ]),
        States(name: "Leon", cities: ["Tora"]),
        States(name: "Lerida", cities: [
          "Balaguer",
          "La Seu d\\'\\'Urgell",
          "Lleida",
          "Mollerussa",
          "Tarrega"
        ]),
        States(name: "Lleida", cities: [
          "Burela",
          "Cervo",
          "Chantada",
          "Foz",
          "Lugo",
          "Monforte de Lemos",
          "Ribadeo",
          "Sarria",
          "Vilalba",
          "Viveiro"
        ]),
        States(name: "Lugo", cities: [
          "Alcala de Henares",
          "Alcobendas",
          "Alcorcon",
          "Algete",
          "Alpedrete",
          "Aranjuez",
          "Arganda del Rey",
          "Boadilla del Monte",
          "Ciempozuelos",
          "Collado Villalba",
          "Colmenar Viejo",
          "Coslada",
          "El Escorial",
          "Fuenlabrada",
          "Galapagar",
          "Getafe",
          "Guadarrama",
          "Humanes de Madrid",
          "Las Rozas de Madrid",
          "Leganes",
          "Madrid",
          "Majadahonda",
          "Meco",
          "Mejorada del Campo",
          "Mostoles",
          "Navalcarnero",
          "Parla",
          "Pinto",
          "Pozuelo de Alarcon",
          "Rivas-Vaciamadrid",
          "San Fernando de Henares",
          "San Lorenzo de El Escorial",
          "San Martin de la Vega",
          "San Sebastian de los Reyes",
          "Torrejon de Ardoz",
          "Torrelodones",
          "Tres Cantos",
          "Valdemoro",
          "Velilla de San Antonio",
          "Villanueva de la Canada",
          "Villaviciosa de Odon"
        ]),
        States(name: "Madrid", cities: [
          "Alhaurin de la Torre",
          "Alhaurin el Grande",
          "Alora",
          "Antequera",
          "Apartado",
          "Archidona",
          "Benalmadena",
          "Cartama",
          "Coin",
          "Estepona",
          "Fuengirola",
          "Malaga",
          "Marbella",
          "Mijas",
          "Nerja",
          "Rincon de la Victoria",
          "Ronda",
          "Torremolinos",
          "Torrox",
          "Velez-Malaga",
          "maro"
        ]),
        States(name: "Malaga", cities: ["Melilla"]),
        States(name: "Melilla", cities: [
          "Abaran",
          "Aguilas",
          "Alcantarilla",
          "Alhama de Murcia",
          "Archena",
          "Beniel",
          "Bullas",
          "Calasparra",
          "Caravaca de la Cruz",
          "Cartagena",
          "Cehegin",
          "Cieza",
          "Fuente Alamo de Murcia",
          "Jumilla",
          "La Union",
          "Las Torres de Cotillas",
          "Lorca",
          "Los Alcazares",
          "Mazarron",
          "Molina de Segura",
          "Moratella",
          "Mula",
          "Murcia",
          "Puerto Lumbreras",
          "San Javier",
          "San Pedro del Pinatar",
          "Santomera",
          "Torre Pacheco",
          "Torre-Pacheco",
          "Totana",
          "Yecla"
        ]),
        States(name: "Murcia", cities: [
          "Ansoain",
          "Atarrabia",
          "Baranain",
          "Burlata",
          "Iruna",
          "Lizarra",
          "Navarra",
          "Orkoien",
          "Tafalla",
          "Tudela",
          "Zizur Nagusia"
        ]),
        States(name: "Navarra", cities: [
          "O Barco de Valdeorras",
          "O Carballino",
          "Ourense",
          "Verin",
          "Xinzo de Limia"
        ]),
        States(name: "Ourense", cities: []),
        States(name: "Pais Vasco", cities: ["Guardo", "Palencia"]),
        States(name: "Palencia", cities: [
          "A Estrada",
          "A Guarda",
          "Baiona",
          "Bueu",
          "Caldas de Reis",
          "Cambados",
          "Cangas",
          "Cangas De Morrazo",
          "Gondomar",
          "Lalin",
          "Marin",
          "Moana",
          "Mos",
          "Nigran",
          "O Grove",
          "O Porrino",
          "Poio",
          "Ponteareas",
          "Pontevedra",
          "Redondela",
          "Salvaterra de Mino",
          "Sanxenxo",
          "Silleda",
          "Tomino",
          "Tui",
          "Vigo",
          "Vilagarcia de Arousa",
          "Vilanova de Arousa"
        ]),
        States(name: "Pontevedra", cities: [
          "Bejar",
          "Ciudad Rodrigo",
          "Salamanca",
          "Santa Marta de Tormes"
        ]),
        States(name: "Salamanca", cities: []),
        States(name: "Santa Cruz de Tenerife", cities: ["Cuellar", "Segovia"]),
        States(name: "Segovia", cities: [
          "Alcala de Guadaira",
          "Alcala del Rio",
          "Arahal",
          "Bormujos",
          "Brenes",
          "Camas",
          "Cantillana",
          "Carmona",
          "Castilleja de la Cuesta",
          "Coria del Rio",
          "Dos Hermanas",
          "Ecija",
          "El Viso del Alcor",
          "Estepa",
          "Gines",
          "Guillena",
          "La Algaba",
          "La Puebla de Cazalla",
          "La Puebla del Rio",
          "La Rinconada",
          "Las Cabezas de San Juan",
          "Lebrija",
          "Lora del Rio",
          "Los Palacios y Villafranca",
          "Mairena del Alcor",
          "Mairena del Aljarafe",
          "Marchena",
          "Moron de la Frontera",
          "Olivares",
          "Osuna",
          "Pilas",
          "San Juan de Aznalfarache",
          "Sanlucar la Mayor",
          "Sevilla",
          "Tocina",
          "Tomares",
          "Utrera"
        ]),
        States(name: "Sevilla", cities: ["Soria"]),
        States(name: "Soria", cities: [
          "Alcanar",
          "Amposta",
          "Calafell",
          "Cambrils",
          "Deltrebe",
          "El Vendrell",
          "Reus",
          "Salou",
          "Sant Carles de la Rapita",
          "Tarragona",
          "Torredembarra",
          "Tortosa",
          "Valls",
          "Vila-seca"
        ]),
        States(name: "Tarragona", cities: ["Tenerife"]),
        States(name: "Tenerife", cities: ["Alcaniz", "Teruel"]),
        States(name: "Teruel", cities: [
          "Consuegra",
          "Illescas",
          "Madridejos",
          "Mora",
          "Pepino",
          "Quintanar de la Orden",
          "Sonseca",
          "Talavera de la Reina",
          "Toledo",
          "Torrijos",
          "Villacanas"
        ]),
        States(name: "Toledo", cities: [
          "Agullent",
          "Alaquas",
          "Albal",
          "Alberic",
          "Alboraya",
          "Aldaia",
          "Alfafar",
          "Algemesi",
          "Alginet",
          "Alzira",
          "Benaguasil",
          "Benetusser",
          "Benifaio",
          "Beniparrell",
          "Betera",
          "Bunol",
          "Burjassot",
          "Canals",
          "Carcaixent",
          "Carlet",
          "Catarroja",
          "Chiva",
          "Cullera",
          "Elche",
          "Gandia",
          "Godella",
          "L\\'\\'Alcudia",
          "L\\'\\'Eliana",
          "La Pobla de Vallbona",
          "Lliria",
          "Los Montesinos",
          "Manises",
          "Massamagrell",
          "Meliana",
          "Mislata",
          "Moncada",
          "Oliva",
          "Ontinyent",
          "Paiporta",
          "Paterna",
          "Picanya",
          "Picassent",
          "Pucol",
          "Quart de Poblet",
          "Requena",
          "Riba-roja de Turia",
          "Sagunt",
          "Sedavi",
          "Silla",
          "Sueca",
          "Tavernes Blanques",
          "Tavernes de la Valldigna",
          "Torrent",
          "Utiel",
          "Valencia",
          "Xativa",
          "Xirivella"
        ]),
        States(name: "Valencia", cities: [
          "Laguna de Duero",
          "Medina del Campo",
          "Tordesillas",
          "Valladolid"
        ]),
        States(name: "Valladolid", cities: [
          "Abadiano",
          "Abanto Zierbena",
          "Amorebieta",
          "Arrigorriaga",
          "Barakaldo",
          "Basauri",
          "Bermeo",
          "Berriz",
          "Bilbao",
          "Durango",
          "Erandio",
          "Ermua",
          "Etxano",
          "Galdakao",
          "Gernika-Lumo",
          "Getxo",
          "Igorre",
          "Leioa",
          "Mungia",
          "Ondarroa",
          "Ortuella",
          "Portugalete",
          "Santurtzi",
          "Sestao",
          "Sopelana",
          "Trapagaran",
          "Zamudio"
        ]),
        States(name: "Vizcaya", cities: ["Benavente", "Toro", "Zamora"]),
        States(name: "Zamora", cities: [
          "Calatayud",
          "Ejea de los Caballeros",
          "Tarazona",
          "Utebo",
          "Zaragoza"
        ]),
        States(name: "Zaragoza", cities: ["Amparai", "Galmune"])
      ]),
  Country(
      name: "Sri Lanka",
      flag: "🇱🇰",
      code: "LK",
      dialCode: "94",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Amparai", cities: ["Anuradhapuraya"]),
        States(
            name: "Anuradhapuraya",
            cities: ["Badulla", "Bandarawela", "Haputale"]),
        States(name: "Badulla", cities: ["Boralesgamuwa"]),
        States(name: "Boralesgamuwa", cities: [
          "Battaramulla",
          "Colombo",
          "Dehiwala-Mount Lavinia",
          "Homagama",
          "Jayawardanapura",
          "Kolonnawa",
          "Kotikawatta",
          "Maharagama",
          "Moratuwa",
          "Mulleriyawa",
          "Ratmalana",
          "Seethawakapura",
          "Sri Jayawardanapura"
        ]),
        States(name: "Colombo", cities: ["Ambalamgoda", "Galla"]),
        States(name: "Galla", cities: [
          "Daluguma",
          "Gampaha",
          "Hendala",
          "Jaela",
          "Kandana",
          "Katunayaka",
          "Kelaniya",
          "Migamuwa",
          "Minuwangoda",
          "Peliyagoda",
          "Ragama",
          "Wattala",
          "Welesara"
        ]),
        States(name: "Gampaha", cities: ["Hambantota", "Tanggalla"]),
        States(name: "Hambantota", cities: [
          "Beruwala",
          "Horana",
          "Kalutara",
          "Keselwatta",
          "Panadraya"
        ]),
        States(name: "Kalatura", cities: ["Kegalla"]),
        States(name: "Kegalla", cities: ["Kilinochchi"]),
        States(
            name: "Kilinochchi",
            cities: ["Kuliyapitiya", "Kurunegala", "Polgahawela"]),
        States(
            name: "Kurunegala", cities: ["Eravur", "Katankudi", "Madakalpuwa"]),
        States(name: "Madakalpuwa", cities: []),
        States(name: "Maha Nuwara", cities: ["Malwana"]),
        States(name: "Malwana", cities: ["Mannarama"]),
        States(name: "Mannarama", cities: ["Dambulla", "Matale", "Sigiriya"]),
        States(name: "Matale", cities: ["Matara", "Weligama"]),
        States(name: "Matara", cities: ["Monaragala", "Wattegama"]),
        States(name: "Monaragala", cities: ["Mullaitivu"]),
        States(name: "Mullaitivu", cities: []),
        States(name: "North Eastern Province", cities: []),
        States(name: "North Western Province", cities: []),
        States(name: "Nuwara Eliya", cities: ["Polonnaruwa"]),
        States(name: "Polonnaruwa", cities: ["Halawata", "Puttalama"]),
        States(name: "Puttalama", cities: ["Balangoda", "Ratnapuraya"]),
        States(name: "Ratnapuraya", cities: []),
        States(name: "Southern Province", cities: ["Tirikunamalaya"]),
        States(name: "Tirikunamalaya", cities: ["Querceta"]),
        States(name: "Tuscany", cities: ["Vavuniyawa"]),
        States(name: "Vavuniyawa", cities: []),
        States(name: "Western Province", cities: [
          "Chavakachcheri",
          "Peduru Tuduwa",
          "Valvedditturai",
          "Yapanaya"
        ]),
        States(name: "Yapanaya", cities: ["Mahara"]),
        States(
            name: "kadawatha", cities: ["Kodok", "Malakal", "Nasir", "ar-Rank"])
      ]),
  Country(
      name: "Sudan",
      flag: "🇸🇩",
      code: "SD",
      dialCode: "249",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "A\\'\\'ali-an-Nil", cities: ["Juba", "Yei"]),
        States(name: "Bahr-al-Jabal", cities: []),
        States(name: "Central Equatoria", cities: []),
        States(name: "Gharb Bahr-al-Ghazal", cities: []),
        States(name: "Gharb Darfur", cities: []),
        States(
            name: "Gharb Kurdufan",
            cities: ["Maridi", "Nzara", "Tambura", "Yambio"]),
        States(name: "Gharb-al-Istiwa\\'\\'iyah", cities: []),
        States(name: "Janub Darfur", cities: []),
        States(name: "Janub Kurdufan", cities: ["Bur"]),
        States(name: "Junqali", cities: [
          "Aruma",
          "Halfa al-Jadidah",
          "Kassala",
          "Khashm-al-Qirbah",
          "Wagar",
          "al-Masnah"
        ]),
        States(name: "Kassala", cities: [
          "Atbarah",
          "Barbar",
          "Kabushiyah",
          "Shandi",
          "ad-Damir",
          "al-Bawga",
          "al-Matammah"
        ]),
        States(name: "Nahr-an-Nil", cities: []),
        States(name: "Shamal Bahr-al-Ghazal", cities: []),
        States(name: "Shamal Darfur", cities: []),
        States(name: "Shamal Kurdufan", cities: ["Kapoeta", "Torit"]),
        States(name: "Sharq-al-Istiwa\\'\\'iyah", cities: [
          "Abu Hijar",
          "Galgani",
          "Hajj \\'\\'Abdallah",
          "Karkawj",
          "Mayurnu",
          "Sinjah",
          "Sinnar",
          "Sinnar-at-Tagatu",
          "Umm Shawkah",
          "ad-Dindar",
          "as-Suki"
        ]),
        States(name: "Sinnar", cities: ["Mashra ar-Raqq", "Tonj", "Warab"]),
        States(name: "Warab", cities: []),
        States(
            name: "Wilayat al Khartum",
            cities: ["Bur Sudan", "Gabait", "Sawakin", "Sinkat", "Tawkar"]),
        States(name: "al-Bahr-al-Ahmar", cities: ["Rumbik", "Yirol"]),
        States(name: "al-Buhayrat", cities: [
          "Abu \\'\\'Usar",
          "Arba\\'\\'atun wa \\'\\'Ishrun-al-Qurash",
          "Maharaybah",
          "Miallayab",
          "Rufa\\'\\'a",
          "Sharafat",
          "Tabat",
          "Tambul",
          "Wad Madani",
          "Wad Rawah",
          "al-Hawsh",
          "al-Hilaliyah",
          "al-Huda",
          "al-Husayhisah",
          "al-Kamilin",
          "al-Karaymat",
          "al-Manaqil",
          "al-Mu\\'\\'sadiyah",
          "al-Musallamiyah"
        ]),
        States(name: "al-Jazirah", cities: [
          "Umm Dawm",
          "Umm Durman",
          "al-Khartum",
          "al-Khartum Bahri"
        ]),
        States(name: "al-Khartum", cities: [
          "Doka",
          "Qala\\'\\'-an-Nahl",
          "Shuwak",
          "al-Faw",
          "al-Hawatah",
          "al-Qadarif"
        ]),
        States(name: "al-Qadarif", cities: ["Bentiu", "Ler"]),
        States(name: "al-Wahdah", cities: [
          "Asalaya",
          "Bufi",
          "Gulli",
          "Kinanah",
          "Kusti",
          "Marabba",
          "Rabak",
          "Shabashah",
          "Tandalti",
          "Umm Jarr",
          "Wad-az-Zaki",
          "ad-Duwaym",
          "al-Jazirah",
          "al-Kawah",
          "al-Qutaynah"
        ]),
        States(
            name: "an-Nil-al-Abyad",
            cities: ["ad-Damazin", "al-Kurumuk", "al-Quwaysi", "ar-Rusayris"]),
        States(name: "an-Nil-al-Azraq", cities: [
          "Argu",
          "Dalqu",
          "Dunqulah",
          "Kanisah",
          "Karmah-an-Nuzul",
          "Kuraymah",
          "Kurti",
          "Marawi",
          "Tangasi-ar-Ru\\'\\'ays",
          "Wadi Halfa",
          "ad-Dabbah"
        ]),
        States(name: "ash-Shamaliyah", cities: ["Brokopondo", "Brownsweg"])
      ]),
  Country(
      name: "Suriname",
      flag: "🇸🇷",
      code: "SR",
      dialCode: "597",
      minLength: 7,
      maxLength: 7,
      states: [
        States(
            name: "Brokopondo",
            cities: ["Marienburg", "Meerzorg", "Nieuw Amsterdam"]),
        States(name: "Commewijne", cities: ["Totness"]),
        States(name: "Coronie", cities: ["Albina", "Moengo"]),
        States(name: "Marowijne", cities: ["Nieuw Nickerie", "Wageningen"]),
        States(name: "Nickerie", cities: ["Onverwacht"]),
        States(name: "Para", cities: ["Paramaribo"]),
        States(name: "Paramaribo", cities: ["Groningen"]),
        States(name: "Saramacca", cities: ["Lelydorp"]),
        States(name: "Wanica", cities: [
          "Barentsburg",
          "Hornsund",
          "Isfjord Radio",
          "Longyearbyen",
          "Ny-Alesund"
        ])
      ]),
  Country(
      name: "Svalbard and Jan Mayen",
      flag: "🇸🇯",
      code: "SJ",
      dialCode: "47",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Svalbard", cities: [
          "Bulembu",
          "Ezulwini",
          "Mbabane",
          "Ngwenya",
          "Pigg\\'\\'s Peak"
        ])
      ]),
  Country(
      name: "Eswatini",
      flag: "🇸🇿",
      code: "SZ",
      dialCode: "268",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Hhohho", cities: [
          "Big Bend",
          "Mhlume",
          "Mpaka",
          "Nsoko",
          "Simunye",
          "Siteki",
          "Tshaneni"
        ]),
        States(name: "Lubombo", cities: [
          "Bhunya",
          "Kwaluseni",
          "Lobamba",
          "Malkerns",
          "Mankayane",
          "Manzini",
          "Matsapha",
          "Mhlambanyatsi",
          "Sidvokodvo"
        ]),
        States(
            name: "Manzini",
            cities: ["Hlatikulu", "Hluti", "Kubuta", "Lavumisa", "Nhlangano"]),
        States(name: "Shiselweni", cities: [])
      ]),
  Country(
      name: "Sweden",
      flag: "🇸🇪",
      code: "SE",
      dialCode: "46",
      minLength: 7,
      maxLength: 13,
      states: [
        States(name: "Alvsborgs Lan", cities: []),
        States(
            name: "Angermanland",
            cities: ["Karlshamn", "Karlskrona", "Ronneby"]),
        States(name: "Blekinge", cities: ["Stenungsund"]),
        States(name: "Bohuslan", cities: [
          "Avesta",
          "Borlange",
          "Falun",
          "Hedemora",
          "Ludvika",
          "Malung"
        ]),
        States(name: "Dalarna", cities: [
          "Bollnas",
          "Bro",
          "Gavle",
          "Hudiksvall",
          "Sandviken",
          "Soderhamn"
        ]),
        States(name: "Gavleborg", cities: []),
        States(name: "Gaza", cities: ["Skara", "Visby"]),
        States(name: "Gotland", cities: [
          "Anderstorp",
          "Falkenberg",
          "Halmstad",
          "Ullared",
          "Varberg"
        ]),
        States(name: "Halland", cities: ["Farjestaden", "Ostersund"]),
        States(name: "Jamtland", cities: [
          "Gislaved",
          "Jonkoping",
          "Nassjo",
          "Tranas",
          "Varnamo",
          "Vetlanda"
        ]),
        States(name: "Jonkoping", cities: [
          "Blomstermala",
          "Kalmar",
          "Nybro",
          "Oskarshamn",
          "Solna",
          "Torsas",
          "Vastervik"
        ]),
        States(
            name: "Kalmar",
            cities: ["Habo", "Limhamn", "Segeltorp", "Svedala"]),
        States(name: "Kristianstads", cities: ["Ljungby", "Vaxjo"]),
        States(name: "Kronoberg", cities: ["Boden", "Kiruna", "Lulea", "Pitea"]),
        States(
            name: "Norrbotten",
            cities: ["Askersund", "Karlskoga", "Kumla", "Orebro"]),
        States(name: "Orebro", cities: [
          "Finspang",
          "Follinge",
          "Kisa",
          "Linkoping",
          "Mjolby",
          "Motala",
          "Norrkoping",
          "Vadstena"
        ]),
        States(name: "Ostergotland", cities: ["Skarpovagen"]),
        States(name: "Saltsjo-Boo", cities: [
          "Angelholm",
          "Arlov",
          "Bastad",
          "Eslov",
          "Hassleholm",
          "Helsingborg",
          "Hjarup",
          "Hoganas",
          "Horby",
          "Jonstorp",
          "Klagstorp",
          "Kristianstad",
          "Landskrona",
          "Lund",
          "Malmo",
          "Skanor",
          "Staffanstorp",
          "Trelleborg",
          "Ystad"
        ]),
        States(
            name: "Skane",
            cities: ["Hillerstorp", "Markaryd", "Smalandsstenar"]),
        States(name: "Smaland", cities: [
          "Eskilstuna",
          "Gnesta",
          "Katrineholm",
          "Nacka Strand",
          "Nykoping",
          "Strangnas",
          "Vingaker"
        ]),
        States(name: "Sodermanland", cities: [
          "Akersberga",
          "Boo",
          "Bromma",
          "Djursholm",
          "Hallstavik",
          "Jarfalla",
          "Johannesfred",
          "Lidingo",
          "Marsta",
          "Norrtalje",
          "Norsborg",
          "Nynashamn",
          "Rosersberg",
          "Sodertalje",
          "Sollentuna",
          "Stockholm",
          "Sundbyberg",
          "Taby",
          "Tumba",
          "Upplands-Vasby",
          "Vallentuna",
          "Vasterhaninge"
        ]),
        States(name: "Stockholm", cities: [
          "Balsta",
          "Enkoping",
          "Knivsta",
          "Skyttorp",
          "Storvreta",
          "Uppsala"
        ]),
        States(name: "Uppsala", cities: [
          "Arvika",
          "Hammaro",
          "Karlstad",
          "Kristinehamn",
          "Skoghall"
        ]),
        States(
            name: "Varmland",
            cities: ["Guglingen", "Robertsfors", "Skelleftea", "Umea"]),
        States(
            name: "Vasterbotten",
            cities: ["Gothenburg", "Kallered", "Kvanum", "Timmersdala"]),
        States(
            name: "Vastergotland",
            cities: ["Harnosand", "Ornskoldsvik", "Sundsvall"]),
        States(name: "Vasternorrland", cities: [
          "Arboga",
          "Fagersta",
          "Hallstahammar",
          "Koping",
          "Sala",
          "Vasteras"
        ]),
        States(name: "Vastmanland", cities: []),
        States(name: "Vastra Gotaland", cities: [
          "Aarau",
          "Aarburg",
          "Baden",
          "Bevilard",
          "Bremgarten",
          "Brugg",
          "Buchs",
          "Chevenez",
          "Fislisbach",
          "Granichen",
          "Hagglingen",
          "Kaiseraugst",
          "Kleindoettingen",
          "Klingnau",
          "Kuttigen",
          "Lenzburg",
          "Menziken",
          "Mohlin",
          "Mumpf",
          "Muri",
          "Neuenhof",
          "Niederlenz",
          "Niederwangen",
          "Niederwil",
          "Oberentfelden",
          "Obersiggenthal",
          "Oftringen",
          "Reinach",
          "Rheinfelden",
          "Rosshausern",
          "Rothrist",
          "Rupperswil",
          "Schmitten",
          "Seon",
          "Spreitenbach",
          "Stein",
          "Suhr",
          "Trogen",
          "Untersiggenthal",
          "Villmergen",
          "Wettingen",
          "Windisch",
          "Wohlen",
          "Wurenlos",
          "Zofingen"
        ])
      ]),
  Country(
      name: "Switzerland",
      flag: "🇨🇭",
      code: "CH",
      dialCode: "41",
      minLength: 12,
      maxLength: 12,
      states: [
        States(name: "Aargau", cities: []),
        States(name: "Appenzell Inner-Rhoden", cities: []),
        States(name: "Appenzell-Ausser Rhoden", cities: [
          "Aesch",
          "Allschwil",
          "Arlesheim",
          "Binningen",
          "Birsfelden",
          "Bottmingen",
          "Ettingen",
          "Frenkendorf",
          "Gelterkinden",
          "Laufen",
          "Lausen",
          "Liestal",
          "Munchenstein",
          "Muttenz",
          "Oberwil",
          "Pratteln",
          "Reinach",
          "Sissach",
          "Therwil"
        ]),
        States(name: "Basel-Landschaft", cities: ["Basel", "Riehen"]),
        States(name: "Basel-Stadt", cities: [
          "Belp",
          "Bern",
          "Berne",
          "Biel",
          "Biel-Bienne",
          "Bolligen",
          "Burgdorf",
          "Frutigen",
          "Heimberg",
          "Herzogenbuchsee",
          "Huttwil",
          "Interlaken",
          "Ittigen",
          "Kirchberg",
          "Koniz",
          "Konolfingen",
          "Langenthal",
          "Langnau",
          "Lengnau",
          "Lyss",
          "Meiringen",
          "Moutier",
          "Munchenbuchsee",
          "Munsingen",
          "Muri",
          "Nidau",
          "Orpund",
          "Ostermundingen",
          "Pieterlen",
          "Saanen",
          "Saint-Imier",
          "Sonceboz",
          "Spiez",
          "Steffisburg",
          "Sumiswald",
          "Thun",
          "Uetendorf",
          "Unterseen",
          "Urtenen",
          "Vechingen",
          "Wahlern",
          "Wohlen",
          "Worb",
          "Zollikofen"
        ]),
        States(name: "Bern", cities: []),
        States(name: "Canton Ticino", cities: [
          "Bulle",
          "Dudingen",
          "Fribourg",
          "Granges-Paccot",
          "Marly",
          "Muntelier",
          "Murten",
          "Remaufens",
          "Villars-sur-Glane",
          "Villaz-Saint-Pierre",
          "Wunnewil-Flamatt"
        ]),
        States(name: "Fribourg", cities: [
          "Bernex",
          "Carouge",
          "Chene-Bougeries",
          "Chene-Bourg",
          "Collonge-Bellerive",
          "Cologny",
          "Geneva",
          "Geneve",
          "Lancy",
          "Le Grand-Saconnex",
          "Meyrin",
          "Onex",
          "Plan-les-Ouates",
          "Thonex",
          "Vernier",
          "Versoix",
          "Veyrier"
        ]),
        States(name: "Geneve", cities: ["Glarus", "Nafels"]),
        States(name: "Glarus", cities: [
          "Arosa",
          "Chur",
          "Davos",
          "Domat",
          "Igis",
          "Landquart",
          "Maienfeld",
          "Sankt Moritz"
        ]),
        States(name: "Graubunden", cities: ["Heerbrugg"]),
        States(
            name: "Heerbrugg",
            cities: ["Delemont", "Glovelier", "Le Noirmont", "Porrentruy"]),
        States(name: "Jura", cities: []),
        States(name: "Kanton Aargau", cities: [
          "Adligenswil",
          "Ballwil",
          "Buchrain",
          "Ebikon",
          "Emmen",
          "Hochdorf",
          "Horw",
          "Kriens",
          "Littau",
          "Luzern",
          "Malters",
          "Meggen",
          "Neuenkirch",
          "Perlern",
          "Rothenburg",
          "Ruswil",
          "Sursee"
        ]),
        States(name: "Luzern", cities: []),
        States(name: "Morbio Inferiore", cities: ["Muhen"]),
        States(name: "Muhen", cities: [
          "Bole",
          "Boudry",
          "Colombier",
          "La Chaux-de-Fonds",
          "Le Locle",
          "Neuchatel",
          "Peseux"
        ]),
        States(
            name: "Neuchatel",
            cities: ["Buochs", "Hergiswil", "Stans", "Stansstad"]),
        States(
            name: "Nidwalden",
            cities: ["Alpnach", "Kerns", "Sachseln", "Sarnen"]),
        States(name: "Obwalden", cities: []),
        States(name: "Sankt Gallen", cities: ["Neuhausen", "Schaffhausen"]),
        States(name: "Schaffhausen", cities: [
          "Altendorf",
          "Arth",
          "Buron",
          "Einsiedeln",
          "Feusisberg",
          "Freienbach",
          "Ingenbohl",
          "Kussnacht",
          "Lachen",
          "Schubelbach",
          "Schwyz",
          "Wangen",
          "Wollerau"
        ]),
        States(name: "Schwyz", cities: [
          "Balsthal",
          "Bellach",
          "Bettlach",
          "Biberist",
          "Derendingen",
          "Dornach",
          "Dulliken",
          "Feldbrunnen",
          "Gerlafingen",
          "Grenchen",
          "Hagendorf",
          "Olten",
          "Schonenwerd",
          "Solothurn",
          "Trimbach",
          "Wangen",
          "Zuchwil"
        ]),
        States(name: "Solothurn", cities: [
          "Aadorf",
          "Amriswil",
          "Arbon",
          "Bischofszell",
          "Felben-Wellhausen",
          "Frauenfeld",
          "Guttingen",
          "Kreuzlingen",
          "Romanshorn",
          "Sirnach",
          "Sulgen",
          "Tagerwilen",
          "Weinfelden"
        ]),
        States(name: "Thurgau", cities: [
          "Ascona",
          "Bellinzona",
          "Biasca",
          "Breganzona",
          "Cadempino",
          "Chiasso",
          "Giubiasco",
          "Locarno",
          "Losone",
          "Lugano",
          "Massagno",
          "Melide",
          "Mendrisio",
          "Mezzovico",
          "Minusio",
          "Porza",
          "Pregassona",
          "Viganello"
        ]),
        States(name: "Ticino", cities: ["Altdorf", "Schattdorf"]),
        States(name: "Uri", cities: [
          "Bagnes",
          "Brig-Glis",
          "Collombey-Muraz",
          "Conthey",
          "Evionnaz",
          "Fully",
          "Martigny",
          "Monthey",
          "Naters",
          "Nendaz",
          "Niederwald",
          "Saviese",
          "Sierre",
          "Sion",
          "Visp",
          "Vouvry",
          "Zermatt"
        ]),
        States(name: "Valais", cities: [
          "Aigle",
          "Ballaigues",
          "Bex",
          "Blonay",
          "Bussigny",
          "Chavannes",
          "Crissier",
          "Ecublens",
          "Epalinges",
          "Gland",
          "La Tour-de-Peilz",
          "Lausanne",
          "Le Mont-sur-Lausanne",
          "Lucerne",
          "Lutry",
          "Montreux",
          "Morges",
          "Nyon",
          "Ollon",
          "Orbe",
          "Payerne",
          "Prilly",
          "Puidoux",
          "Pully",
          "Renens",
          "Romainmotier",
          "Saint Sulpice",
          "Vevey",
          "Yverdon"
        ]),
        States(name: "Vaud", cities: ["Vauffelin"]),
        States(name: "Vauffelin", cities: [
          "Baar",
          "Cham",
          "Hunenberg",
          "Menzingen",
          "Neuheim",
          "Oberageri",
          "Risch",
          "Risch-Rotkreuz",
          "Steinhausen",
          "Unterageri",
          "Zug"
        ]),
        States(name: "Zug", cities: [
          "Adliswil",
          "Affoltern",
          "Bachenbulach",
          "Bassersdorf",
          "Birmensdorf",
          "Bubikon",
          "Bulach",
          "Dielsdorf",
          "Dietikon",
          "Dietlikon",
          "Dubendorf",
          "Durnten",
          "Ebmatingen",
          "Egg",
          "Embrach",
          "Erlenbach",
          "Fallanden",
          "Fehraltdorf",
          "Geroldswil",
          "Gossau",
          "Greifensee",
          "Herrliberg",
          "Hinwil",
          "Hombrechtikon",
          "Horgen",
          "Illnau-Effretikon",
          "Kilchberg",
          "Kloten",
          "Kusnacht",
          "Langnau",
          "Mannedorf",
          "Maur",
          "Meilen",
          "Neftenbach",
          "Niederhasli",
          "Nurensdorf",
          "Oberengstringen",
          "Oberglatt",
          "Oberrieden",
          "Opfikon",
          "Pfaffikon",
          "Rafz",
          "Regensdorf",
          "Richterswil",
          "Rumlang",
          "Ruschlikon",
          "Ruti",
          "Schlieren",
          "Schwerzenbach",
          "Seuzach",
          "Stafa",
          "Thalwil",
          "Uetikon",
          "Urdorf",
          "Uster",
          "Volketswil",
          "Wadenswil",
          "Wald",
          "Wallisellen",
          "Wangen-Bruttisellen",
          "Weiningen",
          "Wetzikon",
          "Winterthur",
          "Zell",
          "Zollikon",
          "Zumikon",
          "Zurich"
        ]),
        States(name: "Zurich", cities: ["Aleppo"])
      ]),
  Country(
      name: "Syrian Arab Republic",
      flag: "🇸🇾",
      code: "SY",
      dialCode: "963",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Aleppo", cities: ["Dar\\'\\'a", "Nawa"]),
        States(
            name: "Dar\\'\\'a",
            cities: ["Abu Kamal", "Dayr az-Zawr", "al-Mayadin"]),
        States(name: "Dayr-az-Zawr", cities: [
          "Damascus",
          "Darayya",
          "Duma",
          "Hajar Aswad",
          "Harasta al-Bas",
          "Jaramanah",
          "Kabir-as-Sit",
          "Kesweh",
          "Qatana",
          "Yabrud",
          "al-Qutayfah",
          "an-Nabk",
          "at-Tall",
          "az-Zabadani"
        ]),
        States(name: "Dimashq", cities: [
          "Afrin",
          "Ayn-al-\\'\\'Arab",
          "A\\'\\'zaz",
          "Halab",
          "Manbij",
          "al-Bab",
          "as-Safirah"
        ]),
        States(
            name: "Halab",
            cities: ["Hamah", "Masyaf", "Muhradah", "Salamiyah"]),
        States(
            name: "Hamah",
            cities: ["Hims", "Homs", "Tudmur", "al-Qusayr", "ar-Rastan"]),
        States(name: "Hims", cities: [
          "Ariha",
          "Idlib",
          "Jisr-ash-Shughur",
          "Ma\\'\\'arrat-an-Nu\\'\\'man"
        ]),
        States(name: "Idlib", cities: []),
        States(name: "Madinat Dimashq", cities: ["Baniyas", "Safita", "Tartus"]),
        States(name: "Tartus", cities: [
          "Ra\\'\\'s-al-\\'\\'Ayn",
          "al-Hasakah",
          "al-Malikiyah",
          "al-Qamishli"
        ]),
        States(
            name: "al-Hasakah",
            cities: ["Jablah", "Lattakia", "al-Ladhiqiyah"]),
        States(name: "al-Ladhiqiyah", cities: ["al-Qunaytirah"]),
        States(name: "al-Qunaytirah", cities: ["ar-Raqqah", "ath-Thawrah"]),
        States(name: "ar-Raqqah", cities: ["as-Suwayda"]),
        States(name: "as-Suwayda", cities: [
          "Changhua City",
          "Changhwa",
          "Chihu",
          "Erhlin",
          "Hemei",
          "Homei",
          "Hua Tan Hsiang",
          "Huatan Township",
          "Lukang",
          "Peitou",
          "Puyen Hsiang",
          "Tienchung",
          "Yuanlin"
        ])
      ]),
  Country(
      name: "Taiwan",
      flag: "🇹🇼",
      code: "TW",
      dialCode: "886",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Changhua County", cities: []),
        States(name: "Chiayi County", cities: []),
        States(name: "Chiayi City", cities: []),
        States(name: "Taipei City", cities: []),
        States(name: "Hsinchu County", cities: []),
        States(name: "Hsinchu City", cities: ["Fenglin", "Hualian", "Yuli"]),
        States(
            name: "Hualien County",
            cities: ["Ilan", "Lotung", "Suao", "Toucheng"]),
        States(name: "Kaohsiung City", cities: []),
        States(name: "Keelung City", cities: ["Kincheng", "Kinhsia", "Kinhu"]),
        States(name: "Kinmen County", cities: [
          "Cholan",
          "Chunan",
          "Houlung",
          "Miaoli",
          "Toufen",
          "Tunghsiao",
          "Yuanli",
          "Zaociao"
        ]),
        States(
            name: "Miaoli County",
            cities: ["Chichi", "Chushan", "Nantou", "Puli", "Tsaotun"]),
        States(name: "Nantou County", cities: []),
        States(
            name: "Penghu County",
            cities: ["Chaochou", "Hengchun", "Pingtung", "Tungkang"]),
        States(
            name: "Pingtung County",
            cities: ["Dali", "South District", "Ta-Ya Shang"]),
        States(
            name: "Taichung City",
            cities: ["Dali", "South District", "Ta-Ya Shang"]),
        States(name: "Tainan City", cities: []),
        States(name: "New Taipei City", cities: []),
        States(name: "Taitung County", cities: [
          "Chengkung",
          "Chungli",
          "Kuan Yin",
          "Pate",
          "Pingchen",
          "Ta Yuan",
          "Tachi",
          "Taoyuan",
          "Tungshih",
          "Yangmei"
        ]),
        States(name: "Taoyuan City", cities: ["Wujie"]),
        States(name: "Yilan County", cities: []),
        States(
            name: "YunLin County",
            cities: ["Hsilo", "Huwei", "Peikang", "Touliu", "Tounan", "Tuku"]),
        States(name: "Lienchiang County", cities: [])
      ]),
  Country(
      name: "Tajikistan",
      flag: "🇹🇯",
      code: "TJ",
      dialCode: "992",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Dushanbe", cities: ["Khorug", "Murgob"]),
        States(name: "Gorno-Badakhshan", cities: [
          "Garm",
          "Hisor",
          "Kofarnihon",
          "Leninskiy",
          "Rogun",
          "Shakhrinau",
          "Tursunzoda"
        ]),
        States(name: "Karotegin", cities: [
          "Dangara",
          "Farkhor",
          "Jilikul",
          "Khojamaston",
          "Kolhozobod",
          "Kulob",
          "Kumsangir",
          "Moskva",
          "Mu\\'\\'minobod",
          "Nurak",
          "Pyanj",
          "Qurgonteppa",
          "Sarband",
          "Shaartuz",
          "Sovetskiy",
          "Vakhsh",
          "Vose",
          "Yovon"
        ]),
        States(name: "Khatlon", cities: [
          "Adrasmon",
          "Asht",
          "Ayni",
          "Buston",
          "Chkalov",
          "Chorku",
          "Gafurov",
          "Ganchi",
          "Isfara",
          "Khujand",
          "Konibodom",
          "Matcha",
          "Nau",
          "Panjakent",
          "Proletarsk",
          "Qayroqqum",
          "Shurob",
          "Taboshar",
          "Uroteppa",
          "Zafarobod"
        ]),
        States(name: "Sughd", cities: ["Arusha"])
      ]),
  Country(
      name: "Tanzania, United Republic of Tanzania",
      flag: "🇹🇿",
      code: "TZ",
      dialCode: "255",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Arusha", cities: []),
        States(name: "Dar es Salaam", cities: ["Dodoma", "Kondoa", "Mpwapwa"]),
        States(name: "Dodoma", cities: ["Iringa", "Njombe"]),
        States(name: "Iringa", cities: ["Bukoba", "Bwanga", "Ngara"]),
        States(name: "Kagera", cities: ["Kasulu", "Kigoma", "Uvinza"]),
        States(name: "Kigoma", cities: ["Moshi", "Same"]),
        States(
            name: "Kilimanjaro",
            cities: ["Kilwa Kivinje", "Lindi", "Nachingwea"]),
        States(name: "Lindi", cities: ["Musoma", "Tarime"]),
        States(name: "Mara", cities: ["Mbeya", "Mwaya", "Tukuyu"]),
        States(name: "Mbeya", cities: ["Kilosa", "Mahenge", "Morogoro"]),
        States(
            name: "Morogoro",
            cities: ["Masasi", "Mikindani", "Mtwara", "Newala"]),
        States(
            name: "Mtwara", cities: ["Magu", "Mwanza", "Nansio", "Sengerama"]),
        States(
            name: "Mwanza", cities: ["Bagamoyo", "Kibaha", "Rufiji", "Utete"]),
        States(name: "Pwani", cities: ["Mpanda", "Sumbawanga"]),
        States(name: "Rukwa", cities: ["Songea", "Tunduru"]),
        States(name: "Ruvuma", cities: [
          "Kahama",
          "Maswa",
          "Mwadui",
          "Old Shinyanga",
          "Shinyanga"
        ]),
        States(name: "Shinyanga", cities: ["Manyoni", "Singida"]),
        States(name: "Singida", cities: ["Bukene", "Nzega", "Tabora", "Urambo"]),
        States(
            name: "Tabora", cities: ["Korogwe", "Muheza", "Pangani", "Tanga"]),
        States(name: "Tanga", cities: []),
        States(name: "Zanzibar and Pemba", cities: [])
      ]),
  Country(
      name: "Thailand",
      flag: "🇹🇭",
      code: "TH",
      dialCode: "66",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Amnat Charoen", cities: []),
        States(
            name: "Ang Thong", cities: ["Bangkhen", "Bangkok", "Phatumthanee"]),
        States(name: "Bangkok", cities: []),
        States(name: "Buri Ram", cities: [
          "Bang Khla",
          "Bang Pakong",
          "Bangpakong",
          "Chachoengsao",
          "Phanom Sarakham",
          "Plaeng Yao"
        ]),
        States(name: "Chachoengsao", cities: []),
        States(name: "Chai Nat", cities: [
          "Bamnet Narong",
          "Chaiyaphum",
          "Kaeng Khlo",
          "Kaset Sombun",
          "Phu Khieo"
        ]),
        States(name: "Chaiyaphum", cities: []),
        States(name: "Changwat Chaiyaphum", cities: [
          "Chanthaburi",
          "Khlung",
          "Laem Sing",
          "Soydow",
          "Tha Mai"
        ]),
        States(name: "Chanthaburi", cities: []),
        States(name: "Chiang Mai", cities: []),
        States(name: "Chiang Rai", cities: []),
        States(name: "Chon Buri", cities: ["Chumphon", "Lang Suan"]),
        States(name: "Chumphon", cities: [
          "Huai Mek",
          "Kalasin",
          "Kamalasai",
          "Khao Wong",
          "Kuchinarai",
          "Nong Kung Si",
          "Yang Talat"
        ]),
        States(name: "Kalasin", cities: []),
        States(name: "Kamphaeng Phet", cities: [
          "Bo Phloi",
          "Kanchanaburi",
          "Phanom Thuan",
          "Tha Maka",
          "Tha Muang"
        ]),
        States(name: "Kanchanaburi", cities: []),
        States(name: "Khon Kaen", cities: ["Ao Luk", "Krabi"]),
        States(name: "Krabi", cities: []),
        States(name: "Krung Thep", cities: ["Lampang", "Thoen"]),
        States(name: "Lampang", cities: ["Lamphun", "Mae Tha", "Pa Sang"]),
        States(
            name: "Lamphun", cities: ["Loei", "Phu Kra Dung", "Wang Saphung"]),
        States(name: "Loei", cities: []),
        States(name: "Lop Buri", cities: []),
        States(name: "Mae Hong Son", cities: []),
        States(name: "Maha Sarakham", cities: ["Mukdahan"]),
        States(name: "Mukdahan", cities: []),
        States(name: "Nakhon Nayok", cities: []),
        States(name: "Nakhon Pathom", cities: []),
        States(name: "Nakhon Phanom", cities: []),
        States(name: "Nakhon Ratchasima", cities: []),
        States(name: "Nakhon Sawan", cities: []),
        States(name: "Nakhon Si Thammarat", cities: ["Chiang Klang", "Nan"]),
        States(name: "Nan", cities: [
          "Bacho",
          "Narathiwat",
          "Rangae",
          "Sungai Kolok",
          "Sungai Padi",
          "Tak Bai"
        ]),
        States(name: "Narathiwat", cities: []),
        States(name: "Nong Bua Lam Phu", cities: []),
        States(name: "Nong Khai", cities: [
          "Bang Bo Thong",
          "Bang Kruai",
          "Bang Yai",
          "Nonthaburi",
          "Pak Kret",
          "Sainoi"
        ]),
        States(name: "Nonthaburi", cities: []),
        States(
            name: "Pathum Thani",
            cities: ["Nong Chik", "Pattani", "Sai Buri", "Yaring"]),
        States(name: "Pattani", cities: ["Phangnga"]),
        States(name: "Phangnga", cities: ["Phatthalung"]),
        States(
            name: "Phatthalung",
            cities: ["Chiang Kham", "Dok Kham Tai", "Phayao", "Pong"]),
        States(name: "Phayao", cities: [
          "Chon Daen",
          "Lom Sak",
          "Nong Phai",
          "Phetchabun",
          "Wichian Buri"
        ]),
        States(name: "Phetchabun", cities: [
          "Ban Laem",
          "Chaam",
          "Khao Yoi",
          "Phetchaburi",
          "Tha Yang"
        ]),
        States(
            name: "Phetchaburi",
            cities: ["Bang Mun Nak", "Phichit", "Taphan Hin", "Thap Khlo"]),
        States(name: "Phichit", cities: [
          "Bang Krathum",
          "Bang Rakam",
          "Nakhon Thai",
          "Phitsanulok"
        ]),
        States(name: "Phitsanulok", cities: []),
        States(
            name: "Phra Nakhon Si Ayutthaya",
            cities: ["Den Chai", "Long", "Phrae", "Rong Kwang"]),
        States(name: "Phrae", cities: ["Kathu", "Phuket"]),
        States(name: "Phuket", cities: []),
        States(name: "Prachin Buri", cities: []),
        States(name: "Prachuap Khiri Khan", cities: ["Ranong"]),
        States(name: "Ranong", cities: [
          "Ban Pong",
          "Bang Phae",
          "Chom Bung",
          "Damnoen Saduak",
          "Photharam",
          "Ratchaburi"
        ]),
        States(name: "Ratchaburi", cities: ["Ban Chang", "Klaeng", "Rayong"]),
        States(name: "Rayong", cities: []),
        States(name: "Roi Et", cities: []),
        States(name: "Sa Kaeo", cities: []),
        States(name: "Sakon Nakhon", cities: []),
        States(name: "Samut Prakan", cities: []),
        States(name: "Samut Sakhon", cities: []),
        States(name: "Samut Songkhran", cities: [
          "Ban Mo",
          "Kaeng Khoi",
          "Nong Khae",
          "Phra Phutthabat",
          "Saraburi"
        ]),
        States(name: "Saraburi", cities: ["Satun"]),
        States(name: "Satun", cities: []),
        States(name: "Si Sa Ket", cities: []),
        States(
            name: "Sing Buri",
            cities: ["Hat Yai", "Ranot", "Sadao", "Singha Nakhon", "Songkhla"]),
        States(name: "Songkhla", cities: [
          "Khiri Mat",
          "Sawankhalok",
          "Si Satchanalai",
          "Sukhothai"
        ]),
        States(name: "Sukhothai", cities: []),
        States(name: "Suphan Buri", cities: []),
        States(name: "Surat Thani", cities: ["Phasat", "Surin"]),
        States(
            name: "Surin", cities: ["Ban Tak", "Mae Ramat", "Mae Sot", "Tak"]),
        States(name: "Tak", cities: ["Huai Yot", "Kantang", "Trang"]),
        States(name: "Trang", cities: ["Bo Rai", "Trat"]),
        States(name: "Trat", cities: []),
        States(name: "Ubon Ratchathani", cities: []),
        States(name: "Udon Thani", cities: []),
        States(name: "Uthai Thani", cities: ["Laplae", "Uttaradit"]),
        States(name: "Uttaradit", cities: ["Betong", "Yala"]),
        States(name: "Yala", cities: ["Yasothon"]),
        States(
            name: "Yasothon",
            cities: ["Guerin Kouka", "Sokode", "Sotouboua", "Tchamba"])
      ]),
  const Country(
      name: "Timor-Leste",
      flag: "🇹🇱",
      code: "TL",
      dialCode: "670",
      minLength: 7,
      maxLength: 7,
      states: []),
  Country(
      name: "Togo",
      flag: "🇹🇬",
      code: "TG",
      dialCode: "228",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Centre", cities: [
          "Bafilo",
          "Bassar",
          "Kande",
          "Kara",
          "Kpagouda",
          "Niamtougou"
        ]),
        States(name: "Kara", cities: [
          "Agbelouve",
          "Aneho",
          "Lome",
          "Tabligbo",
          "Tsevie",
          "Vogan"
        ]),
        States(name: "Maritime", cities: [
          "Amlame",
          "Anie",
          "Atakpame",
          "Badou",
          "Blitta",
          "Kouve",
          "Kpalime",
          "Kpessi",
          "Notse"
        ]),
        States(name: "Plateaux", cities: ["Dapaong", "Mango", "Tandjouare"]),
        States(name: "Savanes", cities: ["Atafu"])
      ]),
  Country(
      name: "Tokelau",
      flag: "🇹🇰",
      code: "TK",
      dialCode: "690",
      minLength: 4,
      maxLength: 4,
      states: [
        States(name: "Atafu", cities: ["Fakaofo"]),
        States(name: "Fakaofo", cities: ["Nukunonu"]),
        States(name: "Nukunonu", cities: ["Ohonua"])
      ]),
  Country(
      name: "Tonga",
      flag: "🇹🇴",
      code: "TO",
      dialCode: "676",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Eua", cities: ["Pangai"]),
        States(name: "Ha\\'\\'apai", cities: ["Hihifo"]),
        States(name: "Niuas", cities: [
          "Haveloloto",
          "Mu\\'\\'a",
          "Nuku\\'\\'alofa",
          "Tofoa-Koloua",
          "Vaini"
        ]),
        States(name: "Tongatapu", cities: ["Neiafu"]),
        States(
            name: "Vava\\'\\'u",
            cities: ["Arima", "Arouca", "Tacarigua", "Tunapuna"])
      ]),
  Country(
      name: "Trinidad and Tobago",
      flag: "🇹🇹",
      code: "TT",
      dialCode: "1868",
      minLength: 7,
      maxLength: 7,
      states: [
        States(
            name: "Arima-Tunapuna-Piarco",
            cities: ["Carapichaima", "Claxton Bay"]),
        States(name: "Caroni", cities: ["Chaguanas"]),
        States(name: "Chaguanas", cities: ["Couva", "Tabaquite"]),
        States(name: "Couva-Tabaquite-Talparo", cities: []),
        States(name: "Diego Martin", cities: ["Glencoe"]),
        States(name: "Glencoe", cities: []),
        States(name: "Penal Debe", cities: []),
        States(name: "Point Fortin", cities: []),
        States(name: "Port of Spain", cities: []),
        States(name: "Princes Town", cities: []),
        States(name: "Saint George", cities: []),
        States(name: "San Fernando", cities: []),
        States(name: "San Juan", cities: []),
        States(name: "Sangre Grande", cities: ["Siparia"]),
        States(name: "Siparia", cities: ["Scarborough"]),
        States(name: "Tobago", cities: [
          "Aryanah",
          "Bordj Aalouine",
          "Burj-al-\\'\\'Amri",
          "La Soukra",
          "Qal\\'\\'at-al-Andalus",
          "Sidi Thabit",
          "Taburbah",
          "Wadi al-Layl",
          "ad-Dandan",
          "al-Battan",
          "al-Jadidah",
          "al-Murnaqiyah",
          "at-Tadaman Dawwar Hishar"
        ])
      ]),
  Country(
      name: "Tunisia",
      flag: "🇹🇳",
      code: "TN",
      dialCode: "216",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Aryanah", cities: [
          "Bajah",
          "Majaz-al-Bab",
          "Nafzah",
          "Quballat",
          "Tabursuq",
          "Tastur",
          "Zahrat Madina",
          "al-Ma\\'\\'qulah"
        ]),
        States(name: "Bajah", cities: []),
        States(name: "Bin \\'\\'Arus", cities: [
          "Awsajah",
          "Binzart",
          "Ghar-al-Milh",
          "Manzil \\'\\'Abd-ar-Rahman",
          "Manzil Bu Ruqaybah",
          "Manzil Jamil",
          "Matir",
          "Rafraf",
          "Ras-al-Jabal",
          "Sajanan",
          "Tinjah",
          "al-\\'\\'Aliyah",
          "al-Matlin"
        ]),
        States(name: "Binzart", cities: []),
        States(name: "Gouvernorat de Ariana", cities: []),
        States(name: "Gouvernorat de Nabeul", cities: []),
        States(name: "Gouvernorat de Sousse", cities: []),
        States(name: "Hammamet Yasmine", cities: [
          "Ayn Darahim",
          "Bani Matir",
          "Bu Salim",
          "Firnanah",
          "Ghar-ad-Dima",
          "Jundubah",
          "Tabarqah",
          "Wadi Maliz"
        ]),
        States(name: "Jundubah", cities: [
          "Bani Khaddash",
          "Bin Qirdan",
          "Jarbah Ajim",
          "Jarbah Hawmat-as-Suq",
          "Jarbah Midun",
          "Jarjis",
          "Madaniyin"
        ]),
        States(name: "Madaniyin", cities: ["Manubah"]),
        States(name: "Manubah", cities: ["Monastir"]),
        States(name: "Monastir", cities: [
          "Azimur",
          "Bani Hiyar",
          "Bani Khallad",
          "Bu \\'\\'Urqub",
          "Dar \\'\\'Alush",
          "Dar Sha\\'\\'ban",
          "Hammam-al-Aghzaz",
          "Manzil Bu Zalafah",
          "Manzil Hurr",
          "Manzil Tamim",
          "Nabul",
          "Qalibiyah",
          "Qurbah",
          "Qurbus",
          "Qurunbaliyah",
          "Sulayman",
          "Taklisah",
          "Tazirkah",
          "Zawiyat-al-Jadidi",
          "al-Hammamat",
          "al-Huwariyah",
          "al-Ma\\'\\'murah",
          "al-Middah",
          "as-Sama\\'\\'ah"
        ]),
        States(name: "Nabul", cities: [
          "Ghannush",
          "Marath",
          "Matmatat-al-Jadidah",
          "Matmatat-al-Qadimah",
          "Qabis",
          "Sanini an-Nahal",
          "Wadhraf",
          "al-Hammah",
          "al-Matwiyah",
          "az-Zarat"
        ]),
        States(name: "Qabis", cities: [
          "Qafsah",
          "Umm-al-\\'\\'Arais",
          "al-Madilah",
          "al-Mitlawi",
          "al-Qasr",
          "al-Qatar",
          "ar-Rudayyif",
          "as-Sanad"
        ]),
        States(name: "Qafsah", cities: [
          "Duz",
          "Jamnah",
          "Qibili",
          "Suq-al-Ahad",
          "al-Qal\\'\\'ah"
        ]),
        States(name: "Qibili", cities: [
          "Aqarib",
          "Bi\\'\\'r Ali Bin Khalifah",
          "Jabinyanah",
          "Manzil Shakir",
          "Qarmadah",
          "Qarqannah",
          "Safaqis",
          "Saqiyat-ad-Dair",
          "Saqiyat-az-Zayt",
          "Sfax",
          "Tinah",
          "al-\\'\\'Ayn",
          "al-Hanashah",
          "al-Mahras",
          "as-Sukhayrah",
          "ash-Shayhiyah"
        ]),
        States(name: "Safaqis", cities: ["Sfax"]),
        States(name: "Sfax", cities: []),
        States(name: "Sidi Bu Zayd", cities: [
          "Barqu",
          "Bu \\'\\'Aradah",
          "Bu Ruwis",
          "Kasra",
          "Makthar",
          "Qa\\'\\'afur",
          "Silyanah",
          "al-\\'\\'Arusah",
          "al-Karib",
          "ar-Rawhiyah"
        ]),
        States(name: "Silyanah", cities: [
          "Akkudah",
          "Bu Fishah",
          "Hammam Susah",
          "Harqalah",
          "Masakin",
          "Qusaybat-ath-Thurayat",
          "Sidi Bu \\'\\'Ali",
          "Sidi al-Hani",
          "Susah",
          "Zawiyat Susah",
          "al-Masa\\'\\'din",
          "al-Qal\\'\\'at-al-Kabirah",
          "al-Qal\\'\\'at-as-Saghirah",
          "an-Nafidah",
          "az-Zuhur"
        ]),
        States(name: "Susah", cities: [
          "Bi\\'\\'r-al-Ahmar",
          "Dhahibah",
          "Ghumrassin",
          "Rimadah",
          "Tatawin"
        ]),
        States(name: "Tatawin", cities: [
          "Daqash",
          "Hammat-al-Jarid",
          "Naftah",
          "Tamaghzah",
          "Tawzar"
        ]),
        States(name: "Tawzar", cities: [
          "Bardaw",
          "Ben Arous",
          "Carthage",
          "Halq-al-Wadi",
          "Megrine",
          "Qartaj",
          "Sidi Bu Sa\\'\\'id",
          "Tunis",
          "al-Marsa"
        ]),
        States(name: "Tunis", cities: [
          "Bi\\'\\'r Mashariqah",
          "Jabal-al-Wust",
          "Zaghwan",
          "al-Fahs",
          "an-Nazur",
          "az-Zaribah"
        ]),
        States(name: "Zaghwan", cities: [
          "Manzil Salim",
          "Nibbar",
          "Qal\\'\\'at-as-Sanan",
          "Saqiyat Sidi Yussuf",
          "Tajarwin",
          "ad-Dahmani",
          "al-Jarissah",
          "al-Kaf",
          "al-Qal\\'\\'at-al-Khasba",
          "al-Qusur",
          "as-Sars",
          "at-Tawiraf"
        ]),
        States(name: "al-Kaf", cities: [
          "Awlad ash-Shamakh",
          "Bumirdas",
          "Habirah",
          "Karkar",
          "Mallulash",
          "Qusur-as-Saf",
          "Rajish",
          "Shurban",
          "Sidi \\'\\'Ulwan",
          "al-Baradi\\'\\'ah",
          "al-Jamm",
          "al-Mahdiyah",
          "as-Sawasi",
          "ash-Shabbah"
        ]),
        States(name: "al-Mahdiyah", cities: [
          "Amirat-al-Fahul",
          "Amirat-al-Hajjaj",
          "Amirat-at-Tawazarah",
          "Banan Budar",
          "Banblat wal-Manarah",
          "Bani Hassan",
          "Bu Hajjar",
          "Ghanadah",
          "Jammal",
          "Khunays",
          "Lamtah",
          "Manzil Farsi",
          "Manzil Hayah",
          "Manzil Kamil",
          "Manzil Nur",
          "Qasr Hallal",
          "Qusaybat-al-Madyuni",
          "Sahilin Ma\\'\\'atmar",
          "Sayyadah",
          "Sidi \\'\\'Amara",
          "Sidi Bin Nur",
          "Tabulbah",
          "Tuzah",
          "Zaramidin",
          "Zawiyat Quntash",
          "al-Baqalitah",
          "al-Masdur",
          "al-Muknin",
          "al-Munastir",
          "al-Wardanin",
          "ash-Sharahil"
        ]),
        States(name: "al-Munastir", cities: [
          "Firyanah",
          "Fussanah",
          "Haydrah",
          "Jadliyan",
          "Majal Bal \\'\\'Abbas",
          "Sabibah",
          "Subaytilah",
          "Talabat",
          "Talah",
          "al-Qasrayn"
        ]),
        States(name: "al-Qasrayn", cities: [
          "Ayn Jalulah",
          "Buhajlah",
          "Haffuz",
          "Hajib-al-\\'\\'Ayun",
          "Manzil Mahidi",
          "Nasr Allah",
          "al-\\'\\'Ala",
          "al-Qayrawan",
          "al-Waslatiyah",
          "as-Subaykhah",
          "ash-Shabikah",
          "ash-Sharardah"
        ]),
        States(name: "al-Qayrawan", cities: [
          "Adana",
          "Aladag",
          "Ceyhan",
          "Feke",
          "Imamoglu",
          "Karaisali",
          "Karatas",
          "Kozan",
          "Pozanti",
          "Saimbeyli",
          "Tufanbeyli",
          "Yumurtalik"
        ])
      ]),
  Country(
      name: "Turkey",
      flag: "🇹🇷",
      code: "TR",
      dialCode: "90",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Adana", cities: [
          "Adiyaman",
          "Besni",
          "Celikhan",
          "Gerger",
          "Golbasi",
          "Kahta",
          "Samsat",
          "Sincik",
          "Tut"
        ]),
        States(name: "Adiyaman", cities: [
          "Afyonkarahisar",
          "Basmakci",
          "Bayat",
          "Bolvadin",
          "Cay",
          "Dazkiri",
          "Dinar",
          "Emirdag",
          "Evciler",
          "Hocalar",
          "Ihsaniye",
          "Iscehisar",
          "Kiziloren",
          "Sandikli",
          "Sincanli",
          "Suhut",
          "Sultandagi"
        ]),
        States(name: "Afyon", cities: [
          "Diyadin",
          "Dogubeyazit",
          "Eleskirt",
          "Hamur",
          "Karakose",
          "Patnos",
          "Taslicay",
          "Tutak"
        ]),
        States(name: "Agri", cities: [
          "Agacoren",
          "Aksaray",
          "Eskil",
          "Gulagac",
          "Guzelyurt",
          "Ortakoy",
          "Sariyahsi"
        ]),
        States(name: "Aksaray", cities: [
          "Amasya",
          "Goynucek",
          "Gumushacikoy",
          "Hamamozu",
          "Merzifon",
          "Suluova",
          "Tasova"
        ]),
        States(name: "Amasya", cities: [
          "Akyurt",
          "Ankara",
          "Ayas",
          "Beypazari",
          "Camlidere",
          "Cubuk",
          "Elmadag",
          "Evren",
          "Gudul",
          "Haymana",
          "Kalecik",
          "Kazan",
          "Kizilcahamam",
          "Nallihan",
          "Polatli",
          "Sereflikochisar",
          "Yenisehir"
        ]),
        States(name: "Ankara", cities: [
          "Akseki",
          "Alanya",
          "Antalya",
          "Elmali",
          "Finike",
          "Gazipasa",
          "Gundogmus",
          "Ibradi",
          "Kale",
          "Kas",
          "Kemer",
          "Konya",
          "Korkuteli",
          "Kumluca",
          "Manavgat",
          "Serik"
        ]),
        States(
            name: "Antalya",
            cities: ["Ardahan", "Damal", "Gole", "Hanak", "Posof"]),
        States(name: "Ardahan", cities: [
          "Ardanuc",
          "Arhavi",
          "Artvin",
          "Borcka",
          "Hopa",
          "Murgul",
          "Savsat",
          "Yusufeli"
        ]),
        States(name: "Artvin", cities: [
          "Aydin",
          "Bozdogan",
          "Buharkent",
          "Cine",
          "Didim",
          "Germencik",
          "Incirliova",
          "Karacasu",
          "Karpuzlu",
          "Kocarli",
          "Kosk",
          "Kusadasi",
          "Kuyucak",
          "Nazilli",
          "Soke",
          "Sultanhisar",
          "Yenipazar"
        ]),
        States(name: "Aydin", cities: [
          "Ayvalik",
          "Balikesir",
          "Balya",
          "Bandirma",
          "Bigadic",
          "Burhaniye",
          "Dursunbey",
          "Edremit",
          "Erdek",
          "Gomec",
          "Gonen",
          "Havran",
          "Ivrindi",
          "Kepsut",
          "Manyas",
          "Marmara",
          "Sakarya",
          "Savastepe",
          "Sindirgi",
          "Susurluk"
        ]),
        States(
            name: "Balikesir",
            cities: ["Amasra", "Bartin", "Kurucasile", "Ulus"]),
        States(name: "Bartin", cities: [
          "Batman",
          "Besiri",
          "Gercus",
          "Hasankeyf",
          "Kozluk",
          "Sason"
        ]),
        States(name: "Batman", cities: ["Aydintepe", "Bayburt", "Demirozu"]),
        States(name: "Bayburt", cities: [
          "Bilecik",
          "Bozuyuk",
          "Golpazari",
          "Inhisar",
          "Osmaneli",
          "Pazaryeri",
          "Sogut",
          "Yenipazar"
        ]),
        States(name: "Bilecik", cities: [
          "Adakli",
          "Bingol",
          "Genc",
          "Karliova",
          "Kigi",
          "Solhan",
          "Yayladere",
          "Yedisu"
        ]),
        States(name: "Bingol", cities: [
          "Adilcevaz",
          "Ahlat",
          "Bitlis",
          "Guroymak",
          "Hizan",
          "Mutki",
          "Tatvan"
        ]),
        States(name: "Bitlis", cities: [
          "Akcakoca",
          "Bolu",
          "Dortdivan",
          "Gerede",
          "Goynuk",
          "Kibriscik",
          "Mengen",
          "Mudurnu",
          "Seben",
          "Yenicaga"
        ]),
        States(name: "Bolu", cities: [
          "Aglasun",
          "Altinyayla",
          "Bucak",
          "Burdur",
          "Golhisar",
          "Karamanli",
          "Kemer",
          "Tefenni",
          "Yesilova"
        ]),
        States(name: "Burdur", cities: [
          "Bursa",
          "Buyukorhan",
          "Gemlik",
          "Gursu",
          "Harmancik",
          "Inegol",
          "Iznik",
          "Karacabey",
          "Keles",
          "Kestel",
          "Mudanya",
          "Mustafakemalpasa",
          "Orhaneli",
          "Orhangazi",
          "Yenisehir"
        ]),
        States(name: "Bursa", cities: [
          "Ayvacik",
          "Bayramic",
          "Biga",
          "Bozcaada",
          "Can",
          "Canakkale",
          "Eceabat",
          "Ezine",
          "Gelibolu",
          "Gokceada",
          "Lapseki",
          "Yenice"
        ]),
        States(name: "Canakkale", cities: [
          "Atkaracalar",
          "Bayramoren",
          "Cankiri",
          "Cerkes",
          "Eldivan",
          "Ilgaz",
          "Kizilirmak",
          "Korgun",
          "Kursunlu",
          "Orta",
          "Sabanozu",
          "Yaprakli"
        ]),
        States(name: "Cankiri", cities: [
          "Alaca",
          "Bayat",
          "Corum",
          "Dodurga",
          "Iskilip",
          "Kargi",
          "Lacin",
          "Mecitozu",
          "Oguzlar",
          "Ortakoy",
          "Osmancik",
          "Sungurlu",
          "Ugurludag"
        ]),
        States(name: "Corum", cities: [
          "Acipayam",
          "Akkoy",
          "Babadag",
          "Baklan",
          "Bekilli",
          "Bozkurt",
          "Buldan",
          "Cardak",
          "Civril",
          "Denizli",
          "Guney",
          "Honaz",
          "Kale",
          "Saraykoy",
          "Serinhisar",
          "Tavas"
        ]),
        States(name: "Denizli", cities: [
          "Bismil",
          "Cermik",
          "Cinar",
          "Cungus",
          "Dicle",
          "Diyarbakir",
          "Egil",
          "Ergani",
          "Hani",
          "Hazro",
          "Kocakoy",
          "Kulp",
          "Lice",
          "Silvan"
        ]),
        States(name: "Diyarbakir", cities: [
          "Cumayeri",
          "Duzce",
          "Golyaka",
          "Gumusova",
          "Kaynasli",
          "Yigilca"
        ]),
        States(name: "Duzce", cities: [
          "Edirne",
          "Enez",
          "Havsa",
          "Ipsala",
          "Kesan",
          "Lalapasa",
          "Meric",
          "Suleoglu",
          "Uzunkopru"
        ]),
        States(name: "Edirne", cities: [
          "Agin",
          "Alacakaya",
          "Aricak",
          "Baskil",
          "Elazig",
          "Karakocan",
          "Keban",
          "Kovancilar",
          "Maden",
          "Palu",
          "Sivrice"
        ]),
        States(name: "Elazig", cities: [
          "Erzincan",
          "Ilic",
          "Kemah",
          "Kemaliye",
          "Otlukbeli",
          "Refahiye",
          "Tercan",
          "Uzumlu"
        ]),
        States(name: "Erzincan", cities: [
          "Askale",
          "Erzurum",
          "Hinis",
          "Horasan",
          "Ilica",
          "Ispir",
          "Karacoban",
          "Karayazi",
          "Koprukoy",
          "Narman",
          "Oltu",
          "Olur",
          "Pasinler",
          "Pazaryolu",
          "Senkaya",
          "Tekman",
          "Tortum",
          "Uzundere"
        ]),
        States(name: "Erzurum", cities: [
          "Alpu",
          "Beylikova",
          "Cifteler",
          "Eskisehir",
          "Gunyuzu",
          "Han",
          "Inonu",
          "Mahmudiye",
          "Mihalgazi",
          "Mihaliccik",
          "Saricakaya",
          "Seyitgazi",
          "Sivrihisar"
        ]),
        States(name: "Eskisehir", cities: [
          "Araban",
          "Gaziantep",
          "Islahiye",
          "Karkamis",
          "Nizip",
          "Nurdagi",
          "Oguzeli",
          "Sehitkamil",
          "Yavuzeli"
        ]),
        States(name: "Gaziantep", cities: [
          "Aluca",
          "Bulancak",
          "Dereli",
          "Dogankent",
          "Espiye",
          "Eynesil",
          "Giresun",
          "Gorele",
          "Guce",
          "Kesap",
          "Piraziz",
          "Sebinkarahisar",
          "Tirebolu",
          "Yaglidere"
        ]),
        States(name: "Giresun", cities: [
          "Gumushane",
          "Kelkit",
          "Kose",
          "Kurtun",
          "Siran",
          "Torul"
        ]),
        States(
            name: "Gumushane",
            cities: ["Cukurca", "Hakkari", "Semdinli", "Yuksekova"]),
        States(name: "Hakkari", cities: [
          "Altinozu",
          "Antakya",
          "Belen",
          "Dortyol",
          "Erzin",
          "Hassa",
          "Iskenderun",
          "Kirikhan",
          "Kumlu",
          "Reyhanli",
          "Samandag",
          "Yayladagi"
        ]),
        States(name: "Hatay", cities: [
          "Anamur",
          "Aydincik",
          "Bozyazi",
          "Erdemli",
          "Gulnar",
          "Mersin",
          "Mut",
          "Silifke",
          "Tarsus"
        ]),
        States(
            name: "Icel",
            cities: ["Aralik", "Igdir", "Karakoyunlu", "Tuzluca"]),
        States(name: "Igdir", cities: [
          "Aksu",
          "Atabey",
          "Egirdir",
          "Gelendost",
          "Gonen",
          "Isparta",
          "Keciborlu",
          "Sarkikaraagac",
          "Senirkent",
          "Sutculer",
          "Uluborlu",
          "Yalvac",
          "Yenisarbademli"
        ]),
        States(name: "Isparta", cities: [
          "Buyukcekmece",
          "Catalca",
          "Eminonu",
          "Esenler",
          "Istanbul",
          "KadÃ„Â±koy",
          "Sile",
          "Silivri",
          "Sultanbeyli",
          "TopkapÃ„Â±",
          "Tuzla",
          "Umraniye"
        ]),
        States(name: "Istanbul", cities: [
          "Aliaga",
          "Alsancak",
          "Bayindir",
          "Bergama",
          "Beyagac",
          "Bornova",
          "Cesme",
          "Digor",
          "Dikili",
          "Foca",
          "Izmir",
          "Karaburun",
          "Kemalpasa",
          "Kinik",
          "Kiraz",
          "Menderes",
          "Menemen",
          "Merkezi",
          "Mersinli",
          "Odemis",
          "Seferihisar",
          "Selcuk",
          "Tire",
          "Torbali",
          "Urla"
        ]),
        States(name: "Izmir", cities: [
          "Afsin",
          "Andirin",
          "Caglayancerit",
          "Ekinozu",
          "Elbistan",
          "Goksun",
          "Kahramanmaras",
          "Nurhak",
          "Pazarcik",
          "Turkoglu"
        ]),
        States(name: "Kahramanmaras", cities: [
          "Eflani",
          "Eskipazar",
          "Karabuk",
          "Ovacik",
          "Safranbolu",
          "Yenice"
        ]),
        States(name: "Karabuk", cities: [
          "Ayranci",
          "Basyayla",
          "Ermenek",
          "Karaman",
          "Kazimkarabekir",
          "Sariveliler"
        ]),
        States(name: "Karaman", cities: [
          "Akyaka",
          "Arpacay",
          "Kagizman",
          "Kars",
          "Sarikamis",
          "Selim",
          "Susuz"
        ]),
        States(name: "Kars", cities: ["Karsiyaka"]),
        States(name: "Karsiyaka", cities: [
          "Abana",
          "Agli",
          "Arac",
          "Azdavay",
          "Bozkurt",
          "Daday",
          "Devrekani",
          "Doganyurt",
          "Hanonu",
          "Ihsangazi",
          "Inebolu",
          "Kastamonu",
          "Kure",
          "Pinarbasi",
          "Senpazar",
          "Seydiler",
          "Taskopru",
          "Tosya"
        ]),
        States(name: "Kastamonu", cities: [
          "Akkisla",
          "Bunyan",
          "Develi",
          "Felahiye",
          "Hacilar",
          "Incesu",
          "Kayseri",
          "Ozvatan",
          "Pinarbasi",
          "Sarioglan",
          "Sariz",
          "Talas",
          "Tomarza",
          "Yahyali",
          "Yesilhisar"
        ]),
        States(
            name: "Kayseri",
            cities: ["Elbeyli", "Kilis", "Musabeyli", "Polateli"]),
        States(name: "Kilis", cities: [
          "Bahsili",
          "Baliseyh",
          "Delice",
          "Karakecili",
          "Keskin",
          "Kirikkale",
          "Sulakyurt",
          "Yahsihan"
        ]),
        States(name: "Kirikkale", cities: [
          "Babaeski",
          "Demirkoy",
          "Kirklareli",
          "Kofcaz",
          "Kumkoy",
          "Luleburgaz",
          "Pehlivankoy",
          "Pinarhisar",
          "Vize"
        ]),
        States(name: "Kirklareli", cities: [
          "Akcakent",
          "Akpinar",
          "Boztepe",
          "Kaman",
          "Kirsehir",
          "Mucur"
        ]),
        States(name: "Kirsehir", cities: [
          "CayÃ„Â±rova",
          "Derince",
          "DilovasÃ„Â±",
          "Gebze",
          "Golcuk",
          "Izmit",
          "Kandira",
          "Karamursel",
          "Kocaeli",
          "Korfez"
        ]),
        States(name: "Kocaeli", cities: [
          "Ahirli",
          "Akoren",
          "Aksehir",
          "Altinekin",
          "Beysehir",
          "Bozkir",
          "Cihanbeyli",
          "Cumra",
          "Derbent",
          "Derebucak",
          "Doganhisar",
          "Emirgazi",
          "Eregli",
          "Guneysinir",
          "Hadim",
          "Halkapinar",
          "Huyuk",
          "Ilgin",
          "Kadinhani",
          "Karapinar",
          "Konya",
          "Kulu",
          "Sarayonu",
          "Seydisehir",
          "Taskent",
          "Tuzlukcu",
          "Yalihuyuk",
          "Yunak"
        ]),
        States(name: "Konya", cities: [
          "Altinas",
          "Aslanapa",
          "Domanic",
          "Dumlupinar",
          "Emet",
          "Gediz",
          "Kutahya",
          "Pazarlar",
          "Saphane",
          "Simav",
          "Tavsanli"
        ]),
        States(name: "Kutahya", cities: ["Lefkosa"]),
        States(name: "Lefkosa", cities: [
          "Akcadag",
          "Arapkir",
          "Arguvan",
          "Battalgazi",
          "Darende",
          "Dogansehir",
          "Doganyol",
          "Hekimhan",
          "Kale",
          "Kuluncak",
          "Malatya",
          "Poturge",
          "Yazihan",
          "Yesilyurt"
        ]),
        States(name: "Malatya", cities: [
          "Ahmetli",
          "Akhisar",
          "Alasehir",
          "Demirci",
          "Golmarmara",
          "Gordes",
          "Kirkagac",
          "Koprubasi",
          "Kula",
          "Manisa",
          "Salihli",
          "Sarigol",
          "Saruhanli",
          "Selendi",
          "Soma",
          "Turgutlu"
        ]),
        States(name: "Manisa", cities: [
          "Dargecit",
          "Derik",
          "Kiziltepe",
          "Mardin",
          "Mazidagi",
          "Midyat",
          "Nusaybin",
          "Omerli",
          "Savur",
          "Yesilli"
        ]),
        States(name: "Mardin", cities: [
          "Bodrum",
          "Dalaman",
          "Datca",
          "Fethiye",
          "Kavaklidere",
          "Koycegiz",
          "Marmaris",
          "Milas",
          "Mugla",
          "Ortaca",
          "Ula",
          "Yatagan"
        ]),
        States(name: "Mugla", cities: [
          "Bulanik",
          "Haskoy",
          "Korkut",
          "Malazgirt",
          "Mus",
          "Varto"
        ]),
        States(name: "Mus", cities: [
          "Acigol",
          "Avanos",
          "Derinkuyu",
          "Gulsehir",
          "Hacibektas",
          "Kozakli",
          "Nevsehir",
          "Urgup"
        ]),
        States(
            name: "Nevsehir",
            cities: ["Altunhisar", "Bor", "Nigde", "Ulukisla"]),
        States(name: "Nigde", cities: [
          "Akkus",
          "Aybasti",
          "Camas",
          "Fatsa",
          "Golkoy",
          "Gulyali",
          "Gurgentepe",
          "Ikizce",
          "Kabaduz",
          "Kabatas",
          "Korgan",
          "Kumru",
          "Mesudiye",
          "Ordu",
          "Persembe",
          "Ulubey",
          "Unye"
        ]),
        States(name: "Ordu", cities: [
          "Bahce",
          "Duzici",
          "Hasanbeyli",
          "Kadirli",
          "Osmaniye",
          "Sumbas",
          "Toprakkale"
        ]),
        States(name: "Osmaniye", cities: [
          "Ardesen",
          "Cayeli",
          "Derepazan",
          "Findikli",
          "Guneysu",
          "Hemsin",
          "Ikizdere",
          "Iyidere",
          "Kalkandere",
          "Pazar",
          "Rize"
        ]),
        States(name: "Rize", cities: [
          "Adapazari",
          "Akyazi",
          "Ferizli",
          "Geyve",
          "Hendek",
          "Karapurcek",
          "Karasu",
          "Kaynarca",
          "Kocaali",
          "Pamukova",
          "Sapanca",
          "Sogutlu",
          "Tarakli"
        ]),
        States(name: "Sakarya", cities: [
          "Akcakale",
          "Alacam",
          "Asarcik",
          "Ayvacik",
          "Bafra",
          "Carsamba",
          "Havza",
          "Kavak",
          "Ladik",
          "Mayis 19",
          "Salipazan",
          "Samsun",
          "Tekkekoy",
          "Terme",
          "Vezirkopru",
          "Yakakent"
        ]),
        States(name: "Samsun", cities: [
          "Birecik",
          "Bozova",
          "Ceylanpinar",
          "Halfeti",
          "Harran",
          "Hilvan",
          "Sanliurfa",
          "Siverek",
          "Suruc",
          "Urfa",
          "Viransehir"
        ]),
        States(name: "Sanliurfa", cities: [
          "Aydinlar",
          "Baykan",
          "Eruh",
          "Kurtalan",
          "Pervari",
          "Siirt",
          "Sirvan"
        ]),
        States(name: "Siirt", cities: [
          "Ayancik",
          "Boyabat",
          "Dikmen",
          "Duragan",
          "Erfelek",
          "Gerze",
          "Sarayduzu",
          "Sinop",
          "Turkeli"
        ]),
        States(name: "Sinop", cities: [
          "Beytussebap",
          "Cizre",
          "Guclukonak",
          "Idil",
          "Silopi",
          "Sirnak",
          "Uludere"
        ]),
        States(name: "Sirnak", cities: [
          "Akincilar",
          "Altinyayla",
          "Divrigi",
          "Dogansar",
          "Gemerek",
          "Golova",
          "Gurun",
          "Hafik",
          "Imranli",
          "Kangal",
          "Koyulhisar",
          "Sarkisla",
          "Sivas",
          "Susehri",
          "Ulas",
          "Yildizeli",
          "Zara"
        ]),
        States(name: "Sivas", cities: [
          "Cerkezkoy",
          "Corlu",
          "Hayrabolu",
          "Malkara",
          "Marmaraereglisi",
          "Muratli",
          "Saray",
          "Sarkoy",
          "Tekirdag"
        ]),
        States(name: "Tekirdag", cities: [
          "Almus",
          "Artova",
          "Basciftlik",
          "Erbaa",
          "Niksar",
          "Pazar",
          "Resadiye",
          "Sulusaray",
          "Tokat",
          "Turhal",
          "Yesilyurt",
          "Zile"
        ]),
        States(name: "Tokat", cities: [
          "Akcaabat",
          "Arakli",
          "Arsin",
          "Besikduzu",
          "Caykara",
          "Dernekpazari",
          "Duzkoy",
          "Hayrat",
          "Koprubasi",
          "Macka",
          "Of",
          "Salpazari",
          "Surmene",
          "Tonya",
          "Trabzon",
          "Vakfikebir",
          "Yomra"
        ]),
        States(name: "Trabzon", cities: [
          "Hozat",
          "Mazgirt",
          "Nazimiye",
          "Ovacik",
          "Pertek",
          "Pulumur",
          "Tunceli"
        ]),
        States(name: "Tunceli", cities: [
          "Banaz",
          "Esme",
          "Karahalli",
          "Sivasli",
          "Ulubey",
          "Usak"
        ]),
        States(name: "Usak", cities: [
          "Bahcesaray",
          "Baskale",
          "Caldiran",
          "Edremit",
          "Ercis",
          "Gevas",
          "Gurpinar",
          "Muradiye",
          "Ozalp",
          "Saray",
          "Van"
        ]),
        States(name: "Van", cities: [
          "Altinova",
          "Armutlu",
          "Ciftlikkoy",
          "Cinarcik",
          "Termal",
          "Yalova"
        ]),
        States(name: "Yalova", cities: [
          "Akdagmadeni",
          "Aydincik",
          "Bogaziliyan",
          "Candir",
          "Cayiralan",
          "Cekerek",
          "Kadisehri",
          "Saraykent",
          "Sarikaya",
          "Sefaatli",
          "Sorgun",
          "Yenifakili",
          "Yerkoy",
          "Yozgat"
        ]),
        States(name: "Yozgat", cities: [
          "Alapli",
          "Caycuma",
          "Devrek",
          "Eregli",
          "Gokcebey",
          "Zonguldak"
        ]),
        States(name: "Zonguldak", cities: [
          "Ahchadepe",
          "Annau",
          "Babadayhan",
          "Baherden",
          "Birleshik Pervi",
          "Buzmeyin",
          "Dushak",
          "Gokedepe",
          "Kaka",
          "Miana",
          "Ovaz Jalatay",
          "Saragt",
          "Tecen"
        ])
      ]),
  Country(
      name: "Turkmenistan",
      flag: "🇹🇲",
      code: "TM",
      dialCode: "993",
      minLength: 8,
      maxLength: 8,
      states: [
        States(name: "Ahal", cities: ["Asgabat"]),
        States(name: "Asgabat", cities: [
          "Adyndaky",
          "Balkanabat",
          "Bekdash",
          "Gasanguli",
          "Gazanjyk",
          "Goturdepe",
          "Gumdag",
          "Jebel",
          "Karakala",
          "Khazar",
          "Serdar",
          "Sharlawuk",
          "Turkmenbasi"
        ]),
        States(name: "Balkan", cities: [
          "Akdepe",
          "Boldumsaz",
          "Dasoguz",
          "Gubadag",
          "Kohne Urgenc",
          "Moskva",
          "Tagta",
          "Yilanli"
        ]),
        States(name: "Dasoguz", cities: [
          "Darganata",
          "Esenmengli",
          "Farap",
          "Gazojak",
          "Govurdak",
          "Halac",
          "Kerki",
          "Komsomolsk",
          "Mukri",
          "Sayat",
          "Seydi",
          "Turkmenabat"
        ]),
        States(name: "Lebap", cities: [
          "Bayramali",
          "Eloten",
          "Mari",
          "Murgab",
          "Sakarchage",
          "Tagtabazar",
          "Turkmengala"
        ]),
        States(name: "Mari", cities: [])
      ]),
  Country(
      name: "Turks and Caicos Islands",
      flag: "🇹🇨",
      code: "TC",
      dialCode: "1649",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Grand Turk", cities: []),
        States(name: "South Caicos and East Caicos", cities: ["Vaiaku"])
      ]),
  Country(
      name: "Tuvalu",
      flag: "🇹🇻",
      code: "TV",
      dialCode: "688",
      minLength: 6,
      maxLength: 6,
      states: [
        States(name: "Funafuti", cities: ["Tonga"]),
        States(name: "Nanumanga", cities: ["Lolua"]),
        States(name: "Nanumea", cities: ["Kua"]),
        States(name: "Niutao", cities: ["Tanrake"]),
        States(name: "Nui", cities: ["Savave"]),
        States(name: "Nukufetau", cities: ["Fangaua"]),
        States(name: "Nukulaelae", cities: ["Asau"]),
        States(name: "Vaitupu", cities: [
          "Bombo",
          "Bweyogerere",
          "Entebbe",
          "Jinja-Kawempe",
          "Kajansi",
          "Kalangala",
          "Kampala",
          "Kayunga",
          "Kiboga",
          "Kireka",
          "Kyotera",
          "Lugazi",
          "Lukaya",
          "Luwero",
          "Lyantonde",
          "Masaka",
          "Mityana",
          "Mpigi",
          "Mubende",
          "Mukono",
          "Nakasongola",
          "Namasuba",
          "Njeru",
          "Nkonkonjeru",
          "Rakai",
          "Sembabule",
          "Wakiso",
          "Wobulenzi"
        ])
      ]),
  Country(
      name: "Uganda",
      flag: "🇺🇬",
      code: "UG",
      dialCode: "256",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Central", cities: [
          "Bugembe",
          "Bugiri",
          "Busembatia",
          "Busia",
          "Buwenge",
          "Iganga",
          "Jinja",
          "Kaberamaido",
          "Kamuli",
          "Kapchorwa",
          "Katakwi",
          "Kumi",
          "Malaba",
          "Mayuge",
          "Mbale",
          "Ngora",
          "Pallisa",
          "Sironko",
          "Soroti",
          "Tororo"
        ]),
        States(name: "Eastern", cities: [
          "Adjumani",
          "Amudat",
          "Apac",
          "Arua",
          "Gulu",
          "Kaabong",
          "Kitgum",
          "Koboko",
          "Kotido",
          "Lira",
          "Moroto",
          "Moyo",
          "Nakapiripirit",
          "Nebbi",
          "Pader",
          "Paidha",
          "Pakwach",
          "Yumbe"
        ]),
        States(name: "Northern", cities: [
          "Bundibugyo",
          "Bushenyi",
          "Fort Portal",
          "Hima",
          "Hoima",
          "Ibanda",
          "Kabale",
          "Kabwohe-Itendero",
          "Kagadi",
          "Kamwenge",
          "Kanungu",
          "Kasese",
          "Katwe",
          "Kibaale",
          "Kigorobya",
          "Kilembe",
          "Kisoro",
          "Kyenjojo",
          "Masindi",
          "Masindi-Port",
          "Mbarara",
          "Muhororo",
          "Ntungamo",
          "Rukungiri"
        ]),
        States(name: "Western", cities: ["Cherkasy", "Smila", "Uman"])
      ]),
  Country(
      name: "Ukraine",
      flag: "🇺🇦",
      code: "UA",
      dialCode: "380",
      minLength: 9,
      maxLength: 9,
      states: [
        States(
            name: "Cherkas\\'\\'ka",
            cities: ["Chernihiv", "Nizhyn", "Pryluky"]),
        States(name: "Chernihivs\\'\\'ka", cities: ["Chernivtsi"]),
        States(name: "Chernivets\\'\\'ka", cities: ["Alushta", "Sevastopol"]),
        States(name: "Crimea", cities: [
          "Dneprodzerzhinsk",
          "Dnipropetrovsk",
          "Kryvyy Rih",
          "Marhanets",
          "Nikopol",
          "Novomoskovs\\'\\'k",
          "Pavlohrad",
          "Plekhanov",
          "Zhovti Vody"
        ]),
        States(name: "Dnipropetrovska", cities: [
          "Artemivs\\'\\'k",
          "Donets\\'\\'k",
          "Donetsk",
          "Druzhkivka",
          "Dymytrov",
          "Dzerzhyns\\'\\'k",
          "Horlivka",
          "Khartsyz\\'\\'k",
          "Kostyantynivka",
          "Kramators\\'\\'k",
          "Krasnoarmiys\\'\\'k",
          "Makiyivka",
          "Mariupol",
          "Shakhtars\\'\\'k",
          "Slov\\'\\'yans\\'\\'k",
          "Snizhne",
          "Torez",
          "Yenakiyeve"
        ]),
        States(
            name: "Donets\\'\\'ka",
            cities: ["Ivano-Frankivs\\'\\'k", "Kalush", "Kolomyya"]),
        States(
            name: "Ivano-Frankivs\\'\\'ka",
            cities: ["Izyum", "Kharkiv", "Lozova"]),
        States(name: "Kharkiv", cities: ["Volchansk"]),
        States(name: "Kharkov", cities: ["Kherson", "Nova Kakhovka"]),
        States(name: "Khersonska", cities: [
          "Geologov",
          "Kam\\'\\'yanets\\'\\'-Podil\\'\\'s\\'\\'kyy",
          "Khmel\\'\\'nyts\\'\\'kyy",
          "Shepetivka",
          "khmelnitskiy"
        ]),
        States(
            name: "Khmel\\'\\'nyts\\'\\'ka",
            cities: ["Kirovohrad", "Oleksandriya", "Svidlovodsk"]),
        States(name: "Kirovohrad", cities: [
          "Dzhankoy",
          "Feodosiya",
          "Kerch",
          "Simferopol",
          "Yalta",
          "Yevpatoriya"
        ]),
        States(name: "Krym", cities: ["Kiev", "Kyyiv"]),
        States(
            name: "Kyyiv",
            cities: ["Bila Tserkva", "Boryspil", "Brovary", "Fastiv"]),
        States(name: "Kyyivs\\'\\'ka", cities: [
          "Chervonohrad",
          "Drohobych",
          "L\\'\\'viv",
          "Stryy",
          "Yavoriv"
        ]),
        States(name: "L\\'\\'vivs\\'\\'ka", cities: [
          "Alchevs\\'\\'k",
          "Antratsyt",
          "Bryanka",
          "Krasnodon",
          "Krasnyy Luch",
          "Luhans\\'\\'k",
          "Luhansk",
          "Lysychans\\'\\'k",
          "Pervomays\\'\\'k",
          "Roven\\'\\'ky",
          "Rubizhne",
          "Stakhanov",
          "Sverdlovs\\'\\'k",
          "Syeverodonets\\'\\'k"
        ]),
        States(
            name: "Luhans\\'\\'ka", cities: ["Mykolayiv", "Pervomays\\'\\'k"]),
        States(name: "Mykolayivs\\'\\'ka", cities: [
          "Bilhorod-Dnistrovs\\'\\'kyy",
          "Illichivs\\'\\'k",
          "Izmayil",
          "Odesa"
        ]),
        States(name: "Odes\\'\\'ka", cities: ["Odessa"]),
        States(name: "Odessa", cities: [
          "Komsomol\\'\\'s\\'\\'k",
          "Kremenchuh",
          "Lubny",
          "Poltava"
        ]),
        States(name: "Poltavs\\'\\'ka", cities: ["Rivne"]),
        States(name: "Rivnens\\'\\'ka", cities: []),
        States(
            name: "Sevastopol",
            cities: ["Konotop", "Okhtyrka", "Romny", "Shostka", "Sumy"]),
        States(name: "Sums\\'\\'ka", cities: ["Ternopil"]),
        States(
            name: "Ternopil\\'\\'s\\'\\'ka",
            cities: ["Kovel", "Luts\\'\\'k", "Novovolyns\\'\\'k"]),
        States(name: "Volyns\\'\\'ka", cities: ["Vinnitsa", "Vinnytsya"]),
        States(name: "Vynnyts\\'\\'ka", cities: ["Mukacheve", "Uzhhorod"]),
        States(
            name: "Zakarpats\\'\\'ka",
            cities: ["Berdyans\\'\\'k", "Enerhodar", "Melitpol", "Zaporizhia"]),
        States(name: "Zaporizhia", cities: [
          "Berdychiv",
          "Korosten",
          "Novohrad-Volyns\\'\\'kyy",
          "Zhytomyr"
        ]),
        States(name: "Zhytomyrs\\'\\'ka", cities: [])
      ]),
  Country(
      name: "United Arab Emirates",
      flag: "🇦🇪",
      code: "AE",
      dialCode: "971",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Abu Zabi", cities: ["Ajman"]),
        States(
            name: "Ajman",
            cities: ["Al Qusais", "Deira", "Dubai", "Jebel Ali"]),
        States(name: "Dubai", cities: []),
        States(name: "Ras al-Khaymah", cities: ["Sharjah"]),
        States(name: "Sharjah", cities: []),
        States(name: "Sharjha", cities: []),
        States(name: "Umm al Qaywayn", cities: ["Khawr Fakkan", "al-Fujayrah"]),
        States(name: "al-Fujayrah", cities: []),
        States(name: "ash-Shariqah", cities: [
          "Cleveland",
          "Gilberdyke",
          "Llanrwst",
          "Swadlincote",
          "Turriff"
        ])
      ]),
  Country(
      name: "United Kingdom",
      flag: "🇬🇧",
      code: "GB",
      dialCode: "44",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Aberdeen", cities: ["Westhill"]),
        States(name: "Aberdeenshire", cities: ["Oban"]),
        States(name: "Argyll", cities: ["Craigavon"]),
        States(name: "Armagh", cities: [
          "Barton-le-Clay",
          "Bedford",
          "Biggleswade",
          "Caddington",
          "Flitton",
          "Flitwick",
          "Leighton Buzzard",
          "Marston Moretaine",
          "Sandy",
          "Westoning"
        ]),
        States(name: "Bedfordshire", cities: ["Dundonald", "Holywood"]),
        States(name: "Belfast", cities: [
          "Berkshire",
          "Bracknell",
          "Littlewick Green",
          "Maidenhead",
          "Newbury",
          "Reading",
          "Sandhurst",
          "Slough",
          "Sunninghill",
          "Twyford",
          "Windsor",
          "Wokingham",
          "Woodley"
        ]),
        States(name: "Berkshire", cities: [
          "Coleshill",
          "Edgbaston",
          "Hockley",
          "Ladywood",
          "Nechells",
          "Rubery",
          "Small Heath"
        ]),
        States(name: "Birmingham", cities: ["Angus"]),
        States(name: "Brechin", cities: ["Bridgnorth"]),
        States(
            name: "Bridgnorth",
            cities: ["Avon", "Fishponds", "Henleaze", "Thornbury", "Warmley"]),
        States(name: "Bristol", cities: [
          "Amersham",
          "Aston Clinton",
          "Beaconsfield",
          "Bletchley",
          "Bourne End",
          "Buckingham",
          "High Wycombe",
          "Iver",
          "Marlow",
          "Milton Keynes",
          "Newport Pagnell",
          "Piddington",
          "Princes Risborough",
          "Rowsham"
        ]),
        States(
            name: "Buckinghamshire",
            cities: ["Cambridge", "Ely", "Huntingdon", "Peterborough"]),
        States(
            name: "Cambridge",
            cities: ["Cambridge", "Haddenham", "Sawtry", "Wisbech"]),
        States(name: "Cambridgeshire", cities: []),
        States(name: "Channel Islands", cities: [
          "Alderley Edge",
          "Altrincham",
          "Betley",
          "Cheadle Gatley",
          "Cheadle Hulme",
          "Crewe",
          "Dukinfield",
          "Holmes Chapel",
          "Hyde",
          "Knuntsford",
          "Knutsford",
          "Lymm",
          "Malpas",
          "Merseyside",
          "Middlewich",
          "Mobberley",
          "Nantwich",
          "Saltney",
          "Sandbach",
          "Stalybridge",
          "Stockport",
          "Tarporley",
          "Timperley",
          "Widnes",
          "Winsford"
        ]),
        States(name: "Cheshire", cities: ["Redcar", "Stockton-on-Tees"]),
        States(name: "Cleveland", cities: []),
        States(name: "Co Fermanagh", cities: ["Conwy", "Llandudno"]),
        States(name: "Conwy", cities: [
          "Bude",
          "Camborne",
          "Fowey",
          "Hayle",
          "Helston",
          "Launceston",
          "Liskeard",
          "Looe",
          "Mevegissey",
          "Newquay",
          "Penryn",
          "Penzance",
          "St. Ives",
          "Truro",
          "Wadebridge"
        ]),
        States(name: "Cornwall", cities: ["Holbrooks"]),
        States(name: "Coventry", cities: []),
        States(name: "Craven Arms", cities: [
          "Askam-in-Furness",
          "Flookburgh",
          "Grasmere",
          "Kendal",
          "Keswick",
          "Kirkby Stephen",
          "Milnthorpe",
          "Penrith",
          "Ulverston",
          "Windermere"
        ]),
        States(name: "Cumbria", cities: ["Denbigh"]),
        States(
            name: "Denbighshire",
            cities: ["Ashbourne", "Buxton", "Chesterfield", "Eckington"]),
        States(name: "Derby", cities: [
          "Bakewell",
          "Belper",
          "Breaston",
          "Derby",
          "Ilkeston",
          "Matlock",
          "Ripley"
        ]),
        States(name: "Derbyshire", cities: [
          "Axminster",
          "Barnstaple",
          "Beaworthy",
          "Bideford",
          "Bovey Tracey",
          "Braunton",
          "Brixham",
          "Chudleigh",
          "Crediton",
          "Dalwood",
          "Dartmouth",
          "Dawlish",
          "Exeter",
          "Exmouth",
          "Great Torrington",
          "Holsworthy",
          "Kingsbridge",
          "Modbury",
          "Newton Abbot",
          "Okehampton",
          "Plymouth",
          "Plympton",
          "Salcombe",
          "Tiverton",
          "Torquay",
          "Totnes",
          "Winkleigh",
          "Woodburyd",
          "Yelverton"
        ]),
        States(name: "Devon", cities: []),
        States(name: "Dial Code Dungannon", cities: ["Didcot"]),
        States(name: "Didcot", cities: [
          "Beaminster",
          "Blandford Forum",
          "Christchurch",
          "Dorset",
          "Poole",
          "Sherborne",
          "Sturminster Newton",
          "Swanage",
          "Verwood",
          "Wimborne"
        ]),
        States(name: "Dorset", cities: ["Alexandria"]),
        States(name: "Dunbartonshire", cities: ["Crook", "Spennymoor"]),
        States(name: "Durham", cities: []),
        States(name: "East Dunbartonshire", cities: []),
        States(name: "East Lothian", cities: []),
        States(name: "East Midlands", cities: []),
        States(name: "East Sussex", cities: []),
        States(name: "East Yorkshire", cities: [
          "Abingdon",
          "Accrington",
          "Aldershot",
          "Alfreton",
          "Altrincham",
          "Amersham",
          "Andover",
          "Arnold",
          "Ashford",
          "Ashington",
          "Ashton-in-Makerfield",
          "Ashton-under-Lyne",
          "Atherton",
          "Aylesbury",
          "Aylesford-East Malling",
          "Banbury",
          "Banstead-Tadworth",
          "Barnsley",
          "Barnstaple",
          "Barrow-in-Furness",
          "Basildon",
          "Basingstoke",
          "Bath",
          "Batley",
          "Bebington",
          "Bedford",
          "Bedworth",
          "Beeston and Stapleford",
          "Benfleet",
          "Bentley",
          "Berwick-upon-Tweed",
          "Beverley",
          "Bexhil",
          "Bicester",
          "Bideford",
          "Billericay",
          "Billingham",
          "Birkenhead",
          "Birmingham",
          "Bishop Auckland",
          "Bishop\\'\\'s Stortford",
          "Blackburn",
          "Blackpool",
          "Bletchley",
          "Blyth",
          "Bodmin",
          "Bognor Regis",
          "Bolton",
          "Bootle",
          "Boston",
          "Bournemouth",
          "Bracknell",
          "Bradford",
          "Braintree",
          "Bredbury and Romiley",
          "Brentwood",
          "Bridgwater",
          "Bridlington",
          "Brigg",
          "Brighouse",
          "Brighton",
          "Bristol",
          "Broadstairs",
          "Bromley Cross-Bradshaw",
          "Bromsgrove-Catshill",
          "Burgess Hill",
          "Burnley",
          "Burntwood",
          "Burton-upon-Trent",
          "Bury",
          "Bury Saint Edmunds",
          "Camberley-Frimley",
          "Cambourne-Redruth",
          "Cambridge",
          "Cannock",
          "Canterbury",
          "Canvey Island",
          "Carlisle",
          "Carlton",
          "Castleford",
          "Caterham and Warlingham",
          "Chadderton",
          "Chapeltown",
          "Chatham",
          "Cheadle and Gatley",
          "Chelmsford",
          "Cheltenham",
          "Chesham",
          "Cheshunt",
          "Chessington",
          "Chester",
          "Chester-le-Street",
          "Chesterfield",
          "Chichester",
          "Chippenham",
          "Chipping Sodbury",
          "Chorley",
          "Christchurch",
          "Clacton-on-Sea",
          "Clay Cross-North Wingfield",
          "Cleethorpes",
          "Clevedon",
          "Coalville",
          "Colchester",
          "Congleton",
          "Consett",
          "Corby",
          "Coventry",
          "Cramlington",
          "Crawley",
          "Crosby",
          "Crowthorne",
          "Darlington",
          "Dartford",
          "Darwen",
          "Deal",
          "Denton",
          "Derby",
          "Dewsbury",
          "Doncaster",
          "Dorchester",
          "Dover",
          "Droitwich",
          "Dronfield",
          "Droylsden",
          "Dudley",
          "Dunstable",
          "Durham",
          "East Grinstead",
          "East Retford",
          "Eastbourne",
          "Eastleigh",
          "Eaton Socon-Saint Neots",
          "Eccles",
          "Egham",
          "Ellesmere Port",
          "Epsom and Ewell",
          "Esher-Molesey",
          "Eston and South Bank",
          "Exeter",
          "Failsworth",
          "Falmouth-Penryn",
          "Fareham",
          "Farnborough",
          "Farnham",
          "Farnworth",
          "Farring",
          "Felixtowe",
          "Felling",
          "Ferndown",
          "Fleetwood",
          "Folkestone",
          "Formby",
          "Frome",
          "Fulham",
          "Gateshead",
          "Gillingham",
          "Glossop",
          "Gloucester",
          "Godalming",
          "Golborne",
          "Gosforth",
          "Gosport",
          "Grantham",
          "Gravesend",
          "Grays",
          "Greasby",
          "Great Malvern",
          "Great Sankey",
          "Great Yarmouth",
          "Grimsby",
          "Guildford",
          "Guiseley-Yeadon",
          "Halesowen",
          "Halifax",
          "Harlow",
          "Harpenden",
          "Harrogate",
          "Hartlepool",
          "Hastings",
          "Hatfield",
          "Hatfield-Stainforth",
          "Havant",
          "Haywards Heath",
          "Hazel Grove and Bramhill",
          "Hazlemere",
          "Heanor",
          "Hemel Hempstead",
          "Hereford",
          "Herne Bay",
          "Hertford",
          "Heswall",
          "Heywood",
          "High Wycombe",
          "Hinckley",
          "Hindley",
          "Hitchin",
          "Hoddesdon",
          "Holmfirth-Honley",
          "Honiton",
          "Horsham",
          "Houghton-le-Spring",
          "Hove",
          "Hoylake-West Kirby",
          "Hucknall",
          "Huddersfield",
          "Huyton-with-Roby",
          "Hyde",
          "Ilfracombe",
          "Ilkeston",
          "Ipswich",
          "Ivybridge",
          "Jarrow",
          "Keighley",
          "Kendal",
          "Kenilworth",
          "Kettering",
          "Kidderminster",
          "Kidsgrove",
          "King\\'\\'s Lynn",
          "Kingsteignton",
          "Kingston upon Hull",
          "Kingswood",
          "Kirby in Ashfield",
          "Kirkby",
          "Lancaster",
          "Leamington",
          "Leatherhead",
          "Leeds",
          "Leicester",
          "Leigh",
          "Leighton Buzzard",
          "Letchworth",
          "Lewes",
          "Leyland",
          "Lichfield",
          "Lincoln",
          "Litherland",
          "Littlehampton",
          "Liverpool",
          "Locks Heath",
          "London",
          "Long Benton-Killingworth",
          "Long Eaton",
          "Loughborough",
          "Loughton",
          "Louth",
          "Lowestoft",
          "Luton",
          "Lyminge",
          "Lytham Saint Anne\\'\\'s",
          "Mablethorpe and Sutton",
          "Macclesfield",
          "Maghull-Lydiate",
          "Maidenhead",
          "Maidstone",
          "Manchester",
          "Mangotsfield",
          "Mansfield",
          "Margate",
          "Matlock",
          "Melton Mowbray",
          "Middlesbrough",
          "Middleton",
          "Midsomer Norton",
          "Milton Keynes",
          "Morecambe",
          "Morley",
          "Nailsea",
          "Nantwich",
          "Nelson",
          "New Addington",
          "New Milton-Barton-on-Sea",
          "Newark-on-Trent",
          "Newburn",
          "Newbury",
          "Newcastle upon Tyne",
          "Newcastle-under-Lyme",
          "Newport",
          "Newton Abbot",
          "Newton Aycliffe",
          "North Hykeham",
          "North Shields",
          "Northallerton",
          "Northam",
          "Northampton",
          "Northfleet",
          "Northwich",
          "Norwich",
          "Nottingham",
          "Nuneaton",
          "Oakengates-Donnington",
          "Oakham",
          "Oldbury-Smethwick",
          "Oldham",
          "Ormskirk",
          "Ossett",
          "Oxford",
          "Paignton",
          "Penzance",
          "Peterborough",
          "Peterlee",
          "Plymouth",
          "Pontefract",
          "Poole",
          "Portsmouth",
          "Potters Bar",
          "Prescot",
          "Preston",
          "Prestwich",
          "Prestwood",
          "Pudsey",
          "Radcliffe",
          "Ramsgate",
          "Rawtenstall",
          "Rayleigh",
          "Reading",
          "Redcar",
          "Redditch",
          "Reigate",
          "Rochdale",
          "Rochester",
          "Rotherham",
          "Rottingdean",
          "Royal Tunbridge Wells",
          "Royton",
          "Rugby",
          "Rugeley",
          "Runcorn",
          "Rushden",
          "Ryde",
          "Saint Albans",
          "Saint Austell",
          "Saint Helens",
          "Sale",
          "Salford",
          "Salisbury",
          "Scarborough",
          "Scunthorpe",
          "Seaham",
          "Sevenoaks",
          "Sheffield",
          "Shipley",
          "Shrewsbury",
          "Sidmouth",
          "Sittingbourne",
          "Skegness",
          "Skelmersdale",
          "Sleaford",
          "Slough",
          "Solihull",
          "Sompting-Lancing",
          "South Shields",
          "Southampton",
          "Southend-on-Sea",
          "Southport",
          "Spalding-Pinchbeck",
          "St. Helens",
          "Stafford",
          "Staines",
          "Stalybridge",
          "Stamford",
          "Stanford le Hope-Corringham",
          "Stanley-Annfield Plain",
          "Staveley",
          "Stevenage",
          "Stockport",
          "Stockton Heath-Thelwall",
          "Stockton-on-Tees",
          "Stoke-on-Trent",
          "Stourbridge",
          "Stratford-upon-Avon",
          "Stretford",
          "Strood",
          "Stubbington",
          "Sunbury",
          "Sunderland",
          "Sutton Coldfield",
          "Sutton in Ashfield",
          "Swadlincote",
          "Swanley-Hextable",
          "Swindon",
          "Swinton and Pendlebury",
          "Tamworth",
          "Taunton",
          "Tavistock",
          "Teignmouth",
          "Telford",
          "Tenbury Wells",
          "Thatcham",
          "The Deepings",
          "Thetford",
          "Thornaby",
          "Thornton-Cleveleys",
          "Tiverton",
          "Tonbridge",
          "Torquay",
          "Totton",
          "Trowbridge",
          "Truro",
          "Tyldesley",
          "Urmston",
          "Wakefield",
          "Walkden",
          "Wallasey",
          "Wallsend",
          "Walsall",
          "Walton and Weybridge",
          "Warrington",
          "Warwick",
          "Washington",
          "Waterlooville",
          "Watford",
          "Wellingborough",
          "Welwyn Garden City",
          "West Bridgeford",
          "West Bromwich",
          "Westhoughton",
          "Weston-super-Mare",
          "Weymouth",
          "Whitefield",
          "Whitehaven",
          "Whitley Bay",
          "Wickford",
          "Widnes",
          "Wigan",
          "Wigston",
          "Wilmslow",
          "Wimbourne Minster",
          "Winchester",
          "Windsor Berks",
          "Windsor-Eton",
          "Winsford",
          "Wisbech",
          "Witham",
          "Witney",
          "Woking-Byfleet",
          "Wokingham",
          "Wolverhampton",
          "Wolverton-Stony Stratford",
          "Worcester",
          "Worcestershire",
          "Workington",
          "Worksop",
          "Worthing",
          "Yeovil",
          "York"
        ]),
        States(name: "England", cities: [
          "Barking",
          "Basildon",
          "Brentwood",
          "Cambrridge",
          "Canvey Island",
          "Chelmsford",
          "Clacton-on-Sea",
          "Colchester",
          "Dagenham",
          "Dunmow",
          "Epping",
          "Essex",
          "Grays",
          "Harlow",
          "Ilford",
          "Ingatestone",
          "Leigh on Sea",
          "Rainham",
          "Romford",
          "Saffron Walden",
          "Stansted",
          "Wickford"
        ]),
        States(name: "Essex", cities: ["Ballinamallard"]),
        States(name: "Fermanagh", cities: ["Kirkcaldy"]),
        States(name: "Fife", cities: ["Ewloe", "Greenfield"]),
        States(name: "Flintshire", cities: ["Imperial Wharf"]),
        States(name: "Fulham", cities: ["Kirton-in-Lindsey"]),
        States(name: "Gainsborough", cities: [
          "Berkeley",
          "Cheltenham",
          "Churchham",
          "Cirencester",
          "East Kilbride",
          "Gloucester",
          "Lechlade",
          "Lydney",
          "Moreton in Marsh",
          "Stroud",
          "Tewkesbury"
        ]),
        States(
            name: "Glocestershire",
            cities: ["Blackwood", "Blaenavon", "Newport", "Tredegar"]),
        States(name: "Gwent", cities: [
          "Aldershot",
          "Alton",
          "Andover",
          "Bordon",
          "Botley",
          "Fareham",
          "Farnborough",
          "Fleet",
          "Fordingbridge",
          "Havant",
          "Hayling Island",
          "Hook",
          "Isle of wight",
          "Liphook",
          "Longparish",
          "Old Bishopstoke",
          "Petersfield",
          "Portsmouth",
          "Ringwood",
          "Romsey",
          "South Harting",
          "Southampton",
          "Waterlooville",
          "West Wellow",
          "Winchester"
        ]),
        States(
            name: "Hampshire",
            cities: ["Lymington", "Pennington", "Southampton"]),
        States(
            name: "Hants",
            cities: ["Kington", "Ledbury", "Leominster", "Saint Albans"]),
        States(name: "Herefordshire", cities: [
          "Barnet",
          "Bishops Stortford",
          "Borehamwood",
          "Brookmans Park",
          "Bushey",
          "Cheshunt",
          "Cuffley",
          "Elstree",
          "Hemel Hempstead",
          "Hertfordshire",
          "Kings Langley",
          "Much Hadham",
          "Radlett",
          "Rickmansworth",
          "Royston",
          "Stevenage",
          "Waltham Cross",
          "Watford",
          "Welwyn"
        ]),
        States(name: "Hertfordshire", cities: []),
        States(name: "Ireland", cities: []),
        States(name: "Isle Of Man", cities: []),
        States(name: "Isle of Wight", cities: ["Newmarket"]),
        States(name: "Kenford", cities: [
          "Ashford",
          "Beckenham",
          "Bromley",
          "Brookland",
          "Charing",
          "Chatam",
          "Crayford",
          "Edenbridge",
          "Erith",
          "Faversham",
          "Five Oak Green",
          "Folkestone",
          "Gillingham",
          "Gravesend",
          "Hartlip",
          "Hayes",
          "Herne Bay",
          "Hythe",
          "Lenham",
          "Maidstone",
          "Minster",
          "New Romney",
          "Orpington",
          "Paddock Wood",
          "Royal Tunbridge Wells",
          "Sandwich",
          "Sheerness",
          "Sidcup",
          "Sittingbourne",
          "Staplehurst",
          "Tunbridge Wells",
          "West Malling",
          "Westerham",
          "Whitstable",
          "canterbury"
        ]),
        States(name: "Kent", cities: ["Ayrshire"]),
        States(name: "Kilmarnock", cities: ["Airdrie", "Glasgow"]),
        States(name: "Lanarkshire", cities: [
          "Accrington",
          "Blackburn",
          "Blackpool",
          "Burnley",
          "Clayton-Le-Moors",
          "Cleveleys",
          "Darwen",
          "Gisburn",
          "Glasgow",
          "Greater Manchester",
          "Hamilton",
          "Kirkby Lonsdale",
          "Leyland",
          "Littleborough",
          "Lytham St Annes",
          "Nelson",
          "Oldham",
          "Out Rawcliffe",
          "Padiham",
          "Preston",
          "Rochdale",
          "Rossendale",
          "Tarleton",
          "Todmorden",
          "West Lancashire"
        ]),
        States(name: "Lancashire", cities: [
          "Coalville",
          "Fleckney",
          "Leicester",
          "Loughborough",
          "Lutterworth",
          "Market Harborough",
          "Tur Langton"
        ]),
        States(name: "Leicestershire", cities: [
          "Alford",
          "Bourne",
          "Casewick",
          "Digby",
          "Gainsborough",
          "Grimsby",
          "Immingham",
          "Laceby",
          "Lincoln",
          "Louth",
          "Market Deeping",
          "Market Rasen",
          "Spalding",
          "Spilsby",
          "Swinderby",
          "Thurlby",
          "Witham St Hughs"
        ]),
        States(name: "Lincolnshire", cities: ["Llanymynech"]),
        States(name: "Llanymynech", cities: [
          "Abbeywood",
          "Aldgate",
          "Alperton",
          "Castledawson",
          "Edmonton",
          "Enfield",
          "Forest Gate",
          "Greenwich",
          "Hainault",
          "Hampstead",
          "Harrow Weald",
          "Hendon",
          "Kensington",
          "Leyton",
          "London",
          "Magherafelt",
          "Mill Hill",
          "Southwark",
          "Suffolk",
          "Sulham",
          "Victoria",
          "Walthamstow",
          "Wandsworth",
          "Wembley",
          "Wimbledon",
          "Woolwich"
        ]),
        States(name: "London", cities: ["Ludlow"]),
        States(name: "Ludlow", cities: [
          "Manchester",
          "Prestwich",
          "Salford",
          "Swinton",
          "Worsley"
        ]),
        States(name: "Manchester", cities: ["Mayfair"]),
        States(name: "Mayfair", cities: ["Southport"]),
        States(name: "Merseyside", cities: []),
        States(name: "Mid Glamorgan", cities: [
          "Brentford",
          "Brimsdown",
          "Drayton",
          "Edgware",
          "Feltham",
          "Greenford",
          "Hampton",
          "Harmondsworth",
          "Harrow",
          "Hayes",
          "Isleworth",
          "Northolt",
          "Northwood",
          "Perivale",
          "Pinner",
          "Ruislip",
          "Ruislip Manor",
          "South Harrow",
          "Southall",
          "Staines",
          "Stamore",
          "Stanmore",
          "Stanwell",
          "Sunbury",
          "Teddington",
          "Twickenham",
          "Uxbridge",
          "Watford",
          "Wembley",
          "West Drayton",
          "Wraysbury",
          "hounslow"
        ]),
        States(name: "Middlesex", cities: ["Mildenhall"]),
        States(name: "Mildenhall", cities: ["Abergavenny", "Monmouth"]),
        States(name: "Monmouthshire", cities: []),
        States(name: "Newton Stewart", cities: [
          "Attleborough",
          "Bacton",
          "Briston",
          "Dereham",
          "Diss",
          "Downham Market",
          "Fakenham",
          "Garboldisham",
          "Gayton",
          "Glandford",
          "Great Yarmouth",
          "Heacham",
          "Hopton",
          "Kings Lynn",
          "Little Cressingham",
          "Norwich",
          "Sheringham",
          "Thetford",
          "Trunch",
          "Winordhan",
          "Wymondham"
        ]),
        States(name: "Norfolk", cities: []),
        States(name: "North Humberside", cities: []),
        States(name: "North Yorkshire", cities: [
          "Daventry",
          "Irthlingborough",
          "Middleton Cheney",
          "Oundle",
          "Towcester",
          "Welford",
          "Wellingborough",
          "Woodford Halse"
        ]),
        States(
            name: "Northamptonshire",
            cities: ["Brackley", "Desborough", "weedon"]),
        States(name: "Northants", cities: []),
        States(name: "Northern Ireland", cities: [
          "Bedlington",
          "Corbridge",
          "Cramlington",
          "Morpeth",
          "Northumberland",
          "Ponteland",
          "Wooler"
        ]),
        States(name: "Northumberland", cities: [
          "Burton Joyce",
          "Cotgraves",
          "Gonalston",
          "Mansfield",
          "Newark",
          "Nottingham",
          "Pennyfoot Street",
          "Sandiacre",
          "Southwell",
          "Whatton"
        ]),
        States(name: "Nottinghamshire", cities: [
          "Bampton",
          "Banbury",
          "Bicester",
          "Blewbury",
          "Cheltenham",
          "Chipping Norton",
          "Drayton",
          "Eynsham",
          "Farringdon",
          "Henely on Thames",
          "Henley-on-Thames",
          "Oxford",
          "Shenington",
          "Thame",
          "Wantage"
        ]),
        States(name: "Oxford", cities: [
          "Builth Wells",
          "Knighton",
          "Llanbrynmair",
          "New town",
          "Newtown",
          "Rhaeadr",
          "Welshpool"
        ]),
        States(name: "Powys", cities: ["Hill of Fearn"]),
        States(name: "Roos-shire", cities: ["Shoreham"]),
        States(name: "SUSSEX", cities: ["Sark"]),
        States(name: "Sark", cities: [
          "Aberdeen",
          "Alloa",
          "Alness",
          "Annan",
          "Arbroath",
          "Ardrossan",
          "Armadale",
          "Ayr",
          "Bathgate",
          "Blairgowrie",
          "Blantyre-Hamilton",
          "Boness",
          "Bonnybridge",
          "Broxburn",
          "Broxham",
          "Buckhaven",
          "Burntisland",
          "Carluke",
          "Carnoustie",
          "Coatbridge",
          "Cowdenbeath",
          "Cumbernauld",
          "Cumnock",
          "Cupar",
          "Dalbeattie",
          "Dalkeith",
          "Dingwall",
          "Dumbarton",
          "Dumfries",
          "Dundee",
          "Dunfermline",
          "Dunoon",
          "East Kilbride",
          "Edimburah",
          "Edinburgh",
          "Elgin",
          "Ellon",
          "Erskine",
          "Falkirk",
          "Forfar",
          "Forres",
          "Fort William",
          "Fraserburgh",
          "Galashiels",
          "Galston-Newmilns",
          "Girvan",
          "Glasgow",
          "Glenrothes",
          "Greengairs",
          "Greenock",
          "Haddington",
          "Hawick",
          "Helensburgh",
          "Insch",
          "Inverkeithing-Dalgety Bay",
          "Inverness",
          "Inverurie",
          "Irvine",
          "Isle of Lewis",
          "Kilmarnock",
          "Kilsyth",
          "Kilwinning",
          "Kirkcaldy",
          "Kirkintilloch-Lenzie",
          "Kirkwall",
          "Lanark",
          "Largs",
          "Larkhall",
          "Lerwick",
          "Linlithgow",
          "Livingston",
          "Loanhead",
          "Montrose",
          "Motherwell",
          "Nairn",
          "Newtown Saint Boswells",
          "Paisley",
          "Penicuik",
          "Perth",
          "Peterhead",
          "Saint Andrews",
          "Selkirkshire",
          "Shotts",
          "Stirling",
          "Stonehaven",
          "Stornoway",
          "Stranraer",
          "Tranent",
          "Troon",
          "Whitburn"
        ]),
        States(name: "Scotland", cities: []),
        States(name: "Scottish Borders", cities: [
          "Bishops Castle",
          "Bridgnorth",
          "Bucknell",
          "Drayton",
          "Greete",
          "Hinstock",
          "Jackfield",
          "Ludlow",
          "Much Wenlock",
          "Oswestry",
          "Ryton",
          "Shifnal",
          "Shrewsbury",
          "Telford",
          "Whitchurch"
        ]),
        States(name: "Shropshire", cities: [
          "Bath",
          "Brent Knoll",
          "Castle Cary",
          "Shepton Mallet",
          "Somerset",
          "Taunton",
          "Wedmore",
          "Wellington",
          "Weston-super-Mare"
        ]),
        States(name: "Somerset", cities: []),
        States(name: "South Glamorgan", cities: []),
        States(name: "South Wales", cities: []),
        States(name: "South Yorkshire", cities: []),
        States(name: "Southwell", cities: [
          "Burton-on-Trent",
          "Hednesford",
          "Stoke on Trent",
          "Stone"
        ]),
        States(name: "Staffordshire", cities: ["Strabane"]),
        States(name: "Strabane", cities: [
          "Bury St Edmunds",
          "Felixstowe",
          "Haverhill",
          "Leiston",
          "Lowestoft",
          "Stowmarket",
          "Sudbury",
          "Woodbridge"
        ]),
        States(name: "Suffolk", cities: [
          "Ashtead",
          "Bagshot",
          "Betchworth",
          "Bletchingley",
          "Carshalton",
          "Chertsey",
          "Claygate",
          "Croydon",
          "Dorking",
          "Effingham",
          "Epsom",
          "Farnham",
          "Haslemere",
          "Kingston Upon Thames",
          "Leatherhead",
          "Mitcham",
          "New Malden",
          "Redhill",
          "Richmond",
          "Salfords",
          "Shepperton",
          "Stoneleigh",
          "Surbiton",
          "Surrey",
          "Tadworth",
          "Walton on Thames",
          "West Molesey",
          "Wisley",
          "Woking"
        ]),
        States(
            name: "Surrey",
            cities: ["Brighton", "Henfield", "Sussex", "Worthing"]),
        States(name: "Sussex", cities: ["Twickenham"]),
        States(name: "Twickenham", cities: []),
        States(name: "Tyne and Wear", cities: ["Omagh"]),
        States(name: "Tyrone", cities: ["Santaquin"]),
        States(name: "Utah", cities: [
          "Aberdare",
          "Aberystwyth",
          "Barry",
          "Brecon",
          "Bridgend",
          "Brynmawr",
          "Caernarfon",
          "Caerphily",
          "Caldicot",
          "Cardiff",
          "Carmarthen",
          "Colwyn Bay",
          "Connahs Quay",
          "Cwmbran",
          "Dolgellau",
          "Ebbw Vale",
          "Gaerwen",
          "Gwynedd",
          "Haverfordwest",
          "Isle of Anglesey",
          "Islwyn",
          "Llandrindod Wells",
          "Llanelli",
          "Llangefni",
          "Maesteg",
          "Merthyr Tydfil",
          "Mold",
          "Mountain Ash-Abercynon",
          "Neath",
          "Newport",
          "Pembrokeshire",
          "Penarth",
          "Pencader",
          "Pontypool",
          "Pontypridd",
          "Port Talbot",
          "Queensferry",
          "Rhondda",
          "Rhyl",
          "Ruthin",
          "Shotton-Hawarden",
          "St. Asaph",
          "Swansea",
          "West Glamorgan",
          "Wrexham"
        ]),
        States(name: "Wales", cities: [
          "Alcester",
          "Coventry",
          "Henley in Arden",
          "Nuneaton",
          "Pershore",
          "Southam",
          "Warwick"
        ]),
        States(name: "Warwickshire", cities: []),
        States(name: "West Lothian", cities: []),
        States(name: "West Midlands", cities: []),
        States(name: "West Sussex", cities: []),
        States(name: "West Yorkshire", cities: ["Whissendine"]),
        States(name: "Whissendine", cities: [
          "Amesbury",
          "Bradford on Avon",
          "Calne",
          "Chippenham",
          "Corsham",
          "Cosham",
          "Devizes",
          "Downton",
          "Malmesbury",
          "Marlborough",
          "Melksham",
          "Pewsey",
          "Salisbury",
          "Southwick",
          "Swindon",
          "Warminster",
          "Westbury"
        ]),
        States(name: "Wiltshire", cities: ["Winnersh"]),
        States(name: "Wokingham", cities: [
          "Evesham",
          "Hartlebury",
          "Kidderminster",
          "Pershore",
          "Redditch",
          "Worcester"
        ]),
        States(name: "Worcestershire", cities: ["Caergwrle", "Ruabon"]),
        States(name: "Wrexham", cities: ["Neuffen"]),
        States(
            name: "Wurttemberg", cities: ["Beverley", "Malton", "Mexborough"]),
        States(name: "Yorkshire", cities: [
          "Alabaster",
          "Albertville",
          "Alexander City",
          "Anniston",
          "Arab",
          "Ashville",
          "Athens",
          "Atmore",
          "Auburn",
          "Bessemer",
          "Birmingham",
          "Capshaw",
          "Center Point",
          "Childersburg",
          "Cullman",
          "Daleville",
          "Daphne",
          "Decatur",
          "Dothan",
          "Enterprise",
          "Eufaula",
          "Fairfield",
          "Fairhope",
          "Florence",
          "Fort Payne",
          "Gadsden",
          "Grand Bay",
          "Grove Hill",
          "Guntersville",
          "Hampton Cove",
          "Hanceville",
          "Hartselle",
          "Headland",
          "Helena",
          "Hodges",
          "Homewood",
          "Hoover",
          "Hueytown",
          "Huntsville",
          "Jacksonville",
          "Jasper",
          "Leeds",
          "Luverne",
          "Madison",
          "Mobile",
          "Montgomery",
          "Mountain Brook",
          "Muscle Shoals",
          "Northport",
          "Notasulga",
          "Opelika",
          "Oxford",
          "Ozark",
          "Pelham",
          "Pell City",
          "Pennsylvania",
          "Phenix City",
          "Prattville",
          "Prichard",
          "Ramer",
          "Roanoke",
          "Saraland",
          "Scottsboro",
          "Selma",
          "Sheffield",
          "Smiths",
          "Sumiton",
          "Sylacauga",
          "Talladega",
          "Thomasville",
          "Trafford",
          "Troy",
          "Trussville",
          "Tuscaloosa",
          "Tuskegee",
          "Vestavia Hills"
        ])
      ]),
  Country(
      name: "United States",
      flag: "🇺🇸",
      code: "US",
      dialCode: "1",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Alabama", cities: [
          "Anchorage",
          "Barrow",
          "Bethel",
          "College",
          "Fairbanks",
          "Homer",
          "Juneau",
          "Kenai",
          "Ketchikan",
          "Kodiak",
          "Nome",
          "Palmer",
          "Sitka",
          "Soldotna",
          "Sterling",
          "Unalaska",
          "Valdez",
          "Wasilla"
        ]),
        States(name: "Alaska", cities: [
          "Apache Junction",
          "Avondale",
          "Bisbee",
          "Bouse",
          "Bullhead City",
          "Carefree",
          "Casa Grande",
          "Casas Adobes",
          "Chandler",
          "Clarkdale",
          "Cottonwood",
          "Douglas",
          "Drexel Heights",
          "El Mirage",
          "Flagstaff",
          "Florence",
          "Flowing Wells",
          "Fort Mohave",
          "Fortuna Foothills",
          "Fountain Hills",
          "Gilbert",
          "Glendale",
          "Globe",
          "Goodyear",
          "Green Valley",
          "Kingman",
          "Lake Havasu City",
          "Laveen",
          "Litchfield Park",
          "Marana",
          "Mesa",
          "New Kingman-Butler",
          "Nogales",
          "Oracle",
          "Oro Valley",
          "Paradise Valley",
          "Parker",
          "Payson",
          "Peoria",
          "Phoenix",
          "Pine",
          "Pinetop",
          "Prescott",
          "Prescott Valley",
          "Quartzsite",
          "Queen Creek",
          "Rio Rico",
          "Safford",
          "San Luis",
          "Scottsdale",
          "Sedona",
          "Sierra Vista",
          "Sierra Vista Southeast",
          "Sun City",
          "Sun City West",
          "Surprise",
          "Tempe",
          "Tombstone",
          "Tucson",
          "Winslow",
          "Yuma"
        ]),
        States(name: "Arizona", cities: [
          "Alexander",
          "Arkadelphia",
          "Batesville",
          "Bella Vista",
          "Benton",
          "Bentonville",
          "Berryville",
          "Blytheville",
          "Cabot",
          "Camden",
          "Cherry Valley",
          "Conway",
          "Corning",
          "El Dorado",
          "Fayetteville",
          "Forrest City",
          "Fort Smith",
          "Harrison",
          "Hope",
          "Hot Springs",
          "Jacksonville",
          "Jonesboro",
          "Lake City",
          "Little Rock",
          "Magnolia",
          "Mount Vernon",
          "Mountain Home",
          "Norfork",
          "North Little Rock",
          "Paragould",
          "Piggott",
          "Pine Bluff",
          "Pocahontas",
          "Prescott",
          "Quitman",
          "Rogers",
          "Russellville",
          "Searcy",
          "Sheridan",
          "Sherwood",
          "Siloam Springs",
          "Springdale",
          "Stuttgart",
          "Texarkana",
          "Van Buren",
          "Ward",
          "West Helena",
          "West Memphis",
          "Wynne"
        ]),
        States(name: "Arkansas", cities: []),
        States(name: "Byram", cities: [
          "Acton",
          "Adelanto",
          "Agoura Hills",
          "Aguanga",
          "Alameda",
          "Alamo",
          "Albany",
          "Alhambra",
          "Aliso Viejo",
          "Alondra Park",
          "Alpine",
          "Alta Loma",
          "Altadena",
          "American Canyon",
          "Anaheim",
          "Anderson",
          "Antelope",
          "Antioch",
          "Apple Valley",
          "Aptos",
          "Arcadia",
          "Arcata",
          "Arden-Arcade",
          "Arroyo Grande",
          "Artesia",
          "Arvin",
          "Ashland",
          "Atascadero",
          "Atwater",
          "Auburn",
          "Avalon",
          "Avenal",
          "Avocado Heights",
          "Azusa",
          "Bakersfield",
          "Baldwin Park",
          "Banning",
          "Barstow",
          "Bay Point",
          "Baywood-Los Osos",
          "Bear Valley Springs",
          "Beaumont",
          "Bell",
          "Bell Gardens",
          "Bellflower",
          "Belmont",
          "Ben Lomond",
          "Benicia",
          "Berkeley",
          "Beverly Hills",
          "Big Bear Lake",
          "Bloomington",
          "Blythe",
          "Bonita",
          "Bostonia",
          "Brawley",
          "Brea",
          "Brentwood",
          "Brisbane",
          "Brookdale",
          "Buena Park",
          "Burbank",
          "Burlingame",
          "Burnham",
          "Byron",
          "Calabasas",
          "Calexico",
          "California City",
          "Camarillo",
          "Cameron Park",
          "Camino",
          "Camp Pendleton North",
          "Camp Pendleton South",
          "Campbell",
          "Canoga Park",
          "Canyon Lake",
          "Capitola",
          "Carlsbad",
          "Carmel",
          "Carmel Valley",
          "Carmichael",
          "Carpinteria",
          "Carson",
          "Casa de Oro-Mount Helix",
          "Castaic",
          "Castro Valley",
          "Cathedral City",
          "Cayucos",
          "Ceres",
          "Cerritos",
          "Charter Oak",
          "Chatsworth",
          "Cherryland",
          "Chico",
          "Chino",
          "Chino Hills",
          "Chula Vista",
          "Citrus",
          "Citrus Heights",
          "City of Commerce",
          "City of Industry",
          "Claremont",
          "Clearlake",
          "Clovis",
          "Coachella",
          "Coalinga",
          "Colfax",
          "Colton",
          "Colusa",
          "Commerce",
          "Compton",
          "Concord",
          "Corcoran",
          "Corning",
          "Corona",
          "Coronado",
          "Corte Madera",
          "Costa Mesa",
          "Cotati",
          "Cottonwood",
          "Country Club",
          "Covina",
          "Crestline",
          "Cudahy",
          "Culver City",
          "Cupertino",
          "Cypress",
          "Daly City",
          "Dana Point",
          "Danville",
          "Davis",
          "Del Mar",
          "Delano",
          "Desert Hot Springs",
          "Diamond Bar",
          "Dinuba",
          "Dixon",
          "Downey",
          "Duarte",
          "Dublin",
          "East Foothills",
          "East Hemet",
          "East La Mirada",
          "East Palo Alto",
          "East San Gabriel",
          "El Cajon",
          "El Centro",
          "El Cerrito",
          "El Granada",
          "El Monte",
          "El Paso de Robles",
          "El Segundo",
          "El Sobrante",
          "Elk Grove",
          "Emeryville",
          "Encinitas",
          "Encino",
          "Escondido",
          "Etna",
          "Eureka",
          "Exeter",
          "Fair Oaks",
          "Fairfax",
          "Fairfield",
          "Fairview",
          "Fallbrook",
          "Ferndale",
          "Fillmore",
          "Florence-Graham",
          "Florin",
          "Folsom",
          "Fontana",
          "Foothill Farms",
          "Foothill Ranch",
          "Forestville",
          "Fort Bragg",
          "Fortuna",
          "Foster City",
          "Fountain Valley",
          "Freedom",
          "Fremont",
          "Fresno",
          "Fullerton",
          "Galt",
          "Garberville",
          "Garden Acres",
          "Garden Grove",
          "Gardena",
          "Georgetown",
          "Gilroy",
          "Glen Avon",
          "Glendale",
          "Glendora",
          "Goleta",
          "Gonzales",
          "Granada Hills",
          "Grand Terrace",
          "Grass Valley",
          "Greenfield",
          "Grover Beach",
          "Gualala",
          "Guerneville",
          "Hacienda Heights",
          "Half Moon Bay",
          "Hanford",
          "Harbor City",
          "Hawaiian Gardens",
          "Hawthorne",
          "Hayward",
          "Hemet",
          "Hercules",
          "Hermosa Beach",
          "Hesperia",
          "Highland",
          "Hillsborough",
          "Hollister",
          "Hollywood",
          "Huntington Beach",
          "Huntington Park",
          "Idyllwild",
          "Imperial Beach",
          "Indio",
          "Industry",
          "Inglewood",
          "Irvine",
          "Irwindale",
          "Isla Vista",
          "Jackson",
          "Jamul",
          "La Canada Flintridge",
          "La Crescenta-Montrose",
          "La Habra",
          "La Jolla",
          "La Mesa",
          "La Mirada",
          "La Palma",
          "La Presa",
          "La Puente",
          "La Quinta",
          "La Riviera",
          "La Verne",
          "LaVerne",
          "Ladera Ranch",
          "Lafayette",
          "Laguna",
          "Laguna Beach",
          "Laguna Hills",
          "Laguna Niguel",
          "Lake Elsinore",
          "Lake Forest",
          "Lakeside",
          "Lakewood",
          "Lamont",
          "Lancaster",
          "Larkspur",
          "Lawndale",
          "Laytonville",
          "Lemon Grove",
          "Lemoore",
          "Lennox",
          "Linda",
          "Lindsay",
          "Live Oak",
          "Livermore",
          "Livingston",
          "Lodi",
          "Loma Linda",
          "Lomita",
          "Lompoc",
          "Long Beach",
          "Los Alamitos",
          "Los Altos",
          "Los Angeles",
          "Los Angeles East",
          "Los Banos",
          "Los Gatos",
          "Los Olivos",
          "Lynwood",
          "MacKinleyville",
          "Madera",
          "Magalia",
          "Malibu",
          "Mammoth Lakes",
          "Manhattan Beach",
          "Manteca",
          "Marina",
          "Marina del Rey",
          "Mariposa",
          "Marshall",
          "Martinez",
          "Marysville",
          "Maywood",
          "Menlo Park",
          "Merced",
          "Middletown",
          "Midway City",
          "Mill Valley",
          "Millbrae",
          "Milpitas",
          "Mira Loma",
          "Miranda",
          "Mission Viejo",
          "Modesto",
          "Monclair",
          "Monrovia",
          "Montara",
          "Montclair",
          "Montebello",
          "Montecito",
          "Monterey",
          "Monterey Park",
          "Moorpark",
          "Moraga Town",
          "Moreno Valley",
          "Morgan Hill",
          "Morro Bay",
          "Moss Beach",
          "Mount Shasta",
          "Mountain View",
          "Murrieta",
          "N. Hollywood",
          "Napa",
          "National City",
          "Nevada City",
          "Newark",
          "Newport Beach",
          "Norco",
          "North Auburn",
          "North Fair Oaks",
          "North Fork",
          "North Highlands",
          "North Hills",
          "North Hollywood",
          "Northridge",
          "Norwalk",
          "Novato",
          "Nuevo",
          "Oak View",
          "Oakdale",
          "Oakhurst",
          "Oakland",
          "Oakley",
          "Oceanside",
          "Oildale",
          "Ojai",
          "Olivehurst",
          "Ontario",
          "Orange",
          "Orangevale",
          "Orcutt",
          "Oregon House",
          "Orinda",
          "Oroville",
          "Oxnard",
          "Pacific Grove",
          "Pacific Palisades",
          "Pacifica",
          "Pacoima",
          "Pajaro",
          "Palm Desert",
          "Palm Springs",
          "Palmdale",
          "Palo Alto",
          "Palos Verdes Estates",
          "Pamona",
          "Panorama City",
          "Paradise",
          "Paramount",
          "Parkway-South Sacramento",
          "Parlier",
          "Pasadena",
          "Patterson",
          "Pedley",
          "Perris",
          "Petaluma",
          "Pico Rivera",
          "Piedmont",
          "Pinole",
          "Pismo Beach",
          "Pittsburg",
          "Placentia",
          "Placerville",
          "Playa del Rey",
          "Pleasant Hill",
          "Pleasanton",
          "Plymouth",
          "Point Reyes Station",
          "Pollock Pines",
          "Pomona",
          "Port Costa",
          "Port Hueneme",
          "Porterville",
          "Poway",
          "Quartz Hill",
          "Ramona",
          "Rancho Cordova",
          "Rancho Cucamonga",
          "Rancho Dominguez",
          "Rancho Mirage",
          "Rancho Murieta",
          "Rancho Palos Verdes",
          "Rancho San Diego",
          "Rancho Santa Margarita",
          "Red Bluff",
          "Redding",
          "Redlands",
          "Redondo Beach",
          "Redway",
          "Redwood City",
          "Reedley",
          "Reseda",
          "Rialto",
          "Richmond",
          "Ridgecrest",
          "Rio Linda",
          "Rio Nido",
          "Rio del Mar",
          "Riverbank",
          "Riverside",
          "Rocklin",
          "Rohnert Park",
          "Rolling Hills",
          "Rosamond",
          "Roseland",
          "Rosemead",
          "Rosemont",
          "Roseville",
          "Rossmoor",
          "Rowland Heights",
          "Rubidoux",
          "Sacramento",
          "Salinas",
          "San Anselmo",
          "San Bernardino",
          "San Bruno",
          "San Buenaventura",
          "San Carlos",
          "San Clemente",
          "San Diego",
          "San Dimas",
          "San Fernando",
          "San Francisco",
          "San Gabriel",
          "San Jacinto",
          "San Jose",
          "San Juan Capistrano",
          "San Leandro",
          "San Lorenzo",
          "San Luis Obispo",
          "San Marcos",
          "San Marino",
          "San Mateo",
          "San Pablo",
          "San Pedro",
          "San Rafael",
          "San Ramon",
          "San Ysidro",
          "Sanger",
          "Santa Ana",
          "Santa Barbara",
          "Santa Clara",
          "Santa Clarita",
          "Santa Cruz",
          "Santa Fe Springs",
          "Santa Maria",
          "Santa Monica",
          "Santa Paula",
          "Santa Rosa",
          "Santa Ynez",
          "Santee",
          "Saratoga",
          "Sausalito",
          "Scotts Valley",
          "Seal Beach",
          "Seaside",
          "Sebastopol",
          "Selma",
          "Shafter",
          "Sherman Oaks",
          "Sierra Madre",
          "Signal Hill",
          "Simi Valley",
          "Solana Beach",
          "Soledad",
          "Solvang",
          "Sonoma",
          "Sonora",
          "Soquel",
          "South El Monte",
          "South Gate",
          "South Lake Tahoe",
          "South Pasadena",
          "South San Francisco",
          "South San Jose Hills",
          "South Whittier",
          "South Yuba City",
          "Spring Valley",
          "St. Helena",
          "Stanford",
          "Stanton",
          "Stevenson Ranch",
          "Stockton",
          "Strathmore",
          "Studio City",
          "Suisun City",
          "Sun City",
          "Sun Valley",
          "Sunland",
          "Sunnyvale",
          "Susanville",
          "Sutter",
          "Sylmar",
          "Tahoe City",
          "Tamalpais-Homestead Valley",
          "Tarzana",
          "Tehachapi",
          "Temecula",
          "Temple City",
          "Thousand Oaks",
          "Tiburon",
          "Topanga",
          "Torrance",
          "Trabuco Canyon",
          "Tracy",
          "Trinidad",
          "Trona",
          "Truckee",
          "Tujunga",
          "Tulare",
          "Turlock",
          "Tustin",
          "Tustin Foothills",
          "Twentynine Palms",
          "Twentynine Palms Base",
          "Ukiah",
          "Union City",
          "Upland",
          "Vacaville",
          "Valencia",
          "Valinda",
          "Valle Vista",
          "Vallejo",
          "Valley Center",
          "Valley Glen",
          "Valley Village",
          "Van Nuys",
          "Vandenberg Air Force Base",
          "Venice",
          "Ventura",
          "Vernon",
          "Victorville",
          "View Park-Windsor Hills",
          "Vincent",
          "Visalia",
          "Vista",
          "Walnut",
          "Walnut Creek",
          "Walnut Park",
          "Wasco",
          "Waterford",
          "Watsonville",
          "West Athens",
          "West Carson",
          "West Covina",
          "West Hills",
          "West Hollywood",
          "West Puente Valley",
          "West Sacramento",
          "West Whittier-Los Nietos",
          "Westlake Village",
          "Westminster",
          "Westmont",
          "Whittier",
          "Wildomar",
          "Willits",
          "Willowbrook",
          "Wilmington",
          "Windsor",
          "Woodland",
          "Woodland Hills",
          "Yorba Linda",
          "Yreka",
          "Yuba City",
          "Yucaipa",
          "Yucca Valley"
        ]),
        States(name: "California", cities: []),
        States(name: "Cokato", cities: [
          "Air Force Academy",
          "Alamosa",
          "Applewood",
          "Arvada",
          "Aspen",
          "Aurora",
          "Avon",
          "Basalt",
          "Bellvue",
          "Black Forest",
          "Boulder",
          "Brighton",
          "Broomfield",
          "Canon City",
          "Carbondale",
          "Castle Rock",
          "Castlewood",
          "Centennial",
          "Cimarron Hills",
          "Clifton",
          "Colorado Springs",
          "Columbine",
          "Commerce City",
          "Cortez",
          "Crawford",
          "Denver",
          "Durango",
          "Edwards",
          "Elizabeth",
          "Englewood",
          "Estes Park",
          "Evergreen",
          "Federal Heights",
          "Fort Carson",
          "Fort Collins",
          "Fort Morgan",
          "Fountain",
          "Golden",
          "Grand Junction",
          "Greeley",
          "Greenwood Village",
          "Gunbarrel",
          "Highlands Ranch",
          "Holly",
          "Ken Caryl",
          "Lafayette",
          "Lakewood",
          "Littleton",
          "Longmont",
          "Louisville",
          "Loveland",
          "Lyons",
          "Montrose",
          "Monument",
          "Nederland",
          "Niwot",
          "Northglenn",
          "Pagosa Springs",
          "Parker",
          "Penrose",
          "Peyton",
          "Pueblo",
          "Redlands",
          "Ridgway",
          "Rifle",
          "Rocky Ford",
          "Sanford",
          "Security-Widefield",
          "Sherrelwood",
          "Silver Cliff",
          "Snowmass Village",
          "Southglenn",
          "Steamboat Springs",
          "Sterling",
          "Superior",
          "Telluride",
          "Thornton",
          "Vail",
          "Welby",
          "Westcliffe",
          "Westminster",
          "Wheat Ridge",
          "Woodland Park"
        ]),
        States(name: "Colorado", cities: [
          "Ansonia",
          "Avon",
          "Bethel",
          "Bethlehem",
          "Bloomfield",
          "Branford",
          "Bridgeport",
          "Bristol",
          "Canaan",
          "Canton",
          "Central Manchester",
          "Cheshire",
          "Colchester",
          "Conning Towers-Nautilus Park",
          "Coscob",
          "Cranbury",
          "Cromwell",
          "Danbury",
          "Darien",
          "Dayville",
          "Derby",
          "East Hartford",
          "East Haven",
          "Ellington",
          "Enfield",
          "Fairfield",
          "Farmington",
          "Glastonbury",
          "Greens Farms",
          "Greenwich",
          "Groton",
          "Guilford",
          "Haddam",
          "Hamden",
          "Hartford",
          "Harwinton",
          "Lakeville",
          "Lyme",
          "Madison",
          "Manchester",
          "Meriden",
          "Middletown",
          "Milford",
          "Monroe",
          "Mystic",
          "Naugatuck",
          "New Britain",
          "New Canaan",
          "New Hartford",
          "New Haven",
          "New London",
          "New Milford",
          "New Town",
          "Newington",
          "North Haven",
          "North Stonington",
          "Norwalk",
          "Norwich",
          "Old Saybrook",
          "Oneco",
          "Orange",
          "Pawcatuck",
          "Plainville",
          "Portland",
          "Putnam",
          "Riverside",
          "Rocky Hill",
          "Rowayton",
          "Sandy Hook",
          "Seymour",
          "Sharon",
          "Shelton",
          "South Windsor",
          "Southington",
          "Southport",
          "Stamford",
          "Sterling",
          "Storrs",
          "Stratford",
          "Suffield",
          "Taftville",
          "Terryville",
          "Tolland",
          "Torrington",
          "Trumbull",
          "Vernon",
          "Wallingford Center",
          "Waterbury",
          "Watertown",
          "West Hartford",
          "West Haven",
          "Weston",
          "Westport",
          "Wethersfield",
          "Willimantic",
          "Wilton",
          "Windsor",
          "Windsor Locks",
          "Winsted",
          "Woodbury",
          "Woodstock",
          "pomfret"
        ]),
        States(name: "Connecticut", cities: [
          "Bear",
          "Brookside",
          "Claymont",
          "Dover",
          "Dover Base Housing",
          "Edgemoor",
          "Elsmere",
          "Georgetown",
          "Greenville",
          "Middletown",
          "Milford",
          "Milton",
          "Newark",
          "Pike Creek",
          "Seaford",
          "Smyrna",
          "Stanton",
          "Talleyville",
          "Wilmington",
          "Wilmington Manor"
        ]),
        States(name: "Delaware", cities: []),
        States(name: "District of Columbia", cities: [
          "Alachua",
          "Altamonte Springs",
          "Apopka",
          "Atlantic Beach",
          "Auburndale",
          "Aventura",
          "Avon Park",
          "Azalea Park",
          "Bal Harbour",
          "Bartow",
          "Bayonet Point",
          "Bayshore Gardens",
          "Beach",
          "Bellair-Meadowbrook Terrace",
          "Belle Glade",
          "Bellview",
          "Beverly Hills",
          "Bloomingdale",
          "Boca Raton",
          "Boca del Mar",
          "Bonita Springs",
          "Boynton Beach",
          "Bradenton",
          "Brandon",
          "Brent",
          "Brooksville",
          "Brownsville",
          "Buena Ventura Lakes",
          "Bunnell",
          "Callaway",
          "Cape Coral",
          "Carol City",
          "Casselberry",
          "Catalina Foothills",
          "Celebration",
          "Century Village",
          "Citrus Park",
          "Clearwater",
          "Clermont",
          "Cocoa",
          "Cocoa Beach",
          "Coconut Creek",
          "Coconut Grove",
          "Conway",
          "Cooper City",
          "Coral Gables",
          "Coral Springs",
          "Coral Terrace",
          "Cortlandt Manor",
          "Country Club",
          "Crestview",
          "Crystal River",
          "Cutler",
          "Cutler Ridge",
          "Cypress Gardens",
          "Cypress Lake",
          "Dania",
          "Dania Beach",
          "Davie",
          "Daytona Beach",
          "De Bary",
          "De Funiak Springs",
          "De Land",
          "Debary",
          "Deer Park",
          "Deerfield Beach",
          "Del Rio",
          "Delray Beach",
          "Deltona",
          "Destin",
          "Doctor Phillips",
          "Dora",
          "Doral",
          "Dundee",
          "Dunedin",
          "East Lake",
          "Edgewater",
          "Eglin Air Force Base",
          "Egypt Lake-Leto",
          "Elfers",
          "Englewood",
          "Ensley",
          "Eustis",
          "Fairview Shores",
          "Fern Park",
          "Fernandina Beach",
          "Ferry Pass",
          "Flagler Beach",
          "Floral City",
          "Florida City",
          "Florida Ridge",
          "Forest City",
          "Fort Lauderdale",
          "Fort Myers",
          "Fort Myers Beach",
          "Fort Pierce",
          "Fort Walton Beach",
          "Freeport",
          "Fruitville",
          "Ft. Lauderdale",
          "Gainesville",
          "Gladeview",
          "Glenvar Heights",
          "Golden Gate",
          "Golden Glades",
          "Goldenrod",
          "Greater Carrollwood",
          "Greater Northdale",
          "Green Cove Springs",
          "Greenacres",
          "Gulf Gate Estates",
          "Gulfport",
          "Haines City",
          "Hallandale",
          "Hallandale Beach",
          "Hammocks",
          "Hamptons at Boca Raton",
          "Havana",
          "Hialeah",
          "Hialeah Gardens",
          "Highpoint",
          "Hobe Sound",
          "Holiday",
          "Holly Hill",
          "Hollywood",
          "Homestead",
          "Homosassa",
          "Hudson",
          "Immokalee",
          "Inverness",
          "Iona",
          "Ives Estates",
          "Jacksonville",
          "Jacksonville Beach",
          "Jasmine Estates",
          "Jensen Beach",
          "Jupiter",
          "Kendale Lakes",
          "Kendall",
          "Kendall West",
          "Key Biscayne",
          "Key Largo",
          "Key West",
          "Kings Point",
          "Kissimmee",
          "Lady Lake",
          "Lake Alfred",
          "Lake City",
          "Lake Lucerne",
          "Lake Magdalene",
          "Lake Mary",
          "Lake Placid",
          "Lake Wales",
          "Lake Worth",
          "Lakeland",
          "Lakeland Highlands",
          "Lakeside",
          "Land O\\'\\'Lakes",
          "Largo",
          "Lauderdale Lakes",
          "Lauderhill",
          "Laurel",
          "Lecanto",
          "Leesburg",
          "Lehigh Acres",
          "Leisure City",
          "Lighthouse Point",
          "Lockhart",
          "Longwood",
          "Loxahatchee",
          "Lutz",
          "Lynn Haven",
          "Madison",
          "Maitland",
          "Mango",
          "Marathon",
          "Marco",
          "Margate",
          "Medley",
          "Melbourne",
          "Merritt Island",
          "Miami",
          "Miami Beach",
          "Miami Gardens",
          "Miami Lakes",
          "Miami Shores",
          "Miami Springs",
          "Micco",
          "Milton",
          "Mims",
          "Miramar",
          "Mulberry",
          "Myrtle Grove",
          "Naples",
          "Naples Park",
          "Naranja",
          "New Port Richey",
          "New Port Richey East",
          "New Smyrna Beach",
          "Niceville",
          "Nokomis",
          "Norland",
          "North Andrews Gardens",
          "North Fort Myers",
          "North Lauderdale",
          "North Miami",
          "North Miami Beach",
          "North Naples",
          "North Palm Beach",
          "North Port",
          "Oak Ridge",
          "Oakland Park",
          "Ocala",
          "Ocoee",
          "Ojus",
          "Okeechobee",
          "Oldsmar",
          "Olympia Heights",
          "Opa-locka",
          "Orange City",
          "Orange Park",
          "Orlando",
          "Ormond Beach",
          "Ormond-by-the-Sea",
          "Osprey",
          "Oviedo",
          "Palatka",
          "Palm Bay",
          "Palm Beach",
          "Palm Beach Gardens",
          "Palm City",
          "Palm Coast",
          "Palm Harbor",
          "Palm River-Clair Mel",
          "Palm Valley",
          "Palmetto",
          "Palmetto Estates",
          "Panama City",
          "Parkland",
          "Pembroke Park",
          "Pembroke Pines",
          "Pensacola",
          "Perrine",
          "Pine Castle",
          "Pine Hills",
          "Pinellas Park",
          "Pinewood",
          "Plant City",
          "Plantation",
          "Pompano Beach",
          "Pompano Beach Highlands",
          "Ponte Vedra",
          "Port Charlotte",
          "Port Orange",
          "Port Saint John",
          "Port Saint Lucie",
          "Punta Gorda",
          "Quincy",
          "Redington Shores",
          "Richmond Heights",
          "Richmond West",
          "Riverview",
          "Riviera Beach",
          "Rockledge",
          "Royal Palm Beach",
          "Safety Harbor",
          "Saint Augustine",
          "Saint Cloud",
          "Saint Petersburg",
          "Saint Petersburg Beach",
          "San Carlos Park",
          "Sandalfoot Cove",
          "Sanford",
          "Sanibel",
          "Sarasota",
          "Sarasota Springs",
          "Satellite Beach",
          "Scott Lake",
          "Sebastian",
          "Seminole",
          "Shalimar",
          "South Bradenton",
          "South Daytona",
          "South Miami",
          "South Miami Heights",
          "South Patrick Shores",
          "South Venice",
          "Spring Hill",
          "Stuart",
          "Sun City Center",
          "Sunny Isles",
          "Sunrise",
          "Sunset",
          "Sweetwater",
          "Tallahassee",
          "Tamarac",
          "Tamiami",
          "Tampa",
          "Tarpon Springs",
          "Temple Terrace",
          "The Crossings",
          "The Hammocks",
          "Titusville",
          "Town\\'\\'n\\'\\'Country",
          "University",
          "University Park",
          "Valrico",
          "Venice",
          "Vero Beach",
          "Vero Beach South",
          "Villas",
          "Warrington",
          "Wekiva Springs",
          "Wellington",
          "Wesley Chapel",
          "West Little River",
          "West Palm Beach",
          "West Park",
          "West Pensacola",
          "West and East Lealman",
          "Westchester",
          "Weston",
          "Westview",
          "Westwood Lakes",
          "Wilton Manors",
          "Windermere",
          "Winston",
          "Winter Garden",
          "Winter Haven",
          "Winter Park",
          "Winter Springs",
          "Wright",
          "Yeehaw Junction"
        ]),
        States(name: "Florida", cities: [
          "Acworth",
          "Adel",
          "Albany",
          "Alma",
          "Alpharetta",
          "Americus",
          "Athens",
          "Athens-Clarke",
          "Atlanta",
          "Auburn",
          "Augusta-Richmond",
          "Austell",
          "Bainbridge",
          "Barnesville",
          "Belvedere Park",
          "Bogart",
          "Bowdon",
          "Braselton",
          "Brunswick",
          "Buford",
          "Byron",
          "Cairo",
          "Calhoun",
          "Candler-MacAfee",
          "Canton",
          "Carrollton",
          "Cartersville",
          "Chamblee",
          "Clarkston",
          "Cochran",
          "College Park",
          "Columbus",
          "Comer",
          "Conley",
          "Conyers",
          "Cordele",
          "Covington",
          "Culloden",
          "Cumming",
          "Dacula",
          "Dahlonega",
          "Dallas",
          "Dalton",
          "Decatur",
          "Dewy Rose",
          "Doraville",
          "Douglas",
          "Douglasville",
          "Druid Hills",
          "Dublin",
          "Duluth",
          "Dunwoody",
          "East Point",
          "Elberton",
          "Ellenwood",
          "Ellijay",
          "Evans",
          "Fairmount",
          "Fayetteville",
          "Flowery Branch",
          "Folkston",
          "Forest Park",
          "Fort Benning South",
          "Fort Gordon",
          "Fort Stewart",
          "Fort Valley",
          "Foxborough",
          "Gaines School",
          "Gainesville",
          "Glennville",
          "Gresham Park",
          "Griffin",
          "Grovetown",
          "Hampton",
          "Hartwell",
          "Hinesville",
          "Jackson",
          "Jonesboro",
          "Kennesaw",
          "Kingsland",
          "LaGrange",
          "Lawrenceville",
          "Lilburn",
          "Lithia Springs",
          "Lithonia",
          "Locust Grove",
          "Loganville",
          "Louisville",
          "Mableton",
          "Macon",
          "Madison",
          "Marietta",
          "Martinez",
          "McDonough",
          "Milledgeville",
          "Monroe",
          "Morrow",
          "Moultrie",
          "Mountain",
          "Mountain Park",
          "Newnan",
          "Norcross",
          "North Atlanta",
          "North Decatur",
          "North Druid Hills",
          "Oakwood",
          "Panthersville",
          "Peachtree City",
          "Powder Springs",
          "Redan",
          "Rex",
          "Riverdale",
          "Rome",
          "Rossville",
          "Roswell",
          "Saint Marys",
          "Saint Simons",
          "Sandy Springs",
          "Savannah",
          "Scottdale",
          "Sharpsburg",
          "Smyrna",
          "Snellville",
          "Sparks",
          "Statesboro",
          "Stockbridge",
          "Stone Mountain",
          "Suwanee",
          "Thomasville",
          "Tifton",
          "Tucker",
          "Tybee Island",
          "Union City",
          "Valdosta",
          "Vidalia",
          "Villa Rica",
          "Warner Robins",
          "Waycross",
          "Wilmington Island",
          "Winder",
          "Woodbine",
          "Woodstock"
        ]),
        States(name: "Georgia", cities: [
          "Ahuimanu",
          "Aiea",
          "Aliamanu",
          "Ewa Beach",
          "Haiku",
          "Halawa",
          "Hanalei",
          "Hilo",
          "Holualoa",
          "Honolulu",
          "Kahului",
          "Kailua",
          "Kalaheo",
          "Kamuela",
          "Kaneohe",
          "Kaneohe Station",
          "Kapaa",
          "Kapolei",
          "Kihei",
          "Kula",
          "Lahaina",
          "Lanai City",
          "Lihue",
          "Makaha",
          "Makakilo City",
          "Makawao",
          "Mi-Wuk Village",
          "Mililani Town",
          "Naalehu",
          "Nanakuli",
          "Pahoa",
          "Pearl City",
          "Schofield Barracks",
          "Wahiawa",
          "Waialua",
          "Waianae",
          "Wailuku",
          "Waimalu",
          "Waipahu",
          "Waipio"
        ]),
        States(name: "Hawaii", cities: [
          "Blackfoot",
          "Boise",
          "Boise City",
          "Boulder Hill",
          "Burley",
          "Caldwell",
          "Coeur d\\'\\'Alene",
          "Eagle",
          "Garden City",
          "Idaho Falls",
          "Lewiston",
          "Meridian",
          "Moscow",
          "Mountain Home",
          "Nampa",
          "Payette",
          "Pocatello",
          "Post Falls",
          "Preston",
          "Rexburg",
          "Rigby",
          "Sandpoint",
          "Troy",
          "Twin Falls"
        ]),
        States(name: "Idaho", cities: [
          "Addison",
          "Algonquin",
          "Alsip",
          "Alton",
          "Arlington Heights",
          "Aurora",
          "Bannockburn",
          "Barrington",
          "Bartlett",
          "Batavia",
          "Beach Park",
          "Beardstown",
          "Bedford Park",
          "Belleville",
          "Bellwood",
          "Belvidere",
          "Bensenville",
          "Berwyn",
          "Bloomingdale",
          "Bloomington",
          "Blue Island",
          "Boling Brook",
          "Bolingbrook",
          "Bourbonnais",
          "Bradley",
          "Breese",
          "Bridgeview",
          "Brimfield",
          "Broadview",
          "Brookfield",
          "Buffalo Grove",
          "Burbank",
          "Burr Ridge",
          "Cahokia",
          "Calumet City",
          "Canton",
          "Carbondale",
          "Carlinville",
          "Carol Stream",
          "Carpentersville",
          "Carthage",
          "Cary",
          "Centralia",
          "Champaign",
          "Channahon",
          "Charleston",
          "Chicago",
          "Chicago Heights",
          "Chicago Ridge",
          "Cicero",
          "Coal City",
          "Collinsville",
          "Congerville",
          "Country Club Hills",
          "Crest Hill",
          "Crestwood",
          "Crystal Lake",
          "Danville",
          "Darien",
          "DeKalb",
          "Decatur",
          "Deerfield",
          "Des Plaines",
          "Dixon",
          "Dolton",
          "Downers Grove",
          "Earlville",
          "East Dundee",
          "East Moline",
          "East Peoria",
          "East Saint Louis",
          "Edwardsville",
          "Effingham",
          "Elburn",
          "Elgin",
          "Elk Grove",
          "Elk Grove Village",
          "Elmhurst",
          "Elmwood Park",
          "Evanston",
          "Evergreen Park",
          "Fairview Heights",
          "Flossmoor",
          "Forest Park",
          "Frankfort",
          "Franklin Park",
          "Freeport",
          "Galena",
          "Galesburg",
          "Geneva",
          "Genoa",
          "Glen Carbon",
          "Glen Ellyn",
          "Glencoe",
          "Glendale Heights",
          "Glenview",
          "Godfrey",
          "Goodings Grove",
          "Granite City",
          "Grayslake",
          "Gurnee",
          "Hamilton",
          "Hampshire",
          "Hanover Park",
          "Harvard",
          "Harvey",
          "Hawthorn Woods",
          "Hazel Crest",
          "Herrin",
          "Hickory Hills",
          "Highland Park",
          "Hinsdale",
          "Hoffman Estates",
          "Homewood",
          "Huntley",
          "Illinois City",
          "Ingleside",
          "Itasca",
          "Jacksonville",
          "Johnston City",
          "Joliet",
          "Justice",
          "Kankakee",
          "Kenilworth",
          "Kewanee",
          "La Grange",
          "La Grange Park",
          "La Salle",
          "Lake Bluff",
          "Lake Forest",
          "Lake Zurich",
          "Lake in the Hills",
          "Lansing",
          "Lemont",
          "Libertyville",
          "Lincoln",
          "Lincolnwood",
          "Lindenhurst",
          "Lindenwood",
          "Lisle",
          "Lockport",
          "Lombard",
          "Long Grove",
          "Loves Park",
          "Lyons",
          "MacHenry",
          "Machesney Park",
          "Macomb",
          "Marion",
          "Markham",
          "Marshall",
          "Martinsville",
          "Maryville",
          "Matteson",
          "Mattoon",
          "Maywood",
          "McHenry",
          "Melrose Park",
          "Midlothian",
          "Milan",
          "Minooka",
          "Mokena",
          "Moline",
          "Momence",
          "Montgomery",
          "Monticello",
          "Morris",
          "Morton",
          "Morton Grove",
          "Mossville",
          "Mount Prospect",
          "Mount Vernon",
          "Mount Zion",
          "Mundelein",
          "Naperville",
          "New Lenox",
          "Niles",
          "Normal",
          "Norridge",
          "North Aurora",
          "North Chicago",
          "Northbrook",
          "Northfield",
          "Northlake",
          "O\\'\\'Fallon",
          "Oak Forest",
          "Oak Lawn",
          "Oak Park",
          "Oakbrook",
          "Oakwood",
          "Olney",
          "Orland Park",
          "Osco",
          "Ottawa",
          "Palatine",
          "Palos Heights",
          "Palos Hills",
          "Park Forest",
          "Park Ridge",
          "Pekin",
          "Peoria",
          "Peru",
          "Plainfield",
          "Pontiac",
          "Princeton",
          "Prospect Heights",
          "Quincy",
          "Ramsey",
          "Rantoul",
          "Richmond",
          "Richton Park",
          "River Forest",
          "Riverdale",
          "Rochelle",
          "Rock Island",
          "Rockford",
          "Rolling Meadows",
          "Romeoville",
          "Roscoe",
          "Roselle",
          "Round Lake Beach",
          "Saint Charles",
          "Sauget",
          "Sauk Village",
          "Schaumburg",
          "Schiller Park",
          "Shumway",
          "Skokie",
          "South Elgin",
          "South Holland",
          "Spring Valley",
          "Springfield",
          "Sterling",
          "Streamwood",
          "Streator",
          "Swansea",
          "Sycamore",
          "Taylorville",
          "Tinley Park",
          "Trenton",
          "Urbana",
          "Ursa",
          "Vernon Hills",
          "Villa Park",
          "Walnut",
          "Warrenville",
          "Washington",
          "Waukegan",
          "West Chicago",
          "West Dundee",
          "Westchester",
          "Western Springs",
          "Westmont",
          "Wheaton",
          "Wheeling",
          "Willowbrook",
          "Wilmette",
          "Winnebago",
          "Winnetka",
          "Wood Dale",
          "Wood River",
          "Woodridge",
          "Woodstock",
          "Worth",
          "Zion"
        ]),
        States(name: "Illinois", cities: [
          "Albion",
          "Anderson",
          "Angola",
          "Auburn",
          "Bedford",
          "Beech Grove",
          "Bloomington",
          "Brownsburg",
          "Carmel",
          "Cedar Lake",
          "Chesterton",
          "Clarksville",
          "Columbus",
          "Connersville",
          "Crawfordsville",
          "Crown Point",
          "Dyer",
          "East Chicago",
          "Elkhart",
          "Evansville",
          "Fishers",
          "Fort Wayne",
          "Frankfort",
          "Franklin",
          "Gary",
          "Goshen",
          "Gosport",
          "Granger",
          "Greenfield",
          "Greensburg",
          "Greenwood",
          "Griffith",
          "Hammond",
          "Helmsburg",
          "Highland",
          "Hobart",
          "Huntington",
          "Indianapolis",
          "Jasper",
          "Jeffersonville",
          "Knightstown",
          "Kokomo",
          "La Porte",
          "Lafayette",
          "Lake Station",
          "Lawrence",
          "Lebanon",
          "Liberty",
          "Logansport",
          "Madison",
          "Marion",
          "Martinsville",
          "Merrillville",
          "Michigan City",
          "Mishawaka",
          "Muncie",
          "Munster",
          "N. Albany",
          "Nashville",
          "New Albany",
          "New Castle",
          "New Haven",
          "New Trenton",
          "Noblesville",
          "North Vernon",
          "Osceola",
          "Peru",
          "Plainfield",
          "Plymouth",
          "Poland",
          "Portage",
          "Richmond",
          "Rising Sun",
          "Roanoke",
          "Rockport",
          "Schererville",
          "Scottsburg",
          "Seymour",
          "Shelbyville",
          "South Bend",
          "Speedway",
          "St. John",
          "Terre Haute",
          "Thorntown",
          "Tippecanoe",
          "Troy",
          "Valparaiso",
          "Vermont",
          "Vincennes",
          "Wabash",
          "Warsaw",
          "Washington",
          "West Lafayette",
          "Williams"
        ]),
        States(name: "Indiana", cities: [
          "Altoona",
          "Ames",
          "Ankeny",
          "Bettendorf",
          "Boone",
          "Burlington",
          "Carroll",
          "Cedar Falls",
          "Cedar Rapids",
          "Clarinda",
          "Clinton",
          "Clive",
          "Coralville",
          "Council Bluffs",
          "Davenport",
          "Des Moines",
          "Dubuque",
          "Eldridge",
          "Elkader",
          "Essex",
          "Fairfield",
          "Fayette",
          "Fort Dodge",
          "Fort Madison",
          "Harlan",
          "Indianola",
          "Iowa City",
          "Kalona",
          "Keokuk",
          "Marion",
          "Marshalltown",
          "Mason City",
          "Muscatine",
          "Newton",
          "Orange City",
          "Oskaloosa",
          "Ottumwa",
          "Pella",
          "Sioux City",
          "Spencer",
          "Storm Lake",
          "Urbandale",
          "Waterloo",
          "West Des Moines"
        ]),
        States(name: "Iowa", cities: [
          "Arkansas City",
          "Atchison",
          "Coffeyville",
          "Derby",
          "Dodge City",
          "El Dorado",
          "Elk City",
          "Emporia",
          "Fort Riley North",
          "Garden City",
          "Great Bend",
          "Hays",
          "Hutchinson",
          "Independence",
          "Junction City",
          "Kansas City",
          "Kingman",
          "Lawrence",
          "Leavenworth",
          "Leawood",
          "Lenexa",
          "Liberal",
          "MacPherson",
          "Manhattan",
          "Merriam",
          "Minneapolis",
          "Moscow",
          "Moundridge",
          "Nashville",
          "Newton",
          "Olathe",
          "Ottawa",
          "Overland Park",
          "Parsons",
          "Pittsburg",
          "Prairie Village",
          "Rose Hill",
          "Salina",
          "Shawnee",
          "Topeka",
          "Wichita",
          "Winfield",
          "tecumseh"
        ]),
        States(name: "Kansas", cities: [
          "Albany",
          "Ashland",
          "Bardstown",
          "Berea",
          "Bowling Green",
          "Campbellsville",
          "Catlettsburg",
          "Covington",
          "Crescent Springs",
          "Danville",
          "Dawson Springs",
          "Eastview",
          "Eddyville",
          "Elizabethtown",
          "Erlanger",
          "Evarts",
          "Fern Creek",
          "Florence",
          "Fort Campbell North",
          "Fort Knox",
          "Fort Mitchell",
          "Fort Thomas",
          "Frankfort",
          "Georgetown",
          "Glasgow",
          "Grays Knob",
          "Henderson",
          "Highview",
          "Hopkinsville",
          "Independence",
          "Jeffersontown",
          "Lawrenceburg",
          "Lebanon",
          "Lexington",
          "Lexington-Fayette",
          "Louisville",
          "Madisonville",
          "Marion",
          "Mayfield",
          "Maysville",
          "Middlesborough",
          "Murray",
          "Nebo",
          "Newburg",
          "Newport",
          "Nicholasville",
          "Okolona",
          "Olive Hill",
          "Owensboro",
          "Paducah",
          "Paris",
          "Pikeville",
          "Pleasure Ridge Park",
          "Queens",
          "Radcliff",
          "Richmond",
          "Saint Dennis",
          "Saint Matthews",
          "Scottsville",
          "Shively",
          "Somerset",
          "South Shore",
          "Tollesboro",
          "Valley Station",
          "Wallins Creek",
          "Walton",
          "Winchester"
        ]),
        States(name: "Kentucky", cities: [
          "Abbeville",
          "Alexandria",
          "Amite",
          "Baker",
          "Bastrop",
          "Baton Rouge",
          "Bayou Cane",
          "Bogalusa",
          "Bossier City",
          "Broussard",
          "Calhoun",
          "Chalmette",
          "Covington",
          "Crowley",
          "De Ridder",
          "Delcambre",
          "Denham Springs",
          "Estelle",
          "Eunice",
          "Fort Polk South",
          "Franklin",
          "French Settlement",
          "Garyville",
          "Geismar",
          "Gretna",
          "Hammond",
          "Harahan",
          "Harvey",
          "Houma",
          "Independence",
          "Jefferson",
          "Jennings",
          "Kenner",
          "Lafayette",
          "Lake Charles",
          "Laplace",
          "Mandeville",
          "Marrero",
          "Merrydale",
          "Metairie",
          "Minden",
          "Monroe",
          "Morgan City",
          "Natchitoches",
          "New Iberia",
          "New Orleans",
          "Opelousas",
          "Pineville",
          "Pioneer",
          "Prairieville",
          "River Ridge",
          "Ruston",
          "Saint Amant",
          "Saint Martinville",
          "Shenandoah",
          "Shreveport",
          "Slidell",
          "Sulphur",
          "Terrytown",
          "Thibodaux",
          "Timberlane",
          "Vinton",
          "Waggaman",
          "West Monroe",
          "Westwego",
          "Zachary"
        ]),
        States(name: "Louisiana", cities: ["Manchester", "Washington"]),
        States(name: "Lowa", cities: [
          "Auburn",
          "Augusta",
          "Bangor",
          "Bath",
          "Biddeford",
          "Brunswick",
          "Cornish",
          "Dover-Foxcroft",
          "Ellsworth",
          "Etna",
          "Freeport",
          "Gorham",
          "Greene",
          "Harmony",
          "Lewiston",
          "Liberty",
          "Limerick",
          "Lyman",
          "Maine",
          "New Gloucester",
          "Norridgewock",
          "North Yarmouth",
          "Old Town",
          "Orono",
          "Portland",
          "Presque Isle",
          "Saco",
          "Sanford",
          "Scarborough",
          "South Portland",
          "Spruce Head",
          "Thomaston",
          "Waldoboro",
          "Waterville",
          "West Buxton",
          "Westbrook",
          "Whitefield",
          "Windham",
          "Yarmouth",
          "York Harbor",
          "stockton springs"
        ]),
        States(name: "Maine", cities: [
          "Aberdeen",
          "Accokeek",
          "Adelphi",
          "Andrews Air Force Base",
          "Annapolis",
          "Arbutus",
          "Arnold",
          "Aspen Hill",
          "Baltimore",
          "Bel Air North",
          "Bel Air South",
          "Beltsville",
          "Berlin",
          "Bethesda",
          "Bladensburg",
          "Boonsboro",
          "Bowie",
          "Brookeville",
          "Brooklandville",
          "Brooklyn Park",
          "Burtonsville",
          "Calverton",
          "Cambridge",
          "Camp Springs",
          "Capitol Heights",
          "Carney",
          "Catonsville",
          "Chestertown",
          "Chillum",
          "Clarksburg",
          "Clarksville",
          "Clinton",
          "Cockeysville",
          "Colesville",
          "College Park",
          "Columbia",
          "Cooksville",
          "Coral Hills",
          "Crofton",
          "Cumberland",
          "Damascus",
          "Darlington",
          "District Heights",
          "Dundalk",
          "East Riverdale",
          "Easton",
          "Edgemere",
          "Edgewood",
          "Eldersburg",
          "Elkridge",
          "Elkton",
          "Ellicott City",
          "Essex",
          "Fairland",
          "Ferndale",
          "Forest Hill",
          "Forestville",
          "Fort Meade",
          "Fort Washington",
          "Frederick",
          "Fredrick",
          "Friendly",
          "Gaithersburg",
          "Germantown",
          "Glen Burnie",
          "Glenn Dale",
          "Greater Landover",
          "Greater Upper Marlboro",
          "Green Haven",
          "Green Valley",
          "Greenbelt",
          "Hagerstown",
          "Hanover",
          "Harmans",
          "Havre de Grace",
          "Hillandale",
          "Hillcrest Heights",
          "Hunt Valley",
          "Hurlock",
          "Hyattsville",
          "Ijamsville",
          "Jefferson",
          "Jessup",
          "Joppatowne",
          "Kettering",
          "Lake Shore",
          "Langley Park",
          "Lanham",
          "Lanham-Seabrook",
          "Lansdowne-Baltimore Highlands",
          "Largo",
          "Laurel",
          "Lexington Park",
          "Lochearn",
          "Lutherville-Timonium",
          "Marriottsville",
          "Maryland City",
          "Mays Chapel",
          "Middle River",
          "Milford Mill",
          "Millersville",
          "Mitchellville",
          "Montgomery Village",
          "National Harbor",
          "New Carrollton",
          "North Bethesda",
          "North Laurel",
          "North Potomac",
          "Odenton",
          "Olney",
          "Overlea",
          "Owings Mills",
          "Oxon Hill-Glassmanor",
          "Parkville",
          "Parole",
          "Pasadena",
          "Perry Hall",
          "Pikesville",
          "Poolesville",
          "Potomac",
          "Randallstown",
          "Redland",
          "Reisterstown",
          "Riviera Beach",
          "Rockville",
          "Rosaryville",
          "Rosedale",
          "Rossville",
          "Saint Charles",
          "Salisbury",
          "Sandy Spring",
          "Savage Guilford",
          "Severn",
          "Severna Park",
          "Silver Spring",
          "Snow Hill",
          "South Gate",
          "South Laurel",
          "Suitland-Silver Hill",
          "Takoma Park",
          "Temple Hill",
          "Thurmont",
          "Timonium",
          "Towson",
          "Upper Marlboro",
          "Waldorf",
          "Walker Mill",
          "Washington Grove",
          "Westminster",
          "Wheaton-Glenmont",
          "White Oak",
          "Windsor Mill",
          "Woodlawn"
        ]),
        States(name: "Maryland", cities: [
          "Abington",
          "Acton",
          "Agawam",
          "Amesbury",
          "Amherst Center",
          "Arlington",
          "Ashland",
          "Athol",
          "Attleboro",
          "Barnstable Town",
          "Baxboro",
          "Becket",
          "Bedford",
          "Belmont",
          "Beverly",
          "Billerica",
          "Boston",
          "Boylston",
          "Braintree",
          "Brockton",
          "Brookfield",
          "Brookline",
          "Burlington",
          "Cambridge",
          "Canton",
          "Charlestown",
          "Chelmsford",
          "Chelsea",
          "Chicopee",
          "Clinton",
          "Concord",
          "Danvers",
          "Dedham",
          "Devens",
          "Devenscrest",
          "Duxbury",
          "Easthampton",
          "Everett",
          "Fairhaven",
          "Fall River",
          "Fitchburg",
          "Florence",
          "Framingham",
          "Franklin",
          "Gardner",
          "Gloucester",
          "Great Barrington",
          "Greenfield",
          "Groton",
          "Hadley",
          "Harvard",
          "Haverhill",
          "Hingham",
          "Holbrook",
          "Holliston",
          "Holyoke",
          "Hopedale",
          "Housatonic",
          "Hubbardston",
          "Hudson",
          "Hull",
          "Hyannis",
          "Ipswich",
          "Jamaica Plain",
          "Lawrence",
          "Lee",
          "Lenox",
          "Leominster",
          "Lexington",
          "Longmeadow",
          "Lowell",
          "Lynn",
          "Lynnfield",
          "Malden",
          "Manchester",
          "Marblehead",
          "Marion",
          "Marlborough",
          "Marshfield",
          "Massachusetts",
          "Maynard",
          "Medfield",
          "Medford",
          "Medway",
          "Melrose",
          "Methuen",
          "Middleboro",
          "Milford",
          "Milton",
          "Monson",
          "Montague",
          "Nantucket",
          "Natick",
          "Needham",
          "New Bedford",
          "Newburyport",
          "Newton",
          "North Adams",
          "North Andover",
          "North Attleborough Center",
          "North Easton",
          "Northampton",
          "Northborough",
          "Norwood",
          "Orleans",
          "Peabody",
          "Pepperell",
          "Pittsfield",
          "Plainfield",
          "Plymouth",
          "Provincetown",
          "Quincy",
          "Randolph",
          "Reading",
          "Rehoboth",
          "Revere",
          "Rockland",
          "Rockport",
          "Roslindale",
          "Salem",
          "Saugus",
          "Scituate",
          "Seekonk",
          "Shelburne Falls",
          "Sherborn",
          "Shrewsbury",
          "Somerset",
          "Somerville",
          "South Boston",
          "South Deerfield",
          "South Hadley",
          "South Lee",
          "South Yarmouth",
          "Southborough",
          "Southbridge",
          "Southwick",
          "Springfield",
          "Stoneham",
          "Sturbridge",
          "Swampscott",
          "Swansea",
          "Taunton",
          "Tewksbury",
          "Three Rivers",
          "Truro",
          "Upton",
          "Vineyard Haven",
          "Wakefield",
          "Waltham",
          "Ware",
          "Wareham",
          "Watertown",
          "Wayland",
          "Webster",
          "Wellesley",
          "Wellesley Hills",
          "West Concord",
          "West Roxbury",
          "West Springfield",
          "West Yarmouth",
          "Westborough",
          "Westfield",
          "Westford",
          "Weston",
          "Weymouth",
          "Wilbraham",
          "Wilmington",
          "Winchester",
          "Winthrop",
          "Woburn",
          "Worcester",
          "Yarmouthport"
        ]),
        States(name: "Massachusetts", cities: []),
        States(name: "Medfield", cities: [
          "Adrian",
          "Albion",
          "Allegan",
          "Allen Park",
          "Alma",
          "Alpena",
          "Ann Arbor",
          "Attica",
          "Auburn Hills",
          "Battle Creek",
          "Bay City",
          "Beecher",
          "Belleville",
          "Benton Harbor",
          "Berkley",
          "Beverly Hills",
          "Big Rapids",
          "Birmingham",
          "Bloomfield Hills",
          "Bloomfield Township",
          "Boyne City",
          "Brighton",
          "Burt",
          "Burton",
          "Cadillac",
          "Canton",
          "Charlotte",
          "Chesterfield",
          "Clarkston",
          "Clawson",
          "Clinton",
          "Commerce",
          "Comstock Park",
          "Coopersville",
          "Cornell",
          "Cutlerville",
          "Davisburg",
          "Dearborn",
          "Dearborn Heights",
          "Delton",
          "Detroit",
          "Dexter",
          "Dowagiac",
          "East Grand Rapids",
          "East Lansing",
          "Eastpointe",
          "Ecorse",
          "Escanaba",
          "Evart",
          "Fair Haven",
          "Fairgrove",
          "Farmington",
          "Farmington Hills",
          "Fenton",
          "Ferndale",
          "Flint",
          "Forest Hills",
          "Fowlerville",
          "Frankenmuth",
          "Fraser",
          "Fremont",
          "Fruitport",
          "Garden City",
          "Goodrich",
          "Grand Blanc",
          "Grand Haven",
          "Grand Rapids",
          "Grandville",
          "Grosse Ile",
          "Grosse Pointe Farms",
          "Grosse Pointe Park",
          "Grosse Pointe Woods",
          "Gwinn",
          "Hamtramck",
          "Hancock",
          "Harper Woods",
          "Harrison",
          "Haslett",
          "Hazel Park",
          "Highland Park",
          "Holland",
          "Holly",
          "Holt",
          "Houghton",
          "Hudsonville",
          "Huntington Woods",
          "Imlay",
          "Inkster",
          "Jackon",
          "Jackson",
          "Jenison",
          "Kalamazoo",
          "Kalkaska",
          "Kentwood",
          "Kingsford",
          "Lansing",
          "Lapeer",
          "Lincoln Park",
          "Litchfield",
          "Livonia",
          "Ludington",
          "Macomb",
          "Madison Heights",
          "Manistee",
          "Marquette",
          "Marysville",
          "Melvindale",
          "Midland",
          "Monroe",
          "Mount Clemens",
          "Mount Morris",
          "Mount Pleasant",
          "Mt. Pleasant",
          "Muskegon",
          "Muskegon Heights",
          "New Hudson",
          "Newaygo",
          "Niles",
          "Northview",
          "Northville",
          "Norton Shores",
          "Novi",
          "Oak Park",
          "Okemos",
          "Oscoda",
          "Owosso",
          "Oxford",
          "Petoskey",
          "Pinckney",
          "Plymouth Township",
          "Pontiac",
          "Port Huron",
          "Portage",
          "Redford",
          "Reese",
          "River Rouge",
          "Riverview",
          "Rochester Hills",
          "Rockford",
          "Romeo",
          "Romulus",
          "Roseville",
          "Royal Oak",
          "Saginaw",
          "Saginaw Township North",
          "Saginaw Township South",
          "Saint Clair Shores",
          "Saint Louis",
          "Saline",
          "Saugatuck",
          "Sault Sainte Marie",
          "Schoolcraft",
          "Shelby",
          "Southfield",
          "Southgate",
          "Sterling Heights",
          "Sturgis",
          "Taylor",
          "Traverse City",
          "Trenton",
          "Troy",
          "Walker",
          "Walled Lake",
          "Warren",
          "Waterford",
          "Waverly",
          "Wayne",
          "West Bloomfield Township",
          "Westland",
          "White Lake",
          "Whitmore Lake",
          "Williamston",
          "Wixom",
          "Woodhaven",
          "Wyandotte",
          "Wyoming",
          "Ypsilanti"
        ]),
        States(name: "Michigan", cities: [
          "Albert Lea",
          "Alger",
          "Andover",
          "Annandale",
          "Anoka",
          "Apple Valley",
          "Austin",
          "Baxter",
          "Bemidji",
          "Blaine",
          "Blomkest",
          "Bloomington",
          "Blue Earth",
          "Brainerd",
          "Brooklyn Center",
          "Brooklyn Park",
          "Burnsville",
          "Champlin",
          "Chanhassen",
          "Chaska",
          "Chatfield",
          "Circle Pines",
          "Cloquet",
          "Cokato",
          "Columbia Heights",
          "Coon Rapids",
          "Cottage Grove",
          "Crystal",
          "Duluth",
          "Eagan",
          "East Bethel",
          "Eden Prairie",
          "Edina",
          "Elk River",
          "Ely",
          "Fairmont",
          "Faribault",
          "Farmington",
          "Fergus Falls",
          "Frazee",
          "Fridley",
          "Golden Valley",
          "Grand Rapids",
          "Ham Lake",
          "Hamel",
          "Hastings",
          "Hibbing",
          "Hopkins",
          "Houston",
          "Hutchinson",
          "Inver Grove Heights",
          "Isanti",
          "LaCrescent",
          "Lakeville",
          "Le Sueur",
          "Lino Lakes",
          "Litchfield",
          "Mankato",
          "Maple Grove",
          "Maplewood",
          "Marshall",
          "Mendota Heights",
          "Minneapolis",
          "Minnetonka",
          "Moorhead",
          "Mounds View",
          "Nelson",
          "New Brighton",
          "New Hope",
          "New Ulm",
          "North Mankato",
          "North Saint Paul",
          "Northfield",
          "Oakdale",
          "Onamia",
          "Owatonna",
          "Pequot Lakes",
          "Plymouth",
          "Prior Lake",
          "Ramsey",
          "Red Wing",
          "Renville",
          "Richfield",
          "Robbinsdale",
          "Rochester",
          "Rosemount",
          "Roseville",
          "Royalton",
          "Saint Cloud",
          "Saint Louis Park",
          "Saint Michael",
          "Saint Paul",
          "Saint Peter",
          "Sauk Rapids",
          "Savage",
          "Shakopee",
          "Shoreview",
          "South Saint Paul",
          "St. Paul",
          "Stewartville",
          "Stillwater",
          "Vadnais Heights",
          "Waconia",
          "Wadena",
          "West Saint Paul",
          "White Bear Lake",
          "Willmar",
          "Winona",
          "Woodbury",
          "Worthington"
        ]),
        States(name: "Minnesota", cities: [
          "Bay Saint Louis",
          "Biloxi",
          "Brandon",
          "Brookhaven",
          "Byhalia",
          "Byram",
          "Canton",
          "Clarksdale",
          "Cleveland",
          "Clinton",
          "Columbus",
          "Corinth",
          "Diamondhead",
          "Gautier",
          "Greenville",
          "Greenwood",
          "Grenada",
          "Gulfport",
          "Hattiesburg",
          "Hernando",
          "Horn Lake",
          "Indianola",
          "Jackson",
          "Laurel",
          "Long Beach",
          "Lucedale",
          "MacComb",
          "Madison",
          "Magnolia",
          "Meridian",
          "Michigan City",
          "Moselle",
          "Moss Point",
          "Natchez",
          "Ocean Springs",
          "Olive Branch",
          "Orange Grove",
          "Oxford",
          "Pascagoula",
          "Pearl",
          "Pelahatchie",
          "Picayune",
          "Quitman",
          "Ridgeland",
          "Senatobia",
          "Southaven",
          "Southhaven",
          "Starkville",
          "Tupelo",
          "Utica",
          "Vicksburg",
          "Yazoo City"
        ]),
        States(name: "Mississippi", cities: [
          "Affton",
          "Annapolis",
          "Arnold",
          "Ballwin",
          "Belgique",
          "Bellefontaine Neighbors",
          "Belton",
          "Berkeley",
          "Blue Springs",
          "Branson",
          "Bridgeton",
          "Brighton",
          "California",
          "Camdenton",
          "Cape Girardeau",
          "Carthage",
          "Chaffee",
          "Chesterfield",
          "Chillicothe",
          "Clayton",
          "Clever",
          "Columbia",
          "Concord",
          "Crestwood",
          "Creve Coeur",
          "Desloge",
          "Dora",
          "Earth City",
          "Excelsior Springs",
          "Farmington",
          "Fenton",
          "Ferguson",
          "Florissant",
          "Forsyth",
          "Fort Leonard Wood",
          "Fulton",
          "Gladstone",
          "Grain Valley",
          "Grandview",
          "Gravois Mills",
          "Hannibal",
          "Harrisonville",
          "Hazelwood",
          "High Ridge",
          "Independence",
          "Jackson",
          "Jefferson City",
          "Jennings",
          "Joplin",
          "Kansas City",
          "Kennett",
          "Kirksville",
          "Kirkwood",
          "Kissee Mills",
          "Lamar",
          "Lebanon",
          "Lees Summit",
          "Lemay",
          "Liberty",
          "Lone Jack",
          "Marshall",
          "Maryland Heights",
          "Maryville",
          "Mehlville",
          "Mexico",
          "Moberly",
          "Murphy",
          "Nixa",
          "O\\'\\'Fallon",
          "Oakville",
          "Overland",
          "Pacific",
          "Park Hills",
          "Parkville",
          "Peculiar",
          "Poplar Bluff",
          "Raytown",
          "Richmond Heights",
          "Rolla",
          "Saint Ann",
          "Saint Charles",
          "Saint Clair",
          "Saint Joseph",
          "Saint Louis",
          "Saint Peters",
          "Sappington",
          "Sedalia",
          "Sikeston",
          "Spanish Lake",
          "Springfield",
          "St. Louis",
          "Steelville",
          "Sunrise Beach",
          "Town and Country",
          "Trimble",
          "Troy",
          "University City",
          "Warrensburg",
          "Washington",
          "Webb City",
          "Webster Groves",
          "Wentzville",
          "West Plains",
          "Wildwood"
        ]),
        States(name: "Missouri", cities: [
          "Anaconda-Deer Lodge County",
          "Arlee",
          "Belgrade",
          "Billings",
          "Bozeman",
          "Butte",
          "Butte-Silver Bow",
          "Great Falls",
          "Hamilton",
          "Havre",
          "Helena",
          "Helena Valley Southeast",
          "Helena Valley West Central",
          "Kalispell",
          "Lame Deer",
          "Laurel",
          "Lewistown",
          "Livingston",
          "Malmstrom Air Force Base",
          "Manhattan",
          "Miles City",
          "Missoula",
          "Orchard Homes",
          "Pablo",
          "Polson",
          "Roberts",
          "Ryegate",
          "Sidney",
          "Stevensville",
          "Whitefish"
        ]),
        States(name: "Montana", cities: [
          "Beatrice",
          "Bellevue",
          "Central City",
          "Columbus",
          "Cozad",
          "Creighton",
          "Fremont",
          "Gering",
          "Grand Island",
          "Hastings",
          "Homer",
          "Keamey",
          "Kearney",
          "La Vista",
          "Lexington",
          "Lincoln",
          "McCook",
          "Norfolk",
          "North Platte",
          "Offutt Air Force Base West",
          "Ogallala",
          "Omaha",
          "Papillion",
          "Scottsbluff",
          "South Sioux City"
        ]),
        States(name: "Nebraska", cities: [
          "Boulder City",
          "Carson City",
          "Elko",
          "Goldfield",
          "Henderson",
          "Las Vegas",
          "Laughlin",
          "Lovelock",
          "Mesquite",
          "Nellis Air Force Base",
          "North Las Vegas",
          "Pahrump",
          "Paradise",
          "Reno",
          "Sparks",
          "Spring Valley",
          "Sun Valley",
          "Sunrise Manor",
          "Winchester",
          "Winnemucca"
        ]),
        States(name: "Nevada", cities: [
          "Manchester",
          "Nashua",
          "Concord",
          "Derry",
          "Dover",
          "Rochester",
          "Salem",
          "Merrimack",
          "Hudson",
          "Londonderry",
          "Keene",
          "Bedford",
          "Portsmouth",
          "Goffstown",
          "Laconia",
          "Hampton",
          "Milford",
          "Durham",
          "Exeter",
          "Windham",
          "Hooksett",
          "Claremont",
          "Lebanon",
          "Pelham",
          "Somersworth",
          "Hanover",
          "Amherst",
          "Raymond",
          "Conway",
          "Berlin",
          "Newmarket",
          "Weare",
          "Seabrook",
          "Barrington",
          "Hampstead",
          "Franklin",
          "Litchfield",
          "Hollis",
          "Plaistow",
          "Bow",
          "Belmont",
          "Stratham",
          "Swanzey",
          "Gilford",
          "Pembroke",
          "Plymouth",
          "Farmington",
          "Atkinson",
          "Newport",
          "Epping",
          "Peterborough",
          "Wolfeboro",
          "Meredith",
          "Kingston",
          "Rindge",
          "Hillsborough"
        ]),
        States(name: "New Hampshire", cities: [
          "Newark",
          "Jersey City",
          "Paterson",
          "Elizabeth",
          "Edison",
          "Woodbridge",
          "Lakewood",
          "Toms River",
          "Hamilton",
          "Trenton",
          "Clifton",
          "Camden",
          "Brick",
          "Cherry Hill",
          "Passaic",
          "Middletown",
          "Union City",
          "Old Bridge",
          "Gloucester Township",
          "East Orange",
          "Bayonne",
          "Franklin",
          "North Bergen",
          "Vineland",
          "Union",
          "Piscataway",
          "New Brunswick",
          "Jackson",
          "Wayne",
          "Irvington",
          "Parsippany-Troy Hills",
          "Howell",
          "Perth Amboy",
          "Hoboken",
          "Plainfield",
          "West New York",
          "Washington Township",
          "East Brunswick",
          "Bloomfield",
          "West Orange",
          "Evesham",
          "Bridgewater",
          "South Brunswick",
          "Egg Harbor",
          "Manchester",
          "Hackensack",
          "Sayreville",
          "Mount Laurel",
          "Berkeley",
          "North Brunswick",
          "Kearny",
          "Linden",
          "Marlboro",
          "Teaneck",
          "Atlantic City",
          "Winslow",
          "Monroe",
          "Manalapan",
          "Hillsborough",
          "Montclair",
          "Galloway",
          "Freehold Township",
          "Monroe Township",
          "Belleville",
          "Pennsauken",
          "Ewing",
          "Fort Lee",
          "Lawrence",
          "Fair Lawn",
          "Willingboro",
          "Long Branch",
          "Deptford",
          "Garfield",
          "Westfield",
          "City of Orange",
          "Livingston",
          "Voorhees",
          "Princeton",
          "Millville",
          "Nutley",
          "Mount Olive",
          "Neptune",
          "Pemberton Township",
          "Lacey",
          "Rahway",
          "Ocean Township",
          "East Windsor",
          "West Windsor",
          "Englewood",
          "Bergenfield",
          "Bernards Township",
          "Stafford Township",
          "Hamilton Township",
          "Paramus",
          "Wall",
          "Mahwah",
          "West Milford",
          "Randolph",
          "Bridgeton",
          "Ridgewood",
          "Rockaway Township",
          "Lodi",
          "Vernon",
          "Maplewood",
          "Cliffside Park",
          "Scotch Plains",
          "South Plainfield",
          "Roxbury",
          "Medford",
          "Plainsboro",
          "Lower Township",
          "Carteret",
          "Cranford",
          "Burlington Township",
          "Morris Township",
          "Montgomery",
          "Raritan Township",
          "North Plainfield",
          "West Deptford",
          "Montville",
          "Summit",
          "Hillside",
          "Jefferson",
          "Roselle",
          "Barnegat",
          "Moorestown",
          "Lyndhurst",
          "Hazlet",
          "Pleasantville",
          "Millburn",
          "Little Egg Harbor",
          "Sparta",
          "Palisades Park",
          "Elmwood Park",
          "Maple Shade",
          "Middle Township",
          "Hawthorne",
          "Glassboro",
          "Washington Township",
          "Morristown",
          "Point Pleasant",
          "Aberdeen",
          "Dover",
          "Rutherford",
          "Tinton Falls",
          "Lindenwold",
          "Dumont",
          "Hopewell Township",
          "Delran",
          "Franklin Township",
          "Holmdel",
          "Wyckoff",
          "Denville",
          "New Milford",
          "Secaucus",
          "South Orange Village",
          "Readington",
          "Asbury Park",
          "South River",
          "Madison",
          "Springfield",
          "Cinnaminson",
          "Pequannock",
          "North Arlington",
          "Warren",
          "Mantua",
          "Hopatcong",
          "Phillipsburg",
          "Hammonton",
          "Clark",
          "Haddon Township",
          "Tenafly",
          "Ramsey",
          "Branchburg",
          "Little Falls",
          "Highland Park",
          "Collingswood",
          "Fairview",
          "Hanover",
          "Saddle Brook",
          "Robbinsville",
          "Middlesex",
          "Harrison",
          "Metuchen",
          "Clinton Township",
          "Pennsville",
          "Verona"
        ]),
        States(name: "New Jersey", cities: []),
        States(name: "New Jersy", cities: [
          "Albuquerque",
          "Las Cruces",
          "Rio Rancho",
          "Santa Fe",
          "Roswell",
          "Farmington",
          "South Valley",
          "Clovis",
          "Hobbs",
          "Alamogordo",
          "Carlsbad",
          "Gallup",
          "Deming",
          "Los Lunas",
          "Chaparral",
          "Sunland Park",
          "Las Vegas",
          "Portales",
          "Los Alamos",
          "North Valley",
          "Artesia",
          "Lovington",
          "Silver City",
          "Espanola",
          "Anthony",
          "Grants",
          "Socorro",
          "Corrales",
          "Bernalillo",
          "Shiprock",
          "Bloomfield",
          "Ruidoso",
          "Kirtland",
          "Belen"
        ]),
        States(name: "New Mexico", cities: [
          "Airmont",
          "Albany",
          "Alden",
          "Amherst",
          "Amityville",
          "Amsterdam",
          "Arcadia",
          "Auburn",
          "Aurora",
          "Babylon",
          "Baldwinsville",
          "Ballston",
          "Batavia",
          "Bath",
          "Beacon",
          "Bedford",
          "Beekman",
          "Bethlehem",
          "Binghamton",
          "Blooming Grove",
          "Briarcliff Manor",
          "Brighton",
          "Brockport",
          "Brookhaven",
          "Brunswick",
          "Buffalo",
          "Camillus",
          "Canandaigua",
          "Canton",
          "Carmel",
          "Catskill",
          "Cheektowaga",
          "Chenango",
          "Chester",
          "Chestnut Ridge",
          "Chili",
          "Cicero",
          "Clarence",
          "Clarkstown",
          "Clay",
          "Clifton Park",
          "Cohoes",
          "Colonie",
          "Corning",
          "Cornwall",
          "Cortland",
          "Cortlandt",
          "Crawford",
          "Croton-on-Hudson",
          "Depew",
          "DeWitt (De Witt)",
          "Dobbs Ferry",
          "Dryden",
          "Dunkirk",
          "East Fishkill",
          "East Greenbush",
          "East Hampton",
          "East Hills",
          "East Rockaway",
          "Eastchester",
          "Elma",
          "Elmira",
          "Endicott",
          "Esopus",
          "Evans",
          "Fallsburg",
          "Farmingdale",
          "Farmington",
          "Fishkill",
          "Floral Park",
          "Fredonia",
          "Freeport",
          "Fulton",
          "Garden City",
          "Gates",
          "Geddes",
          "Geneseo",
          "Geneva",
          "German Flatts",
          "Glen Cove",
          "Glens Falls",
          "Glenville",
          "Gloversville",
          "Goshen",
          "Grand Island",
          "Great Neck",
          "Greece",
          "Greenburgh",
          "Guilderland",
          "Halfmoon",
          "Hamburg",
          "Hamlin",
          "Harrison",
          "Hastings",
          "Hastings-on-Hudson",
          "Haverstraw",
          "Hempstead",
          "Henrietta",
          "Herkimer",
          "Highlands",
          "Hornell",
          "Horseheads",
          "Hudson",
          "Hudson Falls",
          "Huntington",
          "Hyde Park",
          "Ilion",
          "Irondequoit",
          "Islip",
          "Ithaca",
          "Jamestown",
          "Johnson City",
          "Johnstown",
          "Kenmore",
          "Kent",
          "Kingsbury",
          "Kingston",
          "Kirkland",
          "Kiryas Joel",
          "Lackawanna",
          "LaGrange (La Grange)",
          "Lake Grove",
          "Lancaster",
          "Lansing",
          "Le Ray",
          "Lenox",
          "Lewisboro",
          "Lewiston",
          "Liberty",
          "Lindenhurst",
          "Little Falls",
          "Lloyd",
          "Lockport",
          "Long Beach",
          "Lynbrook",
          "Lysander",
          "Macedon",
          "Malone",
          "Malta",
          "Malverne",
          "Mamakating",
          "Mamaroneck",
          "Manchester",
          "Manlius",
          "Massapequa Park",
          "Massena",
          "Mastic Beach",
          "Mechanicville",
          "Mendon",
          "Middletown",
          "Milton",
          "Mineola",
          "Monroe",
          "Montgomery",
          "Moreau",
          "Mount Kisco",
          "Mount Pleasant",
          "Mount Vernon",
          "New Castle",
          "New Hartford",
          "New Hyde Park",
          "New Paltz",
          "New Rochelle",
          "New Square",
          "New Windsor",
          "New York",
          "Newark",
          "Newburgh",
          "Newfane",
          "Niagara Falls",
          "Niskayuna",
          "North Castle",
          "North Greenbush",
          "North Hempstead",
          "North Syracuse",
          "North Tonawanda",
          "Northport",
          "Norwich",
          "Nyack",
          "Ogden",
          "Ogdensburg",
          "Olean",
          "Oneida",
          "Oneonta",
          "Onondaga",
          "Ontario",
          "Orangetown",
          "Orchard Park",
          "Ossining",
          "Oswego",
          "Owego",
          "Oyster Bay",
          "Parma",
          "Patchogue",
          "Patterson",
          "Peekskill",
          "Pelham",
          "Penfield",
          "Perinton",
          "Philipstown",
          "Pittsford",
          "Plattekill",
          "Plattsburgh",
          "Pleasant Valley",
          "Pleasantville",
          "Pomfret",
          "Port Chester",
          "Port Jefferson",
          "Port Jervis",
          "Potsdam",
          "Poughkeepsie",
          "Putnam Valley",
          "Queensbury",
          "Ramapo",
          "Red Hook",
          "Rensselaer",
          "Riverhead",
          "Rochester",
          "Rockville Centre",
          "Rome",
          "Rotterdam",
          "Rye",
          "Rye Brook",
          "Salamanca",
          "Salina",
          "Saratoga Springs",
          "Saugerties",
          "Scarsdale",
          "Schenectady",
          "Schodack",
          "Scotia",
          "Seneca Falls",
          "Shawangunk",
          "Sherrill",
          "Sleepy Hollow",
          "Smithtown",
          "Somers",
          "Southampton",
          "Southeast",
          "Southold",
          "Southport",
          "Spring Valley",
          "Stony Point",
          "Suffern",
          "Sullivan",
          "Sweden",
          "Syracuse",
          "Tarrytown",
          "Thompson",
          "Tonawanda",
          "Troy",
          "Ulster",
          "Union",
          "Utica",
          "Valley Stream",
          "Van Buren",
          "Vestal",
          "Victor",
          "Walden",
          "Wallkill",
          "Walworth",
          "Wappinger",
          "Warwick",
          "Watertown",
          "Watervliet",
          "Wawarsing",
          "Webster",
          "West Haverstraw",
          "West Seneca",
          "Westbury",
          "Wheatfield",
          "White Plains",
          "Whitestown",
          "Williston Park",
          "Wilton",
          "Woodbury",
          "Yonkers",
          "Yorktown"
        ]),
        States(name: "New York", cities: [
          "Charlotte",
          "Raleigh",
          "Greensboro",
          "Durham",
          "Winston-Salem",
          "Fayetteville",
          "Cary",
          "Wilmington",
          "High Point",
          "Greenville",
          "Asheville",
          "Concord",
          "Gastonia",
          "Jacksonville",
          "Chapel Hill",
          "Rocky Mount",
          "Burlington",
          "Huntersville",
          "Wilson",
          "Kannapolis",
          "Apex",
          "Hickory",
          "Wake Forest",
          "Indian Trail",
          "Goldsboro",
          "Mooresville",
          "Monroe",
          "Salisbury",
          "New Bern",
          "Holly Springs",
          "Matthews",
          "Sanford",
          "Garner",
          "Cornelius",
          "Thomasville",
          "Asheboro",
          "Statesville",
          "Mint Hill",
          "Kernersville",
          "Morrisville",
          "Fuquay-Varina",
          "Lumberton",
          "Kinston",
          "Carrboro",
          "Havelock",
          "Shelby",
          "Clemmons",
          "Lexington",
          "Clayton",
          "Boone"
        ]),
        States(name: "North Carolina", cities: [
          "Fargo",
          "Bismarck",
          "Grand Forks",
          "Minot",
          "West Fargo",
          "Williston",
          "Dickinson",
          "Mandan",
          "Jamestown",
          "Wahpeton",
          "Devils Lake",
          "Valley City"
        ]),
        States(name: "North Dakota", cities: [
          "Akron",
          "Alledonia",
          "Alliance",
          "Amherst",
          "Apple Creek",
          "Archbold",
          "Ashland",
          "Ashtabula",
          "Athens",
          "Atwater",
          "Aurora",
          "Austintown",
          "Avon Lake",
          "Barberton",
          "Batavia",
          "Bay Village",
          "Beachwood",
          "Beavercreek",
          "Bedford",
          "Bedford Heights",
          "Bellaire",
          "Bellefontaine",
          "Bellevue",
          "Berea",
          "Bexley",
          "Blacklick",
          "Blacklick Estates",
          "Blanchester",
          "Blue Ash",
          "Boardman",
          "Bowling Green",
          "Brecksville",
          "Bridgetown North",
          "Bristolville",
          "Broadview Heights",
          "Brook Park",
          "Brooklyn",
          "Brunswick",
          "Bryan",
          "Bucyrus",
          "Burton",
          "Cambridge",
          "Campbell",
          "Canal Winchester",
          "Canton",
          "Carlisle",
          "Celina",
          "Centerville",
          "Chagrin Falls",
          "Chardon",
          "Cheshire",
          "Chillicothe",
          "Chippewa Lake",
          "Cincinnati",
          "Circleville",
          "Cleveland",
          "Cleveland Heights",
          "Columbus",
          "Conneaut",
          "Coshocton",
          "Cuyahoga Falls",
          "Dayton",
          "Defiance",
          "Delaware",
          "Dover",
          "Dublin",
          "East Cleveland",
          "East Liverpool",
          "Eastlake",
          "Elyria",
          "Englewood",
          "Euclid",
          "Fairborn",
          "Fairfield",
          "Fairview Park",
          "Findlay",
          "Finneytown",
          "Forest Park",
          "Fort MacKinley",
          "Fostoria",
          "Fremont",
          "Gahanna",
          "Galion",
          "Garfield Heights",
          "Girard",
          "Glenwillow",
          "Green",
          "Greenville",
          "Grove City",
          "Hamilton",
          "Harrison",
          "Hilliard",
          "Hiram",
          "Holland",
          "Huber Heights",
          "Hudson",
          "Ironton",
          "Kent",
          "Kettering",
          "Kidron",
          "Lakewood",
          "Lancaster",
          "Lebanon",
          "Lewis Center",
          "Lima",
          "Lincoln Village",
          "Lorain",
          "Loveland",
          "Lyndhurst",
          "Macedonia",
          "Madison",
          "Maineville",
          "Mansfield",
          "Maple Heights",
          "Marietta",
          "Marion",
          "Marysville",
          "Mason",
          "Massillon",
          "Maumee",
          "Mayfield Heights",
          "Medina",
          "Mentor",
          "Miamisburg",
          "Middleburg Heights",
          "Middletown",
          "Milford",
          "Millbury",
          "Mineral City",
          "Minster",
          "Mount Gilead",
          "Mount Vernon",
          "Nelsonville",
          "New Albany",
          "New Philadelphia",
          "Newark",
          "Niles",
          "North Canton",
          "North College Hill",
          "North Lewisburg",
          "North Olmsted",
          "North Ridgeville",
          "North Royalton",
          "Northbrook",
          "Northfield",
          "Northview",
          "Norton",
          "Norwalk",
          "Norwood",
          "Oberlin",
          "Ohio",
          "Oregon",
          "Overlook-Page Manor",
          "Oxford",
          "Painesville",
          "Parma",
          "Parma Heights",
          "Peninsula",
          "Perrysburg",
          "Pickerington",
          "Piqua",
          "Portage Lakes",
          "Portsmouth",
          "Powell",
          "Ravenna",
          "Reading",
          "Reynoldsburg",
          "Rittman",
          "Riverside",
          "Rocky River",
          "Rossford",
          "Salem",
          "Sandusky",
          "Seven Hills",
          "Seville",
          "Shaker Heights",
          "Sharonville",
          "Sheffield Lake",
          "Shelby",
          "Sidney",
          "Solon",
          "South Euclid",
          "Springdale",
          "Springfield",
          "Steubenville",
          "Stow",
          "Streetsboro",
          "Strongsville",
          "Struthers",
          "Sylvania",
          "Tallmadge",
          "Tiffin",
          "Toledo",
          "Trotwood",
          "Troy",
          "Twinsburg",
          "University Heights",
          "Upper Arlington",
          "Urbana",
          "Valley Glen",
          "Van Wert",
          "Vandalia",
          "Vermilion",
          "Wadsworth",
          "Warren",
          "Warrensville Heights",
          "Washington",
          "Waverly",
          "West Carrollton City",
          "West Chester",
          "Westerville",
          "Westlake",
          "White Oak",
          "Whitehall",
          "Wickliffe",
          "Willoughby",
          "Willowick",
          "Wilmington",
          "Winesburg",
          "Wooster",
          "Worthington",
          "Xenia",
          "Yellow Springs",
          "Youngstown",
          "Zanesville"
        ]),
        States(name: "Ohio", cities: [
          "Ada",
          "Altus",
          "Ardmore",
          "Bartlesville",
          "Bethany",
          "Bixby",
          "Broken Arrow",
          "Catoosa",
          "Chickasha",
          "Choctaw",
          "Claremore",
          "Del City",
          "Duncan",
          "Durant",
          "Edmond",
          "El Reno",
          "Elk City",
          "Enid",
          "Fort Sill",
          "Grove",
          "Guthrie",
          "Heavener",
          "Hugo",
          "Lawton",
          "Lindsay",
          "MacAlester",
          "Miami",
          "Midwest City",
          "Moore",
          "Morrison",
          "Muskogee",
          "Mustang",
          "Norman",
          "Oklahoma City",
          "Okmulgee",
          "Owasso",
          "Pawnee",
          "Ponca City",
          "Rattan",
          "Sand Springs",
          "Sapulpa",
          "Shawnee",
          "Stillwater",
          "Sulphur",
          "Tahlequah",
          "The Village",
          "Tulsa",
          "Weatherford",
          "Welch",
          "Woodward",
          "Yukon"
        ]),
        States(name: "Oklahoma", cities: ["Point Edward", "Woodbridge"]),
        States(name: "Ontario", cities: [
          "Albany",
          "Aloha",
          "Altamont",
          "Arleta",
          "Ashland",
          "Astoria",
          "Baker City",
          "Beaverton",
          "Bend",
          "Canby",
          "Cave Junction",
          "Cedar Hills",
          "Cedar Mill",
          "Central Point",
          "City of The Dalles",
          "Coos Bay",
          "Corvallis",
          "Creswell",
          "Dallas",
          "Donald",
          "Eugene",
          "Forest Grove",
          "Four Corners",
          "Gladstone",
          "Glide",
          "Grants Pass",
          "Gresham",
          "Hayesville",
          "Hazelwood",
          "Hermiston",
          "Hillsboro",
          "Hood River",
          "Hubbard",
          "John Day",
          "Jordan Valley",
          "Keizer",
          "Klamath Falls",
          "La Grande",
          "Lake Oswego",
          "Lebanon",
          "Lincoln",
          "MacMinnville",
          "Medford",
          "Milwaukie",
          "Newberg",
          "Newport",
          "North Bend",
          "OBrien",
          "Oak Grove",
          "Oatfield",
          "Ontario",
          "Oregon City",
          "Pendleton",
          "Portland",
          "Redmond",
          "Riddle",
          "River Road",
          "Roseburg",
          "Salem",
          "Sherwood",
          "Springfield",
          "Sublimity",
          "Sutherlin",
          "Talent",
          "Tigard",
          "Troutdale",
          "Tualatin",
          "Turner",
          "Vaughn",
          "West Linn",
          "Wilsonville",
          "Woodburn"
        ]),
        States(name: "Oregon", cities: [
          "Akron",
          "Aliquippa",
          "Allentown",
          "Altoona",
          "Ambler",
          "Amityville",
          "Ardmore",
          "Audubon",
          "Back Mountain",
          "Baldwin",
          "Bangor",
          "Beaver Falls",
          "Belle Vernon",
          "Bensalem",
          "Berwick",
          "Berwyn",
          "Bethel Park",
          "Bethlehem",
          "Bloomsburg",
          "Boyertown",
          "Bradford",
          "Brentwood",
          "Bridgeport",
          "Bristol",
          "Brockway",
          "Broomall",
          "Bushkill",
          "Butler",
          "Camp Hill",
          "Canonsburg",
          "Carbondale",
          "Carlisle",
          "Carnegie",
          "Carnot Moon",
          "Chambersburg",
          "Chester",
          "Chester Springs",
          "Clarks Summit",
          "Coatesville",
          "Colonial Park",
          "Columbia",
          "Conshohocken",
          "Coraopolis",
          "Corry",
          "Cranberry Township",
          "Cresco",
          "Croydon",
          "Dallas",
          "Dallastown",
          "Darby",
          "Darby Township",
          "Downingtown",
          "Drexel Hill",
          "Duncansville",
          "Dunmore",
          "East Norriton",
          "East Stroudsburg",
          "Easton",
          "Economy",
          "Edinboro",
          "Elizabethtown",
          "Elkins Park",
          "Emmaus",
          "Ephrata",
          "Erdenheim",
          "Erie",
          "Erwinna",
          "Exton",
          "Feasterville",
          "Folcroft",
          "Franklin",
          "Franklin Park",
          "Frederick",
          "Fullerton",
          "Furlong",
          "Gettysburg",
          "Gibsonia",
          "Glenside",
          "Gordonville",
          "Greensburg",
          "Gwynedd",
          "Hampden Township",
          "Hanover",
          "Harleysville",
          "Harrisburg",
          "Harrison Township",
          "Hatboro",
          "Haverford",
          "Havertown",
          "Hazleton",
          "Hermitage",
          "Hershey",
          "Hollidaysburg",
          "Horsham",
          "Huntingdon Valley",
          "Indiana",
          "Irvine",
          "Ivyland",
          "Jeannette",
          "Jefferson",
          "Jenkintown",
          "Johnstown",
          "Kempton",
          "Kennett Square",
          "King of Prussia",
          "Kingston",
          "Kutztown",
          "Lafayette Hill",
          "Lancaster",
          "Landenberg",
          "Langhorne",
          "Lansdale",
          "Lansdowne",
          "Lansford",
          "Laurys Station",
          "Lebanon",
          "Lehighton",
          "Levittown",
          "Lincoln University",
          "Linesville",
          "Linwood",
          "Lower Burrell",
          "Lower Merion",
          "MacCandless Township",
          "MacKeesport",
          "Malvern",
          "Meadville",
          "Mechanicsburg",
          "Media",
          "Merion Station",
          "Middleburg",
          "Mifflinville",
          "Milanville",
          "Milford",
          "Millersburg",
          "Monessen",
          "Moscow",
          "Mount Carmel",
          "Mount Lebanon",
          "Mountville",
          "Munhall",
          "Municipality of Monroeville",
          "Municipality of Murrysville",
          "N. Charleroi",
          "Nanticoke",
          "Narberth",
          "Natrona Heights",
          "Nazareth",
          "Nether Providence Township",
          "New Buffalo",
          "New Carlisle",
          "New Castle",
          "New Cumberland",
          "New Hope",
          "New Kensington",
          "Newton",
          "Newtown",
          "Newville",
          "Norristown",
          "North East",
          "North Versailles",
          "North Wales",
          "Oaks",
          "Oil City",
          "Olyphant",
          "Orrtanna",
          "Orwigsburg",
          "Oxford",
          "Paoli",
          "Parksburg",
          "Penn Hills",
          "Philadelphia",
          "Phildelphia",
          "Phoenixville",
          "Pipersville",
          "Pittsburgh",
          "Pleasantville",
          "Plum",
          "Pocono Summit",
          "Pottstown",
          "Pottsville",
          "Primos",
          "Progress",
          "Prospect",
          "Quakertown",
          "Radnor Township",
          "Reading",
          "Robinson Township",
          "Roseto",
          "Ross Township",
          "Royersford",
          "Saint Marys",
          "Sarver",
          "Saxonburg",
          "Scott Township",
          "Scranton",
          "Seward",
          "Sewickley",
          "Shaler Township",
          "Sharon",
          "Shermans Dale",
          "Somerset",
          "Souderton",
          "South Park Township",
          "Southampton",
          "Springfield",
          "State College",
          "Strasburg",
          "Sunbury",
          "Susquehanna",
          "Swissvale",
          "Tamaqua",
          "Taylor",
          "Telford",
          "Trevose",
          "Turtle Creek",
          "Tyrone",
          "Uniontown",
          "Upper Darby",
          "Upper Providence Township",
          "Upper Saint Clair",
          "Vanderbilt",
          "Warminster",
          "Warren",
          "Warrendale",
          "Washington",
          "Waterford",
          "Waverly",
          "Wayne",
          "Waynesboro",
          "West Chester",
          "West Mifflin",
          "West Norriton",
          "West Point",
          "Wexford",
          "Whitehall",
          "Wilcox",
          "Wilkes-Barre",
          "Wilkinsburg",
          "Williamsport",
          "Willow Grove",
          "Womelsdorf",
          "Woodlyn",
          "Woolrich",
          "Wyncote",
          "Wyndmoor",
          "Wynnewood",
          "Yardley",
          "Yeadon",
          "York"
        ]),
        States(name: "Pennsylvania", cities: ["Ramey"]),
        States(name: "Ramey", cities: [
          "Providence",
          "Warwick",
          "Cranston",
          "Pawtucket",
          "East Providence",
          "Woonsocket",
          "Coventry",
          "Cumberland",
          "North Providence",
          "South Kingstown",
          "West Warwick",
          "Johnston",
          "North Kingstown",
          "Newport",
          "Bristol",
          "Westerly",
          "Smithfield",
          "Lincoln",
          "Central Falls",
          "Portsmouth",
          "Barrington",
          "Middletown",
          "Burrillville",
          "Narragansett",
          "Tiverton",
          "East Greenwich",
          "North Smithfield",
          "Warren",
          "Scituate",
          "Glocester",
          "Hopkinton",
          "Charlestown",
          "Richmond"
        ]),
        States(name: "Rhode Island", cities: [
          "Columbia",
          "Charleston",
          "North Charleston",
          "Mount Pleasant",
          "Rock Hill",
          "Greenville",
          "Summerville",
          "Sumter",
          "Hilton Head Island",
          "Spartanburg",
          "Florence",
          "Goose Creek",
          "Aiken",
          "Myrtle Beach",
          "Anderson",
          "Greer",
          "Mauldin",
          "Greenwood",
          "North Augusta",
          "Easley",
          "Simpsonville",
          "Hanahan",
          "Lexington",
          "Conway",
          "West Columbia",
          "North Myrtle Beach",
          "Clemson",
          "Orangeburg",
          "Cayce",
          "Bluffton",
          "Beaufort",
          "Gaffney",
          "Irmo",
          "Fort Mill",
          "Port Royal",
          "Forest Acres",
          "Newberry"
        ]),
        States(name: "South Carolina", cities: [
          "Sioux Falls",
          "Rapid City",
          "Aberdeen",
          "Brookings",
          "Watertown",
          "Mitchell",
          "Yankton",
          "Pierre",
          "Huron",
          "Spearfish",
          "Vermillion",
          "Brandon",
          "Box Elder",
          "Madison",
          "Sturgis",
          "Belle Fourche",
          "Harrisburg"
        ]),
        States(name: "South Dakota", cities: []),
        States(name: "Sublimity", cities: [
          "Adamsville",
          "Alcoa",
          "Antioch",
          "Arlington",
          "Athens",
          "Bartlett",
          "Bell Buckle",
          "Bloomingdale",
          "Blountville",
          "Brentwood",
          "Bristol",
          "Brownsville",
          "Burns",
          "Chattanooga",
          "Clarksville",
          "Cleveland",
          "Collierville",
          "Columbia",
          "Cookeville",
          "Cornersville",
          "Crossville",
          "Dayton",
          "Dickson",
          "Dyersburg",
          "East Brainerd",
          "East Ridge",
          "Elizabethton",
          "Farragut",
          "Franklin",
          "Gainesboro",
          "Gallatin",
          "Gatlinburg",
          "Germantown",
          "Goodlettsville",
          "Greeneville",
          "Hendersonville",
          "Hixson",
          "Jackson",
          "Johnson City",
          "Kingsport",
          "Knoxville",
          "Kodak",
          "La Vergne",
          "Lawrenceburg",
          "Lebanon",
          "Lenoir City",
          "Lewisburg",
          "MacMinnville",
          "Maryville",
          "Memphis",
          "Middle Valley",
          "Millington",
          "Morristown",
          "Mulberry",
          "Murfreesboro",
          "Nashville",
          "Oak Ridge",
          "Ooltewah",
          "Pinson",
          "Red Bank",
          "Selmer",
          "Sevierville",
          "Shelbyville",
          "Smithville",
          "Smyrna",
          "Spring City",
          "Springfield",
          "Tazewell",
          "Trenton",
          "Tullahoma",
          "Union City"
        ]),
        States(name: "Tennessee", cities: [
          "Abilene",
          "Addison",
          "Alamo",
          "Aldine",
          "Alice",
          "Allen",
          "Alvin",
          "Amarillo",
          "Anderson Mill",
          "Andrews",
          "Angleton",
          "Argyle",
          "Arlington",
          "Aspermont",
          "Atascocita",
          "Athens",
          "Austin",
          "Austinn",
          "Azle",
          "Balch Springs",
          "Barry",
          "Bay City",
          "Baytown",
          "Beaumont",
          "Bedford",
          "Beeville",
          "Bellaire",
          "Belton",
          "Benbrook",
          "Big Spring",
          "Bluff Dale",
          "Boerne",
          "Borger",
          "Breckenridge",
          "Brenham",
          "Brownfield",
          "Brownsville",
          "Brownwood",
          "Bryan",
          "Buda",
          "Burkburnett",
          "Burleson",
          "Campbell",
          "Canyon",
          "Canyon Lake",
          "Carrollton",
          "Cat Spring",
          "Cedar Hill",
          "Cedar Park",
          "Celina",
          "Center",
          "Channelview",
          "City of Dallas",
          "Cleburne",
          "Cloverleaf",
          "Clute",
          "College Station",
          "Colleyville",
          "Columbus",
          "Comanche",
          "Conroe",
          "Converse",
          "Coppell",
          "Copperas Cove",
          "Corinth",
          "Corpus Christi",
          "Corsicana",
          "Cotulla",
          "Crandall",
          "Cypress",
          "Dallas",
          "Dayton",
          "DeSoto",
          "Deer Park",
          "Del Rio",
          "Denison",
          "Denton",
          "Dickinson",
          "Donna",
          "Dumas",
          "Duncanville",
          "Eagle Pass",
          "Edinburg",
          "El Campo",
          "El Paso",
          "Elmendorf",
          "Ennis",
          "Euless",
          "Fairfield",
          "Farmers Branch",
          "Flower Mound",
          "Forest Hill",
          "Forney",
          "Fort Bliss",
          "Fort Hood",
          "Fort Worth",
          "Freeport",
          "Friendswood",
          "Frisco",
          "Gainesville",
          "Galena Park",
          "Galveston",
          "Garland",
          "Gatesville",
          "Georgetown",
          "Grand Prairie",
          "Grandview",
          "Grapeland",
          "Grapevine",
          "Greenville",
          "Gregory",
          "Groves",
          "Haltom City",
          "Harker Heights",
          "Harlingen",
          "Henderson",
          "Hereford",
          "Hewitt",
          "Highland Village",
          "Hillsboro",
          "Houston",
          "Humble",
          "Huntsville",
          "Hurst",
          "Ingleside",
          "Irving",
          "Jacksonville",
          "Jefferson",
          "Jollyville",
          "Justin",
          "Katy",
          "Kaufman",
          "Keller",
          "Kemah",
          "Kemp",
          "Kerrville",
          "Kilgore",
          "Killeen",
          "Kingsville",
          "Kingwood",
          "La Marque",
          "La Porte",
          "Lackland Air Force Base",
          "Lago Vista",
          "Lake Jackson",
          "Lamesa",
          "Lampasas",
          "Lancaster",
          "Laredo",
          "League City",
          "Leon Valley",
          "Levelland",
          "Lewisville",
          "Liberty Hill",
          "Lindsay",
          "Little Elm",
          "Live Oak",
          "Llano",
          "Lockhart",
          "Longview",
          "Lubbock",
          "Lufkin",
          "Lumberton",
          "MacAllen",
          "MacKinney",
          "Magnolia",
          "Malakoff",
          "Mansfield",
          "Marshall",
          "McAllen",
          "McKinney",
          "Medina",
          "Mercedes",
          "Mesquite",
          "Midland",
          "Mineral Wells",
          "Mission",
          "Mission Bend",
          "Missouri City",
          "Montgomery",
          "Mount Pleasant",
          "Murphy",
          "Nacogdoches",
          "Nederland",
          "New Braunfels",
          "New Caney",
          "North Richland Hills",
          "North Zulch",
          "Odessa",
          "Orange",
          "Ovalo",
          "Palestine",
          "Pampa",
          "Paris",
          "Pasadena",
          "Pearland",
          "Pecan Grove",
          "Pecos",
          "Pflugerville",
          "Pharr",
          "Pinehurst",
          "Plainview",
          "Plano",
          "Pontotoc",
          "Port Arthur",
          "Port Lavaca",
          "Port Neches",
          "Portland",
          "Pottsboro",
          "Princeton",
          "Richardson",
          "Richmond",
          "Rio Grande City",
          "Robstown",
          "Rockport",
          "Rockwall",
          "Roma",
          "Rosenberg",
          "Round Rock",
          "Rowlett",
          "Royse City",
          "Sachse",
          "Saginaw",
          "San Angelo",
          "San Antonio",
          "San Benito",
          "San Juan",
          "San Marcos",
          "Santa Fe",
          "Schertz",
          "Seabrook",
          "Seagoville",
          "Seguin",
          "Sherman",
          "Slaton",
          "Smithville",
          "Snyder",
          "Socorro",
          "South Houston",
          "South Padre Island",
          "Southlake",
          "Spring",
          "Stafford",
          "Stephenville",
          "Strawn",
          "Sugar Land",
          "Sulphur Springs",
          "Sweetwater",
          "Taylor",
          "Temple",
          "Terrell",
          "Texarkana",
          "Texas City",
          "The Colony",
          "The Woodlands",
          "Tomball",
          "Tyler",
          "Universal City",
          "University Park",
          "Uvalde",
          "Vernon",
          "Victoria",
          "Vidor",
          "Waco",
          "Watauga",
          "Waxahachie",
          "Weatherford",
          "Weslaco",
          "West Odessa",
          "West University Place",
          "White Settlement",
          "Wichita Falls",
          "Winnsboro",
          "Woodway",
          "Wylie",
          "Yoakum",
          "austinn"
        ]),
        States(name: "Texas", cities: ["Bedford Kentucky"]),
        States(name: "Trimble", cities: [
          "Alpine",
          "American Fork",
          "Bluffdale",
          "Bountiful",
          "Brigham City",
          "Canyon Rim",
          "Castle Dale",
          "Cedar City",
          "Centerville",
          "Clearfield",
          "Clinton",
          "Cottonwood Heights",
          "Cottonwood West",
          "Draper",
          "East Millcreek",
          "Farmington",
          "Holladay-Cottonwood",
          "Ivins",
          "Kaysville",
          "Kearns",
          "Layton",
          "Lehi",
          "Logan",
          "Magna",
          "Mapleton",
          "Midvale",
          "Millcreek",
          "Moab",
          "Monticello",
          "Murray",
          "North Logan",
          "North Ogden",
          "Ogden",
          "Orem",
          "Panguitch",
          "Park City",
          "Payson",
          "Pleasant Grove",
          "Provo",
          "Riverton",
          "Roy",
          "Saint George",
          "Salt Lake City",
          "Sandy",
          "Santaquin",
          "South Jordan",
          "South Ogden",
          "South Salt Lake",
          "Spanish Fork",
          "Springville",
          "Taylorsville",
          "Tooele",
          "Tremonton",
          "Union",
          "Washington",
          "West Jordan",
          "West Valley City",
          "Woods Cross"
        ]),
        States(name: "Utah", cities: [
          "Barre",
          "Bennington",
          "Brattleboro",
          "Bristol",
          "Burlington",
          "Cabot",
          "Colchester",
          "Danville",
          "Dorset",
          "Dummerston",
          "East Corinth",
          "East Fairfield",
          "East Randolph",
          "Essex",
          "Essex Junction",
          "Grand Isle",
          "Hartford",
          "Jericho",
          "Manchester",
          "Manchester Center",
          "Middlebury",
          "Milton",
          "Montpelier",
          "Putney",
          "Randolph",
          "Rochester",
          "Rutland",
          "Saint Albans",
          "Saint Johnsbury",
          "Saxtons River",
          "South Burlington",
          "South Strafford",
          "Springfield",
          "Townshend",
          "Tunbridge",
          "Van",
          "Vernon",
          "Wallingford",
          "Watisfield",
          "West Brookfield",
          "West Charleston",
          "West Newbury",
          "Williston",
          "Winooski"
        ]),
        States(name: "Vermont", cities: [
          "Abingdon",
          "Alexandria",
          "Annandale",
          "Arlington",
          "Ashburn",
          "Ashland",
          "Aylett",
          "Bailey\\'\\'s Crossroads",
          "Blacksburg",
          "Bland",
          "Bluefield",
          "Bon Air",
          "Bristol",
          "Burke",
          "Cave Spring",
          "Centreville",
          "Chantilly",
          "Charlottesville",
          "Chesapeake",
          "Chester",
          "Christiansburg",
          "Churchville",
          "Clifton",
          "Colonial Heights",
          "Culloden",
          "Dale City",
          "Danville",
          "Dublin",
          "Eagle Rock",
          "East Highland Park",
          "Faber",
          "Fairfax",
          "Falls Church",
          "Fishersville",
          "Fort Hunt",
          "Fort Valley",
          "Franconia",
          "Franklin",
          "Fredericksburg",
          "Front Royal",
          "Gainesville",
          "Glen Allen",
          "Gloucester",
          "Goochland",
          "Great Falls",
          "Groveton",
          "Hampton",
          "Harrisonburg",
          "Henrico",
          "Herndon",
          "Highland Springs",
          "Hollins",
          "Hopewell",
          "Hybla Valley",
          "Idylwood",
          "Irvington",
          "Jamesville",
          "Jefferson",
          "Keen Mountain",
          "Keswick",
          "Lake Ridge",
          "Lakeside",
          "Laurel",
          "Leesburg",
          "Lincolnia",
          "Lorton",
          "Lynchburg",
          "MacLean",
          "Madison",
          "Madison Heights",
          "Manassas",
          "Marion",
          "Martinsville",
          "Mclean",
          "Mechanicsville",
          "Melfa",
          "Midlothian",
          "Montclair",
          "Montross",
          "Mount Vernon",
          "Newington",
          "Newport News",
          "Norfolk",
          "North Springfield",
          "Oakton",
          "Orange",
          "Petersburg",
          "Poquoson",
          "Portsmouth",
          "Radford",
          "Reston",
          "Richmond",
          "Roanoke",
          "Rose Hill",
          "Salem",
          "Seaford",
          "South Boston",
          "Springfield",
          "Stafford",
          "Staffordshire",
          "Staunton",
          "Sterling",
          "Suffolk",
          "Sugarland Run",
          "Tappahannock",
          "Timberlake",
          "Triangle",
          "Tuckahoe",
          "Tysons Corner",
          "Vienna",
          "Virginia Beach",
          "Warrenton",
          "Washington",
          "Waterford",
          "Waynesboro",
          "West Springfield",
          "Williamsburg",
          "Winchester",
          "Wolf Trap",
          "Woodbridge",
          "Wytheville",
          "Yorktown"
        ]),
        States(name: "Virginia", cities: [
          "Aberdeen",
          "Airway Heights",
          "Alderwood Manor",
          "Anacortes",
          "Arlington",
          "Auburn",
          "Bainbridge Island",
          "Battle Ground",
          "Bellevue",
          "Bellingham",
          "Bingen",
          "Blaine",
          "Bothell",
          "Bremerton",
          "Bryn Mawr-Skyway",
          "Buckley",
          "Burien",
          "Burlington",
          "Camano Island",
          "Camas",
          "Cascade-Fairwood",
          "Centralia",
          "Chehalis",
          "Cheney",
          "Clear Lake",
          "Colbert",
          "Cottage Lake",
          "Covington-Sawyer-Wilderness",
          "Des Moines",
          "Duvall",
          "East Hill-Meridian",
          "East Renton Highlands",
          "East Wenatchee Bench",
          "Eastsound",
          "Eatonville",
          "Edgewood-North Hill",
          "Edmonds",
          "Elk Plain",
          "Ellensburg",
          "Enumclaw",
          "Esperance",
          "Everett",
          "Evergreen",
          "Fairchild",
          "Federal Way",
          "Ferndale",
          "Fircrest",
          "Ford",
          "Fort Lewis",
          "Friday Harbor",
          "Gig Harbor",
          "Graham",
          "Harbour Pointe",
          "Inglewood-Finn Hill",
          "Issaquah",
          "Kelso",
          "Kenmore",
          "Kennewick",
          "Kent",
          "Kingsgate",
          "Kirkland",
          "Lacey",
          "Lake Serene-North Lynnwood",
          "Lakeland North",
          "Lakeland South",
          "Lakewood",
          "Longview",
          "Lynnwood",
          "Martha Lake",
          "Marysville",
          "Mercer Island",
          "Minnehaha",
          "Monroe",
          "Moses Lake",
          "Mossyrock",
          "Mount Vernon",
          "Mountlake Terrace",
          "Mukilteo",
          "Newport Hills",
          "North City-Ridgecrest",
          "North Creek",
          "North Marysville",
          "Oak Harbor",
          "Ocean Shores",
          "Olympia",
          "Opportunity",
          "Orchards South",
          "Orting",
          "Paine Field-Lake Stickney",
          "Parkland",
          "Pasco",
          "Picnic Point-North Lynnwood",
          "Pine Lake",
          "Port Angeles",
          "Port Hadlock",
          "Port Ludlow",
          "Port Orchard",
          "Poulsbo",
          "Pullman",
          "Puyallup",
          "Redmond",
          "Renton",
          "Republic",
          "Richland",
          "Riverton-Boulevard Park",
          "Sahalee",
          "Salmon Creek",
          "Sammamish",
          "SeaTac",
          "Seattle",
          "Seattle Hill-Silver Firs",
          "Sedro Woolley",
          "Shelton",
          "Shoreline",
          "Silverdale",
          "Snohomish",
          "South Hill",
          "South Prairie",
          "South Seattle",
          "Spanaway",
          "Spokane",
          "Sumas",
          "Sumner",
          "Sunnyside",
          "Tacoma",
          "Tukwila",
          "Tumwater",
          "University Place",
          "Vancouver",
          "Vashon",
          "Walla Walla",
          "Washougal",
          "Wenatchee",
          "West Lake Stevens",
          "White Center",
          "White Salmon",
          "White Swan",
          "Woodinville",
          "Yakima",
          "Yelm"
        ]),
        States(name: "Washington", cities: [
          "Charleston",
          "Huntington",
          "Morgantown",
          "Parkersburg",
          "Wheeling",
          "Weirton",
          "Fairmont",
          "Martinsburg",
          "Beckley",
          "Clarksburg",
          "South Charleston",
          "St. Albans",
          "Vienna",
          "Bluefield",
          "Moundsville",
          "Bridgeport",
          "Oak Hill",
          "Dunbar",
          "Elkins",
          "Nitro",
          "Hurricane",
          "Princeton",
          "Charles Town",
          "Buckhannon",
          "Keyser",
          "New Martinsville",
          "Grafton",
          "Ranson",
          "Point Pleasant",
          "Westover",
          "Weston",
          "Lewisburg",
          "Ravenswood",
          "Summersville"
        ]),
        States(name: "West Virginia", cities: [
          "Adams",
          "Allouez",
          "Appleton",
          "Ashland",
          "Ashwaubenon",
          "Baraboo",
          "Beaver Dam",
          "Beloit",
          "Brookfield",
          "Brown Deer",
          "Burlington",
          "Caledonia",
          "Carter",
          "Cedarburg",
          "Chippewa Falls",
          "Cudahy",
          "De Pere",
          "Deer Park",
          "Delafield",
          "Eau Claire",
          "Elkhorn",
          "Elroy",
          "Fitchburg",
          "Fond du Lac",
          "Fort Atkinson",
          "Franklin",
          "Galesville",
          "Germantown",
          "Glen Flora",
          "Glendale",
          "Goodman",
          "Grafton",
          "Green Bay",
          "Greendale",
          "Greenfield",
          "Hartford",
          "Hartland",
          "Howard",
          "Hudson",
          "Janesville",
          "Jefferson",
          "Junction City",
          "Kaukauna",
          "Kenosha",
          "Kiel",
          "Kohler",
          "La Crosse",
          "Little Chute",
          "Madison",
          "Manitowoc",
          "Marinette",
          "Marshfield",
          "Medford",
          "Menasha",
          "Menomonee Falls",
          "Menomonie",
          "Mequon",
          "Merrill",
          "Middleton",
          "Milwaukee",
          "Mineral Point",
          "Monroe",
          "Mount Pleasant",
          "Mukwonago",
          "Muskego",
          "Neenah",
          "New Berlin",
          "New Richmond",
          "Oak Creek",
          "Oconomowoc",
          "Onalaska",
          "Orfordville",
          "Oshkosh",
          "Pigeon Falls",
          "Platteville",
          "Pleasant Prairie",
          "Plover",
          "Port Washington",
          "Portage",
          "Pound",
          "Racine",
          "Reedsburg",
          "Rhinelander",
          "River Falls",
          "Saint Francis",
          "Sheboygan",
          "Shorewood",
          "South Milwaukee",
          "Spring Valley",
          "Stevens Point",
          "Stoughton",
          "Strum",
          "Sturtevant",
          "Sun Prairie",
          "Superior",
          "Three Lakes",
          "Tomah",
          "Two Rivers",
          "Washington Island",
          "Waterford",
          "Watertown",
          "Waukesha",
          "Waupun",
          "Wausau",
          "Wautoma",
          "Wauwatosa",
          "West Allis",
          "West Bend",
          "Weston",
          "Whitefish Bay",
          "Whitewater",
          "Wisconsin Rapids"
        ]),
        States(name: "Wisconsin", cities: [
          "Buffalo",
          "Casper",
          "Cheyenne",
          "Cody",
          "Douglas",
          "Evanston",
          "Gillette",
          "Green River",
          "Jackson",
          "Lander",
          "Laramie",
          "Powell",
          "Rawlins",
          "Riverton",
          "Rock Springs",
          "Sheridan",
          "Torrington",
          "Worland"
        ]),
        States(name: "Wyoming", cities: [])
      ]),
  Country(
      name: "Uruguay",
      flag: "🇺🇾",
      code: "UY",
      dialCode: "598",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Artigas", cities: [
          "Camino Maldonado",
          "Canelones",
          "Ciudad de la Costa",
          "Juan Antonio Artigas",
          "Las Piedras",
          "Pando",
          "Paso de Carrasco",
          "Progreso",
          "Santa Lucia"
        ]),
        States(name: "Canelones", cities: []),
        States(
            name: "Cerro Largo",
            cities: ["Carmelo", "Colonia", "Juan Lacaze", "Nueva Helvecia"]),
        States(name: "Colonia", cities: ["Durazno"]),
        States(name: "Durazno", cities: ["Florida"]),
        States(name: "FLorida", cities: ["Trinidad"]),
        States(name: "Flores", cities: ["Minas"]),
        States(name: "Lavalleja", cities: ["Maldonado", "San Carlos"]),
        States(name: "Maldonado", cities: ["La Paz", "Montevideo"]),
        States(name: "Montevideo", cities: ["Paysandu"]),
        States(name: "Paysandu", cities: []),
        States(name: "Rio Negro", cities: ["Rivera"]),
        States(name: "Rivera", cities: ["Chuy", "Rocha"]),
        States(name: "Rocha", cities: ["Salto"]),
        States(name: "Salto", cities: []),
        States(name: "San Jose", cities: ["Dolores", "Mercedes"]),
        States(name: "Soriano", cities: ["Paso de los Toros", "Tacuarembo"]),
        States(name: "Tacuarembo", cities: []),
        States(name: "Treinta y Tres", cities: [
          "Ahunabayev",
          "Andijon",
          "Asaka",
          "Boz",
          "Hakkulobod",
          "Hocaobod",
          "Honobod",
          "Ilyichevsk",
          "Karabagis",
          "Kurgontepa",
          "Marhomat",
          "Pahtaobod",
          "Paytug",
          "Sahrihan"
        ])
      ]),
  Country(
      name: "Uzbekistan",
      flag: "🇺🇿",
      code: "UZ",
      dialCode: "998",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Andijon", cities: [
          "Buhoro",
          "Cangeldi",
          "Galaosiye",
          "Gazli",
          "Gijduvon",
          "Kizilravbe",
          "Kogon",
          "Korakul",
          "Korovulbazar",
          "Kukca",
          "Olot",
          "Oyokkuduk",
          "Romitan",
          "Safirkon",
          "Vobkent"
        ]),
        States(name: "Buhoro", cities: []),
        States(name: "Buxoro Viloyati", cities: [
          "Cizah",
          "Dustlik",
          "Gagarin",
          "Gallaorol",
          "Marcanbulok",
          "Pahtakor",
          "Ulyanovo",
          "Zomin"
        ]),
        States(name: "Cizah", cities: [
          "Altyarik",
          "Avval",
          "Besarik",
          "Fargona",
          "Hamza",
          "Kirgili",
          "Kukon",
          "Kuva",
          "Kuvasoy",
          "Margilon",
          "Rapkan",
          "Riston",
          "Toslok",
          "Yaypan"
        ]),
        States(name: "Fargona", cities: [
          "Drujba",
          "Gurlan",
          "Hazorasp",
          "Heva",
          "Honko",
          "Kuskupir",
          "Mesekli",
          "Sovot",
          "Turpokkala",
          "Urgenc"
        ]),
        States(name: "Horazm", cities: [
          "Beskent",
          "Ceynau",
          "Cirakci",
          "Dehkanobod",
          "Dinau",
          "Guzor",
          "Kallig",
          "Kamasi",
          "Karabag",
          "Karsi",
          "Kasbi",
          "Kitob",
          "Koson",
          "Madaniyat",
          "Maydayap",
          "Maymanak",
          "Muborak",
          "Oktyabrskiy",
          "Sahrisabz",
          "Talimarcon",
          "Urtacim",
          "Yakkabog",
          "Yaninison"
        ]),
        States(name: "Kaskadar", cities: [
          "Beruni",
          "Buston",
          "Cimboy",
          "Halkobod",
          "Hucayli",
          "Karauzyak",
          "Kegayli",
          "Kizketken",
          "Kozokdaryo",
          "Kungirot",
          "Mangit",
          "Muynok",
          "Nukus",
          "Tahiatos",
          "Tahtakupir",
          "Turtkul"
        ]),
        States(name: "Korakalpogiston", cities: [
          "Aytim",
          "Besbulok",
          "Cartak",
          "Cingeldi",
          "Cust",
          "Gozgon",
          "Iskavat",
          "Kalkuduk",
          "Konimeh",
          "Kosonsoy",
          "Minbulok",
          "Namangan",
          "Nurota",
          "Pop",
          "Tomdibulok",
          "Tosbulok",
          "Turakurgon",
          "Uckurgon",
          "Unhoyat",
          "Uyci",
          "Uzunkuduk",
          "Yanikurgon"
        ]),
        States(
            name: "Namangan",
            cities: ["Karmana", "Kiziltepa", "Navoi", "Uckuduk", "Zarafson"]),
        States(name: "Navoi", cities: [
          "Bulungur",
          "Camboy",
          "Carhin",
          "Celak",
          "Cuma",
          "Dahbed",
          "Istihon",
          "Kattakurgon",
          "Kusrobod",
          "Nurobod",
          "Oktos",
          "Paysanba",
          "Samarkand",
          "Superfosfatniy",
          "Urgut",
          "Yanirobod",
          "Ziadin"
        ]),
        States(name: "Samarkand", cities: [
          "Baht",
          "Guliston",
          "Hovos",
          "Sirdare",
          "Sirin",
          "Yaniyer"
        ]),
        States(name: "Sirdare", cities: [
          "Akkurgon",
          "Boysun",
          "Carkurgon",
          "Denau",
          "Kumkurgon",
          "Paskurd",
          "Sargun",
          "Sariasiya",
          "Serobod",
          "Surci",
          "Termiz",
          "Zan"
        ]),
        States(name: "Surhondar", cities: [
          "Almazar",
          "Angren",
          "Bekobod",
          "Bektemir",
          "Buka",
          "Cinoz",
          "Circik",
          "Gazalkent",
          "Iskandar",
          "Keles",
          "Kibray",
          "Krasnogorskiy",
          "Kuyluk",
          "Ohangaron",
          "Olmalik",
          "Parkent",
          "Pskent",
          "Salar",
          "Soldatski",
          "Tashkent",
          "Toskent",
          "Tuytepa",
          "Urtaaul",
          "Yaniobod",
          "Yaniyul"
        ]),
        States(name: "Toskent", cities: ["Lakatoro", "Norsup"])
      ]),
  Country(
      name: "Vanuatu",
      flag: "🇻🇺",
      code: "VU",
      dialCode: "678",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Malampa", cities: ["Longana"]),
        States(name: "Penama", cities: ["Luganville", "Port Olry"]),
        States(name: "Sanma", cities: ["Vila"]),
        States(name: "Shefa", cities: ["Isangel"]),
        States(name: "Tafea", cities: ["Sola"]),
        States(name: "Torba", cities: [])
      ]),
  Country(
      name: "Venezuela, Bolivarian Republic of Venezuela",
      flag: "🇻🇪",
      code: "VE",
      dialCode: "58",
      minLength: 10,
      maxLength: 10,
      states: [
        States(name: "Amazonas", cities: [
          "Anaco",
          "Barcelona",
          "Cantaura",
          "El Tigre",
          "Puerto la Cruz",
          "San Jose de Guanipa"
        ]),
        States(name: "Anzoategui", cities: ["Guasdualito", "San Fernando"]),
        States(name: "Apure", cities: [
          "Cagua",
          "El Limon",
          "La Victoria",
          "Las Teyerias",
          "Maracay",
          "Palo Negro",
          "San Mateo",
          "Turmero",
          "Villa de Cura"
        ]),
        States(name: "Aragua", cities: ["Barinas", "Barinitas"]),
        States(
            name: "Barinas",
            cities: ["Ciudad Bolivar", "Ciudad Guayana", "Upata"]),
        States(name: "Bolivar", cities: [
          "Goaigoaza",
          "Guacara",
          "Guigue",
          "Mariara",
          "Moron",
          "Puerto Cabello",
          "San Joaquin",
          "Tacarigua",
          "Valencia"
        ]),
        States(name: "Carabobo", cities: ["San Carlos", "Tinaquillo"]),
        States(name: "Cojedes", cities: []),
        States(name: "Delta Amacuro", cities: []),
        States(
            name: "Distrito Federal",
            cities: ["Coro", "Punta Cardon", "Punto Fijo"]),
        States(name: "Falcon", cities: [
          "Altagracia de Orituco",
          "Calabozo",
          "San Juan de los Morros",
          "Valle de la Pascua",
          "Zaraza"
        ]),
        States(name: "Guarico", cities: [
          "Barquisimeto",
          "Cabudare",
          "Carora",
          "El Tocuyo",
          "Los Rastrojos",
          "Quibor"
        ]),
        States(name: "Lara", cities: ["Ejido", "El Vigia", "Merida"]),
        States(name: "Merida", cities: [
          "Baruta",
          "Carrizal",
          "Catia La Mar",
          "Caucaguita",
          "Chacao",
          "Charallave",
          "Cua",
          "El Cafetal",
          "El Hatillo",
          "Filas de Mariche",
          "Guarenas",
          "Guatire",
          "La Dolorita",
          "Los Dos Caminos",
          "Los Teques",
          "Ocumare del Tuy",
          "Petare",
          "San Antonio de los Altos",
          "Santa Teresa"
        ]),
        States(name: "Miranda", cities: ["Maturin"]),
        States(name: "Monagas", cities: []),
        States(
            name: "Nueva Esparta",
            cities: ["Acarigua", "Araure", "Guanare", "Villa Bruzual"]),
        States(name: "Portuguesa", cities: ["Carupano", "Cumana"]),
        States(name: "Sucre", cities: [
          "La Fria",
          "Rubio",
          "San Antonio del Tachira",
          "San Cristobal",
          "San Juan de Colon",
          "Tariba"
        ]),
        States(name: "Tachira", cities: ["Trujillo", "Valera"]),
        States(
            name: "Trujillo",
            cities: ["Caraballeda", "La Guaira", "Maiquetia"]),
        States(
            name: "Vargas",
            cities: ["Chivacoa", "Nirgua", "San Felipe", "Yaritagua"]),
        States(name: "Yaracuy", cities: [
          "Bachaquero",
          "Cabimas",
          "Ciudad Ojeda",
          "Lagunillas",
          "Machiques",
          "Maracaibo",
          "San Carlos del Zulia",
          "Santa Rita",
          "Villa del Rosario"
        ]),
        States(name: "Zulia", cities: [])
      ]),
  Country(
      name: "Vietnam",
      flag: "🇻🇳",
      code: "VN",
      dialCode: "84",
      minLength: 11,
      maxLength: 11,
      states: [
        States(name: "Bac Giang", cities: []),
        States(name: "Binh Dinh", cities: []),
        States(name: "Binh Duong", cities: []),
        States(name: "Da Nang", cities: []),
        States(name: "Dong Bang Song Cuu Long", cities: []),
        States(name: "Dong Bang Song Hong", cities: []),
        States(name: "Dong Nai", cities: []),
        States(name: "Dong Nam Bo", cities: []),
        States(
            name: "Duyen Hai Mien Trung",
            cities: ["Ha noi", "Hoang Mai", "Lang Ha"]),
        States(name: "Hanoi", cities: []),
        States(name: "Hung Yen", cities: []),
        States(name: "Khu Bon Cu", cities: []),
        States(name: "Long An", cities: []),
        States(name: "Mien Nui Va Trung Du", cities: []),
        States(name: "Thai Nguyen", cities: []),
        States(name: "Thanh Pho Ho Chi Minh", cities: []),
        States(name: "Thu Do Ha Noi", cities: []),
        States(name: "Tinh Can Tho", cities: []),
        States(name: "Tinh Da Nang", cities: []),
        States(name: "Tinh Gia Lai", cities: ["Settlement"])
      ]),
  Country(
      name: "Virgin Islands, British",
      flag: "🇻🇬",
      code: "VG",
      dialCode: "1284",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Anegada", cities: []),
        States(
            name: "Jost van Dyke",
            cities: ["East End-Long Look", "Road Town", "West End"]),
        States(name: "Tortola", cities: [])
      ]),
  Country(
      name: "Virgin Islands, U.S.",
      flag: "🇻🇮",
      code: "VI",
      dialCode: "1340",
      minLength: 7,
      maxLength: 7,
      states: [
        States(name: "Saint Croix", cities: []),
        States(name: "Saint John", cities: []),
        States(name: "Saint Thomas", cities: [
          "Kolia",
          "Mala\\'\\'e",
          "Ono",
          "Poi",
          "Tamana",
          "Taoa",
          "Tuatafa",
          "Vele"
        ])
      ]),
  Country(
      name: "Wallis and Futuna",
      flag: "🇼🇫",
      code: "WF",
      dialCode: "681",
      minLength: 6,
      maxLength: 6,
      states: [
        States(
            name: "Alo",
            cities: ["Fiua", "Leava", "Nuku", "Tavai", "Toloke", "Vaisei"]),
        States(name: "Singave", cities: [
          "Ahoa",
          "Aka Aka",
          "Alele",
          "Falaleu",
          "Gahi",
          "Haafuasia",
          "Haatofo",
          "Halalo",
          "Kolopopo",
          "Lavegahau",
          "Liku",
          "Mala\\'\\'e",
          "Malaefoou",
          "Mata\\'\\'Utu",
          "Teesi",
          "Tepa",
          "Utuofa",
          "Vailala",
          "Vaimalau",
          "Vaitupu"
        ]),
        States(name: "Wallis", cities: [])
      ]),
  Country(
      name: "Yemen",
      flag: "🇾🇪",
      code: "YE",
      dialCode: "967",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Adan", cities: ["Ahwar", "Ja\\'\\'ar", "Zinjibar"]),
        States(name: "Abyan", cities: ["Dhamar"]),
        States(name: "Dhamar", cities: ["Shaqra", "al-Mukalla", "ash-Shahir"]),
        States(name: "Hadramaut", cities: ["Hajjah"]),
        States(name: "Hajjah", cities: ["Hodaidah"]),
        States(
            name: "Hudaydah",
            cities: ["Dhi Sufal", "Ibb", "Jiblah", "Qa\\'\\'tabah", "Yarim"]),
        States(name: "Ibb", cities: ["Tuban"]),
        States(name: "Lahij", cities: ["Ma\\'\\'rib"]),
        States(name: "Ma\\'\\'rib", cities: []),
        States(name: "Madinat San\\'\\'a", cities: ["Sa\\'\\'dah"]),
        States(
            name: "Sa\\'\\'dah", cities: ["Amran", "Sahar", "Sanaa", "Sayyan"]),
        States(name: "Sana", cities: ["Ataq", "Habban", "Taiz"]),
        States(name: "Shabwah", cities: ["Ta\\'\\'izz", "al-Mukha"]),
        States(name: "Ta\\'\\'izz", cities: ["Raydah", "al-Bayda"]),
        States(name: "al-Bayda", cities: [
          "Bajil",
          "Bayt-al-Faqih",
          "Zabid",
          "al-Hudaydah",
          "al-Marawi\\'\\'ah",
          "az-Zaydiyah"
        ]),
        States(name: "al-Hudaydah", cities: ["al-Hazm"]),
        States(name: "al-Jawf", cities: ["al-Ghaydah"]),
        States(name: "al-Mahrah", cities: ["Mahwit"]),
        States(name: "al-Mahwit", cities: [])
      ]),
  Country(
      name: "Zambia",
      flag: "🇿🇲",
      code: "ZM",
      dialCode: "260",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Central", cities: [
          "Chambishi",
          "Chililabombwe",
          "Chingola",
          "Kalulushi",
          "Kitwe",
          "Luanshya",
          "Mpongwe",
          "Mufulira",
          "Ndola"
        ]),
        States(
            name: "Copperbelt",
            cities: ["Chipata", "Katete", "Lundazi", "Petauke"]),
        States(
            name: "Eastern",
            cities: ["Mansa", "Mwansabombwe", "Nchelenge", "Samfya"]),
        States(name: "Luapala", cities: ["Chilanga", "Kafue", "Lusaka"]),
        States(name: "Lusaka", cities: [
          "Kalengwa",
          "Kansanshi",
          "Mwinilunga",
          "Solwezi",
          "Zambezi"
        ]),
        States(
            name: "North-Western",
            cities: ["Chinsali", "Isoka", "Kasama", "Mbala", "Mpika"]),
        States(name: "Northern", cities: [
          "Choma",
          "Itezhi-Tezhi",
          "Kalomo",
          "Livingstone",
          "Maamba",
          "Mazabuka",
          "Monze",
          "Nakambala",
          "Siavonga"
        ]),
        States(name: "Southern", cities: [
          "Kalabo",
          "Kaoma",
          "Limulunga",
          "Mongu",
          "Senanga",
          "Sesheke"
        ]),
        States(name: "Western", cities: ["Bulawayo"])
      ]),
  Country(
      name: "Zimbabwe",
      flag: "🇿🇼",
      code: "ZW",
      dialCode: "263",
      minLength: 9,
      maxLength: 9,
      states: [
        States(name: "Bulawayo", cities: ["Chitungwiza", "Harare"]),
        States(name: "Harare", cities: [
          "Chimanimani",
          "Chipinge",
          "Mutare",
          "Nyanga",
          "Rusape",
          "Sakubva"
        ]),
        States(name: "Manicaland", cities: []),
        States(name: "Mashonaland Central", cities: []),
        States(name: "Mashonaland East", cities: []),
        States(
            name: "Mashonaland West",
            cities: ["Chiredzi", "Gaths", "Masvingo"]),
        States(name: "Masvingo", cities: []),
        States(name: "Matabeleland North", cities: []),
        States(name: "Matabeleland South", cities: [
          "Chivhu",
          "Gweru",
          "Kwekwe",
          "Mvuma",
          "Redcliffe",
          "Shurugwi",
          "Zvishavane"
        ]),
        States(name: "Midlands", cities: [])
      ]),
];

class Country {
  final String name;
  final String flag;
  final String code;
  final String dialCode;
  final String regionCode;
  final int minLength;
  final int maxLength;
  final List<States>? states;

  const Country({
    required this.name,
    required this.flag,
    required this.code,
    required this.dialCode,
    required this.minLength,
    required this.maxLength,
    required this.states,
    this.regionCode = "",
  });

  String get fullCountryCode {
    return dialCode + regionCode;
  }

  String get displayCC {
    if (regionCode != "") {
      return "$dialCode $regionCode";
    }
    return dialCode;
  }

  factory Country.fromJson(Map<String, dynamic> json) => Country(
        name: json["name"],
        flag: json["flag"],
        code: json["code"],
        dialCode: json["dialCode"],
        minLength: json["minLength"],
        maxLength: json["maxLength"],
        regionCode: json["regionCode"],
        states: json["states"] == null
            ? []
            : List<States>.from(json["states"]!.map((x) => States.fromJson(x))),
      );

  Map<String, dynamic> toJson() => {
        "name": name,
        "flag": flag,
        "code": code,
        "dialCode": dialCode,
        "minLength": minLength,
        "maxLength": maxLength,
        "regionCode": regionCode,
        "states": states == null
            ? []
            : List<dynamic>.from(states!.map((x) => x.toJson())),
      };
}

class States {
  String? name;
  List<String>? cities;

  States({
    this.name,
    this.cities,
  });

  factory States.fromJson(Map<String, dynamic> json) => States(
        name: json["name"],
        cities: json["cities"] == null
            ? []
            : List<String>.from(json["cities"]!.map((x) => x)),
      );

  Map<String, dynamic> toJson() => {
        "name": name,
        "cities":
            cities == null ? [] : List<dynamic>.from(cities!.map((x) => x)),
      };
}
